SHACLValidator = require("amf-shacl-node")
'use strict';
/* Scala.js runtime support
 * Copyright 2013 LAMP/EPFL
 * Author: Sébastien Doeraene
 */

/* ---------------------------------- *
 * The top-level Scala.js environment *
 * ---------------------------------- */





// Get the environment info
const $env = (typeof __ScalaJSEnv === "object" && __ScalaJSEnv) ? __ScalaJSEnv : {};

// Global scope
const $g =
  (typeof $env["global"] === "object" && $env["global"])
    ? $env["global"]
    : ((typeof global === "object" && global && global["Object"] === Object) ? global : this);
$env["global"] = $g;

// Where to send exports

const $e = exports;





$env["exportsNamespace"] = $e;

// Freeze the environment info
$g["Object"]["freeze"]($env);

// Linking info - must be in sync with scala.scalajs.runtime.LinkingInfo
const $linkingInfo = {
  "envInfo": $env,
  "semantics": {






    "asInstanceOfs": 2,








    "arrayIndexOutOfBounds": 2,








    "moduleInit": 2,





    "strictFloats": false,


    "productionMode": true



  },

  "assumingES6": true,



  "linkerVersion": "0.6.19",
  "globalThis": this
};
$g["Object"]["freeze"]($linkingInfo);
$g["Object"]["freeze"]($linkingInfo["semantics"]);

// Snapshots of builtins and polyfills


const $imul = $g["Math"]["imul"];
const $fround = $g["Math"]["fround"];
const $clz32 = $g["Math"]["clz32"];







































// Other fields




















let $lastIDHash = 0; // last value attributed to an id hash code

const $idHashCodeMap = new $g["WeakMap"]();





// Core mechanism

const $makeIsArrayOfPrimitive = function(primitiveData) {
  return function(obj, depth) {
    return !!(obj && obj.$classData &&
      (obj.$classData.arrayDepth === depth) &&
      (obj.$classData.arrayBase === primitiveData));
  }
};












/** Encode a property name for runtime manipulation
  *  Usage:
  *    env.propertyName({someProp:0})
  *  Returns:
  *    "someProp"
  *  Useful when the property is renamed by a global optimizer (like Closure)
  *  but we must still get hold of a string of that name for runtime
  * reflection.
  */
const $propertyName = function(obj) {
  for (const prop in obj)
    return prop;
};

// Runtime functions

const $isScalaJSObject = function(obj) {
  return !!(obj && obj.$classData);
};
































const $noIsInstance = function(instance) {
  throw new $g["TypeError"](
    "Cannot call isInstance() on a Class representing a raw JS trait/object");
};

const $makeNativeArrayWrapper = function(arrayClassData, nativeArray) {
  return new arrayClassData.constr(nativeArray);
};

const $newArrayObject = function(arrayClassData, lengths) {
  return $newArrayObjectInternal(arrayClassData, lengths, 0);
};

const $newArrayObjectInternal = function(arrayClassData, lengths, lengthIndex) {
  const result = new arrayClassData.constr(lengths[lengthIndex]);

  if (lengthIndex < lengths.length-1) {
    const subArrayClassData = arrayClassData.componentData;
    const subLengthIndex = lengthIndex+1;
    const underlying = result.u;
    for (let i = 0; i < underlying.length; i++) {
      underlying[i] = $newArrayObjectInternal(
        subArrayClassData, lengths, subLengthIndex);
    }
  }

  return result;
};

const $objectToString = function(instance) {
  if (instance === void 0)
    return "undefined";
  else
    return instance.toString();
};

const $objectGetClass = function(instance) {
  switch (typeof instance) {
    case "string":
      return $d_T.getClassOf();
    case "number": {
      const v = instance | 0;
      if (v === instance) { // is the value integral?
        if ($isByte(v))
          return $d_jl_Byte.getClassOf();
        else if ($isShort(v))
          return $d_jl_Short.getClassOf();
        else
          return $d_jl_Integer.getClassOf();
      } else {
        if ($isFloat(instance))
          return $d_jl_Float.getClassOf();
        else
          return $d_jl_Double.getClassOf();
      }
    }
    case "boolean":
      return $d_jl_Boolean.getClassOf();
    case "undefined":
      return $d_sr_BoxedUnit.getClassOf();
    default:
      if (instance === null)
        return instance.getClass__jl_Class();
      else if ($is_sjsr_RuntimeLong(instance))
        return $d_jl_Long.getClassOf();
      else if ($isScalaJSObject(instance))
        return instance.$classData.getClassOf();
      else
        return null; // Exception?
  }
};

const $objectClone = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.clone__O();
  else
    throw new $c_jl_CloneNotSupportedException().init___();
};

const $objectNotify = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notify__V();
};

const $objectNotifyAll = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notifyAll__V();
};

const $objectFinalize = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    instance.finalize__V();
  // else no-op
};

const $objectEquals = function(instance, rhs) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.equals__O__Z(rhs);
  else if (typeof instance === "number")
    return typeof rhs === "number" && $numberEquals(instance, rhs);
  else
    return instance === rhs;
};

const $numberEquals = function(lhs, rhs) {
  return (lhs === rhs) ? (
    // 0.0.equals(-0.0) must be false
    lhs !== 0 || 1/lhs === 1/rhs
  ) : (
    // are they both NaN?
    (lhs !== lhs) && (rhs !== rhs)
  );
};

const $objectHashCode = function(instance) {
  switch (typeof instance) {
    case "string":
      return $m_sjsr_RuntimeString$().hashCode__T__I(instance);
    case "number":
      return $m_sjsr_Bits$().numberHashCode__D__I(instance);
    case "boolean":
      return instance ? 1231 : 1237;
    case "undefined":
      return 0;
    default:
      if ($isScalaJSObject(instance) || instance === null)
        return instance.hashCode__I();




      else
        return $systemIdentityHashCode(instance);
  }
};

const $comparableCompareTo = function(instance, rhs) {
  switch (typeof instance) {
    case "string":



      return instance === rhs ? 0 : (instance < rhs ? -1 : 1);
    case "number":



      return $m_jl_Double$().compare__D__D__I(instance, rhs);
    case "boolean":



      return instance - rhs; // yes, this gives the right result
    default:
      return instance.compareTo__O__I(rhs);
  }
};

const $charSequenceLength = function(instance) {
  if (typeof(instance) === "string")



    return instance["length"] | 0;

  else
    return instance.length__I();
};

const $charSequenceCharAt = function(instance, index) {
  if (typeof(instance) === "string")



    return instance["charCodeAt"](index) & 0xffff;

  else
    return instance.charAt__I__C(index);
};

const $charSequenceSubSequence = function(instance, start, end) {
  if (typeof(instance) === "string")



    return instance["substring"](start, end);

  else
    return instance.subSequence__I__I__jl_CharSequence(start, end);
};

const $booleanBooleanValue = function(instance) {
  if (typeof instance === "boolean") return instance;
  else                               return instance.booleanValue__Z();
};

const $numberByteValue = function(instance) {
  if (typeof instance === "number") return (instance << 24) >> 24;
  else                              return instance.byteValue__B();
};
const $numberShortValue = function(instance) {
  if (typeof instance === "number") return (instance << 16) >> 16;
  else                              return instance.shortValue__S();
};
const $numberIntValue = function(instance) {
  if (typeof instance === "number") return instance | 0;
  else                              return instance.intValue__I();
};
const $numberLongValue = function(instance) {
  if (typeof instance === "number")
    return $m_sjsr_RuntimeLong$().fromDouble__D__sjsr_RuntimeLong(instance);
  else
    return instance.longValue__J();
};
const $numberFloatValue = function(instance) {
  if (typeof instance === "number") return $fround(instance);
  else                              return instance.floatValue__F();
};
const $numberDoubleValue = function(instance) {
  if (typeof instance === "number") return instance;
  else                              return instance.doubleValue__D();
};

const $isNaN = function(instance) {
  return instance !== instance;
};

const $isInfinite = function(instance) {
  return !$g["isFinite"](instance) && !$isNaN(instance);
};

const $doubleToInt = function(x) {
  return (x > 2147483647) ? (2147483647) : ((x < -2147483648) ? -2147483648 : (x | 0));
};

/** Instantiates a JS object with variadic arguments to the constructor. */
const $newJSObjectWithVarargs = function(ctor, args) {
  // This basically emulates the ECMAScript specification for 'new'.
  const instance = $g["Object"]["create"](ctor.prototype);
  const result = ctor["apply"](instance, args);
  switch (typeof result) {
    case "string": case "number": case "boolean": case "undefined": case "symbol":
      return instance;
    default:
      return result === null ? instance : result;
  }
};

const $resolveSuperRef = function(initialProto, propName) {
  const getPrototypeOf = $g["Object"]["getPrototypeOf"];
  const getOwnPropertyDescriptor = $g["Object"]["getOwnPropertyDescriptor"];

  let superProto = getPrototypeOf(initialProto);
  while (superProto !== null) {
    const desc = getOwnPropertyDescriptor(superProto, propName);
    if (desc !== void 0)
      return desc;
    superProto = getPrototypeOf(superProto);
  }

  return void 0;
};

const $superGet = function(initialProto, self, propName) {
  const desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    const getter = desc["get"];
    if (getter !== void 0)
      return getter["call"](self);
    else
      return desc["value"];
  }
  return void 0;
};

const $superSet = function(initialProto, self, propName, value) {
  const desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    const setter = desc["set"];
    if (setter !== void 0) {
      setter["call"](self, value);
      return void 0;
    }
  }
  throw new $g["TypeError"]("super has no setter '" + propName + "'.");
};


const $moduleDefault = function(m) {
  return (m && (typeof m === "object") && "default" in m) ? m["default"] : m;
};


const $propertiesOf = function(obj) {
  const result = [];
  for (const prop in obj)
    result["push"](prop);
  return result;
};

const $systemArraycopy = function(src, srcPos, dest, destPos, length) {
  const srcu = src.u;
  const destu = dest.u;









  if (srcu !== destu || destPos < srcPos || (((srcPos + length) | 0) < destPos)) {
    for (let i = 0; i < length; i = (i + 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  } else {
    for (let i = (length - 1) | 0; i >= 0; i = (i - 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  }
};

const $systemIdentityHashCode =



  (function(obj) {
    switch (typeof obj) {
      case "string": case "number": case "boolean": case "undefined":
        return $objectHashCode(obj);
      default:
        if (obj === null) {
          return 0;
        } else {
          let hash = $idHashCodeMap["get"](obj);
          if (hash === void 0) {
            hash = ($lastIDHash + 1) | 0;
            $lastIDHash = hash;
            $idHashCodeMap["set"](obj, hash);
          }
          return hash;
        }
    }





















  });

// is/as for hijacked boxed classes (the non-trivial ones)

const $isByte = function(v) {
  return typeof v === "number" && (v << 24 >> 24) === v && 1/v !== 1/-0;
};

const $isShort = function(v) {
  return typeof v === "number" && (v << 16 >> 16) === v && 1/v !== 1/-0;
};

const $isInt = function(v) {
  return typeof v === "number" && (v | 0) === v && 1/v !== 1/-0;
};

const $isFloat = function(v) {



  return typeof v === "number";

};




















































// Unboxes




























const $uJ = function(value) {
  return null === value ? $m_sjsr_RuntimeLong$().Zero$1 : value;
};


// TypeArray conversions

const $byteArray2TypedArray = function(value) { return new $g["Int8Array"](value.u); };
const $shortArray2TypedArray = function(value) { return new $g["Int16Array"](value.u); };
const $charArray2TypedArray = function(value) { return new $g["Uint16Array"](value.u); };
const $intArray2TypedArray = function(value) { return new $g["Int32Array"](value.u); };
const $floatArray2TypedArray = function(value) { return new $g["Float32Array"](value.u); };
const $doubleArray2TypedArray = function(value) { return new $g["Float64Array"](value.u); };

const $typedArray2ByteArray = function(value) {
  const arrayClassData = $d_B.getArrayOf();
  return new arrayClassData.constr(new $g["Int8Array"](value));
};
const $typedArray2ShortArray = function(value) {
  const arrayClassData = $d_S.getArrayOf();
  return new arrayClassData.constr(new $g["Int16Array"](value));
};
const $typedArray2CharArray = function(value) {
  const arrayClassData = $d_C.getArrayOf();
  return new arrayClassData.constr(new $g["Uint16Array"](value));
};
const $typedArray2IntArray = function(value) {
  const arrayClassData = $d_I.getArrayOf();
  return new arrayClassData.constr(new $g["Int32Array"](value));
};
const $typedArray2FloatArray = function(value) {
  const arrayClassData = $d_F.getArrayOf();
  return new arrayClassData.constr(new $g["Float32Array"](value));
};
const $typedArray2DoubleArray = function(value) {
  const arrayClassData = $d_D.getArrayOf();
  return new arrayClassData.constr(new $g["Float64Array"](value));
};

// TypeData class





class $TypeData {
constructor() {

  // Runtime support
  this.constr = void 0;
  this.parentData = void 0;
  this.ancestors = null;
  this.componentData = null;
  this.arrayBase = null;
  this.arrayDepth = 0;
  this.zero = null;
  this.arrayEncodedName = "";
  this._classOf = void 0;
  this._arrayOf = void 0;
  this.isArrayOf = void 0;

  // java.lang.Class support
  this["name"] = "";
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = false;
  this["isRawJSType"] = false;
  this["isInstance"] = void 0;
};




initPrim(

    zero, arrayEncodedName, displayName) {
  // Runtime support
  this.ancestors = {};
  this.componentData = null;
  this.zero = zero;
  this.arrayEncodedName = arrayEncodedName;
  this.isArrayOf = function(obj, depth) { return false; };

  // java.lang.Class support
  this["name"] = displayName;
  this["isPrimitive"] = true;
  this["isInstance"] = function(obj) { return false; };

  return this;
};




initClass(

    internalNameObj, isInterface, fullName,
    ancestors, isRawJSType, parentData, isInstance, isArrayOf) {
  const internalName = $propertyName(internalNameObj);

  isInstance = isInstance || function(obj) {
    return !!(obj && obj.$classData && obj.$classData.ancestors[internalName]);
  };

  isArrayOf = isArrayOf || function(obj, depth) {
    return !!(obj && obj.$classData && (obj.$classData.arrayDepth === depth)
      && obj.$classData.arrayBase.ancestors[internalName])
  };

  // Runtime support
  this.parentData = parentData;
  this.ancestors = ancestors;
  this.arrayEncodedName = "L"+fullName+";";
  this.isArrayOf = isArrayOf;

  // java.lang.Class support
  this["name"] = fullName;
  this["isInterface"] = isInterface;
  this["isRawJSType"] = !!isRawJSType;
  this["isInstance"] = isInstance;

  return this;
};




initArray(

    componentData) {
  // The constructor

  const componentZero0 = componentData.zero;

  // The zero for the Long runtime representation
  // is a special case here, since the class has not
  // been defined yet, when this file is read
  const componentZero = (componentZero0 == "longZero")
    ? $m_sjsr_RuntimeLong$().Zero$1
    : componentZero0;






































  class ArrayClass extends $c_O {
    constructor(arg) {
      super();
      if (typeof(arg) === "number") {
        // arg is the length of the array
        this.u = new Array(arg);
        for (let i = 0; i < arg; i++)
          this.u[i] = componentZero;
      } else {
        // arg is a native array that we wrap
        this.u = arg;
      }
    };














    clone__O() {
      if (this.u instanceof Array)
        return new ArrayClass(this.u["slice"](0));
      else
        // The underlying Array is a TypedArray
        return new ArrayClass(new this.u.constructor(this.u));
    };
  };


  ArrayClass.prototype.$classData = this;

  // Don't generate reflective call proxies. The compiler special cases
  // reflective calls to methods on scala.Array

  // The data

  const encodedName = "[" + componentData.arrayEncodedName;
  const componentBase = componentData.arrayBase || componentData;
  const arrayDepth = componentData.arrayDepth + 1;

  const isInstance = function(obj) {
    return componentBase.isArrayOf(obj, arrayDepth);
  }

  // Runtime support
  this.constr = ArrayClass;
  this.parentData = $d_O;
  this.ancestors = {O: 1, jl_Cloneable: 1, Ljava_io_Serializable: 1};
  this.componentData = componentData;
  this.arrayBase = componentBase;
  this.arrayDepth = arrayDepth;
  this.zero = null;
  this.arrayEncodedName = encodedName;
  this._classOf = undefined;
  this._arrayOf = undefined;
  this.isArrayOf = undefined;

  // java.lang.Class support
  this["name"] = encodedName;
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = true;
  this["isInstance"] = isInstance;

  return this;
};




getClassOf() {

  if (!this._classOf)
    this._classOf = new $c_jl_Class().init___jl_ScalaJSClassData(this);
  return this._classOf;
};




getArrayOf() {

  if (!this._arrayOf)
    this._arrayOf = new $TypeData().initArray(this);
  return this._arrayOf;
};

// java.lang.Class support




"getFakeInstance"() {

  if (this === $d_T)
    return "some string";
  else if (this === $d_jl_Boolean)
    return false;
  else if (this === $d_jl_Byte ||
           this === $d_jl_Short ||
           this === $d_jl_Integer ||
           this === $d_jl_Float ||
           this === $d_jl_Double)
    return 0;
  else if (this === $d_jl_Long)
    return $m_sjsr_RuntimeLong$().Zero$1;
  else if (this === $d_sr_BoxedUnit)
    return void 0;
  else
    return {$classData: this};
};




"getSuperclass"() {

  return this.parentData ? this.parentData.getClassOf() : null;
};




"getComponentType"() {

  return this.componentData ? this.componentData.getClassOf() : null;
};




"newArrayOfThisClass"(lengths) {

  let arrayClassData = this;
  for (let i = 0; i < lengths.length; i++)
    arrayClassData = arrayClassData.getArrayOf();
  return $newArrayObject(arrayClassData, lengths);
};

};


// Create primitive types

const $d_V = new $TypeData().initPrim(undefined, "V", "void");
const $d_Z = new $TypeData().initPrim(false, "Z", "boolean");
const $d_C = new $TypeData().initPrim(0, "C", "char");
const $d_B = new $TypeData().initPrim(0, "B", "byte");
const $d_S = new $TypeData().initPrim(0, "S", "short");
const $d_I = new $TypeData().initPrim(0, "I", "int");
const $d_J = new $TypeData().initPrim("longZero", "J", "long");
const $d_F = new $TypeData().initPrim(0.0, "F", "float");
const $d_D = new $TypeData().initPrim(0.0, "D", "double");

// Instance tests for array of primitives

const $isArrayOf_Z = $makeIsArrayOfPrimitive($d_Z);
$d_Z.isArrayOf = $isArrayOf_Z;

const $isArrayOf_C = $makeIsArrayOfPrimitive($d_C);
$d_C.isArrayOf = $isArrayOf_C;

const $isArrayOf_B = $makeIsArrayOfPrimitive($d_B);
$d_B.isArrayOf = $isArrayOf_B;

const $isArrayOf_S = $makeIsArrayOfPrimitive($d_S);
$d_S.isArrayOf = $isArrayOf_S;

const $isArrayOf_I = $makeIsArrayOfPrimitive($d_I);
$d_I.isArrayOf = $isArrayOf_I;

const $isArrayOf_J = $makeIsArrayOfPrimitive($d_J);
$d_J.isArrayOf = $isArrayOf_J;

const $isArrayOf_F = $makeIsArrayOfPrimitive($d_F);
$d_F.isArrayOf = $isArrayOf_F;

const $isArrayOf_D = $makeIsArrayOfPrimitive($d_D);
$d_D.isArrayOf = $isArrayOf_D;












const $i_path = require("path");
const $i_os = require("os");
const $i_http = require("http");
const $i_https = require("https");
const $i_fs = require("fs");
const $is_F0 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.F0)))
});
const $isArrayOf_F0 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.F0)))
});
const $is_F1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.F1)))
});
const $isArrayOf_F1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.F1)))
});
const $f_F2__tupled__F1 = (function($thiz) {
  return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const x1$2 = x0$1.$$und1__O();
        const x2 = x0$1.$$und2__O();
        return $this.apply__O__O__O(x1$2, x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz))
});
const $is_F2 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.F2)))
});
const $isArrayOf_F2 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.F2)))
});
const $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future = (function($thiz, config) {
  const inputFile = config.input$1.get__O();
  const inputFile$1 = $f_Lamf_client_commands_CommandHelper__ensureUrl__T__T($thiz, inputFile);
  config.inputFormat$1.get__O();
  const jsx$3 = $m_Lamf_core_services_RuntimeCompiler$();
  const jsx$2 = $m_s_Option$();
  const mediaType = config.inputMediaType$1;
  const vendor = config.inputFormat$1;
  const jsx$1 = jsx$2.apply__O__s_Option($f_Lamf_client_commands_CommandHelper__effectiveMediaType__s_Option__s_Option__T($thiz, mediaType, vendor));
  const mediaType$1 = config.inputMediaType$1;
  const vendor$1 = config.inputFormat$1;
  return jsx$3.apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(inputFile$1, jsx$1, $f_Lamf_client_commands_CommandHelper__effectiveVendor__s_Option__s_Option__T($thiz, mediaType$1, vendor$1), $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context($thiz.platform__Lamf_core_remote_Platform()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_core_parser_UnspecifiedReference$()), ($m_Lamf_core_services_RuntimeCompiler$(), new $c_Lamf_core_remote_Cache().init___()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_s_None$()))
});
const $f_Lamf_client_commands_CommandHelper__ensureUrl__T__T = (function($thiz, inputFile) {
  return ((((!(((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("file:".length | 0)) === "file:"))) && (!(((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("http:".length | 0)) === "http:")))) && (!(((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("https:".length | 0)) === "https:")))) ? ((((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("/".length | 0)) === "/")) ? new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["file:/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([inputFile])) : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["file://", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([inputFile]))) : inputFile)
});
const $f_Lamf_client_commands_CommandHelper__processDialects__Lamf_core_client_ParserConfig__s_concurrent_Future = (function($thiz, config) {
  const jsx$2 = config.dialects$1;
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(dialect$2) {
      const dialect = dialect$2;
      return $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$().registerDialect__T__s_concurrent_Future(dialect)
    })
  })($thiz));
  const this$1 = $m_sc_Seq$();
  const dialectFutures = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
  const jsx$3 = $m_s_concurrent_Future$();
  const this$2 = $m_sc_Seq$();
  return jsx$3.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(dialectFutures, this$2.ReusableCBFInstance$2, $thiz.executionContext__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
    return (function(x$1$2) {
      return (void 0)
    })
  })($thiz)), $thiz.executionContext__s_concurrent_ExecutionContext())
});
const $f_Lamf_client_commands_CommandHelper__generateOutput__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future = (function($thiz, config, unit) {
  const generateOptions = new $c_Lamf_core_client_GenerationOptions().init___();
  if (config.withSourceMaps$1) {
    generateOptions.withSourceMaps__Lamf_core_client_GenerationOptions()
  };
  const mediaType = config.outputMediaType$1;
  const vendor = config.outputFormat$1;
  const mediaType$1 = $f_Lamf_client_commands_CommandHelper__effectiveMediaType__s_Option__s_Option__T($thiz, mediaType, vendor);
  const mediaType$2 = config.outputMediaType$1;
  const vendor$1 = config.outputFormat$1;
  const vendor$2 = $f_Lamf_client_commands_CommandHelper__effectiveVendor__s_Option__s_Option__T($thiz, mediaType$2, vendor$1);
  const x1 = config.output$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const f = x2.value$2;
    return $m_Lamf_core_services_RuntimeSerializer$().dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__s_concurrent_Future($thiz.platform__Lamf_core_remote_Platform(), f, unit, mediaType$1, vendor$2, generateOptions)
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, config$1, unit$1, generateOptions$1, mediaType$3, vendor$3) {
        return (function() {
          config$1.stdout$1.print__T__V($m_Lamf_core_services_RuntimeSerializer$().apply__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__T(unit$1, mediaType$3, vendor$3, generateOptions$1))
        })
      })($thiz, config, unit, generateOptions, mediaType$1, vendor$2)), $thiz.executionContext__s_concurrent_ExecutionContext())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future = (function($thiz) {
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_OAS20Plugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_features_validation_AMFValidatorPlugin$());
  return $m_Lamf_core_AMF$().init__s_concurrent_Future()
});
const $f_Lamf_client_commands_CommandHelper__effectiveVendor__s_Option__s_Option__T = (function($thiz, mediaType, vendor) {
  if ($is_s_Some(vendor)) {
    const x2 = vendor;
    const effectiveVendor = x2.value$2;
    return effectiveVendor
  } else {
    const x = $m_s_None$();
    if ((x === vendor)) {
      return "Unknown"
    } else {
      throw new $c_s_MatchError().init___O(vendor)
    }
  }
});
const $f_Lamf_client_commands_CommandHelper__effectiveMediaType__s_Option__s_Option__T = (function($thiz, mediaType, vendor) {
  if ($is_s_Some(mediaType)) {
    const x2 = mediaType;
    const effectiveMediaType = x2.value$2;
    return effectiveMediaType
  } else {
    const x = $m_s_None$();
    if ((x === mediaType)) {
      if ($is_s_Some(vendor)) {
        const x2$2 = vendor;
        const effectiveVendor = x2$2.value$2;
        const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
        if (this$1.documentPluginIDRegistry$1.get__O__s_Option(effectiveVendor).isDefined__Z()) {
          const this$2 = $m_Lamf_core_registries_AMFPluginsRegistry$();
          return this$2.documentPluginIDRegistry$1.get__O__s_Option(effectiveVendor).get__O().documentSyntaxes__sc_Seq().head__O()
        }
      };
      return "*/*"
    } else {
      throw new $c_s_MatchError().init___O(mediaType)
    }
  }
});
const $is_Lamf_core_emitter_Emitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_Emitter)))
});
const $isArrayOf_Lamf_core_emitter_Emitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_Emitter)))
});
const $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj = (function($thiz, instance) {
  if ($is_Lamf_core_model_document_BaseUnit(instance)) {
    const x2 = instance;
    return x2.meta__Lamf_core_metamodel_Obj()
  } else if ($is_Lamf_core_model_domain_DomainElement(instance)) {
    const x3 = instance;
    return x3.meta__Lamf_core_metamodel_Obj()
  } else {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Missing metadata mapping for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([instance]))))
  }
});
const $is_Lamf_core_metamodel_ModelDefaultBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_ModelDefaultBuilder)))
});
const $isArrayOf_Lamf_core_metamodel_ModelDefaultBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_ModelDefaultBuilder)))
});
const $is_Lamf_core_metamodel_Type = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type)))
});
const $isArrayOf_Lamf_core_metamodel_Type = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type)))
});
const $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement = (function($thiz, annotation) {
  $thiz.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(annotation);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement = (function($thiz, other) {
  $thiz.annotations__Lamf_core_parser_Annotations().$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(other);
  return $thiz
});
const $is_Lamf_core_model_domain_AmfElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfElement)))
});
const $isArrayOf_Lamf_core_model_domain_AmfElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfElement)))
});
const $is_Lamf_core_model_domain_Annotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_Annotation)))
});
const $isArrayOf_Lamf_core_model_domain_Annotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_Annotation)))
});
const $is_Lamf_core_model_domain_AnnotationGraphLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AnnotationGraphLoader)))
});
const $isArrayOf_Lamf_core_model_domain_AnnotationGraphLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AnnotationGraphLoader)))
});
const $is_Lamf_core_model_domain_NamedDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_NamedDomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_NamedDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_NamedDomainElement)))
});
const $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V = (function($thiz, name, value) {
  const this$1 = $thiz.promises$1;
  const x1 = this$1.get__O__s_Option(name);
  let jsx$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    jsx$1 = v
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  jsx$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, value$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      x$1.resolve__Lamf_core_model_domain_Linkable__V(value$1)
    })
  })($thiz, value)));
  $thiz.promises$1 = $thiz.promises$1.updated__O__O__sci_Map(name, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
});
const $f_Lamf_core_parser_FutureDeclarations__$$init$__V = (function($thiz) {
  $thiz.promises$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$())
});
const $f_Lamf_core_parser_FutureDeclarations__resolve__V = (function($thiz) {
  const this$1 = $thiz.promises$1;
  const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
  $m_sc_Iterable$();
  $m_sci_Iterable$();
  const b = new $c_scm_ListBuffer().init___();
  const this$5 = this$2.$$outer$3.valuesIterator__sc_Iterator();
  while (this$5.hasNext__Z()) {
    const arg1 = this$5.next__O();
    const xs = arg1.seq__sc_TraversableOnce();
    b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
  };
  const this$6 = b.toList__sci_List();
  $m_sci_List$();
  const b$1 = new $c_scm_ListBuffer().init___();
  let these = this$6;
  while ((!these.isEmpty__Z())) {
    const arg1$1 = these.head__O();
    const x$2 = arg1$1;
    if (((!x$2.resolved$1) !== false)) {
      b$1.$$plus$eq__O__scm_ListBuffer(arg1$1)
    };
    these = these.tail__O()
  };
  const this$8 = b$1.toList__sci_List();
  let these$1 = this$8;
  while ((!these$1.isEmpty__Z())) {
    const arg1$2 = these$1.head__O();
    const x$3 = arg1$2;
    x$3.fail__V();
    these$1 = these$1.tail__O()
  }
});
const $f_Lamf_core_parser_FutureDeclarations__futureRef__T__T__Lamf_core_parser_DeclarationPromise__V = (function($thiz, id, name, promise) {
  const this$1 = $thiz.promises$1;
  const x1 = this$1.get__O__s_Option(name);
  let otherPromises;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    otherPromises = v
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    otherPromises = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  const jsx$2 = $thiz.promises$1;
  const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([promise]));
  const this$2 = $m_sc_Seq$();
  $thiz.promises$1 = jsx$2.updated__O__O__sci_Map(name, otherPromises.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2))
});
const $is_Lamf_core_parser_ReferenceKind = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ReferenceKind)))
});
const $isArrayOf_Lamf_core_parser_ReferenceKind = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ReferenceKind)))
});
const $is_Lamf_core_parser_SearchScope$Scope = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_SearchScope$Scope)))
});
const $isArrayOf_Lamf_core_parser_SearchScope$Scope = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_SearchScope$Scope)))
});
const $is_Lamf_core_parser_TypedNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_TypedNode)))
});
const $isArrayOf_Lamf_core_parser_TypedNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_TypedNode)))
});
const $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement = (function($thiz, c) {
  $thiz.ctx$3 = new $c_s_Some().init___O(c);
  return $thiz
});
const $is_Lamf_core_plugins_AMFPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFPlugin)))
});
const $is_Lamf_core_registries_AMFDomainEntityResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_registries_AMFDomainEntityResolver)))
});
const $isArrayOf_Lamf_core_registries_AMFDomainEntityResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_registries_AMFDomainEntityResolver)))
});
const $f_Lamf_core_remote_FileMediaType__extension__T__s_Option = (function($thiz, path) {
  const this$3 = new $c_s_Some().init___O((path.lastIndexOf(".") | 0));
  const arg1 = this$3.value$2;
  const x$1 = (arg1 | 0);
  let this$4;
  if ((x$1 > 0)) {
    this$4 = this$3
  } else {
    this$4 = $m_s_None$()
  };
  if (this$4.isEmpty__Z()) {
    return $m_s_None$()
  } else {
    const arg1$1 = this$4.get__O();
    const dot = (arg1$1 | 0);
    const beginIndex = ((1 + dot) | 0);
    return new $c_s_Some().init___O(path.substring(beginIndex))
  }
});
const $f_Lamf_core_remote_FileMediaType__mimeFromExtension__T__s_Option = (function($thiz, extension) {
  return ((extension === "json") ? $m_s_Option$().apply__O__s_Option($m_Lamf_core_remote_Mimes$().APPLICATION$divJSON$1) : (((extension === "yaml") || ((extension === "yam") || (extension === "yml"))) ? $m_s_Option$().apply__O__s_Option($m_Lamf_core_remote_Mimes$().APPLICATION$divYAML$1) : ((extension === "raml") ? $m_s_Option$().apply__O__s_Option($m_Lamf_core_remote_Mimes$().APPLICATION$divRAML$plusYAML$1) : ((extension === "openapi") ? $m_s_Option$().apply__O__s_Option($m_Lamf_core_remote_Mimes$().APPLICATION$divOPENAPI$plusJSON$1) : (((extension === "jsonld") || (extension === "amf")) ? $m_s_Option$().apply__O__s_Option($m_Lamf_core_remote_Mimes$().APPLICATION$divLD$plusJSONLD$1) : $m_s_None$())))))
});
const $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z = (function($thiz, vendor) {
  return ((vendor !== null) && (vendor === $thiz))
});
const $is_Lamf_core_remote_Vendor = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Vendor)))
});
const $isArrayOf_Lamf_core_remote_Vendor = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Vendor)))
});
const $is_Lamf_core_services_RuntimeCompiler = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_services_RuntimeCompiler)))
});
const $isArrayOf_Lamf_core_services_RuntimeCompiler = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_services_RuntimeCompiler)))
});
const $is_Lamf_core_services_RuntimeSerializer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_services_RuntimeSerializer)))
});
const $isArrayOf_Lamf_core_services_RuntimeSerializer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_services_RuntimeSerializer)))
});
const $is_Lamf_core_services_RuntimeValidator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_services_RuntimeValidator)))
});
const $isArrayOf_Lamf_core_services_RuntimeValidator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_services_RuntimeValidator)))
});
const $f_Lamf_core_validation_ValidationResultProcessor__buildValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option = (function($thiz, model, result, messageStyle, validations) {
  const thiz = result.sourceShape__T();
  const prefix = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
  let validationSpecToLook;
  if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
    const thiz$1 = result.sourceShape__T();
    const target = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
    validationSpecToLook = thiz$1.split(target).join("")
  } else {
    validationSpecToLook = result.sourceShape__T()
  };
  const idMapping = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  const x1 = validations.all$1.get__O__s_Option(validationSpecToLook);
  let maybeTargetSpec;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const validationSpec = x2.value$2;
    idMapping.put__O__O__s_Option(result.sourceShape__T(), validationSpecToLook);
    maybeTargetSpec = new $c_s_Some().init___O(validationSpec)
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const this$8 = validations.all$1;
    const this$9 = this$8.iterator__sc_Iterator();
    let x1$2;
    inlinereturn$13: {
      while (this$9.hasNext__Z()) {
        const a = this$9.next__O();
        const x0$1 = a;
        if ((x0$1 === null)) {
          throw new $c_s_MatchError().init___O(x0$1)
        };
        const v = x0$1.$$und1__O();
        if ((((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, (v.length | 0)) === v))) {
          x1$2 = new $c_s_Some().init___O(a);
          break inlinereturn$13
        }
      };
      x1$2 = $m_s_None$()
    };
    matchEnd6: {
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const p3 = x2$2.value$2;
        if ((p3 !== null)) {
          const v$1 = p3.$$und1__O();
          const spec = p3.$$und2__O();
          idMapping.put__O__O__s_Option(result.sourceShape__T(), v$1);
          maybeTargetSpec = new $c_s_Some().init___O(spec);
          break matchEnd6
        }
      };
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2)) {
        if ((!(((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, ("_:".length | 0)) === "_:")))) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find validation spec for validation error:\\n ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result]))))
        };
        maybeTargetSpec = $m_s_None$();
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1$2)
    }
  };
  if ($is_s_Some(maybeTargetSpec)) {
    const x2$3 = maybeTargetSpec;
    const targetSpec = x2$3.value$2;
    let message;
    if ((($m_Lamf_ProfileNames$().RAML$1 === messageStyle) || ($m_Lamf_ProfileNames$().RAML08$1 === messageStyle))) {
      const this$20 = targetSpec.ramlMessage$1;
      message = (this$20.isEmpty__Z() ? targetSpec.message$1 : this$20.get__O())
    } else if (($m_Lamf_ProfileNames$().OAS$1 === messageStyle)) {
      const this$21 = targetSpec.ramlMessage$1;
      message = (this$21.isEmpty__Z() ? targetSpec.message$1 : this$21.get__O())
    } else {
      const this$22 = $m_s_Option$().apply__O__s_Option(targetSpec.message$1);
      if (this$22.isEmpty__Z()) {
        const this$23 = result.message__s_Option();
        message = (this$23.isEmpty__Z() ? "" : this$23.get__O())
      } else {
        message = this$22.get__O()
      }
    };
    if (($m_s_Option$().apply__O__s_Option(message).isEmpty__Z() || (message === ""))) {
      const this$24 = result.message__s_Option();
      message = (this$24.isEmpty__Z() ? "Constraint violation" : this$24.get__O())
    };
    const thiz$2 = idMapping.apply__O__O(result.sourceShape__T());
    const x1$5 = (((thiz$2.length | 0) >= 0) && (thiz$2.substring(0, ("http".length | 0)) === "http"));
    let finalId;
    if ((x1$5 === true)) {
      finalId = idMapping.apply__O__O(result.sourceShape__T())
    } else {
      if ((x1$5 !== false)) {
        throw new $c_s_MatchError().init___O(x1$5)
      };
      finalId = (("" + $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1) + idMapping.apply__O__O(result.sourceShape__T()))
    };
    const id = idMapping.apply__O__O(result.sourceShape__T());
    const severity = $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T($thiz, id, validations);
    const validation = $m_Lamf_core_validation_AMFValidationResult$().fromSHACLValidation__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_AMFValidationResult(model, message, severity, result);
    return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(validation.message$1, validation.level$1, validation.targetNode$1, validation.targetProperty$1, finalId, validation.position$1, validation.source$1))
  } else {
    return $m_s_None$()
  }
});
const $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T = (function($thiz, id, validations) {
  return (validations.info$1.get__O__s_Option(id).isDefined__Z() ? $m_Lamf_core_validation_SeverityLevels$().INFO$1 : (validations.warning$1.get__O__s_Option(id).isDefined__Z() ? $m_Lamf_core_validation_SeverityLevels$().WARNING$1 : $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1))
});
const $f_Lamf_core_validation_ValidationResultProcessor__processAggregatedResult__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_AMFValidationResult = (function($thiz, result, messageStyle, validations) {
  const x1 = validations.all$1.get__O__s_Option(result.validationId$1);
  if ((!$is_s_Some(x1))) {
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find spec for aggregated validation result ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.validationId$1]))))
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  const x2 = x1;
  const s = x2.value$2;
  let message;
  if ((($m_Lamf_ProfileNames$().RAML$1 === messageStyle) || ($m_Lamf_ProfileNames$().RAML08$1 === messageStyle))) {
    const this$1 = s.ramlMessage$1;
    message = (this$1.isEmpty__Z() ? result.message$1 : this$1.get__O())
  } else if (($m_Lamf_ProfileNames$().OAS$1 === messageStyle)) {
    const this$2 = s.oasMessage$1;
    message = (this$2.isEmpty__Z() ? result.message$1 : this$2.get__O())
  } else {
    message = s.message$1
  };
  if ((message === "")) {
    message = "Constraint violation"
  };
  const id = s.id__T();
  const severity = $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T($thiz, id, validations);
  return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, severity, result.targetNode$1, result.targetProperty$1, s.id__T(), result.position$1, result.source$1)
});
const $is_Lamf_core_validation_core_ValidationReport = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationReport)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationReport = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationReport)))
});
const $is_Lamf_core_validation_core_ValidationResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationResult)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationResult)))
});
const $f_Lamf_model_domain_Linkable__linkLabel__s_Option = (function($thiz) {
  const this$1 = $thiz.element__Lamf_core_model_domain_DomainElement();
  return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
});
const $f_Lamf_model_domain_Linkable__withLinkTarget__Lamf_model_domain_DomainElement__Lamf_model_domain_DomainElement = (function($thiz, target) {
  const this$1 = $thiz.element__Lamf_core_model_domain_DomainElement();
  const target$1 = target.element__Lamf_core_model_domain_DomainElement();
  $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this$1, target$1);
  return $thiz
});
const $f_Lamf_model_domain_Linkable__withLinkLabel__T__Lamf_model_domain_DomainElement = (function($thiz, label) {
  const this$1 = $thiz.element__Lamf_core_model_domain_DomainElement();
  const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, label);
  return $thiz
});
const $f_Lamf_model_domain_Linkable__link__s_Option__O = (function($thiz, label) {
  const href = $thiz.linkCopy__Lamf_model_domain_DomainElement();
  const this$1 = href;
  const target = $thiz;
  $f_Lamf_model_domain_Linkable__withLinkTarget__Lamf_model_domain_DomainElement__Lamf_model_domain_DomainElement(this$1, target);
  if ((!label.isEmpty__Z())) {
    const arg1 = label.get__O();
    const label$2 = arg1;
    const this$2 = href;
    new $c_s_Some().init___O($f_Lamf_model_domain_Linkable__withLinkLabel__T__Lamf_model_domain_DomainElement(this$2, label$2))
  };
  return href
});
const $is_Lamf_model_domain_Linkable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Linkable)))
});
const $isArrayOf_Lamf_model_domain_Linkable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Linkable)))
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option = (function($thiz, map, ctx) {
  const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@id");
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const entry = x2.value$2;
    return new $c_s_Some().init___O(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
  } else {
    ctx.violation__T__T__Lorg_yaml_model_YPart__V("", new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["No @id declaration on node ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([map])), map);
    return $m_s_None$()
  }
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__ts__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__T__sc_Seq = (function($thiz, map, ctx, id) {
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const documentType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Document").iri__T();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const fragmentType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Fragment").iri__T();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const moduleType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Module").iri__T();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const unitType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Unit").iri__T();
  const array = [documentType, fragmentType, moduleType, unitType];
  let documentTypesSet;
  if (((array.length | 0) === 0)) {
    documentTypesSet = $m_sci_Set$EmptySet$()
  } else {
    const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      b.$$plus$eq__O__scm_SetBuilder(arg1);
      i = ((1 + i) | 0)
    };
    documentTypesSet = b.elems$1
  };
  const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@type");
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const entry = x2.value$2;
    const node = entry.value$1;
    const this$12 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$SeqNodeYRead$());
    const jsx$2 = (this$12.isEmpty__Z() ? $m_sci_Nil$() : this$12.get__O());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(v$2) {
        const v = v$2;
        const this$14 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(v).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
        let xo;
        if (this$14.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1$1 = this$14.get__O();
          const x$2 = arg1$1;
          xo = new $c_s_Some().init___O(x$2.text$3)
        };
        return xo.toList__sci_List()
      })
    })($thiz));
    const this$16 = $m_sc_Seq$();
    const allTypes = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$16.ReusableCBFInstance$2);
    const nonDocumentTypes = allTypes.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, documentTypesSet$1) {
      return (function(t$2) {
        const t = t$2;
        return (!documentTypesSet$1.contains__O__Z(t))
      })
    })($thiz, documentTypesSet)));
    const documentTypes = allTypes.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, documentTypesSet$2) {
      return (function(t$3$2) {
        const t$3 = t$3$2;
        return documentTypesSet$2.contains__O__Z(t$3)
      })
    })($thiz, documentTypesSet))).sorted__s_math_Ordering__O($m_s_math_Ordering$String$());
    const this$17 = $m_sc_Seq$();
    return nonDocumentTypes.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(documentTypes, this$17.ReusableCBFInstance$2)
  } else {
    ctx.violation__T__T__Lorg_yaml_model_YPart__V(id, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["No @type declaration on node ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([map])), map);
    return $m_sci_Nil$()
  }
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__parseSourceNode__pLamf_plugins_document_graph_parser_GraphParserHelpers__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap = (function($thiz, map) {
  const result = $m_Lamf_core_model_document_SourceMap$().apply__Lamf_core_model_document_SourceMap();
  map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(entry$2) {
      const entry = entry$2;
      const node = entry.key$1;
      const this$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
      let this$3;
      if (this$2.isEmpty__Z()) {
        this$3 = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const x$1 = arg1;
        this$3 = new $c_s_Some().init___O(x$1.text$3)
      };
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const x0$1 = arg1$1;
        matchEnd4: {
          const o7 = $this.AnnotationName__Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$().unapply__T__s_Option(x0$1);
          if ((!o7.isEmpty__Z())) {
            const annotation = o7.get__O();
            const consumer = result$1.annotation__T__F2(annotation);
            entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, consumer$1) {
              return (function(e$2) {
                const e = e$2;
                const element = e.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
                const k = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(element).key__T__s_Option($m_Lamf_core_metamodel_document_SourceMapModel$().Element$1.value$1.iri__T()).get__O();
                const v = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(element).key__T__s_Option($m_Lamf_core_metamodel_document_SourceMapModel$().Value$1.value$1.iri__T()).get__O();
                const t = $m_Lamf_core_metamodel_document_SourceMapModel$().Element$1.type$1;
                const node$1 = k.value$1;
                const jsx$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this$1, t, node$1).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
                const t$1 = $m_Lamf_core_metamodel_document_SourceMapModel$().Value$1.type$1;
                const node$2 = v.value$1;
                consumer$1.apply__O__O__O(jsx$1, $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this$1, t$1, node$2).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
              })
            })($this, consumer)));
            break matchEnd4
          }
        }
      }
    })
  })($thiz, result)));
  return result
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap = (function($thiz, id, map) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1.value$1.iri__T());
  let this$5;
  if (this$2.isEmpty__Z()) {
    this$5 = $m_s_None$()
  } else {
    const arg1 = this$2.get__O();
    const entry = arg1;
    const t = $m_Lamf_core_metamodel_document_SourceMapModel$();
    const node = entry.value$1;
    const node$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($thiz, t, node);
    const this$4 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if (this$4.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1$1 = this$4.get__O();
      const map$1 = arg1$1;
      this$5 = new $c_s_Some().init___O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__parseSourceNode__pLamf_plugins_document_graph_parser_GraphParserHelpers__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap($thiz, map$1))
    }
  };
  return (this$5.isEmpty__Z() ? $m_Lamf_core_model_document_SourceMap$().empty$1 : this$5.get__O())
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode = (function($thiz, t, node) {
  const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
  const x = $m_Lorg_yaml_model_YType$().Seq$1;
  if ((x === x1)) {
    if ($is_Lamf_core_metamodel_Type$Array(t)) {
      return node
    } else {
      const node$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).head__O();
      return $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($thiz, t, node$1)
    }
  } else {
    const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x$3 === x1)) {
      const m = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      const x$5 = $m_Lamf_core_metamodel_Type$Iri$();
      if (x$5.equals__O__Z(t)) {
        return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("@id").get__O().value$1
      } else {
        const x$7 = $m_Lamf_core_metamodel_Type$Str$();
        let jsx$1;
        if (x$7.equals__O__Z(t)) {
          jsx$1 = true
        } else {
          const x$9 = $m_Lamf_core_metamodel_Type$RegExp$();
          if (x$9.equals__O__Z(t)) {
            jsx$1 = true
          } else {
            const x$11 = $m_Lamf_core_metamodel_Type$Bool$();
            if (x$11.equals__O__Z(t)) {
              jsx$1 = true
            } else {
              const x$13 = $m_Lamf_core_metamodel_Type$Int$();
              jsx$1 = x$13.equals__O__Z(t)
            }
          }
        };
        if (jsx$1) {
          return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("@value").get__O().value$1
        } else {
          return node
        }
      }
    } else {
      return node
    }
  }
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations = (function($thiz, nodes, sources, key) {
  const result = new $c_Lamf_core_parser_Annotations().init___();
  const this$2 = sources.annotations$1;
  if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
    const this$3 = sources.annotations$1;
    const this$4 = this$3.elems$5;
    const this$5 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$4);
    while (this$5.hasNext__Z()) {
      const arg1 = this$5.next__O();
      const x0$2 = arg1;
      matchEnd4$2: {
        if ((x0$2 !== null)) {
          const annotation = x0$2.$$und1__O();
          const values = x0$2.$$und2__O();
          if ((values !== null)) {
            const o7 = $m_Lamf_core_model_domain_Annotation$().unapply__T__s_Option(annotation);
            if ((!o7.isEmpty__Z())) {
              const deserialize = o7.get__O();
              if ($f_sc_MapLike__contains__O__Z(values, key)) {
                result.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(deserialize.apply__O__O__O($f_sc_MapLike__apply__O__O(values, key), nodes));
                break matchEnd4$2
              }
            };
            break matchEnd4$2
          }
        };
        throw new $c_s_MatchError().init___O(x0$2)
      }
    }
  };
  return result
});
const $is_Lamf_plugins_document_vocabularies_spec_LocalNameProvider = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_LocalNameProvider)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_LocalNameProvider = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_LocalNameProvider)))
});
const $is_Lamf_plugins_document_vocabularies_spec_LocalNameProviderFactory = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_LocalNameProviderFactory)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_LocalNameProviderFactory = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_LocalNameProviderFactory)))
});
const $is_Lamf_plugins_document_vocabularies_spec_RamlRefiner = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_RamlRefiner)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_RamlRefiner = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_RamlRefiner)))
});
const $is_Lamf_plugins_document_vocabularies_spec_ReferenceResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_ReferenceResolver)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_ReferenceResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_ReferenceResolver)))
});
const $is_Lamf_plugins_document_vocabularies_spec_Refiner = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_Refiner)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_Refiner = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_Refiner)))
});
const $is_Lamf_plugins_document_vocabularies_spec_TypeCalculator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_TypeCalculator)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_TypeCalculator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_TypeCalculator)))
});
const $is_Lamf_plugins_document_webapi_parser_RamlFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_RamlFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_RamlFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_RamlFragment)))
});
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration)))
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter__emitCommonFields__Lamf_core_parser_Fields__scm_ListBuffer__s_Option = (function($thiz, fs, result) {
  const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    const f = arg1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("pattern", f)))
  };
  const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
  if ((!this$2.isEmpty__Z())) {
    const arg1$1 = this$2.get__O();
    const f$3 = arg1$1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("minLength", f$3)))
  };
  const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
  if ((!this$3.isEmpty__Z())) {
    const arg1$2 = this$3.get__O();
    const f$4 = arg1$2;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("maxLength", f$4)))
  };
  const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
  if ((!this$4.isEmpty__Z())) {
    const arg1$3 = this$4.get__O();
    const f$5 = arg1$3;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("minimum", f$5)))
  };
  const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
  if ((!this$5.isEmpty__Z())) {
    const arg1$4 = this$5.get__O();
    const f$6 = arg1$4;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("maximum", f$6)))
  };
  const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1);
  if ((!this$6.isEmpty__Z())) {
    const arg1$5 = this$6.get__O();
    const f$7 = arg1$5;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("exclusiveMinimum", f$7)))
  };
  const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1);
  if ((!this$7.isEmpty__Z())) {
    const arg1$6 = this$7.get__O();
    const f$8 = arg1$6;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("exclusiveMaximum", f$8)))
  };
  const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1);
  if ((!this$8.isEmpty__Z())) {
    const arg1$7 = this$8.get__O();
    const f$9 = arg1$7;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("multipleOf", f$9)))
  };
  const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
  if (this$9.isEmpty__Z()) {
    return $m_s_None$()
  } else {
    const arg1$8 = this$9.get__O();
    const f$10 = arg1$8;
    return new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("format", f$10)))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic__parseScalar__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V = (function($thiz, map, shape) {
  const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
  const iv = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$1.key__T__F1__V("pattern", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
  const iv$1 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$2.key__T__F1__V("minLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$6 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
  const iv$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$3.key__T__F1__V("maxLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$9 = this$8.key__T__s_Option("minimum");
  if ((!this$9.isEmpty__Z())) {
    const arg1 = this$9.get__O();
    const entry = arg1;
    const node = entry.value$1;
    const iv$3 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
    const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$3);
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
    const value$1 = value.integer__Lamf_core_model_domain_AmfScalar();
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$3, value$1, annotations)
  };
  const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$13 = this$12.key__T__s_Option("maximum");
  if ((!this$13.isEmpty__Z())) {
    const arg1$1 = this$13.get__O();
    const entry$3 = arg1$1;
    const node$1 = entry$3.value$1;
    const iv$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
    const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$4);
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
    const value$3 = value$2.integer__Lamf_core_model_domain_AmfScalar();
    const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$4, value$3, annotations$1)
  };
  const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$16 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
  const iv$5 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$4.key__T__F1__V("exclusiveMinimum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$16, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$18 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
  const iv$6 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$5.key__T__F1__V("exclusiveMaximum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$18, field$6, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$20 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
  const iv$7 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$6.key__T__F1__V("format", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$20, field$7, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$22 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
  const iv$8 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$7.key__T__F1__V("multipleOf", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$22, field$8, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape))
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter__emitOASFields__Lamf_core_parser_Fields__scm_ListBuffer__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V = (function($thiz, fs, result, spec) {
  const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    const f = arg1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minLength", f, spec)))
  };
  const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
  if ((!this$2.isEmpty__Z())) {
    const arg1$1 = this$2.get__O();
    const f$3 = arg1$1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxLength", f$3, spec)))
  };
  const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1);
  if ((!this$3.isEmpty__Z())) {
    const arg1$2 = this$3.get__O();
    const f$4 = arg1$2;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(exclusiveMinimum)", f$4)))
  };
  const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1);
  if ((!this$4.isEmpty__Z())) {
    const arg1$3 = this$4.get__O();
    const f$5 = arg1$3;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(exclusiveMaximum)", f$5)))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseJSONSchemaExpression__T__Lorg_yaml_model_YNode__F1__Lamf_core_model_domain_Shape = (function($thiz, name, value, adopt) {
  const x1 = value.tag__Lorg_yaml_model_YTag().tagType$2;
  const x = $m_Lorg_yaml_model_YType$().Map$1;
  let x1$3_$_$$und1$f;
  let x1$3_$_$$und2$f;
  if ((x === x1)) {
    const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const x1$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option($thiz, map);
    matchEnd5: {
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const typeEntry = x2.value$2;
        if ((typeEntry !== null)) {
          const node = typeEntry.value$1;
          if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
            const _1 = typeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
            const _2 = typeEntry.value$1;
            const jsx$1_$_$$und1$f = _1;
            const jsx$1_$_$$und2$f = _2;
            x1$3_$_$$und1$f = jsx$1_$_$$und1$f;
            x1$3_$_$$und2$f = jsx$1_$_$$und2$f;
            break matchEnd5
          }
        }
      };
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const shape = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      adopt.apply__O__O(shape);
      $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(shape.id$1, "Cannot parse XML Schema expression out of a non string value", value);
      const jsx$2_$_$$und1$f = "";
      const jsx$2_$_$$und2$f = value;
      x1$3_$_$$und1$f = jsx$2_$_$$und1$f;
      x1$3_$_$$und2$f = jsx$2_$_$$und2$f
    }
  } else {
    const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x$3 === x1)) {
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const shape$2 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      adopt.apply__O__O(shape$2);
      $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(shape$2.id$1, "Cannot parse XML Schema expression out of a non string value", value);
      const jsx$3_$_$$und1$f = "";
      const jsx$3_$_$$und2$f = value;
      x1$3_$_$$und1$f = jsx$3_$_$$und1$f;
      x1$3_$_$$und2$f = jsx$3_$_$$und2$f
    } else {
      const _1$1 = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
      const jsx$4_$_$$und1$f = _1$1;
      const jsx$4_$_$$und2$f = value;
      x1$3_$_$$und1$f = jsx$4_$_$$und1$f;
      x1$3_$_$$und2$f = jsx$4_$_$$und2$f
    }
  };
  const text = x1$3_$_$$und1$f;
  const valueAST = x1$3_$_$$und2$f;
  const schemaAst = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(text, $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include").parse__Z__sc_IndexedSeq(true);
  const x1$4 = schemaAst.head__O();
  let schemaEntry;
  if ($is_Lorg_yaml_model_YDocument(x1$4)) {
    const x2$2 = x1$4;
    schemaEntry = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name)), x2$2.node$3)
  } else {
    $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__s_Option__V("invalid json schema expression", new $c_s_Some().init___O(valueAST));
    schemaEntry = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name)), $m_Lorg_yaml_model_YNode$().Null$1)
  };
  const x1$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(schemaEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, adopt$1) {
    return (function(shape$3$2) {
      const shape$3 = shape$3$2;
      adopt$1.apply__O__O(shape$3)
    })
  })($thiz, adopt)), "schema", $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext($thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())).parse__s_Option();
  if ($is_s_Some(x1$5)) {
    const x2$3 = x1$5;
    const shape$4 = x2$3.value$2;
    shape$4.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema().init___T(text));
    return shape$4
  } else {
    const x$5 = $m_s_None$();
    if ((x$5 === x1$5)) {
      const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
      const shape$5 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
      adopt.apply__O__O(shape$5);
      $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(shape$5.id$1, "Cannot parse JSON Schema", value);
      return shape$5
    } else {
      throw new $c_s_MatchError().init___O(x1$5)
    }
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseXMLSchemaExpression__T__Lorg_yaml_model_YNode__F1__Lamf_core_model_domain_Shape = (function($thiz, name, value, adopt) {
  const x1 = value.tag__Lorg_yaml_model_YTag().tagType$2;
  const x = $m_Lorg_yaml_model_YType$().Map$1;
  if ((x === x1)) {
    const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const x1$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option($thiz, map);
    if ($is_s_Some(x1$2)) {
      const x2 = x1$2;
      const typeEntry = x2.value$2;
      if ((typeEntry !== null)) {
        const node = typeEntry.value$1;
        if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const this$5 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const text = typeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
          const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
          const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, text);
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
          const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, "application/xml");
          const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$2, name);
          adopt.apply__O__O(shape);
          return shape
        }
      }
    };
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const shape$2 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
    adopt.apply__O__O(shape$2);
    $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(shape$2.id$1, "Cannot parse XML Schema expression out of a non string value", value);
    return shape$2
  } else {
    const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x$3 === x1)) {
      const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
      const shape$3 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
      adopt.apply__O__O(shape$3);
      $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(shape$3.id$1, "Cannot parse XML Schema expression out of a non string value", value);
      return shape$3
    } else {
      const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
      const this$16 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
      const text$1 = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
      const this$17 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field$3, text$1);
      const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
      const shape$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$4, "application/xml");
      const field$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$5, name);
      adopt.apply__O__O(shape$4);
      return shape$4
    }
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option = (function($thiz, map) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
  return (this$2.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema") : this$2)
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic__parseOASFields__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V = (function($thiz, map, shape) {
  const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
  const iv = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$1.key__T__F1__V("pattern", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
  const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
  const iv$1 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$2.key__T__F1__V("minLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
  const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$6 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
  const iv$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$3.key__T__F1__V("maxLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
  const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$8 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
  const iv$3 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$4.key__T__F1__V("(exclusiveMinimum)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$8, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$10 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
  const iv$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$5.key__T__F1__V("(exclusiveMaximum)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$10, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape))
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__isTypeExpression__T__Z = (function($thiz, str) {
  try {
    const x$14 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
    $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
    const x$15 = "";
    const x = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(str, x$15, x$14);
    const x$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$();
    return ((x !== null) && (x === x$2))
  } catch (e) {
    const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ($is_jl_Exception(e$2)) {
      return false
    } else {
      throw e
    }
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__parseWellKnownTypeRef__T__Lamf_core_model_domain_Shape = (function($thiz, ramlType) {
  if (((ramlType === "nil") || ((ramlType === "") || (ramlType === "null")))) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  } else if ((ramlType === "any")) {
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$1)
  } else if ((ramlType === "string")) {
    const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
    const this$13 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "string").iri__T();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$13, field, dataType)
  } else if ((ramlType === "integer")) {
    const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
    const this$19 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "integer").iri__T();
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$19, field$1, dataType$1)
  } else if ((ramlType === "number")) {
    const annotations$4 = new $c_Lamf_core_parser_Annotations().init___();
    const this$25 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4);
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "float").iri__T();
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$25, field$2, dataType$2)
  } else if ((ramlType === "boolean")) {
    const annotations$5 = new $c_Lamf_core_parser_Annotations().init___();
    const this$31 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5);
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "boolean").iri__T();
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$31, field$3, dataType$3)
  } else if ((ramlType === "datetime")) {
    const annotations$6 = new $c_Lamf_core_parser_Annotations().init___();
    const this$37 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$6);
    const this$35 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$35, "dateTime").iri__T();
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$37, field$4, dataType$4)
  } else if ((ramlType === "datetime-only")) {
    const annotations$7 = new $c_Lamf_core_parser_Annotations().init___();
    const this$43 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$7);
    const this$41 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const dataType$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$41, "dateTimeOnly").iri__T();
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$43, field$5, dataType$5)
  } else if ((ramlType === "time-only")) {
    const annotations$8 = new $c_Lamf_core_parser_Annotations().init___();
    const this$49 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$8);
    const this$47 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$47, "time").iri__T();
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$49, field$6, dataType$6)
  } else if ((ramlType === "date-only")) {
    const annotations$9 = new $c_Lamf_core_parser_Annotations().init___();
    const this$55 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$9);
    const this$53 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$53, "date").iri__T();
    const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$55, field$7, dataType$7)
  } else if ((ramlType === "array")) {
    const annotations$10 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$10)
  } else if ((ramlType === "object")) {
    const annotations$11 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$11)
  } else if ((ramlType === "union")) {
    const annotations$12 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$12)
  } else if ((ramlType === "file")) {
    const annotations$13 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$13)
  } else {
    throw new $c_s_MatchError().init___O(ramlType)
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z = (function($thiz, str) {
  if ((!(((((((str.indexOf("|") | 0) > (-1)) || ((str.indexOf("[") | 0) > (-1))) || ((str.indexOf("{") | 0) > (-1))) || ((str.indexOf("]") | 0) > (-1))) || ((str.indexOf("}") | 0) > (-1))) || ((((str.length | 0) >= 0) && (str.substring(0, ("<<".length | 0)) === "<<")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(str, ">>"))))) {
    const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
    $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
    const x$12 = "";
    const x = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(str, x$12, x$11);
    const x$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
    return (!((x !== null) && (x === x$2)))
  } else {
    return false
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V = (function($thiz, key, map, parentPath) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$3 = this$2.key__T__s_Option(key);
  if ((!this$3.isEmpty__Z())) {
    const arg1 = this$3.get__O();
    const entry = arg1;
    entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$1, entry$1) {
      return (function(e$2) {
        const e = e$2;
        const parameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$1$1) {
          return (function(name$2) {
            const name = name$2;
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            const this$7 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const value = ((parentPath$1$1 + "/") + name);
            const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, name)
          })
        })($this, parentPath$1)), false, $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_domain_webapi_models_Parameter();
        if ($m_s_Option$().apply__O__s_Option(parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1)).isEmpty__Z()) {
          $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(parameter.id$1, "Missing binding information in declared parameter", entry$1.value$1)
        };
        const jsx$2 = $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$3;
        const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
        const jsx$1 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(parameter, annotation);
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const this$12 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        const schema = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        jsx$2.registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(jsx$1, $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$12, field$1, schema))
      })
    })($thiz, parentPath, entry)))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V = (function($thiz, map, parent) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$3 = this$2.key__T__s_Option("securitySchemes");
  if ((!this$3.isEmpty__Z())) {
    const arg1 = this$3.get__O();
    const e = arg1;
    const this$4 = e.value$1;
    const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const jsx$1 = $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$3;
          const this$6 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$1$1, entry$1) {
            return (function(scheme$2) {
              const scheme = scheme$2;
              $m_Lorg_yaml_model_YNode$();
              const node = entry$1.key$1;
              const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(scheme, field, name).adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$1$1)
            })
          })($this, parent$1, entry)), $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$6, annotation))
        })
      })($thiz, parent)))
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
      if ((!(x$3 === x1))) {
        $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(parent, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'securitySchemes' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])), e.value$1)
      }
    }
  }
});
const $is_Lamf_plugins_document_webapi_resolution_stages_Branch = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_Branch)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_Branch = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_Branch)))
});
const $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T = (function($thiz, s, $default) {
  if ($is_s_Some(s)) {
    const x2 = s;
    const p = x2.value$2;
    if (((p.indexOf("#") | 0) > (-1))) {
      const thiz = $m_sjsr_RuntimeString$().split__T__T__I__AT(p, "#", 0).u[1];
      return thiz.trim()
    } else if ((((p.indexOf("/") | 0) === (-1)) && ((p.indexOf(":") | 0) !== (-1)))) {
      const thiz$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(p, ":", 0).u[1];
      return thiz$1.trim()
    } else {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(p, "/", 0);
      const this$13 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const thiz$2 = $f_sc_IndexedSeqOptimized__last__O(this$13);
      return thiz$2.trim()
    }
  } else {
    const x = $m_s_None$();
    if ((x === s)) {
      return $default
    } else {
      throw new $c_s_MatchError().init___O(s)
    }
  }
});
const $f_Lamf_plugins_document_webapi_validation_ImportUtils__validationId__Lamf_plugins_document_webapi_validation_AMFValidation__T = (function($thiz, validation) {
  const x1 = validation.uri$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const s = x2.value$2;
    return $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(s.trim()).iri__T()
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      const s$1 = validation.owlClass$1;
      const classPostfix = $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T($thiz, s$1, "domain");
      const s$2 = validation.owlProperty$1;
      const propertyPostfix = $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T($thiz, s$2, "property");
      const s$3 = new $c_s_Some().init___O(validation.constraint$1);
      const constraint = $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T($thiz, s$3, "constraint");
      return (((((("" + $m_Lamf_core_vocabulary_Namespace$().AmfParser$1.base$1) + classPostfix) + "-") + propertyPostfix.trim()) + "-") + constraint.trim())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_Lamf_plugins_domain_shapes_metamodel_CommonShapeFields__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Pattern$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "pattern"), true));
  const jsx$2 = $m_Lamf_core_metamodel_Type$Int$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MinLength$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "minLength"), true));
  const jsx$3 = $m_Lamf_core_metamodel_Type$Int$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MaxLength$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "maxLength"), true));
  const jsx$4 = $m_Lamf_core_metamodel_Type$Int$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Minimum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "minInclusive"), true));
  const jsx$5 = $m_Lamf_core_metamodel_Type$Int$();
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Maximum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "maxInclusive"), true));
  const jsx$6 = $m_Lamf_core_metamodel_Type$Str$();
  const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMinimum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "minExclusive"), true));
  const jsx$7 = $m_Lamf_core_metamodel_Type$Str$();
  const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMaximum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "maxExclusive"), true));
  const jsx$8 = $m_Lamf_core_metamodel_Type$Str$();
  const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Format$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "format"), true));
  const jsx$9 = $m_Lamf_core_metamodel_Type$Int$();
  const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MultipleOf$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "multipleOf"), true));
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Pattern__Lamf_core_metamodel_Field(), $thiz.MinLength__Lamf_core_metamodel_Field(), $thiz.MaxLength__Lamf_core_metamodel_Field(), $thiz.Minimum__Lamf_core_metamodel_Field(), $thiz.Maximum__Lamf_core_metamodel_Field(), $thiz.ExclusiveMinimum__Lamf_core_metamodel_Field(), $thiz.ExclusiveMaximum__Lamf_core_metamodel_Field(), $thiz.Format__Lamf_core_metamodel_Field(), $thiz.MultipleOf__Lamf_core_metamodel_Field()]);
  const this$20 = $m_sci_List$();
  const cbf = this$20.ReusableCBFInstance$2;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$commonOASFields$und$eq__sci_List__V($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minimum__T = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__T = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minLength__I = (function($thiz) {
  return ($thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1) | 0)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMinimum__T = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maxLength__I = (function($thiz) {
  return ($thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1) | 0)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__multipleOf__I = (function($thiz) {
  return ($thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1) | 0)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__T = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMaximum__T = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maximum__T = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1)
});
const $is_Lamf_plugins_domain_shapes_models_CommonShapeFields = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_CommonShapeFields)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_CommonShapeFields = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_CommonShapeFields)))
});
const $is_Lamf_plugins_domain_shapes_models_ScalarType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ScalarType)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ScalarType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ScalarType)))
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape = (function($thiz, withRecursionBase, traversed) {
  if (traversed.contains__O__Z($thiz.id__T())) {
    const link = $thiz;
    return $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__buildFixPoint__s_Option__Lamf_core_model_domain_Shape__Lamf_core_model_domain_RecursiveShape($thiz, withRecursionBase, link)
  } else {
    const x1 = $thiz;
    let jsx$1;
    if ((x1 !== null)) {
      const this$1 = $thiz;
      jsx$1 = this$1.linkTarget__s_Option().isDefined__Z()
    } else {
      jsx$1 = false
    };
    let cloned;
    if (jsx$1) {
      const link$1 = $thiz;
      cloned = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__buildFixPoint__s_Option__Lamf_core_model_domain_Shape__Lamf_core_model_domain_RecursiveShape($thiz, withRecursionBase, link$1)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(x1)) {
      const annotations = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
    } else if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      const annotations$1 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const annotations$2 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const annotations$3 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x1)) {
      const annotations$4 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4)
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x1)) {
      const annotations$5 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5)
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(x1)) {
      const annotations$6 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$6)
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(x1)) {
      const annotations$7 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$7)
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const annotations$8 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$8)
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1)) {
      const annotations$9 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$9)
    } else if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const annotations$10 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$10)
    } else if ($is_Lamf_plugins_domain_shapes_models_UnresolvedShape(x1)) {
      const x2 = x1;
      const annots = x2.annotations$2;
      const reference = x2.reference$3;
      cloned = new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T(new $c_Lamf_core_parser_Fields().init___(), annots, reference)
    } else {
      if ((!$is_Lamf_plugins_domain_shapes_models_AnyShape(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const annotations$11 = $thiz.annotations__Lamf_core_parser_Annotations();
      const fields = new $c_Lamf_core_parser_Fields().init___();
      cloned = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$11)
    };
    cloned.id$1 = $thiz.id__T();
    $thiz.copyFields__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(cloned, withRecursionBase, traversed.$$plus__O__sc_Set($thiz.id__T()));
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(cloned)) {
      const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(cloned, annotation)
    };
    return cloned
  }
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__typeExpression__T = (function($thiz) {
  const x1 = $thiz.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf());
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const expr = x2.value$2;
    if ((expr !== null)) {
      return expr.value$1
    }
  };
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Trying to extract non existent type expression"))
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__fromTypeExpression__Z = (function($thiz) {
  return $thiz.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf())
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__buildFixPoint__s_Option__Lamf_core_model_domain_Shape__Lamf_core_model_domain_RecursiveShape = (function($thiz, id, link) {
  const fixPointId = (id.isEmpty__Z() ? link.id$1 : id.get__O());
  const annotations = new $c_Lamf_core_parser_Annotations().init___();
  const this$4 = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
  const value = link.id$1;
  const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
  const field = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1;
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, fixPointId)
});
const $is_Lamf_plugins_domain_shapes_models_ShapeHelpers = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ShapeHelpers)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ShapeHelpers = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ShapeHelpers)))
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z = (function($thiz) {
  return $is_Lamf_plugins_domain_shapes_models_ScalarType($thiz)
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isNumber__Z = (function($thiz) {
  const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
  if ((x === $thiz)) {
    return true
  } else {
    const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
    if ((x$3 === $thiz)) {
      return true
    } else {
      const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
      if ((x$5 === $thiz)) {
        return true
      } else {
        const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
        return (x$7 === $thiz)
      }
    }
  }
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isDate__Z = (function($thiz) {
  const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
  if ((x === $thiz)) {
    return true
  } else {
    const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
    if ((x$3 === $thiz)) {
      return true
    } else {
      const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
      if ((x$5 === $thiz)) {
        return true
      } else {
        const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
        return (x$7 === $thiz)
      }
    }
  }
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isNil__Z = (function($thiz) {
  const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
  return (x === $thiz)
});
const $is_Lamf_plugins_domain_shapes_models_TypeDef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_TypeDef)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_TypeDef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_TypeDef)))
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement = (function($thiz, comparison, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lnum = x2.toNumber__jl_Number();
      const rnum = rvalue.toNumber__jl_Number();
      if ((comparison === "max")) {
        return (($numberIntValue(lnum) <= $numberIntValue(rnum)) ? rvalue : lvalue)
      } else if ((comparison === "min")) {
        return (($numberIntValue(lnum) >= $numberIntValue(rnum)) ? rvalue : lvalue)
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown numeric comparison ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([comparison]))))
      }
    }
  };
  throw new $c_jl_Error().init___T("Cannot compare non numeric or missing values")
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrow__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement = (function($thiz, field, baseValue, superValue) {
  const x = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
  if (((x === null) ? (field === null) : x.equals__O__Z(field))) {
    const baseStrValue = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__stringValue__Lamf_core_model_domain_AmfElement__s_Option($thiz, baseValue);
    const superStrValue = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__stringValue__Lamf_core_model_domain_AmfElement__s_Option($thiz, superValue);
    let jsx$1;
    if (superStrValue.isDefined__Z()) {
      if (baseStrValue.isEmpty__Z()) {
        jsx$1 = true
      } else {
        const x$3 = baseStrValue.get__O();
        jsx$1 = ((x$3 !== null) && $objectEquals(x$3, "schema"))
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return superValue
    } else {
      return baseValue
    }
  } else {
    const x$5 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    if (((x$5 === null) ? (field === null) : x$5.equals__O__Z(field))) {
      if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
        return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for minProperties"))
      }
    } else {
      const x$7 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
      if (((x$7 === null) ? (field === null) : x$7.equals__O__Z(field))) {
        if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
          return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for maxProperties"))
        }
      } else {
        const x$9 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
        if (((x$9 === null) ? (field === null) : x$9.equals__O__Z(field))) {
          if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
            return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for maxProperties"))
          }
        } else {
          const x$11 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
          if (((x$11 === null) ? (field === null) : x$11.equals__O__Z(field))) {
            if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
              return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
            } else {
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for maxProperties"))
            }
          } else {
            const x$13 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
            if (((x$13 === null) ? (field === null) : x$13.equals__O__Z(field))) {
              if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
                return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
              } else {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for maxProperties"))
              }
            } else {
              const x$15 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
              if (((x$15 === null) ? (field === null) : x$15.equals__O__Z(field))) {
                if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
                  return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
                } else {
                  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for maxProperties"))
                }
              } else {
                const x$17 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
                if (((x$17 === null) ? (field === null) : x$17.equals__O__Z(field))) {
                  if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
                    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
                  } else {
                    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for minItems"))
                  }
                } else {
                  const x$19 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
                  if (((x$19 === null) ? (field === null) : x$19.equals__O__Z(field))) {
                    if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
                      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
                    } else {
                      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for maxItems"))
                    }
                  } else {
                    const x$21 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
                    if (((x$21 === null) ? (field === null) : x$21.equals__O__Z(field))) {
                      if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                        return baseValue
                      } else {
                        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("different values for format constraint"))
                      }
                    } else {
                      const x$23 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
                      if (((x$23 === null) ? (field === null) : x$23.equals__O__Z(field))) {
                        if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                          return baseValue
                        } else {
                          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("different values for pattern constraint"))
                        }
                      } else {
                        const x$25 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
                        if (((x$25 === null) ? (field === null) : x$25.equals__O__Z(field))) {
                          if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                            return baseValue
                          } else {
                            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("different values for discriminator constraint"))
                          }
                        } else {
                          const x$27 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
                          if (((x$27 === null) ? (field === null) : x$27.equals__O__Z(field))) {
                            if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                              return baseValue
                            } else {
                              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("different values for discriminator value constraint"))
                            }
                          } else {
                            const x$29 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
                            if (((x$29 === null) ? (field === null) : x$29.equals__O__Z(field))) {
                              const jsx$3 = baseValue.values$1;
                              const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
                                return (function(x$1$2) {
                                  const x$1 = x$1$2;
                                  return x$1.toString__T()
                                })
                              })($thiz));
                              const this$1 = $m_sc_Seq$();
                              const baseEnumeration = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$1.ReusableCBFInstance$2);
                              const jsx$5 = superValue.values$1;
                              const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
                                return (function(x$2$2$2) {
                                  const x$2$2 = x$2$2$2;
                                  return x$2$2.toString__T()
                                })
                              })($thiz));
                              const this$3 = $m_sc_Seq$();
                              const superEnumeration = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$3.ReusableCBFInstance$2);
                              if (superEnumeration.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, baseEnumeration$1) {
                                return (function(e$2) {
                                  const e = e$2;
                                  return baseEnumeration$1.contains__O__Z(e)
                                })
                              })($thiz, baseEnumeration)))) {
                                return baseValue
                              } else {
                                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Values in super type not found in the subtype enumeration"))
                              }
                            } else {
                              const x$31 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
                              if (((x$31 === null) ? (field === null) : x$31.equals__O__Z(field))) {
                                if ((($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, true, true, superValue, baseValue) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, false, false, superValue, baseValue)) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, false, true, superValue, baseValue))) {
                                  return baseValue
                                } else {
                                  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("different values for unique items constraint"))
                                }
                              } else {
                                const x$33 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                                if (((x$33 === null) ? (field === null) : x$33.equals__O__Z(field))) {
                                  if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
                                    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
                                  } else {
                                    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for minCount"))
                                  }
                                } else {
                                  const x$35 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1;
                                  if (((x$35 === null) ? (field === null) : x$35.equals__O__Z(field))) {
                                    if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
                                      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
                                    } else {
                                      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for maxCount"))
                                    }
                                  } else {
                                    const x$37 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
                                    if (((x$37 === null) ? (field === null) : x$37.equals__O__Z(field))) {
                                      if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                                        return baseValue
                                      } else {
                                        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("different values for discriminator value path"))
                                      }
                                    } else {
                                      const x$39 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
                                      if (((x$39 === null) ? (field === null) : x$39.equals__O__Z(field))) {
                                        if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                                          return baseValue
                                        } else {
                                          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("different values for discriminator value range"))
                                        }
                                      } else {
                                        const x$41 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
                                        if (((x$41 === null) ? (field === null) : x$41.equals__O__Z(field))) {
                                          if ((($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, true, true, superValue, baseValue) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, false, false, superValue, baseValue)) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, true, false, superValue, baseValue))) {
                                            return baseValue
                                          } else {
                                            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("closed shapes cannot inherit from open shapes"))
                                          }
                                        } else {
                                          return baseValue
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z = (function($thiz, lcomparison, rcomparison, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lbool = x2.toBool__Z();
      const rbool = rvalue.toBool__Z();
      return ((lbool === lcomparison) && (rbool === rcomparison))
    }
  };
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot compare non boolean or missing values"))
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z = (function($thiz, comparison, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lnum = x2.toNumber__jl_Number();
      const rnum = rvalue.toNumber__jl_Number();
      if ((comparison === "<=")) {
        return ($numberIntValue(lnum) <= $numberIntValue(rnum))
      } else if ((comparison === ">=")) {
        return ($numberIntValue(lnum) >= $numberIntValue(rnum))
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown numeric comparison ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([comparison]))))
      }
    }
  };
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot compare non numeric or missing values"))
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape = (function($thiz, restriction, shape) {
  const this$1 = restriction.fields__Lamf_core_parser_Fields();
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shape$1) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const field = x0$1.$$und1__O();
        const baseValue = x0$1.$$und2__O();
        const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
        if ((!((field === null) ? (x$2 === null) : field.equals__O__Z(x$2)))) {
          const x1$2 = $m_s_Option$().apply__O__s_Option(shape$1.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field));
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const superValue = x2.value$2;
            const baseValue$1 = baseValue.value$1;
            const superValue$1 = superValue.value$1;
            const value = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrow__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($this, field, baseValue$1, superValue$1);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(shape$1, field, value)
          } else {
            const x$3 = $m_s_None$();
            if ((!(x$3 === x1$2))) {
              throw new $c_s_MatchError().init___O(x1$2)
            };
            shape$1.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, baseValue.value$1, baseValue.annotations$1)
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz, shape));
  this$1.fs$1.foreach__F1__V(fn);
  return shape
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z = (function($thiz, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lstr = x2.toString__T();
      const rstr = rvalue.toString__T();
      return (lstr === rstr)
    }
  };
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot compare non numeric or missing values"))
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape = (function($thiz, fields, baseShape, superShape, filteredFields) {
  fields.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, baseShape$1, superShape$1, filteredFields$1) {
    return (function(f$2) {
      const f = f$2;
      if ((!filteredFields$1.contains__O__Z(f))) {
        const baseValue = $m_s_Option$().apply__O__s_Option(baseShape$1.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(f));
        const superValue = $m_s_Option$().apply__O__s_Option(superShape$1.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(f));
        let rc6 = false;
        let x2 = null;
        if ($is_s_Some(baseValue)) {
          rc6 = true;
          x2 = baseValue;
          const bvalue = x2.value$2;
          if (superValue.isEmpty__Z()) {
            const value = bvalue.value$1;
            const annotations = bvalue.annotations$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(baseShape$1, f, value, annotations)
          }
        };
        const x = $m_s_None$();
        if (((x === baseValue) && superValue.isDefined__Z())) {
          const value$1 = superValue.get__O().value$1;
          const annotations$1 = superValue.get__O().annotations$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(baseShape$1, f, value$1, annotations$1)
        };
        if (rc6) {
          const bvalue$2 = x2.value$2;
          if (superValue.isDefined__Z()) {
            const baseValue$1 = bvalue$2.value$1;
            const superValue$1 = superValue.get__O().value$1;
            const value$2 = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrow__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($this, f, baseValue$1, superValue$1);
            const annotations$2 = bvalue$2.annotations$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(baseShape$1, f, value$2, annotations$2)
          }
        };
        return (void 0)
      } else {
        return (void 0)
      }
    })
  })($thiz, baseShape, superShape, filteredFields)));
  return baseShape
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__stringValue__Lamf_core_model_domain_AmfElement__s_Option = (function($thiz, value) {
  if ($is_Lamf_core_model_domain_AmfScalar(value)) {
    const x2 = value;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(value)) && $m_s_Option$().apply__O__s_Option(value.value$1).isDefined__Z())) {
      return new $c_s_Some().init___O(x2.toString__T())
    }
  };
  return $m_s_None$()
});
const $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withResourceType__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = (function($thiz, name) {
  const annotations = new $c_Lamf_core_parser_Annotations().init___();
  const this$4 = new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
  const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1;
  const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
  const this$5 = $thiz;
  const field$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
  $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$5, field$1, result);
  return result
});
const $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = (function($thiz, name) {
  const annotations = new $c_Lamf_core_parser_Annotations().init___();
  const this$4 = new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
  const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1;
  const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
  const this$5 = $thiz;
  const field$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
  $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$5, field$1, result);
  return result
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__mapEntities__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__F1__sc_Seq = (function($thiz, node, property, f) {
  const x1 = node.definition$1.props$1.get__O__s_Option(property);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const profileProperty = x2.value$2;
    const jsx$1 = node.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(profileProperty);
    const this$1 = $m_sc_Seq$();
    return jsx$1.map__F1__scg_CanBuildFrom__O(f, this$1.ReusableCBFInstance$2)
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O = (function($thiz, message, x) {
  if ($is_s_Some(x)) {
    const x2 = x;
    const e = x2.value$2;
    return e
  } else {
    const x$2 = $m_s_None$();
    if ((x$2 === x)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Missing mandatory property ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([message]))))
    } else {
      throw new $c_s_MatchError().init___O(x)
    }
  }
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option = (function($thiz, node, property) {
  const x1 = node.definition$1.props$1.get__O__s_Option(property);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const profileProperty = x2.value$2;
    return node.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(profileProperty)
  } else {
    return $m_s_None$()
  }
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq = (function($thiz, node, property) {
  const x1 = node.definition$1.props$1.get__O__s_Option(property);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const profileProperty = x2.value$2;
    return node.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(profileProperty)
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__expand__T__scm_Map__T = (function($thiz, value, prefixes) {
  const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(value, "\\.", 0);
  const this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
  const valuePrefix = $f_sc_IndexedSeqOptimized__head__O(this$3);
  const x1 = prefixes.get__O__s_Option(valuePrefix);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const uri = x2.value$2;
    const target = (valuePrefix + ".");
    return value.split(target).join(uri)
  } else {
    return value
  }
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__prefixes__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__scm_Map = (function($thiz, node) {
  const prefixMap = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  const x1 = node.definition$1.props$1.get__O__s_Option("prefixes");
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const prefixesProperty = x2.value$2;
    node.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(prefixesProperty).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, prefixMap$1) {
      return (function(prefixEntity$2) {
        const prefixEntity = prefixEntity$2;
        const this$1 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option($this, prefixEntity, "prefix");
        const prefix = (this$1.isEmpty__Z() ? "" : this$1.get__O());
        const this$2 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option($this, prefixEntity, "uri");
        const prefixUri = (this$2.isEmpty__Z() ? "" : this$2.get__O());
        return prefixMap$1.put__O__O__s_Option(prefix, prefixUri)
      })
    })($thiz, prefixMap)))
  };
  return prefixMap
});
const $is_Lorg_mulesoft_lexer_LexerInput$Mark = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_LexerInput$Mark)))
});
const $isArrayOf_Lorg_mulesoft_lexer_LexerInput$Mark = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_LexerInput$Mark)))
});
const $f_Lorg_yaml_model_YPart__$$init$__V = (function($thiz) {
  $thiz.org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(($thiz.children__sc_IndexedSeq().isEmpty__Z() ? $m_Lorg_mulesoft_lexer_InputRange$().Zero$1 : $thiz.children__sc_IndexedSeq().head__O().range__Lorg_mulesoft_lexer_InputRange().extent__Lorg_mulesoft_lexer_InputRange__Lorg_mulesoft_lexer_InputRange($thiz.children__sc_IndexedSeq().last__O().range__Lorg_mulesoft_lexer_InputRange())))
});
const $is_Lorg_yaml_model_YPart = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YPart)))
});
const $isArrayOf_Lorg_yaml_model_YPart = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YPart)))
});
const $d_Lorg_yaml_model_YPart = new $TypeData().initClass({
  Lorg_yaml_model_YPart: 0
}, true, "org.yaml.model.YPart", {
  Lorg_yaml_model_YPart: 1
});
const $f_Lscopt_Read__tokensToRead__I = (function($thiz) {
  return (($thiz.arity__I() === 0) ? 0 : 1)
});
const $f_Lscopt_platform$PlatformReadInstances__$$init$__V = (function($thiz) {
  $m_Lscopt_Read$();
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return new $c_Ljava_net_URI().init___T(x$1)
    })
  })($thiz));
  $thiz.uriRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f)
});
class $c_O {
  init___() {
    return this
  };
  equals__O__Z(that) {
    return (this === that)
  };
  toString__T() {
    const jsx$2 = $objectGetClass(this).getName__T();
    const i = this.hashCode__I();
    const x = (+(i >>> 0));
    const jsx$1 = x.toString(16);
    return ((jsx$2 + "@") + jsx$1)
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
  "toString"() {
    return this.toString__T()
  };
}
const $is_O = (function(obj) {
  return (obj !== null)
});
const $isArrayOf_O = (function(obj, depth) {
  const data = (obj && obj.$classData);
  if ((!data)) {
    return false
  } else {
    const arrayDepth = (data.arrayDepth || 0);
    return ((!(arrayDepth < depth)) && ((arrayDepth > depth) || (!data.arrayBase.isPrimitive)))
  }
});
const $d_O = new $TypeData().initClass({
  O: 0
}, false, "java.lang.Object", {
  O: 1
}, (void 0), (void 0), $is_O, $isArrayOf_O);
$c_O.prototype.$classData = $d_O;
const $is_jl_CharSequence = (function(obj) {
  return (!(!(((obj && obj.$classData) && obj.$classData.ancestors.jl_CharSequence) || ((typeof obj) === "string"))))
});
const $isArrayOf_jl_CharSequence = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_CharSequence)))
});
const $is_jl_Comparable = (function(obj) {
  return (!(!(((((obj && obj.$classData) && obj.$classData.ancestors.jl_Comparable) || ((typeof obj) === "string")) || ((typeof obj) === "number")) || ((typeof obj) === "boolean"))))
});
const $isArrayOf_jl_Comparable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Comparable)))
});
const $is_jl_Runnable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Runnable)))
});
const $isArrayOf_jl_Runnable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Runnable)))
});
const $f_s_Proxy__equals__O__Z = (function($thiz, that) {
  return ((that !== null) && (((that === $thiz) || (that === $thiz.self__O())) || $objectEquals(that, $thiz.self__O())))
});
const $f_s_Proxy__toString__T = (function($thiz) {
  return ("" + $thiz.self__O())
});
const $is_s_concurrent_BlockContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_BlockContext)))
});
const $isArrayOf_s_concurrent_BlockContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_BlockContext)))
});
const $is_s_concurrent_OnCompleteRunnable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_OnCompleteRunnable)))
});
const $isArrayOf_s_concurrent_OnCompleteRunnable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_OnCompleteRunnable)))
});
const $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise = (function($thiz, cause) {
  const result = new $c_s_util_Failure().init___jl_Throwable(cause);
  return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise($thiz, result)
});
const $f_s_concurrent_Promise__tryCompleteWith__s_concurrent_Future__s_concurrent_Promise = (function($thiz, other) {
  if ((other !== $thiz)) {
    other.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $this.tryComplete__s_util_Try__Z(x$1)
      })
    })($thiz)), $m_s_concurrent_Future$InternalCallbackExecutor$())
  };
  return $thiz
});
const $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise = (function($thiz, result) {
  if ($thiz.tryComplete__s_util_Try__Z(result)) {
    return $thiz
  } else {
    throw new $c_jl_IllegalStateException().init___T("Promise already completed.")
  }
});
const $f_s_concurrent_Promise__success__O__s_concurrent_Promise = (function($thiz, value) {
  const result = new $c_s_util_Success().init___O(value);
  return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise($thiz, result)
});
const $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveEquals__O__Z = (function($thiz, x) {
  if ($is_jl_Character(x)) {
    let x2;
    if ((x === null)) {
      x2 = 0
    } else {
      const this$2 = x;
      x2 = this$2.value$1
    };
    return ($thiz.isValidChar__Z() && ($thiz.intValue__I() === x2))
  } else if ($isByte(x)) {
    const x3 = (x | 0);
    return ($thiz.isValidByte__Z() && ($thiz.byteValue__B() === x3))
  } else if ($isShort(x)) {
    const x4 = (x | 0);
    return ($thiz.isValidShort__Z() && ($thiz.shortValue__S() === x4))
  } else if ($isInt(x)) {
    const x5 = (x | 0);
    return ($thiz.isValidInt__Z() && ($thiz.intValue__I() === x5))
  } else if ($is_sjsr_RuntimeLong(x)) {
    const t = $uJ(x);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const t$1 = $thiz.longValue__J();
    const lo$1 = t$1.lo$2;
    const hi$1 = t$1.hi$2;
    return ((lo$1 === lo) && (hi$1 === hi))
  } else if ($isFloat(x)) {
    const x7 = (+x);
    return ($thiz.floatValue__F() === x7)
  } else if (((typeof x) === "number")) {
    const x8 = (+x);
    return ($thiz.doubleValue__D() === x8)
  } else {
    return false
  }
});
const $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveHashcode__I = (function($thiz) {
  const t = $thiz.longValue__J();
  const lo = t.lo$2;
  const hi = t.hi$2;
  return ((((hi === (-1)) ? (((-2147483648) ^ lo) >= 0) : (hi > (-1))) && ((hi === 0) ? (((-2147483648) ^ lo) <= (-1)) : (hi < 0))) ? lo : $m_sr_Statics$().longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi)))
});
const $f_s_util_control_NoStackTrace__fillInStackTrace__jl_Throwable = (function($thiz) {
  const this$1 = $m_s_util_control_NoStackTrace$();
  if (this$1.$$undnoSuppression$1) {
    return $c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable.call($thiz)
  } else {
    return $thiz
  }
});
const $f_s_util_matching_Regex$MatchData__matched__T = (function($thiz) {
  return (($thiz.start__I() >= 0) ? $objectToString($charSequenceSubSequence($thiz.source__jl_CharSequence(), $thiz.start__I(), $thiz.end__I())) : null)
});
const $f_s_util_matching_Regex$MatchData__group__I__T = (function($thiz, i) {
  return (($thiz.start__I__I(i) >= 0) ? $objectToString($charSequenceSubSequence($thiz.source__jl_CharSequence(), $thiz.start__I__I(i), $thiz.end__I__I(i))) : null)
});
const $f_s_util_matching_Regex$Replacement__replaced__T = (function($thiz) {
  const newsb = new $c_jl_StringBuffer().init___jl_CharSequence($thiz.scala$util$matching$Regex$Replacement$$sb$2);
  $thiz.matcher__ju_regex_Matcher().appendTail__jl_StringBuffer__jl_StringBuffer(newsb);
  return newsb.content$1
});
const $is_sc_GenTraversableOnce = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversableOnce)))
});
const $isArrayOf_sc_GenTraversableOnce = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversableOnce)))
});
const $f_sc_ViewMkString__mkString__T__T__T__T = (function($thiz, start, sep, end) {
  const this$1 = $f_sc_ViewMkString__thisSeq__sc_Seq($thiz).addString__scm_StringBuilder__T__T__T__scm_StringBuilder(new $c_scm_StringBuilder().init___(), start, sep, end);
  const this$2 = this$1.underlying$5;
  return this$2.content$1
});
const $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function($thiz, b, start, sep, end) {
  const first = new $c_sr_BooleanRef().init___Z(true);
  b.append__T__scm_StringBuilder(start);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, sep$1, first$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        first$1.elem$1 = false
      } else {
        b$1.append__T__scm_StringBuilder(sep$1)
      };
      return b$1.append__O__scm_StringBuilder(x$2)
    })
  })($thiz, b, sep, first)));
  b.append__T__scm_StringBuilder(end);
  return b
});
const $f_sc_ViewMkString__thisSeq__sc_Seq = (function($thiz) {
  return new $c_scm_ArrayBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer($thiz)
});
const $f_scg_Shrinkable__$$minus$minus$eq__sc_TraversableOnce__scg_Shrinkable = (function($thiz, xs) {
  xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(elem$2) {
      return $this.$$minus$eq__O__scg_Shrinkable(elem$2)
    })
  })($thiz)));
  return $thiz
});
const $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable = (function($thiz, xs) {
  const x$1 = $thiz.repr__scg_Subtractable();
  return xs.seq__sc_TraversableOnce().$$div$colon__O__F2__O(x$1, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(x$2$2, x$3$2) {
      const x$2 = x$2$2;
      return x$2.$$minus__O__scg_Subtractable(x$3$2)
    })
  })($thiz)))
});
const $is_scg_Subtractable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_Subtractable)))
});
const $isArrayOf_scg_Subtractable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_Subtractable)))
});
const $f_sci_VectorPointer__copyOf__AO__AO = (function($thiz, a) {
  const copy = $newArrayObject($d_O.getArrayOf(), [a.u.length]);
  $systemArraycopy(a, 0, copy, 0, a.u.length);
  return copy
});
const $f_sci_VectorPointer__gotoNextBlockStart__I__I__V = (function($thiz, index, xor) {
  if ((xor < 1024)) {
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
  } else if ((xor < 32768)) {
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else if ((xor < 1048576)) {
    $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[0]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else if ((xor < 33554432)) {
    $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((index >>> 20) | 0))]);
    $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[0]);
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[0]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else if ((xor < 1073741824)) {
    $thiz.display4$und$eq__AO__V($thiz.display5__AO().u[(31 & ((index >>> 25) | 0))]);
    $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[0]);
    $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[0]);
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[0]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_sci_VectorPointer__gotoFreshPosWritable1__I__I__I__V = (function($thiz, oldIndex, newIndex, xor) {
  $f_sci_VectorPointer__stabilize__I__V($thiz, oldIndex);
  $f_sci_VectorPointer__gotoFreshPosWritable0__I__I__I__V($thiz, oldIndex, newIndex, xor)
});
const $f_sci_VectorPointer__getElem__I__I__O = (function($thiz, index, xor) {
  if ((xor < 32)) {
    return $thiz.display0__AO().u[(31 & index)]
  } else if ((xor < 1024)) {
    return $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 32768)) {
    return $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 1048576)) {
    return $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))].u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 33554432)) {
    return $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))].u[(31 & ((index >>> 15) | 0))].u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 1073741824)) {
    return $thiz.display5__AO().u[(31 & ((index >>> 25) | 0))].u[(31 & ((index >>> 20) | 0))].u[(31 & ((index >>> 15) | 0))].u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_sci_VectorPointer__gotoFreshPosWritable0__I__I__I__V = (function($thiz, oldIndex, newIndex, xor) {
  if ((xor >= 32)) {
    if ((xor < 1024)) {
      if (($thiz.depth__I() === 1)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 32768)) {
      if (($thiz.depth__I() === 2)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 1048576)) {
      if (($thiz.depth__I() === 3)) {
        $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((newIndex >>> 15) | 0))]);
      if (($thiz.display2__AO() === null)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 33554432)) {
      if (($thiz.depth__I() === 4)) {
        $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display4__AO().u[(31 & ((oldIndex >>> 20) | 0))] = $thiz.display3__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((newIndex >>> 20) | 0))]);
      if (($thiz.display3__AO() === null)) {
        $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((newIndex >>> 15) | 0))]);
      if (($thiz.display2__AO() === null)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 1073741824)) {
      if (($thiz.depth__I() === 5)) {
        $thiz.display5$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display5__AO().u[(31 & ((oldIndex >>> 25) | 0))] = $thiz.display4__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display4$und$eq__AO__V($thiz.display5__AO().u[(31 & ((newIndex >>> 25) | 0))]);
      if (($thiz.display4__AO() === null)) {
        $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((newIndex >>> 20) | 0))]);
      if (($thiz.display3__AO() === null)) {
        $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((newIndex >>> 15) | 0))]);
      if (($thiz.display2__AO() === null)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  }
});
const $f_sci_VectorPointer__gotoPosWritable1__I__I__I__V = (function($thiz, oldIndex, newIndex, xor) {
  if ((xor < 32)) {
    const a = $thiz.display0__AO();
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a))
  } else if ((xor < 1024)) {
    const a$1 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$1));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    const array = $thiz.display1__AO();
    const index = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array, index))
  } else if ((xor < 32768)) {
    const a$2 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$2));
    const a$3 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$3));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    const array$1 = $thiz.display2__AO();
    const index$1 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$1, index$1));
    const array$2 = $thiz.display1__AO();
    const index$2 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$2, index$2))
  } else if ((xor < 1048576)) {
    const a$4 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$4));
    const a$5 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$5));
    const a$6 = $thiz.display3__AO();
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$6));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
    const array$3 = $thiz.display3__AO();
    const index$3 = (31 & ((newIndex >>> 15) | 0));
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$3, index$3));
    const array$4 = $thiz.display2__AO();
    const index$4 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$4, index$4));
    const array$5 = $thiz.display1__AO();
    const index$5 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$5, index$5))
  } else if ((xor < 33554432)) {
    const a$7 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$7));
    const a$8 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$8));
    const a$9 = $thiz.display3__AO();
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$9));
    const a$10 = $thiz.display4__AO();
    $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$10));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((oldIndex >>> 20) | 0))] = $thiz.display3__AO();
    const array$6 = $thiz.display4__AO();
    const index$6 = (31 & ((newIndex >>> 20) | 0));
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$6, index$6));
    const array$7 = $thiz.display3__AO();
    const index$7 = (31 & ((newIndex >>> 15) | 0));
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$7, index$7));
    const array$8 = $thiz.display2__AO();
    const index$8 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$8, index$8));
    const array$9 = $thiz.display1__AO();
    const index$9 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$9, index$9))
  } else if ((xor < 1073741824)) {
    const a$11 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$11));
    const a$12 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$12));
    const a$13 = $thiz.display3__AO();
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$13));
    const a$14 = $thiz.display4__AO();
    $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$14));
    const a$15 = $thiz.display5__AO();
    $thiz.display5$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$15));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((oldIndex >>> 20) | 0))] = $thiz.display3__AO();
    $thiz.display5__AO().u[(31 & ((oldIndex >>> 25) | 0))] = $thiz.display4__AO();
    const array$10 = $thiz.display5__AO();
    const index$10 = (31 & ((newIndex >>> 25) | 0));
    $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$10, index$10));
    const array$11 = $thiz.display4__AO();
    const index$11 = (31 & ((newIndex >>> 20) | 0));
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$11, index$11));
    const array$12 = $thiz.display3__AO();
    const index$12 = (31 & ((newIndex >>> 15) | 0));
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$12, index$12));
    const array$13 = $thiz.display2__AO();
    const index$13 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$13, index$13));
    const array$14 = $thiz.display1__AO();
    const index$14 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$14, index$14))
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_sci_VectorPointer__copyRange__AO__I__I__AO = (function($thiz, array, oldLeft, newLeft) {
  const elems = $newArrayObject($d_O.getArrayOf(), [32]);
  $systemArraycopy(array, oldLeft, elems, newLeft, ((32 - ((newLeft > oldLeft) ? newLeft : oldLeft)) | 0));
  return elems
});
const $f_sci_VectorPointer__gotoPos__I__I__V = (function($thiz, index, xor) {
  if ((xor >= 32)) {
    if ((xor < 1024)) {
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 32768)) {
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 1048576)) {
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 33554432)) {
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((index >>> 20) | 0))]);
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 1073741824)) {
      $thiz.display4$und$eq__AO__V($thiz.display5__AO().u[(31 & ((index >>> 25) | 0))]);
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((index >>> 20) | 0))]);
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  }
});
const $f_sci_VectorPointer__gotoPosWritable0__I__I__V = (function($thiz, newIndex, xor) {
  const x1 = (((-1) + $thiz.depth__I()) | 0);
  switch (x1) {
    case 5: {
      const a = $thiz.display5__AO();
      $thiz.display5$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a));
      const array = $thiz.display5__AO();
      const index = (31 & ((newIndex >>> 25) | 0));
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array, index));
      const array$1 = $thiz.display4__AO();
      const index$1 = (31 & ((newIndex >>> 20) | 0));
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$1, index$1));
      const array$2 = $thiz.display3__AO();
      const index$2 = (31 & ((newIndex >>> 15) | 0));
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$2, index$2));
      const array$3 = $thiz.display2__AO();
      const index$3 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$3, index$3));
      const array$4 = $thiz.display1__AO();
      const index$4 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$4, index$4));
      break
    }
    case 4: {
      const a$1 = $thiz.display4__AO();
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$1));
      const array$5 = $thiz.display4__AO();
      const index$5 = (31 & ((newIndex >>> 20) | 0));
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$5, index$5));
      const array$6 = $thiz.display3__AO();
      const index$6 = (31 & ((newIndex >>> 15) | 0));
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$6, index$6));
      const array$7 = $thiz.display2__AO();
      const index$7 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$7, index$7));
      const array$8 = $thiz.display1__AO();
      const index$8 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$8, index$8));
      break
    }
    case 3: {
      const a$2 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$2));
      const array$9 = $thiz.display3__AO();
      const index$9 = (31 & ((newIndex >>> 15) | 0));
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$9, index$9));
      const array$10 = $thiz.display2__AO();
      const index$10 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$10, index$10));
      const array$11 = $thiz.display1__AO();
      const index$11 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$11, index$11));
      break
    }
    case 2: {
      const a$3 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$3));
      const array$12 = $thiz.display2__AO();
      const index$12 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$12, index$12));
      const array$13 = $thiz.display1__AO();
      const index$13 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$13, index$13));
      break
    }
    case 1: {
      const a$4 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$4));
      const array$14 = $thiz.display1__AO();
      const index$14 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$14, index$14));
      break
    }
    case 0: {
      const a$5 = $thiz.display0__AO();
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$5));
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_sci_VectorPointer__stabilize__I__V = (function($thiz, index) {
  const x1 = (((-1) + $thiz.depth__I()) | 0);
  switch (x1) {
    case 5: {
      const a = $thiz.display5__AO();
      $thiz.display5$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a));
      const a$1 = $thiz.display4__AO();
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$1));
      const a$2 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$2));
      const a$3 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$3));
      const a$4 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$4));
      $thiz.display5__AO().u[(31 & ((index >>> 25) | 0))] = $thiz.display4__AO();
      $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO();
      $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 4: {
      const a$5 = $thiz.display4__AO();
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$5));
      const a$6 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$6));
      const a$7 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$7));
      const a$8 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$8));
      $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO();
      $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 3: {
      const a$9 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$9));
      const a$10 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$10));
      const a$11 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$11));
      $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 2: {
      const a$12 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$12));
      const a$13 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$13));
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 1: {
      const a$14 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$14));
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 0: {
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO = (function($thiz, array, index) {
  const x = array.u[index];
  array.u[index] = null;
  const a = x;
  return $f_sci_VectorPointer__copyOf__AO__AO($thiz, a)
});
const $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V = (function($thiz, that, depth) {
  $thiz.depth$und$eq__I__V(depth);
  const x1 = (((-1) + depth) | 0);
  switch (x1) {
    case (-1): {
      break
    }
    case 0: {
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 1: {
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 2: {
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 3: {
      $thiz.display3$und$eq__AO__V(that.display3__AO());
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 4: {
      $thiz.display4$und$eq__AO__V(that.display4__AO());
      $thiz.display3$und$eq__AO__V(that.display3__AO());
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 5: {
      $thiz.display5$und$eq__AO__V(that.display5__AO());
      $thiz.display4$und$eq__AO__V(that.display4__AO());
      $thiz.display3$und$eq__AO__V(that.display3__AO());
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_sci_VectorPointer__gotoNextBlockStartWritable__I__I__V = (function($thiz, index, xor) {
  if ((xor < 1024)) {
    if (($thiz.depth__I() === 1)) {
      $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display1__AO().u[0] = $thiz.display0__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO()
  } else if ((xor < 32768)) {
    if (($thiz.depth__I() === 2)) {
      $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display2__AO().u[0] = $thiz.display1__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO()
  } else if ((xor < 1048576)) {
    if (($thiz.depth__I() === 3)) {
      $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display3__AO().u[0] = $thiz.display2__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO()
  } else if ((xor < 33554432)) {
    if (($thiz.depth__I() === 4)) {
      $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display4__AO().u[0] = $thiz.display3__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO()
  } else if ((xor < 1073741824)) {
    if (($thiz.depth__I() === 5)) {
      $thiz.display5$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display5__AO().u[0] = $thiz.display4__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO();
    $thiz.display5__AO().u[(31 & ((index >>> 25) | 0))] = $thiz.display4__AO()
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O = (function($thiz, elem) {
  return ((elem === null) ? $m_scm_FlatHashTable$NullSentinel$() : elem)
});
const $f_scm_FlatHashTable$HashUtils__entryToElem__O__O = (function($thiz, entry) {
  return ((entry === $m_scm_FlatHashTable$NullSentinel$()) ? null : entry)
});
const $f_scm_FlatHashTable$HashUtils__improve__I__I__I = (function($thiz, hcode, seed) {
  const i = $m_s_util_hashing_package$().byteswap32__I__I(hcode);
  return (((i >>> seed) | 0) | (i << ((-seed) | 0)))
});
const $is_scm_HashEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_HashEntry)))
});
const $isArrayOf_scm_HashEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_HashEntry)))
});
const $d_scm_HashEntry = new $TypeData().initClass({
  scm_HashEntry: 0
}, true, "scala.collection.mutable.HashEntry", {
  scm_HashEntry: 1
});
const $f_scm_HashTable$HashUtils__improve__I__I__I = (function($thiz, hcode, seed) {
  const i = $m_s_util_hashing_package$().byteswap32__I__I(hcode);
  return (((i >>> seed) | 0) | (i << ((-seed) | 0)))
});
class $c_Lamf_AMF$ extends $c_O {
  $$js$exported$meth$oas20Parser__O() {
    return new $c_Lamf_Oas20Parser().init___()
  };
  init___() {
    return this
  };
  $$js$exported$meth$amfGraphParser__O() {
    return new $c_Lamf_AmfGraphParser().init___()
  };
  $$js$exported$meth$oas20Generator__O() {
    return new $c_Lamf_Oas20Generator().init___()
  };
  $$js$exported$meth$resolveAmfGraph__Lamf_model_document_BaseUnit__O(unit) {
    return new $c_Lamf_AmfGraphResolver().init___().resolve__Lamf_model_document_BaseUnit__Lamf_model_document_BaseUnit(unit)
  };
  $$js$exported$meth$raml10Generator__O() {
    return new $c_Lamf_Raml10Generator().init___()
  };
  $$js$exported$meth$ramlParser__O() {
    return new $c_Lamf_RamlParser().init___()
  };
  $$js$exported$meth$resolveOas20__Lamf_model_document_BaseUnit__O(unit) {
    return new $c_Lamf_Oas20Resolver().init___().resolve__Lamf_model_document_BaseUnit__Lamf_model_document_BaseUnit(unit)
  };
  $$js$exported$meth$init__O() {
    return this.init__sjs_js_Promise()
  };
  $$js$exported$meth$raml08Generator__O() {
    return new $c_Lamf_Raml08Generator().init___()
  };
  $$js$exported$meth$raml08Parser__O() {
    return new $c_Lamf_Raml08Parser().init___()
  };
  $$js$exported$meth$resolveRaml10__Lamf_model_document_BaseUnit__O(unit) {
    return new $c_Lamf_Raml10Resolver().init___().resolve__Lamf_model_document_BaseUnit__Lamf_model_document_BaseUnit(unit)
  };
  $$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    $m_Lamf_Core$();
    return $m_Lamf_core_client_Validator$().validate__Lamf_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  $$js$exported$meth$registerDialect__T__O(url) {
    return $m_Lamf_plugins_document_Vocabularies$().registerDialect__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    $m_Lamf_Core$();
    return $m_Lamf_core_client_Validator$().loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$registerNamespace__T__T__O(alias, prefix) {
    return $m_Lamf_Core$().registerNamespace__T__T__Z(alias, prefix)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  $$js$exported$meth$amfGraphGenerator__O() {
    return new $c_Lamf_AmfGraphGenerator().init___()
  };
  $$js$exported$meth$resolveRaml08__Lamf_model_document_BaseUnit__O(unit) {
    return new $c_Lamf_Raml08Resolver().init___().resolve__Lamf_model_document_BaseUnit__Lamf_model_document_BaseUnit(unit)
  };
  $$js$exported$meth$raml10Parser__O() {
    return new $c_Lamf_Raml10Parser().init___()
  };
  init__sjs_js_Promise() {
    $m_Lamf_plugins_document_WebApi$().register__V();
    $m_Lamf_plugins_document_Vocabularies$().register__V();
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_features_validation_AMFValidatorPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin);
    return $m_Lamf_Core$().init__sjs_js_Promise()
  };
  "resolveAmfGraph"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveAmfGraph__Lamf_model_document_BaseUnit__O(prep0)
  };
  "resolveOas20"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveOas20__Lamf_model_document_BaseUnit__O(prep0)
  };
  "resolveRaml08"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveRaml08__Lamf_model_document_BaseUnit__O(prep0)
  };
  "resolveRaml10"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveRaml10__Lamf_model_document_BaseUnit__O(prep0)
  };
  "registerDialect"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$registerDialect__T__O(prep0)
  };
  "registerNamespace"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$registerNamespace__T__T__O(prep0, prep1)
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
  "amfGraphGenerator"() {
    return this.$$js$exported$meth$amfGraphGenerator__O()
  };
  "amfGraphParser"() {
    return this.$$js$exported$meth$amfGraphParser__O()
  };
  "oas20Generator"() {
    return this.$$js$exported$meth$oas20Generator__O()
  };
  "oas20Parser"() {
    return this.$$js$exported$meth$oas20Parser__O()
  };
  "raml08Generator"() {
    return this.$$js$exported$meth$raml08Generator__O()
  };
  "raml08Parser"() {
    return this.$$js$exported$meth$raml08Parser__O()
  };
  "raml10Generator"() {
    return this.$$js$exported$meth$raml10Generator__O()
  };
  "ramlParser"() {
    return this.$$js$exported$meth$ramlParser__O()
  };
  "raml10Parser"() {
    return this.$$js$exported$meth$raml10Parser__O()
  };
  "init"() {
    return this.$$js$exported$meth$init__O()
  };
}
const $d_Lamf_AMF$ = new $TypeData().initClass({
  Lamf_AMF$: 0
}, false, "amf.AMF$", {
  Lamf_AMF$: 1,
  O: 1
});
$c_Lamf_AMF$.prototype.$classData = $d_Lamf_AMF$;
let $n_Lamf_AMF$ = (void 0);
const $m_Lamf_AMF$ = (function() {
  if ((!$n_Lamf_AMF$)) {
    $n_Lamf_AMF$ = new $c_Lamf_AMF$().init___()
  };
  return $n_Lamf_AMF$
});
class $c_Lamf_CoreWrapper$ extends $c_O {
  init___() {
    return this
  };
  $$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(plugin) {
    $m_Lamf_Core$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  $$js$exported$meth$generator__T__T__O(vendor, mediaType) {
    $m_Lamf_Core$();
    return new $c_Lamf_core_client_Generator().init___T__T(vendor, mediaType)
  };
  $$js$exported$meth$init__O() {
    return $m_Lamf_Core$().init__sjs_js_Promise()
  };
  $$js$exported$meth$parser__T__T__O(vendor, mediaType) {
    $m_Lamf_Core$();
    return new $c_Lamf_core_client_Parser().init___T__T(vendor, mediaType)
  };
  $$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    $m_Lamf_Core$();
    return $m_Lamf_core_client_Validator$().validate__Lamf_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    $m_Lamf_Core$();
    return $m_Lamf_core_client_Validator$().loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$registerNamespace__T__T__O(alias, prefix) {
    return $m_Lamf_Core$().registerNamespace__T__T__Z(alias, prefix)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  $$js$exported$meth$resolver__T__O(vendor) {
    $m_Lamf_Core$();
    return new $c_Lamf_core_client_Resolver().init___T(vendor)
  };
  "registerPlugin"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(prep0)
  };
  "registerNamespace"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$registerNamespace__T__T__O(prep0, prep1)
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
  "resolver"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolver__T__O(prep0)
  };
  "generator"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$generator__T__T__O(prep0, prep1)
  };
  "parser"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$parser__T__T__O(prep0, prep1)
  };
  "init"() {
    return this.$$js$exported$meth$init__O()
  };
}
const $d_Lamf_CoreWrapper$ = new $TypeData().initClass({
  Lamf_CoreWrapper$: 0
}, false, "amf.CoreWrapper$", {
  Lamf_CoreWrapper$: 1,
  O: 1
});
$c_Lamf_CoreWrapper$.prototype.$classData = $d_Lamf_CoreWrapper$;
let $n_Lamf_CoreWrapper$ = (void 0);
const $m_Lamf_CoreWrapper$ = (function() {
  if ((!$n_Lamf_CoreWrapper$)) {
    $n_Lamf_CoreWrapper$ = new $c_Lamf_CoreWrapper$().init___()
  };
  return $n_Lamf_CoreWrapper$
});
class $c_Lamf_DocumentPluginsWrapper$ extends $c_O {
  constructor() {
    super();
    this.WebApi$1 = null;
    this.Vocabularies$1 = null
  };
  init___() {
    $n_Lamf_DocumentPluginsWrapper$ = this;
    this.WebApi$1 = $m_Lamf_plugins_document_WebApi$();
    this.Vocabularies$1 = $m_Lamf_plugins_document_Vocabularies$();
    return this
  };
  $$js$exported$prop$Vocabularies__O() {
    return this.Vocabularies$1
  };
  $$js$exported$prop$WebApi__O() {
    return this.WebApi$1
  };
  get "Vocabularies"() {
    return this.$$js$exported$prop$Vocabularies__O()
  };
  get "WebApi"() {
    return this.$$js$exported$prop$WebApi__O()
  };
}
const $d_Lamf_DocumentPluginsWrapper$ = new $TypeData().initClass({
  Lamf_DocumentPluginsWrapper$: 0
}, false, "amf.DocumentPluginsWrapper$", {
  Lamf_DocumentPluginsWrapper$: 1,
  O: 1
});
$c_Lamf_DocumentPluginsWrapper$.prototype.$classData = $d_Lamf_DocumentPluginsWrapper$;
let $n_Lamf_DocumentPluginsWrapper$ = (void 0);
const $m_Lamf_DocumentPluginsWrapper$ = (function() {
  if ((!$n_Lamf_DocumentPluginsWrapper$)) {
    $n_Lamf_DocumentPluginsWrapper$ = new $c_Lamf_DocumentPluginsWrapper$().init___()
  };
  return $n_Lamf_DocumentPluginsWrapper$
});
class $c_Lamf_FeaturesPluginsWrapper$ extends $c_O {
  constructor() {
    super();
    this.AMFValidation$1 = null
  };
  init___() {
    $n_Lamf_FeaturesPluginsWrapper$ = this;
    this.AMFValidation$1 = $m_Lamf_plugins_features_AMFValidation$();
    return this
  };
  $$js$exported$prop$AMFValidation__O() {
    return this.AMFValidation$1
  };
  get "AMFValidation"() {
    return this.$$js$exported$prop$AMFValidation__O()
  };
}
const $d_Lamf_FeaturesPluginsWrapper$ = new $TypeData().initClass({
  Lamf_FeaturesPluginsWrapper$: 0
}, false, "amf.FeaturesPluginsWrapper$", {
  Lamf_FeaturesPluginsWrapper$: 1,
  O: 1
});
$c_Lamf_FeaturesPluginsWrapper$.prototype.$classData = $d_Lamf_FeaturesPluginsWrapper$;
let $n_Lamf_FeaturesPluginsWrapper$ = (void 0);
const $m_Lamf_FeaturesPluginsWrapper$ = (function() {
  if ((!$n_Lamf_FeaturesPluginsWrapper$)) {
    $n_Lamf_FeaturesPluginsWrapper$ = new $c_Lamf_FeaturesPluginsWrapper$().init___()
  };
  return $n_Lamf_FeaturesPluginsWrapper$
});
class $c_Lamf_PluginsWrapper$ extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.features$1 = null
  };
  init___() {
    $n_Lamf_PluginsWrapper$ = this;
    this.document$1 = $m_Lamf_DocumentPluginsWrapper$();
    this.features$1 = $m_Lamf_FeaturesPluginsWrapper$();
    return this
  };
  $$js$exported$prop$features__O() {
    return this.features$1
  };
  $$js$exported$prop$document__O() {
    return this.document$1
  };
  get "features"() {
    return this.$$js$exported$prop$features__O()
  };
  get "document"() {
    return this.$$js$exported$prop$document__O()
  };
}
const $d_Lamf_PluginsWrapper$ = new $TypeData().initClass({
  Lamf_PluginsWrapper$: 0
}, false, "amf.PluginsWrapper$", {
  Lamf_PluginsWrapper$: 1,
  O: 1
});
$c_Lamf_PluginsWrapper$.prototype.$classData = $d_Lamf_PluginsWrapper$;
let $n_Lamf_PluginsWrapper$ = (void 0);
const $m_Lamf_PluginsWrapper$ = (function() {
  if ((!$n_Lamf_PluginsWrapper$)) {
    $n_Lamf_PluginsWrapper$ = new $c_Lamf_PluginsWrapper$().init___()
  };
  return $n_Lamf_PluginsWrapper$
});
class $c_Lamf_ProfileNames$ extends $c_O {
  constructor() {
    super();
    this.AMF$1 = null;
    this.OAS$1 = null;
    this.RAML$1 = null;
    this.RAML08$1 = null
  };
  init___() {
    this.AMF$1 = "AMF";
    this.OAS$1 = "OpenAPI";
    this.RAML$1 = "RAML";
    this.RAML08$1 = "RAML08";
    return this
  };
}
const $d_Lamf_ProfileNames$ = new $TypeData().initClass({
  Lamf_ProfileNames$: 0
}, false, "amf.ProfileNames$", {
  Lamf_ProfileNames$: 1,
  O: 1
});
$c_Lamf_ProfileNames$.prototype.$classData = $d_Lamf_ProfileNames$;
let $n_Lamf_ProfileNames$ = (void 0);
const $m_Lamf_ProfileNames$ = (function() {
  if ((!$n_Lamf_ProfileNames$)) {
    $n_Lamf_ProfileNames$ = new $c_Lamf_ProfileNames$().init___()
  };
  return $n_Lamf_ProfileNames$
});
class $c_Lamf_client_commands_CmdLineParser$ extends $c_O {
  constructor() {
    super();
    this.parser$1 = null
  };
  init___() {
    $n_Lamf_client_commands_CmdLineParser$ = this;
    this.parser$1 = new $c_Lamf_client_commands_CmdLineParser$$anon$1().init___();
    return this
  };
  parse__AT__s_Option(args) {
    return this.parser$1.parse__sc_Seq__O__s_Option($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(args), new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc($m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), false, true, $m_Lamf_ProfileNames$().AMF$1, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_Lamf_core_client_StdOutWriter$(), $m_Lamf_core_client_StdErrWriter$(), $m_Lamf_core_client_RuntimeProc$()))
  };
  knownSpec__T__Z(f) {
    return (((((((($m_Lamf_ProfileNames$().RAML$1 === f) || ($m_Lamf_ProfileNames$().RAML08$1 === f)) || ($m_Lamf_ProfileNames$().OAS$1 === f)) || ($m_Lamf_ProfileNames$().AMF$1 === f)) || (f === "RAML 1.0")) || (f === "RAML 0.8")) || (f === "OAS 2.0")) || (f === "RAML Vocabulary"))
  };
}
const $d_Lamf_client_commands_CmdLineParser$ = new $TypeData().initClass({
  Lamf_client_commands_CmdLineParser$: 0
}, false, "amf.client.commands.CmdLineParser$", {
  Lamf_client_commands_CmdLineParser$: 1,
  O: 1
});
$c_Lamf_client_commands_CmdLineParser$.prototype.$classData = $d_Lamf_client_commands_CmdLineParser$;
let $n_Lamf_client_commands_CmdLineParser$ = (void 0);
const $m_Lamf_client_commands_CmdLineParser$ = (function() {
  if ((!$n_Lamf_client_commands_CmdLineParser$)) {
    $n_Lamf_client_commands_CmdLineParser$ = new $c_Lamf_client_commands_CmdLineParser$().init___()
  };
  return $n_Lamf_client_commands_CmdLineParser$
});
class $c_Lamf_core_AMF$ extends $c_O {
  constructor() {
    super();
    this.initializedPlugins$1 = null
  };
  init___() {
    $n_Lamf_core_AMF$ = this;
    const array = [$m_Lamf_plugins_syntax_SYamlSyntaxPlugin$().ID$2, $m_Lamf_plugins_document_graph_AMFGraphPlugin$().ID$2, $m_Lamf_plugins_syntax_SYamlSyntaxPlugin$().ID$2];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = new $c_scm_HashSet().init___()
    } else {
      const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_HashSet().init___());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_GrowingBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.initializedPlugins$1 = jsx$1;
    return this
  };
  processInitializations__sc_Seq__s_concurrent_Future(plugins) {
    _processInitializations: while (true) {
      if (plugins.isEmpty__Z()) {
        return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
          return (function() {
            return (void 0)
          })
        })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      } else {
        const nextPlugin = plugins.head__O();
        if (this.initializedPlugins$1.contains__O__Z(nextPlugin.ID__T())) {
          plugins = plugins.tail__O();
          continue _processInitializations
        } else {
          const notInitializedYet = nextPlugin.dependencies__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
            return (function(plugin$2) {
              const plugin = plugin$2;
              return (!this$2.initializedPlugins$1.contains__O__Z(plugin.ID__T()))
            })
          })(this)));
          return this.processInitializations__sc_Seq__s_concurrent_Future(notInitializedYet).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, nextPlugin$1) {
            return (function(x$3$2) {
              return nextPlugin$1.init__s_concurrent_Future().map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, nextPlugin$1$1) {
                return (function(x$4$2) {
                  return $this$1.initializedPlugins$1.$$plus$eq__O__scm_SetLike(nextPlugin$1$1.ID__T())
                })
              })(this$3, nextPlugin$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
            })
          })(this, nextPlugin)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, plugins$1) {
            return (function(x$5$2) {
              return this$4.processInitializations__sc_Seq__s_concurrent_Future(plugins$1.tail__O())
            })
          })(this, plugins)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      }
    }
  };
  init__s_concurrent_Future() {
    $m_Lamf_core_AMFCompiler$().init__V();
    $m_Lamf_core_AMFSerializer$().init__V();
    const registeredSYamlPlugin = $m_Lamf_plugins_syntax_SYamlSyntaxPlugin$().init__s_concurrent_Future();
    const registeredAMFGraphPlugin = $m_Lamf_plugins_document_graph_AMFGraphPlugin$().init__s_concurrent_Future();
    const parserSideValidation = new $c_Lamf_plugins_features_validation_ParserSideValidationPlugin().init___();
    const registeredParserSideValidationPugin = parserSideValidation.init__s_concurrent_Future();
    const jsx$2 = $m_s_concurrent_Future$();
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([registeredSYamlPlugin, registeredAMFGraphPlugin, registeredParserSideValidationPugin]));
    const this$1 = $m_sc_Seq$();
    return jsx$2.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(jsx$1, this$1.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        return $this.processInitializations__sc_Seq__s_concurrent_Future($m_Lamf_core_registries_AMFPluginsRegistry$().plugins__sc_Iterable().toSeq__sc_Seq())
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, parserSideValidation$1) {
      return (function(x$2$2) {
        $m_Lamf_core_registries_AMFPluginsRegistry$().registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V($m_Lamf_plugins_syntax_SYamlSyntaxPlugin$());
        $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_graph_AMFGraphPlugin$());
        $m_Lamf_core_registries_AMFPluginsRegistry$().registerFeaturePlugin__Lamf_core_plugins_AMFFeaturePlugin__V(parserSideValidation$1)
      })
    })(this, parserSideValidation)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin) {
    if ($is_Lamf_core_plugins_AMFSyntaxPlugin(plugin)) {
      const x2 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V(x2)
    } else if ($is_Lamf_core_plugins_AMFDocumentPlugin(plugin)) {
      const x3 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V(x3)
    } else if ($is_Lamf_core_plugins_AMFDomainPlugin(plugin)) {
      const x4 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerDomainPlugin__Lamf_core_plugins_AMFDomainPlugin__V(x4)
    } else if ($is_Lamf_core_plugins_AMFFeaturePlugin(plugin)) {
      const x5 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerFeaturePlugin__Lamf_core_plugins_AMFFeaturePlugin__V(x5)
    } else {
      throw new $c_s_MatchError().init___O(plugin)
    }
  };
}
const $d_Lamf_core_AMF$ = new $TypeData().initClass({
  Lamf_core_AMF$: 0
}, false, "amf.core.AMF$", {
  Lamf_core_AMF$: 1,
  O: 1
});
$c_Lamf_core_AMF$.prototype.$classData = $d_Lamf_core_AMF$;
let $n_Lamf_core_AMF$ = (void 0);
const $m_Lamf_core_AMF$ = (function() {
  if ((!$n_Lamf_core_AMF$)) {
    $n_Lamf_core_AMF$ = new $c_Lamf_core_AMF$().init___()
  };
  return $n_Lamf_core_AMF$
});
class $c_Lamf_core_AMFCompiler extends $c_O {
  constructor() {
    super();
    this.context$1 = null;
    this.location$1 = null;
    this.rawUrl$1 = null;
    this.remote$1 = null;
    this.base$1 = null;
    this.mediaType$1 = null;
    this.vendor$1 = null;
    this.referenceKind$1 = null;
    this.cache$1 = null;
    this.baseContext$1 = null;
    this.url$1 = null;
    this.amf$core$AMFCompiler$$ctx$1 = null;
    this.bitmap$0$1 = 0
  };
  location$lzycompute__p1__T() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.location$1 = this.context__p1__Lamf_core_remote_Context().current__T();
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.location$1
  };
  parseDomain__p1__Lamf_core_Root__s_concurrent_Future(document) {
    const x1 = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForVendor__T__sc_Seq(this.vendor$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, document$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.canParse__Lamf_core_Root__Z(document$1)
      })
    })(this, document)));
    let domainPluginOption;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainPlugin = x2.value$2;
      domainPluginOption = new $c_s_Some().init___O(domainPlugin)
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      domainPluginOption = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForMediaType__T__sc_Seq(document.mediatype$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, document$2) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          return x$5.canParse__Lamf_core_Root__Z(document$2)
        })
      })(this, document)))
    };
    let futureDocument;
    if ($is_s_Some(domainPluginOption)) {
      const x2$2 = domainPluginOption;
      const domainPlugin$2 = x2$2.value$2;
      futureDocument = this.parseReferences__p1__Lamf_core_Root__Lamf_core_plugins_AMFDocumentPlugin__s_concurrent_Future(document, domainPlugin$2).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, document$3, domainPlugin$2$1) {
        return (function(documentWithReferences$2) {
          const documentWithReferences = documentWithReferences$2;
          const x1$1 = domainPlugin$2$1.parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(documentWithReferences, this$3.amf$core$AMFCompiler$$ctx$1, this$3.remote$1);
          if ($is_s_Some(x1$1)) {
            const x2$1 = x1$1;
            const baseUnit = x2$1.value$2;
            const raw = document$3.raw$1;
            return $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit(baseUnit, raw)
          } else {
            const x$1 = $m_s_None$();
            if ((x$1 === x1$1)) {
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$6 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const value = document$3.location$1;
              const this$12 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, value);
              const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
              const this$10 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
              const text = document$3.raw$1;
              const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
              const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$10, field, text);
              const mediaType = document$3.mediatype$1;
              const field$1 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
              const encoded = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$1, mediaType);
              const field$2 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$12, field$2, encoded)
            } else {
              throw new $c_s_MatchError().init___O(x1$1)
            }
          }
        })
      })(this, document, domainPlugin$2)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      const x$3 = $m_s_None$();
      if ((!(x$3 === domainPluginOption))) {
        throw new $c_s_MatchError().init___O(domainPluginOption)
      };
      const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
      const this$16 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
      const value$1 = document.location$1;
      const this$22 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$16, value$1);
      const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
      const this$20 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
      const text$1 = document.raw$1;
      const field$3 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
      const this$21 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$20, field$3, text$1);
      const mediaType$1 = document.mediatype$1;
      const field$4 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
      const encoded$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$21, field$4, mediaType$1);
      const field$5 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      const fragment = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$22, field$5, encoded$1);
      futureDocument = $m_s_concurrent_Future$().successful__O__s_concurrent_Future(fragment)
    };
    return futureDocument.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(baseUnit$2) {
        const baseUnit$1 = baseUnit$2;
        return $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(baseUnit$1, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1) {
          return (function(x0$3$2, x1$3$2) {
            const x0$3 = x0$3$2;
            return x0$3
          })
        })(this$4$1)))
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  parseExternalFragment__Lamf_core_remote_Content__s_concurrent_Future(content) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const text = content.stream$1.toString__T();
    const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, text);
    const this$5 = content.mime$1;
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const mime = arg1;
      const field$1 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field$1, mime)
    };
    const jsx$1 = $m_s_concurrent_Future$();
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const this$9 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
    const value = content.url$1;
    const this$10 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$9, value);
    const field$2 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field$2, result);
    const location = content.url$1;
    const field$3 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    return jsx$1.successful__O__s_concurrent_Future($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$3, location))
  };
  parseDomain__p1__s_util_Either__s_concurrent_Future(parsed) {
    if ($is_s_util_Left(parsed)) {
      const x2 = parsed;
      const content = x2.value$2;
      return this.parseExternalFragment__Lamf_core_remote_Content__s_concurrent_Future(content)
    } else if ($is_s_util_Right(parsed)) {
      const x3 = parsed;
      const document = x3.value$2;
      return this.parseDomain__p1__Lamf_core_Root__s_concurrent_Future(document)
    } else {
      throw new $c_s_MatchError().init___O(parsed)
    }
  };
  location__p1__T() {
    return (((2 & this.bitmap$0$1) === 0) ? this.location$lzycompute__p1__T() : this.location$1)
  };
  build__s_concurrent_Future() {
    if (this.context__p1__Lamf_core_remote_Context().hasCycles__Z()) {
      return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_Lamf_core_exception_CyclicReferenceException().init___sci_List(this.context__p1__Lamf_core_remote_Context().history$1))
    } else {
      const this$1 = this.cache$1;
      const url = this.location__p1__T();
      const x1 = this$1.cache$1.get__O__s_Option(url);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const value = x2.value$2;
        return value
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const value$2 = this.compile__p1__s_concurrent_Future();
          this$1.cache$1 = this$1.cache$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(url, value$2));
          return value$2
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  };
  parseSyntax__p1__Lamf_core_remote_Content__s_util_Either(inputContent) {
    const content = $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(inputContent, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x0$1$2, x1$1$2) {
        const x0$1 = x0$1$2;
        return x0$1
      })
    })(this)));
    const this$1 = content.mime$1;
    const this$2 = (this$1.isEmpty__Z() ? this.mediaType$1 : this$1);
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const mime = arg1;
      const this$3 = $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(mime);
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const x$2 = arg1$1;
        this$4 = x$2.parse__T__jl_CharSequence__Lamf_core_parser_ParserContext__s_Option(mime, content.stream$1, this.amf$core$AMFCompiler$$ctx$1)
      }
    };
    let parsed;
    if (this$4.isEmpty__Z()) {
      const this$5 = $m_Lamf_core_remote_FileMediaType$();
      const path = content.url$1;
      const this$6 = $f_Lamf_core_remote_FileMediaType__extension__T__s_Option(this$5, path);
      let this$8;
      if (this$6.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$2 = this$6.get__O();
        const extension = arg1$2;
        const this$7 = $m_Lamf_core_remote_FileMediaType$();
        this$8 = $f_Lamf_core_remote_FileMediaType__mimeFromExtension__T__s_Option(this$7, extension)
      };
      if (this$8.isEmpty__Z()) {
        parsed = $m_s_None$()
      } else {
        const arg1$3 = this$8.get__O();
        const mime$1 = arg1$3;
        const this$9 = $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(mime$1);
        if (this$9.isEmpty__Z()) {
          parsed = $m_s_None$()
        } else {
          const arg1$4 = this$9.get__O();
          const x$3 = arg1$4;
          parsed = x$3.parse__T__jl_CharSequence__Lamf_core_parser_ParserContext__s_Option(mime$1, content.stream$1, this.amf$core$AMFCompiler$$ctx$1)
        }
      }
    } else {
      parsed = this$4
    };
    if ($is_s_Some(parsed)) {
      const x2 = parsed;
      const inputDocument = x2.value$2;
      const document = $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(inputDocument, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$5$1) {
        return (function(x0$2$2, x1$2$2) {
          const x0$2 = x0$2$2;
          return x0$2
        })
      })(this)));
      $m_s_package$();
      const jsx$2 = content.url$1;
      const this$10 = content.mime$1;
      let jsx$1;
      if (this$10.isEmpty__Z()) {
        const this$11 = this.mediaType$1;
        jsx$1 = (this$11.isEmpty__Z() ? "" : this$11.get__O())
      } else {
        jsx$1 = this$10.get__O()
      };
      const value = new $c_Lamf_core_Root().init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(document, jsx$2, jsx$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this.referenceKind$1, this.vendor$1, content.stream$1.toString__T());
      return new $c_s_util_Right().init___O(value)
    } else {
      const x = $m_s_None$();
      if ((x === parsed)) {
        $m_s_package$();
        return new $c_s_util_Left().init___O(content)
      } else {
        throw new $c_s_MatchError().init___O(parsed)
      }
    }
  };
  compile__p1__s_concurrent_Future() {
    return this.remote$1.resolve__T__s_Option__s_concurrent_Future(this.location__p1__T(), this.base$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(inputContent$2) {
        const inputContent = inputContent$2;
        return $this.parseSyntax__p1__Lamf_core_remote_Content__s_util_Either(inputContent)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(parsed$2) {
        const parsed = parsed$2;
        return this$2.parseDomain__p1__s_util_Either__s_concurrent_Future(parsed)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  init___T__Lamf_core_remote_Platform__s_Option__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option(rawUrl, remote, base, mediaType, vendor, referenceKind, cache, baseContext) {
    this.rawUrl$1 = rawUrl;
    this.remote$1 = remote;
    this.base$1 = base;
    this.mediaType$1 = mediaType;
    this.vendor$1 = vendor;
    this.referenceKind$1 = referenceKind;
    this.cache$1 = cache;
    this.baseContext$1 = baseContext;
    this.url$1 = new $c_Ljava_net_URI().init___T(rawUrl).normalize__Ljava_net_URI().origStr$1;
    let jsx$1;
    if (baseContext.isEmpty__Z()) {
      const jsx$2 = this.url$1;
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$4 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations(jsx$2, this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___())
    } else {
      jsx$1 = baseContext.get__O()
    };
    this.amf$core$AMFCompiler$$ctx$1 = jsx$1;
    return this
  };
  parseReferences__p1__Lamf_core_Root__Lamf_core_plugins_AMFDocumentPlugin__s_concurrent_Future(root, domainPlugin) {
    const handler = domainPlugin.referenceHandler__Lamf_core_parser_ReferenceHandler();
    const refs = handler.collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__sc_Seq(root.parsed$1, this.amf$core$AMFCompiler$$ctx$1);
    const jsx$2 = refs.distinct__O().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.isRemote__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, domainPlugin$1, handler$1) {
      return (function(link$2) {
        const link = link$2;
        return link.resolve__Lamf_core_remote_Context__s_Option__T__Lamf_core_remote_Cache__Lamf_core_parser_ParserContext__s_concurrent_Future(this$2.context__p1__Lamf_core_remote_Context(), $m_s_None$(), domainPlugin$1.ID__T(), this$2.cache$1, this$2.amf$core$AMFCompiler$$ctx$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, handler$1$1, link$1) {
          return (function(u$2) {
            const u = u$2;
            const reference = new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(u, link$1, $m_s_None$());
            return handler$1$1.update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__s_concurrent_Future(reference, $this$1.amf$core$AMFCompiler$$ctx$1, $this$1.context__p1__Lamf_core_remote_Context()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
              return (function(x$7$2) {
                const x$7 = x$7$2;
                return new $c_s_Some().init___O(x$7)
              })
            })($this$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
          })
        })(this$2, handler$1, link)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1().init___Lamf_core_AMFCompiler__Lamf_core_parser_Reference(this$2, link), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      })
    })(this, domainPlugin, handler));
    const this$3 = $m_sc_Seq$();
    const units = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const jsx$3 = $m_s_concurrent_Future$();
    const this$4 = $m_sc_Seq$();
    return jsx$3.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(units, this$4.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, root$1, domainPlugin$2) {
      return (function(rs$2) {
        const rs = rs$2;
        const x$9 = rs.flatten__F1__sc_GenTraversable(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
          return (function(xo$2) {
            const xo = xo$2;
            return xo.toList__sci_List()
          })
        })(this$3$1)));
        const x$10 = domainPlugin$2.ID__T();
        const x$11 = root$1.parsed$1;
        const x$12 = root$1.location$1;
        const x$13 = root$1.mediatype$1;
        const x$14 = root$1.referenceKind$1;
        const x$15 = root$1.raw$1;
        return new $c_Lamf_core_Root().init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(x$11, x$12, x$13, x$9, x$14, x$10, x$15)
      })
    })(this, root, domainPlugin)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  context__p1__Lamf_core_remote_Context() {
    return (((1 & this.bitmap$0$1) === 0) ? this.context$lzycompute__p1__Lamf_core_remote_Context() : this.context$1)
  };
  context$lzycompute__p1__Lamf_core_remote_Context() {
    if (((1 & this.bitmap$0$1) === 0)) {
      const this$1 = this.base$1;
      let this$2;
      if (this$1.isEmpty__Z()) {
        this$2 = $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const x$1 = arg1;
        this$2 = new $c_s_Some().init___O(x$1.update__T__Lamf_core_remote_Context(this.url$1))
      };
      this.context$1 = (this$2.isEmpty__Z() ? $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__T__Lamf_core_remote_Context(this.remote$1, this.url$1) : this$2.get__O());
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.context$1
  };
}
const $d_Lamf_core_AMFCompiler = new $TypeData().initClass({
  Lamf_core_AMFCompiler: 0
}, false, "amf.core.AMFCompiler", {
  Lamf_core_AMFCompiler: 1,
  O: 1
});
$c_Lamf_core_AMFCompiler.prototype.$classData = $d_Lamf_core_AMFCompiler;
class $c_Lamf_core_AMFCompiler$ extends $c_O {
  init___() {
    return this
  };
  init__V() {
    if ($m_Lamf_core_services_RuntimeCompiler$().compiler$1.isEmpty__Z()) {
      $m_Lamf_core_services_RuntimeCompiler$().register__Lamf_core_services_RuntimeCompiler__V(new $c_Lamf_core_AMFCompiler$$$Lambda$1().init___O((function($this) {
        return (function(url$2, base$2, mediaType$2, vendor$2, referenceKind$2, cache$2, ctx$2) {
          const url = url$2;
          const base = base$2;
          const mediaType = mediaType$2;
          const vendor = vendor$2;
          const referenceKind = referenceKind$2;
          const cache = cache$2;
          const ctx = ctx$2;
          return new $c_Lamf_core_AMFCompiler().init___T__Lamf_core_remote_Platform__s_Option__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option(url, base.platform$1, new $c_s_Some().init___O(base), mediaType, vendor, referenceKind, cache, ctx).build__s_concurrent_Future()
        })
      })(this)))
    }
  };
}
const $d_Lamf_core_AMFCompiler$ = new $TypeData().initClass({
  Lamf_core_AMFCompiler$: 0
}, false, "amf.core.AMFCompiler$", {
  Lamf_core_AMFCompiler$: 1,
  O: 1
});
$c_Lamf_core_AMFCompiler$.prototype.$classData = $d_Lamf_core_AMFCompiler$;
let $n_Lamf_core_AMFCompiler$ = (void 0);
const $m_Lamf_core_AMFCompiler$ = (function() {
  if ((!$n_Lamf_core_AMFCompiler$)) {
    $n_Lamf_core_AMFCompiler$ = new $c_Lamf_core_AMFCompiler$().init___()
  };
  return $n_Lamf_core_AMFCompiler$
});
class $c_Lamf_core_AMFSerializer extends $c_O {
  constructor() {
    super();
    this.unit$1 = null;
    this.mediaType$1 = null;
    this.vendor$1 = null;
    this.options$1 = null
  };
  dump__T() {
    const ast = this.make__Lorg_yaml_model_YDocument();
    const x1 = $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(this.mediaType$1);
    let parsed;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const syntaxPlugin = x2.value$2;
      parsed = syntaxPlugin.unparse__T__Lorg_yaml_model_YDocument__s_Option(this.mediaType$1, ast)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const x1$2 = this.findDomainPlugin__s_Option();
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const domainPlugin = x2$2.value$2;
          const this$1 = domainPlugin.documentSyntaxes__sc_Seq();
          const pf = new $c_Lamf_core_AMFSerializer$$anonfun$1().init___Lamf_core_AMFSerializer(this);
          const this$2 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$1, pf);
          if (this$2.isEmpty__Z()) {
            parsed = $m_s_None$()
          } else {
            const arg1 = this$2.get__O();
            const x0$1 = arg1;
            matchEnd5: {
              if ((x0$1 !== null)) {
                const effectiveMediaType = x0$1.$$und1__O();
                const p2 = x0$1.$$und2__O();
                if ($is_s_Some(p2)) {
                  const x3 = p2;
                  const syntaxPlugin$1 = x3.value$2;
                  parsed = syntaxPlugin$1.unparse__T__Lorg_yaml_model_YDocument__s_Option(effectiveMediaType, ast);
                  break matchEnd5
                }
              };
              parsed = $m_s_None$()
            }
          }
        } else {
          const x$3 = $m_s_None$();
          if ((!(x$3 === x1$2))) {
            throw new $c_s_MatchError().init___O(x1$2)
          };
          parsed = $m_s_None$()
        }
      } else {
        parsed = $m_s_None$()
      }
    };
    if ($is_s_Some(parsed)) {
      const x2$3 = parsed;
      const doc = x2$3.value$2;
      return $objectToString(doc)
    } else {
      const x$5 = $m_s_None$();
      if (((x$5 === parsed) && $is_Lamf_core_model_document_ExternalFragment(this.unit$1))) {
        const this$3 = this.unit$1;
        const this$4 = this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
        return this$4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1)
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported media type ", " and vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.mediaType$1, this.vendor$1]))))
      }
    }
  };
  make__Lorg_yaml_model_YDocument() {
    const x1 = this.findDomainPlugin__s_Option();
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainPlugin = x2.value$2;
      const x1$2 = domainPlugin.unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Option(this.unit$1, this.options$1);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const ast = x2$2.value$2;
        return ast
      } else {
        const x = $m_s_None$();
        if ((x === x1$2)) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error unparsing syntax ", " with domain plugin ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.mediaType$1, domainPlugin.ID__T()]))))
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        }
      }
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot serialize domain model '", "' for detected media type ", " and vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.unit$1.location__T(), this.mediaType$1, this.vendor$1]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions(unit, mediaType, vendor, options) {
    this.unit$1 = unit;
    this.mediaType$1 = mediaType;
    this.vendor$1 = vendor;
    this.options$1 = options;
    return this
  };
  findDomainPlugin__s_Option() {
    const x1 = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForVendor__T__sc_Seq(this.vendor$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(plugin$2) {
        const plugin = plugin$2;
        return (plugin.documentSyntaxes__sc_Seq().contains__O__Z($this.mediaType$1) && plugin.canUnparse__Lamf_core_model_document_BaseUnit__Z($this.unit$1))
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainPlugin = x2.value$2;
      return new $c_s_Some().init___O(domainPlugin)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForMediaType__T__sc_Seq(this.mediaType$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return x$1.canUnparse__Lamf_core_model_document_BaseUnit__Z(this$2.unit$1)
          })
        })(this)))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $d_Lamf_core_AMFSerializer = new $TypeData().initClass({
  Lamf_core_AMFSerializer: 0
}, false, "amf.core.AMFSerializer", {
  Lamf_core_AMFSerializer: 1,
  O: 1
});
$c_Lamf_core_AMFSerializer.prototype.$classData = $d_Lamf_core_AMFSerializer;
class $c_Lamf_core_AMFSerializer$ extends $c_O {
  init___() {
    return this
  };
  init__V() {
    if ($m_Lamf_core_services_RuntimeSerializer$().serializer$1.isEmpty__Z()) {
      $m_Lamf_core_services_RuntimeSerializer$().register__Lamf_core_services_RuntimeSerializer__V(new $c_Lamf_core_AMFSerializer$$anon$1().init___())
    }
  };
}
const $d_Lamf_core_AMFSerializer$ = new $TypeData().initClass({
  Lamf_core_AMFSerializer$: 0
}, false, "amf.core.AMFSerializer$", {
  Lamf_core_AMFSerializer$: 1,
  O: 1
});
$c_Lamf_core_AMFSerializer$.prototype.$classData = $d_Lamf_core_AMFSerializer$;
let $n_Lamf_core_AMFSerializer$ = (void 0);
const $m_Lamf_core_AMFSerializer$ = (function() {
  if ((!$n_Lamf_core_AMFSerializer$)) {
    $n_Lamf_core_AMFSerializer$ = new $c_Lamf_core_AMFSerializer$().init___()
  };
  return $n_Lamf_core_AMFSerializer$
});
class $c_Lamf_core_client_ExitCodes$ extends $c_O {
  constructor() {
    super();
    this.Success$1 = 0;
    this.WrongInvocation$1 = 0;
    this.FailingValidation$1 = 0;
    this.Exception$1 = 0
  };
  init___() {
    this.Success$1 = 0;
    this.WrongInvocation$1 = (-1);
    this.FailingValidation$1 = (-2);
    this.Exception$1 = (-3);
    return this
  };
}
const $d_Lamf_core_client_ExitCodes$ = new $TypeData().initClass({
  Lamf_core_client_ExitCodes$: 0
}, false, "amf.core.client.ExitCodes$", {
  Lamf_core_client_ExitCodes$: 1,
  O: 1
});
$c_Lamf_core_client_ExitCodes$.prototype.$classData = $d_Lamf_core_client_ExitCodes$;
let $n_Lamf_core_client_ExitCodes$ = (void 0);
const $m_Lamf_core_client_ExitCodes$ = (function() {
  if ((!$n_Lamf_core_client_ExitCodes$)) {
    $n_Lamf_core_client_ExitCodes$ = new $c_Lamf_core_client_ExitCodes$().init___()
  };
  return $n_Lamf_core_client_ExitCodes$
});
class $c_Lamf_core_client_GenerationOptions extends $c_O {
  constructor() {
    super();
    this.sources$1 = false
  };
  init___() {
    this.sources$1 = false;
    return this
  };
  withSourceMaps__Lamf_core_client_GenerationOptions() {
    this.sources$1 = true;
    return this
  };
}
const $is_Lamf_core_client_GenerationOptions = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_client_GenerationOptions)))
});
const $isArrayOf_Lamf_core_client_GenerationOptions = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_client_GenerationOptions)))
});
const $d_Lamf_core_client_GenerationOptions = new $TypeData().initClass({
  Lamf_core_client_GenerationOptions: 0
}, false, "amf.core.client.GenerationOptions", {
  Lamf_core_client_GenerationOptions: 1,
  O: 1
});
$c_Lamf_core_client_GenerationOptions.prototype.$classData = $d_Lamf_core_client_GenerationOptions;
class $c_Lamf_core_client_ParsingOptions extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_client_ParsingOptions = new $TypeData().initClass({
  Lamf_core_client_ParsingOptions: 0
}, false, "amf.core.client.ParsingOptions", {
  Lamf_core_client_ParsingOptions: 1,
  O: 1
});
$c_Lamf_core_client_ParsingOptions.prototype.$classData = $d_Lamf_core_client_ParsingOptions;
class $c_Lamf_core_client_PlatformResolver extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null
  };
  init___T(vendor) {
    this.vendor$1 = vendor;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    return $m_Lamf_core_services_RuntimeResolver$().resolve__T__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(this.vendor$1, unit)
  };
}
class $c_Lamf_core_client_Proc extends $c_O {
}
class $c_Lamf_core_client_ProcWriter extends $c_O {
}
class $c_Lamf_core_client_Utils$ extends $c_O {
  init___() {
    return this
  };
  isClient__Z() {
    const v = $g.document;
    return (!(v === (void 0)))
  };
}
const $d_Lamf_core_client_Utils$ = new $TypeData().initClass({
  Lamf_core_client_Utils$: 0
}, false, "amf.core.client.Utils$", {
  Lamf_core_client_Utils$: 1,
  O: 1
});
$c_Lamf_core_client_Utils$.prototype.$classData = $d_Lamf_core_client_Utils$;
let $n_Lamf_core_client_Utils$ = (void 0);
const $m_Lamf_core_client_Utils$ = (function() {
  if ((!$n_Lamf_core_client_Utils$)) {
    $n_Lamf_core_client_Utils$ = new $c_Lamf_core_client_Utils$().init___()
  };
  return $n_Lamf_core_client_Utils$
});
class $c_Lamf_core_client_Validator$ extends $c_O {
  init___() {
    return this
  };
  loadValidationProfile__T__sjs_js_Promise(url) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $m_Lamf_core_services_RuntimeValidator$().loadValidationProfile__T__s_concurrent_Future(url);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  validate__Lamf_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $m_Lamf_core_services_RuntimeValidator$().apply__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model.element__Lamf_core_model_document_BaseUnit(), profileName, messageStyle).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_validation_AMFValidationReport().init___Lamf_core_validation_AMFValidationReport(x$1)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    return this.validate__Lamf_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    return this.loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
}
const $d_Lamf_core_client_Validator$ = new $TypeData().initClass({
  Lamf_core_client_Validator$: 0
}, false, "amf.core.client.Validator$", {
  Lamf_core_client_Validator$: 1,
  O: 1
});
$c_Lamf_core_client_Validator$.prototype.$classData = $d_Lamf_core_client_Validator$;
let $n_Lamf_core_client_Validator$ = (void 0);
const $m_Lamf_core_client_Validator$ = (function() {
  if ((!$n_Lamf_core_client_Validator$)) {
    $n_Lamf_core_client_Validator$ = new $c_Lamf_core_client_Validator$().init___()
  };
  return $n_Lamf_core_client_Validator$
});
class $c_Lamf_core_emitter_BaseEmitters_package$ extends $c_O {
  init___() {
    return this
  };
  traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(emitters, b) {
    emitters.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(e$2) {
        const e = e$2;
        e.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1)
      })
    })(this, b)))
  };
  raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content, tag) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(content);
    $m_Lorg_yaml_model_YNode$();
    const t = tag.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  link__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, id) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str = id.trim();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
  };
  traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(emitters, b) {
    emitters.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(e$2) {
        const e = e$2;
        e.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$1)
      })
    })(this, b)))
  };
  pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(annotations) {
    const this$1 = annotations.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      this$2 = new $c_s_Some().init___O(x$1.range$1.start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_core_emitter_BaseEmitters_package$ = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$: 0
}, false, "amf.core.emitter.BaseEmitters.package$", {
  Lamf_core_emitter_BaseEmitters_package$: 1,
  O: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$;
let $n_Lamf_core_emitter_BaseEmitters_package$ = (void 0);
const $m_Lamf_core_emitter_BaseEmitters_package$ = (function() {
  if ((!$n_Lamf_core_emitter_BaseEmitters_package$)) {
    $n_Lamf_core_emitter_BaseEmitters_package$ = new $c_Lamf_core_emitter_BaseEmitters_package$().init___()
  };
  return $n_Lamf_core_emitter_BaseEmitters_package$
});
class $c_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter(key, f, value, annotations) {
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    return new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry(key, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(f, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value$1, annotations)))
  };
}
const $d_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$: 0
}, false, "amf.core.emitter.BaseEmitters.package$RawValueEmitter$", {
  Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$: 1,
  O: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$;
let $n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = (void 0);
const $m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = (function() {
  if ((!$n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$)) {
    $n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = new $c_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().init___()
  };
  return $n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$
});
const $is_Lamf_core_emitter_EntryEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_EntryEmitter)))
});
const $isArrayOf_Lamf_core_emitter_EntryEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_EntryEmitter)))
});
const $is_Lamf_core_emitter_PartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_PartEmitter)))
});
const $isArrayOf_Lamf_core_emitter_PartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_PartEmitter)))
});
const $is_Lamf_core_metamodel_Obj = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Obj)))
});
const $isArrayOf_Lamf_core_metamodel_Obj = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Obj)))
});
class $c_Lamf_core_model_document_SourceMap extends $c_O {
  constructor() {
    super();
    this.annotations$1 = null
  };
  property__T__Lamf_core_parser_Value__V(element, value) {
    value.annotations$1.serializables__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, element$1) {
      return (function(a$2) {
        const a = a$2;
        const y = a.value__T();
        const tuple = new $c_T2().init___O__O(element$1, y);
        const x1 = $this.annotations$1.get__O__s_Option(a.name__T());
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const values = x2.value$2;
          return values.$$plus$eq__T2__scm_ListMap(tuple)
        } else {
          const x = $m_s_None$();
          if ((x === x1)) {
            const jsx$1 = $this.annotations$1;
            const self = a.name__T();
            const array = [tuple];
            const this$5 = new $c_scm_ListMap().init___();
            let i = 0;
            const len = (array.length | 0);
            while ((i < len)) {
              const index = i;
              const arg1 = array[index];
              this$5.$$plus$eq__T2__scm_ListMap(arg1);
              i = ((1 + i) | 0)
            };
            return jsx$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, this$5))
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this, element)))
  };
  init___scm_ListMap(annotations) {
    this.annotations$1 = annotations;
    return this
  };
  annotation__T__F2(annotation) {
    const x1 = this.annotations$1.get__O__s_Option(annotation);
    let map;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const values = x2.value$2;
      map = values
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const values$2 = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      this.annotations$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(annotation, values$2));
      map = values$2
    };
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, map$1) {
      return (function(key$2, value$2) {
        const key = key$2;
        const value = value$2;
        $f_scm_MapLike__update__O__O__V(map$1, key, value)
      })
    })(this, map))
  };
}
const $is_Lamf_core_model_document_SourceMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_SourceMap)))
});
const $isArrayOf_Lamf_core_model_document_SourceMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_SourceMap)))
});
const $d_Lamf_core_model_document_SourceMap = new $TypeData().initClass({
  Lamf_core_model_document_SourceMap: 0
}, false, "amf.core.model.document.SourceMap", {
  Lamf_core_model_document_SourceMap: 1,
  O: 1
});
$c_Lamf_core_model_document_SourceMap.prototype.$classData = $d_Lamf_core_model_document_SourceMap;
class $c_Lamf_core_model_document_SourceMap$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_Lamf_core_model_document_SourceMap$ = this;
    this.empty$1 = new $c_Lamf_core_model_document_SourceMap().init___scm_ListMap(new $c_scm_ListMap().init___());
    return this
  };
  apply__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_document_SourceMap(id, element) {
    const map = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    element.annotations__Lamf_core_parser_Annotations().serializables__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, map$1) {
      return (function(a$2) {
        const a = a$2;
        const self = a.name__T();
        const y = a.value__T();
        const array = [new $c_T2().init___O__O(id$1, y)];
        const this$5 = new $c_scm_ListMap().init___();
        let i = 0;
        const len = (array.length | 0);
        while ((i < len)) {
          const index = i;
          const arg1 = array[index];
          this$5.$$plus$eq__T2__scm_ListMap(arg1);
          i = ((1 + i) | 0)
        };
        return map$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, this$5))
      })
    })(this, id, map)));
    return new $c_Lamf_core_model_document_SourceMap().init___scm_ListMap(map)
  };
  apply__Lamf_core_model_document_SourceMap() {
    return new $c_Lamf_core_model_document_SourceMap().init___scm_ListMap($m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()))
  };
}
const $d_Lamf_core_model_document_SourceMap$ = new $TypeData().initClass({
  Lamf_core_model_document_SourceMap$: 0
}, false, "amf.core.model.document.SourceMap$", {
  Lamf_core_model_document_SourceMap$: 1,
  O: 1
});
$c_Lamf_core_model_document_SourceMap$.prototype.$classData = $d_Lamf_core_model_document_SourceMap$;
let $n_Lamf_core_model_document_SourceMap$ = (void 0);
const $m_Lamf_core_model_document_SourceMap$ = (function() {
  if ((!$n_Lamf_core_model_document_SourceMap$)) {
    $n_Lamf_core_model_document_SourceMap$ = new $c_Lamf_core_model_document_SourceMap$().init___()
  };
  return $n_Lamf_core_model_document_SourceMap$
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject = (function($thiz, field, values) {
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x$1, new $c_Lamf_core_parser_Annotations().init___())
    })
  })($thiz));
  const this$2 = $m_sc_Seq$();
  const values$1 = values.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
  return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject($thiz, field, values$1)
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject($thiz, field, value$1)
});
const $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject = (function($thiz, value) {
  $thiz.id$und$eq__T__V(value);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject($thiz, field, value$1)
});
const $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject = (function($thiz, field, values) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), ($thiz.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject = (function($thiz, field, values, annotations) {
  $thiz.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), annotations);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject = (function($thiz, field, values, annotations) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), annotations);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, value, ($thiz.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject = (function($thiz, field, values) {
  $thiz.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), ($thiz.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  $thiz.fields__Lamf_core_parser_Fields().add__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Fields($thiz.id__T(), field, value);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject = (function($thiz, field, value, annotations) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, value, annotations);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject($thiz, field, value$1)
});
const $is_Lamf_core_model_domain_AmfObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfObject)))
});
const $isArrayOf_Lamf_core_model_domain_AmfObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfObject)))
});
class $c_Lamf_core_model_domain_Annotation$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(annotation) {
    const x1 = $m_Lamf_core_registries_AMFDomainRegistry$().annotationsRegistry$1.get__O__s_Option(annotation);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const annotationLoader = x2.value$2;
      return new $c_s_Some().init___O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, annotationLoader$1) {
        return (function(annotatedValue$2, objects$2) {
          const annotatedValue = annotatedValue$2;
          const objects = objects$2;
          return annotationLoader$1.unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects)
        })
      })(this, annotationLoader)))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_core_model_domain_Annotation$ = new $TypeData().initClass({
  Lamf_core_model_domain_Annotation$: 0
}, false, "amf.core.model.domain.Annotation$", {
  Lamf_core_model_domain_Annotation$: 1,
  O: 1
});
$c_Lamf_core_model_domain_Annotation$.prototype.$classData = $d_Lamf_core_model_domain_Annotation$;
let $n_Lamf_core_model_domain_Annotation$ = (void 0);
const $m_Lamf_core_model_domain_Annotation$ = (function() {
  if ((!$n_Lamf_core_model_domain_Annotation$)) {
    $n_Lamf_core_model_domain_Annotation$ = new $c_Lamf_core_model_domain_Annotation$().init___()
  };
  return $n_Lamf_core_model_domain_Annotation$
});
class $c_Lamf_core_model_domain_ArrayNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_ArrayNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Array");
    return this
  };
}
const $d_Lamf_core_model_domain_ArrayNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_ArrayNode$: 0
}, false, "amf.core.model.domain.ArrayNode$", {
  Lamf_core_model_domain_ArrayNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_ArrayNode$.prototype.$classData = $d_Lamf_core_model_domain_ArrayNode$;
let $n_Lamf_core_model_domain_ArrayNode$ = (void 0);
const $m_Lamf_core_model_domain_ArrayNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_ArrayNode$)) {
    $n_Lamf_core_model_domain_ArrayNode$ = new $c_Lamf_core_model_domain_ArrayNode$().init___()
  };
  return $n_Lamf_core_model_domain_ArrayNode$
});
class $c_Lamf_core_model_domain_DataNodeOps$ extends $c_O {
  init___() {
    return this
  };
  adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(id, node) {
    node.forceAdopted__T__Lamf_core_model_domain_DataNode(id);
    if ($is_Lamf_core_model_domain_ArrayNode(node)) {
      const x2 = node;
      const this$1 = x2.members$2;
      const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const x$1 = arg1;
        this.adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(x2.id$1, x$1);
        these = these.tail__O()
      }
    } else if ($is_Lamf_core_model_domain_ObjectNode(node)) {
      const x3 = node;
      x3.properties$2.values__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, x3$1) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          return this$2$1.adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(x3$1.id$1, x$2)
        })
      })(this, x3)))
    };
    return node
  };
}
const $d_Lamf_core_model_domain_DataNodeOps$ = new $TypeData().initClass({
  Lamf_core_model_domain_DataNodeOps$: 0
}, false, "amf.core.model.domain.DataNodeOps$", {
  Lamf_core_model_domain_DataNodeOps$: 1,
  O: 1
});
$c_Lamf_core_model_domain_DataNodeOps$.prototype.$classData = $d_Lamf_core_model_domain_DataNodeOps$;
let $n_Lamf_core_model_domain_DataNodeOps$ = (void 0);
const $m_Lamf_core_model_domain_DataNodeOps$ = (function() {
  if ((!$n_Lamf_core_model_domain_DataNodeOps$)) {
    $n_Lamf_core_model_domain_DataNodeOps$ = new $c_Lamf_core_model_domain_DataNodeOps$().init___()
  };
  return $n_Lamf_core_model_domain_DataNodeOps$
});
class $c_Lamf_core_model_domain_LinkNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_LinkNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Link");
    return this
  };
}
const $d_Lamf_core_model_domain_LinkNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_LinkNode$: 0
}, false, "amf.core.model.domain.LinkNode$", {
  Lamf_core_model_domain_LinkNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_LinkNode$.prototype.$classData = $d_Lamf_core_model_domain_LinkNode$;
let $n_Lamf_core_model_domain_LinkNode$ = (void 0);
const $m_Lamf_core_model_domain_LinkNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_LinkNode$)) {
    $n_Lamf_core_model_domain_LinkNode$ = new $c_Lamf_core_model_domain_LinkNode$().init___()
  };
  return $n_Lamf_core_model_domain_LinkNode$
});
class $c_Lamf_core_model_domain_ObjectNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_ObjectNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Object");
    return this
  };
}
const $d_Lamf_core_model_domain_ObjectNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_ObjectNode$: 0
}, false, "amf.core.model.domain.ObjectNode$", {
  Lamf_core_model_domain_ObjectNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_ObjectNode$.prototype.$classData = $d_Lamf_core_model_domain_ObjectNode$;
let $n_Lamf_core_model_domain_ObjectNode$ = (void 0);
const $m_Lamf_core_model_domain_ObjectNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_ObjectNode$)) {
    $n_Lamf_core_model_domain_ObjectNode$ = new $c_Lamf_core_model_domain_ObjectNode$().init___()
  };
  return $n_Lamf_core_model_domain_ObjectNode$
});
const $is_Lamf_core_model_domain_PerpetualAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_PerpetualAnnotation)))
});
const $isArrayOf_Lamf_core_model_domain_PerpetualAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_PerpetualAnnotation)))
});
class $c_Lamf_core_model_domain_ScalarNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_ScalarNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Scalar");
    return this
  };
}
const $d_Lamf_core_model_domain_ScalarNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_ScalarNode$: 0
}, false, "amf.core.model.domain.ScalarNode$", {
  Lamf_core_model_domain_ScalarNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_ScalarNode$.prototype.$classData = $d_Lamf_core_model_domain_ScalarNode$;
let $n_Lamf_core_model_domain_ScalarNode$ = (void 0);
const $m_Lamf_core_model_domain_ScalarNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_ScalarNode$)) {
    $n_Lamf_core_model_domain_ScalarNode$ = new $c_Lamf_core_model_domain_ScalarNode$().init___()
  };
  return $n_Lamf_core_model_domain_ScalarNode$
});
const $is_Lamf_core_model_domain_SerializableAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_SerializableAnnotation)))
});
const $isArrayOf_Lamf_core_model_domain_SerializableAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_SerializableAnnotation)))
});
class $c_Lamf_core_parser_Annotations extends $c_O {
  constructor() {
    super();
    this.amf$core$parser$Annotations$$annotations$1 = null
  };
  init___() {
    this.amf$core$parser$Annotations$$annotations$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  $$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(other) {
    const jsx$2 = this.amf$core$parser$Annotations$$annotations$1;
    const jsx$1 = other.amf$core$parser$Annotations$$annotations$1;
    const this$1 = $m_sc_Seq$();
    this.amf$core$parser$Annotations$$annotations$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  contains__jl_Class__Z(clazz) {
    return this.find__jl_Class__s_Option(clazz).isDefined__Z()
  };
  reject__F1__Lamf_core_parser_Annotations(p) {
    this.amf$core$parser$Annotations$$annotations$1 = this.amf$core$parser$Annotations$$annotations$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
      return (function(a$2) {
        const a = a$2;
        return (!(!(!p$1.apply__O__O(a))))
      })
    })(this, p)));
    return this
  };
  find__jl_Class__s_Option(clazz) {
    const this$1 = this.amf$core$parser$Annotations$$annotations$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, clazz$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return clazz$1.isInstance__O__Z(x$1)
      })
    })(this, clazz)));
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      return new $c_s_Some().init___O(x$2)
    }
  };
  $$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(annotation) {
    const jsx$1 = this.amf$core$parser$Annotations$$annotations$1;
    const this$1 = $m_sc_Seq$();
    this.amf$core$parser$Annotations$$annotations$1 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(annotation, this$1.ReusableCBFInstance$2);
    return this
  };
  serializables__sc_Seq() {
    const pf = new $c_Lamf_core_parser_Annotations$$anonfun$serializables$1().init___Lamf_core_parser_Annotations(this);
    const jsx$1 = this.amf$core$parser$Annotations$$annotations$1;
    const this$1 = $m_sc_Seq$();
    return jsx$1.collect__s_PartialFunction__scg_CanBuildFrom__O(pf, this$1.ReusableCBFInstance$2)
  };
}
const $is_Lamf_core_parser_Annotations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Annotations)))
});
const $isArrayOf_Lamf_core_parser_Annotations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Annotations)))
});
const $d_Lamf_core_parser_Annotations = new $TypeData().initClass({
  Lamf_core_parser_Annotations: 0
}, false, "amf.core.parser.Annotations", {
  Lamf_core_parser_Annotations: 1,
  O: 1
});
$c_Lamf_core_parser_Annotations.prototype.$classData = $d_Lamf_core_parser_Annotations;
class $c_Lamf_core_parser_Annotations$ extends $c_O {
  init___() {
    return this
  };
  apply__sc_Seq__Lamf_core_parser_Annotations(annotations) {
    const result = new $c_Lamf_core_parser_Annotations().init___();
    result.amf$core$parser$Annotations$$annotations$1 = annotations;
    return result
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast) {
    return new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(ast.range__Lorg_mulesoft_lexer_InputRange()))).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SourceAST().init___Lorg_yaml_model_YPart(ast))
  };
}
const $d_Lamf_core_parser_Annotations$ = new $TypeData().initClass({
  Lamf_core_parser_Annotations$: 0
}, false, "amf.core.parser.Annotations$", {
  Lamf_core_parser_Annotations$: 1,
  O: 1
});
$c_Lamf_core_parser_Annotations$.prototype.$classData = $d_Lamf_core_parser_Annotations$;
let $n_Lamf_core_parser_Annotations$ = (void 0);
const $m_Lamf_core_parser_Annotations$ = (function() {
  if ((!$n_Lamf_core_parser_Annotations$)) {
    $n_Lamf_core_parser_Annotations$ = new $c_Lamf_core_parser_Annotations$().init___()
  };
  return $n_Lamf_core_parser_Annotations$
});
class $c_Lamf_core_parser_Declarations extends $c_O {
  constructor() {
    super();
    this.ErrorCustomDomainProperty$module$1 = null;
    this.libraries$1 = null;
    this.fragments$1 = null;
    this.annotations$1 = null;
    this.errorHandler$1 = null;
    this.futureDeclarations$1 = null
  };
  findEquivalent__Lamf_core_model_domain_DomainElement__s_Option(element) {
    if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(element)) {
      const x2 = element;
      return this.findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option(x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1), $m_Lamf_core_parser_SearchScope$All$())
    } else {
      return $m_s_None$()
    }
  };
  init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(libraries, fragments, annotations, errorHandler, futureDeclarations) {
    this.libraries$1 = libraries;
    this.fragments$1 = fragments;
    this.annotations$1 = annotations;
    this.errorHandler$1 = errorHandler;
    this.futureDeclarations$1 = futureDeclarations;
    return this
  };
  $$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations(element) {
    if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(element)) {
      const x2 = element;
      const this$1 = this.futureDeclarations$1;
      const name = x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$1, name, x2);
      const jsx$1 = this.annotations$1;
      const self = x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
      this.annotations$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, x2))
    } else {
      throw new $c_s_MatchError().init___O(element)
    };
    return this
  };
  findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, map, scope) {
    const x = $m_Lamf_core_parser_SearchScope$All$();
    if ((x === scope)) {
      const this$1 = this.inRef$1__p1__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, map, scope);
      return (this$1.isEmpty__Z() ? this.fragments$1.get__O__s_Option(key) : this$1)
    } else {
      const x$3 = $m_Lamf_core_parser_SearchScope$Fragments$();
      if ((x$3 === scope)) {
        return this.fragments$1.get__O__s_Option(key)
      } else {
        const x$5 = $m_Lamf_core_parser_SearchScope$Named$();
        if ((x$5 === scope)) {
          return this.inRef$1__p1__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, map, scope)
        } else {
          throw new $c_s_MatchError().init___O(scope)
        }
      }
    }
  };
  error__T__Lorg_yaml_model_YPart__V(message, ast) {
    this.error__T__s_Option__V(message, $m_s_Option$().apply__O__s_Option(ast))
  };
  declarables__sc_Seq() {
    const this$1 = this.annotations$1;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    return this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.annotations$1
      })
    })(this)), scope);
    const pf = new $c_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2().init___Lamf_core_parser_Declarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  error__T__s_Option__V(message, ast) {
    const x1 = this.errorHandler$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const handler = x2.value$2;
      handler.violation__T__s_Option__V(message, ast)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(message))
    }
  };
  inRef$1__p1__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key$1, map$1, scope$1) {
    const fqn = $m_Lamf_core_utils_package$QName$().apply__T__Lamf_core_utils_package$QName(key$1);
    let result;
    if (fqn.isQualified$1) {
      const this$1 = this.libraries$1.get__O__s_Option(fqn.qualification$1);
      if (this$1.isEmpty__Z()) {
        result = $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const x$2 = arg1;
        result = x$2.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(fqn.name$1, map$1, scope$1)
      }
    } else {
      result = $m_s_None$()
    };
    return (result.isEmpty__Z() ? map$1.apply__O__O(this).get__O__s_Option(key$1) : result)
  };
  getOrCreateLibrary__T__Lamf_core_parser_Declarations(alias) {
    const x1 = this.libraries$1.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lib = x2.value$2;
      return lib
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const x$4 = this.errorHandler$1;
        const x$5 = this.futureDeclarations$1;
        const x$6 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
        const x$7 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
        const x$8 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
        const result = new $c_Lamf_core_parser_Declarations().init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$6, x$7, x$8, x$4, x$5);
        this.libraries$1 = this.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, result));
        return result
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $is_Lamf_core_parser_Declarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Declarations)))
});
const $isArrayOf_Lamf_core_parser_Declarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Declarations)))
});
const $d_Lamf_core_parser_Declarations = new $TypeData().initClass({
  Lamf_core_parser_Declarations: 0
}, false, "amf.core.parser.Declarations", {
  Lamf_core_parser_Declarations: 1,
  O: 1
});
$c_Lamf_core_parser_Declarations.prototype.$classData = $d_Lamf_core_parser_Declarations;
class $c_Lamf_core_parser_Declarations$ extends $c_O {
  init___() {
    return this
  };
  apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_core_parser_Declarations(declarations, errorHandler, futureDeclarations) {
    const x$11 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$12 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$13 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_core_parser_Declarations().init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$11, x$12, x$13, errorHandler, futureDeclarations);
    declarations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return result$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations(x$3)
      })
    })(this, result)));
    return result
  };
}
const $d_Lamf_core_parser_Declarations$ = new $TypeData().initClass({
  Lamf_core_parser_Declarations$: 0
}, false, "amf.core.parser.Declarations$", {
  Lamf_core_parser_Declarations$: 1,
  O: 1
});
$c_Lamf_core_parser_Declarations$.prototype.$classData = $d_Lamf_core_parser_Declarations$;
let $n_Lamf_core_parser_Declarations$ = (void 0);
const $m_Lamf_core_parser_Declarations$ = (function() {
  if ((!$n_Lamf_core_parser_Declarations$)) {
    $n_Lamf_core_parser_Declarations$ = new $c_Lamf_core_parser_Declarations$().init___()
  };
  return $n_Lamf_core_parser_Declarations$
});
class $c_Lamf_core_parser_Fields extends $c_O {
  constructor() {
    super();
    this.fs$1 = null
  };
  set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(id, field, value, annotations) {
    if ((field.value$1.iri__T() === "http://raml.org/vocabularies/document#declares")) {
      this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V((id + "#/declarations"), value)
    } else {
      this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id, value)
    };
    const jsx$1 = this.fs$1;
    const y = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations);
    this.fs$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(field, y));
    return this
  };
  $$qmark__Lamf_core_metamodel_Field__s_Option(field) {
    const this$1 = this.fs$1.get__O__s_Option(field);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$3 = arg1;
      return new $c_s_Some().init___O(x$3.value$1)
    }
  };
  init___() {
    this.fs$1 = $m_sci_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  raw__Lamf_core_metamodel_Field__s_Option(field) {
    const x1 = this.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field);
    const o8 = $m_Lamf_core_parser_Value$().unapply__Lamf_core_parser_Value__s_Option(x1);
    if ((!o8.isEmpty__Z())) {
      const value = o8.get__O().$$und1__O();
      return new $c_s_Some().init___O(this.rawAny__p1__Lamf_core_model_domain_AmfElement__O(value))
    };
    return $m_s_None$()
  };
  rawAny__p1__Lamf_core_model_domain_AmfElement__O(element) {
    if ($is_Lamf_core_model_domain_AmfArray(element)) {
      const x2 = element;
      const values = x2.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(element$2$2) {
          const element$2 = element$2$2;
          return $this.rawAny__p1__Lamf_core_model_domain_AmfElement__O(element$2)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      return values.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
    } else if ($is_Lamf_core_model_domain_AmfScalar(element)) {
      const x4 = element;
      const value = x4.value$1;
      return value
    } else {
      return element
    }
  };
  setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, value, annotations) {
    const jsx$1 = this.fs$1;
    const y = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations);
    this.fs$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(field, y));
    return this
  };
  adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id, value) {
    if ($is_Lamf_core_model_domain_AmfObject(value)) {
      const x2 = value;
      x2.adopted__T__Lamf_core_model_domain_AmfObject(id)
    } else if ($is_Lamf_core_model_domain_AmfArray(value)) {
      const x3 = value;
      x3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          $this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id$1, x$5)
        })
      })(this, id)))
    }
  };
  apply__Lamf_core_metamodel_Field__O(field) {
    return this.rawAny__p1__Lamf_core_model_domain_AmfElement__O(this.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field))
  };
  entryJsonld__Lamf_core_metamodel_Field__s_Option(f) {
    return (f.jsonldField$1 ? this.entry__Lamf_core_metamodel_Field__s_Option(f) : $m_s_None$())
  };
  getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field) {
    const this$1 = this.fs$1.get__O__s_Option(field);
    return (this$1.isEmpty__Z() ? null : this$1.get__O())
  };
  into__Lamf_core_parser_Fields__V(other) {
    other.fs$1 = other.fs$1.$$plus$plus__sc_GenTraversableOnce__sci_Map(this.fs$1)
  };
  addWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Fields(field, value) {
    const x1 = this.$$qmark__Lamf_core_metamodel_Field__s_Option(field);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const array = x2.value$2;
      array.$$plus$eq__Lamf_core_model_domain_AmfElement__V(value);
      return this
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([value])), new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field) {
    const x1 = this.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field);
    const o8 = $m_Lamf_core_parser_Value$().unapply__Lamf_core_parser_Value__s_Option(x1);
    if ((!o8.isEmpty__Z())) {
      const value = o8.get__O().$$und1__O();
      return value
    };
    return this.$default__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field)
  };
  entry__Lamf_core_metamodel_Field__s_Option(f) {
    const x1 = this.fs$1.get__O__s_Option(f);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      return new $c_s_Some().init___O(new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(f, value))
    } else {
      return $m_s_None$()
    }
  };
  remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(field) {
    this.fs$1 = this.fs$1.$$minus__O__sc_Map(field);
    return this
  };
  $default__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field) {
    const this$1 = $m_s_Option$().apply__O__s_Option(field.type$1);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      jsx$1 = $is_Lamf_core_metamodel_Type$Array(x$1)
    };
    let this$2;
    if (jsx$1) {
      this$2 = this$1
    } else {
      this$2 = $m_s_None$()
    };
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$2.get__O();
      this$4 = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sci_Nil$(), new $c_Lamf_core_parser_Annotations().init___()))
    };
    return (this$4.isEmpty__Z() ? null : this$4.get__O())
  };
  add__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Fields(id, field, value) {
    this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id, value);
    const x1 = this.$$qmark__Lamf_core_metamodel_Field__s_Option(field);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const array = x2.value$2;
      array.$$plus$eq__Lamf_core_model_domain_AmfElement__V(value);
      return this
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(id, field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([value])), new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  fieldsMeta__sci_List() {
    const this$1 = this.fs$1;
    const this$2 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$1);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf)
  };
  filter__F1__Lamf_core_parser_Fields(fn) {
    this.fs$1 = this.fs$1.filter__F1__O(fn);
    return this
  };
}
const $d_Lamf_core_parser_Fields = new $TypeData().initClass({
  Lamf_core_parser_Fields: 0
}, false, "amf.core.parser.Fields", {
  Lamf_core_parser_Fields: 1,
  O: 1
});
$c_Lamf_core_parser_Fields.prototype.$classData = $d_Lamf_core_parser_Fields;
const $is_Lamf_core_parser_ScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ScalarNode)))
});
const $isArrayOf_Lamf_core_parser_ScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ScalarNode)))
});
class $c_Lamf_core_parser_Value extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.annotations$1 = null
  };
  toString__T() {
    return this.value$1.toString__T()
  };
  checkUnresolved__V() {
    const x1 = this.value$1;
    matchEnd5: {
      if ($is_Lamf_core_model_domain_Linkable(x1)) {
        const x2 = x1;
        if (x2.isUnresolved__Z()) {
          const resolve = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
            return (function(resolved$2) {
              const resolved = resolved$2;
              const label = x2$1.refName__T();
              const annotations = x2$1.annotations__Lamf_core_parser_Annotations();
              $this.value$1 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(resolved, label, annotations)
            })
          })(this, x2));
          $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V(x2, resolve);
          break matchEnd5
        }
      };
      if ($is_Lamf_core_model_domain_AmfArray(x1)) {
        const x3 = x1;
        x3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            matchEnd4: {
              if ($is_Lamf_core_model_domain_Linkable(x0$1)) {
                const x2$2 = x0$1;
                if (x2$2.isUnresolved__Z()) {
                  const resolve$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x2$3) {
                    return (function(resolved$2$1) {
                      const resolved$1 = resolved$2$1;
                      const jsx$3 = $this$1.value$1;
                      const jsx$2 = $this$1.value$1.values$1;
                      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, x2$1$1, resolved$3) {
                        return (function(element$2) {
                          const element = element$2;
                          if (((element === null) ? (x2$1$1 === null) : element.equals__O__Z(x2$1$1))) {
                            const label$1 = x2$1$1.refName__T();
                            const annotations$1 = x2$1$1.annotations__Lamf_core_parser_Annotations();
                            return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(resolved$3, label$1, annotations$1)
                          } else {
                            return element
                          }
                        })
                      })($this$1, x2$3, resolved$1));
                      const this$1 = $m_sc_Seq$();
                      jsx$3.values$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
                    })
                  })(this$2, x2$2));
                  $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V(x2$2, resolve$1);
                  break matchEnd4
                }
              }
            }
          })
        })(this)));
        break matchEnd5
      }
    }
  };
  init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations) {
    this.value$1 = value;
    this.annotations$1 = annotations;
    this.checkUnresolved__V();
    return this
  };
}
const $is_Lamf_core_parser_Value = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Value)))
});
const $isArrayOf_Lamf_core_parser_Value = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Value)))
});
const $d_Lamf_core_parser_Value = new $TypeData().initClass({
  Lamf_core_parser_Value: 0
}, false, "amf.core.parser.Value", {
  Lamf_core_parser_Value: 1,
  O: 1
});
$c_Lamf_core_parser_Value.prototype.$classData = $d_Lamf_core_parser_Value;
class $c_Lamf_core_parser_Value$ extends $c_O {
  init___() {
    return this
  };
  unapply__Lamf_core_parser_Value__s_Option(link) {
    return ($m_s_Option$().apply__O__s_Option(link).isDefined__Z() ? new $c_s_Some().init___O(new $c_T2().init___O__O(link.value$1, link.annotations$1)) : $m_s_None$())
  };
}
const $d_Lamf_core_parser_Value$ = new $TypeData().initClass({
  Lamf_core_parser_Value$: 0
}, false, "amf.core.parser.Value$", {
  Lamf_core_parser_Value$: 1,
  O: 1
});
$c_Lamf_core_parser_Value$.prototype.$classData = $d_Lamf_core_parser_Value$;
let $n_Lamf_core_parser_Value$ = (void 0);
const $m_Lamf_core_parser_Value$ = (function() {
  if ((!$n_Lamf_core_parser_Value$)) {
    $n_Lamf_core_parser_Value$ = new $c_Lamf_core_parser_Value$().init___()
  };
  return $n_Lamf_core_parser_Value$
});
class $c_Lamf_core_parser_package$YMapOps extends $c_O {
  constructor() {
    super();
    this.map$1 = null
  };
  regex__T__sc_Iterable(expression) {
    const this$2 = new $c_sci_StringOps().init___T(expression);
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    const path = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    return this.map$1.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, path$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
        if ($is_Lorg_yaml_model_YScalar(x1)) {
          const x2 = x1;
          const this$4 = path$1.unapplySeq__jl_CharSequence__s_Option(x2.text$3);
          return this$4.isDefined__Z()
        } else {
          return false
        }
      })
    })(this, path)))
  };
  key__T__s_Option(keyword) {
    return this.map$1.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, keyword$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
        if ($is_Lorg_yaml_model_YScalar(x1)) {
          const x2 = x1;
          return (x2.text$3 === keyword$1)
        } else {
          return false
        }
      })
    })(this, keyword)))
  };
  init___Lorg_yaml_model_YMap(map) {
    this.map$1 = map;
    return this
  };
  key__T__F1__V(keyword, fn) {
    const this$1 = this.key__T__s_Option(keyword);
    if ((!this$1.isEmpty__Z())) {
      fn.apply__O__O(this$1.get__O())
    }
  };
}
const $d_Lamf_core_parser_package$YMapOps = new $TypeData().initClass({
  Lamf_core_parser_package$YMapOps: 0
}, false, "amf.core.parser.package$YMapOps", {
  Lamf_core_parser_package$YMapOps: 1,
  O: 1
});
$c_Lamf_core_parser_package$YMapOps.prototype.$classData = $d_Lamf_core_parser_package$YMapOps;
class $c_Lamf_core_parser_package$YNodeLikeOps extends $c_O {
  constructor() {
    super();
    this.node$1 = null
  };
  toOption__Lorg_yaml_convert_YRead__s_Option(conversion) {
    return this.node$1.to__Lorg_yaml_convert_YRead__s_util_Either(conversion).toOption__s_Option()
  };
  init___Lorg_yaml_model_YNodeLike(node) {
    this.node$1 = node;
    return this
  };
}
const $d_Lamf_core_parser_package$YNodeLikeOps = new $TypeData().initClass({
  Lamf_core_parser_package$YNodeLikeOps: 0
}, false, "amf.core.parser.package$YNodeLikeOps", {
  Lamf_core_parser_package$YNodeLikeOps: 1,
  O: 1
});
$c_Lamf_core_parser_package$YNodeLikeOps.prototype.$classData = $d_Lamf_core_parser_package$YNodeLikeOps;
const $is_Lamf_core_plugins_AMFFeaturePlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFFeaturePlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFFeaturePlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFFeaturePlugin)))
});
const $is_Lamf_core_plugins_AMFValidationPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFValidationPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFValidationPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFValidationPlugin)))
});
class $c_Lamf_core_registries_AMFDomainRegistry$ extends $c_O {
  constructor() {
    super();
    this.annotationsRegistry$1 = null;
    this.metadataRegistry$1 = null;
    this.metadataResolverRegistry$1 = null
  };
  init___() {
    $n_Lamf_core_registries_AMFDomainRegistry$ = this;
    const y = $m_Lamf_core_annotations_LexicalInformation$();
    const jsx$5 = new $c_T2().init___O__O("lexical", y);
    const y$1 = $m_Lamf_core_annotations_SourceVendor$();
    const jsx$4 = new $c_T2().init___O__O("source-vendor", y$1);
    const y$2 = $m_Lamf_core_annotations_SingleValueArray$();
    const jsx$3 = new $c_T2().init___O__O("single-value-array", y$2);
    const y$3 = $m_Lamf_core_annotations_Aliases$();
    const jsx$2 = new $c_T2().init___O__O("aliases-array", y$3);
    const y$4 = $m_Lamf_core_annotations_SynthesizedField$();
    const jsx$1 = new $c_T2().init___O__O("synthesized-field", y$4);
    const y$5 = $m_Lamf_core_annotations_DefaultNode$();
    const array = [jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("default-node", y$5)];
    const this$14 = new $c_scm_HashMap().init___();
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$14.$$plus$eq__T2__scm_HashMap(arg1);
      i = ((1 + i) | 0)
    };
    this.annotationsRegistry$1 = this$14;
    const self = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_DocumentModel$());
    const y$6 = $m_Lamf_core_metamodel_document_DocumentModel$();
    const jsx$16 = new $c_T2().init___O__O(self, y$6);
    const self$1 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_ModuleModel$());
    const y$7 = $m_Lamf_core_metamodel_document_ModuleModel$();
    const jsx$15 = new $c_T2().init___O__O(self$1, y$7);
    const self$2 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_templates_VariableValueModel$());
    const y$8 = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$();
    const jsx$14 = new $c_T2().init___O__O(self$2, y$8);
    const self$3 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_SourceMapModel$());
    const y$9 = $m_Lamf_core_metamodel_document_SourceMapModel$();
    const jsx$13 = new $c_T2().init___O__O(self$3, y$9);
    const self$4 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_ShapeModel$());
    const y$10 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const jsx$12 = new $c_T2().init___O__O(self$4, y$10);
    const self$5 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_RecursiveShapeModel$());
    const y$11 = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$();
    const jsx$11 = new $c_T2().init___O__O(self$5, y$11);
    const self$6 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$());
    const y$12 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$();
    const jsx$10 = new $c_T2().init___O__O(self$6, y$12);
    const self$7 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$());
    const y$13 = $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$();
    const jsx$9 = new $c_T2().init___O__O(self$7, y$13);
    const self$8 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$());
    const y$14 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
    const jsx$8 = new $c_T2().init___O__O(self$8, y$14);
    const self$9 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_ExternalFragmentModel$());
    const y$15 = $m_Lamf_core_metamodel_document_ExternalFragmentModel$();
    const jsx$7 = new $c_T2().init___O__O(self$9, y$15);
    const self$10 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$());
    const y$16 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$();
    const jsx$6 = new $c_T2().init___O__O(self$10, y$16);
    const self$11 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$());
    const y$17 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$();
    const array$1 = [jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, new $c_T2().init___O__O(self$11, y$17)];
    const this$40 = new $c_scm_HashMap().init___();
    let i$1 = 0;
    const len$1 = (array$1.length | 0);
    while ((i$1 < len$1)) {
      const index$1 = i$1;
      const arg1$1 = array$1[index$1];
      this$40.$$plus$eq__T2__scm_HashMap(arg1$1);
      i$1 = ((1 + i$1) | 0)
    };
    this.metadataRegistry$1 = this$40;
    $m_scm_ListBuffer$();
    const this$42 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    this.metadataResolverRegistry$1 = this$42.elems$1;
    return this
  };
  registerModelEntityResolver__Lamf_core_registries_AMFDomainEntityResolver__V(resolver) {
    const this$1 = this.metadataResolverRegistry$1;
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([resolver]);
    this$1.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(elems)
  };
  buildType__Lamf_core_metamodel_Obj__s_Option(modelType) {
    const this$1 = this.metadataResolverRegistry$1;
    return this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, modelType$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.buildType__Lamf_core_metamodel_Obj__s_Option(modelType$1)
      })
    })(this, modelType)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.isDefined__Z()
      })
    })(this))).map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.get__O()
      })
    })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).headOption__s_Option()
  };
  findType__T__s_Option(typeString) {
    const this$1 = this.metadataResolverRegistry$1;
    return this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, typeString$1) {
      return (function(x$1$2) {
        const this$2 = $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$();
        return this$2.knowsTypeInner__p1__T__sc_Seq__s_Option(typeString$1, this$2.dialects__sc_Seq())
      })
    })(this, typeString)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.isDefined__Z()
      })
    })(this))).map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.get__O()
      })
    })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).headOption__s_Option()
  };
  registerModelEntity__Lamf_core_metamodel_Obj__s_Option(entity) {
    return this.metadataRegistry$1.put__O__O__s_Option(this.defaultIri__Lamf_core_metamodel_Obj__T(entity), entity)
  };
  defaultIri__Lamf_core_metamodel_Obj__T(metadata) {
    return metadata.type__sci_List().head__O().iri__T()
  };
}
const $d_Lamf_core_registries_AMFDomainRegistry$ = new $TypeData().initClass({
  Lamf_core_registries_AMFDomainRegistry$: 0
}, false, "amf.core.registries.AMFDomainRegistry$", {
  Lamf_core_registries_AMFDomainRegistry$: 1,
  O: 1
});
$c_Lamf_core_registries_AMFDomainRegistry$.prototype.$classData = $d_Lamf_core_registries_AMFDomainRegistry$;
let $n_Lamf_core_registries_AMFDomainRegistry$ = (void 0);
const $m_Lamf_core_registries_AMFDomainRegistry$ = (function() {
  if ((!$n_Lamf_core_registries_AMFDomainRegistry$)) {
    $n_Lamf_core_registries_AMFDomainRegistry$ = new $c_Lamf_core_registries_AMFDomainRegistry$().init___()
  };
  return $n_Lamf_core_registries_AMFDomainRegistry$
});
class $c_Lamf_core_registries_AMFPluginsRegistry$ extends $c_O {
  constructor() {
    super();
    this.syntaxPluginIDRegistry$1 = null;
    this.syntaxPluginRegistry$1 = null;
    this.documentPluginRegistry$1 = null;
    this.documentPluginIDRegistry$1 = null;
    this.documentPluginVendorsRegistry$1 = null;
    this.domainPluginRegistry$1 = null;
    this.featurePluginIDRegistry$1 = null;
    this.featurePlugin$1 = null
  };
  init___() {
    $n_Lamf_core_registries_AMFPluginsRegistry$ = this;
    this.syntaxPluginIDRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.syntaxPluginRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.documentPluginRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.documentPluginIDRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.documentPluginVendorsRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.domainPluginRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.featurePluginIDRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.featurePlugin$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  registerFeaturePlugin__Lamf_core_plugins_AMFFeaturePlugin__V(featurePlugin) {
    const x1 = this.featurePluginIDRegistry$1.get__O__s_Option(featurePlugin.ID__T());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.featurePluginIDRegistry$1.put__O__O__s_Option(featurePlugin.ID__T(), featurePlugin);
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(featurePlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  cleanMediaType__T__T(mediaType) {
    if (((mediaType.indexOf(";") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(mediaType, ";", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      return $f_sc_IndexedSeqOptimized__head__O(this$6)
    } else {
      return mediaType
    }
  };
  simpleMediaType__T__T(mediaType) {
    const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(mediaType, "/", 0);
    const o8 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o8.isEmpty__Z()) && ((o8.get__O() !== null) && (o8.get__O().lengthCompare__I__I(2) === 0)))) {
      const main = o8.get__O().apply__I__O(0);
      const sub = o8.get__O().apply__I__O(1);
      if (((sub.indexOf("+") | 0) > (-1))) {
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(sub, "\\+", 0);
        const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        return ((main + "/") + $f_sc_IndexedSeqOptimized__last__O(this$6))
      }
    };
    const o10 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o10.isEmpty__Z()) && ((o10.get__O() !== null) && (o10.get__O().lengthCompare__I__I(2) === 0)))) {
      const main$2 = o10.get__O().apply__I__O(0);
      const sub$2 = o10.get__O().apply__I__O(1);
      if (((sub$2.indexOf(".") | 0) > (-1))) {
        const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(sub$2, "\\.", 0);
        const this$11 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
        return ((main$2 + "/") + $f_sc_IndexedSeqOptimized__last__O(this$11))
      }
    };
    return mediaType
  };
  registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V(syntaxPlugin) {
    const x1 = this.syntaxPluginIDRegistry$1.get__O__s_Option(syntaxPlugin.ID$2);
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.syntaxPluginIDRegistry$1.put__O__O__s_Option(syntaxPlugin.ID$2, syntaxPlugin);
        syntaxPlugin.supportedMediaTypes__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, syntaxPlugin$1) {
          return (function(mediaType$2) {
            const mediaType = mediaType$2;
            let rc6 = false;
            let x2 = null;
            const x1$1 = $this.syntaxPluginRegistry$1.get__O__s_Option(mediaType);
            if ($is_s_Some(x1$1)) {
              rc6 = true;
              x2 = x1$1;
              const plugin = x2.value$2;
              if ((plugin.ID$2 === syntaxPlugin$1.ID$2)) {
                return (void 0)
              }
            };
            const x$1 = $m_s_None$();
            if ((x$1 === x1$1)) {
              return $this.syntaxPluginRegistry$1.put__O__O__s_Option(mediaType, syntaxPlugin$1)
            };
            if (rc6) {
              const plugin$2 = x2.value$2;
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot register ", " for media type ", ", ", " already registered"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([syntaxPlugin$1.ID$2, mediaType, plugin$2.ID$2]))))
            };
            throw new $c_s_MatchError().init___O(x1$1)
          })
        })(this, syntaxPlugin)));
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(syntaxPlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V(documentPlugin) {
    const x1 = this.documentPluginIDRegistry$1.get__O__s_Option(documentPlugin.ID__T());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.documentPluginIDRegistry$1.put__O__O__s_Option(documentPlugin.ID__T(), documentPlugin);
        documentPlugin.serializableAnnotations__sci_Map().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ((x0$1 !== null)) {
              const name = x0$1.$$und1__O();
              const unloader = x0$1.$$und2__O();
              const this$1 = $m_Lamf_core_registries_AMFDomainRegistry$();
              return this$1.annotationsRegistry$1.put__O__O__s_Option(name, unloader)
            } else {
              throw new $c_s_MatchError().init___O(x0$1)
            }
          })
        })(this)));
        documentPlugin.documentSyntaxes__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, documentPlugin$1) {
          return (function(mediaType$2) {
            const mediaType = mediaType$2;
            const this$3 = this$2.documentPluginRegistry$1;
            const x1$1 = this$3.get__O__s_Option(mediaType);
            let plugins;
            if ($is_s_Some(x1$1)) {
              const x2 = x1$1;
              const v = x2.value$2;
              plugins = v
            } else {
              const x$1 = $m_s_None$();
              if ((!(x$1 === x1$1))) {
                throw new $c_s_MatchError().init___O(x1$1)
              };
              plugins = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
            };
            const jsx$2 = this$2.documentPluginRegistry$1;
            const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([documentPlugin$1]));
            const this$4 = $m_sc_Seq$();
            return jsx$2.put__O__O__s_Option(mediaType, plugins.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2))
          })
        })(this, documentPlugin)));
        documentPlugin.vendors__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, documentPlugin$2) {
          return (function(vendor$2) {
            const vendor = vendor$2;
            const this$5 = this$3$1.documentPluginVendorsRegistry$1;
            const x1$2 = this$5.get__O__s_Option(vendor);
            let plugins$1;
            if ($is_s_Some(x1$2)) {
              const x2$1 = x1$2;
              const v$1 = x2$1.value$2;
              plugins$1 = v$1
            } else {
              const x$2 = $m_s_None$();
              if ((!(x$2 === x1$2))) {
                throw new $c_s_MatchError().init___O(x1$2)
              };
              plugins$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
            };
            const jsx$4 = this$3$1.documentPluginVendorsRegistry$1;
            const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([documentPlugin$2]));
            const this$6 = $m_sc_Seq$();
            return jsx$4.put__O__O__s_Option(vendor, plugins$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2))
          })
        })(this, documentPlugin)));
        documentPlugin.modelEntities__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(entity$2) {
            const entity = entity$2;
            return $m_Lamf_core_registries_AMFDomainRegistry$().registerModelEntity__Lamf_core_metamodel_Obj__s_Option(entity)
          })
        })(this)));
        const this$7 = documentPlugin.modelEntitiesResolver__s_Option();
        if ((!this$7.isEmpty__Z())) {
          const arg1 = this$7.get__O();
          const resolver = arg1;
          $m_Lamf_core_registries_AMFDomainRegistry$().registerModelEntityResolver__Lamf_core_registries_AMFDomainEntityResolver__V(resolver)
        };
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(documentPlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  registerDomainPlugin__Lamf_core_plugins_AMFDomainPlugin__V(domainPlugin) {
    const x1 = this.domainPluginRegistry$1.get__O__s_Option(domainPlugin.ID__T());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        domainPlugin.serializableAnnotations__sci_Map().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ((x0$2 !== null)) {
              const name = x0$2.$$und1__O();
              const unloader = x0$2.$$und2__O();
              const this$1 = $m_Lamf_core_registries_AMFDomainRegistry$();
              return this$1.annotationsRegistry$1.put__O__O__s_Option(name, unloader)
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })(this)));
        this.domainPluginRegistry$1.put__O__O__s_Option(domainPlugin.ID__T(), domainPlugin);
        domainPlugin.modelEntities__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(entity$2) {
            const entity = entity$2;
            return $m_Lamf_core_registries_AMFDomainRegistry$().registerModelEntity__Lamf_core_metamodel_Obj__s_Option(entity)
          })
        })(this)));
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(domainPlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  documentPluginForVendor__T__sc_Seq(vendor) {
    const this$1 = this.documentPluginVendorsRegistry$1;
    const x1 = this$1.get__O__s_Option(vendor);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      return v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
    }
  };
  registerDependencies__Lamf_core_plugins_AMFPlugin__V(plugin) {
    plugin.dependencies__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_core_plugins_AMFDomainPlugin(x0$3)) {
          const x2 = x0$3;
          $this.registerDomainPlugin__Lamf_core_plugins_AMFDomainPlugin__V(x2)
        } else if ($is_Lamf_core_plugins_AMFDocumentPlugin(x0$3)) {
          const x3 = x0$3;
          $this.registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V(x3)
        } else if ($is_Lamf_core_plugins_AMFSyntaxPlugin(x0$3)) {
          const x4 = x0$3;
          $this.registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V(x4)
        }
      })
    })(this)))
  };
  plugins__sc_Iterable() {
    const this$1 = this.syntaxPluginIDRegistry$1;
    const this$4 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    const this$2 = this.documentPluginIDRegistry$1;
    const that = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$2);
    const this$3 = $m_sc_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this$4, that, bf);
    const this$5 = this.domainPluginRegistry$1;
    const jsx$3 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$5);
    const this$6 = $m_sc_Iterable$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2);
    const this$7 = this.featurePluginIDRegistry$1;
    const jsx$1 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$7);
    const this$8 = $m_sc_Iterable$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2)
  };
  syntaxPluginForMediaType__T__s_Option(mediaType) {
    const normalizedMediaType = this.cleanMediaType__T__T(mediaType);
    const x1 = this.syntaxPluginRegistry$1.get__O__s_Option(mediaType);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const plugin = x2.value$2;
      return new $c_s_Some().init___O(plugin)
    } else {
      return this.syntaxPluginRegistry$1.get__O__s_Option(this.simpleMediaType__T__T(normalizedMediaType))
    }
  };
  featurePlugins__sc_Seq() {
    const this$1 = this.featurePluginIDRegistry$1;
    const this$2 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    return this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  documentPluginForMediaType__T__sc_Seq(mediaType) {
    const this$1 = this.documentPluginRegistry$1;
    const x1 = this$1.get__O__s_Option(mediaType);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      return v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
    }
  };
}
const $d_Lamf_core_registries_AMFPluginsRegistry$ = new $TypeData().initClass({
  Lamf_core_registries_AMFPluginsRegistry$: 0
}, false, "amf.core.registries.AMFPluginsRegistry$", {
  Lamf_core_registries_AMFPluginsRegistry$: 1,
  O: 1
});
$c_Lamf_core_registries_AMFPluginsRegistry$.prototype.$classData = $d_Lamf_core_registries_AMFPluginsRegistry$;
let $n_Lamf_core_registries_AMFPluginsRegistry$ = (void 0);
const $m_Lamf_core_registries_AMFPluginsRegistry$ = (function() {
  if ((!$n_Lamf_core_registries_AMFPluginsRegistry$)) {
    $n_Lamf_core_registries_AMFPluginsRegistry$ = new $c_Lamf_core_registries_AMFPluginsRegistry$().init___()
  };
  return $n_Lamf_core_registries_AMFPluginsRegistry$
});
class $c_Lamf_core_remote_Absolute$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(url) {
    return ((((((url.length | 0) >= 0) && (url.substring(0, ("http://".length | 0)) === "http://")) || (((url.length | 0) >= 0) && (url.substring(0, ("https://".length | 0)) === "https://"))) || (((url.length | 0) >= 0) && (url.substring(0, ("file://".length | 0)) === "file://"))) ? new $c_s_Some().init___O(url) : $m_s_None$())
  };
}
const $d_Lamf_core_remote_Absolute$ = new $TypeData().initClass({
  Lamf_core_remote_Absolute$: 0
}, false, "amf.core.remote.Absolute$", {
  Lamf_core_remote_Absolute$: 1,
  O: 1
});
$c_Lamf_core_remote_Absolute$.prototype.$classData = $d_Lamf_core_remote_Absolute$;
let $n_Lamf_core_remote_Absolute$ = (void 0);
const $m_Lamf_core_remote_Absolute$ = (function() {
  if ((!$n_Lamf_core_remote_Absolute$)) {
    $n_Lamf_core_remote_Absolute$ = new $c_Lamf_core_remote_Absolute$().init___()
  };
  return $n_Lamf_core_remote_Absolute$
});
class $c_Lamf_core_remote_AmfObjectWrapper extends $c_O {
}
const $is_Lamf_core_remote_AmfObjectWrapper = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_AmfObjectWrapper)))
});
const $isArrayOf_Lamf_core_remote_AmfObjectWrapper = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_AmfObjectWrapper)))
});
class $c_Lamf_core_remote_Cache extends $c_O {
  constructor() {
    super();
    this.cache$1 = null
  };
  init___() {
    this.cache$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
}
const $is_Lamf_core_remote_Cache = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Cache)))
});
const $isArrayOf_Lamf_core_remote_Cache = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Cache)))
});
const $d_Lamf_core_remote_Cache = new $TypeData().initClass({
  Lamf_core_remote_Cache: 0
}, false, "amf.core.remote.Cache", {
  Lamf_core_remote_Cache: 1,
  O: 1
});
$c_Lamf_core_remote_Cache.prototype.$classData = $d_Lamf_core_remote_Cache;
class $c_Lamf_core_remote_Context extends $c_O {
  constructor() {
    super();
    this.platform$1 = null;
    this.history$1 = null;
    this.mappings$1 = null
  };
  current__T() {
    if (this.history$1.isEmpty__Z()) {
      return ""
    } else {
      const this$1 = this.history$1;
      return $f_sc_LinearSeqOptimized__last__O(this$1)
    }
  };
  update__T__Lamf_core_remote_Context(url) {
    return $m_Lamf_core_remote_Context$().amf$core$remote$Context$$apply__Lamf_core_remote_Platform__sci_List__T__sci_Map__Lamf_core_remote_Context(this.platform$1, this.history$1, this.resolve__T__T(url), this.mappings$1)
  };
  resolve__T__T(url) {
    const jsx$2 = this.platform$1;
    let jsx$1;
    matchEnd6: {
      const o9 = $m_Lamf_core_remote_Absolute$().unapply__T__s_Option(url);
      if ((!o9.isEmpty__Z())) {
        const s = o9.get__O();
        jsx$1 = s;
        break matchEnd6
      };
      const o11 = $m_Lamf_core_remote_RelativeToRoot$().unapply__T__s_Option(url);
      if ((!o11.isEmpty__Z())) {
        const s$2 = o11.get__O();
        jsx$1 = (("" + $m_Lamf_core_remote_Context$().amf$core$remote$Context$$stripFile__T__T(this.history$1.head__O())) + s$2);
        break matchEnd6
      };
      const o13 = new $c_s_Some().init___O(url);
      const s$3 = o13.value$2;
      jsx$1 = (("" + $m_Lamf_core_remote_Context$().amf$core$remote$Context$$stripFile__T__T(this.current__T())) + s$3)
    };
    return this.applyMapping__p1__T__T(jsx$2.resolvePath__T__T(jsx$1))
  };
  hasCycles__Z() {
    const this$1 = this.history$1;
    let elem$1 = 0;
    elem$1 = 0;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$1 = arg1;
      const that = this.current__T();
      if ((x$1 === that)) {
        elem$1 = ((1 + elem$1) | 0)
      };
      these = these.tail__O()
    };
    return (elem$1 === 2)
  };
  init___Lamf_core_remote_Platform__sci_List__sci_Map(platform, history, mappings) {
    this.platform$1 = platform;
    this.history$1 = history;
    this.mappings$1 = mappings;
    return this
  };
  applyMapping__p1__T__T(path) {
    const this$1 = this.mappings$1;
    const this$2 = this$1.iterator__sc_Iterator();
    let this$8;
    inlinereturn$3: {
      while (this$2.hasNext__Z()) {
        const a = this$2.next__O();
        const m = a;
        const prefix = m.$$und1__O();
        if ((((path.length | 0) >= 0) && (path.substring(0, (prefix.length | 0)) === prefix))) {
          this$8 = new $c_s_Some().init___O(a);
          break inlinereturn$3
        }
      };
      this$8 = $m_s_None$()
    };
    if (this$8.isEmpty__Z()) {
      return path
    } else {
      const arg1 = this$8.get__O();
      const m$3 = arg1;
      const target = m$3.$$und1__O();
      const replacement = m$3.$$und2__O();
      return path.split($objectToString(target)).join($objectToString(replacement))
    }
  };
}
const $is_Lamf_core_remote_Context = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Context)))
});
const $isArrayOf_Lamf_core_remote_Context = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Context)))
});
const $d_Lamf_core_remote_Context = new $TypeData().initClass({
  Lamf_core_remote_Context: 0
}, false, "amf.core.remote.Context", {
  Lamf_core_remote_Context: 1,
  O: 1
});
$c_Lamf_core_remote_Context.prototype.$classData = $d_Lamf_core_remote_Context;
class $c_Lamf_core_remote_Context$ extends $c_O {
  init___() {
    return this
  };
  amf$core$remote$Context$$apply__Lamf_core_remote_Platform__sci_List__T__sci_Map__Lamf_core_remote_Context(platform, history, currentResolved, mapping) {
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    return new $c_Lamf_core_remote_Context().init___Lamf_core_remote_Platform__sci_List__sci_Map(platform, $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(history, currentResolved, bf), mapping)
  };
  apply__Lamf_core_remote_Platform__Lamf_core_remote_Context(platform) {
    return $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__T__sci_Map__Lamf_core_remote_Context(platform, "", $m_sci_Map$EmptyMap$())
  };
  apply__Lamf_core_remote_Platform__T__sci_Map__Lamf_core_remote_Context(platform, root, mapping) {
    const this$1 = $m_s_Option$().apply__O__s_Option(root);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      const this$3 = new $c_sci_StringOps().init___T(x$2);
      jsx$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$3)
    };
    let this$4;
    if (jsx$1) {
      this$4 = this$1
    } else {
      this$4 = $m_s_None$()
    };
    let this$7;
    if (this$4.isEmpty__Z()) {
      this$7 = $m_s_None$()
    } else {
      const arg1$1 = this$4.get__O();
      const x$3 = arg1$1;
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x$3]);
      const this$6 = $m_sci_List$();
      const cbf = this$6.ReusableCBFInstance$2;
      this$7 = new $c_s_Some().init___O($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
    };
    return new $c_Lamf_core_remote_Context().init___Lamf_core_remote_Platform__sci_List__sci_Map(platform, (this$7.isEmpty__Z() ? $m_sci_Nil$() : this$7.get__O()), mapping)
  };
  amf$core$remote$Context$$stripFile__T__T(url) {
    const this$4 = new $c_sci_StringOps().init___T(url);
    const elem = new $c_jl_Character().init___C(47);
    if ($f_sc_SeqLike__contains__O__Z(this$4, elem)) {
      const endIndex = ((1 + $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(url, 47)) | 0);
      return url.substring(0, endIndex)
    } else {
      return ""
    }
  };
  apply__Lamf_core_remote_Platform__T__Lamf_core_remote_Context(platform, root) {
    return $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__T__sci_Map__Lamf_core_remote_Context(platform, root, $m_sci_Map$EmptyMap$())
  };
}
const $d_Lamf_core_remote_Context$ = new $TypeData().initClass({
  Lamf_core_remote_Context$: 0
}, false, "amf.core.remote.Context$", {
  Lamf_core_remote_Context$: 1,
  O: 1
});
$c_Lamf_core_remote_Context$.prototype.$classData = $d_Lamf_core_remote_Context$;
let $n_Lamf_core_remote_Context$ = (void 0);
const $m_Lamf_core_remote_Context$ = (function() {
  if ((!$n_Lamf_core_remote_Context$)) {
    $n_Lamf_core_remote_Context$ = new $c_Lamf_core_remote_Context$().init___()
  };
  return $n_Lamf_core_remote_Context$
});
class $c_Lamf_core_remote_File$ extends $c_O {
  constructor() {
    super();
    this.FILE$undPROTOCOL$1 = null
  };
  init___() {
    this.FILE$undPROTOCOL$1 = "file://";
    return this
  };
  unapply__T__s_Option(url) {
    const prefix = this.FILE$undPROTOCOL$1;
    if ((((url.length | 0) >= 0) && (url.substring(0, (prefix.length | 0)) === prefix))) {
      const this$7 = new $c_sci_StringOps().init___T(url);
      const prefix$1 = this.FILE$undPROTOCOL$1;
      const path = $f_sci_StringLike__stripPrefix__T__T(this$7, prefix$1);
      return new $c_s_Some().init___O(path)
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_core_remote_File$ = new $TypeData().initClass({
  Lamf_core_remote_File$: 0
}, false, "amf.core.remote.File$", {
  Lamf_core_remote_File$: 1,
  O: 1
});
$c_Lamf_core_remote_File$.prototype.$classData = $d_Lamf_core_remote_File$;
let $n_Lamf_core_remote_File$ = (void 0);
const $m_Lamf_core_remote_File$ = (function() {
  if ((!$n_Lamf_core_remote_File$)) {
    $n_Lamf_core_remote_File$ = new $c_Lamf_core_remote_File$().init___()
  };
  return $n_Lamf_core_remote_File$
});
class $c_Lamf_core_remote_Http$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(uri) {
    if (((((uri.length | 0) >= 0) && (uri.substring(0, ("http://".length | 0)) === "http://")) || (((uri.length | 0) >= 0) && (uri.substring(0, ("https://".length | 0)) === "https://")))) {
      const endIndex = ((3 + (uri.indexOf("://") | 0)) | 0);
      const protocol = uri.substring(0, endIndex);
      const this$16 = new $c_sci_StringOps().init___T(uri);
      const rightOfProtocol = $f_sci_StringLike__stripPrefix__T__T(this$16, protocol);
      let host;
      if (((rightOfProtocol.indexOf("/") | 0) !== (-1))) {
        const endIndex$1 = (rightOfProtocol.indexOf("/") | 0);
        host = rightOfProtocol.substring(0, endIndex$1)
      } else {
        host = rightOfProtocol
      };
      const path = rightOfProtocol.split(host).join("");
      return new $c_s_Some().init___O(new $c_T3().init___O__O__O(protocol, host, path))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_core_remote_Http$ = new $TypeData().initClass({
  Lamf_core_remote_Http$: 0
}, false, "amf.core.remote.Http$", {
  Lamf_core_remote_Http$: 1,
  O: 1
});
$c_Lamf_core_remote_Http$.prototype.$classData = $d_Lamf_core_remote_Http$;
let $n_Lamf_core_remote_Http$ = (void 0);
const $m_Lamf_core_remote_Http$ = (function() {
  if ((!$n_Lamf_core_remote_Http$)) {
    $n_Lamf_core_remote_Http$ = new $c_Lamf_core_remote_Http$().init___()
  };
  return $n_Lamf_core_remote_Http$
});
class $c_Lamf_core_remote_Mimes$ extends $c_O {
  constructor() {
    super();
    this.TEXT$divYAML$1 = null;
    this.TEXT$divX$minusYAML$1 = null;
    this.APPLICATION$divJSON$1 = null;
    this.APPLICATION$divYAML$1 = null;
    this.APPLICATION$divX$minusYAML$1 = null;
    this.APPLICATION$divRAML$plusYAML$1 = null;
    this.APPLICATION$divRAML$plusJSON$1 = null;
    this.APPLICATION$divRAML$1 = null;
    this.APPLICATION$divOPENAPI$plusJSON$1 = null;
    this.APPLICATION$divSWAGGER$plusJSON$1 = null;
    this.APPLICATION$divOPENAPI$plusYAML$1 = null;
    this.APPLICATION$divSWAGGER$plusYAML$1 = null;
    this.APPLICATION$divOPENAPI$1 = null;
    this.APPLICATION$divSWAGGER$1 = null;
    this.APPLICATION$divLD$plusJSONLD$1 = null
  };
  init___() {
    this.TEXT$divYAML$1 = "text/yaml";
    this.TEXT$divX$minusYAML$1 = "text/x-yaml";
    this.APPLICATION$divJSON$1 = "application/json";
    this.APPLICATION$divYAML$1 = "application/yaml";
    this.APPLICATION$divX$minusYAML$1 = "application/x-yaml";
    this.APPLICATION$divRAML$plusYAML$1 = "application/raml+yaml";
    this.APPLICATION$divRAML$plusJSON$1 = "application/raml+json";
    this.APPLICATION$divRAML$1 = "application/raml";
    this.APPLICATION$divOPENAPI$plusJSON$1 = "application/openapi+json";
    this.APPLICATION$divSWAGGER$plusJSON$1 = "application/swagger+json";
    this.APPLICATION$divOPENAPI$plusYAML$1 = "application/openapi+yaml";
    this.APPLICATION$divSWAGGER$plusYAML$1 = "application/swagger+yaml";
    this.APPLICATION$divOPENAPI$1 = "application/openapi";
    this.APPLICATION$divSWAGGER$1 = "application/swagger";
    this.APPLICATION$divLD$plusJSONLD$1 = "application/ld+json";
    return this
  };
}
const $d_Lamf_core_remote_Mimes$ = new $TypeData().initClass({
  Lamf_core_remote_Mimes$: 0
}, false, "amf.core.remote.Mimes$", {
  Lamf_core_remote_Mimes$: 1,
  O: 1
});
$c_Lamf_core_remote_Mimes$.prototype.$classData = $d_Lamf_core_remote_Mimes$;
let $n_Lamf_core_remote_Mimes$ = (void 0);
const $m_Lamf_core_remote_Mimes$ = (function() {
  if ((!$n_Lamf_core_remote_Mimes$)) {
    $n_Lamf_core_remote_Mimes$ = new $c_Lamf_core_remote_Mimes$().init___()
  };
  return $n_Lamf_core_remote_Mimes$
});
const $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option = (function($thiz, model, builder) {
  return $thiz.wrappersRegistry__scm_HashMap().put__O__O__s_Option(model.type__sci_List().head__O().iri__T(), builder)
});
const $f_Lamf_core_remote_Platform__resolve__T__s_Option__s_concurrent_Future = (function($thiz, url, context) {
  const o12 = $m_Lamf_core_remote_Http$().unapply__T__s_Option(url);
  if ((!o12.isEmpty__Z())) {
    const x1 = $thiz.resourceCache__scm_Map().get__O__s_Option(url);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const content = x2.value$2;
      const p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
      $f_s_concurrent_Promise__success__O__s_concurrent_Promise(p, content);
      return p
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $thiz.fetchHttp__T__s_concurrent_Future(url)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  const o14 = $m_Lamf_core_remote_File$().unapply__T__s_Option(url);
  if ((!o14.isEmpty__Z())) {
    const path = o14.get__O();
    const x1$1 = $thiz.resourceCache__scm_Map().get__O__s_Option(path);
    if ($is_s_Some(x1$1)) {
      const x2$1 = x1$1;
      const content$1 = x2$1.value$2;
      const p$1 = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
      $f_s_concurrent_Promise__success__O__s_concurrent_Promise(p$1, content$1);
      return p$1
    } else {
      const x$1 = $m_s_None$();
      if ((x$1 === x1$1)) {
        return $thiz.fetchFile__T__s_concurrent_Future(path)
      } else {
        throw new $c_s_MatchError().init___O(x1$1)
      }
    }
  };
  const o16 = $m_Lamf_core_remote_Relative$().unapply__T__s_Option(url);
  if ((!o16.isEmpty__Z())) {
    const path$2 = o16.get__O();
    if (context.isDefined__Z()) {
      return $thiz.resolve__T__s_Option__s_concurrent_Future(context.get__O().resolve__T__T(path$2), $m_s_None$())
    }
  };
  return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported url: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url]))))
});
const $f_Lamf_core_remote_Platform__ensureFileAuthority__T__T = (function($thiz, str) {
  return ((((str.length | 0) >= 0) && (str.substring(0, ("file:".length | 0)) === "file:")) ? str : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["file://", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([str])))
});
const $f_Lamf_core_remote_Platform__$$init$__V = (function($thiz) {
  $thiz.testingCommandLine$und$eq__Z__V(false);
  $thiz.amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(new $c_scm_HashMap().init___());
  $thiz.amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(new $c_scm_HashMap().init___());
  $thiz.amf$core$remote$Platform$$undsetter$und$resourceCache$und$eq__scm_Map__V($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()))
});
const $f_Lamf_core_remote_Platform__writeFile__T__T__s_concurrent_Future = (function($thiz, path, content) {
  const qual$1 = $thiz.fs__Lorg_mulesoft_common_io_FileSystem().asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(path);
  return qual$1.write__jl_CharSequence__T__s_concurrent_Future(content, "UTF-8")
});
const $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future = (function($thiz, url, content) {
  const o7 = $m_Lamf_core_remote_File$().unapply__T__s_Option(url);
  if ((!o7.isEmpty__Z())) {
    const path = o7.get__O();
    return $thiz.writeFile__T__T__s_concurrent_Future(path, content)
  };
  return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported write operation: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url]))))
});
const $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper = (function($thiz, entity) {
  if ($is_Lamf_core_model_domain_DomainElement(entity)) {
    const x2 = entity;
    const x1$2 = $thiz.wrappersRegistry__scm_HashMap().get__O__s_Option(x2.meta__Lamf_core_metamodel_Obj().type__sci_List().head__O().iri__T());
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const builder = x2$2.value$2;
      return builder.apply__O__O(entity)
    } else {
      const x = $m_s_None$();
      if ((x === x1$2)) {
        return $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper($thiz, x2)
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    }
  } else if ($is_Lamf_core_model_document_BaseUnit(entity)) {
    const x3 = entity;
    const x1$3 = $thiz.wrappersRegistry__scm_HashMap().get__O__s_Option(x3.meta__Lamf_core_metamodel_Obj().type__sci_List().head__O().iri__T());
    if ($is_s_Some(x1$3)) {
      const x2$3 = x1$3;
      const builder$2 = x2$3.value$2;
      return builder$2.apply__O__O(entity)
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1$3)) {
        return $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper($thiz, x3)
      } else {
        throw new $c_s_MatchError().init___O(x1$3)
      }
    }
  } else {
    return ((entity === null) ? null : $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper($thiz, entity))
  }
});
const $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper = (function($thiz, entity) {
  if ($is_Lamf_core_model_domain_DomainElement(entity)) {
    const x2 = entity;
    const this$1 = $thiz.wrappersRegistryFn__scm_HashMap();
    const this$2 = new $c_scm_HashMap$$anon$1().init___scm_HashMap(this$1);
    const this$3 = this$2.$$outer$4.keysIterator__sc_Iterator();
    let x1$2;
    inlinereturn$7: {
      while (this$3.hasNext__Z()) {
        const a = this$3.next__O();
        const p = a;
        if ((!(!p.apply__O__O(x2.meta__Lamf_core_metamodel_Obj())))) {
          x1$2 = new $c_s_Some().init___O(a);
          break inlinereturn$7
        }
      };
      x1$2 = $m_s_None$()
    };
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const k = x2$2.value$2;
      return $thiz.wrappersRegistryFn__scm_HashMap().apply__O__O(k).apply__O__O(x2)
    } else {
      const x = $m_s_None$();
      if ((x === x1$2)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find builder for object meta ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2.meta__Lamf_core_metamodel_Obj()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    }
  } else if ($is_Lamf_core_model_document_BaseUnit(entity)) {
    const x3 = entity;
    const this$4 = $thiz.wrappersRegistryFn__scm_HashMap();
    const this$5 = new $c_scm_HashMap$$anon$1().init___scm_HashMap(this$4);
    const this$6 = this$5.$$outer$4.keysIterator__sc_Iterator();
    let x1$3;
    inlinereturn$20: {
      while (this$6.hasNext__Z()) {
        const a$1 = this$6.next__O();
        const p$3 = a$1;
        if ((!(!p$3.apply__O__O(x3.meta__Lamf_core_metamodel_Obj())))) {
          x1$3 = new $c_s_Some().init___O(a$1);
          break inlinereturn$20
        }
      };
      x1$3 = $m_s_None$()
    };
    if ($is_s_Some(x1$3)) {
      const x2$3 = x1$3;
      const k$2 = x2$3.value$2;
      return $thiz.wrappersRegistryFn__scm_HashMap().apply__O__O(k$2).apply__O__O(x3)
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1$3)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find builder for object meta ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x3.meta__Lamf_core_metamodel_Obj()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1$3)
      }
    }
  } else {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot build object of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entity]))))
  }
});
const $f_Lamf_core_remote_Platform__cacheResourceText__T__T__s_Option__V = (function($thiz, url, text, mimeType) {
  const content = new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(url, text), url, mimeType);
  $thiz.resourceCache__scm_Map().$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(url, content))
});
const $is_Lamf_core_remote_Platform = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Platform)))
});
const $isArrayOf_Lamf_core_remote_Platform = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Platform)))
});
const $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z = (function($thiz, vendor) {
  return $is_Lamf_core_remote_Raml(vendor)
});
const $f_Lamf_core_remote_Raml__$$init$__V = (function($thiz) {
  const thiz = ("raml " + $thiz.version__T());
  $thiz.amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(thiz.trim());
  $thiz.amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V($m_Lamf_core_remote_Syntax$Yaml$())
});
const $is_Lamf_core_remote_Raml = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Raml)))
});
const $isArrayOf_Lamf_core_remote_Raml = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Raml)))
});
class $c_Lamf_core_remote_Relative$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(url) {
    return (((url.indexOf(":") | 0) === (-1)) ? new $c_s_Some().init___O(url) : $m_s_None$())
  };
}
const $d_Lamf_core_remote_Relative$ = new $TypeData().initClass({
  Lamf_core_remote_Relative$: 0
}, false, "amf.core.remote.Relative$", {
  Lamf_core_remote_Relative$: 1,
  O: 1
});
$c_Lamf_core_remote_Relative$.prototype.$classData = $d_Lamf_core_remote_Relative$;
let $n_Lamf_core_remote_Relative$ = (void 0);
const $m_Lamf_core_remote_Relative$ = (function() {
  if ((!$n_Lamf_core_remote_Relative$)) {
    $n_Lamf_core_remote_Relative$ = new $c_Lamf_core_remote_Relative$().init___()
  };
  return $n_Lamf_core_remote_Relative$
});
class $c_Lamf_core_remote_RelativeToRoot$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(url) {
    return ((((url.length | 0) >= 0) && (url.substring(0, ("/".length | 0)) === "/")) ? new $c_s_Some().init___O(url) : $m_s_None$())
  };
}
const $d_Lamf_core_remote_RelativeToRoot$ = new $TypeData().initClass({
  Lamf_core_remote_RelativeToRoot$: 0
}, false, "amf.core.remote.RelativeToRoot$", {
  Lamf_core_remote_RelativeToRoot$: 1,
  O: 1
});
$c_Lamf_core_remote_RelativeToRoot$.prototype.$classData = $d_Lamf_core_remote_RelativeToRoot$;
let $n_Lamf_core_remote_RelativeToRoot$ = (void 0);
const $m_Lamf_core_remote_RelativeToRoot$ = (function() {
  if ((!$n_Lamf_core_remote_RelativeToRoot$)) {
    $n_Lamf_core_remote_RelativeToRoot$ = new $c_Lamf_core_remote_RelativeToRoot$().init___()
  };
  return $n_Lamf_core_remote_RelativeToRoot$
});
class $c_Lamf_core_remote_Vendor$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(name) {
    return (($m_Lamf_core_remote_Raml10$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Raml10$()) : (($m_Lamf_core_remote_Raml08$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Raml08$()) : (($m_Lamf_core_remote_Raml$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Raml$()) : (($m_Lamf_core_remote_Oas$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Oas$()) : (($m_Lamf_core_remote_Amf$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Amf$()) : (($m_Lamf_core_remote_Payload$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Payload$()) : $m_s_None$()))))))
  };
}
const $d_Lamf_core_remote_Vendor$ = new $TypeData().initClass({
  Lamf_core_remote_Vendor$: 0
}, false, "amf.core.remote.Vendor$", {
  Lamf_core_remote_Vendor$: 1,
  O: 1
});
$c_Lamf_core_remote_Vendor$.prototype.$classData = $d_Lamf_core_remote_Vendor$;
let $n_Lamf_core_remote_Vendor$ = (void 0);
const $m_Lamf_core_remote_Vendor$ = (function() {
  if ((!$n_Lamf_core_remote_Vendor$)) {
    $n_Lamf_core_remote_Vendor$ = new $c_Lamf_core_remote_Vendor$().init___()
  };
  return $n_Lamf_core_remote_Vendor$
});
class $c_Lamf_core_resolution_VariableReplacer$ extends $c_O {
  constructor() {
    super();
    this.Transformations$1 = null;
    this.TransformationsRegex$1 = null;
    this.VariableRegex$1 = null
  };
  init___() {
    $n_Lamf_core_resolution_VariableReplacer$ = this;
    this.Transformations$1 = "singularize|pluralize|uppercase|lowercase|lowercamelcase|uppercamelcase|lowerunderscorecase|upperunderscorecase|lowerhyphencase|upperhyphencase";
    const x = this.Transformations$1;
    const this$2 = new $c_sci_StringOps().init___T(x);
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    this.TransformationsRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const x$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["<<\\\\s*([^<<>>|\\\\s]+)((?:\\\\s*\\\\|\\\\s*!(?:", ")\\\\s*)*)>>"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Transformations$1]));
    const this$5 = new $c_sci_StringOps().init___T(x$1);
    const groupNames$1 = $m_sci_Nil$();
    const $$this$1 = this$5.repr$1;
    this.VariableRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$1, groupNames$1);
    return this
  };
  replaceVariables__Lamf_core_model_domain_ScalarNode__sci_Set__Lamf_core_model_domain_DataNode(s, values) {
    const x1 = s.value$2;
    const o7 = this.VariableRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
    let jsx$1;
    if ((!o7.isEmpty__Z())) {
      if ((o7.get__O() !== null)) {
        const this$1 = o7.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 2) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$2 = o7.get__O();
      const name = $f_sc_LinearSeqOptimized__apply__I__O(this$2, 0);
      const this$3 = o7.get__O();
      const transformations = $f_sc_LinearSeqOptimized__apply__I__O(this$3, 1);
      let rc14 = false;
      let x2 = null;
      const x1$2 = values.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, name$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return (x$1.name$1 === name$1)
        })
      })(this, name)));
      if ($is_s_Some(x1$2)) {
        rc14 = true;
        x2 = x1$2;
        const p3 = x2.value$2;
        if (((p3 !== null) && $is_Lamf_core_model_domain_ScalarNode(p3.value$1))) {
          const this$4 = this.VariableRegex$1;
          const target = s.value$2;
          const this$5 = new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(target, this$4, this$4.scala$util$matching$Regex$$groupNames$f);
          const it = new $c_s_util_matching_Regex$MatchIterator$$anon$1().init___s_util_matching_Regex$MatchIterator(this$5);
          while (it.hasNext__Z()) {
            const arg1 = it.next__s_util_matching_Regex$Match();
            const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(v$2) {
                const v = v$2;
                const self = v.name$1;
                const y = v.value$1;
                return new $c_T2().init___O__O(self, y)
              })
            })(this));
            const this$8 = $m_sci_Set$();
            const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$8);
            const rs = this.replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(values, f, bf).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2), arg1);
            it.matcher__ju_regex_Matcher().appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(it.scala$util$matching$Regex$Replacement$$sb$2, rs)
          };
          s.value$2 = $f_s_util_matching_Regex$Replacement__replaced__T(it);
          return s
        }
      };
      let jsx$2;
      if (rc14) {
        const this$10 = new $c_sci_StringOps().init___T(transformations);
        jsx$2 = $f_sc_TraversableOnce__nonEmpty__Z(this$10)
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot apply transformations '", "' to variable '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([transformations, name]))))
      };
      if (rc14) {
        const p9 = x2.value$2;
        if ((p9 !== null)) {
          const node = p9.value$1;
          return node
        }
      };
      const x = $m_s_None$();
      if ((x === x1$2)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find variable '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]))))
      };
      throw new $c_s_MatchError().init___O(x1$2)
    };
    const this$11 = this.VariableRegex$1;
    const this$12 = new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(x1, this$11, this$11.scala$util$matching$Regex$$groupNames$f);
    const it$1 = new $c_s_util_matching_Regex$MatchIterator$$anon$1().init___s_util_matching_Regex$MatchIterator(this$12);
    while (it$1.hasNext__Z()) {
      const arg1$1 = it$1.next__s_util_matching_Regex$Match();
      const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
        return (function(v$2$1) {
          const v$1 = v$2$1;
          const self$1 = v$1.name$1;
          const y$1 = v$1.value$1;
          return new $c_T2().init___O__O(self$1, y$1)
        })
      })(this));
      const this$15 = $m_sci_Set$();
      const bf$1 = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$15);
      const rs$1 = this.replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(values, f$1, bf$1).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2), arg1$1);
      it$1.matcher__ju_regex_Matcher().appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(it$1.scala$util$matching$Regex$Replacement$$sb$2, rs$1)
    };
    s.value$2 = $f_s_util_matching_Regex$Replacement__replaced__T(it$1);
    return s
  };
  replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T(values, m) {
    const name = $f_s_util_matching_Regex$MatchData__group__I__T(m, 1);
    const this$1 = values.get__O__s_Option(name);
    let this$6;
    if (this$1.isEmpty__Z()) {
      this$6 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      if ((!$is_Lamf_core_model_domain_ScalarNode(x0$1))) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Variable '", "' cannot be replaced with type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name, x0$1]))))
      };
      const x2 = x0$1;
      const text = x2.value$2;
      const this$2 = $m_s_Option$().apply__O__s_Option($f_s_util_matching_Regex$MatchData__group__I__T(m, 2));
      let this$5;
      if (this$2.isEmpty__Z()) {
        this$5 = $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const transformations = arg1$1;
        const this$3 = this.TransformationsRegex$1.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(transformations);
        let elem$1 = null;
        elem$1 = text;
        while (this$3.hasNext__Z()) {
          const arg1$2 = this$3.next__T();
          const arg1$3 = elem$1;
          const value = arg1$3;
          elem$1 = this.variableTransformation__T__T__T(value, arg1$2)
        };
        this$5 = new $c_s_Some().init___O(elem$1)
      };
      this$6 = new $c_s_Some().init___O((this$5.isEmpty__Z() ? text : this$5.get__O()))
    };
    return (this$6.isEmpty__Z() ? name : this$6.get__O())
  };
  variableTransformation__T__T__T(value, transformation) {
    if ((transformation === "singularize")) {
      return ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).singularize__T()
    } else if ((transformation === "pluralize")) {
      return ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).pluralize__T()
    } else if ((transformation === "uppercase")) {
      return value.toUpperCase()
    } else if ((transformation === "lowercase")) {
      return value.toLowerCase()
    } else if ((transformation === "lowercamelcase")) {
      $m_Lamf_core_utils_InflectorBase$();
      $m_Lamf_core_utils_InflectorBase$();
      const qual$1 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const word = qual$1.camelize__Z__T(false);
      return new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(word).decapitalize__T()
    } else if ((transformation === "uppercamelcase")) {
      $m_Lamf_core_utils_InflectorBase$();
      const qual$2 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const x = qual$2.camelize__Z__T(false);
      const this$9 = new $c_sci_StringOps().init___T(x);
      return $f_sci_StringLike__capitalize__T(this$9)
    } else if ((transformation === "lowerunderscorecase")) {
      $m_Lamf_core_utils_InflectorBase$();
      const qual$3 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const thiz = qual$3.camelToScoreSing__T__T("_");
      return thiz.toLowerCase()
    } else if ((transformation === "upperunderscorecase")) {
      $m_Lamf_core_utils_InflectorBase$();
      const qual$4 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const thiz$1 = qual$4.camelToScoreSing__T__T("_");
      return thiz$1.toUpperCase()
    } else if ((transformation === "lowerhyphencase")) {
      const thiz$2 = ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).camelToScoreSing__T__T("-");
      return thiz$2.toLowerCase()
    } else if ((transformation === "upperhyphencase")) {
      const thiz$3 = ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).camelToScoreSing__T__T("-");
      return thiz$3.toUpperCase()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Transformation '", "' on '", "' is not valid."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([transformation, value]))))
    }
  };
  replaceVariables__T__sci_Set__T(s, values) {
    const this$1 = this.VariableRegex$1;
    const this$2 = new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(s, this$1, this$1.scala$util$matching$Regex$$groupNames$f);
    const it = new $c_s_util_matching_Regex$MatchIterator$$anon$1().init___s_util_matching_Regex$MatchIterator(this$2);
    while (it.hasNext__Z()) {
      const arg1 = it.next__s_util_matching_Regex$Match();
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          const self = v.name$1;
          const y = v.value$1;
          return new $c_T2().init___O__O(self, y)
        })
      })(this));
      const this$5 = $m_sci_Set$();
      const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$5);
      const rs = this.replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(values, f, bf).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2), arg1);
      it.matcher__ju_regex_Matcher().appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(it.scala$util$matching$Regex$Replacement$$sb$2, rs)
    };
    return $f_s_util_matching_Regex$Replacement__replaced__T(it)
  };
}
const $d_Lamf_core_resolution_VariableReplacer$ = new $TypeData().initClass({
  Lamf_core_resolution_VariableReplacer$: 0
}, false, "amf.core.resolution.VariableReplacer$", {
  Lamf_core_resolution_VariableReplacer$: 1,
  O: 1
});
$c_Lamf_core_resolution_VariableReplacer$.prototype.$classData = $d_Lamf_core_resolution_VariableReplacer$;
let $n_Lamf_core_resolution_VariableReplacer$ = (void 0);
const $m_Lamf_core_resolution_VariableReplacer$ = (function() {
  if ((!$n_Lamf_core_resolution_VariableReplacer$)) {
    $n_Lamf_core_resolution_VariableReplacer$ = new $c_Lamf_core_resolution_VariableReplacer$().init___()
  };
  return $n_Lamf_core_resolution_VariableReplacer$
});
class $c_Lamf_core_resolution_pipelines_ResolutionPipeline extends $c_O {
  constructor() {
    super();
    this.model$1 = null
  };
  init___() {
    this.model$1 = $m_s_None$();
    return this
  };
  step__Lamf_core_resolution_stages_ResolutionStage__V(stage) {
    this.model$1 = new $c_s_Some().init___O(stage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(this.model$1.get__O()))
  };
}
class $c_Lamf_core_resolution_stages_ModelReferenceResolver extends $c_O {
  constructor() {
    super();
    this.model$1 = null
  };
  init___Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = model;
    return this
  };
  findFragment__T__s_Option(url) {
    const x1 = this.model$1;
    if ($is_Lamf_core_model_document_EncodesModel(x1)) {
      if ((this.model$1.location__T() === url)) {
        return new $c_s_Some().init___O(x1.encodes__Lamf_core_model_domain_DomainElement())
      }
    };
    if ((this.model$1.location__T() === url)) {
      return $m_s_None$()
    };
    const jsx$2 = this.model$1.references__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(x$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    let remaining = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    let result = $m_s_None$();
    while (remaining.nonEmpty__Z()) {
      const x1$2 = remaining.head__O().findFragment__T__s_Option(url);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        result = x2$2;
        remaining = $m_sci_Nil$()
      } else {
        remaining = remaining.tail__O()
      }
    };
    return result
  };
}
const $is_Lamf_core_resolution_stages_ModelReferenceResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_resolution_stages_ModelReferenceResolver)))
});
const $isArrayOf_Lamf_core_resolution_stages_ModelReferenceResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_resolution_stages_ModelReferenceResolver)))
});
const $d_Lamf_core_resolution_stages_ModelReferenceResolver = new $TypeData().initClass({
  Lamf_core_resolution_stages_ModelReferenceResolver: 0
}, false, "amf.core.resolution.stages.ModelReferenceResolver", {
  Lamf_core_resolution_stages_ModelReferenceResolver: 1,
  O: 1
});
$c_Lamf_core_resolution_stages_ModelReferenceResolver.prototype.$classData = $d_Lamf_core_resolution_stages_ModelReferenceResolver;
class $c_Lamf_core_resolution_stages_ResolutionStage extends $c_O {
}
class $c_Lamf_core_services_RuntimeCompiler$ extends $c_O {
  constructor() {
    super();
    this.compiler$1 = null
  };
  init___() {
    $n_Lamf_core_services_RuntimeCompiler$ = this;
    this.compiler$1 = $m_s_None$();
    return this
  };
  apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(url, mediaType, vendor, base, referenceKind, cache, ctx) {
    const x1 = this.compiler$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeCompiler = x2.value$2;
      $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1, mediaType$1, vendor$1) {
        return (function(x$1$2) {
          return (void 0)
        })
      })(this, url, mediaType, vendor)));
      return runtimeCompiler.build__T__Lamf_core_remote_Context__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(url, base, mediaType, vendor, referenceKind, cache, ctx).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, url$2) {
        return (function(parsedUnit$2) {
          const parsedUnit = parsedUnit$2;
          return $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(parsedUnit, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1, url$1$1) {
            return (function(x0$1$2, x1$1$2) {
              const x0$1 = x0$1$2;
              return x0$1
            })
          })(this$2, url$2)))
        })
      })(this, url)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime compiler"))
    }
  };
  register__Lamf_core_services_RuntimeCompiler__V(runtimeCompiler) {
    this.compiler$1 = new $c_s_Some().init___O(runtimeCompiler)
  };
}
const $d_Lamf_core_services_RuntimeCompiler$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeCompiler$: 0
}, false, "amf.core.services.RuntimeCompiler$", {
  Lamf_core_services_RuntimeCompiler$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeCompiler$.prototype.$classData = $d_Lamf_core_services_RuntimeCompiler$;
let $n_Lamf_core_services_RuntimeCompiler$ = (void 0);
const $m_Lamf_core_services_RuntimeCompiler$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeCompiler$)) {
    $n_Lamf_core_services_RuntimeCompiler$ = new $c_Lamf_core_services_RuntimeCompiler$().init___()
  };
  return $n_Lamf_core_services_RuntimeCompiler$
});
class $c_Lamf_core_services_RuntimeResolver$ extends $c_O {
  init___() {
    return this
  };
  resolve__T__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(vendor, unit) {
    const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
    const x1 = this$1.documentPluginIDRegistry$1.get__O__s_Option(vendor);
    let plugin;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const documentPlugin = x2.value$2;
      plugin = new $c_s_Some().init___O(documentPlugin)
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      plugin = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForVendor__T__sc_Seq(vendor).headOption__s_Option()
    };
    if ($is_s_Some(plugin)) {
      const x2$2 = plugin;
      const documentPlugin$2 = x2$2.value$2;
      if ((documentPlugin$2 !== null)) {
        return documentPlugin$2.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
      }
    };
    const x$3 = $m_s_None$();
    if ((x$3 === plugin)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find domain plugin for vendor ", " to resolve unit ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([vendor, unit.location__T()]))))
    };
    throw new $c_s_MatchError().init___O(plugin)
  };
}
const $d_Lamf_core_services_RuntimeResolver$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeResolver$: 0
}, false, "amf.core.services.RuntimeResolver$", {
  Lamf_core_services_RuntimeResolver$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeResolver$.prototype.$classData = $d_Lamf_core_services_RuntimeResolver$;
let $n_Lamf_core_services_RuntimeResolver$ = (void 0);
const $m_Lamf_core_services_RuntimeResolver$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeResolver$)) {
    $n_Lamf_core_services_RuntimeResolver$ = new $c_Lamf_core_services_RuntimeResolver$().init___()
  };
  return $n_Lamf_core_services_RuntimeResolver$
});
class $c_Lamf_core_services_RuntimeSerializer$ extends $c_O {
  constructor() {
    super();
    this.serializer$1 = null
  };
  init___() {
    $n_Lamf_core_services_RuntimeSerializer$ = this;
    this.serializer$1 = $m_s_None$();
    return this
  };
  dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__s_concurrent_Future(platform, file, unit, mediaType, vendor, options) {
    const x1 = this.serializer$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeSerializer = x2.value$2;
      return runtimeSerializer.dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__s_concurrent_Future(platform, file, unit, mediaType, vendor, options)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime serializer"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  apply__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__T(unit, mediaType, vendor, options) {
    const x1 = this.serializer$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeSerializer = x2.value$2;
      return runtimeSerializer.dump__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__T(unit, mediaType, vendor, options)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime serializer"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  register__Lamf_core_services_RuntimeSerializer__V(runtimeSerializer) {
    this.serializer$1 = new $c_s_Some().init___O(runtimeSerializer)
  };
}
const $d_Lamf_core_services_RuntimeSerializer$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeSerializer$: 0
}, false, "amf.core.services.RuntimeSerializer$", {
  Lamf_core_services_RuntimeSerializer$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeSerializer$.prototype.$classData = $d_Lamf_core_services_RuntimeSerializer$;
let $n_Lamf_core_services_RuntimeSerializer$ = (void 0);
const $m_Lamf_core_services_RuntimeSerializer$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeSerializer$)) {
    $n_Lamf_core_services_RuntimeSerializer$ = new $c_Lamf_core_services_RuntimeSerializer$().init___()
  };
  return $n_Lamf_core_services_RuntimeSerializer$
});
class $c_Lamf_core_services_RuntimeValidator$ extends $c_O {
  constructor() {
    super();
    this.validator$1 = null
  };
  reset__V() {
    const x1 = this.validator$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeValidator = x2.value$2;
      runtimeValidator.reset__V()
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___() {
    $n_Lamf_core_services_RuntimeValidator$ = this;
    this.validator$1 = $m_s_None$();
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model, profileName, messageStyle) {
    const x1 = this.validator$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeValidator = x2.value$2;
      return runtimeValidator.validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model, profileName, messageStyle)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  loadValidationProfile__T__s_concurrent_Future(validationProfilePath) {
    const x1 = this.validator$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeValidator = x2.value$2;
      return runtimeValidator.loadValidationProfile__T__s_concurrent_Future(validationProfilePath)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  register__Lamf_core_services_RuntimeValidator__V(runtimeValidator) {
    this.validator$1 = new $c_s_Some().init___O(runtimeValidator)
  };
  reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, validationId, targetNode, targetProperty, message, position) {
    const x1 = this.validator$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeValidator = x2.value$2;
      runtimeValidator.reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, validationId, targetNode, targetProperty, message, position)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(model, validations, messgeStyle) {
    const x1 = this.validator$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeValidator = x2.value$2;
      return runtimeValidator.shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(model, validations, messgeStyle)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $d_Lamf_core_services_RuntimeValidator$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeValidator$: 0
}, false, "amf.core.services.RuntimeValidator$", {
  Lamf_core_services_RuntimeValidator$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeValidator$.prototype.$classData = $d_Lamf_core_services_RuntimeValidator$;
let $n_Lamf_core_services_RuntimeValidator$ = (void 0);
const $m_Lamf_core_services_RuntimeValidator$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeValidator$)) {
    $n_Lamf_core_services_RuntimeValidator$ = new $c_Lamf_core_services_RuntimeValidator$().init___()
  };
  return $n_Lamf_core_services_RuntimeValidator$
});
class $c_Lamf_core_unsafe_PlatformBuilder$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_core_unsafe_PlatformBuilder$ = this;
    this.platform$1 = ($m_Lamf_core_client_Utils$().isClient__Z() ? new $c_Lamf_core_remote_browser_JsBrowserPlatform().init___() : new $c_Lamf_core_remote_server_JsServerPlatform().init___());
    return this
  };
}
const $d_Lamf_core_unsafe_PlatformBuilder$ = new $TypeData().initClass({
  Lamf_core_unsafe_PlatformBuilder$: 0
}, false, "amf.core.unsafe.PlatformBuilder$", {
  Lamf_core_unsafe_PlatformBuilder$: 1,
  O: 1
});
$c_Lamf_core_unsafe_PlatformBuilder$.prototype.$classData = $d_Lamf_core_unsafe_PlatformBuilder$;
let $n_Lamf_core_unsafe_PlatformBuilder$ = (void 0);
const $m_Lamf_core_unsafe_PlatformBuilder$ = (function() {
  if ((!$n_Lamf_core_unsafe_PlatformBuilder$)) {
    $n_Lamf_core_unsafe_PlatformBuilder$ = new $c_Lamf_core_unsafe_PlatformBuilder$().init___()
  };
  return $n_Lamf_core_unsafe_PlatformBuilder$
});
class $c_Lamf_core_utils_InflectorBase$ extends $c_O {
  constructor() {
    super();
    this.amf$core$utils$InflectorBase$$singulars$1 = null;
    this.amf$core$utils$InflectorBase$$plurals$1 = null;
    this.amf$core$utils$InflectorBase$$irregulars$1 = null;
    this.amf$core$utils$InflectorBase$$uncountables$1 = null
  };
  init___() {
    $n_Lamf_core_utils_InflectorBase$ = this;
    this.amf$core$utils$InflectorBase$$singulars$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.amf$core$utils$InflectorBase$$plurals$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.amf$core$utils$InflectorBase$$irregulars$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.addPlural__p1__T__T__V("$", "s");
    this.addPlural__p1__T__T__V("s$", "s");
    this.addPlural__p1__T__T__V("(ax|test)is$", "$1es");
    this.addPlural__p1__T__T__V("(octop|vir)us$", "$1i");
    this.addPlural__p1__T__T__V("(alias|status)$", "$1es");
    this.addPlural__p1__T__T__V("(bu)s$", "$1ses");
    this.addPlural__p1__T__T__V("(buffal|tomat)o$", "$1oes");
    this.addPlural__p1__T__T__V("([ti])um$", "$1a");
    this.addPlural__p1__T__T__V("sis$", "ses");
    this.addPlural__p1__T__T__V("(?:([^f])fe|([lr])f)$", "$1$2ves");
    this.addPlural__p1__T__T__V("(hive)$", "$1s");
    this.addPlural__p1__T__T__V("([^aeiouy]|qu)y$", "$1ies");
    this.addPlural__p1__T__T__V("(x|ch|ss|sh)$", "$1es");
    this.addPlural__p1__T__T__V("(matr|vert|ind)(?:ix|ex)$", "$1ices");
    this.addPlural__p1__T__T__V("([m|l])ouse$", "$1ice");
    this.addPlural__p1__T__T__V("^(ox)$", "$1en");
    this.addPlural__p1__T__T__V("(quiz)$", "$1zes");
    this.addSingular__p1__T__T__V("s$", "");
    this.addSingular__p1__T__T__V("(n)ews$", "$1ews");
    this.addSingular__p1__T__T__V("([ti])a$", "$1um");
    this.addSingular__p1__T__T__V("((a)naly|(b)a|(d)iagno|(p)arenthe|(p)rogno|(s)ynop|(t)he)ses$", "$1sis");
    this.addSingular__p1__T__T__V("((a)naly|(b)a|(d)iagno|(p)arenthe|(p)rogno|(s)ynop|(t)he)sis$", "$1sis");
    this.addSingular__p1__T__T__V("(^analy)ses$", "$1sis");
    this.addSingular__p1__T__T__V("([^f])ves$", "$1fe");
    this.addSingular__p1__T__T__V("(hive)s$", "$1");
    this.addSingular__p1__T__T__V("(tive)s$", "$1");
    this.addSingular__p1__T__T__V("([lr])ves$", "$1f");
    this.addSingular__p1__T__T__V("([^aeiouy]|qu)ies$", "$1y");
    this.addSingular__p1__T__T__V("(s)eries$", "$1eries");
    this.addSingular__p1__T__T__V("(m)ovies$", "$1ovie");
    this.addSingular__p1__T__T__V("(x|ch|ss|sh)es$", "$1");
    this.addSingular__p1__T__T__V("([m|l])ice$", "$1ouse");
    this.addSingular__p1__T__T__V("(bus)es$", "$1");
    this.addSingular__p1__T__T__V("(bus)$", "$1");
    this.addSingular__p1__T__T__V("(o)es$", "$1");
    this.addSingular__p1__T__T__V("(shoe)s$", "$1");
    this.addSingular__p1__T__T__V("(cris|ax|test)es$", "$1is");
    this.addSingular__p1__T__T__V("(cris|ax|test)is$", "$1is");
    this.addSingular__p1__T__T__V("(octop|vir)i$", "$1us");
    this.addSingular__p1__T__T__V("(alias|status)es$", "$1");
    this.addSingular__p1__T__T__V("(alias|status)$", "$1");
    this.addSingular__p1__T__T__V("^(ox)en", "$1");
    this.addSingular__p1__T__T__V("(vert|ind)ices$", "$1ex");
    this.addSingular__p1__T__T__V("(matr)ices$", "$1ix");
    this.addSingular__p1__T__T__V("(quiz)zes$", "$1");
    this.addSingular__p1__T__T__V("(database)s$", "$1");
    this.addIrregular__p1__T__T__V("person", "people");
    this.addIrregular__p1__T__T__V("man", "men");
    this.addIrregular__p1__T__T__V("child", "children");
    this.addIrregular__p1__T__T__V("sex", "sexes");
    this.addIrregular__p1__T__T__V("move", "moves");
    this.addIrregular__p1__T__T__V("foot", "feet");
    this.addIrregular__p1__T__T__V("tooth", "teeth");
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["equipment", "information", "rice", "money", "species", "series", "fish", "sheep"]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    this.amf$core$utils$InflectorBase$$uncountables$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  addPlural__p1__T__T__V(rule, replacement) {
    this.amf$core$utils$InflectorBase$$plurals$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_utils_InflectorBase$Container().init___T__T(rule, replacement))
  };
  addSingular__p1__T__T__V(rule, replacement) {
    this.amf$core$utils$InflectorBase$$singulars$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_utils_InflectorBase$Container().init___T__T(rule, replacement))
  };
  addIrregular__p1__T__T__V(rule, replacement) {
    this.amf$core$utils$InflectorBase$$irregulars$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_utils_InflectorBase$Container().init___T__T(rule, replacement))
  };
}
const $d_Lamf_core_utils_InflectorBase$ = new $TypeData().initClass({
  Lamf_core_utils_InflectorBase$: 0
}, false, "amf.core.utils.InflectorBase$", {
  Lamf_core_utils_InflectorBase$: 1,
  O: 1
});
$c_Lamf_core_utils_InflectorBase$.prototype.$classData = $d_Lamf_core_utils_InflectorBase$;
let $n_Lamf_core_utils_InflectorBase$ = (void 0);
const $m_Lamf_core_utils_InflectorBase$ = (function() {
  if ((!$n_Lamf_core_utils_InflectorBase$)) {
    $n_Lamf_core_utils_InflectorBase$ = new $c_Lamf_core_utils_InflectorBase$().init___()
  };
  return $n_Lamf_core_utils_InflectorBase$
});
class $c_Lamf_core_utils_InflectorBase$Inflector extends $c_O {
  constructor() {
    super();
    this.word$1 = null
  };
  gsub__p1__T__T__T__s_Option(word, rule, replacement) {
    const pattern = $m_ju_regex_Pattern$().compile__T__I__ju_regex_Pattern(rule, 2);
    const matcher = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(pattern, word, 0, (word.length | 0));
    return (matcher.find__Z() ? new $c_s_Some().init___O(matcher.replaceFirst__T__T(replacement)) : $m_s_None$())
  };
  camelize__Z__T(capitalizeFirstChar) {
    const thiz = this.word$1;
    const split = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "_", 0);
    let xs;
    if ((split.u.length === 0)) {
      if ((split.u.length === 0)) {
        throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
      };
      const until = split.u.length;
      const x = ((until > 0) ? until : 0);
      const y = split.u.length;
      const hi = ((x < y) ? x : y);
      const x$1 = (((-1) + hi) | 0);
      const size = ((x$1 > 0) ? x$1 : 0);
      const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(split).getComponentType__jl_Class(), size);
      if ((size > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(split, 1, result, 0, size)
      };
      xs = result
    } else {
      const until$1 = split.u.length;
      const x$2 = ((until$1 > 0) ? until$1 : 0);
      const y$1 = split.u.length;
      const hi$1 = ((x$2 < y$1) ? x$2 : y$1);
      const x$3 = (((-1) + hi$1) | 0);
      const size$1 = ((x$3 > 0) ? x$3 : 0);
      const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(split).getComponentType__jl_Class(), size$1);
      if ((size$1 > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(split, 1, result$1, 0, size$1)
      };
      xs = result$1
    };
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      const x$4 = arg1;
      const this$32 = new $c_sci_StringOps().init___T(x$4);
      const c = $f_sc_IndexedSeqOptimized__head__O(this$32);
      let c$1;
      if ((c === null)) {
        c$1 = 0
      } else {
        const this$34 = c;
        c$1 = this$34.value$1
      };
      const c$2 = $m_jl_Character$().toUpperCase__C__C(c$1);
      const jsx$1 = new $c_jl_Character().init___C(c$2);
      const this$40 = new $c_sci_StringOps().init___T(x$4);
      const elem = (("" + jsx$1) + $f_sc_IndexedSeqOptimized__tail__O(this$40));
      elems$2.push(elem);
      i = ((1 + i) | 0)
    };
    const tail = $makeNativeArrayWrapper($d_T.getArrayOf(), elems$2);
    if (capitalizeFirstChar) {
      const this$42 = new $c_scm_ArrayOps$ofRef().init___AO(split);
      const x$5 = $f_sc_IndexedSeqOptimized__head__O(this$42);
      const this$44 = new $c_sci_StringOps().init___T(x$5);
      const jsx$2 = $f_sci_StringLike__capitalize__T(this$44);
      const b = new $c_scm_StringBuilder().init___();
      let elem$1 = false;
      elem$1 = true;
      b.append__T__scm_StringBuilder("");
      let i$1 = 0;
      const len$1 = tail.u.length;
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = tail.u[index$1];
        if (elem$1) {
          b.append__O__scm_StringBuilder(arg1$1);
          elem$1 = false
        } else {
          b.append__T__scm_StringBuilder("");
          b.append__O__scm_StringBuilder(arg1$1)
        };
        i$1 = ((1 + i$1) | 0)
      };
      b.append__T__scm_StringBuilder("");
      const this$49 = b.underlying$5;
      return (("" + jsx$2) + this$49.content$1)
    } else {
      const this$51 = new $c_scm_ArrayOps$ofRef().init___AO(split);
      const jsx$3 = $f_sc_IndexedSeqOptimized__head__O(this$51);
      const b$1 = new $c_scm_StringBuilder().init___();
      let elem$1$1 = false;
      elem$1$1 = true;
      b$1.append__T__scm_StringBuilder("");
      let i$2 = 0;
      const len$2 = tail.u.length;
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = tail.u[index$2];
        if (elem$1$1) {
          b$1.append__O__scm_StringBuilder(arg1$2);
          elem$1$1 = false
        } else {
          b$1.append__T__scm_StringBuilder("");
          b$1.append__O__scm_StringBuilder(arg1$2)
        };
        i$2 = ((1 + i$2) | 0)
      };
      b$1.append__T__scm_StringBuilder("");
      const this$56 = b$1.underlying$5;
      return (("" + jsx$3) + this$56.content$1)
    }
  };
  pluralize__T() {
    const this$1 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$uncountables$1;
    const elem = this.word$1;
    if ($f_sc_LinearSeqOptimized__contains__O__Z(this$1, elem)) {
      return this.word$1
    } else {
      const this$2 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$irregulars$1;
      const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
      let this$7;
      inlinereturn$6: {
        let these = this$3;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const i = arg1;
          const thiz = i.rule$1;
          const that = this.word$1;
          if ((thiz.toLowerCase() === ((that === null) ? null : that.toLowerCase()))) {
            this$7 = new $c_s_Some().init___O(these.head__O());
            break inlinereturn$6
          };
          these = these.tail__O()
        };
        this$7 = $m_s_None$()
      };
      let this$8;
      if (this$7.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$1 = this$7.get__O();
        const x$1 = arg1$1;
        this$8 = new $c_s_Some().init___O(x$1.replacement$1)
      };
      const this$9 = (this$8.isEmpty__Z() ? this.findGSubInList__p1__sc_Seq__T__s_Option($m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$plurals$1, this.word$1) : this$8);
      return (this$9.isEmpty__Z() ? this.word$1 : this$9.get__O())
    }
  };
  camelToScoreSing__T__T(sign) {
    const upper = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const thiz = this.word$1;
    const bytes = $m_sjsr_RuntimeString$().getBytes__T__Ljava_nio_charset_Charset__AB(thiz, $m_sjs_niocharset_UTF$und8$());
    let i = 0;
    const len = bytes.u.length;
    while ((i < len)) {
      const idx = i;
      const arg1 = bytes.u[idx];
      const b = (arg1 | 0);
      if (((b < 97) || (b > 122))) {
        const len$1 = bytes.u.length;
        let i$1 = 0;
        while (true) {
          let jsx$1;
          if ((i$1 < len$1)) {
            const idx$1 = i$1;
            const arg1$1 = bytes.u[idx$1];
            jsx$1 = (!$m_sr_BoxesRunTime$().equals__O__O__Z(b, arg1$1))
          } else {
            jsx$1 = false
          };
          if (jsx$1) {
            i$1 = ((1 + i$1) | 0)
          } else {
            break
          }
        };
        const n = i$1;
        const x = ((n >= bytes.u.length) ? (-1) : n);
        upper.$$plus$eq__O__scm_ListBuffer(x)
      };
      i = ((1 + i) | 0)
    };
    const b$3 = new $c_jl_StringBuffer().init___T(this.word$1);
    const this$15 = upper.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$15;
    while ((!these.isEmpty__Z())) {
      const arg1$2 = these.head__O();
      const index = arg1$2;
      b$3.insert__I__T__jl_StringBuffer((index | 0), sign);
      these = these.tail__O()
    };
    const thiz$1 = b$3.content$1;
    return thiz$1.toLowerCase()
  };
  findGSubInList__p1__sc_Seq__T__s_Option(list, word) {
    const this$1 = list.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, word$1) {
      return (function(p$2) {
        const p = p$2;
        return $this.gsub__p1__T__T__T__s_Option(word$1, p.rule$1, p.replacement$1).isDefined__Z()
      })
    })(this, word)));
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p$3 = arg1;
      return this.gsub__p1__T__T__T__s_Option(word, p$3.rule$1, p$3.replacement$1)
    }
  };
  init___T(word) {
    this.word$1 = word;
    return this
  };
  decapitalize__T() {
    const x = this.word$1;
    const this$2 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const c = $m_sjsr_RuntimeString$().toCharArray__T__AC(this.word$1);
      const this$4 = new $c_scm_ArrayOps$ofChar().init___AC(c);
      const c$1 = $f_sc_IndexedSeqOptimized__head__O(this$4);
      let c$2;
      if ((c$1 === null)) {
        c$2 = 0
      } else {
        const this$6 = c$1;
        c$2 = this$6.value$1
      };
      const c$3 = $m_jl_Character$().toLowerCase__C__C(c$2);
      const jsx$1 = new $c_jl_Character().init___C(c$3);
      let xs;
      if ((c.u.length === 0)) {
        if ((c.u.length === 0)) {
          throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
        };
        const until = c.u.length;
        const x$1 = ((until > 0) ? until : 0);
        const y = c.u.length;
        const hi = ((x$1 < y) ? x$1 : y);
        const x$2 = (((-1) + hi) | 0);
        const size = ((x$2 > 0) ? x$2 : 0);
        const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(c).getComponentType__jl_Class(), size);
        if ((size > 0)) {
          $m_s_Array$().copy__O__I__O__I__I__V(c, 1, result, 0, size)
        };
        xs = result
      } else {
        const until$1 = c.u.length;
        const x$3 = ((until$1 > 0) ? until$1 : 0);
        const y$1 = c.u.length;
        const hi$1 = ((x$3 < y$1) ? x$3 : y$1);
        const x$4 = (((-1) + hi$1) | 0);
        const size$1 = ((x$4 > 0) ? x$4 : 0);
        const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(c).getComponentType__jl_Class(), size$1);
        if ((size$1 > 0)) {
          $m_s_Array$().copy__O__I__O__I__I__V(c, 1, result$1, 0, size$1)
        };
        xs = result$1
      };
      const b = new $c_scm_StringBuilder().init___();
      let elem$1 = false;
      elem$1 = true;
      b.append__T__scm_StringBuilder("");
      let i = 0;
      const len = xs.u.length;
      while ((i < len)) {
        const idx = i;
        const c$4 = xs.u[idx];
        const arg1 = new $c_jl_Character().init___C(c$4);
        if (elem$1) {
          b.append__O__scm_StringBuilder(arg1);
          elem$1 = false
        } else {
          b.append__T__scm_StringBuilder("");
          b.append__O__scm_StringBuilder(arg1)
        };
        i = ((1 + i) | 0)
      };
      b.append__T__scm_StringBuilder("");
      const this$38 = b.underlying$5;
      return (("" + jsx$1) + this$38.content$1)
    } else {
      return this.word$1
    }
  };
  singularize__T() {
    const this$1 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$uncountables$1;
    const elem = this.word$1;
    if ($f_sc_LinearSeqOptimized__contains__O__Z(this$1, elem)) {
      return this.word$1
    } else {
      const this$2 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$irregulars$1;
      const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
      let this$7;
      inlinereturn$6: {
        let these = this$3;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const i = arg1;
          const thiz = i.replacement$1;
          const that = this.word$1;
          if ((thiz.toLowerCase() === ((that === null) ? null : that.toLowerCase()))) {
            this$7 = new $c_s_Some().init___O(these.head__O());
            break inlinereturn$6
          };
          these = these.tail__O()
        };
        this$7 = $m_s_None$()
      };
      let this$8;
      if (this$7.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$1 = this$7.get__O();
        const x$2 = arg1$1;
        this$8 = new $c_s_Some().init___O(x$2.rule$1)
      };
      const this$9 = (this$8.isEmpty__Z() ? this.findGSubInList__p1__sc_Seq__T__s_Option($m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$singulars$1, this.word$1) : this$8);
      return (this$9.isEmpty__Z() ? this.word$1 : this$9.get__O())
    }
  };
}
const $d_Lamf_core_utils_InflectorBase$Inflector = new $TypeData().initClass({
  Lamf_core_utils_InflectorBase$Inflector: 0
}, false, "amf.core.utils.InflectorBase$Inflector", {
  Lamf_core_utils_InflectorBase$Inflector: 1,
  O: 1
});
$c_Lamf_core_utils_InflectorBase$Inflector.prototype.$classData = $d_Lamf_core_utils_InflectorBase$Inflector;
class $c_Lamf_core_utils_Lazy extends $c_O {
  constructor() {
    super();
    this.producer$1 = null;
    this.value$1 = null
  };
  init___F0(producer) {
    this.producer$1 = producer;
    this.value$1 = $m_s_None$();
    return this
  };
  getOrCreate__O() {
    const this$1 = this.value$1;
    const ifEmpty = this.producer$1;
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = ifEmpty.apply__O()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = arg1
    };
    this.value$1 = new $c_s_Some().init___O(jsx$1);
    return this.value$1.get__O()
  };
}
const $d_Lamf_core_utils_Lazy = new $TypeData().initClass({
  Lamf_core_utils_Lazy: 0
}, false, "amf.core.utils.Lazy", {
  Lamf_core_utils_Lazy: 1,
  O: 1
});
$c_Lamf_core_utils_Lazy.prototype.$classData = $d_Lamf_core_utils_Lazy;
class $c_Lamf_core_utils_TSort$ extends $c_O {
  init___() {
    return this
  };
  tsort__sci_Map__sc_Iterable__sc_Iterable(preds, done) {
    _tsort: while (true) {
      const this$1 = preds;
      const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return x$1.$$und2__O().isEmpty__Z()
        })
      })(this));
      const x1 = $f_sc_TraversableLike__partition__F1__T2(this$1, p);
      if ((x1 === null)) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const noPreds = x1.$$und1__O();
      const hasPreds = x1.$$und2__O();
      if (noPreds.isEmpty__Z()) {
        if (hasPreds.isEmpty__Z()) {
          return done
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T($f_sc_TraversableLike__toString__T(hasPreds)))
        }
      } else {
        const found = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(noPreds);
        const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, found$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable(x$3, found$1)
          })
        })(this, found));
        const temp$preds = new $c_sci_MapLike$$anon$2().init___sci_MapLike__F1(hasPreds, f);
        const jsx$1 = done;
        const this$3 = $m_sc_Iterable$();
        const temp$done = jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(found, this$3.ReusableCBFInstance$2);
        preds = temp$preds;
        done = temp$done;
        continue _tsort
      }
    }
  };
}
const $d_Lamf_core_utils_TSort$ = new $TypeData().initClass({
  Lamf_core_utils_TSort$: 0
}, false, "amf.core.utils.TSort$", {
  Lamf_core_utils_TSort$: 1,
  O: 1
});
$c_Lamf_core_utils_TSort$.prototype.$classData = $d_Lamf_core_utils_TSort$;
let $n_Lamf_core_utils_TSort$ = (void 0);
const $m_Lamf_core_utils_TSort$ = (function() {
  if ((!$n_Lamf_core_utils_TSort$)) {
    $n_Lamf_core_utils_TSort$ = new $c_Lamf_core_utils_TSort$().init___()
  };
  return $n_Lamf_core_utils_TSort$
});
class $c_Lamf_core_utils_package$Strings$ extends $c_O {
  init___() {
    return this
  };
  urlEncoded$extension__T__T($$this) {
    return $m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($$this, "/", "%2F"), " ", "%20"), "\\{", "%7B"), "\\}", "%7D"), "<", "%3C"), ">", "%3E")
  };
  notNull$extension__T__T($$this) {
    const this$1 = $m_s_Option$().apply__O__s_Option($$this);
    return (this$1.isEmpty__Z() ? "" : this$1.get__O())
  };
  urlDecoded$extension__T__T($$this) {
    return $m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($m_sjsr_RuntimeString$().replaceAll__T__T__T__T($$this, "%2F", "/"), "%20", " "), "%7B", "\\{"), "%7D", "\\}"), "%3C", "<"), "%3E", ">")
  };
}
const $d_Lamf_core_utils_package$Strings$ = new $TypeData().initClass({
  Lamf_core_utils_package$Strings$: 0
}, false, "amf.core.utils.package$Strings$", {
  Lamf_core_utils_package$Strings$: 1,
  O: 1
});
$c_Lamf_core_utils_package$Strings$.prototype.$classData = $d_Lamf_core_utils_package$Strings$;
let $n_Lamf_core_utils_package$Strings$ = (void 0);
const $m_Lamf_core_utils_package$Strings$ = (function() {
  if ((!$n_Lamf_core_utils_package$Strings$)) {
    $n_Lamf_core_utils_package$Strings$ = new $c_Lamf_core_utils_package$Strings$().init___()
  };
  return $n_Lamf_core_utils_package$Strings$
});
class $c_Lamf_core_utils_package$TemplateUri$ extends $c_O {
  constructor() {
    super();
    this.varPattern$1 = null
  };
  init___() {
    $n_Lamf_core_utils_package$TemplateUri$ = this;
    const this$2 = new $c_sci_StringOps().init___T("\\{(.[^{]*)\\}");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    this.varPattern$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    return this
  };
  invalidMsg__T__T(uri) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["'", "' is not a valid template uri."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([uri]))
  };
  isValid__T__Z(chars) {
    const this$2 = new $c_sci_StringOps().init___T(chars);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    return this.isBalanced$1__p1__sci_List__I__Z($f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf), 0)
  };
  isBalanced$1__p1__sci_List__I__Z(cs, level) {
    _isBalanced: while (true) {
      let rc16 = false;
      let x2 = null;
      const x1 = cs;
      const x$2 = $m_sci_Nil$();
      if (x$2.equals__O__Z(x1)) {
        return (level === 0)
      };
      if ($is_sci_$colon$colon(x1)) {
        rc16 = true;
        x2 = x1;
        const c = x2.head$5;
        let p3;
        if ((c === null)) {
          p3 = 0
        } else {
          const this$2 = c;
          p3 = this$2.value$1
        };
        if (((p3 === 125) && (level < 1))) {
          return false
        }
      };
      if (rc16) {
        const c$1 = x2.head$5;
        let p6;
        if ((c$1 === null)) {
          p6 = 0
        } else {
          const this$4 = c$1;
          p6 = this$4.value$1
        };
        const xs = x2.tl$5;
        if ((p6 === 125)) {
          const temp$level = (((-1) + level) | 0);
          cs = xs;
          level = temp$level;
          continue _isBalanced
        }
      };
      if (rc16) {
        const c$2 = x2.head$5;
        let p8;
        if ((c$2 === null)) {
          p8 = 0
        } else {
          const this$6 = c$2;
          p8 = this$6.value$1
        };
        const xs$2 = x2.tl$5;
        if ((p8 === 123)) {
          const temp$level$2 = ((1 + level) | 0);
          cs = xs$2;
          level = temp$level$2;
          continue _isBalanced
        }
      };
      if (rc16) {
        const xs$3 = x2.tl$5;
        cs = xs$3;
        continue _isBalanced
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  variables__T__sc_Seq(path) {
    const this$1 = this.varPattern$1.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(path);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        const thiz = v.split("{").join("");
        return thiz.split("}").join("")
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
}
const $d_Lamf_core_utils_package$TemplateUri$ = new $TypeData().initClass({
  Lamf_core_utils_package$TemplateUri$: 0
}, false, "amf.core.utils.package$TemplateUri$", {
  Lamf_core_utils_package$TemplateUri$: 1,
  O: 1
});
$c_Lamf_core_utils_package$TemplateUri$.prototype.$classData = $d_Lamf_core_utils_package$TemplateUri$;
let $n_Lamf_core_utils_package$TemplateUri$ = (void 0);
const $m_Lamf_core_utils_package$TemplateUri$ = (function() {
  if ((!$n_Lamf_core_utils_package$TemplateUri$)) {
    $n_Lamf_core_utils_package$TemplateUri$ = new $c_Lamf_core_utils_package$TemplateUri$().init___()
  };
  return $n_Lamf_core_utils_package$TemplateUri$
});
class $c_Lamf_core_validation_EffectiveValidations extends $c_O {
  constructor() {
    super();
    this.effective$1 = null;
    this.info$1 = null;
    this.warning$1 = null;
    this.violation$1 = null;
    this.all$1 = null
  };
  init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap(effective, info, warning, violation, all) {
    this.effective$1 = effective;
    this.info$1 = info;
    this.warning$1 = warning;
    this.violation$1 = violation;
    this.all$1 = all;
    return this
  };
  someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(profile) {
    profile.validations$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(spec$2) {
        const spec = spec$2;
        const this$3 = $this.all$1;
        const self = spec.name$1;
        const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$3, self, spec);
        if ((e !== null)) {
          e.value$1 = spec
        };
        return this$3
      })
    })(this)));
    profile.infoLevel$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(id$2) {
        const id = id$2;
        return this$2$1.setLevel__p1__T__T__scm_HashMap(id, $m_Lamf_core_validation_SeverityLevels$().INFO$1)
      })
    })(this)));
    profile.warningLevel$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(id$3$2) {
        const id$3 = id$3$2;
        return this$3$1.setLevel__p1__T__T__scm_HashMap(id$3, $m_Lamf_core_validation_SeverityLevels$().WARNING$1)
      })
    })(this)));
    profile.violationLevel$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4) {
      return (function(id$4$2) {
        const id$4 = id$4$2;
        return this$4.setLevel__p1__T__T__scm_HashMap(id$4, $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)
      })
    })(this)));
    profile.disabled$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
      return (function(id$5$2) {
        const id$5 = id$5$2;
        const validationName = ((((!(((id$5.length | 0) >= 0) && (id$5.substring(0, ("http://".length | 0)) === "http://"))) && (!(((id$5.length | 0) >= 0) && (id$5.substring(0, ("https://".length | 0)) === "https://")))) && (!(((id$5.length | 0) >= 0) && (id$5.substring(0, ("file:/".length | 0)) === "file:/")))) ? $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(id$5.split(".").join(":")).iri__T() : id$5);
        return this$5.effective$1.remove__O__s_Option(validationName)
      })
    })(this)));
    return this
  };
  setLevel__p1__T__T__scm_HashMap(id, targetLevel) {
    const validationName = ((((!(((id.length | 0) >= 0) && (id.substring(0, ("http://".length | 0)) === "http://"))) && (!(((id.length | 0) >= 0) && (id.substring(0, ("https://".length | 0)) === "https://")))) && (!(((id.length | 0) >= 0) && (id.substring(0, ("file:/".length | 0)) === "file:/")))) ? $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(id.split(".").join(":")).iri__T() : id);
    const x1 = this.all$1.get__O__s_Option(validationName);
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot enable with ", " level unknown validation ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([targetLevel, validationName]))))
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const validation = x2.value$2;
      this.info$1.remove__O__s_Option(validationName);
      this.warning$1.remove__O__s_Option(validationName);
      this.violation$1.remove__O__s_Option(validationName);
      if (($m_Lamf_core_validation_SeverityLevels$().INFO$1 === targetLevel)) {
        const this$20 = this.info$1;
        const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$20, validationName, validation);
        if ((e !== null)) {
          e.value$1 = validation
        }
      } else if (($m_Lamf_core_validation_SeverityLevels$().WARNING$1 === targetLevel)) {
        const this$23 = this.warning$1;
        const e$1 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$23, validationName, validation);
        if ((e$1 !== null)) {
          e$1.value$1 = validation
        }
      } else if (($m_Lamf_core_validation_SeverityLevels$().VIOLATION$1 === targetLevel)) {
        const this$26 = this.violation$1;
        const e$2 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$26, validationName, validation);
        if ((e$2 !== null)) {
          e$2.value$1 = validation
        }
      } else {
        throw new $c_s_MatchError().init___O(targetLevel)
      };
      const this$29 = this.effective$1;
      const e$3 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$29, validationName, validation);
      if ((e$3 !== null)) {
        e$3.value$1 = validation
      };
      return this$29
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $d_Lamf_core_validation_EffectiveValidations = new $TypeData().initClass({
  Lamf_core_validation_EffectiveValidations: 0
}, false, "amf.core.validation.EffectiveValidations", {
  Lamf_core_validation_EffectiveValidations: 1,
  O: 1
});
$c_Lamf_core_validation_EffectiveValidations.prototype.$classData = $d_Lamf_core_validation_EffectiveValidations;
class $c_Lamf_core_validation_SeverityLevels$ extends $c_O {
  constructor() {
    super();
    this.WARNING$1 = null;
    this.INFO$1 = null;
    this.VIOLATION$1 = null
  };
  init___() {
    this.WARNING$1 = "Warning";
    this.INFO$1 = "Info";
    this.VIOLATION$1 = "Violation";
    return this
  };
}
const $d_Lamf_core_validation_SeverityLevels$ = new $TypeData().initClass({
  Lamf_core_validation_SeverityLevels$: 0
}, false, "amf.core.validation.SeverityLevels$", {
  Lamf_core_validation_SeverityLevels$: 1,
  O: 1
});
$c_Lamf_core_validation_SeverityLevels$.prototype.$classData = $d_Lamf_core_validation_SeverityLevels$;
let $n_Lamf_core_validation_SeverityLevels$ = (void 0);
const $m_Lamf_core_validation_SeverityLevels$ = (function() {
  if ((!$n_Lamf_core_validation_SeverityLevels$)) {
    $n_Lamf_core_validation_SeverityLevels$ = new $c_Lamf_core_validation_SeverityLevels$().init___()
  };
  return $n_Lamf_core_validation_SeverityLevels$
});
class $c_Lamf_core_validation_core_ValidationReport$ extends $c_O {
  init___() {
    return this
  };
  displayString__Lamf_core_validation_core_ValidationReport__T(report) {
    const elem = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Conforms? ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([report.conforms__Z()]));
    let elem$1 = null;
    elem$1 = elem;
    const jsx$2 = elem$1;
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Number of results: ", "\\n"]));
    const this$2 = report.results__sci_List();
    elem$1 = (("" + jsx$2) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_sc_LinearSeqOptimized__length__I(this$2)])));
    const this$3 = report.results__sci_List();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const result = arg1;
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\n- Source: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.sourceShape__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Path: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.path__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Focus node: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.focusNode__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Constraint: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.sourceConstraintComponent__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Message: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.message__s_Option()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Severity: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.severity__T()])));
      these = these.tail__O()
    };
    return elem$1
  };
}
const $d_Lamf_core_validation_core_ValidationReport$ = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationReport$: 0
}, false, "amf.core.validation.core.ValidationReport$", {
  Lamf_core_validation_core_ValidationReport$: 1,
  O: 1
});
$c_Lamf_core_validation_core_ValidationReport$.prototype.$classData = $d_Lamf_core_validation_core_ValidationReport$;
let $n_Lamf_core_validation_core_ValidationReport$ = (void 0);
const $m_Lamf_core_validation_core_ValidationReport$ = (function() {
  if ((!$n_Lamf_core_validation_core_ValidationReport$)) {
    $n_Lamf_core_validation_core_ValidationReport$ = new $c_Lamf_core_validation_core_ValidationReport$().init___()
  };
  return $n_Lamf_core_validation_core_ValidationReport$
});
const $f_Lamf_model_document_DeclaresModel__declares__sjs_js_Iterable = (function($thiz) {
  const jsx$2 = $thiz.element__Lamf_core_model_document_DeclaresModel().declares__sc_Seq();
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(e$2) {
      const e = e$2;
      const this$1 = $this.platform$2;
      return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$1, e)
    })
  })($thiz));
  const this$2 = $m_sc_Seq$();
  const declarations = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
  const this$5 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(declarations)) {
    const x2 = declarations;
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(declarations)) {
    const x3 = declarations;
    return x3.array$6
  } else {
    const result = [];
    declarations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
      return (function(x$2) {
        return (result$1.push(x$2) | 0)
      })
    })(this$5, result)));
    return result
  }
});
const $f_Lamf_model_document_DeclaresModel__withDeclaredElement__Lamf_model_domain_DomainElement__Lamf_model_document_DeclaresModel = (function($thiz, declared) {
  const this$1 = $thiz.element__Lamf_core_model_document_DeclaresModel();
  const element = declared.element__Lamf_core_model_domain_DomainElement();
  const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
  $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, element);
  return $thiz
});
const $f_Lamf_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_model_document_DeclaresModel = (function($thiz, declares) {
  $m_sc_Seq$();
  $m_sjs_js_WrappedArray$();
  const b = new $c_sjs_js_WrappedArray().init___();
  const x1 = (declares.length | 0);
  switch (x1) {
    case (-1): {
      break
    }
  };
  let i = 0;
  const len = (declares.length | 0);
  while ((i < len)) {
    const index = i;
    const arg1 = declares[index];
    const e = arg1;
    const elem = e.element__Lamf_core_model_domain_DomainElement();
    b.array$6.push(elem);
    i = ((1 + i) | 0)
  };
  const this$4 = $thiz.element__Lamf_core_model_document_DeclaresModel();
  const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
  $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$4, field, b);
  return $thiz
});
const $f_Lamf_model_document_EncodesModel__encodes__Lamf_model_domain_DomainElement = (function($thiz) {
  const this$1 = $thiz.platform$2;
  const entity = $thiz.element__Lamf_core_model_document_EncodesModel().encodes__Lamf_core_model_domain_DomainElement();
  return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$1, entity)
});
class $c_Lamf_model_domain_Settings$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(settings) {
    let this$1;
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(settings)) {
      const x2 = settings;
      this$1 = new $c_s_Some().init___O(new $c_Lamf_model_domain_OAuth1Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(x2))
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(settings)) {
      const x3 = settings;
      this$1 = new $c_s_Some().init___O(new $c_Lamf_model_domain_OAuth2Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(x3))
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(settings)) {
      const x4 = settings;
      this$1 = new $c_s_Some().init___O(new $c_Lamf_model_domain_ApiKeySettings().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(x4))
    } else {
      this$1 = ((settings !== null) ? new $c_s_Some().init___O($m_Lamf_model_domain_Settings$().apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(settings)) : $m_s_None$())
    };
    return (this$1.isEmpty__Z() ? null : this$1.get__O())
  };
  $$js$exported$meth$apply__Lamf_plugins_domain_webapi_models_security_Settings__O(settings) {
    return this.apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(settings)
  };
  "apply"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$apply__Lamf_plugins_domain_webapi_models_security_Settings__O(prep0)
  };
}
const $d_Lamf_model_domain_Settings$ = new $TypeData().initClass({
  Lamf_model_domain_Settings$: 0
}, false, "amf.model.domain.Settings$", {
  Lamf_model_domain_Settings$: 1,
  O: 1
});
$c_Lamf_model_domain_Settings$.prototype.$classData = $d_Lamf_model_domain_Settings$;
let $n_Lamf_model_domain_Settings$ = (void 0);
const $m_Lamf_model_domain_Settings$ = (function() {
  if ((!$n_Lamf_model_domain_Settings$)) {
    $n_Lamf_model_domain_Settings$ = new $c_Lamf_model_domain_Settings$().init___()
  };
  return $n_Lamf_model_domain_Settings$
});
class $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$ extends $c_O {
  encode__T__T(input) {
    const resultStr = new $c_scm_StringBuilder().init___();
    const this$2 = new $c_sci_StringOps().init___T(input);
    let i = 0;
    const $$this = this$2.repr$1;
    const len = ($$this.length | 0);
    while ((i < len)) {
      const arg1 = this$2.apply__I__O(i);
      let ch;
      if ((arg1 === null)) {
        ch = 0
      } else {
        const this$6 = arg1;
        ch = this$6.value$1
      };
      if (this.isUnsafe__p1__C__Z(ch)) {
        resultStr.append__C__scm_StringBuilder(37);
        resultStr.append__C__scm_StringBuilder(this.toHex__p1__I__C(((ch / 16) | 0)));
        resultStr.append__C__scm_StringBuilder(this.toHex__p1__I__C(((ch % 16) | 0)))
      } else {
        resultStr.append__C__scm_StringBuilder(ch)
      };
      i = ((1 + i) | 0)
    };
    const this$7 = resultStr.underlying$5;
    return this$7.content$1
  };
  toHex__p1__I__C(ch) {
    return (65535 & ((ch < 10) ? ((48 + ch) | 0) : ((55 + ch) | 0)))
  };
  isUnsafe__p1__C__Z(ch) {
    return ($m_sjsr_RuntimeString$().indexOf__T__I__I(" %$&+,;=@<>", ch) >= 0)
  };
  init___Lamf_plugins_document_graph_parser_GraphEmitter$Emitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$: 0
}, false, "amf.plugins.document.graph.parser.GraphEmitter$Emitter$URLEncoder$", {
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$: 1,
  O: 1
});
$c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$;
class $c_Lamf_plugins_document_graph_parser_GraphParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_remote_Platform__Lamf_plugins_document_graph_parser_GraphParser(platform) {
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    return new $c_Lamf_plugins_document_graph_parser_GraphParser().init___Lamf_core_remote_Platform__Lamf_core_parser_ParserContext(platform, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()))
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphParser$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParser$: 0
}, false, "amf.plugins.document.graph.parser.GraphParser$", {
  Lamf_plugins_document_graph_parser_GraphParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParser$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParser$;
let $n_Lamf_plugins_document_graph_parser_GraphParser$ = (void 0);
const $m_Lamf_plugins_document_graph_parser_GraphParser$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_parser_GraphParser$)) {
    $n_Lamf_plugins_document_graph_parser_GraphParser$ = new $c_Lamf_plugins_document_graph_parser_GraphParser$().init___()
  };
  return $n_Lamf_plugins_document_graph_parser_GraphParser$
});
class $c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$ extends $c_O {
  unapply__T__s_Option(uri) {
    const prefix = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1.base$1;
    if ((((uri.length | 0) >= 0) && (uri.substring(0, (prefix.length | 0)) === prefix))) {
      const beginIndex = ((1 + (uri.indexOf("#") | 0)) | 0);
      return new $c_s_Some().init___O(uri.substring(beginIndex))
    } else {
      return $m_s_None$()
    }
  };
  init___Lamf_plugins_document_graph_parser_GraphParserHelpers($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$: 0
}, false, "amf.plugins.document.graph.parser.GraphParserHelpers$AnnotationName$", {
  Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$: 1,
  O: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$;
class $c_Lamf_plugins_document_vocabularies_core_DialectLoader extends $c_O {
  constructor() {
    super();
    this.imports$1 = null;
    this.document$1 = null;
    this.builtins$1 = null;
    this.nmb$1 = 0;
    this.bitmap$0$1 = false
  };
  init___Lamf_core_model_document_BaseUnit(document) {
    this.document$1 = document;
    this.builtins$1 = new $c_Lamf_plugins_document_vocabularies_core_DialectLoader$$anon$1().init___Lamf_plugins_document_vocabularies_core_DialectLoader(this);
    this.nmb$1 = 0;
    return this
  };
  resolveType__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject__scm_Map__scm_Map__sci_List(domainEntity, dialects, props) {
    const strings = domainEntity.domainEntity$1.rawstrings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().range$3);
    const this$2 = domainEntity.resolvedRange__sci_List();
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    const this$7 = $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this$2, strings, bf);
    const f = (function($this, dialects$1, props$1) {
      return (function(rr$2) {
        const rr = rr$2;
        if ((rr === null)) {
          throw new $c_s_MatchError().init___O(rr)
        };
        const range = rr.$$und1__O();
        const rangeString = rr.$$und2__O();
        if (range.isDefined__Z()) {
          const value = range.get__O();
          const id = value.domainEntity$1.id$1;
          return (dialects$1.contains__O__Z(id) ? dialects$1.apply__O__O(id) : ($this.registerType__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__O(value, dialects$1), $this.parseNodeMapping__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__scm_Map__Lamf_plugins_document_vocabularies_spec_DialectNode(value, dialects$1, props$1)))
        } else {
          const this$3 = $this.imports__sci_List();
          let imported;
          inlinereturn$6: {
            let these = this$3;
            while ((!these.isEmpty__Z())) {
              const arg1 = these.head__O();
              const e = arg1;
              if ((e.domainEntity$1.id$1 === rangeString)) {
                imported = new $c_s_Some().init___O(these.head__O());
                break inlinereturn$6
              };
              these = these.tail__O()
            };
            imported = $m_s_None$()
          };
          if (imported.isDefined__Z()) {
            const this$4 = imported.get__O();
            return dialects$1.apply__O__O(this$4.domainEntity$1.id$1)
          } else {
            const this$5 = $this.builtins$1;
            const x1$2 = this$5.id2t__scm_HashMap().get__O__s_Option(rangeString);
            if ($is_s_Some(x1$2)) {
              const x2 = x1$2;
              const t = x2.value$2;
              return t
            } else {
              const x = $m_s_None$();
              if ((x === x1$2)) {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find dialect node type for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([rangeString]))))
              } else {
                throw new $c_s_MatchError().init___O(x1$2)
              }
            }
          }
        }
      })
    })(this, dialects, props);
    const this$6 = $m_sci_List$();
    const bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$7 === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const arg1$1 = this$7.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        let t$1 = h;
        let rest = this$7.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$2 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
          t$1.tl$5 = nx;
          t$1 = nx;
          rest = rest.tail__O()
        };
        return h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$7, bf$1);
      let these$1 = this$7;
      while ((!these$1.isEmpty__Z())) {
        const arg1$3 = these$1.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$3));
        these$1 = these$1.tail__O()
      };
      return b.result__O()
    }
  };
  registerType__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__O(n, dialectMap) {
    const this$1 = n.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_NodeDefinition$().classTerm$3);
    const ts = (this$1.isEmpty__Z() ? ("http://raml.org/anonimous#" + ((1 + this.nmb$1) | 0)) : this$1.get__O());
    this.nmb$1 = ((1 + this.nmb$1) | 0);
    const x1 = $m_Lamf_plugins_document_vocabularies_core_NamespaceMap$().apply__T__s_Option(ts);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const ns = x2.value$2;
      const node = new $c_Lamf_plugins_document_vocabularies_spec_DialectNode().init___T__Lamf_core_vocabulary_Namespace(ns.name$1, ns.namespace$1);
      node.hasClazz$1 = n.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_NodeDefinition$().classTerm$3).isDefined__Z();
      node.id$1 = new $c_s_Some().init___O(n.domainEntity$1.id$1);
      return dialectMap.put__O__O__s_Option(n.domainEntity$1.id$1, node)
    } else {
      return (void 0)
    }
  };
  retrieveDomainEntity__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      return x2.encodes__Lamf_core_model_domain_DomainElement()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot load a dialect from a unit that is not a document ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([unit]))))
    }
  };
  fillHashes__p1__scm_Map__scm_Iterable(propertyMap) {
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this));
    const jsx$3 = new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(propertyMap, p);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        if ((x$6 !== null)) {
          const dialectPropertyMapping = x$6.$$und1__O();
          const v = x$6.$$und2__O();
          const this$1 = v.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().hash$3);
          let xo;
          if (this$1.isEmpty__Z()) {
            xo = $m_s_None$()
          } else {
            const arg1 = this$1.get__O();
            const hash = arg1;
            const range = dialectPropertyMapping.range$1;
            let jsx$2;
            if (dialectPropertyMapping.unionTypes$1.isDefined__Z()) {
              const this$3 = dialectPropertyMapping.unionTypes$1.get__O();
              let these = this$3;
              while ((!these.isEmpty__Z())) {
                const arg1$1 = these.head__O();
                const unionOption = arg1$1;
                this$2.processHashRange__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__s_Option__Lamf_core_metamodel_Type__O(dialectPropertyMapping, hash, v.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().hashValue$3), unionOption);
                these = these.tail__O()
              };
              jsx$2 = (void 0)
            } else {
              jsx$2 = this$2.processHashRange__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__s_Option__Lamf_core_metamodel_Type__O(dialectPropertyMapping, hash, v.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().hashValue$3), range)
            };
            xo = new $c_s_Some().init___O(jsx$2)
          };
          return xo.toList__sci_List()
        } else {
          throw new $c_s_MatchError().init___O(x$6)
        }
      })
    })(this));
    const this$5 = $m_scm_Iterable$();
    return jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  processFragments__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__scm_Map(dialectObject, dialectMap) {
    const fragmentList = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$1 = dialectObject.raml__s_Option();
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const ramlMapping = arg1;
      const this$2 = ramlMapping.fragments__s_Option();
      if (this$2.isEmpty__Z()) {
        /*<skip>*/
      } else {
        const arg1$1 = this$2.get__O();
        const fragmentDeclarations = arg1$1;
        fragmentDeclarations.encodes__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, dialectMap$3, fragmentList$1) {
          return (function(encodedFragment$2) {
            const encodedFragment = encodedFragment$2;
            const this$3 = encodedFragment.resolvedDeclaredNode__s_Option();
            if (this$3.isEmpty__Z()) {
              return $m_s_None$()
            } else {
              const arg1$2 = this$3.get__O();
              const resolvedDeclaredNode = arg1$2;
              const this$4 = encodedFragment.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_NodeReference$().idProperty$3);
              if (this$4.isEmpty__Z()) {
                return $m_s_None$()
              } else {
                const arg1$3 = this$4.get__O();
                const fragmentName = arg1$3;
                const this$5 = dialectMap$3.get__O__s_Option(resolvedDeclaredNode.domainEntity$1.id$1);
                if (this$5.isEmpty__Z()) {
                  return $m_s_None$()
                } else {
                  const arg1$4 = this$5.get__O();
                  const fragmentNode = arg1$4;
                  return new $c_s_Some().init___O(fragmentList$1.put__O__O__s_Option(fragmentName, fragmentNode))
                }
              }
            }
          })
        })(this, dialectMap, fragmentList)));
        new $c_s_Some().init___O((void 0))
      }
    };
    return fragmentList
  };
  fillDeclarations__p1__sc_Seq__scm_Map__scm_Map(declarations, dialectMap) {
    const dmap = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, dialectMap$1, dmap$1) {
      return (function(declaration$2) {
        const declaration = declaration$2;
        const this$1 = declaration.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_NodeReference$().idProperty$3);
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const nodeName = arg1;
          const this$2 = declaration.resolvedDeclaredNode__s_Option();
          if (this$2.isEmpty__Z()) {
            xo = $m_s_None$()
          } else {
            const arg1$1 = this$2.get__O();
            const resolvedNode = arg1$1;
            const this$3 = dialectMap$1.get__O__s_Option(resolvedNode.domainEntity$1.id$1);
            if ((!this$3.isEmpty__Z())) {
              const arg1$2 = this$3.get__O();
              const d = arg1$2;
              dmap$1.put__O__O__s_Option(nodeName, d)
            };
            xo = new $c_s_Some().init___O((void 0))
          }
        };
        return xo.toList__sci_List()
      })
    })(this, dialectMap, dmap));
    const this$5 = $m_sc_Seq$();
    declarations.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return dmap
  };
  parseNodeMapping__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__scm_Map__Lamf_plugins_document_vocabularies_spec_DialectNode(domainEntity, dialects, props) {
    const node = dialects.apply__O__O(domainEntity.domainEntity$1.id$1);
    domainEntity.mapping__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, dialects$1, props$1, node$1) {
      return (function(p$2) {
        const p = p$2;
        const mapping = node$1.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping($this.parsePropertyMapping__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject__scm_Map__scm_Map__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(p, dialects$1, props$1));
        return props$1.put__O__O__s_Option(mapping, p)
      })
    })(this, dialects, props, node)));
    return node
  };
  processHashRange__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__s_Option__Lamf_core_metamodel_Type__O(dialectPropertyMapping, hash, hashValue, r) {
    let rc5 = false;
    const x2 = new $c_sr_ObjectRef().init___O(null);
    if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(r)) {
      rc5 = true;
      x2.elem$1 = r;
      if (hashValue.isDefined__Z()) {
        const this$2 = x2.elem$1.mappings__sci_List();
        const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, hash$1) {
          return (function(property$2) {
            const property = property$2;
            return (property.fieldName__Lamf_core_vocabulary_ValueType().iri__T() === hash$1)
          })
        })(this, hash));
        const jsx$4 = new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$2, p);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, dialectPropertyMapping$1, hashValue$1, r$1, x2$1) {
          return (function(property$3$2) {
            const property$3 = property$3$2;
            const this$3 = x2$1.elem$1.mappings__sci_List();
            const p$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, hashValue$1$1) {
              return (function(valueProperty$2) {
                const valueProperty = valueProperty$2;
                return (valueProperty.fieldName__Lamf_core_vocabulary_ValueType().iri__T() === hashValue$1$1.get__O())
              })
            })(this$2$1, hashValue$1));
            const jsx$3 = new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$3, p$1);
            const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2, dialectPropertyMapping$2, r$1$1, property$1) {
              return (function(valueProperty$3$2) {
                const valueProperty$3 = valueProperty$3$2;
                return this$2$2.connectHash__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(dialectPropertyMapping$2, property$1, new $c_s_Some().init___O(valueProperty$3), r$1$1)
              })
            })(this$2$1, dialectPropertyMapping$1, r$1, property$3));
            const this$4 = $m_sci_List$();
            return jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$4.ReusableCBFInstance$2)
          })
        })(this, dialectPropertyMapping, hashValue, r, x2));
        const this$5 = $m_sci_List$();
        return jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
      }
    };
    if (rc5) {
      const this$6 = x2.elem$1.mappings__sci_List();
      const p$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, hash$2) {
        return (function(property$4$2) {
          const property$4 = property$4$2;
          return (property$4.fieldName__Lamf_core_vocabulary_ValueType().iri__T() === hash$2)
        })
      })(this, hash));
      const jsx$6 = new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$6, p$2);
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, dialectPropertyMapping$3, r$2) {
        return (function(property$5$2) {
          const property$5 = property$5$2;
          return this$4$1.connectHash__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(dialectPropertyMapping$3, property$5, $m_s_None$(), r$2)
        })
      })(this, dialectPropertyMapping, r));
      const this$7 = $m_sci_List$();
      return jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$7.ReusableCBFInstance$2)
    }
  };
  connectHash__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(hashedProperty, hashProperty, hasPropertyValue, r) {
    const jsx$1 = hashedProperty.owningNode$1.get__O();
    const x$8 = $m_s_Option$().apply__O__s_Option(hashProperty);
    const x$10 = hashedProperty.name$1;
    const x$11 = hashedProperty.range$1;
    const x$12 = hashedProperty.unionTypes$1;
    const x$13 = hashedProperty.required$1;
    const x$14 = hashedProperty.collection$1;
    const x$15 = hashedProperty.referenceTarget$1;
    const x$16 = hashedProperty.noRAML$1;
    const x$17 = hashedProperty.noLastSegmentTrimInMaps$1;
    const x$18 = hashedProperty.fromVal$1;
    const x$19 = hashedProperty.isDeclaration$1;
    const x$20 = hashedProperty.isDocumentDeclaration$1;
    const x$21 = hashedProperty.namespace$1;
    const x$22 = hashedProperty.rdfName$1;
    const x$23 = hashedProperty.jsonld$1;
    const x$24 = hashedProperty.owningNode$1;
    const x$25 = hashedProperty.scalaNameOverride$1;
    const x$26 = hashedProperty.allowInplace$1;
    const x$27 = hashedProperty.pattern$1;
    const x$28 = hashedProperty.enum$1;
    const x$29 = hashedProperty.minimum$1;
    const x$30 = hashedProperty.maximum$1;
    const x$31 = hashedProperty.defaultValue$1;
    jsx$1.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$10, x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$8, hasPropertyValue, x$18, x$19, x$20, x$21, x$22, x$23, x$24, x$25, x$26, x$27, x$28, x$29, x$30, x$31));
    const x$33 = hashProperty.name$1;
    const x$34 = hashProperty.range$1;
    const x$35 = hashProperty.unionTypes$1;
    const x$36 = hashProperty.required$1;
    const x$37 = hashProperty.collection$1;
    const x$38 = hashProperty.referenceTarget$1;
    const x$39 = hashProperty.noLastSegmentTrimInMaps$1;
    const x$40 = hashProperty.hash$1;
    const x$41 = hashProperty.hashValue$1;
    const x$42 = hashProperty.fromVal$1;
    const x$43 = hashProperty.isDeclaration$1;
    const x$44 = hashProperty.isDocumentDeclaration$1;
    const x$45 = hashProperty.namespace$1;
    const x$46 = hashProperty.rdfName$1;
    const x$47 = hashProperty.jsonld$1;
    const x$48 = hashProperty.owningNode$1;
    const x$49 = hashProperty.scalaNameOverride$1;
    const x$50 = hashProperty.allowInplace$1;
    const x$51 = hashProperty.pattern$1;
    const x$52 = hashProperty.enum$1;
    const x$53 = hashProperty.minimum$1;
    const x$54 = hashProperty.maximum$1;
    const x$55 = hashProperty.defaultValue$1;
    return r.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$33, x$34, x$35, x$36, x$37, x$38, true, x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$52, x$53, x$54, x$55))
  };
  loadDialect__Lamf_plugins_document_vocabularies_spec_Dialect() {
    return this.loadDialect__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_spec_Dialect(this.retrieveDomainEntity__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(this.document$1), this.document$1)
  };
  resolvedEncodes__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject__Lamf_core_model_document_BaseUnit__s_Option(ramlDocument, u) {
    const r = ramlDocument.resolvedEncodes__s_Option();
    if (r.isDefined__Z()) {
      return r
    } else {
      const enc = ramlDocument.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_DocumentEncode$().encodes$3);
      if (enc.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = enc.get__O();
        const value = arg1;
        const elem = $m_s_None$();
        const element = new $c_sr_ObjectRef().init___O(elem);
        u.references__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, element$1, value$1) {
          return (function(x0$3$2) {
            const x0$3 = x0$3$2;
            if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(x0$3)) {
              const x2 = x0$3;
              if ((x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).id__T() === value$1)) {
                element$1.elem$1 = new $c_s_Some().init___O(x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1))
              }
            } else if ($is_Lamf_core_model_document_Module(x0$3)) {
              const x3 = x0$3;
              x3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, element$1$1, value$1$1) {
                return (function(v$2) {
                  const v = v$2;
                  if ((v.id__T() === value$1$1)) {
                    element$1$1.elem$1 = new $c_s_Some().init___O(v)
                  }
                })
              })($this, element$1, value$1)))
            }
          })
        })(this, element, value)));
        const this$2 = element.elem$1;
        if (this$2.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1$1 = this$2.get__O();
          const x$1 = arg1$1;
          return new $c_s_Some().init___O(new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$1, new $c_s_Some().init___O(ramlDocument.root__Lamf_plugins_document_vocabularies_core_TopLevelObject())))
        }
      }
    }
  };
  processDeclarationsInfo__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__V(documentDialectNode, dialectObject, dialectMap) {
    const x1 = this.fillDocument__p1__scm_Map__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__s_Option(dialectMap, dialectObject);
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const declarationMap = x2.value$2;
        if ((declarationMap !== null)) {
          if ($f_sc_TraversableOnce__nonEmpty__Z(declarationMap)) {
            declarationMap.keys__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, documentDialectNode$1, x3) {
              return (function(key$2) {
                const key = key$2;
                const x$105 = $m_Lamf_core_metamodel_Type$Str$();
                const x$106 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
                const x$107 = $m_s_None$();
                const x$110 = $m_s_None$();
                const x$113 = $m_s_None$();
                const x$114 = $m_s_None$();
                const x$118 = $m_s_None$();
                const x$120 = $m_s_None$();
                const x$121 = $m_s_None$();
                const x$123 = $m_s_None$();
                const x$124 = $m_s_None$();
                const x$125 = $m_s_None$();
                const x$126 = $m_s_None$();
                const x$127 = $m_s_None$();
                const hash = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("name", x$105, x$107, false, false, x$110, false, false, x$113, x$114, false, false, false, x$106, x$118, true, x$120, x$121, false, x$123, x$124, x$125, x$126, x$127);
                const node = x3.apply__O__O(key);
                const x$83 = new $c_s_Some().init___O(hash);
                const x$84 = $m_s_None$();
                const x$87 = $m_s_None$();
                const x$90 = $m_s_None$();
                const x$94 = $m_s_None$();
                const x$95 = $m_s_None$();
                const x$97 = $m_s_None$();
                const x$98 = $m_s_None$();
                const x$100 = $m_s_None$();
                const x$101 = $m_s_None$();
                const x$102 = $m_s_None$();
                const x$103 = $m_s_None$();
                const x$104 = $m_s_None$();
                const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(key, node, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104);
                const x$129 = arg1.name$1;
                const x$130 = arg1.range$1;
                const x$131 = arg1.unionTypes$1;
                const x$132 = arg1.required$1;
                const x$133 = arg1.collection$1;
                const x$134 = arg1.referenceTarget$1;
                const x$135 = arg1.noRAML$1;
                const x$136 = arg1.noLastSegmentTrimInMaps$1;
                const x$137 = arg1.hash$1;
                const x$138 = arg1.hashValue$1;
                const x$139 = arg1.fromVal$1;
                const x$140 = arg1.isDeclaration$1;
                const x$141 = arg1.namespace$1;
                const x$142 = arg1.rdfName$1;
                const x$143 = arg1.jsonld$1;
                const x$144 = arg1.owningNode$1;
                const x$145 = arg1.scalaNameOverride$1;
                const x$146 = arg1.allowInplace$1;
                const x$147 = arg1.pattern$1;
                const x$148 = arg1.enum$1;
                const x$149 = arg1.minimum$1;
                const x$150 = arg1.maximum$1;
                const x$151 = arg1.defaultValue$1;
                return documentDialectNode$1.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$129, x$130, x$131, x$132, x$133, x$134, x$135, x$136, x$137, x$138, x$139, x$140, true, x$141, x$142, x$143, x$144, x$145, x$146, x$147, x$148, x$149, x$150, x$151))
              })
            })(this, documentDialectNode, declarationMap)));
            break matchEnd5
          }
        }
      }
    }
  };
  imports__sci_List() {
    return ((!this.bitmap$0$1) ? this.imports$lzycompute__p1__sci_List() : this.imports$1)
  };
  fillModule__p1__scm_Map__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__s_Option(dialectMap, dialectObject) {
    const this$1 = dialectObject.raml__s_Option();
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const raml = arg1;
      const this$2 = raml.module__s_Option();
      if (this$2.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const module = arg1$1;
        return new $c_s_Some().init___O(this.fillDeclarations__p1__sc_Seq__scm_Map__scm_Map(module.declares__sc_Seq(), dialectMap))
      }
    }
  };
  loadDialect__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_spec_Dialect(domainEntity, unit) {
    const dialectObject = new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(domainEntity, $m_s_None$());
    const this$2 = dialectObject.raml__s_Option();
    let rootEntity;
    if (this$2.isEmpty__Z()) {
      rootEntity = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const ramlNode = arg1;
      const this$3 = ramlNode.document__s_Option();
      if (this$3.isEmpty__Z()) {
        rootEntity = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const ramlDocument = arg1$1;
        const this$4 = this.resolvedEncodes__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject__Lamf_core_model_document_BaseUnit__s_Option(ramlDocument, unit);
        if (this$4.isEmpty__Z()) {
          rootEntity = $m_s_None$()
        } else {
          const arg1$2 = this$4.get__O();
          const root = arg1$2;
          rootEntity = new $c_s_Some().init___O(root)
        }
      }
    };
    if ($is_s_Some(rootEntity)) {
      const x2 = rootEntity;
      const encodedRootEntity = x2.value$2;
      const dialectMap = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      this.processMappings__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__sci_List__scm_Iterable(encodedRootEntity, dialectObject, dialectMap, this.imports__sci_List());
      const this$5 = dialectObject.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_DialectDefinition$().dialectProperty$3);
      let dialect;
      if (this$5.isEmpty__Z()) {
        dialect = $m_s_None$()
      } else {
        const arg1$3 = this$5.get__O();
        const dialectName = arg1$3;
        const this$6 = dialectObject.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_DialectDefinition$().version$3);
        if (this$6.isEmpty__Z()) {
          dialect = $m_s_None$()
        } else {
          const arg1$4 = this$6.get__O();
          const dialectVersion = arg1$4;
          const this$7 = dialectMap.get__O__s_Option(encodedRootEntity.domainEntity$1.id$1);
          if (this$7.isEmpty__Z()) {
            dialect = $m_s_None$()
          } else {
            const arg1$5 = this$7.get__O();
            const dialectNode = arg1$5;
            const fragmentList = this.processFragments__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__scm_Map(dialectObject, dialectMap);
            const moduleInfo = this.processModuleInfo__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__s_Option(dialectObject, dialectMap);
            this.processDeclarationsInfo__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__V(dialectNode, dialectObject, dialectMap);
            const jsx$1 = new $c_Lamf_plugins_document_vocabularies_core_DialectLoader$$Lambda$1().init___O((function($this) {
              return (function(root$2, refs$2, ctx$2) {
                const root$1 = root$2;
                const refs = refs$2;
                const ctx = ctx$2;
                const externals = $m_sci_Nil$();
                return new $c_Lamf_plugins_document_vocabularies_spec_BasicResolver().init___Lamf_core_Root__sci_List__sci_Map__Lamf_core_parser_ParserContext(root$1, externals, refs, ctx)
              })
            })(this));
            const ev = $m_s_Predef$().singleton$und$less$colon$less$2;
            const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
            fragmentList.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, ev$1, b$1) {
              return (function(x$2) {
                return b$1.$$plus$eq__O__scm_Builder(x$2)
              })
            })(fragmentList, ev, b)));
            dialect = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_Dialect().init___T__T__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_ResolverFactory__s_Option__sci_Map__Lamf_plugins_document_vocabularies_spec_DialectKind(dialectName, dialectVersion, dialectNode, jsx$1, moduleInfo, b.elems$1, $m_Lamf_plugins_document_vocabularies_spec_DocumentKind$()))
          }
        }
      };
      if ($is_s_Some(dialect)) {
        const x2$2 = dialect;
        const dialectFound = x2$2.value$2;
        return dialectFound
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot load dialect, dialect not found"))
      }
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot load dialect, root entity not found"))
    }
  };
  processMappings__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__sci_List__scm_Iterable(encodedRootEntity, dialectObject, dialectMap, imports) {
    const propertyMap = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    dialectObject.nodeMappings__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, dialectMap$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return $this.registerType__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__O(x$4, dialectMap$1)
      })
    })(this, dialectMap)));
    let these = imports;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$5 = arg1;
      this.registerType__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__O(x$5, dialectMap);
      these = these.tail__O()
    };
    let these$1 = imports;
    while ((!these$1.isEmpty__Z())) {
      const arg1$1 = these$1.head__O();
      const n = arg1$1;
      this.parseNodeMapping__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__scm_Map__Lamf_plugins_document_vocabularies_spec_DialectNode(n, dialectMap, propertyMap);
      these$1 = these$1.tail__O()
    };
    dialectObject.nodeMappings__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, dialectMap$2, propertyMap$1) {
      return (function(n$3$2) {
        const n$3 = n$3$2;
        return this$4.parseNodeMapping__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__scm_Map__Lamf_plugins_document_vocabularies_spec_DialectNode(n$3, dialectMap$2, propertyMap$1)
      })
    })(this, dialectMap, propertyMap)));
    if ((!dialectMap.contains__O__Z(encodedRootEntity.domainEntity$1.id$1))) {
      this.registerType__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__O(encodedRootEntity, dialectMap);
      this.parseNodeMapping__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject__scm_Map__scm_Map__Lamf_plugins_document_vocabularies_spec_DialectNode(encodedRootEntity, dialectMap, propertyMap)
    };
    return this.fillHashes__p1__scm_Map__scm_Iterable(propertyMap)
  };
  imports$lzycompute__p1__sci_List() {
    if ((!this.bitmap$0$1)) {
      const elem = $m_sci_Nil$();
      const imports = new $c_sr_ObjectRef().init___O(elem);
      const dialectObject = new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(this.retrieveDomainEntity__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(this.document$1), $m_s_None$());
      this.document$1.references__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, imports$1, dialectObject$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_core_model_document_Module(x0$1)) {
            const x2 = x0$1;
            x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, imports$1$1, dialectObject$1$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$2)) {
                  const x2$1 = x0$2;
                  const this$3 = imports$1$1.elem$1;
                  const x = new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x2$1, new $c_s_Some().init___O(dialectObject$1$1));
                  imports$1$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(x, this$3)
                }
              })
            })($this, imports$1, dialectObject$1)))
          }
        })
      })(this, imports, dialectObject)));
      this.imports$1 = imports.elem$1;
      this.bitmap$0$1 = true
    };
    return this.imports$1
  };
  fillDocument__p1__scm_Map__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__s_Option(dialectMap, dialectObject) {
    const this$1 = dialectObject.raml__s_Option();
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const raml = arg1;
      const this$2 = raml.document__s_Option();
      if (this$2.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const document = arg1$1;
        return new $c_s_Some().init___O(this.fillDeclarations__p1__sc_Seq__scm_Map__scm_Map(document.declares__sc_Seq(), dialectMap))
      }
    }
  };
  processModuleInfo__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__scm_Map__s_Option(dialectObject, dialectMap) {
    const x1 = this.fillModule__p1__scm_Map__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject__s_Option(dialectMap, dialectObject);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const declarationMap = x2.value$2;
      if ((declarationMap !== null)) {
        if ($f_sc_TraversableOnce__nonEmpty__Z(declarationMap)) {
          const moduleNode = new $c_Lamf_plugins_document_vocabularies_spec_DialectNode().init___T__Lamf_core_vocabulary_Namespace("module", $m_Lamf_core_vocabulary_Namespace$().Document$1);
          declarationMap.keys__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, moduleNode$1, x3) {
            return (function(key$2) {
              const key = key$2;
              const x$57 = $m_Lamf_core_metamodel_Type$Str$();
              const x$58 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
              const x$59 = $m_s_None$();
              const x$62 = $m_s_None$();
              const x$65 = $m_s_None$();
              const x$66 = $m_s_None$();
              const x$70 = $m_s_None$();
              const x$72 = $m_s_None$();
              const x$73 = $m_s_None$();
              const x$75 = $m_s_None$();
              const x$76 = $m_s_None$();
              const x$77 = $m_s_None$();
              const x$78 = $m_s_None$();
              const x$79 = $m_s_None$();
              const hash = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("name", x$57, x$59, false, false, x$62, false, false, x$65, x$66, false, false, false, x$58, x$70, true, x$72, x$73, false, x$75, x$76, x$77, x$78, x$79);
              const node = x3.apply__O__O(key);
              const x$83 = new $c_s_Some().init___O(hash);
              const x$84 = $m_s_None$();
              const x$87 = $m_s_None$();
              const x$90 = $m_s_None$();
              const x$94 = $m_s_None$();
              const x$95 = $m_s_None$();
              const x$97 = $m_s_None$();
              const x$98 = $m_s_None$();
              const x$100 = $m_s_None$();
              const x$101 = $m_s_None$();
              const x$102 = $m_s_None$();
              const x$103 = $m_s_None$();
              const x$104 = $m_s_None$();
              const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(key, node, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104);
              const x$81 = arg1.name$1;
              const x$82 = arg1.range$1;
              const x$83$1 = arg1.unionTypes$1;
              const x$84$1 = arg1.required$1;
              const x$85 = arg1.collection$1;
              const x$86 = arg1.referenceTarget$1;
              const x$87$1 = arg1.noRAML$1;
              const x$88 = arg1.noLastSegmentTrimInMaps$1;
              const x$89 = arg1.hash$1;
              const x$90$1 = arg1.hashValue$1;
              const x$91 = arg1.fromVal$1;
              const x$92 = arg1.isDocumentDeclaration$1;
              const x$93 = arg1.namespace$1;
              const x$94$1 = arg1.rdfName$1;
              const x$95$1 = arg1.jsonld$1;
              const x$96 = arg1.owningNode$1;
              const x$97$1 = arg1.scalaNameOverride$1;
              const x$98$1 = arg1.allowInplace$1;
              const x$99 = arg1.pattern$1;
              const x$100$1 = arg1.enum$1;
              const x$101$1 = arg1.minimum$1;
              const x$102$1 = arg1.maximum$1;
              const x$103$1 = arg1.defaultValue$1;
              return moduleNode$1.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$81, x$82, x$83$1, x$84$1, x$85, x$86, x$87$1, x$88, x$89, x$90$1, x$91, true, x$92, x$93, x$94$1, x$95$1, x$96, x$97$1, x$98$1, x$99, x$100$1, x$101$1, x$102$1, x$103$1))
            })
          })(this, moduleNode, declarationMap)));
          return new $c_s_Some().init___O(moduleNode)
        }
      }
    };
    return $m_s_None$()
  };
  parsePropertyMapping__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject__scm_Map__scm_Map__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(domainEntity, dialects, props) {
    const name = domainEntity.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().name$3);
    const type = this.resolveType__p1__Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject__scm_Map__scm_Map__sci_List(domainEntity, dialects, props);
    const elem = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(name.get__O(), type.head__O(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    let elem$1 = null;
    elem$1 = elem;
    if (($f_sc_LinearSeqOptimized__length__I(type) > 1)) {
      const qual$1 = elem$1;
      const x$152 = new $c_s_Some().init___O(type);
      const x$153 = qual$1.name$1;
      const x$154 = qual$1.range$1;
      const x$155 = qual$1.required$1;
      const x$156 = qual$1.collection$1;
      const x$157 = qual$1.referenceTarget$1;
      const x$158 = qual$1.noRAML$1;
      const x$159 = qual$1.noLastSegmentTrimInMaps$1;
      const x$160 = qual$1.hash$1;
      const x$161 = qual$1.hashValue$1;
      const x$162 = qual$1.fromVal$1;
      const x$163 = qual$1.isDeclaration$1;
      const x$164 = qual$1.isDocumentDeclaration$1;
      const x$165 = qual$1.namespace$1;
      const x$166 = qual$1.rdfName$1;
      const x$167 = qual$1.jsonld$1;
      const x$168 = qual$1.owningNode$1;
      const x$169 = qual$1.scalaNameOverride$1;
      const x$170 = qual$1.allowInplace$1;
      const x$171 = qual$1.pattern$1;
      const x$172 = qual$1.enum$1;
      const x$173 = qual$1.minimum$1;
      const x$174 = qual$1.maximum$1;
      const x$175 = qual$1.defaultValue$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$153, x$154, x$152, x$155, x$156, x$157, x$158, x$159, x$160, x$161, x$162, x$163, x$164, x$165, x$166, x$167, x$168, x$169, x$170, x$171, x$172, x$173, x$174, x$175)
    };
    const this$15 = domainEntity.domainEntity$1.$boolean__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().mandatory$3);
    if ((!this$15.isEmpty__Z())) {
      const arg1 = this$15.get__O();
      const mandatory = (!(!arg1));
      const qual$2 = elem$1;
      const x$177 = qual$2.name$1;
      const x$178 = qual$2.range$1;
      const x$179 = qual$2.unionTypes$1;
      const x$180 = qual$2.collection$1;
      const x$181 = qual$2.referenceTarget$1;
      const x$182 = qual$2.noRAML$1;
      const x$183 = qual$2.noLastSegmentTrimInMaps$1;
      const x$184 = qual$2.hash$1;
      const x$185 = qual$2.hashValue$1;
      const x$186 = qual$2.fromVal$1;
      const x$187 = qual$2.isDeclaration$1;
      const x$188 = qual$2.isDocumentDeclaration$1;
      const x$189 = qual$2.namespace$1;
      const x$190 = qual$2.rdfName$1;
      const x$191 = qual$2.jsonld$1;
      const x$192 = qual$2.owningNode$1;
      const x$193 = qual$2.scalaNameOverride$1;
      const x$194 = qual$2.allowInplace$1;
      const x$195 = qual$2.pattern$1;
      const x$196 = qual$2.enum$1;
      const x$197 = qual$2.minimum$1;
      const x$198 = qual$2.maximum$1;
      const x$199 = qual$2.defaultValue$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$177, x$178, x$179, mandatory, x$180, x$181, x$182, x$183, x$184, x$185, x$186, x$187, x$188, x$189, x$190, x$191, x$192, x$193, x$194, x$195, x$196, x$197, x$198, x$199)
    };
    const this$16 = domainEntity.domainEntity$1.$boolean__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().allowMultiple$3);
    if ((!this$16.isEmpty__Z())) {
      const arg1$1 = this$16.get__O();
      const isCollection = (!(!arg1$1));
      const qual$3 = elem$1;
      const x$201 = qual$3.name$1;
      const x$202 = qual$3.range$1;
      const x$203 = qual$3.unionTypes$1;
      const x$204 = qual$3.required$1;
      const x$205 = qual$3.referenceTarget$1;
      const x$206 = qual$3.noRAML$1;
      const x$207 = qual$3.noLastSegmentTrimInMaps$1;
      const x$208 = qual$3.hash$1;
      const x$209 = qual$3.hashValue$1;
      const x$210 = qual$3.fromVal$1;
      const x$211 = qual$3.isDeclaration$1;
      const x$212 = qual$3.isDocumentDeclaration$1;
      const x$213 = qual$3.namespace$1;
      const x$214 = qual$3.rdfName$1;
      const x$215 = qual$3.jsonld$1;
      const x$216 = qual$3.owningNode$1;
      const x$217 = qual$3.scalaNameOverride$1;
      const x$218 = qual$3.allowInplace$1;
      const x$219 = qual$3.pattern$1;
      const x$220 = qual$3.enum$1;
      const x$221 = qual$3.minimum$1;
      const x$222 = qual$3.maximum$1;
      const x$223 = qual$3.defaultValue$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$201, x$202, x$203, x$204, isCollection, x$205, x$206, x$207, x$208, x$209, x$210, x$211, x$212, x$213, x$214, x$215, x$216, x$217, x$218, x$219, x$220, x$221, x$222, x$223)
    };
    const this$17 = domainEntity.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().propertyTerm$3);
    if ((!this$17.isEmpty__Z())) {
      const arg1$2 = this$17.get__O();
      const term = arg1$2;
      const this$18 = $m_Lamf_plugins_document_vocabularies_core_NamespaceMap$().apply__T__s_Option(term);
      if ((!this$18.isEmpty__Z())) {
        const arg1$3 = this$18.get__O();
        const ns = arg1$3;
        const qual$4 = elem$1;
        const x$224 = new $c_s_Some().init___O(ns.namespace$1);
        const x$225 = new $c_s_Some().init___O(ns.name$1);
        const x$226 = qual$4.name$1;
        const x$227 = qual$4.range$1;
        const x$228 = qual$4.unionTypes$1;
        const x$229 = qual$4.required$1;
        const x$230 = qual$4.collection$1;
        const x$231 = qual$4.referenceTarget$1;
        const x$232 = qual$4.noRAML$1;
        const x$233 = qual$4.noLastSegmentTrimInMaps$1;
        const x$234 = qual$4.hash$1;
        const x$235 = qual$4.hashValue$1;
        const x$236 = qual$4.fromVal$1;
        const x$237 = qual$4.isDeclaration$1;
        const x$238 = qual$4.isDocumentDeclaration$1;
        const x$239 = qual$4.jsonld$1;
        const x$240 = qual$4.owningNode$1;
        const x$241 = qual$4.scalaNameOverride$1;
        const x$242 = qual$4.allowInplace$1;
        const x$243 = qual$4.pattern$1;
        const x$244 = qual$4.enum$1;
        const x$245 = qual$4.minimum$1;
        const x$246 = qual$4.maximum$1;
        const x$247 = qual$4.defaultValue$1;
        elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$226, x$227, x$228, x$229, x$230, x$231, x$232, x$233, x$234, x$235, x$236, x$237, x$238, x$224, x$225, x$239, x$240, x$241, x$242, x$243, x$244, x$245, x$246, x$247)
      }
    };
    const this$19 = domainEntity.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().maximum$3);
    if ((!this$19.isEmpty__Z())) {
      const arg1$4 = this$19.get__O();
      const m = arg1$4;
      const qual$5 = elem$1;
      const this$21 = new $c_sci_StringOps().init___T(m);
      const this$23 = $m_jl_Integer$();
      const $$this = this$21.repr$1;
      const x$248 = new $c_s_Some().init___O(this$23.parseInt__T__I__I($$this, 10));
      const x$249 = qual$5.name$1;
      const x$250 = qual$5.range$1;
      const x$251 = qual$5.unionTypes$1;
      const x$252 = qual$5.required$1;
      const x$253 = qual$5.collection$1;
      const x$254 = qual$5.referenceTarget$1;
      const x$255 = qual$5.noRAML$1;
      const x$256 = qual$5.noLastSegmentTrimInMaps$1;
      const x$257 = qual$5.hash$1;
      const x$258 = qual$5.hashValue$1;
      const x$259 = qual$5.fromVal$1;
      const x$260 = qual$5.isDeclaration$1;
      const x$261 = qual$5.isDocumentDeclaration$1;
      const x$262 = qual$5.namespace$1;
      const x$263 = qual$5.rdfName$1;
      const x$264 = qual$5.jsonld$1;
      const x$265 = qual$5.owningNode$1;
      const x$266 = qual$5.scalaNameOverride$1;
      const x$267 = qual$5.allowInplace$1;
      const x$268 = qual$5.pattern$1;
      const x$269 = qual$5.enum$1;
      const x$270 = qual$5.minimum$1;
      const x$271 = qual$5.defaultValue$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$249, x$250, x$251, x$252, x$253, x$254, x$255, x$256, x$257, x$258, x$259, x$260, x$261, x$262, x$263, x$264, x$265, x$266, x$267, x$268, x$269, x$270, x$248, x$271)
    };
    const this$24 = domainEntity.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().minimum$3);
    if ((!this$24.isEmpty__Z())) {
      const arg1$5 = this$24.get__O();
      const m$3 = arg1$5;
      const qual$6 = elem$1;
      const this$26 = new $c_sci_StringOps().init___T(m$3);
      const this$28 = $m_jl_Integer$();
      const $$this$1 = this$26.repr$1;
      const x$272 = new $c_s_Some().init___O(this$28.parseInt__T__I__I($$this$1, 10));
      const x$273 = qual$6.name$1;
      const x$274 = qual$6.range$1;
      const x$275 = qual$6.unionTypes$1;
      const x$276 = qual$6.required$1;
      const x$277 = qual$6.collection$1;
      const x$278 = qual$6.referenceTarget$1;
      const x$279 = qual$6.noRAML$1;
      const x$280 = qual$6.noLastSegmentTrimInMaps$1;
      const x$281 = qual$6.hash$1;
      const x$282 = qual$6.hashValue$1;
      const x$283 = qual$6.fromVal$1;
      const x$284 = qual$6.isDeclaration$1;
      const x$285 = qual$6.isDocumentDeclaration$1;
      const x$286 = qual$6.namespace$1;
      const x$287 = qual$6.rdfName$1;
      const x$288 = qual$6.jsonld$1;
      const x$289 = qual$6.owningNode$1;
      const x$290 = qual$6.scalaNameOverride$1;
      const x$291 = qual$6.allowInplace$1;
      const x$292 = qual$6.pattern$1;
      const x$293 = qual$6.enum$1;
      const x$294 = qual$6.maximum$1;
      const x$295 = qual$6.defaultValue$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$273, x$274, x$275, x$276, x$277, x$278, x$279, x$280, x$281, x$282, x$283, x$284, x$285, x$286, x$287, x$288, x$289, x$290, x$291, x$292, x$293, x$272, x$294, x$295)
    };
    const this$29 = domainEntity.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().pattern$3);
    if ((!this$29.isEmpty__Z())) {
      const arg1$6 = this$29.get__O();
      const p = arg1$6;
      const qual$7 = elem$1;
      const x$296 = new $c_s_Some().init___O(p);
      const x$297 = qual$7.name$1;
      const x$298 = qual$7.range$1;
      const x$299 = qual$7.unionTypes$1;
      const x$300 = qual$7.required$1;
      const x$301 = qual$7.collection$1;
      const x$302 = qual$7.referenceTarget$1;
      const x$303 = qual$7.noRAML$1;
      const x$304 = qual$7.noLastSegmentTrimInMaps$1;
      const x$305 = qual$7.hash$1;
      const x$306 = qual$7.hashValue$1;
      const x$307 = qual$7.fromVal$1;
      const x$308 = qual$7.isDeclaration$1;
      const x$309 = qual$7.isDocumentDeclaration$1;
      const x$310 = qual$7.namespace$1;
      const x$311 = qual$7.rdfName$1;
      const x$312 = qual$7.jsonld$1;
      const x$313 = qual$7.owningNode$1;
      const x$314 = qual$7.scalaNameOverride$1;
      const x$315 = qual$7.allowInplace$1;
      const x$316 = qual$7.enum$1;
      const x$317 = qual$7.minimum$1;
      const x$318 = qual$7.maximum$1;
      const x$319 = qual$7.defaultValue$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$297, x$298, x$299, x$300, x$301, x$302, x$303, x$304, x$305, x$306, x$307, x$308, x$309, x$310, x$311, x$312, x$313, x$314, x$315, x$296, x$316, x$317, x$318, x$319)
    };
    const this$30 = domainEntity.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().defaultValue$3);
    if ((!this$30.isEmpty__Z())) {
      const arg1$7 = this$30.get__O();
      const v = arg1$7;
      const x1 = elem$1.range$1;
      const x = $m_Lamf_core_metamodel_Type$Int$();
      let sc;
      if (x.equals__O__Z(x1)) {
        const this$32 = new $c_sci_StringOps().init___T(v);
        const this$34 = $m_jl_Integer$();
        const $$this$2 = this$32.repr$1;
        sc = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this$34.parseInt__T__I__I($$this$2, 10), new $c_Lamf_core_parser_Annotations().init___())
      } else {
        const x$3 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$3.equals__O__Z(x1)) {
          const this$37 = new $c_sci_StringOps().init___T(v);
          const $$this$3 = this$37.repr$1;
          sc = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$37, $$this$3), new $c_Lamf_core_parser_Annotations().init___())
        } else {
          sc = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(v, new $c_Lamf_core_parser_Annotations().init___())
        }
      };
      const qual$8 = elem$1;
      const x$320 = new $c_s_Some().init___O(sc);
      const x$321 = qual$8.name$1;
      const x$322 = qual$8.range$1;
      const x$323 = qual$8.unionTypes$1;
      const x$324 = qual$8.required$1;
      const x$325 = qual$8.collection$1;
      const x$326 = qual$8.referenceTarget$1;
      const x$327 = qual$8.noRAML$1;
      const x$328 = qual$8.noLastSegmentTrimInMaps$1;
      const x$329 = qual$8.hash$1;
      const x$330 = qual$8.hashValue$1;
      const x$331 = qual$8.fromVal$1;
      const x$332 = qual$8.isDeclaration$1;
      const x$333 = qual$8.isDocumentDeclaration$1;
      const x$334 = qual$8.namespace$1;
      const x$335 = qual$8.rdfName$1;
      const x$336 = qual$8.jsonld$1;
      const x$337 = qual$8.owningNode$1;
      const x$338 = qual$8.scalaNameOverride$1;
      const x$339 = qual$8.allowInplace$1;
      const x$340 = qual$8.pattern$1;
      const x$341 = qual$8.enum$1;
      const x$342 = qual$8.minimum$1;
      const x$343 = qual$8.maximum$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$321, x$322, x$323, x$324, x$325, x$326, x$327, x$328, x$329, x$330, x$331, x$332, x$333, x$334, x$335, x$336, x$337, x$338, x$339, x$340, x$341, x$342, x$343, x$320)
    };
    const ev = domainEntity.domainEntity$1.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().enum$3);
    if (ev.nonEmpty__Z()) {
      const qual$9 = elem$1;
      const x$344 = new $c_s_Some().init___O(ev);
      const x$345 = qual$9.name$1;
      const x$346 = qual$9.range$1;
      const x$347 = qual$9.unionTypes$1;
      const x$348 = qual$9.required$1;
      const x$349 = qual$9.collection$1;
      const x$350 = qual$9.referenceTarget$1;
      const x$351 = qual$9.noRAML$1;
      const x$352 = qual$9.noLastSegmentTrimInMaps$1;
      const x$353 = qual$9.hash$1;
      const x$354 = qual$9.hashValue$1;
      const x$355 = qual$9.fromVal$1;
      const x$356 = qual$9.isDeclaration$1;
      const x$357 = qual$9.isDocumentDeclaration$1;
      const x$358 = qual$9.namespace$1;
      const x$359 = qual$9.rdfName$1;
      const x$360 = qual$9.jsonld$1;
      const x$361 = qual$9.owningNode$1;
      const x$362 = qual$9.scalaNameOverride$1;
      const x$363 = qual$9.allowInplace$1;
      const x$364 = qual$9.pattern$1;
      const x$365 = qual$9.minimum$1;
      const x$366 = qual$9.maximum$1;
      const x$367 = qual$9.defaultValue$1;
      elem$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$345, x$346, x$347, x$348, x$349, x$350, x$351, x$352, x$353, x$354, x$355, x$356, x$357, x$358, x$359, x$360, x$361, x$362, x$363, x$364, x$344, x$365, x$366, x$367)
    };
    return elem$1
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectLoader = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectLoader: 0
}, false, "amf.plugins.document.vocabularies.core.DialectLoader", {
  Lamf_plugins_document_vocabularies_core_DialectLoader: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectLoader.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectLoader;
class $c_Lamf_plugins_document_vocabularies_core_DialectValidator extends $c_O {
  constructor() {
    super();
    this.reporter$1 = null
  };
  validateScalar__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop) {
    this.validatePropType__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop);
    this.validatePattern__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop);
    this.validateEnum__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop);
    this.validateMinMax__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop)
  };
  validate__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(e) {
    e.definition$1.props$1.values__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, e$1) {
      return (function(prop$2) {
        const prop = prop$2;
        const isDefined = e$1.fields$1.raw__Lamf_core_metamodel_Field__s_Option(prop.field__Lamf_core_metamodel_Field()).isDefined__Z();
        if ((prop.required$1 && (!isDefined))) {
          $this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["missing required property:", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1])), e$1, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
        };
        if (isDefined) {
          const value = e$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(prop.field__Lamf_core_metamodel_Field());
          if ($is_Lamf_core_model_domain_AmfArray(value)) {
            const x2 = value;
            x2.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, e$1$1, prop$1) {
              return (function(v$2) {
                const v = v$2;
                $this$1.validateValue__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__V(e$1$1, prop$1, v)
              })
            })($this, e$1, prop)))
          } else {
            $this.validateValue__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__V(e$1, prop, value)
          }
        }
      })
    })(this, e)))
  };
  validatePropType__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop) {
    if ((!prop.isScalar__Z())) {
      this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should be object"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
    };
    const x = prop.range$1;
    const x$2 = $m_Lamf_core_metamodel_Type$Bool$();
    if (((x !== null) && x.equals__O__Z(x$2))) {
      if (((scalar.toString__T() !== "true") && (scalar.toString__T() !== "false"))) {
        this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should be boolean"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
      }
    };
    const x$3 = prop.range$1;
    const x$4 = $m_Lamf_core_metamodel_Type$Int$();
    if (((x$3 !== null) && x$3.equals__O__Z(x$4))) {
      try {
        const x$1 = scalar.toString__T();
        const this$6 = new $c_sci_StringOps().init___T(x$1);
        const this$8 = $m_jl_Integer$();
        const $$this = this$6.repr$1;
        this$8.parseInt__T__I__I($$this, 10)
      } catch (e$2) {
        const e$3 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e$2);
        if ((e$3 !== null)) {
          this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should be integer"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
        } else {
          throw e$2
        }
      }
    }
  };
  validateEnum__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop) {
    const this$1 = prop.enum$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const ev = arg1;
      if ((ev.indexOf__O__I(scalar.toString__T()) === (-1))) {
        this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should be one of  ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, ev])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
      }
    }
  };
  validatePattern__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop) {
    const this$1 = prop.pattern$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const pattern = arg1;
      const thiz = scalar.toString__T();
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ((!$m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(pattern, thiz))) {
        this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should match to ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, pattern])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
      }
    }
  };
  validateValue__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__V(e, prop, value) {
    if ($is_Lamf_core_model_domain_AmfScalar(value)) {
      const x2 = value;
      this.validateScalar__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(x2, e, prop)
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(value)) {
      const x3 = value;
      if ((prop.isScalar__Z() && (!prop.allowInplace$1))) {
        this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should be scalar"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
      };
      this.validate__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(x3)
    } else {
      throw new $c_s_MatchError().init___O(value)
    }
  };
  init___Lamf_plugins_document_vocabularies_core_ErrorReporter(reporter) {
    this.reporter$1 = reporter;
    return this
  };
  validateMinMax__p1__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__V(scalar, e, prop) {
    const this$1 = prop.minimum$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const m = (arg1 | 0);
      try {
        const x = scalar.toString__T();
        const this$3 = new $c_sci_StringOps().init___T(x);
        const jsx$1 = $m_jl_Double$();
        const $$this = this$3.repr$1;
        const d = jsx$1.parseDouble__T__D($$this);
        if ((d < m)) {
          this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should be not less then ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, m])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
        }
      } catch (e$1) {
        const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e$1);
        if ((e$2 === null)) {
          throw e$1
        }
      }
    };
    const this$7 = prop.maximum$1;
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const m$3 = (arg1$1 | 0);
      try {
        const x$1 = scalar.toString__T();
        const this$9 = new $c_sci_StringOps().init___T(x$1);
        const jsx$2 = $m_jl_Double$();
        const $$this$1 = this$9.repr$1;
        const d$1 = jsx$2.parseDouble__T__D($$this$1);
        if ((d$1 > m$3)) {
          this.reporter$1.accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["property ", " should be not more then ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, m$3])), e, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1))
        }
      } catch (e$3) {
        const e$2$1 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e$3);
        if ((e$2$1 === null)) {
          throw e$3
        }
      }
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectValidator = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectValidator: 0
}, false, "amf.plugins.document.vocabularies.core.DialectValidator", {
  Lamf_plugins_document_vocabularies_core_DialectValidator: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectValidator.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectValidator;
class $c_Lamf_plugins_document_vocabularies_core_DialectValidator$ extends $c_O {
  init___() {
    return this
  };
  validate__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__sci_List(e) {
    const errors = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    new $c_Lamf_plugins_document_vocabularies_core_DialectValidator().init___Lamf_plugins_document_vocabularies_core_ErrorReporter(new $c_Lamf_plugins_document_vocabularies_core_DialectValidator$$$Lambda$2().init___O((function($this, errors$1) {
      return (function(e$2$2) {
        const e$2 = e$2$2;
        errors$1.$$plus$eq__O__scm_ListBuffer(e$2)
      })
    })(this, errors))).validate__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(e);
    return errors.toList__sci_List()
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectValidator$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectValidator$: 0
}, false, "amf.plugins.document.vocabularies.core.DialectValidator$", {
  Lamf_plugins_document_vocabularies_core_DialectValidator$: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectValidator$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectValidator$;
let $n_Lamf_plugins_document_vocabularies_core_DialectValidator$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_DialectValidator$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_DialectValidator$)) {
    $n_Lamf_plugins_document_vocabularies_core_DialectValidator$ = new $c_Lamf_plugins_document_vocabularies_core_DialectValidator$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_DialectValidator$
});
class $c_Lamf_plugins_document_vocabularies_core_TopLevelObject extends $c_O {
  constructor() {
    super();
    this.domainEntity$1 = null;
    this.parent$1 = null
  };
  equals__O__Z(other) {
    if ($is_Lamf_plugins_document_vocabularies_core_TopLevelObject(other)) {
      const x2 = other;
      const x = this.domainEntity$1;
      const x$2 = x2.domainEntity$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(domainEntity, parent) {
    this.domainEntity$1 = domainEntity;
    this.parent$1 = parent;
    return this
  };
  resolveReferences2Options__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__F2__F1__sci_List(refP, resolver, v) {
    const x1 = this.domainEntity$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(refP.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([resolver.apply__O__O__O(this.root__Lamf_plugins_document_vocabularies_core_TopLevelObject(), x2.toString__T())]);
      const this$2 = $m_sci_List$();
      const cbf = this$2.ReusableCBFInstance$2;
      return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
    } else if ($is_Lamf_core_model_domain_AmfArray(x1)) {
      const x3 = x1;
      const jsx$2 = x3.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resolver$1, v$1) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ($is_Lamf_core_model_domain_AmfScalar(x0$2)) {
            const x2$1 = x0$2;
            return resolver$1.apply__O__O__O($this.root__Lamf_plugins_document_vocabularies_core_TopLevelObject(), x2$1.toString__T())
          } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$2)) {
            const x3$1 = x0$2;
            return new $c_s_Some().init___O(v$1.apply__O__O(x3$1))
          } else {
            throw new $c_s_MatchError().init___O(x0$2)
          }
        })
      })(this, resolver, v));
      const this$3 = $m_sc_Seq$();
      return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).toList__sci_List()
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x1)) {
      const x4 = x1;
      $m_sci_List$();
      const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_s_Some().init___O(v.apply__O__O(x4))]);
      const this$5 = $m_sci_List$();
      const cbf$1 = this$5.ReusableCBFInstance$2;
      return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const state = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.domainEntity$1]));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$2 = $m_s_util_hashing_MurmurHash3$();
        return this$2.productHash__s_Product__I__I(x$1, (-889275714))
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    return (state.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).foldLeft__O__F2__O(0, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(a$2, b$2) {
        const a = (a$2 | 0);
        const b = (b$2 | 0);
        return (($imul(31, a) + b) | 0)
      })
    })(this))) | 0)
  };
  root__Lamf_plugins_document_vocabularies_core_TopLevelObject() {
    return (this.parent__s_Option().isDefined__Z() ? this.parent__s_Option().get__O().root__Lamf_plugins_document_vocabularies_core_TopLevelObject() : this)
  };
}
const $is_Lamf_plugins_document_vocabularies_core_TopLevelObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_core_TopLevelObject)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_core_TopLevelObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_core_TopLevelObject)))
});
class $c_Lamf_plugins_document_vocabularies_registries_DialectRegistry extends $c_O {
  constructor() {
    super();
    this.map$1 = null
  };
  init___() {
    this.map$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  knowsTypeInner__p1__T__sc_Seq__s_Option(nodeType, dialects) {
    _knowsTypeInner: while (true) {
      if (dialects.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const x1 = dialects.head__O().knows__T__s_Option(nodeType);
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const dialectNode = x2.value$2;
          return new $c_s_Some().init___O(dialectNode)
        } else {
          const x$2 = $m_s_None$();
          if ((x$2 === x1)) {
            dialects = dialects.tail__O();
            continue _knowsTypeInner
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      }
    }
  };
  add__Lamf_plugins_document_vocabularies_spec_Dialect__Lamf_plugins_document_vocabularies_registries_DialectRegistry(dialect) {
    const jsx$1 = this.map$1;
    const thiz = dialect.header__T();
    const self = thiz.split("#").join("");
    this.map$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, dialect));
    const this$5 = dialect.module$1;
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const module = arg1;
      const thiz$1 = dialect.header__T();
      const moduleHeader = ("%RAML Library / " + thiz$1.substring(2));
      const jsx$2 = this.map$1;
      const x$1 = moduleHeader.substring(1);
      const x$2 = dialect.version$1;
      const x$4 = dialect.resolver$1;
      const x$5 = $m_Lamf_plugins_document_vocabularies_spec_ModuleKind$();
      const x$6 = $m_s_None$();
      const x$7 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const y = new $c_Lamf_plugins_document_vocabularies_spec_Dialect().init___T__T__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_ResolverFactory__s_Option__sci_Map__Lamf_plugins_document_vocabularies_spec_DialectKind(x$1, x$2, module, x$4, x$6, x$7, x$5);
      this.map$1 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(moduleHeader, y))
    };
    dialect.fragments$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, dialect$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const k = x0$1.$$und1__O();
          const fragment = x0$1.$$und2__O();
          const thiz$2 = dialect$1.header__T();
          const fragmentHeader = ((("%RAML " + k) + " / ") + thiz$2.substring(2));
          const jsx$3 = this$2$1.map$1;
          const x$8 = fragmentHeader.substring(1);
          const x$11 = dialect$1.resolver$1;
          const x$12 = $m_Lamf_plugins_document_vocabularies_spec_FragmentKind$();
          const x$13 = $m_s_None$();
          const x$14 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
          const y$1 = new $c_Lamf_plugins_document_vocabularies_spec_Dialect().init___T__T__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_ResolverFactory__s_Option__sci_Map__Lamf_plugins_document_vocabularies_spec_DialectKind(x$8, "", fragment, x$11, x$13, x$14, x$12);
          this$2$1.map$1 = jsx$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(fragmentHeader, y$1))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, dialect)));
    const this$22 = dialect.root$1.mappings__sci_List();
    let jsx$4;
    inlinereturn$26: {
      let these = this$22;
      while ((!these.isEmpty__Z())) {
        const arg1$1 = these.head__O();
        const x = arg1$1;
        if ((x.name$1 === "external")) {
          jsx$4 = true;
          break inlinereturn$26
        };
        these = these.tail__O()
      };
      jsx$4 = false
    };
    if ((!jsx$4)) {
      const jsx$5 = dialect.root$1;
      const qual$1 = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().externals$3;
      const x$15 = qual$1.name$1;
      const x$16 = qual$1.range$1;
      const x$17 = qual$1.unionTypes$1;
      const x$18 = qual$1.required$1;
      const x$19 = qual$1.collection$1;
      const x$20 = qual$1.referenceTarget$1;
      const x$21 = qual$1.noRAML$1;
      const x$22 = qual$1.noLastSegmentTrimInMaps$1;
      const x$23 = qual$1.hash$1;
      const x$24 = qual$1.hashValue$1;
      const x$25 = qual$1.fromVal$1;
      const x$26 = qual$1.isDeclaration$1;
      const x$27 = qual$1.isDocumentDeclaration$1;
      const x$28 = qual$1.namespace$1;
      const x$29 = qual$1.rdfName$1;
      const x$30 = qual$1.jsonld$1;
      const x$31 = qual$1.owningNode$1;
      const x$32 = qual$1.scalaNameOverride$1;
      const x$33 = qual$1.allowInplace$1;
      const x$34 = qual$1.pattern$1;
      const x$35 = qual$1.enum$1;
      const x$36 = qual$1.minimum$1;
      const x$37 = qual$1.maximum$1;
      const x$38 = qual$1.defaultValue$1;
      jsx$5.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$15, x$16, x$17, x$18, x$19, x$20, x$21, x$22, x$23, x$24, x$25, x$26, x$27, x$28, x$29, x$30, x$31, x$32, x$33, x$34, x$35, x$36, x$37, x$38))
    };
    const this$23 = dialect.root$1.mappings__sci_List();
    let jsx$6;
    inlinereturn$56: {
      let these$1 = this$23;
      while ((!these$1.isEmpty__Z())) {
        const arg1$2 = these$1.head__O();
        const x$3 = arg1$2;
        if ((x$3.name$1 === "uses")) {
          jsx$6 = true;
          break inlinereturn$56
        };
        these$1 = these$1.tail__O()
      };
      jsx$6 = false
    };
    if ((!jsx$6)) {
      const jsx$7 = dialect.root$1;
      const qual$2 = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().externals$3;
      const x$39 = qual$2.name$1;
      const x$40 = qual$2.range$1;
      const x$41 = qual$2.unionTypes$1;
      const x$42 = qual$2.required$1;
      const x$43 = qual$2.collection$1;
      const x$44 = qual$2.referenceTarget$1;
      const x$45 = qual$2.noRAML$1;
      const x$46 = qual$2.noLastSegmentTrimInMaps$1;
      const x$47 = qual$2.hash$1;
      const x$48 = qual$2.hashValue$1;
      const x$49 = qual$2.fromVal$1;
      const x$50 = qual$2.isDeclaration$1;
      const x$51 = qual$2.isDocumentDeclaration$1;
      const x$52 = qual$2.namespace$1;
      const x$53 = qual$2.rdfName$1;
      const x$54 = qual$2.jsonld$1;
      const x$55 = qual$2.owningNode$1;
      const x$56 = qual$2.scalaNameOverride$1;
      const x$57 = qual$2.allowInplace$1;
      const x$58 = qual$2.pattern$1;
      const x$59 = qual$2.enum$1;
      const x$60 = qual$2.minimum$1;
      const x$61 = qual$2.maximum$1;
      const x$62 = qual$2.defaultValue$1;
      jsx$7.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$52, x$53, x$54, x$55, x$56, x$57, x$58, x$59, x$60, x$61, x$62))
    };
    return this
  };
  get__T__s_Option(h) {
    return this.map$1.get__O__s_Option(h.trim())
  };
  knowsHeader__T__Z(header) {
    return this.map$1.contains__O__Z(header.trim())
  };
  dialects__sc_Seq() {
    const this$1 = this.map$1;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    return this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
}
const $d_Lamf_plugins_document_vocabularies_registries_DialectRegistry = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_registries_DialectRegistry: 0
}, false, "amf.plugins.document.vocabularies.registries.DialectRegistry", {
  Lamf_plugins_document_vocabularies_registries_DialectRegistry: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_registries_DialectRegistry.prototype.$classData = $d_Lamf_plugins_document_vocabularies_registries_DialectRegistry;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter extends $c_O {
  constructor() {
    super();
    this.RefValueEmitter$module$1 = null;
    this.RefArrayValueEmitter$module$1 = null;
    this.SimpleArrayValueEmitter$module$1 = null;
    this.ObjectArrayEmitter$module$1 = null;
    this.ObjectKVEmitter$module$1 = null;
    this.ObjectMapEmitter$module$1 = null;
    this.MapPairEmitter$module$1 = null;
    this.ObjectEmitter$module$1 = null;
    this.unit$1 = null;
    this.root$1 = null;
    this.nameProvider$1 = null;
    this.externals$1 = null
  };
  init___Lamf_core_model_document_BaseUnit(unit) {
    this.unit$1 = unit;
    this.root$1 = $m_Lamf_plugins_document_vocabularies_spec_Dialect$().retrieveDomainEntity__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(unit);
    const x1 = this.root$1.definition$1.nameProvider$1;
    let jsx$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const np = x2.value$2;
      jsx$1 = new $c_s_Some().init___O(np.apply__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_spec_LocalNameProvider(unit))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        jsx$1 = $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    this.nameProvider$1 = jsx$1;
    this.externals$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$1 = this.root$1.fields$1.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().externalTerms$3.field__Lamf_core_metamodel_Field());
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const e = arg1;
      e.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(e$2$2) {
          const e$2 = e$2$2;
          const entity = e$2;
          return $this.externals$1.put__O__O__s_Option(entity.id$1, entity)
        })
      })(this)))
    };
    return this
  };
  createEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(domainEntity, mapping) {
    let res = $m_s_None$();
    const field = mapping.field__Lamf_core_metamodel_Field();
    const value = domainEntity.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field);
    if ((((!mapping.noRAML$1) && $m_s_Option$().apply__O__s_Option(value).isDefined__Z()) && (!($is_Lamf_core_model_domain_AmfArray(value) && value.values$1.isEmpty__Z())))) {
      if (mapping.isScalar__Z()) {
        if (mapping.collection$1) {
          if ($is_Lamf_core_model_domain_AmfArray(value)) {
            const value$2 = domainEntity.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field);
            if (($m_s_Option$().apply__O__s_Option(value$2).isDefined__Z() && $m_s_Option$().apply__O__s_Option(value$2.value$1).isDefined__Z())) {
              if (mapping.referenceTarget$1.isDefined__Z()) {
                res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lamf_core_parser_FieldEntry(this, mapping, mapping.name$1, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, value$2)))
              } else {
                res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lamf_core_parser_FieldEntry(this, mapping, mapping.name$1, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, value$2)))
              }
            }
          }
        } else if (mapping.referenceTarget$1.isDefined__Z()) {
          res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lamf_core_parser_FieldEntry(this, mapping, mapping.name$1, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, domainEntity.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field))))
        } else {
          res = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry(mapping.name$1, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, domainEntity.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field))))
        }
      } else if (mapping.collection$1) {
        if ($is_Lamf_core_model_domain_AmfArray(value)) {
          const x2 = value;
          res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfArray(this, mapping, x2))
        } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(value)) {
          const x3 = value;
          res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(this, mapping, x3))
        } else {
          throw new $c_s_MatchError().init___O(value)
        }
      } else if ((mapping.hash$1.isDefined__Z() && mapping.hashValue$1.isEmpty__Z())) {
        if ($is_Lamf_core_model_domain_AmfArray(value)) {
          const x2$2 = value;
          res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfArray(this, mapping, x2$2))
        }
      } else if ((mapping.hash$1.isDefined__Z() && mapping.hashValue$1.isDefined__Z())) {
        if ($is_Lamf_core_model_domain_AmfArray(value)) {
          const x2$3 = value;
          res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfArray(this, mapping, x2$3))
        }
      } else {
        res = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(this, mapping, value))
      }
    };
    return res
  };
  lastSegment__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T(obj) {
    const a = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(obj.id$1, 47);
    const b = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(obj.id$1, 35);
    const ind = ((a > b) ? a : b);
    if ((ind > 0)) {
      const thiz = obj.id$1;
      const beginIndex = ((1 + ind) | 0);
      return thiz.substring(beginIndex)
    } else {
      return obj.id$1
    }
  };
  localId__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T(dialectPropertyMapping, obj) {
    const x1 = this.nameProvider$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const np = x2.value$2;
      const this$1 = $m_s_Option$().apply__O__s_Option(np.localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(obj.id$1, dialectPropertyMapping));
      return (this$1.isEmpty__Z() ? obj.id$1 : this$1.get__O())
    } else {
      return obj.id$1
    }
  };
  emitRef__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lorg_yaml_model_YDocument$PartBuilder__V(mapping, name, b) {
    const x1 = this.nameProvider$1;
    const x = $m_s_None$();
    if ((x === x1)) {
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, name, $m_Lorg_yaml_model_YType$().Str$1)
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const np = x2.value$2;
      const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const this$2 = $m_s_Option$().apply__O__s_Option(np.localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(name, mapping));
      jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, (this$2.isEmpty__Z() ? name : this$2.get__O()), $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  emit__Lorg_yaml_model_YDocument() {
    const this$1 = this.root$1.definition$1.dialect__s_Option().get__O().ramlRefiner$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const r = arg1;
      r.refine__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(this.root$1)
    };
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    const jsx$1 = this.root$1;
    const thiz = this.root$1.definition$1.dialect__s_Option().get__O().header__T();
    new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z(this, jsx$1, new $c_s_Some().init___O(thiz.substring(1)), true).emit__Lorg_yaml_model_YDocument$BaseBuilder__V(b);
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$() {
    if ((this.ObjectEmitter$module$1 === null)) {
      this.ObjectEmitter$lzycompute$1__p1__V()
    };
    return this.ObjectEmitter$module$1
  };
  ObjectEmitter$lzycompute$1__p1__V() {
    if ((this.ObjectEmitter$module$1 === null)) {
      this.ObjectEmitter$module$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter(this)
    }
  };
  amf$plugins$document$vocabularies$spec$DialectEmitter$$isExternal__Lamf_core_model_domain_AmfElement__Z(x) {
    return (!this.externals$1.contains__O__Z(x.id$1))
  };
  amf$plugins$document$vocabularies$spec$DialectEmitter$$emitRef__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__Lorg_yaml_model_YDocument$PartBuilder__V(parent, element, b) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(element)) {
      const x2 = element;
      new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z(this, x2, (this.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), $m_s_None$()), (this.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), false)).emit__Lorg_yaml_model_YDocument$BaseBuilder__V(b)
    } else if ($is_Lamf_core_model_domain_AmfScalar(element)) {
      const x3 = element;
      this.emitRef__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lorg_yaml_model_YDocument$PartBuilder__V(parent, x3.toString__T(), b)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("References can only be emitted from entities or scalars"))
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter;
class $c_Lamf_plugins_document_vocabularies_spec_DialectParser extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.root$1 = null;
    this.ctx$1 = null;
    this.resolver$1 = null;
    this.internalRefs$1 = null;
    this.possibleRefs$1 = null;
    this.isDocument$1 = false
  };
  parseArrayRefs__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lorg_yaml_model_YSequence__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(mapping, entryNode, parentDomainEntity, arr) {
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(arr, t, a, cs);
    const iv = this.ctx$1;
    const value = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const array = $f_Lamf_core_parser_BaseArrayNode__string__Lamf_core_model_domain_AmfArray(value);
    const jsx$2 = array.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_core_model_domain_AmfScalar(x0$2)) {
          const x2 = x0$2;
          return x2
        } else {
          return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x0$2, new $c_Lamf_core_parser_Annotations().init___())
        }
      })
    })(this));
    const this$8 = $m_sc_Seq$();
    const scalars = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2);
    const field = mapping.field__Lamf_core_metamodel_Field();
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, mapping$1, parentDomainEntity$1) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return this$2$1.resolveValue__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_model_domain_AmfScalar(mapping$1, x$11, parentDomainEntity$1)
      })
    })(this, mapping, parentDomainEntity));
    const this$9 = $m_sc_Seq$();
    const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(scalars.map__F1__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2), new $c_Lamf_core_parser_Annotations().init___());
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entryNode);
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parentDomainEntity, field, value$1, annotations)
  };
  parse__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(entries) {
    const entity = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), this.dialect$1.root$1, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries));
    const value = (this.root$1.location$1 + "#");
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(entity, value);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(entries, t, a, cs), entity, true);
    const x1 = this.dialect$1.jsonLDRefiner$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const dialectRefiner = x2.value$2;
      dialectRefiner.refine__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_ReferenceResolver__V(entity, this.resolver$1)
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return entity
  };
  parseMap__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(mapping, entryNode, parentDomainEntity, declaration) {
    const targetField = mapping.field__Lamf_core_metamodel_Field();
    const this$1 = entryNode.value$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const entries = x2.value$2;
      this.orderedMap__p1__Lorg_yaml_model_YMap__sc_IndexedSeq(entries).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, mapping$1, entryNode$1, parentDomainEntity$1, declaration$1, targetField$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ((x0$1 !== null)) {
            const mapKey = x0$1.$$und1__O();
            const entry = x0$1.$$und2__O();
            if ((mapKey !== null)) {
              if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(mapping$1.range$1)) {
                const actualRange = $this.getActualRange__p1__s_Option__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YNode__s_Option__s_Option__s_Option__s_Option($m_s_Option$().apply__O__s_Option(mapKey.text$3), mapping$1, entry, mapping$1.hash$1, new $c_s_Some().init___O(mapKey.text$3), new $c_s_Some().init___O(parentDomainEntity$1));
                if ($is_s_Some(actualRange)) {
                  const x2$2 = actualRange;
                  const rangeNode = x2$2.value$2;
                  if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(rangeNode)) {
                    const x3 = rangeNode;
                    const domainEntity = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_s_Some().init___O(mapKey.text$3), x3, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry));
                    if (declaration$1) {
                      $this.internalRefs$1.put__O__O__s_Option(mapKey.text$3, domainEntity)
                    };
                    const x1$3 = mapping$1.hash$1;
                    if ($is_s_Some(x1$3)) {
                      const x2$3 = x1$3;
                      const hashProperty = x2$3.value$2;
                      const field = hashProperty.field__Lamf_core_metamodel_Field();
                      const value = entryNode$1.key$1.value__Lorg_yaml_model_YValue().text$3;
                      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(domainEntity, field, value)
                    } else {
                      const x = $m_s_None$();
                      if ((!(x === x1$3))) {
                        throw new $c_s_MatchError().init___O(x1$3)
                      }
                    };
                    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parentDomainEntity$1, targetField$1, domainEntity);
                    const x1$4 = mapping$1.hashValue$1;
                    if ($is_s_Some(x1$4)) {
                      const x2$4 = x1$4;
                      const hashValue = x2$4.value$2;
                      if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(entry).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
                        const field$1 = hashValue.field__Lamf_core_metamodel_Field();
                        const value$1 = entry.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(domainEntity, field$1, value$1)
                      }
                    } else {
                      const x$3 = $m_s_None$();
                      if ((x$3 === x1$4)) {
                        const x1$6 = entry.tag__Lorg_yaml_model_YTag().tagType$2;
                        const x$5 = $m_Lorg_yaml_model_YType$().Map$1;
                        if ((x$5 === x1$6)) {
                          $m_Lorg_yaml_model_YNode$();
                          const map = entry.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1);
                          $m_Lorg_yaml_model_YNode$();
                          $m_Lorg_yaml_model_YNode$();
                          const tt = $m_Lorg_yaml_model_YType$().Map$1;
                          $m_Lorg_yaml_model_YNode$();
                          const t = tt.org$yaml$model$YType$$tag$und$1;
                          $m_Lorg_yaml_model_YNode$();
                          const a = $m_s_None$();
                          $m_Lorg_yaml_model_YNode$();
                          const cs = null;
                          $this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), domainEntity, false)
                        } else {
                          const this$10 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(entry).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
                          let jsx$1;
                          if ((!this$10.isEmpty__Z())) {
                            const arg1 = this$10.get__O();
                            const t$1 = arg1;
                            if ($m_s_Option$().apply__O__s_Option(t$1.text$3).isDefined__Z()) {
                              const this$11 = t$1.text$3;
                              jsx$1 = (!(this$11 === ""))
                            } else {
                              jsx$1 = false
                            }
                          } else {
                            jsx$1 = false
                          };
                          if (jsx$1) {
                            $this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(entry, domainEntity, false)
                          }
                        }
                      } else {
                        throw new $c_s_MatchError().init___O(x1$4)
                      }
                    };
                    const field$2 = mapping$1.hash$1.get__O().field__Lamf_core_metamodel_Field();
                    const value$2 = mapKey.text$3;
                    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(domainEntity, field$2, value$2)
                  }
                };
                return (void 0)
              }
            }
          };
          throw new $c_s_MatchError().init___O(x0$1)
        })
      })(this, mapping, entryNode, parentDomainEntity, declaration, targetField)))
    } else {
      const jsx$7 = this.ctx$1;
      const jsx$6 = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectExpectingMap$1.id__T();
      const jsx$5 = parentDomainEntity.id$1;
      const jsx$4 = new $c_s_Some().init___O(mapping.fieldName__Lamf_core_vocabulary_ValueType().iri__T());
      const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expecting map node for dialect mapping ", ", found ", ""]));
      const jsx$2 = mapping.name$1;
      const this$12 = entryNode.value$1;
      jsx$7.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(jsx$6, jsx$5, jsx$4, jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$2, $objectGetClass(this$12)])), entryNode)
    }
  };
  shortName__p1__Lamf_core_metamodel_Type__T(t) {
    if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(t)) {
      const x2 = t;
      return x2.shortName__T()
    } else {
      return t.toString__T()
    }
  };
  parseEntity__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(unit) {
    const node = this.root$1.parsed$1.document$1;
    const this$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    let result;
    if (this$2.isEmpty__Z()) {
      result = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const map = arg1;
      const references = new $c_Lamf_plugins_document_vocabularies_spec_ReferencesParser().init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_spec_DialectContext("uses", map, this.root$1.references$1, this.ctx$1).parse__T__Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations(unit.location__T());
      const jsx$2 = this.dialect$1.resolver$1;
      const jsx$1 = this.root$1;
      const this$3 = references.references$1;
      const ev = $m_s_Predef$().singleton$und$less$colon$less$2;
      const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
      this$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ev$1, b$1) {
        return (function(x$2) {
          return b$1.$$plus$eq__O__scm_Builder(x$2)
        })
      })(this$3, ev, b)));
      this.resolver$1 = jsx$2.resolver__Lamf_core_Root__sci_Map__Lamf_core_parser_ParserContext__Lamf_plugins_document_vocabularies_spec_ReferenceResolver(jsx$1, b.elems$1, this.ctx$1);
      const entity = this.parse__Lamf_plugins_document_vocabularies_model_domain_DomainEntity();
      const this$5 = this.possibleRefs$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
        const this$6 = this.possibleRefs$1;
        const iterTable = this$6.table$5;
        let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$6);
        let es = iterTable.u[idx];
        while ((es !== null)) {
          const next = es.next__O();
          const arg1$1 = es;
          const e = arg1$1;
          const _1 = e.key$1;
          const _2 = e.value$1;
          const this$7 = this.internalRefs$1.get__O__s_Option(_2);
          if ((!this$7.isEmpty__Z())) {
            const arg1$2 = this$7.get__O();
            const referenced = arg1$2;
            referenced.fields$1.into__Lamf_core_parser_Fields__V(_1.fields$1);
            _1.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
            const this$8 = _1;
            $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this$8, referenced);
            const this$9 = _1;
            const label = _2;
            const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$9, field, label)
          };
          es = next;
          while (((es === null) && (idx > 0))) {
            idx = (((-1) + idx) | 0);
            es = iterTable.u[idx]
          }
        }
      };
      const this$10 = references.references$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$10)) {
        const references$1 = references.solvedReferences__sc_Seq();
        const field$1 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(unit, field$1, references$1)
      };
      result = new $c_s_Some().init___O(entity)
    };
    if ($is_s_Some(result)) {
      const x2 = result;
      const e$1 = x2.value$2;
      return e$1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Empty document."))
    }
  };
  correctEntityNamespace__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__O(node, domainEntity) {
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$1 = domainEntity.definition$1.id$1;
      if (this$1.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const id = arg1;
        const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(id);
        if (this$3.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1$1 = this$3.get__O();
          const entry = arg1$1;
          const this$4 = $m_s_Option$().apply__O__s_Option(entry.value$1);
          if (this$4.isEmpty__Z()) {
            return $m_s_None$()
          } else {
            const arg1$2 = this$4.get__O();
            const value = arg1$2;
            const jsx$1 = $m_s_Option$();
            const iv = this.ctx$1;
            const this$6 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(value, iv);
            const this$7 = jsx$1.apply__O__s_Option($objectToString(this$6.string__Lamf_core_model_domain_AmfScalar().value$1));
            if (this$7.isEmpty__Z()) {
              return $m_s_None$()
            } else {
              const arg1$3 = this$7.get__O();
              const base = arg1$3;
              return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(domainEntity, base))
            }
          }
        }
      }
    } else {
      return (void 0)
    }
  };
  parse__Lamf_plugins_document_vocabularies_model_domain_DomainEntity() {
    return this.parse__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(this.root$1.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1))
  };
  parseUnit__Lamf_core_model_document_BaseUnit() {
    const x1 = this.dialect$1.kind$1;
    const x = $m_Lamf_plugins_document_vocabularies_spec_ModuleKind$();
    if ((x === x1)) {
      return this.parseModule__p1__Lamf_core_model_document_Module()
    } else {
      const x$3 = $m_Lamf_plugins_document_vocabularies_spec_FragmentKind$();
      if ((x$3 === x1)) {
        return this.parseFragment__p1__Lamf_plugins_document_vocabularies_model_document_DialectFragment()
      } else {
        const x$5 = $m_Lamf_plugins_document_vocabularies_spec_DocumentKind$();
        if ((x$5 === x1)) {
          return this.parseDocument__p1__Lamf_core_model_document_Document()
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  };
  parseCollection__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(mapping, entryNode, parentDomainEntity) {
    const x1 = entryNode.value$1.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x2 = x1;
      if (mapping.isScalar__Z()) {
        const x1$2 = mapping.range$1;
        const x = $m_Lamf_core_metamodel_Type$Str$();
        if (x.equals__O__Z(x1$2)) {
          if (mapping.referenceTarget$1.isDefined__Z()) {
            this.parseArrayRefs__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lorg_yaml_model_YSequence__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(mapping, entryNode, parentDomainEntity, x2)
          } else {
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            const tt = $m_Lorg_yaml_model_YType$().Seq$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(x2, t, a, cs);
            const iv = this.ctx$1;
            const value = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
            const field = mapping.field__Lamf_core_metamodel_Field();
            const value$1 = $f_Lamf_core_parser_BaseArrayNode__string__Lamf_core_model_domain_AmfArray(value);
            const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entryNode);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parentDomainEntity, field, value$1, annotations)
          }
        } else {
          const x$3 = $m_Lamf_core_metamodel_Type$Iri$();
          if ((!x$3.equals__O__Z(x1$2))) {
            throw new $c_jl_IllegalStateException().init___T("Does not know how to parse sequences of other scalars yet")
          };
          this.parseArrayRefs__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lorg_yaml_model_YSequence__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(mapping, entryNode, parentDomainEntity, x2)
        }
      } else if (mapping.rangeAsDialect__s_Option().isDefined__Z()) {
        const elementCounter = new $c_sr_IntRef().init___I(0);
        x2.nodes$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, mapping$1, entryNode$1, parentDomainEntity$1, elementCounter$1) {
          return (function(element$2) {
            const element = element$2;
            const actualRange = $this.getActualRange__p1__s_Option__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YNode__s_Option__s_Option__s_Option__s_Option($m_s_None$(), mapping$1, element, $m_s_None$(), $m_s_None$(), new $c_s_Some().init___O(parentDomainEntity$1));
            elementCounter$1.elem$1 = ((1 + elementCounter$1.elem$1) | 0);
            matchEnd5: {
              if ($is_s_Some(actualRange)) {
                const x2$1 = actualRange;
                const rangeNode = x2$1.value$2;
                if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(rangeNode)) {
                  const x3 = rangeNode;
                  const domainEntity = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_s_Some().init___O((("" + entryNode$1.key$1.value__Lorg_yaml_model_YValue().text$3) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([elementCounter$1.elem$1])))), x3, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(element));
                  const field$1 = mapping$1.field__Lamf_core_metamodel_Field();
                  $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parentDomainEntity$1, field$1, domainEntity);
                  const x1$2$1 = element.tag__Lorg_yaml_model_YTag().tagType$2;
                  const x$1 = $m_Lorg_yaml_model_YType$().Map$1;
                  if ((x$1 === x1$2$1)) {
                    $m_Lorg_yaml_model_YNode$();
                    const map = element.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1);
                    $m_Lorg_yaml_model_YNode$();
                    $m_Lorg_yaml_model_YNode$();
                    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
                    $m_Lorg_yaml_model_YNode$();
                    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
                    $m_Lorg_yaml_model_YNode$();
                    const a$1 = $m_s_None$();
                    $m_Lorg_yaml_model_YNode$();
                    const cs$1 = null;
                    $this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t$1, a$1, cs$1), domainEntity, false)
                  } else {
                    const this$15 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(element).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
                    let jsx$1;
                    if ((!this$15.isEmpty__Z())) {
                      const arg1 = this$15.get__O();
                      const t$2 = arg1;
                      if ($m_s_Option$().apply__O__s_Option(t$2.text$3).isDefined__Z()) {
                        const this$16 = t$2.text$3;
                        jsx$1 = (!(this$16 === ""))
                      } else {
                        jsx$1 = false
                      }
                    } else {
                      jsx$1 = false
                    };
                    if (jsx$1) {
                      $this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(element, domainEntity, false)
                    }
                  };
                  break matchEnd5
                }
              };
              const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
              const node$1 = parentDomainEntity$1.id$1;
              const property = new $c_s_Some().init___O(mapping$1.fieldName__Lamf_core_vocabulary_ValueType().iri__T());
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Can not determine actual range of the node"])).s__sc_Seq__T($m_sci_Nil$());
              const lexical = parentDomainEntity$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
              const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
              $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, id, node$1, property, message, lexical)
            }
          })
        })(this, mapping, entryNode, parentDomainEntity, elementCounter)))
      }
    } else if (mapping.isScalar__Z()) {
      if ($is_Lorg_yaml_model_YScalar(entryNode.value$1.value__Lorg_yaml_model_YValue())) {
        const node$2 = entryNode.value$1;
        const iv$1 = this.ctx$1;
        const this$19 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$1);
        const scalar = this$19.string__Lamf_core_model_domain_AmfScalar();
        if ($m_s_Option$().apply__O__s_Option(scalar.value$1).isDefined__Z()) {
          const resolvedVal = this.resolveValue__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_model_domain_AmfScalar(mapping, scalar, parentDomainEntity);
          const field$2 = mapping.field__Lamf_core_metamodel_Field();
          const values = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([resolvedVal]));
          $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(parentDomainEntity, field$2, values)
        }
      } else if (($is_Lorg_yaml_model_YMap(entryNode.value$1.value__Lorg_yaml_model_YValue()) && mapping.allowInplace$1)) {
        const this$20 = mapping.referenceTarget$1;
        if ((!this$20.isEmpty__Z())) {
          const arg1$1 = this$20.get__O();
          const trg = arg1$1;
          const child = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_Option$().apply__O__s_Option(entryNode.key$1.value__Lorg_yaml_model_YValue().toString__T()), trg, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entryNode.value$1.value__Lorg_yaml_model_YValue()));
          const field$3 = mapping.field__Lamf_core_metamodel_Field();
          $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parentDomainEntity, field$3, child);
          this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(entryNode.value$1, child, false)
        }
      }
    } else {
      const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
      const node$3 = parentDomainEntity.id$1;
      const property$1 = new $c_s_Some().init___O(mapping.fieldName__Lamf_core_vocabulary_ValueType().iri__T());
      const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expecting sequence of nodes"])).s__sc_Seq__T($m_sci_Nil$());
      const lexical$1 = parentDomainEntity.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const level$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
      $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level$1, id$1, node$3, property$1, message$1, lexical$1)
    }
  };
  parseSingleObject__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(mapping, entryNode, parentDomainEntity) {
    const node = entryNode.key$1;
    const this$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
    let jsx$1;
    if (this$2.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$12 = arg1;
      jsx$1 = new $c_s_Some().init___O(x$12.text$3)
    };
    const x1 = this.getActualRange__p1__s_Option__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YNode__s_Option__s_Option__s_Option__s_Option(jsx$1, mapping, entryNode.value$1, $m_s_None$(), $m_s_None$(), $m_s_None$());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const node$1 = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(node$1)) {
        const x3 = node$1;
        const x1$2 = entryNode.key$1.value__Lorg_yaml_model_YValue();
        let linkValue;
        if ($is_Lorg_yaml_model_YScalar(x1$2)) {
          const x2$2 = x1$2;
          linkValue = new $c_s_Some().init___O(x2$2.text$3)
        } else {
          linkValue = $m_s_None$()
        };
        const domainEntity = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(linkValue, x3, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entryNode));
        const field = mapping.field__Lamf_core_metamodel_Field();
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parentDomainEntity, field, domainEntity);
        this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(entryNode.value$1, domainEntity, false);
        return new $c_s_Some().init___O(domainEntity)
      }
    };
    return $m_s_None$()
  };
  validateClosedNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lorg_yaml_model_YMap__sci_List__Z__V(domainEntity, entries, mappings, topLevel) {
    const this$1 = entries.map$3;
    const this$3 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$1);
    const this$2 = $m_sc_Iterable$();
    const bf = this$2.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
    const this$4 = this$3.$$outer$4.keysIterator__sc_Iterator();
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      const x$1 = arg1;
      b.$$plus$eq__O__scm_Builder(x$1.value__Lorg_yaml_model_YValue().toString__T())
    };
    const entriesLabels = b.result__O().toSet__sci_Set().$$minus__O__sc_Set("");
    let entityLabels;
    if (topLevel) {
      const f = (function(this$2$1) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          return x$2.name$1
        })
      })(this);
      const this$5 = $m_sci_List$();
      const bf$1 = this$5.ReusableCBFInstance$2;
      let jsx$2;
      if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((mappings === $m_sci_Nil$())) {
          jsx$2 = $m_sci_Nil$()
        } else {
          const arg1$1 = mappings.head__O();
          const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          let t = h;
          let rest = mappings.tail__O();
          while ((rest !== $m_sci_Nil$())) {
            const arg1$2 = rest.head__O();
            const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            rest = rest.tail__O()
          };
          jsx$2 = h
        }
      } else {
        const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(mappings, bf$1);
        let these = mappings;
        while ((!these.isEmpty__Z())) {
          const arg1$3 = these.head__O();
          b$1.$$plus$eq__O__scm_Builder(f(arg1$3));
          these = these.tail__O()
        };
        jsx$2 = b$1.result__O()
      };
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["uses", "external", "!extend"]));
      const this$6 = $m_sci_List$();
      entityLabels = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2).toSet__sci_Set()
    } else {
      const f$1 = (function(this$3$1) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return x$3.name$1
        })
      })(this);
      const this$7 = $m_sci_List$();
      const bf$2 = this$7.ReusableCBFInstance$2;
      let jsx$3;
      if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((mappings === $m_sci_Nil$())) {
          jsx$3 = $m_sci_Nil$()
        } else {
          const arg1$4 = mappings.head__O();
          const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          let t$1 = h$1;
          let rest$1 = mappings.tail__O();
          while ((rest$1 !== $m_sci_Nil$())) {
            const arg1$5 = rest$1.head__O();
            const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$5), $m_sci_Nil$());
            t$1.tl$5 = nx$1;
            t$1 = nx$1;
            rest$1 = rest$1.tail__O()
          };
          jsx$3 = h$1
        }
      } else {
        const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(mappings, bf$2);
        let these$1 = mappings;
        while ((!these$1.isEmpty__Z())) {
          const arg1$6 = these$1.head__O();
          b$2.$$plus$eq__O__scm_Builder(f$1(arg1$6));
          these$1 = these$1.tail__O()
        };
        jsx$3 = b$2.result__O()
      };
      entityLabels = jsx$3.toSet__sci_Set()
    };
    const diff = entriesLabels.diff__sc_GenSet__sc_Set(entityLabels);
    if ($f_sc_TraversableOnce__nonEmpty__Z(diff)) {
      const this$8 = this.ctx$1;
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ClosedShapeSpecification$1.id__T();
      const node = domainEntity.id$1;
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Properties: ", " not supported in a ", " node"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_sc_TraversableOnce__mkString__T__T__T__T(diff, "", ",", ""), domainEntity.definition$1.shortName__T()]));
      this$8.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node, $m_s_None$(), message, entries)
    }
  };
  setScalar__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(node, mapping, value) {
    let txt = value.text$3;
    const x = mapping.field__Lamf_core_metamodel_Field().type$1;
    const x$2 = $m_Lamf_core_metamodel_Type$Iri$();
    if (((x !== null) && x.equals__O__Z(x$2))) {
      txt = $m_Ljava_net_URLDecoder$().decode__T__T__T(txt, "UTF-8")
    };
    const field = mapping.field__Lamf_core_metamodel_Field();
    const value$1 = this.resolveValue__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_model_domain_AmfScalar(mapping, new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(txt, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(value)), node);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(value);
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(node, field, value$1, annotations)
  };
  resolveValue__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_model_domain_AmfScalar(mapping, value, parent) {
    if (mapping.referenceTarget$1.isDefined__Z()) {
      const x1 = this.resolver$1.resolve__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(this.root$1, value.toString__T(), mapping.referenceTarget$1.get__O());
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const finalValue = x2.value$2;
        return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(finalValue, value.annotations$1)
      } else {
        const this$1 = value.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
        let this$2;
        if (this$1.isEmpty__Z()) {
          this$2 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$14 = arg1;
          this$2 = new $c_s_Some().init___O(x$14.ast$1.range__Lorg_mulesoft_lexer_InputRange())
        };
        let this$3;
        if (this$2.isEmpty__Z()) {
          this$3 = $m_s_None$()
        } else {
          const arg1$1 = this$2.get__O();
          const range = arg1$1;
          this$3 = new $c_s_Some().init___O($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(range))
        };
        let lexical;
        if (this$3.isEmpty__Z()) {
          lexical = $m_s_None$()
        } else {
          const arg1$2 = this$3.get__O();
          const range$3 = arg1$2;
          lexical = new $c_s_Some().init___O(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range(range$3))
        };
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectUnresolvableReference$1.id__T();
        const node = parent.id$1;
        const property = new $c_s_Some().init___O(mapping.fieldName__Lamf_core_vocabulary_ValueType().iri__T());
        const message = ("Can not resolve reference:" + value.toString__T());
        const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
        $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, id, node, property, message, lexical);
        return value
      }
    } else {
      return value
    }
  };
  orderedMap__p1__Lorg_yaml_model_YMap__sc_IndexedSeq(entries) {
    const jsx$2 = entries.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        const node = x$10.key$1;
        return new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(e$2) {
        const e = e$2;
        return new $c_T2().init___O__O(e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2.ctx$1), e.value$1)
      })
    })(this));
    const this$3 = $m_sc_IndexedSeq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBF$6)
  };
  getActualRange__p1__s_Option__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YNode__s_Option__s_Option__s_Option__s_Option(key, mapping, entryNode, hash, hashValue, parentDomainEntity) {
    if ((mapping.unionTypes$1.isDefined__Z() && mapping.hashValue$1.isDefined__Z())) {
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
      const node = parentDomainEntity.get__O().id__T();
      const property = $m_s_None$();
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Multiple range types not supported at the same time that 'hashValue' property"])).s__sc_Seq__T($m_sci_Nil$());
      const lexical = parentDomainEntity.get__O().annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
      $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, id, node, property, message, lexical);
      return $m_s_None$()
    } else if (mapping.unionTypes$1.isDefined__Z()) {
      const elem = $m_s_None$();
      const nodeId = new $c_sr_ObjectRef().init___O(elem);
      const this$10 = $m_Lamf_core_services_RuntimeValidator$();
      const f$1 = (function($this, key$1, mapping$1, entryNode$1, hash$1, hashValue$1, parentDomainEntity$1, nodeId$1) {
        return (function() {
          const this$9 = mapping$1.unionTypes$1.get__O();
          const f = (function($this$1, key$1$1, entryNode$4, hash$1$1, hashValue$1$1, parentDomainEntity$3, nodeId$1$1) {
            return (function(x0$3$2) {
              const x0$3 = x0$3$2;
              if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(x0$3)) {
                const x2 = x0$3;
                const domainEntity = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(key$1$1, x2, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entryNode$4));
                try {
                  domainEntity.adopted__T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(parentDomainEntity$3.get__O().id__T());
                  nodeId$1$1.elem$1 = new $c_s_Some().init___O(domainEntity.id$1);
                  $this$1.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(entryNode$4, domainEntity, false);
                  if ((!hash$1$1.isEmpty__Z())) {
                    const arg1 = hash$1$1.get__O();
                    const hashProperty = arg1;
                    const field = hashProperty.field__Lamf_core_metamodel_Field();
                    const value = hashValue$1$1.get__O();
                    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(domainEntity, field, value)
                  };
                  const issues = $m_Lamf_plugins_document_vocabularies_core_DialectValidator$().validate__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__sci_List(domainEntity);
                  return new $c_T2().init___O__O(x2, issues)
                } catch (e) {
                  const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
                  if ($is_jl_Exception(e$2)) {
                    const validationException = e$2;
                    return new $c_T2().init___O__O(x2, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(validationException.getMessage__T(), domainEntity, $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1)])))
                  } else {
                    throw e
                  }
                }
              } else if ((x0$3 !== null)) {
                return new $c_T2().init___O__O(x0$3, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue().init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Only a dialect node can be the range of another dialect node, found ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$3])), parentDomainEntity$3.get__O(), $m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$().ERROR$1)])))
              } else {
                throw new $c_s_MatchError().init___O(x0$3)
              }
            })
          })($this, key$1, entryNode$1, hash$1, hashValue$1, parentDomainEntity$1, nodeId$1);
          const this$8 = $m_sci_List$();
          const bf = this$8.ReusableCBFInstance$2;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$9 === $m_sci_Nil$())) {
              return $m_sci_Nil$()
            } else {
              const arg1$1 = this$9.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              let t = h;
              let rest = this$9.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$2 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
                t.tl$5 = nx;
                t = nx;
                rest = rest.tail__O()
              };
              return h
            }
          } else {
            const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf);
            let these = this$9;
            while ((!these.isEmpty__Z())) {
              const arg1$3 = these.head__O();
              b.$$plus$eq__O__scm_Builder(f(arg1$3));
              these = these.tail__O()
            };
            return b.result__O()
          }
        })
      })(this, key, mapping, entryNode, hash, hashValue, parentDomainEntity, nodeId);
      const x1 = this$10.validator$1;
      if ((!$is_s_Some(x1))) {
        const x = $m_s_None$();
        if ((x === x1)) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      const x2$1 = x1;
      const runtimeValidator = x2$1.value$2;
      let types;
      if (runtimeValidator.enabled$1) {
        runtimeValidator.enabled$1 = false;
        try {
          types = f$1()
        } finally {
          runtimeValidator.enabled$1 = true
        }
      } else {
        types = f$1()
      };
      const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(r$2) {
          const r = r$2;
          return r.$$und2__O().isEmpty__Z()
        })
      })(this));
      if (($f_sc_TraversableOnce__count__F1__I(types, p) > 1)) {
        const jsx$8 = this.ctx$1;
        const jsx$7 = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectAmbiguousRangeSpecification$1.id__T();
        const jsx$6 = nodeId.elem$1.get__O();
        const jsx$5 = new $c_s_Some().init___O(mapping.fieldName__Lamf_core_vocabulary_ValueType().iri__T());
        const jsx$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Ambiguous range for property ", ", multiple possible values for range ", ""]));
        const jsx$3 = (key.isEmpty__Z() ? "" : key.get__O());
        const p$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(r$3$2) {
            const r$3 = r$3$2;
            return r$3.$$und2__O().isEmpty__Z()
          })
        })(this));
        const jsx$2 = types.filterImpl__F1__Z__O(p$1, false);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
          return (function(r$4$2) {
            const r$4 = r$4$2;
            return this$5$1.shortName__p1__Lamf_core_metamodel_Type__T(r$4.$$und1__O())
          })
        })(this));
        const this$11 = $m_sci_Seq$();
        jsx$8.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(jsx$7, jsx$6, jsx$5, jsx$4.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$11.ReusableCBFInstance$2)])), entryNode)
      };
      const p$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
        return (function(r$5$2) {
          const r$5 = r$5$2;
          return r$5.$$und2__O().isEmpty__Z()
        })
      })(this));
      if (($f_sc_TraversableOnce__count__F1__I(types, p$2) === 0)) {
        const sb = new $c_scm_StringBuilder().init___();
        const jsx$11 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Unknown range for property ", ", no valid value for range ", ""]));
        const jsx$10 = (key.isEmpty__Z() ? "" : key.get__O());
        const this$13 = mapping.unionTypes$1.get__O();
        const f$2 = (function(this$8$1) {
          return (function(x$13$2) {
            const x$13 = x$13$2;
            return x$13.shortName__T()
          })
        })(this);
        const this$12 = $m_sci_List$();
        const bf$1 = this$12.ReusableCBFInstance$2;
        let jsx$9;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$13 === $m_sci_Nil$())) {
            jsx$9 = $m_sci_Nil$()
          } else {
            const arg1$4 = this$13.head__O();
            const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$4), $m_sci_Nil$());
            let t$1 = h$1;
            let rest$1 = this$13.tail__O();
            while ((rest$1 !== $m_sci_Nil$())) {
              const arg1$5 = rest$1.head__O();
              const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$5), $m_sci_Nil$());
              t$1.tl$5 = nx$1;
              t$1 = nx$1;
              rest$1 = rest$1.tail__O()
            };
            jsx$9 = h$1
          }
        } else {
          const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$13, bf$1);
          let these$1 = this$13;
          while ((!these$1.isEmpty__Z())) {
            const arg1$6 = these$1.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$2(arg1$6));
            these$1 = these$1.tail__O()
          };
          jsx$9 = b$1.result__O()
        };
        sb.append__T__scm_StringBuilder(jsx$11.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$10, jsx$9])));
        types.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1, key$2, sb$1) {
          return (function(x0$4$2) {
            const x0$4 = x0$4$2;
            if ((x0$4 !== null)) {
              const m = x0$4.$$und1__O();
              const issues$1 = x0$4.$$und2__O();
              sb$1.append__T__scm_StringBuilder(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\n   Error in range for property ", " and mapping ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(key$2.isEmpty__Z() ? "" : key$2.get__O()), this$9$1.shortName__p1__Lamf_core_metamodel_Type__T(m)])));
              issues$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2, sb$1$1) {
                return (function(issue$2) {
                  const issue = issue$2;
                  return sb$1$1.append__T__scm_StringBuilder(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\n    - ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([issue.message$1])))
                })
              })(this$9$1, sb$1)))
            } else {
              throw new $c_s_MatchError().init___O(x0$4)
            }
          })
        })(this, key, sb)));
        const jsx$15 = this.ctx$1;
        const jsx$14 = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectAmbiguousRangeSpecification$1.id__T();
        const jsx$13 = nodeId.elem$1.get__O();
        const jsx$12 = new $c_s_Some().init___O(mapping.fieldName__Lamf_core_vocabulary_ValueType().iri__T());
        const this$14 = sb.underlying$5;
        jsx$15.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(jsx$14, jsx$13, jsx$12, this$14.content$1, entryNode)
      };
      const x1$1 = types.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
        return (function(r$6$2) {
          const r$6 = r$6$2;
          return r$6.$$und2__O().isEmpty__Z()
        })
      })(this)));
      if ($is_s_Some(x1$1)) {
        const x2$2 = x1$1;
        const p3 = x2$2.value$2;
        if ((p3 !== null)) {
          const dialectNode = p3.$$und1__O();
          return new $c_s_Some().init___O(dialectNode)
        }
      };
      return $m_s_None$()
    } else {
      return new $c_s_Some().init___O(mapping.range$1)
    }
  };
  parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(node, domainEntity, topLevel) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      this.correctEntityNamespace__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__O(node, domainEntity);
      const mappings = domainEntity.definition$1.mappings__sci_List();
      const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const extended = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          return (v.key$1.tag__Lorg_yaml_model_YTag().text$2 === "!extend")
        })
      })(this)));
      if (extended.isDefined__Z()) {
        const x1$2 = extended.get__O().value$1.value__Lorg_yaml_model_YValue();
        if ($is_Lorg_yaml_model_YScalar(x1$2)) {
          const x2 = x1$2;
          const ref = x2.text$3;
          const extendedEntity = this.resolver$1.resolveToEntity__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(this.root$1, ref, domainEntity.definition$1);
          if (extendedEntity.isDefined__Z()) {
            domainEntity.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExtendsDialectNode().init___T(ref));
            extendedEntity.get__O().fields$1.into__Lamf_core_parser_Fields__V(domainEntity.fields$1)
          } else {
            const this$1 = this.ctx$1;
            const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectExtendIssue$1.id__T();
            const node$1 = domainEntity.id$1;
            const message = (("" + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Extending unknown node "])).s__sc_Seq__T($m_sci_Nil$())) + ref);
            this$1.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node$1, $m_s_None$(), message, node)
          }
        } else {
          const this$2 = this.ctx$1;
          const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectExtendIssue$1.id__T();
          const node$2 = domainEntity.id$1;
          const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expecting scalar in !extend"])).s__sc_Seq__T($m_sci_Nil$());
          this$2.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id$1, node$2, $m_s_None$(), message$1, node)
        }
      };
      this.validateClosedNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lorg_yaml_model_YMap__sci_List__Z__V(domainEntity, map, mappings, topLevel);
      let p_$_f$2;
      if (this.isDocument$1) {
        const f = (function(this$2$1) {
          return (function(x$4$2) {
            const x$4 = x$4$2;
            return x$4.isDocumentDeclaration$1
          })
        })(this);
        const jsx$1_$_f$2 = f;
        p_$_f$2 = jsx$1_$_f$2
      } else {
        const f$1 = (function(this$3) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            return x$5.isDeclaration$1
          })
        })(this);
        const jsx$2_$_f$2 = f$1;
        p_$_f$2 = jsx$2_$_f$2
      };
      $m_sci_List$();
      const b = new $c_scm_ListBuffer().init___();
      let these = mappings;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        if (((!(!p_$_f$2(arg1))) !== false)) {
          b.$$plus$eq__O__scm_ListBuffer(arg1)
        };
        these = these.tail__O()
      };
      const declarationMappings = b.toList__sci_List();
      let p$1_$_f$2;
      if (this.isDocument$1) {
        const f$2 = (function(this$4$1) {
          return (function(x$6$2) {
            const x$6 = x$6$2;
            return x$6.isDocumentDeclaration$1
          })
        })(this);
        const jsx$3_$_f$2 = f$2;
        p$1_$_f$2 = jsx$3_$_f$2
      } else {
        const f$3 = (function(this$5) {
          return (function(x$7$2) {
            const x$7 = x$7$2;
            return x$7.isDeclaration$1
          })
        })(this);
        const jsx$4_$_f$2 = f$3;
        p$1_$_f$2 = jsx$4_$_f$2
      };
      $m_sci_List$();
      const b$1 = new $c_scm_ListBuffer().init___();
      let these$1 = mappings;
      while ((!these$1.isEmpty__Z())) {
        const arg1$1 = these$1.head__O();
        if (((!(!p$1_$_f$2(arg1$1))) !== true)) {
          b$1.$$plus$eq__O__scm_ListBuffer(arg1$1)
        };
        these$1 = these$1.tail__O()
      };
      const encodingDeclarations = b$1.toList__sci_List();
      let these$2 = declarationMappings;
      while ((!these$2.isEmpty__Z())) {
        const arg1$2 = these$2.head__O();
        const mapping = arg1$2;
        this.parseNodeMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(mapping, map, domainEntity, true);
        these$2 = these$2.tail__O()
      };
      let these$3 = encodingDeclarations;
      while ((!these$3.isEmpty__Z())) {
        const arg1$3 = these$3.head__O();
        const mapping$3 = arg1$3;
        this.parseNodeMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(mapping$3, map, domainEntity, false);
        these$3 = these$3.tail__O()
      }
    } else {
      const this$8 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
      let jsx$5;
      if (this$8.isEmpty__Z()) {
        jsx$5 = $m_s_None$()
      } else {
        const arg1$4 = this$8.get__O();
        const x$8 = arg1$4;
        jsx$5 = new $c_s_Some().init___O(x$8.text$3)
      };
      if (jsx$5.isDefined__Z()) {
        const scalar = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1);
        const this$9 = domainEntity.definition$1.mappings__sci_List();
        let x1$3;
        inlinereturn$57: {
          let these$4 = this$9;
          while ((!these$4.isEmpty__Z())) {
            const arg1$5 = these$4.head__O();
            const x$9 = arg1$5;
            if (x$9.fromVal$1) {
              x1$3 = new $c_s_Some().init___O(these$4.head__O());
              break inlinereturn$57
            };
            these$4 = these$4.tail__O()
          };
          x1$3 = $m_s_None$()
        };
        if ($is_s_Some(x1$3)) {
          const x2$2 = x1$3;
          const f$4 = x2$2.value$2;
          this.setScalar__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(domainEntity, f$4, scalar)
        } else {
          const x$3 = $m_s_None$();
          if ((!(x$3 === x1$3))) {
            throw new $c_s_MatchError().init___O(x1$3)
          };
          const name = scalar.toString__T();
          const x1$4 = this.internalRefs$1.get__O__s_Option(name);
          matchEnd4$3: {
            if ($is_s_Some(x1$4)) {
              const x2$3 = x1$4;
              const internalRef = x2$3.value$2;
              const x$11 = internalRef.definition$1.id$1;
              const x$12 = domainEntity.definition$1.id$1;
              if (((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))) {
                internalRef.fields$1.into__Lamf_core_parser_Fields__V(domainEntity.fields$1);
                domainEntity.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
                $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(domainEntity, internalRef);
                const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(domainEntity, field, name);
                break matchEnd4$3
              }
            };
            const x1$5 = this.resolver$1.resolveToEntity__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(this.root$1, name, domainEntity.definition$1);
            if ($is_s_Some(x1$5)) {
              const x2$4 = x1$5;
              const entity = x2$4.value$2;
              entity.fields$1.into__Lamf_core_parser_Fields__V(domainEntity.fields$1);
              domainEntity.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
              if (entity.linkTarget$1.isDefined__Z()) {
                const target = entity.linkTarget$1.get__O();
                $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(domainEntity, target)
              }
            } else {
              const x$13 = $m_s_None$();
              if ((!(x$13 === x1$5))) {
                throw new $c_s_MatchError().init___O(x1$5)
              };
              this.possibleRefs$1.put__O__O__s_Option(domainEntity, name)
            }
          }
        }
      } else {
        const this$10 = this.ctx$1;
        const id$2 = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectExpectingMap$1.id__T();
        const node$3 = domainEntity.id$1;
        const message$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expecting map node or scalar"])).s__sc_Seq__T($m_sci_Nil$());
        this$10.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id$2, node$3, $m_s_None$(), message$2, node)
      }
    }
  };
  init___Lamf_plugins_document_vocabularies_spec_Dialect__Lamf_core_Root__Lamf_plugins_document_vocabularies_spec_DialectContext(dialect, root, ctx) {
    this.dialect$1 = dialect;
    this.root$1 = root;
    this.ctx$1 = ctx;
    this.resolver$1 = $m_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$();
    this.internalRefs$1 = new $c_scm_HashMap().init___();
    this.possibleRefs$1 = new $c_scm_HashMap().init___();
    const x = dialect.kind$1;
    const x$2 = $m_Lamf_plugins_document_vocabularies_spec_DocumentKind$();
    this.isDocument$1 = ((x !== null) && (x === x$2));
    return this
  };
  parseFragment__p1__Lamf_plugins_document_vocabularies_model_document_DialectFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.root$1.location$1;
    const fragment = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const location = this.root$1.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(fragment, field, location);
    const encoded = this.parseEntity__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(fragment);
    const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(fragment, field$1, encoded);
    return fragment
  };
  parseDocument__p1__Lamf_core_model_document_Document() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.root$1.location$1;
    const document = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const location = this.root$1.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(document, field, location);
    const encoded = this.parseEntity__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(document);
    const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(document, field$1, encoded);
    const this$5 = this.internalRefs$1;
    const this$6 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$5);
    const this$7 = $m_sci_List$();
    const cbf = this$7.ReusableCBFInstance$2;
    const v = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$6, cbf);
    if ((!v.isEmpty__Z())) {
      const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$2, v)
    };
    return document
  };
  parseInlineNode__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(mapping, entryNode, parentDomaineEntity) {
    const this$1 = mapping.referenceTarget$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const trg = arg1;
      const x1 = entryNode.key$1.value__Lorg_yaml_model_YValue();
      let linkValue;
      if ($is_Lorg_yaml_model_YScalar(x1)) {
        const x2 = x1;
        linkValue = new $c_s_Some().init___O(x2.text$3)
      } else {
        linkValue = $m_s_None$()
      };
      const child = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(linkValue, trg, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entryNode));
      child.adopted__T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(parentDomaineEntity.id$1);
      const field = mapping.field__Lamf_core_metamodel_Field();
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parentDomaineEntity, field, child);
      this.parseNode__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(entryNode.value$1, child, false)
    }
  };
  parseModule__p1__Lamf_core_model_document_Module() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.root$1.location$1;
    const module = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const location = this.root$1.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(module, field, location);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parseEntity__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(module)]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    let v = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$7 = this.internalRefs$1;
    const this$8 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$7);
    const this$9 = $m_sci_List$();
    const cbf$1 = this$9.ReusableCBFInstance$2;
    v = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$8, cbf$1);
    const declarations = v;
    const field$1 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
    $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$1, declarations);
    return module
  };
  parseNodeMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(mapping, entries, domainEntity, declaration) {
    const entryValue = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(entries).key__T__s_Option(mapping.name$1);
    if ((!entryValue.isEmpty__Z())) {
      const arg1 = entryValue.get__O();
      const entryNode = arg1;
      if (mapping.hash$1.isDefined__Z()) {
        this.parseMap__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Z__V(mapping, entryNode, domainEntity, declaration)
      } else if (mapping.collection$1) {
        this.parseCollection__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(mapping, entryNode, domainEntity)
      } else if ((!mapping.isScalar__Z())) {
        this.parseSingleObject__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(mapping, entryNode, domainEntity)
      } else {
        const this$2 = entryNode.value$1;
        const x = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
        if ((x === x$2)) {
          const this$3 = this.resolver$1.resolveToEntity__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(this.root$1, entryNode.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3, mapping.referenceTarget$1.get__O());
          if ((!this$3.isEmpty__Z())) {
            const arg1$1 = this$3.get__O();
            const child = arg1$1;
            if (mapping.referenceTarget$1.isDefined__Z()) {
              if (child.linkTarget$1.isDefined__Z()) {
                const field = mapping.field__Lamf_core_metamodel_Field();
                const value = child.linkTarget$1.get__O().id__T();
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(domainEntity, field, value)
              } else {
                const field$1 = mapping.field__Lamf_core_metamodel_Field();
                const value$1 = child.id$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(domainEntity, field$1, value$1)
              }
            } else {
              const label = entryNode.value$1.value__Lorg_yaml_model_YValue().text$3;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const lnk = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(child, label, annotations);
              const field$2 = mapping.field__Lamf_core_metamodel_Field();
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(domainEntity, field$2, lnk)
            }
          }
        } else {
          const this$5 = entryNode.value$1;
          const x1 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
          const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
          if ((x$3 === x1)) {
            this.parseInlineNode__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(mapping, entryNode, domainEntity)
          } else {
            const node = entryNode.value$1;
            if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
              this.setScalar__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lorg_yaml_model_YScalar__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(domainEntity, mapping, entryNode.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1))
            } else {
              throw new $c_s_MatchError().init___O(x1)
            }
          }
        }
      }
    };
    if (entryValue.isEmpty__Z()) {
      const this$7 = mapping.defaultValue$1;
      if ((!this$7.isEmpty__Z())) {
        const arg1$2 = this$7.get__O();
        const v = arg1$2;
        const field$3 = mapping.field__Lamf_core_metamodel_Field();
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(domainEntity, field$3, v, annotations$1)
      }
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_DialectParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectParser: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectParser", {
  Lamf_plugins_document_vocabularies_spec_DialectParser: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectParser;
class $c_Lamf_plugins_document_vocabularies_spec_DialectParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_Root__T__Lamf_plugins_document_vocabularies_registries_DialectRegistry__Lamf_plugins_document_vocabularies_spec_DialectContext__Lamf_plugins_document_vocabularies_spec_DialectParser(root, header, dialects, ctx) {
    const x1 = dialects.get__T__s_Option(header);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const dialect = x2.value$2;
      return new $c_Lamf_plugins_document_vocabularies_spec_DialectParser().init___Lamf_plugins_document_vocabularies_spec_Dialect__Lamf_core_Root__Lamf_plugins_document_vocabularies_spec_DialectContext(dialect, root, ctx)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown dialect ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([header]))))
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_DialectParser$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectParser$: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectParser$", {
  Lamf_plugins_document_vocabularies_spec_DialectParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectParser$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectParser$;
let $n_Lamf_plugins_document_vocabularies_spec_DialectParser$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_DialectParser$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_DialectParser$)) {
    $n_Lamf_plugins_document_vocabularies_spec_DialectParser$ = new $c_Lamf_plugins_document_vocabularies_spec_DialectParser$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_DialectParser$
});
class $c_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator(dialectPropertyMapping) {
    const valueMap = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return new $c_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator().init___Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__scm_Map(dialectPropertyMapping, valueMap)
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$: 0
}, false, "amf.plugins.document.vocabularies.spec.FieldValueDiscriminator$", {
  Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$;
let $n_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$)) {
    $n_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$ = new $c_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$
});
class $c_Lamf_plugins_document_vocabularies_spec_ParsedPath extends $c_O {
  constructor() {
    super();
    this.components$1 = null
  };
  toString__T() {
    const xs = this.components$1;
    const b = new $c_scm_StringBuilder().init___();
    let elem$1 = false;
    elem$1 = true;
    b.append__T__scm_StringBuilder("");
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      if (elem$1) {
        b.append__O__scm_StringBuilder(arg1);
        elem$1 = false
      } else {
        b.append__T__scm_StringBuilder("/");
        b.append__O__scm_StringBuilder(arg1)
      };
      i = ((1 + i) | 0)
    };
    b.append__T__scm_StringBuilder("");
    const this$5 = b.underlying$5;
    return this$5.content$1
  };
  dir__Lamf_plugins_document_vocabularies_spec_ParsedPath() {
    const xs = this.components$1;
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const b = cbf.apply__scm_Builder();
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
      default: {
        b.sizeHint__I__V(x1)
      }
    };
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs));
    const this$5 = b.result__O();
    const this$7 = $f_sc_LinearSeqOptimized__dropRight__I__sc_LinearSeqOptimized(this$5, 1);
    const len = this$7.length__I();
    const result = $newArrayObject($d_T.getArrayOf(), [len]);
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$7, result, 0);
    return new $c_Lamf_plugins_document_vocabularies_spec_ParsedPath().init___AT(result)
  };
  init___AT(components) {
    this.components$1 = components;
    return this
  };
  resolve__Lamf_plugins_document_vocabularies_spec_ParsedPath__Lamf_plugins_document_vocabularies_spec_ParsedPath(s) {
    let i = 0;
    const a = s.components$1.u.length;
    const b = this.components$1.u.length;
    const min = ((a < b) ? a : b);
    while (((i < min) && (s.components$1.u[i] === this.components$1.u[i]))) {
      i = ((1 + i) | 0)
    };
    const xs = s.components$1;
    const n = ((s.components$1.u.length - i) | 0);
    const from = ((xs.u.length - ((n > 0) ? n : 0)) | 0);
    const until = xs.u.length;
    const lo = ((from > 0) ? from : 0);
    const x = ((until > 0) ? until : 0);
    const y = xs.u.length;
    const hi = ((x < y) ? x : y);
    const x$1 = ((hi - lo) | 0);
    const size = ((x$1 > 0) ? x$1 : 0);
    const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs).getComponentType__jl_Class(), size);
    if ((size > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(xs, lo, result, 0, size)
    };
    const xs$1 = result;
    const this$16 = $m_sci_List$();
    const cbf = this$16.ReusableCBFInstance$2;
    const b$1 = cbf.apply__scm_Builder();
    const x1 = xs$1.u.length;
    switch (x1) {
      case (-1): {
        break
      }
      default: {
        b$1.sizeHint__I__V(x1)
      }
    };
    b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs$1));
    let tail = b$1.result__O();
    while ((i < this.components$1.u.length)) {
      $m_sci_List$();
      const xs$2 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([".."]);
      const this$20 = $m_sci_List$();
      const cbf$1 = this$20.ReusableCBFInstance$2;
      tail = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$2, cbf$1).$$colon$colon$colon__sci_List__sci_List(tail);
      i = ((1 + i) | 0)
    };
    const this$22 = tail;
    const len = $f_sc_LinearSeqOptimized__length__I(this$22);
    const result$1 = $newArrayObject($d_T.getArrayOf(), [len]);
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$22, result$1, 0);
    return new $c_Lamf_plugins_document_vocabularies_spec_ParsedPath().init___AT(result$1)
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_ParsedPath = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_ParsedPath: 0
}, false, "amf.plugins.document.vocabularies.spec.ParsedPath", {
  Lamf_plugins_document_vocabularies_spec_ParsedPath: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_spec_ParsedPath.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_ParsedPath;
class $c_Lamf_plugins_document_vocabularies_spec_ParsedPath$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_plugins_document_vocabularies_spec_ParsedPath(p) {
    const this$2 = new $c_sci_StringOps().init___T(p);
    return new $c_Lamf_plugins_document_vocabularies_spec_ParsedPath().init___AT($f_sci_StringLike__split__C__AT(this$2, 47))
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_ParsedPath$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_ParsedPath$: 0
}, false, "amf.plugins.document.vocabularies.spec.ParsedPath$", {
  Lamf_plugins_document_vocabularies_spec_ParsedPath$: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_spec_ParsedPath$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_ParsedPath$;
let $n_Lamf_plugins_document_vocabularies_spec_ParsedPath$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_ParsedPath$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_ParsedPath$)) {
    $n_Lamf_plugins_document_vocabularies_spec_ParsedPath$ = new $c_Lamf_plugins_document_vocabularies_spec_ParsedPath$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_ParsedPath$
});
class $c_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$ extends $c_O {
  constructor() {
    super();
    this.STRING$1 = null;
    this.INTEGER$1 = null;
    this.FLOAT$1 = null;
    this.NUMBER$1 = null;
    this.BOOLEAN$1 = null;
    this.DATE$1 = null;
    this.DATE$undTIME$1 = null;
    this.TIME$1 = null;
    this.URI$1 = null;
    this.ANY$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.STRING$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.INTEGER$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.FLOAT$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "float").iri__T();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.NUMBER$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "float").iri__T();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.BOOLEAN$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "boolean").iri__T();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.DATE$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "date").iri__T();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.DATE$undTIME$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "dateTime").iri__T();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.TIME$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "time").iri__T();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.URI$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "anyURI").iri__T();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.ANY$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "anyType").iri__T();
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_TypeBuiltins$: 0
}, false, "amf.plugins.document.vocabularies.spec.TypeBuiltins$", {
  Lamf_plugins_document_vocabularies_spec_TypeBuiltins$: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$;
let $n_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$)) {
    $n_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$ = new $c_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$
});
class $c_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null
  };
  profile__Lamf_core_validation_core_ValidationProfile() {
    const parsedValidations = this.validations__sci_List();
    const x$22 = this.dialect$1.name$1;
    const x$23 = $m_s_None$();
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.name$1
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let x$24;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((parsedValidations === $m_sci_Nil$())) {
        x$24 = $m_sci_Nil$()
      } else {
        const arg1 = parsedValidations.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = parsedValidations.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        x$24 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(parsedValidations, bf);
      let these = parsedValidations;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      x$24 = b.result__O()
    };
    const jsx$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    const this$2 = $m_sci_List$();
    const x$25 = parsedValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$6 = new $c_scm_ListBuffer().init___();
    const x$26 = this$6.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$10 = new $c_scm_ListBuffer().init___();
    const x$27 = this$10.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$14 = new $c_scm_ListBuffer().init___();
    const x$28 = this$14.toList__sci_List();
    const x$29 = new $c_scm_HashMap().init___();
    return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(x$22, x$23, x$24, x$26, x$27, x$28, x$25, x$29)
  };
  validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(dialectNode, propName, constraint) {
    const x1 = dialectNode.id$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const id = x2.value$2;
      return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "_", "_", "_validation"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id, propName, constraint]))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot generate validation for dialect node without ID"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  validations__sci_List() {
    return this.emitEntityValidations__Lamf_plugins_document_vocabularies_spec_DialectNode__sci_List(this.dialect$1.root$1)
  };
  init___Lamf_plugins_document_vocabularies_spec_Dialect(dialect) {
    this.dialect$1 = dialect;
    return this
  };
  emitEntityValidations__Lamf_plugins_document_vocabularies_spec_DialectNode__sci_List(node) {
    const this$2 = node.props$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, node$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const propName = x0$1.$$und1__O();
          const prop = x0$1.$$und2__O();
          return $this.emitPropertyValidations__Lamf_plugins_document_vocabularies_spec_DialectNode__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sci_List(node$1, propName, prop)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, node));
    const this$1 = $m_scm_Iterable$();
    const bf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this$2, f, bf).toList__sci_List()
  };
  emitPropertyValidations__Lamf_plugins_document_vocabularies_spec_DialectNode__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sci_List(node, propName, prop) {
    $m_scm_ListBuffer$();
    const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const validations = this$2.elems$1;
    if (prop.required$1) {
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " is mandatory"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1]));
      const x$47 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "required");
      const x$49 = new $c_s_Some().init___O(message);
      const x$50 = new $c_s_Some().init___O(message);
      const x$51 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
      const jsx$1 = $m_sc_Seq$();
      const x$30 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
      const x$31 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "required") + "/prop");
      const x$32 = new $c_s_Some().init___O(message);
      const x$33 = new $c_s_Some().init___O("1");
      const x$34 = $m_s_None$();
      const x$35 = $m_s_None$();
      const x$36 = $m_s_None$();
      const x$37 = $m_s_None$();
      const x$38 = $m_s_None$();
      const x$39 = $m_s_None$();
      const x$40 = $m_s_None$();
      const x$41 = $m_s_None$();
      const x$42 = $m_s_None$();
      const x$43 = $m_s_None$();
      const x$44 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$17 = new $c_scm_ListBuffer().init___();
      const x$45 = this$17.toList__sci_List();
      const x$46 = $m_s_None$();
      const x$52 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$30, x$31, x$32, x$34, x$35, x$33, x$36, x$37, x$38, x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$22 = new $c_scm_ListBuffer().init___();
      const x$53 = this$22.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$26 = new $c_scm_ListBuffer().init___();
      const x$54 = this$26.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$30 = new $c_scm_ListBuffer().init___();
      const x$55 = this$30.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$34 = new $c_scm_ListBuffer().init___();
      const x$56 = this$34.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$57 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$58 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$59 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$47, message, x$49, x$50, x$53, x$51, x$54, x$55, x$52, x$56, x$57, x$58, x$59))
    };
    if (((!prop.collection$1) && prop.hash$1.isEmpty__Z())) {
      const message$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " cannot have more than 1 value"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1]));
      const x$77 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "notCollection");
      const x$79 = new $c_s_Some().init___O(message$2);
      const x$80 = new $c_s_Some().init___O(message$2);
      const x$81 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
      const jsx$2 = $m_sc_Seq$();
      const x$60 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
      const x$61 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "notCollection") + "/prop");
      const x$62 = new $c_s_Some().init___O(message$2);
      const x$63 = new $c_s_Some().init___O("1");
      const x$64 = $m_s_None$();
      const x$65 = $m_s_None$();
      const x$66 = $m_s_None$();
      const x$67 = $m_s_None$();
      const x$68 = $m_s_None$();
      const x$69 = $m_s_None$();
      const x$70 = $m_s_None$();
      const x$71 = $m_s_None$();
      const x$72 = $m_s_None$();
      const x$73 = $m_s_None$();
      const x$74 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$52 = new $c_scm_ListBuffer().init___();
      const x$75 = this$52.toList__sci_List();
      const x$76 = $m_s_None$();
      const x$82 = jsx$2.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$60, x$61, x$62, x$64, x$63, x$65, x$66, x$67, x$68, x$69, x$70, x$71, x$72, x$73, x$74, x$75, x$76)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$57 = new $c_scm_ListBuffer().init___();
      const x$83 = this$57.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$61 = new $c_scm_ListBuffer().init___();
      const x$84 = this$61.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$65 = new $c_scm_ListBuffer().init___();
      const x$85 = this$65.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$69 = new $c_scm_ListBuffer().init___();
      const x$86 = this$69.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$87 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$88 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$89 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$77, message$2, x$79, x$80, x$83, x$81, x$84, x$85, x$82, x$86, x$87, x$88, x$89))
    };
    const x1 = prop.pattern$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pattern = x2.value$2;
      const message$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " must match pattern ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, pattern]));
      const x$90 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "pattern");
      const x$92 = new $c_s_Some().init___O(message$3);
      const x$93 = new $c_s_Some().init___O(message$3);
      const x$94 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
      const jsx$18 = $m_sc_Seq$();
      const jsx$17 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
      const jsx$16 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "pattern");
      const jsx$15 = new $c_s_Some().init___O(message$3);
      const jsx$14 = new $c_s_Some().init___O(pattern);
      const jsx$13 = $m_s_None$();
      const jsx$12 = $m_s_None$();
      const jsx$11 = $m_s_None$();
      const jsx$10 = $m_s_None$();
      const jsx$9 = $m_s_None$();
      const jsx$8 = $m_s_None$();
      const jsx$7 = $m_s_None$();
      const jsx$6 = $m_s_None$();
      const jsx$5 = $m_s_None$();
      const jsx$4 = $m_s_None$();
      const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$87 = new $c_scm_ListBuffer().init___();
      const x$95 = jsx$18.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(jsx$17, (jsx$16 + "/prop"), jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, this$87.toList__sci_List(), $m_s_None$())]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$92 = new $c_scm_ListBuffer().init___();
      const x$96 = this$92.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$96 = new $c_scm_ListBuffer().init___();
      const x$97 = this$96.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$100 = new $c_scm_ListBuffer().init___();
      const x$98 = this$100.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$104 = new $c_scm_ListBuffer().init___();
      const x$99 = this$104.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$100 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$101 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$102 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$90, message$3, x$92, x$93, x$96, x$94, x$97, x$98, x$95, x$99, x$100, x$101, x$102))
    };
    const x1$2 = prop.enum$1;
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const values = x2$2.value$2;
      const message$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " must match some value in ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, values.mkString__T__T(",")]));
      const x$120 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "enum");
      const x$122 = new $c_s_Some().init___O(message$4);
      const x$123 = new $c_s_Some().init___O(message$4);
      const x$124 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
      const jsx$19 = $m_sc_Seq$();
      const x$103 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
      const x$104 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "enum") + "/prop");
      const x$105 = new $c_s_Some().init___O(message$4);
      const x$107 = $m_s_None$();
      const x$108 = $m_s_None$();
      const x$109 = $m_s_None$();
      const x$110 = $m_s_None$();
      const x$111 = $m_s_None$();
      const x$112 = $m_s_None$();
      const x$113 = $m_s_None$();
      const x$114 = $m_s_None$();
      const x$115 = $m_s_None$();
      const x$116 = $m_s_None$();
      const x$117 = $m_s_None$();
      const x$118 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const x$119 = $m_s_None$();
      const x$125 = jsx$19.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$103, x$104, x$105, x$107, x$108, x$109, x$110, x$111, x$112, x$113, x$114, x$115, x$116, x$117, x$118, values, x$119)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$124 = new $c_scm_ListBuffer().init___();
      const x$126 = this$124.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$128 = new $c_scm_ListBuffer().init___();
      const x$127 = this$128.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$132 = new $c_scm_ListBuffer().init___();
      const x$128 = this$132.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$136 = new $c_scm_ListBuffer().init___();
      const x$129 = this$136.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$130 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$131 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$132 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$120, message$4, x$122, x$123, x$126, x$124, x$127, x$128, x$125, x$129, x$130, x$131, x$132))
    };
    const jsx$20 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
    const this$140 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    if ((jsx$20 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$140, "range").iri__T())) {
      const message$5 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " range  value must be of type node mapping, a reference or a literal type"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propName]));
      const x$150 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "dialectRange");
      const x$152 = new $c_s_Some().init___O(message$5);
      const x$153 = new $c_s_Some().init___O(message$5);
      const x$154 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
      const jsx$41 = $m_sc_Seq$();
      const x$133 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
      const x$134 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "dialectRange") + "/prop");
      const x$135 = new $c_s_Some().init___O(message$5);
      const x$136 = new $c_s_Some().init___O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
        return (function(b$2, parentId$2) {
          const b = b$2;
          $m_Lorg_yaml_model_YNode$();
          const this$142 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$142, "or").iri__T();
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$39 = v.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$37 = v$1.builder$1;
          const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$23 = b$3.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$149 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$149, "class").iri__T();
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$21 = v$2.builder$1;
          const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
          $m_Lorg_yaml_model_YNode$();
          const this$154 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
          const thiz = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$154, "NodeDefinition").iri__T();
          const str$2 = thiz.trim();
          const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
          b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$3, value);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$5.builder$1;
          const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          jsx$21.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
          const this$162 = v$2.builder$1;
          const array = [key$2];
          if ((this$162.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$162.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$162, newSize);
          const len$1 = this$162.size0$6;
          const src = this$162.array$6;
          const dest = this$162.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$162.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x = (array.length | 0);
          const x$1 = ((x < len$2) ? x : len$2);
          const that = xs.u.length;
          const end = ((x$1 < that) ? x$1 : that);
          while ((i < end)) {
            const jsx$22 = j;
            const index = i;
            xs.u[jsx$22] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$162.size0$6 = newSize;
          b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$1 = b$4.builder$1;
          const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$23.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1));
          const jsx$26 = b$3.builder$1;
          const b$6 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$178 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$178, "class").iri__T();
          const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
          const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$24 = v$3.builder$1;
          const b$7 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
          $m_Lorg_yaml_model_YNode$();
          const this$183 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
          const thiz$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$183, "ExternalEntity").iri__T();
          const str$4 = thiz$1.trim();
          const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
          b$7.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$3);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$2 = b$7.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
          const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$2 = null;
          jsx$24.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$2, a$2, cs$2));
          const this$191 = v$3.builder$1;
          const array$1 = [key$4];
          if ((this$191.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$191.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$191, newSize$1);
          const len$4 = this$191.size0$6;
          const src$1 = this$191.array$6;
          const dest$1 = this$191.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$191.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$25 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$25] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$191.size0$6 = newSize$1;
          b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$3 = b$6.builder$1;
          const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
          const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$3 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$3 = null;
          jsx$26.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$3, a$3, cs$3));
          const jsx$36 = b$3.builder$1;
          const b$8 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$207 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$207, "in").iri__T();
          const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
          const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$34 = v$4.builder$1;
          const b$9 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
          const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$32 = v$5.builder$1;
          const b$10 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$27 = b$10.builder$1;
          const b$11 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
          $m_Lorg_yaml_model_YNode$();
          const this$215 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const thiz$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$215, "string").iri__T();
          const str$6 = thiz$2.trim();
          const value$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
          b$11.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$8, value$6);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$4 = b$11.builder$1;
          const value$7 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
          const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$4 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$4 = null;
          jsx$27.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$4, a$4, cs$4));
          const jsx$28 = b$10.builder$1;
          const b$12 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
          $m_Lorg_yaml_model_YNode$();
          const this$225 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const thiz$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$225, "integer").iri__T();
          const str$7 = thiz$3.trim();
          const value$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
          b$12.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$9, value$8);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$5 = b$12.builder$1;
          const value$9 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
          const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$5 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$5 = null;
          jsx$28.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$9, t$5, a$5, cs$5));
          const jsx$29 = b$10.builder$1;
          const b$13 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
          $m_Lorg_yaml_model_YNode$();
          const this$235 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const thiz$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$235, "float").iri__T();
          const str$8 = thiz$4.trim();
          const value$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
          b$13.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$10, value$10);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$6 = b$13.builder$1;
          const value$11 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$6);
          const tt$6 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$6 = tt$6.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$6 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$6 = null;
          jsx$29.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$11, t$6, a$6, cs$6));
          const jsx$30 = b$10.builder$1;
          const b$14 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$11 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
          $m_Lorg_yaml_model_YNode$();
          const this$245 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const thiz$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$245, "boolean").iri__T();
          const str$9 = thiz$5.trim();
          const value$12 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$9);
          b$14.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$11, value$12);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$7 = b$14.builder$1;
          const value$13 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$7);
          const tt$7 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$7 = tt$7.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$7 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$7 = null;
          jsx$30.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$13, t$7, a$7, cs$7));
          const jsx$31 = b$10.builder$1;
          const b$15 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$12 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
          $m_Lorg_yaml_model_YNode$();
          const this$255 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const thiz$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$255, "anyUri").iri__T();
          const str$10 = thiz$6.trim();
          const value$14 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$10);
          b$15.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$12, value$14);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$8 = b$15.builder$1;
          const value$15 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$8);
          const tt$8 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$8 = tt$8.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$8 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$8 = null;
          jsx$31.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$15, t$8, a$8, cs$8));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$9 = b$10.builder$1;
          const value$16 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$9);
          const tt$9 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$9 = tt$9.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$9 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$9 = null;
          const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$16, t$9, a$9, cs$9);
          jsx$32.$$plus$eq__O__scm_ArrayBuffer(node$1);
          const this$267 = v$5.builder$1;
          const array$2 = [key$7];
          if ((this$267.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$6 = (array$2.length | 0);
          const newSize$2 = ((this$267.size0$6 + len$6) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$267, newSize$2);
          const len$7 = this$267.size0$6;
          const src$2 = this$267.array$6;
          const dest$2 = this$267.array$6;
          $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
          const xs$2 = this$267.array$6;
          const len$8 = xs$2.u.length;
          let i$2 = 0;
          let j$2 = 0;
          const x$4 = (array$2.length | 0);
          const x$5 = ((x$4 < len$8) ? x$4 : len$8);
          const that$2 = xs$2.u.length;
          const end$2 = ((x$5 < that$2) ? x$5 : that$2);
          while ((i$2 < end$2)) {
            const jsx$33 = j$2;
            const index$2 = i$2;
            xs$2.u[jsx$33] = array$2[index$2];
            i$2 = ((1 + i$2) | 0);
            j$2 = ((1 + j$2) | 0)
          };
          this$267.size0$6 = newSize$2;
          b$9.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$10 = b$9.builder$1;
          const value$17 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$10);
          const tt$10 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$10 = tt$10.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$10 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$10 = null;
          jsx$34.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$17, t$10, a$10, cs$10));
          const this$282 = v$4.builder$1;
          const array$3 = [key$6];
          if ((this$282.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$9 = (array$3.length | 0);
          const newSize$3 = ((this$282.size0$6 + len$9) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$282, newSize$3);
          const len$10 = this$282.size0$6;
          const src$3 = this$282.array$6;
          const dest$3 = this$282.array$6;
          $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
          const xs$3 = this$282.array$6;
          const len$11 = xs$3.u.length;
          let i$3 = 0;
          let j$3 = 0;
          const x$6 = (array$3.length | 0);
          const x$7 = ((x$6 < len$11) ? x$6 : len$11);
          const that$3 = xs$3.u.length;
          const end$3 = ((x$7 < that$3) ? x$7 : that$3);
          while ((i$3 < end$3)) {
            const jsx$35 = j$3;
            const index$3 = i$3;
            xs$3.u[jsx$35] = array$3[index$3];
            i$3 = ((1 + i$3) | 0);
            j$3 = ((1 + j$3) | 0)
          };
          this$282.size0$6 = newSize$3;
          b$8.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$11 = b$8.builder$1;
          const value$18 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$11);
          const tt$11 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$11 = tt$11.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$11 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$11 = null;
          jsx$36.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$18, t$11, a$11, cs$11));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$12 = b$3.builder$1;
          const value$19 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$12);
          const tt$12 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$12 = tt$12.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$12 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$12 = null;
          const node$2 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$19, t$12, a$12, cs$12);
          jsx$37.$$plus$eq__O__scm_ArrayBuffer(node$2);
          const this$301 = v$1.builder$1;
          const array$4 = [key$1];
          if ((this$301.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$12 = (array$4.length | 0);
          const newSize$4 = ((this$301.size0$6 + len$12) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$301, newSize$4);
          const len$13 = this$301.size0$6;
          const src$4 = this$301.array$6;
          const dest$4 = this$301.array$6;
          $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
          const xs$4 = this$301.array$6;
          const len$14 = xs$4.u.length;
          let i$4 = 0;
          let j$4 = 0;
          const x$8 = (array$4.length | 0);
          const x$9 = ((x$8 < len$14) ? x$8 : len$14);
          const that$4 = xs$4.u.length;
          const end$4 = ((x$9 < that$4) ? x$9 : that$4);
          while ((i$4 < end$4)) {
            const jsx$38 = j$4;
            const index$4 = i$4;
            xs$4.u[jsx$38] = array$4[index$4];
            i$4 = ((1 + i$4) | 0);
            j$4 = ((1 + j$4) | 0)
          };
          this$301.size0$6 = newSize$4;
          b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$13 = b$1.builder$1;
          const value$20 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$13);
          const tt$13 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$13 = tt$13.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$13 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$13 = null;
          jsx$39.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$20, t$13, a$13, cs$13));
          const this$316 = v.builder$1;
          const array$5 = [key];
          if ((this$316.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$15 = (array$5.length | 0);
          const newSize$5 = ((this$316.size0$6 + len$15) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$316, newSize$5);
          const len$16 = this$316.size0$6;
          const src$5 = this$316.array$6;
          const dest$5 = this$316.array$6;
          $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
          const xs$5 = this$316.array$6;
          const len$17 = xs$5.u.length;
          let i$5 = 0;
          let j$5 = 0;
          const x$10 = (array$5.length | 0);
          const x$11 = ((x$10 < len$17) ? x$10 : len$17);
          const that$5 = xs$5.u.length;
          const end$5 = ((x$11 < that$5) ? x$11 : that$5);
          while ((i$5 < end$5)) {
            const jsx$40 = j$5;
            const index$5 = i$5;
            xs$5.u[jsx$40] = array$5[index$5];
            i$5 = ((1 + i$5) | 0);
            j$5 = ((1 + j$5) | 0)
          };
          this$316.size0$6 = newSize$5;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
        })
      })(this)));
      const x$137 = $m_s_None$();
      const x$138 = $m_s_None$();
      const x$139 = $m_s_None$();
      const x$140 = $m_s_None$();
      const x$141 = $m_s_None$();
      const x$142 = $m_s_None$();
      const x$143 = $m_s_None$();
      const x$144 = $m_s_None$();
      const x$145 = $m_s_None$();
      const x$146 = $m_s_None$();
      const x$147 = $m_s_None$();
      const x$148 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$342 = new $c_scm_ListBuffer().init___();
      const x$149 = this$342.toList__sci_List();
      const x$155 = jsx$41.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$133, x$134, x$135, x$137, x$138, x$139, x$140, x$141, x$142, x$143, x$144, x$145, x$146, x$147, x$148, x$149, x$136)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$346 = new $c_scm_ListBuffer().init___();
      const x$156 = this$346.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$350 = new $c_scm_ListBuffer().init___();
      const x$157 = this$350.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$354 = new $c_scm_ListBuffer().init___();
      const x$158 = this$354.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$358 = new $c_scm_ListBuffer().init___();
      const x$159 = this$358.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$160 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$161 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$162 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$150, message$5, x$152, x$153, x$156, x$154, x$157, x$158, x$155, x$159, x$160, x$161, x$162))
    } else {
      const jsx$42 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
      const this$362 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
      if ((jsx$42 !== new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$362, "range").iri__T())) {
        const x1$3 = prop.unionTypes$1;
        if ($is_s_Some(x1$3)) {
          const x2$3 = x1$3;
          const types = x2$3.value$2;
          const jsx$45 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", "  value must be of type ", ""]));
          const jsx$44 = prop.name$1;
          const f = (function(this$2$1) {
            return (function(x$20$2) {
              const x$20 = x$20$2;
              return x$20.type__sci_List().head__O().name$1
            })
          })(this);
          const this$364 = $m_sci_List$();
          const bf = this$364.ReusableCBFInstance$2;
          let jsx$43;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((types === $m_sci_Nil$())) {
              jsx$43 = $m_sci_Nil$()
            } else {
              const arg1 = types.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
              let t$14 = h;
              let rest = types.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$1 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
                t$14.tl$5 = nx;
                t$14 = nx;
                rest = rest.tail__O()
              };
              jsx$43 = h
            }
          } else {
            const b$16 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(types, bf);
            let these = types;
            while ((!these.isEmpty__Z())) {
              const arg1$2 = these.head__O();
              b$16.$$plus$eq__O__scm_Builder(f(arg1$2));
              these = these.tail__O()
            };
            jsx$43 = b$16.result__O()
          };
          const message$6 = jsx$45.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$44, jsx$43]));
          const x$180 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "objectRange");
          const x$182 = new $c_s_Some().init___O(message$6);
          const x$183 = new $c_s_Some().init___O(message$6);
          const x$184 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
          const jsx$49 = $m_sc_Seq$();
          const x$163 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
          const x$164 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "objectRange") + "/prop");
          const x$165 = new $c_s_Some().init___O(message$6);
          const f$1 = (function(this$3$1) {
            return (function(x$21$2) {
              const x$21 = x$21$2;
              return x$21.type__sci_List().head__O().iri__T()
            })
          })(this);
          const this$365 = $m_sci_List$();
          const bf$1 = this$365.ReusableCBFInstance$2;
          let jsx$48;
          if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((types === $m_sci_Nil$())) {
              jsx$48 = $m_sci_Nil$()
            } else {
              const arg1$3 = types.head__O();
              const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
              let t$15 = h$1;
              let rest$1 = types.tail__O();
              while ((rest$1 !== $m_sci_Nil$())) {
                const arg1$4 = rest$1.head__O();
                const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
                t$15.tl$5 = nx$1;
                t$15 = nx$1;
                rest$1 = rest$1.tail__O()
              };
              jsx$48 = h$1
            }
          } else {
            const b$17 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(types, bf$1);
            let these$1 = types;
            while ((!these$1.isEmpty__Z())) {
              const arg1$5 = these$1.head__O();
              b$17.$$plus$eq__O__scm_Builder(f$1(arg1$5));
              these$1 = these$1.tail__O()
            };
            jsx$48 = b$17.result__O()
          };
          const jsx$47 = $m_sc_Seq$();
          const this$366 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
          const jsx$46 = jsx$47.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$366, "ExternalEntity").iri__T()]));
          const this$368 = $m_sci_List$();
          const x$166 = jsx$48.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$46, this$368.ReusableCBFInstance$2);
          const x$167 = $m_s_None$();
          const x$168 = $m_s_None$();
          const x$169 = $m_s_None$();
          const x$170 = $m_s_None$();
          const x$171 = $m_s_None$();
          const x$172 = $m_s_None$();
          const x$173 = $m_s_None$();
          const x$174 = $m_s_None$();
          const x$175 = $m_s_None$();
          const x$176 = $m_s_None$();
          const x$177 = $m_s_None$();
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$383 = new $c_scm_ListBuffer().init___();
          const x$178 = this$383.toList__sci_List();
          const x$179 = $m_s_None$();
          const x$185 = jsx$49.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$163, x$164, x$165, x$167, x$168, x$169, x$170, x$171, x$172, x$173, x$174, x$175, x$176, x$177, x$166, x$178, x$179)]));
          $m_Lamf_core_validation_core_ValidationSpecification$();
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$388 = new $c_scm_ListBuffer().init___();
          const x$186 = this$388.toList__sci_List();
          $m_Lamf_core_validation_core_ValidationSpecification$();
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$392 = new $c_scm_ListBuffer().init___();
          const x$187 = this$392.toList__sci_List();
          $m_Lamf_core_validation_core_ValidationSpecification$();
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$396 = new $c_scm_ListBuffer().init___();
          const x$188 = this$396.toList__sci_List();
          $m_Lamf_core_validation_core_ValidationSpecification$();
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$400 = new $c_scm_ListBuffer().init___();
          const x$189 = this$400.toList__sci_List();
          $m_Lamf_core_validation_core_ValidationSpecification$();
          const x$190 = $m_s_None$();
          $m_Lamf_core_validation_core_ValidationSpecification$();
          const x$191 = $m_s_None$();
          $m_Lamf_core_validation_core_ValidationSpecification$();
          const x$192 = $m_s_None$();
          validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$180, message$6, x$182, x$183, x$186, x$184, x$187, x$188, x$185, x$189, x$190, x$191, x$192));
          let these$2 = types;
          while ((!these$2.isEmpty__Z())) {
            const arg1$6 = these$2.head__O();
            const x0$2 = arg1$6;
            if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(x0$2)) {
              const x2$1 = x0$2;
              validations.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.emitEntityValidations__Lamf_plugins_document_vocabularies_spec_DialectNode__sci_List(x2$1))
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            };
            these$2 = these$2.tail__O()
          }
        } else {
          const x1$4 = prop.rangeAsDialect__s_Option();
          if ($is_s_Some(x1$4)) {
            const x2$4 = x1$4;
            const childNode = x2$4.value$2;
            const message$7 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " value must be of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, childNode.shortName__T()]));
            const x$210 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "objectRange");
            const x$212 = new $c_s_Some().init___O(message$7);
            const x$213 = new $c_s_Some().init___O(message$7);
            const x$214 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
            const jsx$52 = $m_sc_Seq$();
            const x$193 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
            const x$194 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "objectRange") + "/prop");
            const x$195 = new $c_s_Some().init___O(message$7);
            const jsx$51 = $m_sc_Seq$();
            const jsx$50 = childNode.type$1.head__O().iri__T();
            const this$404 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
            const x$196 = jsx$51.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$50, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$404, "ExternalEntity").iri__T()]));
            const x$197 = $m_s_None$();
            const x$198 = $m_s_None$();
            const x$199 = $m_s_None$();
            const x$200 = $m_s_None$();
            const x$201 = $m_s_None$();
            const x$202 = $m_s_None$();
            const x$203 = $m_s_None$();
            const x$204 = $m_s_None$();
            const x$205 = $m_s_None$();
            const x$206 = $m_s_None$();
            const x$207 = $m_s_None$();
            $m_sc_Seq$();
            $m_sci_Seq$();
            const this$420 = new $c_scm_ListBuffer().init___();
            const x$208 = this$420.toList__sci_List();
            const x$209 = $m_s_None$();
            const x$215 = jsx$52.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$193, x$194, x$195, x$197, x$198, x$199, x$200, x$201, x$202, x$203, x$204, x$205, x$206, x$207, x$196, x$208, x$209)]));
            $m_Lamf_core_validation_core_ValidationSpecification$();
            $m_sc_Seq$();
            $m_sci_Seq$();
            const this$425 = new $c_scm_ListBuffer().init___();
            const x$216 = this$425.toList__sci_List();
            $m_Lamf_core_validation_core_ValidationSpecification$();
            $m_sc_Seq$();
            $m_sci_Seq$();
            const this$429 = new $c_scm_ListBuffer().init___();
            const x$217 = this$429.toList__sci_List();
            $m_Lamf_core_validation_core_ValidationSpecification$();
            $m_sc_Seq$();
            $m_sci_Seq$();
            const this$433 = new $c_scm_ListBuffer().init___();
            const x$218 = this$433.toList__sci_List();
            $m_Lamf_core_validation_core_ValidationSpecification$();
            $m_sc_Seq$();
            $m_sci_Seq$();
            const this$437 = new $c_scm_ListBuffer().init___();
            const x$219 = this$437.toList__sci_List();
            $m_Lamf_core_validation_core_ValidationSpecification$();
            const x$220 = $m_s_None$();
            $m_Lamf_core_validation_core_ValidationSpecification$();
            const x$221 = $m_s_None$();
            $m_Lamf_core_validation_core_ValidationSpecification$();
            const x$222 = $m_s_None$();
            validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$210, message$7, x$212, x$213, x$216, x$214, x$217, x$218, x$215, x$219, x$220, x$221, x$222));
            validations.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.emitEntityValidations__Lamf_plugins_document_vocabularies_spec_DialectNode__sci_List(childNode))
          } else {
            const x$12 = $m_s_None$();
            if ((x$12 === x1$4)) {
              const x1$5 = prop.referenceTarget$1;
              if ($is_s_Some(x1$5)) {
                const x2$5 = x1$5;
                const target = x2$5.value$2;
                const message$8 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " value must be of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, target.shortName__T()]));
                const x$240 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "objectRange");
                const x$242 = new $c_s_Some().init___O(message$8);
                const x$243 = new $c_s_Some().init___O(message$8);
                const x$244 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
                const jsx$55 = $m_sc_Seq$();
                const x$223 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
                const x$224 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "objectRange") + "/prop");
                const x$225 = new $c_s_Some().init___O(message$8);
                const jsx$54 = $m_sc_Seq$();
                const jsx$53 = target.type$1.head__O().iri__T();
                const this$441 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
                const x$226 = jsx$54.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$53, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$441, "ExternalEntity").iri__T()]));
                const x$227 = $m_s_None$();
                const x$228 = $m_s_None$();
                const x$229 = $m_s_None$();
                const x$230 = $m_s_None$();
                const x$231 = $m_s_None$();
                const x$232 = $m_s_None$();
                const x$233 = $m_s_None$();
                const x$234 = $m_s_None$();
                const x$235 = $m_s_None$();
                const x$236 = $m_s_None$();
                const x$237 = $m_s_None$();
                $m_sc_Seq$();
                $m_sci_Seq$();
                const this$457 = new $c_scm_ListBuffer().init___();
                const x$238 = this$457.toList__sci_List();
                const x$239 = $m_s_None$();
                const x$245 = jsx$55.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$223, x$224, x$225, x$227, x$228, x$229, x$230, x$231, x$232, x$233, x$234, x$235, x$236, x$237, x$226, x$238, x$239)]));
                $m_Lamf_core_validation_core_ValidationSpecification$();
                $m_sc_Seq$();
                $m_sci_Seq$();
                const this$462 = new $c_scm_ListBuffer().init___();
                const x$246 = this$462.toList__sci_List();
                $m_Lamf_core_validation_core_ValidationSpecification$();
                $m_sc_Seq$();
                $m_sci_Seq$();
                const this$466 = new $c_scm_ListBuffer().init___();
                const x$247 = this$466.toList__sci_List();
                $m_Lamf_core_validation_core_ValidationSpecification$();
                $m_sc_Seq$();
                $m_sci_Seq$();
                const this$470 = new $c_scm_ListBuffer().init___();
                const x$248 = this$470.toList__sci_List();
                $m_Lamf_core_validation_core_ValidationSpecification$();
                $m_sc_Seq$();
                $m_sci_Seq$();
                const this$474 = new $c_scm_ListBuffer().init___();
                const x$249 = this$474.toList__sci_List();
                $m_Lamf_core_validation_core_ValidationSpecification$();
                const x$250 = $m_s_None$();
                $m_Lamf_core_validation_core_ValidationSpecification$();
                const x$251 = $m_s_None$();
                $m_Lamf_core_validation_core_ValidationSpecification$();
                const x$252 = $m_s_None$();
                validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$240, message$8, x$242, x$243, x$246, x$244, x$247, x$248, x$245, x$249, x$250, x$251, x$252))
              } else {
                const x$3$1 = $m_s_None$();
                if ((x$3$1 === x1$5)) {
                  const x1$6 = prop.range$1;
                  const x$5$1 = $m_Lamf_core_metamodel_Type$Str$();
                  let dataRange;
                  if (x$5$1.equals__O__Z(x1$6)) {
                    dataRange = $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType("xsd:string").iri__T()
                  } else {
                    const x$7$1 = $m_Lamf_core_metamodel_Type$Int$();
                    if (x$7$1.equals__O__Z(x1$6)) {
                      dataRange = $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType("xsd:integer").iri__T()
                    } else {
                      const x$9$1 = $m_Lamf_core_metamodel_Type$Bool$();
                      if (x$9$1.equals__O__Z(x1$6)) {
                        dataRange = $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType("xsd:boolean").iri__T()
                      } else {
                        const x$11$1 = $m_Lamf_core_metamodel_Type$Iri$();
                        if ((!x$11$1.equals__O__Z(x1$6))) {
                          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown scalar range ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1$6]))))
                        };
                        dataRange = $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType("xsd:anyUri").iri__T()
                      }
                    }
                  };
                  const message$9 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", "  value must be of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.name$1, dataRange]));
                  const x$270 = this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "dataRange");
                  const x$272 = new $c_s_Some().init___O(message$9);
                  const x$273 = new $c_s_Some().init___O(message$9);
                  const x$274 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.type$1.head__O().iri__T()]));
                  const jsx$56 = $m_sc_Seq$();
                  const x$253 = prop.fieldName__Lamf_core_vocabulary_ValueType().iri__T();
                  const x$254 = (this.validationId__p1__Lamf_plugins_document_vocabularies_spec_DialectNode__T__T__T(node, propName, "dataRange") + "/prop");
                  const x$255 = new $c_s_Some().init___O(message$9);
                  const x$256 = new $c_s_Some().init___O(dataRange);
                  const x$257 = $m_s_None$();
                  const x$258 = $m_s_None$();
                  const x$259 = $m_s_None$();
                  const x$260 = $m_s_None$();
                  const x$261 = $m_s_None$();
                  const x$262 = $m_s_None$();
                  const x$263 = $m_s_None$();
                  const x$264 = $m_s_None$();
                  const x$265 = $m_s_None$();
                  const x$266 = $m_s_None$();
                  const x$267 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
                  $m_sc_Seq$();
                  $m_sci_Seq$();
                  const this$492 = new $c_scm_ListBuffer().init___();
                  const x$268 = this$492.toList__sci_List();
                  const x$269 = $m_s_None$();
                  const x$275 = jsx$56.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$253, x$254, x$255, x$257, x$258, x$259, x$260, x$261, x$262, x$263, x$264, x$265, x$266, x$256, x$267, x$268, x$269)]));
                  $m_Lamf_core_validation_core_ValidationSpecification$();
                  $m_sc_Seq$();
                  $m_sci_Seq$();
                  const this$497 = new $c_scm_ListBuffer().init___();
                  const x$276 = this$497.toList__sci_List();
                  $m_Lamf_core_validation_core_ValidationSpecification$();
                  $m_sc_Seq$();
                  $m_sci_Seq$();
                  const this$501 = new $c_scm_ListBuffer().init___();
                  const x$277 = this$501.toList__sci_List();
                  $m_Lamf_core_validation_core_ValidationSpecification$();
                  $m_sc_Seq$();
                  $m_sci_Seq$();
                  const this$505 = new $c_scm_ListBuffer().init___();
                  const x$278 = this$505.toList__sci_List();
                  $m_Lamf_core_validation_core_ValidationSpecification$();
                  $m_sc_Seq$();
                  $m_sci_Seq$();
                  const this$509 = new $c_scm_ListBuffer().init___();
                  const x$279 = this$509.toList__sci_List();
                  $m_Lamf_core_validation_core_ValidationSpecification$();
                  const x$280 = $m_s_None$();
                  $m_Lamf_core_validation_core_ValidationSpecification$();
                  const x$281 = $m_s_None$();
                  $m_Lamf_core_validation_core_ValidationSpecification$();
                  const x$282 = $m_s_None$();
                  validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$270, message$9, x$272, x$273, x$276, x$274, x$277, x$278, x$275, x$279, x$280, x$281, x$282))
                } else {
                  throw new $c_s_MatchError().init___O(x1$5)
                }
              }
            } else {
              throw new $c_s_MatchError().init___O(x1$4)
            }
          }
        }
      }
    };
    return validations.toList__sci_List()
  };
}
const $d_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_validation_AMFDialectValidations: 0
}, false, "amf.plugins.document.vocabularies.validation.AMFDialectValidations", {
  Lamf_plugins_document_vocabularies_validation_AMFDialectValidations: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations;
const $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3 = (function($thiz) {
  return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
    return (function(target$2, label$2, references$2) {
      const target = target$2;
      const label = label$2;
      const references = references$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(target, label, references, $this.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext())
    })
  })($thiz))
});
const $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__parametrizedSecurityEmitter__F2 = (function($thiz) {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(parametrizedScheme$2, ordering$2) {
      const parametrizedScheme = parametrizedScheme$2;
      const ordering = ordering$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parametrizedScheme, ordering, $this.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext())
    })
  })($thiz))
});
class $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter(key, f, spec) {
    const this$1 = f.value$1.annotations$1;
    const pf = new $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1().init___();
    const jsx$1 = this$1.amf$core$parser$Annotations$$annotations$1;
    const this$2 = $m_sc_Seq$();
    const extensions = jsx$1.collect__s_PartialFunction__scg_CanBuildFrom__O(pf, this$2.ReusableCBFInstance$2);
    let jsx$2;
    if (extensions.nonEmpty__Z()) {
      const x = spec.vendor__Lamf_core_remote_Vendor();
      const x$2 = $m_Lamf_core_remote_Raml10$();
      jsx$2 = ((x !== null) && (x === x$2))
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$2$2$2) {
          const x$2$2 = x$2$2$2;
          return x$2$2.extension$1
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      return new $c_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter().init___T__Lamf_core_parser_FieldEntry__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, extensions.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2), spec)
    } else {
      return new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry(key, f)
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$: 0
}, false, "amf.plugins.document.webapi.contexts.RamlScalarEmitter$", {
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$;
let $n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$)) {
    $n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = new $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$
});
class $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext extends $c_O {
  constructor() {
    super();
    this.refEmitter$1 = null
  };
  ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, url) {
    this.refEmitter$1.ref__T__Lorg_yaml_model_YDocument$PartBuilder__V(url, b)
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    this.refEmitter$1 = refEmitter;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_OasHeader extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null
  };
  init___T__T(key, value) {
    this.key$1 = key;
    this.value$1 = value;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_OasHeader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_OasHeader)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_OasHeader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_OasHeader)))
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$ extends $c_O {
  constructor() {
    super();
    this.extensionName$1 = null;
    this.extensionType$1 = null;
    this.swagger$1 = null
  };
  init___() {
    this.extensionName$1 = "x-fragment-type";
    this.extensionType$1 = "x-extension-type";
    this.swagger$1 = "swagger";
    return this
  };
  apply__T__s_Option(text) {
    return (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$()) : $m_s_None$()))))))))))
  };
  apply__Lamf_core_Root__s_Option(root) {
    const this$1 = root.parsed$1.document$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = this$1.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.extensionName$1);
      const this$5 = (this$3.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.extensionType$1) : this$3);
      const this$7 = (this$5.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.swagger$1) : this$5);
      if (this$7.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$7.get__O();
        const extension = arg1;
        const jsx$1 = $m_Lamf_plugins_document_webapi_parser_OasHeader$();
        $m_Lorg_yaml_model_YNode$();
        const node = extension.value$1;
        return jsx$1.apply__T__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
      }
    } else if ($is_s_util_Left(x1)) {
      return $m_s_None$()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$", {
  Lamf_plugins_document_webapi_parser_OasHeader$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$
});
class $c_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ extends $c_O {
  constructor() {
    super();
    this.knownFormats$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = this;
    const array = ["time-only", "date-only", "date-time", "date-time-only", "password", "byte", "binary", "int32", "int64", "long", "float"];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.knownFormats$1 = jsx$1;
    return this
  };
  matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef(ramlType, format) {
    return ((ramlType === "string") ? ((format === "time-only") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$() : ((format === "date-only") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$() : ((format === "date-time") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$() : ((format === "date-time-only") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$() : ((format === "password") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$() : ((format === "byte") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$() : ((format === "binary") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$()))))))) : ((ramlType === "null") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$() : ((ramlType === "integer") ? ((format === "int64") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()) : ((ramlType === "number") ? ((format === "float") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$() : ((format === "double") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$())) : ((ramlType === "boolean") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$() : ((ramlType === "object") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$() : ((ramlType === "array") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$() : ((ramlType === "file") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()))))))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.OasTypeDefMatcher$", {
  Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$;
let $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = new $c_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ extends $c_O {
  init___() {
    return this
  };
  matchFormat__Lamf_plugins_domain_shapes_models_TypeDef__s_Option(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
    if ((x === typeDef)) {
      return new $c_s_Some().init___O("byte")
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
      if ((x$3 === typeDef)) {
        return new $c_s_Some().init___O("binary")
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
        if ((x$5 === typeDef)) {
          return new $c_s_Some().init___O("password")
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
          if ((x$7 === typeDef)) {
            return new $c_s_Some().init___O("date-time")
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
            if ((x$9 === typeDef)) {
              return new $c_s_Some().init___O("date-time-only")
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
              if ((x$11 === typeDef)) {
                return new $c_s_Some().init___O("time-only")
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                if ((x$13 === typeDef)) {
                  return new $c_s_Some().init___O("date-only")
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
                  if ((x$15 === typeDef)) {
                    return new $c_s_Some().init___O("int64")
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
                    if ((x$17 === typeDef)) {
                      return new $c_s_Some().init___O("double")
                    } else {
                      return $m_s_None$()
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  matchType__Lamf_plugins_domain_shapes_models_TypeDef__T(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
    if ((x === typeDef)) {
      return "string"
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
      if ((x$3 === typeDef)) {
        return "string"
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
        if ((x$5 === typeDef)) {
          return "string"
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
          if ((x$7 === typeDef)) {
            return "string"
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
            if ((x$9 === typeDef)) {
              return "integer"
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
              if ((x$11 === typeDef)) {
                return "integer"
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
                if ((x$13 === typeDef)) {
                  return "number"
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
                  if ((x$15 === typeDef)) {
                    return "number"
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$();
                    if ((x$17 === typeDef)) {
                      return "boolean"
                    } else {
                      const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
                      if ((x$19 === typeDef)) {
                        return "string"
                      } else {
                        const x$21 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
                        if ((x$21 === typeDef)) {
                          return "string"
                        } else {
                          const x$23 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
                          if ((x$23 === typeDef)) {
                            return "string"
                          } else {
                            const x$25 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                            if ((x$25 === typeDef)) {
                              return "string"
                            } else {
                              const x$27 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                              if ((x$27 === typeDef)) {
                                return "array"
                              } else {
                                const x$29 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
                                if ((x$29 === typeDef)) {
                                  return "object"
                                } else {
                                  const x$31 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
                                  if ((x$31 === typeDef)) {
                                    return "file"
                                  } else {
                                    const x$33 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
                                    if ((x$33 === typeDef)) {
                                      return "null"
                                    } else {
                                      const x$35 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                                      if ((x$35 === typeDef)) {
                                        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T("Undefined type def"))
                                      } else {
                                        throw new $c_s_MatchError().init___O(typeDef)
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.OasTypeDefStringValueMatcher$", {
  Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$;
let $n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = new $c_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_PayloadParser extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.location$1 = null;
    this.ctx$1 = null
  };
  parseUnit__Lamf_core_model_document_Document() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.location$1;
    const parsedDocument = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const payload = this.parseNode__p1__T__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(this.location$1, this.document$1.node$3);
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parsedDocument, field, payload);
    return parsedDocument
  };
  init___Lorg_yaml_model_YDocument__T__Lamf_core_parser_ParserContext(document, location, ctx) {
    this.document$1 = document;
    this.location$1 = location;
    this.ctx$1 = ctx;
    return this
  };
  parseNode__p1__T__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(parent, node) {
    const x$2 = new $c_s_Some().init___O(parent);
    const x$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
    const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(node, x$3, x$2, x$4, this.ctx$1).parse__Lamf_core_model_domain_DataNode()
  };
}
const $d_Lamf_plugins_document_webapi_parser_PayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_PayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.PayloadParser", {
  Lamf_plugins_document_webapi_parser_PayloadParser: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_PayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_PayloadParser;
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ extends $c_O {
  init___() {
    return this
  };
  fromText__p1__T__s_Option(text) {
    return ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$()) : ((text === $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$().text$1) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$()) : $m_s_None$()))))))))))
  };
  fromRoot__Lamf_core_Root__s_Option(root) {
    const this$1 = root.parsed$1.comment$1;
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const c = arg1;
      x1 = this.fromText__p1__T__s_Option(c.metaText$3)
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const header = x2.value$2;
      return $m_s_Option$().apply__O__s_Option(header)
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ extends $c_O {
  constructor() {
    super();
    this.knownFormats$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = this;
    const array = ["byte", "binary", "password", "int32", "int64", "double", "float"];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.knownFormats$1 = jsx$1;
    return this
  };
  matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(ramlType, format, $default) {
    const o28 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().unapply__T__s_Option(ramlType);
    if ((!o28.isEmpty__Z())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$()
    };
    const o30 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(ramlType);
    if ((!o30.isEmpty__Z())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$()
    };
    const o32 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(ramlType);
    if ((!o32.isEmpty__Z())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$()
    };
    if (((ramlType === "nil") || ((ramlType === "") || (ramlType === "null")))) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$()
    };
    if ((ramlType === "any")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$()
    };
    if ((ramlType === "string")) {
      return ((format === "byte") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$() : ((format === "binary") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$() : ((format === "password") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$())))
    };
    if ((ramlType === "number")) {
      return ((format === "int32") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$() : ((format === "int64") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$() : ((format === "float") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$() : ((format === "double") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$()))))
    };
    if ((ramlType === "integer")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()
    };
    if ((ramlType === "boolean")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$()
    };
    if ((ramlType === "datetime")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$()
    };
    if ((ramlType === "datetime-only")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$()
    };
    if ((ramlType === "time-only")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$()
    };
    if ((ramlType === "date-only")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$()
    };
    if ((ramlType === "array")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$()
    };
    if ((ramlType === "object")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()
    };
    if ((ramlType === "union")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$()
    };
    if ((ramlType === "file")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$()
    };
    return $default
  };
  match08Type__T__s_Option(value) {
    return ((value === "number") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$()) : ((value === "integer") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()) : ((value === "date") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$()) : ((value === "boolean") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$()) : ((value === "file") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$()) : ((value === "string") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$()) : $m_s_None$()))))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(str) {
    return (((((str.length | 0) >= 0) && (str.substring(0, ("[".length | 0)) === "[")) || (((str.length | 0) >= 0) && (str.substring(0, ("{".length | 0)) === "{"))) ? new $c_s_Some().init___O(str) : $m_s_None$())
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$JSONSchema$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(str) {
    return ((((((((str.indexOf("[]") | 0) !== (-1)) && (!(((str.length | 0) >= 0) && (str.substring(0, ("[".length | 0)) === "[")))) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(str, "]")) || ((str.indexOf("|") | 0) !== (-1))) || ((str.indexOf("(") | 0) !== (-1))) || ((str.indexOf(")") | 0) !== (-1))) ? new $c_s_Some().init___O(str) : $m_s_None$())
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$TypeExpression$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(str) {
    return (((((str.length | 0) >= 0) && (str.substring(0, ("<".length | 0)) === "<")) && (!((((str.length | 0) >= 0) && (str.substring(0, ("<<".length | 0)) === "<<")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(str, ">>")))) ? new $c_s_Some().init___O(str) : $m_s_None$())
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$XMLSchema$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ extends $c_O {
  init___() {
    return this
  };
  matchType__Lamf_plugins_domain_shapes_models_TypeDef__T2(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
    if ((x === typeDef)) {
      return new $c_T2().init___O__O("string", "byte")
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
      if ((x$3 === typeDef)) {
        return new $c_T2().init___O__O("string", "binary")
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
        if ((x$5 === typeDef)) {
          return new $c_T2().init___O__O("string", "password")
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
          if ((x$7 === typeDef)) {
            return new $c_T2().init___O__O("string", "")
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
            if ((x$9 === typeDef)) {
              return new $c_T2().init___O__O("integer", "")
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
              if ((x$11 === typeDef)) {
                return new $c_T2().init___O__O("intenger", "long")
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
                if ((x$13 === typeDef)) {
                  return new $c_T2().init___O__O("number", "float")
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
                  if ((x$15 === typeDef)) {
                    return new $c_T2().init___O__O("number", "dobule")
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$();
                    if ((x$17 === typeDef)) {
                      return new $c_T2().init___O__O("boolean", "")
                    } else {
                      const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
                      if ((x$19 === typeDef)) {
                        return new $c_T2().init___O__O("datetime", "")
                      } else {
                        const x$21 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
                        if ((x$21 === typeDef)) {
                          return new $c_T2().init___O__O("datetime-only", "")
                        } else {
                          const x$23 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
                          if ((x$23 === typeDef)) {
                            return new $c_T2().init___O__O("time-only", "")
                          } else {
                            const x$25 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                            if ((x$25 === typeDef)) {
                              return new $c_T2().init___O__O("date-only", "")
                            } else {
                              const x$27 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                              if ((x$27 === typeDef)) {
                                return new $c_T2().init___O__O("array", "")
                              } else {
                                const x$29 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
                                if ((x$29 === typeDef)) {
                                  return new $c_T2().init___O__O("object", "")
                                } else {
                                  const x$31 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
                                  if ((x$31 === typeDef)) {
                                    return new $c_T2().init___O__O("file", "")
                                  } else {
                                    const x$33 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
                                    if ((x$33 === typeDef)) {
                                      return new $c_T2().init___O__O("nil", "")
                                    } else {
                                      const x$35 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                                      if ((x$35 === typeDef)) {
                                        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T("Undefined type def"))
                                      } else {
                                        throw new $c_s_MatchError().init___O(typeDef)
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefStringValueMatcher$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter extends $c_O {
  constructor() {
    super();
    this.protocol$1 = null;
    this.domain$1 = null;
    this.path$1 = null
  };
  url__T() {
    const thiz = this.protocol$1;
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    let jsx$2;
    if ((thiz === "")) {
      jsx$2 = ""
    } else {
      jsx$2 = (this.protocol$1 + "://")
    };
    const jsx$1 = this.domain$1;
    const thiz$1 = this.path$1;
    return ((jsx$2 + jsx$1) + ((((thiz$1.length | 0) >= 0) && (thiz$1.substring(0, ("/".length | 0)) === "/")) ? this.path$1 : ("/" + this.path$1)))
  };
  init___T__T__T(protocol, domain, path) {
    this.protocol$1 = protocol;
    this.domain$1 = domain;
    this.path$1 = path;
    return this
  };
  nonEmpty__Z() {
    const x = this.protocol$1;
    const this$2 = new $c_sci_StringOps().init___T(x);
    let jsx$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      jsx$1 = true
    } else {
      const x$1 = this.domain$1;
      const this$4 = new $c_sci_StringOps().init___T(x$1);
      jsx$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$4)
    };
    if (jsx$1) {
      return true
    } else {
      const x$2 = this.path$1;
      const this$6 = new $c_sci_StringOps().init___T(x$2);
      return $f_sc_TraversableOnce__nonEmpty__Z(this$6)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.BaseUriSplitter", {
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter;
class $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter(s) {
    const this$1 = $m_s_Option$().apply__O__s_Option(s);
    if (this$1.isEmpty__Z()) {
      return new $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter().init___T__T__T("", "", "")
    } else {
      const arg1 = this$1.get__O();
      const s$2 = arg1;
      let tail = "";
      let host = "";
      if (((s$2.indexOf("://") | 0) !== (-1))) {
        const splittedOne = $m_sjsr_RuntimeString$().split__T__T__I__AT(s$2, "://", 0);
        const this$7 = new $c_scm_ArrayOps$ofRef().init___AO(splittedOne);
        host = $f_sc_IndexedSeqOptimized__head__O(this$7);
        tail = splittedOne.u[1]
      } else {
        tail = s$2
      };
      const thiz = tail;
      const firstSlashIndex = (thiz.indexOf("/") | 0);
      let domain = "";
      let path = "";
      if ((firstSlashIndex > (-1))) {
        const thiz$1 = tail;
        domain = thiz$1.substring(0, firstSlashIndex);
        const thiz$2 = tail;
        path = thiz$2.substring(firstSlashIndex)
      } else {
        domain = tail
      };
      return new $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter().init___T__T__T(host, domain, path)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.BaseUriSplitter$", {
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$;
let $n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = new $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ extends $c_O {
  init___() {
    return this
  };
  apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declarations, errorHandler, futureDeclarations) {
    const x$22 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$23 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$24 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$25 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$26 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$27 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$28 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$29 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$30 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$31 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations().init___sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$22, x$23, x$24, x$25, x$26, x$27, x$28, x$29, x$30, x$31, errorHandler, futureDeclarations);
    declarations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        return result$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(x$7)
      })
    })(this, result)));
    return result
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$;
let $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter extends $c_O {
  constructor() {
    super();
    this.c$1 = 0
  };
  init___() {
    this.c$1 = 0;
    return this
  };
  genId__T__T(id) {
    this.c$1 = ((1 + this.c$1) | 0);
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id, this.c$1]))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_IdCounter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_IdCounter: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.IdCounter", {
  Lamf_plugins_document_webapi_parser_spec_common_IdCounter: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_IdCounter;
class $c_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, iv) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode().init___Lorg_yaml_model_YMap__Lorg_yaml_model_IllegalTypeHandler(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), iv), iv)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.MapArrayNode$", {
  Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ extends $c_O {
  init___() {
    return this
  };
  collectDomainExtensions__T__Lamf_core_parser_ScalarNode__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(parent, n, ctx) {
    if ($is_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(n)) {
      const x2 = n;
      return $m_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$().parseExtensions__T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/oooooo"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parent])), x2.obj$1, ctx)
    } else if ($is_Lamf_core_parser_DefaultScalarNode(n)) {
      return $m_sci_Nil$()
    } else {
      throw new $c_s_MatchError().init___O(n)
    }
  };
  unexpected__p1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__V(key, iv) {
    iv.violation__T__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected key '", "'. Options are 'value' or annotations \\\\(.+\\\\)"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), new $c_s_Some().init___O(key))
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(node, iv) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YMap(x1)) {
      const x2 = x1;
      return this.createScalarValuedNode__p1__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(x2, iv)
    } else {
      return new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv)
    }
  };
  createScalarValuedNode__p1__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(obj, iv) {
    const elem = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const values = new $c_sr_ObjectRef().init___O(elem);
    obj.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, iv$1, values$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
        if ($is_Lorg_yaml_model_YScalar(x1)) {
          const x2 = x1;
          const x1$2 = x2.text$3;
          return ((x1$2 === "value") ? values$1.elem$1.$$plus$eq__O__scm_ListBuffer(entry) : ($m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().isRamlAnnotation__T__Z(x1$2) ? (void 0) : ($this.unexpected__p1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__V(entry.key$1, iv$1), (void 0))))
        } else {
          $this.unexpected__p1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__V(entry.key$1, iv$1);
          return (void 0)
        }
      })
    })(this, iv, values)));
    if (values.elem$1.nonEmpty__Z()) {
      const this$2 = values.elem$1;
      const this$3 = $f_sc_TraversableLike__tail__O(this$2);
      const this$4 = this$3.scala$collection$mutable$ListBuffer$$start$6;
      let these = this$4;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const d = arg1;
        iv.violation__T__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Duplicated key 'value'."])).s__sc_Seq__T($m_sci_Nil$()), new $c_s_Some().init___O(d));
        these = these.tail__O()
      }
    };
    const this$5 = values.elem$1;
    const this$6 = this$5.scala$collection$mutable$ListBuffer$$start$6;
    const this$7 = $f_sc_TraversableLike__headOption__s_Option(this$6);
    let jsx$1;
    if (this$7.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1$1 = this$7.get__O();
      const entry$3 = arg1$1;
      const node = entry$3.value$1;
      jsx$1 = new $c_s_Some().init___O(new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv))
    };
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode().init___Lorg_yaml_model_YMap__s_Option__Lamf_plugins_document_webapi_contexts_WebApiContext(obj, jsx$1, iv)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.RamlScalarNode$", {
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, iv) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x2 = x1;
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(x2, t, a, cs);
      return new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv)
    } else {
      return new $c_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, iv)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SingleArrayNode$", {
  Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps extends $c_O {
  constructor() {
    super();
    this.field$1 = null;
    this.iv$1 = null;
    this.$$outer$1 = null
  };
  $in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(target) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this.$$outer$1, target, this.field$1, this.iv$1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext($$outer, field, iv) {
    this.field$1 = field;
    this.iv$1 = iv;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  $in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(elem) {
    return this.$in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_model_domain_DomainElement(this.$$outer$1, elem))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SpecParserOps$FieldOps", {
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps;
class $c_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ extends $c_O {
  constructor() {
    super();
    this.ramlKnownAnnotations$1 = null;
    this.oasKnownAnnotations$1 = null;
    this.ramlAnnotation$1 = null;
    this.oasAnnotation$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = this;
    const array = ["termsOfService", "parameters", "binding", "contact", "externalDocs", "license", "base-uri-parameters", "deprecated", "summary", "externalDocs", "payloads", "request-payloads", "response-payloads", "media-type", "readOnly", "dependencies", "tuple", "format", "exclusiveMaximum", "exclusiveMinimum", "consumes", "produces", "flow", "examples", "responses", "additionalProperties"];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.ramlKnownAnnotations$1 = jsx$1;
    const array$1 = ["base-uri-parameters", "annotationTypes", "request-payloads", "response-payloads", "uses", "media-type", "traits", "resourceTypes", "is", "type", "extension-type", "fragment-type", "usage", "title", "user-documentation", "description", "displayName", "extends", "displayName", "describedBy", "discriminator-value", "requestTokenUri", "authorizationUri", "tokenCredentialsUri", "signatures", "settings", "securitySchemes", "queryParameters", "headers", "queryString", "examples", "fileTypes", "schema"];
    let jsx$2;
    if (((array$1.length | 0) === 0)) {
      jsx$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      jsx$2 = b$1.elems$1
    };
    this.oasKnownAnnotations$1 = jsx$2;
    const this$4 = new $c_sci_StringOps().init___T("^\\((.+)\\)$");
    const groupNames = $m_sci_Nil$();
    const $$this = this$4.repr$1;
    this.ramlAnnotation$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const this$7 = new $c_sci_StringOps().init___T("^[xX]-(.+)");
    const groupNames$1 = $m_sci_Nil$();
    const $$this$1 = this$7.repr$1;
    this.oasAnnotation$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$1, groupNames$1);
    return this
  };
  isRamlAnnotation__T__Z(field) {
    const o8 = this.ramlAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$1;
    if ((!o8.isEmpty__Z())) {
      if ((o8.get__O() !== null)) {
        const this$1 = o8.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 1) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return true
    };
    return false
  };
  resolveAnnotation__T__s_Option(field) {
    const o8 = this.ramlAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$1;
    if ((!o8.isEmpty__Z())) {
      if ((o8.get__O() !== null)) {
        const this$1 = o8.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 1) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$2 = o8.get__O();
      const value = $f_sc_LinearSeqOptimized__apply__I__O(this$2, 0);
      const this$3 = new $c_s_Some().init___O(value);
      const arg1 = this$3.value$2;
      const elem = arg1;
      if ((!this.ramlKnownAnnotations$1.contains__O__Z(elem))) {
        return this$3
      } else {
        return $m_s_None$()
      }
    };
    const o10 = this.oasAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$2;
    if ((!o10.isEmpty__Z())) {
      if ((o10.get__O() !== null)) {
        const this$4 = o10.get__O();
        jsx$2 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$4, 1) === 0)
      } else {
        jsx$2 = false
      }
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      const this$5 = o10.get__O();
      const value$2 = $f_sc_LinearSeqOptimized__apply__I__O(this$5, 0);
      const this$6 = new $c_s_Some().init___O(value$2);
      const arg1$1 = this$6.value$2;
      const elem$3 = arg1$1;
      let this$7;
      if ((!this.oasKnownAnnotations$1.contains__O__Z(elem$3))) {
        this$7 = this$6
      } else {
        this$7 = $m_s_None$()
      };
      let jsx$3;
      if (this$7.isEmpty__Z()) {
        jsx$3 = true
      } else {
        const arg1$2 = this$7.get__O();
        const x$1 = arg1$2;
        jsx$3 = (!(x$1 === "facets"))
      };
      if (jsx$3) {
        return this$7
      } else {
        return $m_s_None$()
      }
    };
    return $m_s_None$()
  };
  isOasAnnotation__T__Z(field) {
    const o8 = this.oasAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$1;
    if ((!o8.isEmpty__Z())) {
      if ((o8.get__O() !== null)) {
        const this$1 = o8.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 1) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return true
    };
    return false
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.WellKnownAnnotation$", {
  Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null;
    this.fs$1 = null
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(property, ordering, spec) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    this.fs$1 = property.fields$1;
    return this
  };
  emitters__s_util_Either() {
    let rc10 = false;
    let x2 = null;
    const x1 = this.shapeEmitters__sc_Seq().toList__sci_List();
    if ($is_sci_$colon$colon(x1)) {
      rc10 = true;
      x2 = x1;
      const head = x2.head$5;
      if ($is_Lamf_core_emitter_EntryEmitter(head)) {
        const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        const this$1 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1);
        if ((!this$1.isEmpty__Z())) {
          const arg1 = this$1.get__O();
          const f = arg1;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("displayName", f)))
        };
        const this$2 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1);
        if ((!this$2.isEmpty__Z())) {
          const arg1$1 = this$2.get__O();
          const f$3 = arg1$1;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$3)))
        };
        const this$3 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1);
        if ((!this$3.isEmpty__Z())) {
          const arg1$2 = this$3.get__O();
          const f$4 = arg1$2;
          const jsx$2 = f$4.value$1.value$1.scalars__sc_Seq();
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(s$2) {
              const s = s$2;
              const x1$1 = $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().uriToRaml$1.get__O__s_Option(s.toString__T());
              if ($is_s_Some(x1$1)) {
                const x2$1 = x1$1;
                const identifier = x2$1.value$2;
                return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(identifier, s.annotations$1)
              } else {
                const x = $m_s_None$();
                if ((x === x1$1)) {
                  return s
                } else {
                  throw new $c_s_MatchError().init___O(x1$1)
                }
              }
            })
          })(this));
          const this$4 = $m_sc_Seq$();
          const scalars = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
          const finalArray = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(scalars, f$4.value$1.value$1.annotations$1);
          const jsx$3 = f$4.field$1;
          const annotations = f$4.value$1.annotations$1;
          const finalFieldEntry = new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$3, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(finalArray, annotations));
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("allowedTargets", finalFieldEntry, this.ordering$1, false)))
        };
        const jsx$5 = this.shapeEmitters__sc_Seq();
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(x$9$2) {
            const x$9 = x$9$2;
            return x$9
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$6.ReusableCBFInstance$2));
        result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.property$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
        $m_s_package$();
        return new $c_s_util_Left().init___O(result)
      }
    };
    if (rc10) {
      const head$2 = x2.head$5;
      const p4 = x2.tl$5;
      if ($is_Lamf_core_emitter_PartEmitter(head$2)) {
        const x6 = head$2;
        const x$1 = $m_sci_Nil$();
        if (x$1.equals__O__Z(p4)) {
          $m_s_package$();
          return new $c_s_util_Right().init___O(x6)
        }
      }
    };
    const x$3 = $m_sci_Nil$();
    if (x$3.equals__O__Z(x1)) {
      $m_s_package$();
      const value = $m_sci_Nil$();
      return new $c_s_util_Left().init___O(value)
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType extends $c_O {
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  examplesEmitters__p1__s_Option__sc_Seq__scm_ListBuffer(main, extentions) {
    const em = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    if ((!main.isEmpty__Z())) {
      const arg1 = main.get__O();
      const a = arg1;
      em.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter().init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("example", a, this.ordering$1, this.spec$1))
    };
    if (extentions.nonEmpty__Z()) {
      em.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("x-examples", extentions, this.ordering$1, this.references$1, this.spec$1))
    };
    return em
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.shape$1.fields__Lamf_core_parser_Fields();
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("title", f)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Description$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$3)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      const this$4 = f$4.value$1;
      const x$94 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(this$4.value$1.toString__T());
      const x$95 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f$4.value$1.annotations$1);
      const x$96 = $m_Lorg_yaml_model_YType$().Str$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("default", x$94, x$96, x$95)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Values$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$3 = this$6.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", f$5, this.ordering$1, false)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$4 = this$7.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", f$6.value$1.value$1, this.ordering$1, this.spec$1)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$5 = this$8.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("xml", f$7, this.ordering$1, this.spec$1)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$6 = this$9.get__O();
      const f$8 = arg1$6;
      const jsx$2 = f$8.value$1.value$1.values$1;
      const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter$$anonfun$4().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter(this);
      const this$10 = $m_sc_Seq$();
      const examples = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$10.ReusableCBFInstance$2);
      const tuple = examples.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(e$2) {
          const e = e$2;
          const this$11 = e.fields$1.fieldsMeta__sci_List();
          const elem = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
          if ((!$f_sc_LinearSeqOptimized__contains__O__Z(this$11, elem))) {
            return (!e.linkTarget$1.isDefined__Z())
          } else {
            return false
          }
        })
      })(this)));
      let jsx$3;
      matchEnd11: {
        if ((tuple !== null)) {
          const p2 = tuple.$$und1__O();
          const p3 = tuple.$$und2__O();
          const x = $m_sci_Nil$();
          let jsx$4;
          if (x.equals__O__Z(p2)) {
            const x$3 = $m_sci_Nil$();
            jsx$4 = x$3.equals__O__Z(p3)
          } else {
            jsx$4 = false
          };
          if (jsx$4) {
            jsx$3 = $m_sci_Nil$();
            break matchEnd11
          }
        };
        if ((tuple !== null)) {
          const named = tuple.$$und1__O();
          const p4 = tuple.$$und2__O();
          const x$5 = $m_sci_Nil$();
          if (x$5.equals__O__Z(p4)) {
            jsx$3 = this.examplesEmitters__p1__s_Option__sc_Seq__scm_ListBuffer(named.headOption__s_Option(), named.tail__O());
            break matchEnd11
          }
        };
        if ((tuple !== null)) {
          const p5 = tuple.$$und1__O();
          const named$2 = tuple.$$und2__O();
          const x$7 = $m_sci_Nil$();
          if (x$7.equals__O__Z(p5)) {
            jsx$3 = this.examplesEmitters__p1__s_Option__sc_Seq__scm_ListBuffer($m_s_None$(), named$2);
            break matchEnd11
          }
        };
        if ((tuple !== null)) {
          const anonymous = tuple.$$und1__O();
          const named$3 = tuple.$$und2__O();
          const jsx$6 = anonymous.headOption__s_Option();
          const jsx$5 = anonymous.tail__O();
          const this$12 = $m_sc_Seq$();
          jsx$3 = this.examplesEmitters__p1__s_Option__sc_Seq__scm_ListBuffer(jsx$6, jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(named$3, this$12.ReusableCBFInstance$2));
          break matchEnd11
        };
        throw new $c_s_MatchError().init___O(tuple)
      };
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$3))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field());
    if ((!this$13.isEmpty__Z())) {
      const arg1$7 = this$13.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().customFacetsEmitter__F3().apply__O__O__O__O(f$9, this.ordering$1, this.references$1)))
    };
    return result
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  parse__Lamf_core_model_domain_Shape() {
    const map = this.map__Lorg_yaml_model_YMap();
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$1 = this.map__Lorg_yaml_model_YMap();
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$2 = this.map__Lorg_yaml_model_YMap();
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this$6.key__T__s_Option("default");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const this$8 = entry.value$1;
      const x1 = this$8.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      let jsx$3;
      if ((x === x1)) {
        jsx$3 = true
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
        jsx$3 = (x$3 === x1)
      };
      if (jsx$3) {
        const this$9 = this.shape__Lamf_core_model_domain_Shape();
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(entry.value$1, false), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field$2, value, annotations)
      } else {
        const node = entry.value$1;
        const iv$2 = this.ctx$1;
        const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$2);
        const this$11 = this.shape__Lamf_core_model_domain_Shape();
        const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const value$2 = value$1.string__Lamf_core_model_domain_AmfScalar();
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field$3, value$2, annotations$1)
      }
    };
    const map$3 = this.map__Lorg_yaml_model_YMap();
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$13 = this.$$outer$1;
    const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("enum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$4, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$4 = this.map__Lorg_yaml_model_YMap();
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$15 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1;
    const iv$4 = this.ctx$1;
    jsx$5.key__T__F1__V("externalDocs", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$5, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(node$2) {
        const node$1 = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node$1, this$2$1.ctx$1)
      })
    })(this))));
    const map$5 = this.map__Lorg_yaml_model_YMap();
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$17 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1;
    const iv$5 = this.ctx$1;
    const jsx$6 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$17, field$6, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape());
    const this$18 = this.shape__Lamf_core_model_domain_Shape();
    const eta$0$1 = this$18.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    jsx$7.key__T__F1__V("xml", jsx$6.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, eta$0$1$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$().parse__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_XMLSerializer(eta$0$1$1, node$3, this$3$1.ctx$1)
      })
    })(this, eta$0$1))));
    const map$6 = this.map__Lorg_yaml_model_YMap();
    const this$20 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const this$21 = this$20.key__T__s_Option("x-facets");
    if ((!this$21.isEmpty__Z())) {
      const arg1$1 = this$21.get__O();
      const entry$3 = arg1$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__F1__sc_Seq(this.$$outer$1, entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(name$2) {
          const name = name$2;
          return $this.shape__Lamf_core_model_domain_Shape().withCustomShapePropertyDefinition__T__Lamf_core_model_domain_extensions_PropertyShape(name)
        })
      })(this)), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())).parse__sc_Seq()
    };
    const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser().init___Lorg_yaml_model_YMap__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext(this.map__Lorg_yaml_model_YMap(), "example", "x-examples", this.ctx$1).parse__sc_Seq();
    if (examples.nonEmpty__Z()) {
      const this$22 = this.shape__Lamf_core_model_domain_Shape();
      const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$22, field$7, examples)
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.shape__Lamf_core_model_domain_Shape(), this.map__Lorg_yaml_model_YMap(), this.ctx$1).parse__V();
    return this.shape__Lamf_core_model_domain_Shape()
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext($$outer, ctx) {
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.securityScheme$1.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("type", f, this.spec$1)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f$3, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, this.spec$1)))
    };
    results.$$plus$eq__O__scm_ListBuffer(this.describedByEmitter__F4().apply__O__O__O__O__O("describedBy", this.securityScheme$1, this.ordering$1, this.references$1));
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$3 = this$4.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$5, this.ordering$1, this.spec$1)))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.references$1 = references;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.shape$1.fields__Lamf_core_parser_Fields();
    const x1 = $m_s_Option$().apply__O__s_Option(fs.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      if (v.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())) {
        const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
        if ((!this$1.isEmpty__Z())) {
          const arg1 = this$1.get__O();
          const f = arg1;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("required", f)))
        }
      }
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f$3, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, this.spec$1)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$3 = this$4.get__O();
      const f$5 = arg1$3;
      const this$5 = f$5.value$1;
      const x$51 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(this$5.value$1.toString__T());
      const x$52 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f$5.value$1.annotations$1);
      const x$53 = $m_Lorg_yaml_model_YType$().Str$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("default", x$51, x$53, x$52)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Values$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$4 = this$7.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", f$6, this.ordering$1, false)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$5 = this$8.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("(externalDocs)", f$7.value$1.value$1, this.ordering$1, this.spec$1)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$6 = this$9.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("xml", f$8, this.ordering$1, this.spec$1)))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$7 = this$10.get__O();
      const f$9 = arg1$7;
      const jsx$2 = f$9.value$1.value$1.values$1;
      const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter(this);
      const this$11 = $m_sc_Seq$();
      const examples = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$11.ReusableCBFInstance$2);
      new $c_s_Some().init___O((((examples.size__I() === 1) && examples.head__O().annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SingleValueArray.getClassOf())) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter().init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("example", examples.head__O(), this.ordering$1, this.spec$1)) : result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("examples", examples, this.ordering$1, this.references$1, this.spec$1))))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field());
    if ((!this$12.isEmpty__Z())) {
      const arg1$8 = this$12.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().customFacetsEmitter__F3().apply__O__O__O__O(f$10, this.ordering$1, this.references$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    if (this$13.isEmpty__Z()) {
      const this$14 = this.typeName__s_Option();
      if ((!this$14.isEmpty__Z())) {
        const arg1$9 = this$14.get__O();
        const value = arg1$9;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", value, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
      }
    } else {
      const arg1$10 = this$13.get__O();
      const f$11 = arg1$10;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$11, this.ordering$1, this.references$1, this.spec$1))
    };
    return result
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__s_Option(node, parent, format, defaultType, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector().init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(parent, format, defaultType, false, ctx).detect__Lorg_yaml_model_YNode__s_Option(node)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetection$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__sc_Seq__Lorg_yaml_model_YPart__s_Option(inheritsTypes, ast) {
    const head = inheritsTypes.headOption__s_Option();
    if ((inheritsTypes.count__F1__I(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, head$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const that = head$1.get__O();
        return (x$4 === that)
      })
    })(this, head))) !== inheritsTypes.size__I())) {
      const this$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f;
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
      const node = this.$$outer$1.parent$1;
      this$1.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node, $m_s_None$(), "Can't inherit from more than one class type", ast);
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$())
    } else {
      return head
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$InheritsTypeDetecter$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$ extends $c_O {
  constructor() {
    super();
    this.InheritsUnionMatcher$module$1 = null;
    this.$$outer$1 = null
  };
  InheritsUnionMatcher$lzycompute$1__p1__V() {
    if ((this.InheritsUnionMatcher$module$1 === null)) {
      this.InheritsUnionMatcher$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$(this)
    }
  };
  InheritsUnionMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$() {
    if ((this.InheritsUnionMatcher$module$1 === null)) {
      this.InheritsUnionMatcher$lzycompute$1__p1__V()
    };
    return this.InheritsUnionMatcher$module$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(shape, part, plainUnion, ctx) {
    _apply: while (true) {
      const x1 = shape;
      const this$1 = shape;
      if (this$1.linkTarget$1.isDefined__Z()) {
        const x1$2 = shape.linkTarget$1;
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const linkedShape = x2.value$2;
          if ($is_Lamf_core_model_domain_Shape(linkedShape)) {
            const x3 = linkedShape;
            shape = x3;
            continue _apply
          }
        };
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
        const node = shape.id$1;
        ctx.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node, $m_s_None$(), "Found reference to domain element different of Shape when shape was expected", part);
        return $m_s_None$()
      } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
        return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$())
      } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
        const x3$2 = x1;
        const x1$3 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$().matchType__Lamf_plugins_domain_shapes_models_TypeDef__T2($m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$().typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(x3$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1)));
        if ((x1$3 === null)) {
          throw new $c_s_MatchError().init___O(x1$3)
        };
        const typeDef = x1$3.$$und1__O();
        const format = x1$3.$$und2__O();
        return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(typeDef, format, ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())))
      } else if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
        const x4 = x1;
        return (plainUnion ? this.InheritsUnionMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$().apply__Lamf_plugins_domain_shapes_models_UnionShape__Lorg_yaml_model_YNode__Lamf_core_parser_ParserContext__s_Option(x4, part, ctx) : new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$()))
      } else {
        return ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1) ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()) : ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1) ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$()) : ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1) ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$()) : $m_s_None$())))
      }
    }
  };
  findEventualShapes__p1__Lorg_yaml_model_YMap__sc_Seq(map) {
    const this$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(k$2) {
        const k = k$2;
        return $m_sjsr_RuntimeString$().endsWith__T__T__Z(k, "Shape")
      })
    })(this));
    const shapesNodes = new $c_sci_MapLike$$anon$1().init___sci_MapLike__F1(this$1, p);
    const elem = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const possibles = new $c_sr_ObjectRef().init___O(elem);
    map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, shapesNodes$1, possibles$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const locals = shapesNodes$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, entry$1) {
          return (function(value$2) {
            const value = value$2;
            const this$3 = value.$$und2__O();
            const elem$1 = entry$1.key$1.toString__T();
            return this$3.contains__O__Z(elem$1)
          })
        })(this$2$1, entry)));
        if (possibles$1.elem$1.isEmpty__Z()) {
          const this$4 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(locals);
          possibles$1.elem$1 = $f_sc_SetLike__toSeq__sc_Seq(this$4)
        } else {
          const this$5 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(locals);
          const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
          const this$7 = this$5.$$outer$4.keysIterator__sc_Iterator();
          while (this$7.hasNext__Z()) {
            const arg1 = this$7.next__O();
            const k$1 = arg1;
            if ((possibles$1.elem$1.contains__O__Z(k$1) !== false)) {
              b.$$plus$eq__O__scm_SetBuilder(arg1)
            }
          };
          possibles$1.elem$1 = b.elems$1.toSeq__sc_Seq()
        }
      })
    })(this, shapesNodes, possibles)));
    return possibles.elem$1.distinct__O()
  };
  fetchByRamlSyntax__Lorg_yaml_model_YMap__s_Option(map) {
    const defs = this.findEventualShapes__p1__Lorg_yaml_model_YMap__sc_Seq(map).toList__sci_List();
    const jsx$2 = $m_s_Option$();
    let rc12 = false;
    let x8 = null;
    let rc13 = false;
    let x2 = null;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = defs;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$6 = arg1;
      if (((x$6 !== "shape") !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    const x1 = b.toList__sci_List();
    let jsx$1;
    matchEnd14: {
      const x = $m_sci_Nil$();
      if (x.equals__O__Z(x1)) {
        rc12 = true;
        x8 = x1;
        if ($f_sc_LinearSeqOptimized__contains__O__Z(defs, "shape")) {
          jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
          break matchEnd14
        }
      };
      if ((rc12 && (!$f_sc_LinearSeqOptimized__contains__O__Z(defs, "shape")))) {
        jsx$1 = this.$$outer$1.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef();
        break matchEnd14
      };
      if ($is_sci_$colon$colon(x1)) {
        rc13 = true;
        x2 = x1;
        const head = x2.head$5;
        const p3 = x2.tl$5;
        const x$3 = $m_sci_Nil$();
        if (x$3.equals__O__Z(p3)) {
          if ((head === "nodeShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
            break matchEnd14
          } else if ((head === "arrayShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
            break matchEnd14
          } else if ((head === "stringScalarShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
            break matchEnd14
          } else if ((head === "numberScalarShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
            break matchEnd14
          } else {
            if ((head !== "fileShape")) {
              throw new $c_s_MatchError().init___O(head)
            };
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
            break matchEnd14
          }
        }
      };
      if (rc13) {
        const tail = x2.tl$5;
        if (($f_sc_TraversableOnce__nonEmpty__Z(tail) && new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type").isDefined__Z())) {
          jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
          break matchEnd14
        }
      };
      if (rc13) {
        const tail$2 = x2.tl$5;
        if ($f_sc_TraversableOnce__nonEmpty__Z(tail$2)) {
          jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$();
          break matchEnd14
        }
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    return jsx$2.apply__O__s_Option(jsx$1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$ShapeClassTypeDefMatcher$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, adopt, ctx) {
    const x1 = ctx.vendor__Lamf_core_remote_Vendor();
    if ($is_Lamf_core_remote_Raml(x1)) {
      $m_Lorg_yaml_model_YNode$();
      const node = entry.key$1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), entry.value$1, adopt, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx))
    } else {
      const x = $m_Lamf_core_remote_Oas$();
      if ((x === x1)) {
        $m_Lorg_yaml_model_YNode$();
        const node$1 = entry.key$1;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(entry, node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), entry.value$1, adopt, ctx)
      } else {
        throw new $c_jl_IllegalArgumentException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported vendor ", " in security scheme parsers"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])))
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.SecuritySchemeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ extends $c_O {
  init___() {
    return this
  };
  parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_License(node, ctx) {
    return $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), ctx).parse__Lamf_plugins_domain_webapi_models_License()
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser(map, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(map, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.LicenseParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser(map, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(map, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
  parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_Organization(node, ctx) {
    return $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), ctx).parse__Lamf_plugins_domain_webapi_models_Organization()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OrganizationParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, "header")
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlHeaderParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx) {
    const head = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx).entries$3.head__O();
    return ctx.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().parameterParser__F3().apply__O__O__O__O(head, producer, parseOptional).parse__Lamf_plugins_domain_webapi_models_Parameter()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParameterParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const jsx$1 = this.producer$1;
    $m_Lorg_yaml_model_YNode$();
    const node = this.entry$1.key$1;
    const this$2 = jsx$1.apply__O__O(new $c_s_Some().init___O(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)));
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, "query")
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlQueryParameterParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ extends $c_O {
  init___() {
    return this
  };
  fromText__T__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType(text) {
    return ((text === "OAuth 2.0") ? new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z("oauth2", true) : ((text === "Basic Authentication") ? new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z("basic", true) : ((text === "x-apiKey") ? new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z("apiKey", true) : new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z(text, false))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSecuritySchemeTypeMapping$", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$;
let $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$
});
class $c_Lamf_plugins_document_webapi_parser_spec_package$ extends $c_O {
  init___() {
    return this
  };
  toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(ctx, new $c_s_Some().init___O(ctx.declarations$3))
  };
  toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx) {
    return new $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext().init___Lamf_core_parser_ParserContext__s_Option(ctx, new $c_s_Some().init___O(ctx.declarations$3))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_package$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_package$: 0
}, false, "amf.plugins.document.webapi.parser.spec.package$", {
  Lamf_plugins_document_webapi_parser_spec_package$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_package$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_package$;
let $n_Lamf_plugins_document_webapi_parser_spec_package$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_package$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_package$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_package$ = new $c_Lamf_plugins_document_webapi_parser_spec_package$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_package$
});
class $c_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ extends $c_O {
  constructor() {
    super();
    this.definitionsPrefix$1 = null;
    this.parameterDefinitionsPrefix$1 = null;
    this.responsesDefinitionsPrefix$1 = null
  };
  init___() {
    this.definitionsPrefix$1 = "#/definitions/";
    this.parameterDefinitionsPrefix$1 = "#/parameters/";
    this.responsesDefinitionsPrefix$1 = "#/responses/";
    return this
  };
  stripParameterDefinitionsPrefix__T__T(url) {
    const this$2 = new $c_sci_StringOps().init___T(url);
    const prefix = this.parameterDefinitionsPrefix$1;
    return $f_sci_StringLike__stripPrefix__T__T(this$2, prefix)
  };
  appendPrefix__p1__T__T__T(prefix, url) {
    return (("" + prefix) + url)
  };
  stripDefinitionsPrefix__T__T(url) {
    const this$2 = new $c_sci_StringOps().init___T(url);
    const prefix = this.definitionsPrefix$1;
    return $f_sci_StringLike__stripPrefix__T__T(this$2, prefix)
  };
  stripResponsesDefinitionsPrefix__T__T(url) {
    const this$2 = new $c_sci_StringOps().init___T(url);
    const prefix = this.responsesDefinitionsPrefix$1;
    return $f_sci_StringLike__stripPrefix__T__T(this$2, prefix)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$: 0
}, false, "amf.plugins.document.webapi.parser.spec.package$OasDefinitions$", {
  Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$;
let $n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = new $c_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.DocumentationItemFragmentEmitter$module$1 = null;
    this.DataTypeFragmentEmitter$module$1 = null;
    this.AnnotationFragmentEmitter$module$1 = null;
    this.SecuritySchemeFragmentEmitter$module$1 = null;
    this.ResourceTypeFragmentEmitter$module$1 = null;
    this.TraitFragmentEmitter$module$1 = null;
    this.FragmentNamedExampleEmitter$module$1 = null;
    this.fragment$1 = null;
    this.spec$1 = null
  };
  init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(fragment, spec) {
    this.fragment$1 = fragment;
    this.spec$1 = spec;
    return this
  };
  emitFragment__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Raml$(), this.fragment$1.encodes__Lamf_core_model_domain_DomainElement().annotations__Lamf_core_parser_Annotations());
    const x1 = this.fragment$1;
    let typeEmitter;
    if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x1)) {
      const x2 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering(this, x2, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x1)) {
      const x3 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering(this, x3, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x1)) {
      const x4 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering(this, x4, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x1)) {
      const x5 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering(this, x5, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x1)) {
      const x6 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering(this, x6, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x1)) {
      const x7 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering(this, x7, ordering)
    } else {
      if ((!$is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x1))) {
        throw new $c_jl_UnsupportedOperationException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported fragment type: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fragment$1])))
      };
      const x8 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering(this, x8, ordering)
    };
    const this$1 = this.fragment$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("usage", f))
    };
    const references = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering(this.fragment$1.references__sc_Seq(), ordering)]));
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    b.comment__T__V(typeEmitter.header__Lamf_plugins_document_webapi_parser_RamlHeader().text$1);
    const jsx$5 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = typeEmitter.emitters__sc_Seq__sc_Seq(this.fragment$1.references__sc_Seq());
    const jsx$2 = usage.toList__sci_List();
    const this$8 = $m_sc_Seq$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$8.ReusableCBFInstance$2);
    const this$9 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(references, this$9.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters extends $c_O {
  constructor() {
    super();
    this.DeclaredTypesEmitters$module$1 = null;
    this.spec$1 = null
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(doc, ordering, spec) {
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters)))
});
const $f_Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax__$$init$__V = (function($thiz) {
  const array = ["title", "content"];
  let y;
  if (((array.length | 0) === 0)) {
    y = $m_sci_Set$EmptySet$()
  } else {
    const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      b.$$plus$eq__O__scm_SetBuilder(arg1);
      i = ((1 + i) | 0)
    };
    y = b.elems$1
  };
  const jsx$2 = new $c_T2().init___O__O("userDocumentation", y);
  const array$1 = ["displayName", "description", "headers", "body"];
  let y$1;
  if (((array$1.length | 0) === 0)) {
    y$1 = $m_sci_Set$EmptySet$()
  } else {
    const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i$1 = 0;
    const len$1 = (array$1.length | 0);
    while ((i$1 < len$1)) {
      const index$1 = i$1;
      const arg1$1 = array$1[index$1];
      b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
      i$1 = ((1 + i$1) | 0)
    };
    y$1 = b$1.elems$1
  };
  const jsx$1 = new $c_T2().init___O__O("response", y$1);
  const array$2 = ["type", "displayName", "description", "decribedBy", "settings"];
  let y$2;
  if (((array$2.length | 0) === 0)) {
    y$2 = $m_sci_Set$EmptySet$()
  } else {
    const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i$2 = 0;
    const len$2 = (array$2.length | 0);
    while ((i$2 < len$2)) {
      const index$2 = i$2;
      const arg1$2 = array$2[index$2];
      b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
      i$2 = ((1 + i$2) | 0)
    };
    y$2 = b$2.elems$1
  };
  const array$3 = [jsx$2, jsx$1, new $c_T2().init___O__O("securitySchema", y$2)];
  const this$11 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$3 = 0;
  const len$3 = (array$3.length | 0);
  while ((i$3 < len$3)) {
    const index$3 = i$3;
    const arg1$3 = array$3[index$3];
    this$11.$$plus$eq__T2__scm_MapBuilder(arg1$3);
    i$3 = ((1 + i$3) | 0)
  };
  $thiz.amf$plugins$document$webapi$parser$spec$raml$RamlSyntax$$undsetter$und$commonNodes$und$eq__sci_Map__V(this$11.elems$1)
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser extends $c_O {
  constructor() {
    super();
    this.adopt$1 = null;
    this.i$1 = 0;
    this.part$1 = null;
    this.checking$1 = false;
    this.ctx$1 = null;
    this.parsedShape$1 = null;
    this.acc$1 = null;
    this.parsingArray$1 = false;
    this.lexical$1 = null
  };
  fillEmptyArray__p1__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_plugins_domain_shapes_models_DataArrangementShape(shape) {
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x2 = shape;
      let rc9 = false;
      let x2$2 = null;
      const x1$2 = this.parsedShape$1;
      const x = $m_s_None$();
      if ((x === x1$2)) {
        return shape
      };
      if ($is_s_Some(x1$2)) {
        rc9 = true;
        x2$2 = x1$2;
        const a = x2$2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(a)) {
          const x6 = a;
          const this$1 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x2.fields$2, x2.annotations$2);
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, x6)
        }
      };
      if (rc9) {
        const m = x2$2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(m)) {
          const x7 = m;
          const this$2 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x2.fields$2, x2.annotations$2);
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field$1, x7)
        }
      };
      if (rc9) {
        const other = x2$2.value$2;
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x2, field$2, other)
      };
      throw new $c_s_MatchError().init___O(x1$2)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x3 = shape;
      let rc9$2 = false;
      let x2$3 = null;
      const x1$3 = this.parsedShape$1;
      const x$3 = $m_s_None$();
      if ((x$3 === x1$3)) {
        return shape
      };
      if ($is_s_Some(x1$3)) {
        rc9$2 = true;
        x2$3 = x1$3;
        const a$2 = x2$3.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(a$2)) {
          const x6$2 = a$2;
          const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x3, field$3, x6$2)
        }
      };
      if (rc9$2) {
        const m$2 = x2$3.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(m$2)) {
          const x7$2 = m$2;
          const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x3, field$4, x7$2)
        }
      };
      if (rc9$2) {
        const other$2 = x2$3.value$2;
        const this$3 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x3.fields$2, x3.annotations$2);
        const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$3, field$5, other$2)
      };
      throw new $c_s_MatchError().init___O(x1$3)
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  toUnion__p1__Lamf_core_model_domain_Shape() {
    let rc7 = false;
    let x2 = null;
    const x1 = this.parsedShape$1;
    const x = $m_s_None$();
    if ((x === x1)) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const union = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      this.adopt$1.apply__O__O(union);
      this.ctx$1.violation__T__T__s_Option__T__s_Option__V(union.id$1, "", $m_s_None$(), "Syntax error, cannot create empty Union", this.lexical$1);
      return union
    };
    if ($is_s_Some(x1)) {
      rc7 = true;
      x2 = x1;
      const u = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_UnionShape(u)) {
        const x5 = u;
        return x5
      }
    };
    if (rc7) {
      const shape = x2.value$2;
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const union$2 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      this.adopt$1.apply__O__O(union$2);
      const elements = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape]));
      const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(union$2, field, elements)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, i, part, checking, ctx) {
    this.adopt$1 = adopt;
    this.i$1 = i;
    this.part$1 = part;
    this.checking$1 = checking;
    this.ctx$1 = ctx;
    this.parsedShape$1 = $m_s_None$();
    this.acc$1 = "";
    this.parsingArray$1 = false;
    let this$1;
    if (part.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = part.get__O();
      const p = arg1;
      this$1 = new $c_s_Some().init___O($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(p.range__Lorg_mulesoft_lexer_InputRange()))
    };
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1$1 = this$1.get__O();
      const range = arg1$1;
      jsx$1 = new $c_s_Some().init___O(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range(range))
    };
    this.lexical$1 = jsx$1;
    return this
  };
  parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input) {
    if (input.isEmpty__Z()) {
      this.processChars__p1__O();
      return new $c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult().init___s_Option__sc_Seq(this.parsedShape$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
    } else {
      const c = input.head__O();
      let x1;
      if ((c === null)) {
        x1 = 0
      } else {
        const this$2 = c;
        x1 = this$2.value$1
      };
      switch (x1) {
        case 41: {
          this.processChars__p1__O();
          return new $c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult().init___s_Option__sc_Seq(this.parsedShape$1, input.tail__O());
          break
        }
        case 40: {
          this.processChars__p1__O();
          const result = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(this.adopt$1, ((1 + this.i$1) | 0), this.part$1, this.checking$1, this.ctx$1).parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          this.acceptShape__p1__s_Option__O(result.result$1);
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(result.remaining$1);
          break
        }
        case 124: {
          if (((this.acc$1 === "") && this.parsedShape$1.isEmpty__Z())) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Syntax error, cannot parse Union with empty values"))
          };
          this.processChars__p1__O();
          this.parsedShape$1 = new $c_s_Some().init___O(this.toUnion__p1__Lamf_core_model_domain_Shape());
          const result$2 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(this.adopt$1, ((1 + this.i$1) | 0), this.part$1, this.checking$1, this.ctx$1).parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          this.acceptShape__p1__s_Option__O(result$2.result$1);
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(result$2.remaining$1);
          break
        }
        case 91: {
          this.processChars__p1__O();
          if (this.parsingArray$1) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Syntax error, duplicated ["))
          };
          this.parsingArray$1 = true;
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          break
        }
        case 93: {
          if ((!this.parsingArray$1)) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Syntax error, Not matching ]"))
          };
          this.parsingArray$1 = false;
          this.parsedShape$1 = new $c_s_Some().init___O(this.toArray__p1__Lamf_core_model_domain_Shape());
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          break
        }
        default: {
          this.acc$1 = (("" + this.acc$1) + new $c_jl_Character().init___C(x1));
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O())
        }
      }
    }
  };
  acceptShape__p1__s_Option__O(maybeShape) {
    let rc7 = false;
    let x2 = null;
    const x = $m_s_None$();
    if ((x === maybeShape)) {
      return (void 0)
    };
    if ($is_s_Some(maybeShape)) {
      rc7 = true;
      x2 = maybeShape;
      const array = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(array)) {
        const x5 = array;
        if (this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x5)) {
          const x1$2 = this.parsedShape$1;
          const x$3 = $m_s_None$();
          if ((x$3 === x1$2)) {
            this.parsedShape$1 = new $c_s_Some().init___O(x5)
          } else {
            if ((!$is_s_Some(x1$2))) {
              throw new $c_s_MatchError().init___O(x1$2)
            };
            this.parsedShape$1 = new $c_s_Some().init___O(this.fillEmptyArray__p1__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_plugins_domain_shapes_models_DataArrangementShape(x5))
          };
          return (void 0)
        }
      }
    };
    if (rc7) {
      const shape = x2.value$2;
      const x1$3 = this.parsedShape$1;
      const x$6 = $m_s_None$();
      if ((x$6 === x1$3)) {
        this.parsedShape$1 = new $c_s_Some().init___O(shape);
        return (void 0)
      };
      if ($is_s_Some(x1$3)) {
        const x2$2 = x1$3;
        const union = x2$2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_UnionShape(union)) {
          const x4 = union;
          if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
            const x2$3 = shape;
            const jsx$2 = x4.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            const jsx$1 = x2$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            const this$1 = $m_sc_Seq$();
            const newAnyOf = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
            x4.fields$2.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            return x4.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newAnyOf, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
          } else {
            const jsx$4 = x4.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape]));
            const this$5 = $m_sc_Seq$();
            const newAnyOf$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
            x4.fields$2.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            return x4.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newAnyOf$2, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
          }
        }
      };
      this.ctx$1.violation__T__T__s_Option__T__s_Option__V(shape.id$1, "", $m_s_None$(), new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing type expression, cannot accept type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape])), this.lexical$1);
      return new $c_s_Some().init___O(shape)
    };
    throw new $c_s_MatchError().init___O(maybeShape)
  };
  parse__T__s_Option(expression) {
    const xs = $m_sjsr_RuntimeString$().toCharArray__T__AC($m_sjsr_RuntimeString$().replaceAll__T__T__T__T(expression, "\\s*", ""));
    const input = new $c_scm_WrappedArray$ofChar().init___AC(xs);
    const x1 = this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input).result$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const t = x2.value$2;
      this.ensureNotEmptyArray__p1__Lamf_core_model_domain_Shape__V(t);
      t.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression().init___T(expression));
      return new $c_s_Some().init___O(t)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  toArray__p1__Lamf_core_model_domain_Shape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const array = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    this.adopt$1.apply__O__O(array);
    let rc9 = false;
    let x2 = null;
    const x1 = this.parsedShape$1;
    const x = $m_s_None$();
    if ((x === x1)) {
      return array
    };
    if ($is_s_Some(x1)) {
      rc9 = true;
      x2 = x1;
      const a = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(a)) {
        const x6 = a;
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const this$7 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        const value = array.id$1;
        const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
        const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$8, field, x6)
      }
    };
    if (rc9) {
      const a$2 = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(a$2)) {
        const x7 = a$2;
        const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
        const this$12 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
        const value$1 = array.id$1;
        const this$13 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$12, value$1);
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$13, field$1, x7)
      }
    };
    if (rc9) {
      const other = x2.value$2;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(array, field$2, other)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  ensureNotEmptyArray__p1__Lamf_core_model_domain_Shape__V(t) {
    let empty;
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(t)) {
      const x2 = t;
      empty = this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(t)) {
      const x3 = t;
      empty = this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x3)
    } else {
      empty = false
    };
    if (empty) {
      this.ctx$1.violation__T__T__s_Option__T__s_Option__V(t.id$1, "", $m_s_None$(), "Syntax error, generating empty array", this.lexical$1)
    }
  };
  processChars__p1__O() {
    if ((this.acc$1 !== "")) {
      const x1 = this.acc$1;
      let shape$2;
      if ((x1 === "nil")) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        shape$2 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
      } else if ((x1 === "any")) {
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const fields = new $c_Lamf_core_parser_Fields().init___();
        shape$2 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$1)
      } else if ((x1 === "string")) {
        const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
        const this$13 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
        const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "string").iri__T();
        const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$13, field, dataType)
      } else if ((x1 === "integer")) {
        const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
        const this$19 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
        const this$17 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "integer").iri__T();
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$19, field$1, dataType$1)
      } else if ((x1 === "number")) {
        const annotations$4 = new $c_Lamf_core_parser_Annotations().init___();
        const this$25 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4);
        const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "float").iri__T();
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$25, field$2, dataType$2)
      } else if ((x1 === "boolean")) {
        const annotations$5 = new $c_Lamf_core_parser_Annotations().init___();
        const this$31 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5);
        const this$29 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "boolean").iri__T();
        const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$31, field$3, dataType$3)
      } else if ((x1 === "datetime")) {
        const annotations$6 = new $c_Lamf_core_parser_Annotations().init___();
        const this$37 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$6);
        const this$35 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$35, "dateTime").iri__T();
        const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$37, field$4, dataType$4)
      } else if ((x1 === "datetime-only")) {
        const annotations$7 = new $c_Lamf_core_parser_Annotations().init___();
        const this$43 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$7);
        const this$41 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$41, "dateTime").iri__T();
        const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$43, field$5, dataType$5)
      } else if ((x1 === "time-only")) {
        const annotations$8 = new $c_Lamf_core_parser_Annotations().init___();
        const this$49 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$8);
        const this$47 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$47, "time").iri__T();
        const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$49, field$6, dataType$6)
      } else if ((x1 === "date-only")) {
        const annotations$9 = new $c_Lamf_core_parser_Annotations().init___();
        const this$55 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$9);
        const this$53 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$53, "date").iri__T();
        const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$55, field$7, dataType$7)
      } else {
        const x1$2 = this.ctx$1.declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(x1, $m_Lamf_core_parser_SearchScope$Named$());
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const s = x2.value$2;
          const annotations$10 = new $c_Lamf_core_parser_Annotations().init___();
          shape$2 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, x1, annotations$10)
        } else {
          const this$57 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__s_Option__Lamf_plugins_domain_shapes_models_UnresolvedShape(x1, this.part$1);
          const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$57, field$8, x1);
          const c = this.ctx$1;
          $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, c);
          this.adopt$1.apply__O__O(shape);
          if ((!this.checking$1)) {
            const this$58 = this.part$1;
            const refAst = (this$58.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().Null$1 : this$58.get__O());
            const ctx = this.ctx$1;
            $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, x1, refAst, ctx)
          };
          shape$2 = shape
        }
      };
      if ($m_s_Option$().apply__O__s_Option(shape$2.id$1).isEmpty__Z()) {
        this.adopt$1.apply__O__O(shape$2)
      };
      this.acc$1 = "";
      return this.acceptShape__p1__s_Option__O(new $c_s_Some().init___O(shape$2))
    } else {
      return (void 0)
    }
  };
  isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(shape) {
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x2 = shape;
      return $m_s_Option$().apply__O__s_Option(x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)).isEmpty__Z()
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x3 = shape;
      return this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1))
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlTypeExpressionParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    const pipeline = new $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline().init___();
    const doc = new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    doc.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1, shape, new $c_Lamf_core_parser_Annotations().init___());
    const canonicalDoc = pipeline.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(doc);
    return canonicalDoc.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.CanonicalShapePipeline$", {
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$;
let $n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = (void 0);
const $m_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$)) {
    $n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = new $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$().init___()
  };
  return $n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$
});
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$ extends $c_O {
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($$outer) {
    return this
  };
  endpoint__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver, endpoint, context) {
    return new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer().init___sc_Seq(this.resolveTraits__p1__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context__sc_Seq(resolver, endpoint.traits__sc_Seq(), context))
  };
  resolveTraits__p1__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context__sc_Seq(resolver, parameterized, context) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resolver$1, context$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return resolver$1.resolve__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x$3, context$1)
      })
    })(this, resolver, context));
    const this$1 = $m_sc_Seq$();
    return parameterized.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  resourceType__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__T__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(traits, resourceType, context, operation) {
    const this$1 = resourceType.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, operation$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (x$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1) === operation$1)
      })
    })(this, operation)));
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      this$2 = new $c_s_Some().init___O(this.method__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(traits, x$2, context).flatten__sc_Seq())
    };
    const o = (this$2.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$2.get__O());
    const e = this.endpoint__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(traits, resourceType, context).flatten__sc_Seq();
    return new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer().init___sc_Seq($m_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$().merge__sc_Seq__sc_Seq__sc_Seq(o, e))
  };
  method__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver, operation, context) {
    return new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer().init___sc_Seq(this.resolveTraits__p1__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context__sc_Seq(resolver, operation.traits__sc_Seq(), context))
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$Branches$", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$;
class $c_Lamf_plugins_document_webapi_validation_AMFRawValidations$ extends $c_O {
  constructor() {
    super();
    this.raw$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = this;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["amf-parser:mandatory-api-version\tMissing madatory Swagger / info / version\tOpenAPI\tDomain\tschema-org:WebAPI\tschema-org:version\tPropertyShape\tsh:path\tsh:minCount\t1\tAPI Version is Mandatory\tVersion is mandatory in Info object", "amf-parser:raml-schemes\tProtocols property must be http or https\tRAML\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:in\thttp,https,HTTP,HTTPS\tProtocols must have a case insensitive value matching http or https\tSwagger object 'schemes' property must have a case insensitive value matching http or https", "amf-parser:raml-schemes\tProtocols property must be http or https\tRAML08\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:in\thttp,https,HTTP,HTTPS\tProtocols must have a case insensitive value matching http or https\tSwagger object 'schemes' property must have a case insensitive value matching http or https", "amf-parser:openapi-schemes\tProtocols property must be http,https,ws,wss\tOpenAPI\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:in\thttp,https,ws,wss\tProtocols must match a value http, https, ws or wss\tSwagger object 'schemes' property must have a value matching http, https, ws or wss", "amf-parser:mandatory-external-doc-url\tSwagger external-doc element without URL\tOpenAPI\tDomain\tschema-org:CreativeWork\tschema-org:url\tPropertyShape\tsh:path\tsh:minCount\t1\tDocumentation URL is mandatory in API external documentation\tURL is mandatory in External Documentation object", "amf-parser:mandatory-license-name\tSwagger License node without name\tOpenAPI\tDomain\traml-http:License\tschema-org:name\tPropertyShape\tsh:path\tsh:minCount\t1\tLicense name is mandatory if license information is included\tName is mandatory in License object", "amf-parser:strict-url-strings\tURLs in values mapped to schema-org:url must be valid\tAMF\tDomain\traml-doc:DomainElement\tschema-org:url\tNodeShape\tsh:targetObjectsOf\tsh:nodeKind\tsh:IRI\tURLs must be valid\tURLs must be valid", "amf-parser:host-valid-domain\tDomains must be valid domain names\tOpenAPI\tDomain\tschema-org:WebAPI\traml-http:host\tPropertyShape\tsh:path\tsh:pattern\t^[^{}\\/ :\\\\]+(?::\\d+)?$\tBaseUris must be valid and not templates\tHost information must be valid host", "amf-parser:empty-responses\tNo responses declared\tOpenAPI\tDomain\thydra:Operation\thydra:returns\tPropertyShape\tsh:path\tsh:minCount\t1\tResponses array cannot be empty\tResponses cannot be empty", "amf-parser:empty-enum\tEnum in types cannot be empty\tOpenAPI\tDomain\traml-shapes:Shape\tsh:in\tPropertyShape\tsh:path\tsh:node\tamf-parser:NonEmptyList\tProperty 'enum' must have at least one value\tProperty 'enum' for a Schema object must have at least one value", "amf-parser:raml-status-code\tStatus code must match a valid numeric status code\tRAML\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:pattern\t^([0-9]{3})$\tStatus code must be numeric\tStatus code must be numeric", "amf-parser:raml-status-code\tStatus code must match a valid numeric status code\tRAML08\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:pattern\t^([0-9]{3})$\tStatus code must be numeric\tStatus code must be numeric", "amf-parser:array-shape-items-mandatory\tDeclaration of the type of the items for an array is required\tOpenAPI\tDomain\traml-shapes:ArrayShape\traml-shapes:items\tPropertyShape\tsh:path\tsh:minCount\t1\titems facet of RAML Array type is required\titems property of Schame objects of type 'array' is required", "amf-parser:array-shape-items-optional\tDeclaration of the type of the items for an array is optional\tRAML\tDomain\traml-shapes:ArrayShape\traml-shapes:items\tPropertyShape\tsh:path\tsh:minCount\t0\titems facet of RAML Array type is required\titems property of Schame objects of type 'array' is required", "amf-parser:array-shape-items-optional\tDeclaration of the type of the items for an array is optional\tRAML08\tDomain\traml-shapes:ArrayShape\traml-shapes:items\tPropertyShape\tsh:path\tsh:minCount\t0\titems facet of RAML Array type is required\titems property of Schame objects of type 'array' is required", "amf-parser:multiple-of\tMultiple of should be greater than 0\tRAML\tDomain\tsh:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\traml-shapes:multipleOfValidation\t0\tMultiple of facet should be greater than 0\tMultiple of facet should be greater than 0", "amf-parser:multiple-of\tMultiple of should be greater than 0\tRAML08\tDomain\tsh:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\traml-shapes:multipleOfValidation\t0\tMultiple of facet should be greater than 0\tMultiple of facet should be greater than 0", "amf-parser:max-length\tMax length should be greater or equal than 0\tRAML\tDomain\tsh:ScalarShape\tsh:maxLength\tPropertyShape\tsh:path\traml-shapes:maxLengthValidation\t0\tMax length facet should be greater or equal than 0\tMax length facet should be greater or equal than 0", "amf-parser:max-length\tMax length should be greater or equal than 0\tRAML08\tDomain\tsh:ScalarShape\tsh:maxLength\tPropertyShape\tsh:path\traml-shapes:maxLengthValidation\t0\tMax length facet should be greater or equal than 0\tMax length facet should be greater or equal than 0", "amf-parser:min-length\tMin length should be greater or equal than 0\tRAML\tDomain\tsh:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\traml-shapes:minLengthValidation\t0\tMin length facet should be greater or equal than 0\tMin length facet should be greater or equal than 0", "amf-parser:min-length\tMin length should be greater or equal than 0\tRAML08\tDomain\tsh:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\traml-shapes:minLengthValidation\t0\tMin length facet should be greater or equal than 0\tMin length facet should be greater or equal than 0", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:name\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tTitle and names must be string\tNames must be string", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:name\tPropertyShape\tsh:path\tsh:maxCount\t1\tTitles and names must be single values\tNames and titles must be single values", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:description\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tDescriptions must be strings\tDescription must be strings", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:description\tPropertyShape\tsh:path\tsh:maxCount\t1\tDescriptions must be single values\tDescriptions must be single values", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:name\tPropertyShape\tsh:path\tsh:minCount\t1\tAPI name must be a single value\tInfo object 'title' must be a single value", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:host\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI baseUri host information must be a string\tSwagger object 'host' must be a string", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:host\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI baseUri host information must be a single value\tSwagger object 'host' must be a single value", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI BaseUri scheme information must be a string\tSwagger object 'schemes' must be strings", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:basePath\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI baseUri path must be a string\tSwagger object 'basePath' must be a string", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:basePath\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI baseUri path must a single value\tSwagger object 'basePath' must be a single value.", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:basePath\tPropertyShape\tsh:path\tsh:pattern\t^/\tAPI baseUri path must start with a '/'\tSwagger object 'basePath' must start with a '/'.", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:accepts\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI default media types consumed must be strings\tSwagger object 'consumes' must be strings", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:mediaType\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI default media types produced must be strings\tSwagger object 'produces' must be strings", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:version\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI version must be a string\tInfo object 'version' must be string", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:version\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI version must be a single value\tInfo object 'version' must be a single value", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:termsOfService\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI terms of service must be a string\tInfo object 'termsOfService' must be string", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:termsOfService\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI terms of service must be a single value\tInfo object 'termsOfService' must a single value", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:provider\tPropertyShape\tsh:path\tsh:class\tschema-org:Organization\tAPI provider must hold Provider information\tInfo object 'contact' must be a Contact object", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:provider\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI provider must be a single value\tInfo object 'contact' must be a single value", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:endpoint\tPropertyShape\tsh:path\tsh:class\traml-http:EndPoint\tAPI paths must link Resources\tPaths object must link PathItem objects", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:parameter\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tAPI parameters must be valid parameters\tSwagger object 'parameters' must be valid Parameter objects", "\t\tAMF\tDomain\tschema-org:Organization\tschema-org:url\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI provider URL must be a single value\tContact object 'url' must be a single value", "\t\tAMF\tDomain\tschema-org:Organization\tschema-org:email\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI provider email must be a string\tContact object 'email' must be a string", "\t\tAMF\tDomain\tschema-org:Organization\tschema-org:email\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI provider must be a single value\tContact object 'email' must be a single value", "\t\tAMF\tDomain\traml-http:EndPoint\traml-http:path\tPropertyShape\tsh:path\tsh:maxCount\t1\tResource path must be unique\tPathItem object must have a single path", "\t\tAMF\tDomain\traml-http:EndPoint\traml-http:path\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tResource path must be a string\tPathItem object path must be a string", "\t\tAMF\tDomain\traml-http:EndPoint\traml-http:path\tPropertyShape\tsh:path\tsh:pattern\t^/\tResource path must start with a '/'\tPathItem path must start with a '/'", "\t\tAMF\tDomain\traml-http:Endpoint\thydra:supportedOperation\tPropertyShape\tsh:path\tsh:class\thydra:Operation\tResources must hold Methods operation\tPathItems must hold Operations information", "\t\tAMF\tDomain\traml-http:Endpoint\traml-http:parameter\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tResources uriParameters must be valid parameters\tPathItems 'parameters' property must be valid parameters", "\t\tAMF\tDomain\thydra:Operation\thydra:method\tPropertyShape\tsh:path\tsh:in\tget,put,post,delete,options,head,patch\tUknown method\tUknown Operation method", "\t\tAMF\tDomain\thydra:Operation\thydra:method\tPropertyShape\tsh:path\tsh:maxCount\t1\tMethods can only have a single HTTP verbe\tOperations can only have a single HTTP verb", "\t\tAMF\tDomain\thydra:Operation\thydra:returns\tPropertyShape\tsh:path\tsh:class\traml-http:Response\tMethods must hold Responses information\tOperations must hold Responses information", "\t\tAMF\tDomain\thydra:Operation\traml-http:guiSummary\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tMethods' summary information must be a string\tMethods' summary information must be a string", "\t\tAMF\tDomain\thydra:Operation\traml-http:guiSummary\tPropertyShape\tsh:path\tsh:maxCount\t1\tMethods can only have a single value for the summary information\tMethods can only have a single value for summary information", "\t\tAMF\tDomain\thydra:Operation\traml-doc:deprecated\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tMethods' deprecated must be a boolean\tMethods' deprecated must be a boolean", "\t\tAMF\tDomain\thydra:Operation\traml-doc:deprecated\tPropertyShape\tsh:path\tsh:maxCount\t1\tMethods' depcrecated must be a single value\tMethods' deprecated must be a single value", "\t\tAMF\tDomain\thydra:Operation\traml-http:scheme\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tprotocols must be strings\tschemes must be strings", "\t\tAMF\tDomain\thydra:Operation\traml-http:accepts\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tMethod default media types consumed must be strings\tOperation object 'consumes' must be strings", "\t\tAMF\tDomain\thydra:Operation\thydra:returns\tPropertyShape\tsh:path\tsh:class\traml-http:Response\tAn operation must have valid response information\tOperation object must return a valid Response object", "\t\tAMF\tDomain\traml-http:Request\traml-http:header\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tHeader information must be a valid header\tHeader information must be a valid header", "\t\tAMF\tDomain\traml-http:Request\traml-http:payload\tPropertyShape\tsh:path\tsh:class\traml-http:Payload\tPayload information for a Method request info must be valid\tPayload information for an Operation object request info must be valid", "\t\tAMF\tDomain\traml-http:Request\traml-http:parameter\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tParameter information for a Method must be valid\tParameter information for an Operation object must be valid", "\t\tAMF\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tStatus code for a Response must be a string\tStatus code for a Response object must be a string", "\t\tAMF\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:pattern\t^([0-9]{3})$|^(default)$\tStatus code for a Response must match '^([0-9]{3})$|^(default)$'\tStatus code for a Response must match '^([0-9]{3})$|^(default)$'", "\t\tAMF\tDomain\traml-http:Response\traml-http:header\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tHeader information must be a valid header\tHeader information must be a valid header", "\t\tAMF\tDomain\traml-http:Response\traml-http:payload\tPropertyShape\tsh:path\tsh:class\traml-http:Payload\tPayload information for a Response must be valid\tPayload information for a response must be valid", "\t\tAMF\tDomain\traml-http:Parameter\tschema-org:name\tPropertyShape\tsh:path\tsh:minCount\t1\tParameter information must have a name\tParameter object must have a name property", "\t\tAMF\tDomain\traml-http:Parameter\thydra:required\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tInformation about required parameters must be a boolean value\tRequired property of a Parameter object must be boolean", "\t\tAMF\tDomain\traml-http:Parameter\thydra:required\tPropertyShape\tsh:path\tsh:minCount\t1\tRequired information about a parameter is mandatory\tRequired property of a Parameter object is mandatory", "\t\tAMF\tDomain\traml-http:Parameter\thydra:required\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one value is allowed for required information of a parameter\tRequired property of a Parameter object must be a single value", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tInformation about the binding of the parameter is mandatory\tin' property of a Parameter object must be a string", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:minCount\t1\tBinding information for a parameter is mandatory\tin' property of a Parameter object is mandatory", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one binding is allowed per parameter\tin' property of a Parameter object must be a single value", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:in\tquery,path,header,uri\tBinding information for a parameter with an invalid value\tin' property of a parameter with an invalid value", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:schema\tPropertyShape\tsh:path\tsh:class\tsh:Shape\tExpected RAML Type not found\tExpected Schema object not found", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:schema\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one RAML type can be specified\tOnly one Schema object can be specified", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:schema\tPropertyShape\tsh:path\tsh:minCount\t1\tRAML Type information is mandatory for parameters\tSchema/type information required for Parameter objects", "\t\tAMF\tDomain\traml-http:Payload\traml-http:mediaType\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tMethod default media types produced must be strings\tOperation object 'produces' must be strings", "\t\tAMF\tDomain\traml-http:Payload\traml-http:mediaType\tPropertyShape\tsh:path\tsh:maxCount\t1\tMedia type maximum cardinality is 1 per payloa\tMedia type maximum cardinality is 1 per payload", "\t\tAMF\tDomain\traml-http:Payload\traml-http:schema\tPropertyShape\tsh:path\tsh:class\tsh:Shape\tExpected RAML Type not found\tExpected Schema object not found", "\t\tAMF\tDomain\traml-http:Payload\traml-http:schema\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one RAML type can be specified\tOnly one Schema object can be specified", "\t\tAMF\tDomain\traml-shapes:Shape\traml-shapes:xmlSerialization\tPropertyShape\tsh:path\tsh:class\traml-shapes:XMLSerializer\tProperty 'xml' of a RAML type must have as a value a valid XML Serialization\tProperty 'xml' of a Schema object must have as a value a valid XML object", "\t\tAMF\tDomain\traml-shapes:Shape\traml-shapes:xmlSerialization\tPropertyShape\tsh:path\tsh:maxCount\t1\tXML serialisation object must be a single value\tXML Object for the 'xml' property of a Schema object must be  single value", "\t\tAMF\tDomain\traml-shapes:Shape\tsh:in\tPropertyShape\tsh:path\tsh:maxCount\t1\tProperty 'enum'  must have a single list of values\tProperty 'enum' for a Schema object must have a single list of values", "\t\tAMF\tDomain\traml-shapes:Shape\tsh:in\tPropertyShape\tsh:path\tsh:node\tamf-parser:NonEmptyList\tOnly 1 array can be specified in RAML type enum\tOny 1 array can be specified in Schame object enum property", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlAtribute\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tXML attribute serialisation info must be boolean\tXML attribute serialisation info must be boolean", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlAtribute\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'attribute' of the XML serialisation mut be a single vlaue\tproperty 'attribute' of the XML serialisation mut be a single vlaue", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlWrapped\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tXML wraping serialisation info must be boolean\tXML wrapping serialisation info must be boolean", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlWrapped\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'wrapped' of the XML serialisation mut be a single vlaue\tproperty 'wrapped' of the XML serialisation mut be a single vlaue", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlName\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tXML name serialisation info must be string\tXML name serialisation info must be string", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlName\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'name' of the XML serialisation mut be a single vlaue\tproperty 'name' of the XML serialisation mut be a single vlaue", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlNamespace\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tXML namespace serialisation info must be string\tXML namespace serialisation info must be string", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlNamespace\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'namespace' of the XML serialisation mut be a single vlaue\tproperty 'namespace' of the XML serialisation mut be a single vlaue", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlPrefix\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tXML prefix serialisation info must be string\tXML prefix serialisation info must be string", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlPrefix\tPropertyShape\tsh:path\tsh:maxCount\t1\tProperty 'prefix' of the XML serialisation mut be a single vlaue\tProperty 'prefix' of the XML serialisation mut be a single vlaue", "\t\tAMF\tDomain\traml-shapes:Shape\tsh:defaultValue\tPropertyShape\tsh:path\tsh:maxCount\t1\tDefault value for a RAML type must be unique\tDefault property for an Schema object must be unique", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:minProperties\tPropertyShape\tsh:path\tsh:minInclusive\t0\tminProperties for a RAML Object type cannot be negative\tminProperties for a Schema object cannot be negative", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:minProperties\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tminProperties for a RAML Object type must be an integer\tminProperties for a Schema object must be an integer", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:minProperties\tPropertyShape\tsh:path\tsh:maxCount\t1\tminProperties for a RAML Object type must be unique\tminProperties for a Schema object must be unique", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:maxProperties\tPropertyShape\tsh:path\tsh:minInclusive\t0\tmaxProperties for a RAML Object type cannot be negative\tmaxProperties for a Schema object cannot be negative", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:maxProperties\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmaxProperties for a RAML Object type must be an integer\tmaxProperties for a Schema object must be an integer", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:maxProperties\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaxProperties for a RAML Object type must be unique\tmaxProperties for a Schema object must be unique", "\t\tAMF\tDomain\traml-shapes:ObjectShape\tsh:closed\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tadditionalProperties for a RAML Object type must be a boolean\tadditionalProperties for a Schema object must be a boolean", "\t\tAMF\tDomain\traml-shapes:ObjectShape\tsh:closed\tPropertyShape\tsh:path\tsh:maxCount\t1\tadditionalProperties for a RAML Object must be unique\tadditionalProperties for a Schema object must be unique", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminator\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tdiscriminator for RAML Object type must be a string value\tdiscriminator for a Schema object must be a string value", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminator\tPropertyShape\tsh:path\tsh:maxCount\t1\tdiscriminator for RAML Object type must be unique\tdiscriminator for a Schema object must be unique", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminatorValue\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tx-discriminatorValue for RAML Object type must be a string value\tdiscriminatorValue for a Schema object must be a string value", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminatorValue\tPropertyShape\tsh:path\tsh:maxCount\t1\tx-discriminatorValue for RAML Object type must be unique\tdiscriminatorValue for a Schema object must be unique", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:readOnly \tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\t(readOnly) for a RAML Object type must be a boolean\treadOnly for a Schema object must be a boolean", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:readOnly \tPropertyShape\tsh:path\tsh:maxCount\t1\t(readOnly) for a RAML Object must be unique\treadOnly for a Schema object must be unique", "\t\tAMF\tDomain\traml-shapes:ArrayShape\traml-shapes:item\tPropertyShape\tsh:path\tsh:class\traml-shapes:Shape\tvalue of the items facet must be a RAML Type \tvalue of the items property must be a Schema node", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tminItems for a RAML Array type must be an integer\tminItems of a Schema object of type 'array' must be an integer", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:maxCount\t1\tminItems for a RAML Array type must be unique\tminItems of a Schema object of type 'array' must be unique", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:minInclusive \t0\tmaxItems for a RAML Array type must be greater than 0\tmaxItems of a Schema object of type 'array' must be greater than 0", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:maxCount\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmaxItems for a RAML Array type must be an integer\tmaxItems of a Schema object of type 'array' must be an integer", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:maxCount\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaxItems for a RAML Array type must be unique\tmaxItems of a Schema object of type 'array' must be unique", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:minInclusive \t0\tminItems for a RAML Array type must be greater than 0\tminItems of a Schema object of type 'array' must be greater than 0", "\t\tAMF\tDomain\traml-shapes:ArrayShape\traml-shapes:uniqueItems\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tuniqueItems for a RAML Array type must be a boolean\tuniqueItems of a Schema object of type 'array' must be a boolean", "\t\tAMF\tDomain\traml-shapes:ArrayShape\traml-shapes:uniqueItems\tPropertyShape\tsh:path\tsh:maxCount\t1\tuniqueItems for a RAML Array type must be unique\tuniqueItems of a Schema object of type 'array' must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:pattern\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tpattern facet for a RAML scalar type must be a string\tpattern for scalar Schema object of scalar type must be a string", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:pattern\tPropertyShape\tsh:path\tsh:maxCount\t1\tpattern facet for a RAML scalar type must be unique\tpattern for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tminLength facet for a RAML scalar type must be a integer\tminLength for scalar Schema object of scalar type must be a integer", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\tsh:maxCount\t1\tminLength facet for a RAML scalar type must be unique\tminLength for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxLength\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmaxLength facet for a RAML scalar type must be a integer\tmaxLength for scalar Schema object of scalar type must be a integer", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxLength\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaxLength facet for a RAML scalar type must be unique\tmaxLength for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minInclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tminimum facet for a RAML scalar type must be a integer\tminimum for scalar Schema object of scalar type must be a integer", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minInclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tminimum facet for a RAML scalar type must be unique\tminimum for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxInclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmaximum facet for a RAML scalar type must be a integer\tmaximum for scalar Schema object of scalar type must be a integer", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxInclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaximum facet for a RAML scalar type must be unique\tmaximum for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minExclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tx-exclusiveMinimum facet for a RAML scalar type must be a boolean\texclusiveMinimum for scalar Schema object of scalar type must be a boolean", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minExclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tx-exclusiveMinimum facet for a RAML scalar type must be unique\texclusiveMinimum for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxExclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tx-exclusiveMaximum facet for a RAML scalar type must be a boolean\texclusiveMaximum for scalar Schema object of scalar type must be a boolean", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxExclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tx-exclusiveMaximum facet for a RAML scalar type must be unique\texclusiveMaximum for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:format\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tformat facet for a RAML scalar type must be a string\tformat for scalar Schema object of scalar type must be a string", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:format\tPropertyShape\tsh:path\tsh:maxCount\t1\tformat facet for a RAML scalar type must be unique\tformat for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmultipleOf facet for a RAML scalar type must be a integer\tmultipleOf for scalar Schema object of scalar type must be a integer", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\tsh:maxCount\t1\tmultipleOf facet for a RAML scalar type must be unique\tmultipleOf for scalar Schema object of scalar type must be unique", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\tsh:minExclusive\t0\tmultipleOf facet for a RAML scalar type must be greater than 0\tmultipleOf for scalar Schema object of scalar type must be greater than 0", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:datatype\tPropertyShape\tsh:path\tsh:minCount\t1\ttype information for a RAML scalar is required\ttype information fo a Schema object of scalar type is required", "\t\tAMF\tDomain\traml-doc:DomainProperty\traml-shapes:schema\tPropertyShape\tsh:path\tsh:minCount\t1\ttype is mandatory for a RAML annotationType\tschema is mandatory for an extension type", "\t\tAMF\tDomain\traml-doc:DomainProperty\traml-shapes:schema\tPropertyShape\tsh:path\tsh:maxCount\t1\ttype must be a single value for a RAML annotationType\tschema must be a single value for an extension type", "\t\tAMF\tDomain\traml-doc:DomainProperty\traml-shapes:schema\tPropertyShape\tsh:path\tsh:class\traml-shapes:Shape\ttype value must be a RAML Type\tschema value must be a Schema object"]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    this.raw$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFRawValidations$: 0
}, false, "amf.plugins.document.webapi.validation.AMFRawValidations$", {
  Lamf_plugins_document_webapi_validation_AMFRawValidations$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFRawValidations$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFRawValidations$;
let $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_AMFRawValidations$)) {
    $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = new $c_Lamf_plugins_document_webapi_validation_AMFRawValidations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$
});
class $c_Lamf_plugins_document_webapi_validation_AMFShapeValidations extends $c_O {
  constructor() {
    super();
    this.shape$1 = null
  };
  checkMinLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const length = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have length greater than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, length]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$331 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$332 = (validation.name$1 + "_validation_minLength/prop");
      const x$333 = new $c_s_Some().init___O(msg);
      const x$334 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([length])));
      const x$335 = $m_s_None$();
      const x$336 = $m_s_None$();
      const x$337 = $m_s_None$();
      const x$338 = $m_s_None$();
      const x$339 = $m_s_None$();
      const x$340 = $m_s_None$();
      const x$341 = $m_s_None$();
      const x$342 = $m_s_None$();
      const x$343 = $m_s_None$();
      const x$344 = $m_s_None$();
      const x$345 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$17 = new $c_scm_ListBuffer().init___();
      const x$346 = this$17.toList__sci_List();
      const x$347 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$331, x$332, x$333, x$335, x$336, x$337, x$334, x$338, x$339, x$340, x$341, x$342, x$343, x$344, x$345, x$346, x$347);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$19 = $m_sc_Seq$();
      const x$348 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$19.ReusableCBFInstance$2);
      const x$349 = validation.name$1;
      const x$350 = validation.message$1;
      const x$351 = validation.ramlMessage$1;
      const x$352 = validation.oasMessage$1;
      const x$353 = validation.targetInstance$1;
      const x$354 = validation.targetClass$1;
      const x$355 = validation.targetObject$1;
      const x$356 = validation.unionConstraints$1;
      const x$357 = validation.nodeConstraints$1;
      const x$358 = validation.closed$1;
      const x$359 = validation.functionConstraint$1;
      const x$360 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$349, x$350, x$351, x$352, x$353, x$354, x$355, x$356, x$348, x$357, x$358, x$359, x$360)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkClosed__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_validation_core_ValidationSpecification(validation, shape) {
    const x1 = shape.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      if (value.toBool__Z()) {
        const x$125 = new $c_s_Some().init___O(true);
        const x$126 = validation.name$1;
        const x$127 = validation.message$1;
        const x$128 = validation.ramlMessage$1;
        const x$129 = validation.oasMessage$1;
        const x$130 = validation.targetInstance$1;
        const x$131 = validation.targetClass$1;
        const x$132 = validation.targetObject$1;
        const x$133 = validation.unionConstraints$1;
        const x$134 = validation.propertyConstraints$1;
        const x$135 = validation.nodeConstraints$1;
        const x$136 = validation.functionConstraint$1;
        const x$137 = validation.custom$1;
        return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$126, x$127, x$128, x$129, x$130, x$131, x$132, x$133, x$134, x$135, x$125, x$136, x$137)
      }
    };
    return validation
  };
  checkMaxCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification(context, property, validation, shape) {
    const x1 = shape.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const maxCount = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have max. cardinality ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, maxCount]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const id = shape.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const x$288 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, id).iri__T();
      const x$289 = (((validation.name$1 + "_") + property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)) + "_validation_minCount/prop");
      const x$290 = new $c_s_Some().init___O(msg);
      const x$291 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([maxCount])));
      const x$292 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$293 = $m_s_None$();
      const x$294 = $m_s_None$();
      const x$295 = $m_s_None$();
      const x$296 = $m_s_None$();
      const x$297 = $m_s_None$();
      const x$298 = $m_s_None$();
      const x$299 = $m_s_None$();
      const x$300 = $m_s_None$();
      const x$301 = $m_s_None$();
      const x$302 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$303 = this$16.toList__sci_List();
      const x$304 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$288, x$289, x$290, x$293, x$291, x$294, x$295, x$296, x$297, x$298, x$299, x$300, x$301, x$292, x$302, x$303, x$304);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$305 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$306 = validation.name$1;
      const x$307 = validation.message$1;
      const x$308 = validation.ramlMessage$1;
      const x$309 = validation.oasMessage$1;
      const x$310 = validation.targetInstance$1;
      const x$311 = validation.targetClass$1;
      const x$312 = validation.targetObject$1;
      const x$313 = validation.unionConstraints$1;
      const x$314 = validation.nodeConstraints$1;
      const x$315 = validation.closed$1;
      const x$316 = validation.functionConstraint$1;
      const x$317 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$306, x$307, x$308, x$309, x$310, x$311, x$312, x$313, x$305, x$314, x$315, x$316, x$317)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMinimum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const minimum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be greater than or equal to ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, minimum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$391 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$392 = (validation.name$1 + "_validation_minimum/prop");
      const x$393 = new $c_s_Some().init___O(msg);
      const x$394 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([minimum])));
      const x$395 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$396 = $m_s_None$();
      const x$397 = $m_s_None$();
      const x$398 = $m_s_None$();
      const x$399 = $m_s_None$();
      const x$400 = $m_s_None$();
      const x$401 = $m_s_None$();
      const x$402 = $m_s_None$();
      const x$403 = $m_s_None$();
      const x$404 = $m_s_None$();
      const x$405 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$406 = this$16.toList__sci_List();
      const x$407 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$391, x$392, x$393, x$396, x$397, x$398, x$399, x$400, x$401, x$402, x$394, x$403, x$404, x$395, x$405, x$406, x$407);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$408 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$409 = validation.name$1;
      const x$410 = validation.message$1;
      const x$411 = validation.ramlMessage$1;
      const x$412 = validation.oasMessage$1;
      const x$413 = validation.targetInstance$1;
      const x$414 = validation.targetClass$1;
      const x$415 = validation.targetObject$1;
      const x$416 = validation.unionConstraints$1;
      const x$417 = validation.nodeConstraints$1;
      const x$418 = validation.closed$1;
      const x$419 = validation.functionConstraint$1;
      const x$420 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$409, x$410, x$411, x$412, x$413, x$414, x$415, x$416, x$408, x$417, x$418, x$419, x$420)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  scalarConstraints__T__Lamf_plugins_domain_shapes_models_ScalarShape__sci_List(context, scalar) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const x$155 = this.validationId__Lamf_core_model_domain_Shape__T(scalar);
    const x$157 = new $c_s_Some().init___O(msg);
    const x$158 = new $c_s_Some().init___O(msg);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$3 = new $c_scm_ListBuffer().init___();
    const x$159 = this$3.toList__sci_List();
    const jsx$1 = $m_sc_Seq$();
    const this$4 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$138 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "value").iri__T();
    const x$139 = (scalar.id$1 + "_validation_range/prop");
    const x$140 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must have data type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, scalar.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1)])));
    const x$141 = new $c_s_Some().init___O(scalar.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1));
    const x$142 = $m_s_None$();
    const x$143 = $m_s_None$();
    const x$144 = $m_s_None$();
    const x$145 = $m_s_None$();
    const x$146 = $m_s_None$();
    const x$147 = $m_s_None$();
    const x$148 = $m_s_None$();
    const x$149 = $m_s_None$();
    const x$150 = $m_s_None$();
    const x$151 = $m_s_None$();
    const x$152 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$20 = new $c_scm_ListBuffer().init___();
    const x$153 = this$20.toList__sci_List();
    const x$154 = $m_s_None$();
    const x$160 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$138, x$139, x$140, x$142, x$143, x$144, x$145, x$146, x$147, x$148, x$149, x$150, x$151, x$141, x$152, x$153, x$154)]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$25 = new $c_scm_ListBuffer().init___();
    const x$161 = this$25.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$29 = new $c_scm_ListBuffer().init___();
    const x$162 = this$29.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$33 = new $c_scm_ListBuffer().init___();
    const x$163 = this$33.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$37 = new $c_scm_ListBuffer().init___();
    const x$164 = this$37.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$165 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$166 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$167 = $m_s_None$();
    let validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$155, msg, x$157, x$158, x$161, x$159, x$162, x$163, x$160, x$164, x$165, x$166, x$167);
    validation = this.checkScalarType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(scalar, context, validation);
    validation = this.checkPattern__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    validation = this.checkMinLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    validation = this.checkMaxLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    validation = this.checkMinimum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    validation = this.checkMaximum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    validation = this.checkMinimumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    validation = this.checkMaximumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    validation = this.checkEnum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, scalar);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation]);
    const this$42 = $m_sci_List$();
    const cbf = this$42.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  canonicalShape__Lamf_core_model_domain_Shape() {
    return $m_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$().apply__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(this.shape$1)
  };
  checkPattern__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const jsx$1 = $m_s_Option$();
    const this$1 = shape;
    const x1 = jsx$1.apply__O__s_Option($f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__T(this$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pattern = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must match pattern ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, pattern]));
      const this$2 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const jsx$16 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "value").iri__T();
      const jsx$15 = validation.name$1;
      const jsx$14 = new $c_s_Some().init___O(msg);
      const jsx$13 = new $c_s_Some().init___O(pattern);
      const jsx$12 = $m_s_None$();
      const jsx$11 = $m_s_None$();
      const jsx$10 = $m_s_None$();
      const jsx$9 = $m_s_None$();
      const jsx$8 = $m_s_None$();
      const jsx$7 = $m_s_None$();
      const jsx$6 = $m_s_None$();
      const jsx$5 = $m_s_None$();
      const jsx$4 = $m_s_None$();
      const jsx$3 = $m_s_None$();
      const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$18 = new $c_scm_ListBuffer().init___();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(jsx$16, (jsx$15 + "_validation_pattern/prop"), jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, this$18.toList__sci_List(), $m_s_None$());
      const jsx$18 = validation.propertyConstraints$1;
      const jsx$17 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$20 = $m_sc_Seq$();
      const x$318 = jsx$18.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$17, this$20.ReusableCBFInstance$2);
      const x$319 = validation.name$1;
      const x$320 = validation.message$1;
      const x$321 = validation.ramlMessage$1;
      const x$322 = validation.oasMessage$1;
      const x$323 = validation.targetInstance$1;
      const x$324 = validation.targetClass$1;
      const x$325 = validation.targetObject$1;
      const x$326 = validation.unionConstraints$1;
      const x$327 = validation.nodeConstraints$1;
      const x$328 = validation.closed$1;
      const x$329 = validation.functionConstraint$1;
      const x$330 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$319, x$320, x$321, x$322, x$323, x$324, x$325, x$326, x$318, x$327, x$328, x$329, x$330)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMaxLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const length = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have length smaller than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, length]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$361 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$362 = (validation.name$1 + "_validation_maxLength/prop");
      const x$363 = new $c_s_Some().init___O(msg);
      const x$364 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([length])));
      const x$365 = $m_s_None$();
      const x$366 = $m_s_None$();
      const x$367 = $m_s_None$();
      const x$368 = $m_s_None$();
      const x$369 = $m_s_None$();
      const x$370 = $m_s_None$();
      const x$371 = $m_s_None$();
      const x$372 = $m_s_None$();
      const x$373 = $m_s_None$();
      const x$374 = $m_s_None$();
      const x$375 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$17 = new $c_scm_ListBuffer().init___();
      const x$376 = this$17.toList__sci_List();
      const x$377 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$361, x$362, x$363, x$365, x$366, x$367, x$368, x$364, x$369, x$370, x$371, x$372, x$373, x$374, x$375, x$376, x$377);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$19 = $m_sc_Seq$();
      const x$378 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$19.ReusableCBFInstance$2);
      const x$379 = validation.name$1;
      const x$380 = validation.message$1;
      const x$381 = validation.ramlMessage$1;
      const x$382 = validation.oasMessage$1;
      const x$383 = validation.targetInstance$1;
      const x$384 = validation.targetClass$1;
      const x$385 = validation.targetObject$1;
      const x$386 = validation.unionConstraints$1;
      const x$387 = validation.nodeConstraints$1;
      const x$388 = validation.closed$1;
      const x$389 = validation.functionConstraint$1;
      const x$390 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$379, x$380, x$381, x$382, x$383, x$384, x$385, x$386, x$378, x$387, x$388, x$389, x$390)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  profile__Lamf_core_validation_core_ValidationProfile() {
    const parsedValidations = this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List("/", this.canonicalShape__Lamf_core_model_domain_Shape());
    const x$6 = $m_s_None$();
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.name$1
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let x$7;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((parsedValidations === $m_sci_Nil$())) {
        x$7 = $m_sci_Nil$()
      } else {
        const arg1 = parsedValidations.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = parsedValidations.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        x$7 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(parsedValidations, bf);
      let these = parsedValidations;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      x$7 = b.result__O()
    };
    const jsx$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    const this$2 = $m_sci_List$();
    const x$8 = parsedValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$6 = new $c_scm_ListBuffer().init___();
    const x$9 = this$6.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$10 = new $c_scm_ListBuffer().init___();
    const x$10 = this$10.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$14 = new $c_scm_ListBuffer().init___();
    const x$11 = this$14.toList__sci_List();
    const x$12 = new $c_scm_HashMap().init___();
    return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map("Payload", x$6, x$7, x$9, x$10, x$11, x$8, x$12)
  };
  checkMinimumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const exclusiveMinimum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be greater than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, exclusiveMinimum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$451 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$452 = (validation.name$1 + "_validation_exclusiveMinimum/prop");
      const x$453 = new $c_s_Some().init___O(msg);
      const x$454 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([exclusiveMinimum])));
      const x$455 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$456 = $m_s_None$();
      const x$457 = $m_s_None$();
      const x$458 = $m_s_None$();
      const x$459 = $m_s_None$();
      const x$460 = $m_s_None$();
      const x$461 = $m_s_None$();
      const x$462 = $m_s_None$();
      const x$463 = $m_s_None$();
      const x$464 = $m_s_None$();
      const x$465 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$466 = this$16.toList__sci_List();
      const x$467 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$451, x$452, x$453, x$456, x$457, x$458, x$459, x$460, x$454, x$461, x$462, x$463, x$464, x$455, x$465, x$466, x$467);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$468 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$469 = validation.name$1;
      const x$470 = validation.message$1;
      const x$471 = validation.ramlMessage$1;
      const x$472 = validation.oasMessage$1;
      const x$473 = validation.targetInstance$1;
      const x$474 = validation.targetClass$1;
      const x$475 = validation.targetObject$1;
      const x$476 = validation.unionConstraints$1;
      const x$477 = validation.nodeConstraints$1;
      const x$478 = validation.closed$1;
      const x$479 = validation.functionConstraint$1;
      const x$480 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$469, x$470, x$471, x$472, x$473, x$474, x$475, x$476, x$468, x$477, x$478, x$479, x$480)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List(context, shape) {
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
      const x2 = shape;
      return this.unionConstraints__T__Lamf_plugins_domain_shapes_models_UnionShape__sci_List(context, x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape)) {
      const x3 = shape;
      return this.scalarConstraints__T__Lamf_plugins_domain_shapes_models_ScalarShape__sci_List(context, x3)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x4 = shape;
      return this.arrayConstraints__T__Lamf_plugins_domain_shapes_models_ArrayShape__sci_List(context, x4)
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
      const x5 = shape;
      return this.nodeConstraints__T__Lamf_plugins_domain_shapes_models_NodeShape__sci_List(context, x5)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(shape)) {
      const x6 = shape;
      return this.recursiveShapeConstraints__T__Lamf_core_model_domain_RecursiveShape__sci_List(context, x6)
    } else {
      return ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape) ? ($m_sci_List$(), $m_sci_Nil$()) : ($m_sci_List$(), $m_sci_Nil$()))
    }
  };
  checkEnum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Values$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const valuesArray = x2.value$2;
      const jsx$2 = valuesArray.scalars__sc_Seq();
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          return x$2.toString__T()
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const values = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be within the values (", ")"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, values.mkString__T__T(",")]));
      const this$2 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$511 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "value").iri__T();
      const x$512 = (validation.name$1 + "_validation_enum/prop");
      const x$513 = new $c_s_Some().init___O(msg);
      const x$515 = $m_s_None$();
      const x$516 = $m_s_None$();
      const x$517 = $m_s_None$();
      const x$518 = $m_s_None$();
      const x$519 = $m_s_None$();
      const x$520 = $m_s_None$();
      const x$521 = $m_s_None$();
      const x$522 = $m_s_None$();
      const x$523 = $m_s_None$();
      const x$524 = $m_s_None$();
      const x$525 = $m_s_None$();
      const x$526 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const x$527 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$511, x$512, x$513, x$515, x$516, x$517, x$518, x$519, x$520, x$521, x$522, x$523, x$524, x$525, x$526, values, x$527);
      const jsx$4 = validation.propertyConstraints$1;
      const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$17 = $m_sc_Seq$();
      const x$528 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$17.ReusableCBFInstance$2);
      const x$529 = validation.name$1;
      const x$530 = validation.message$1;
      const x$531 = validation.ramlMessage$1;
      const x$532 = validation.oasMessage$1;
      const x$533 = validation.targetInstance$1;
      const x$534 = validation.targetClass$1;
      const x$535 = validation.targetObject$1;
      const x$536 = validation.unionConstraints$1;
      const x$537 = validation.nodeConstraints$1;
      const x$538 = validation.closed$1;
      const x$539 = validation.functionConstraint$1;
      const x$540 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$529, x$530, x$531, x$532, x$533, x$534, x$535, x$536, x$528, x$537, x$538, x$539, x$540)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  effectiveDataType__Lamf_core_model_domain_Shape__s_Option(scalar) {
    const this$1 = this.shape$1.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$3 = arg1;
      x1 = new $c_s_Some().init___O(x$3.toString__T())
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const datatype = x2.value$2;
      const this$2 = this.shape$1.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
      let format;
      if (this$2.isEmpty__Z()) {
        format = $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const x$4 = arg1$1;
        format = new $c_s_Some().init___O(x$4.toString__T())
      };
      const x1$2 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$().typeDef__T__T__Lamf_plugins_domain_shapes_models_TypeDef(datatype, (format.isEmpty__Z() ? "" : format.get__O()));
      const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$();
      if ((x === x1$2)) {
        const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        return new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "number").iri__T())
      } else {
        return new $c_s_Some().init___O(datatype)
      }
    } else {
      const x$5 = $m_s_None$();
      if ((x$5 === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  nodeConstraints__T__Lamf_plugins_domain_shapes_models_NodeShape__sci_List(context, node) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Object at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    const elem = $m_sci_Nil$();
    const nestedConstraints = new $c_sr_ObjectRef().init___O(elem);
    const x$82 = this.validationId__Lamf_core_model_domain_Shape__T(node);
    const x$84 = new $c_s_Some().init___O(msg);
    const x$85 = new $c_s_Some().init___O(msg);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$5 = new $c_scm_ListBuffer().init___();
    const x$86 = this$5.toList__sci_List();
    const x$87 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$9 = new $c_scm_ListBuffer().init___();
    const x$88 = this$9.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$13 = new $c_scm_ListBuffer().init___();
    const x$89 = this$13.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$17 = new $c_scm_ListBuffer().init___();
    const x$90 = this$17.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$21 = new $c_scm_ListBuffer().init___();
    const x$91 = this$21.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$92 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$93 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$94 = $m_s_None$();
    const elem$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$82, msg, x$84, x$85, x$88, x$86, x$89, x$90, x$87, x$91, x$92, x$93, x$94);
    const validation = new $c_sr_ObjectRef().init___O(elem$1);
    node.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, context$1, node$1, nestedConstraints$1, validation$1) {
      return (function(property$2) {
        const property = property$2;
        const jsx$2 = nestedConstraints$1.elem$1;
        const jsx$1 = $this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)]))), property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1));
        const this$26 = $m_sci_List$();
        nestedConstraints$1.elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$26.ReusableCBFInstance$2);
        const propertyValidationId = $this.validationId__Lamf_core_model_domain_Shape__T(property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1));
        const this$27 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        const id = property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const propertyId = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, id).iri__T();
        const x$96 = (("" + $this.validationId__Lamf_core_model_domain_Shape__T(node$1)) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["_validation_node_prop_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)])));
        const x$97 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " at ", " must have a valid value"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), context$1])));
        const x$98 = new $c_s_Some().init___O(propertyValidationId);
        const x$99 = $m_s_None$();
        const x$100 = $m_s_None$();
        const x$101 = $m_s_None$();
        const x$102 = $m_s_None$();
        const x$103 = $m_s_None$();
        const x$104 = $m_s_None$();
        const x$105 = $m_s_None$();
        const x$106 = $m_s_None$();
        const x$107 = $m_s_None$();
        const x$108 = $m_s_None$();
        const x$109 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$43 = new $c_scm_ListBuffer().init___();
        const x$110 = this$43.toList__sci_List();
        const x$111 = $m_s_None$();
        const nodeConstraint = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(propertyId, x$96, x$97, x$99, x$100, x$101, x$102, x$103, x$104, x$105, x$106, x$107, x$98, x$108, x$109, x$110, x$111);
        const qual$2 = validation$1.elem$1;
        const jsx$4 = validation$1.elem$1.propertyConstraints$1;
        const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([nodeConstraint]));
        const this$45 = $m_sc_Seq$();
        const x$112 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$45.ReusableCBFInstance$2);
        const x$113 = qual$2.name$1;
        const x$114 = qual$2.message$1;
        const x$115 = qual$2.ramlMessage$1;
        const x$116 = qual$2.oasMessage$1;
        const x$117 = qual$2.targetInstance$1;
        const x$118 = qual$2.targetClass$1;
        const x$119 = qual$2.targetObject$1;
        const x$120 = qual$2.unionConstraints$1;
        const x$121 = qual$2.nodeConstraints$1;
        const x$122 = qual$2.closed$1;
        const x$123 = qual$2.functionConstraint$1;
        const x$124 = qual$2.custom$1;
        validation$1.elem$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$113, x$114, x$115, x$116, x$117, x$118, x$119, x$120, x$112, x$121, x$122, x$123, x$124);
        validation$1.elem$1 = $this.checkMinCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)]))), property, validation$1.elem$1, property);
        validation$1.elem$1 = $this.checkMaxCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)]))), property, validation$1.elem$1, property)
      })
    })(this, context, node, nestedConstraints, validation)));
    validation.elem$1 = this.checkClosed__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_validation_core_ValidationSpecification(validation.elem$1, node);
    validation.elem$1 = this.checkObjectType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(node, context, validation.elem$1);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.elem$1]);
    const this$47 = $m_sci_List$();
    const cbf = this$47.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = nestedConstraints.elem$1;
    const this$48 = $m_sci_List$();
    return jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$48.ReusableCBFInstance$2)
  };
  init___Lamf_core_model_domain_Shape(shape) {
    this.shape$1 = shape;
    return this
  };
  arrayConstraints__T__Lamf_plugins_domain_shapes_models_ArrayShape__sci_List(context, array) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Array at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    let nestedConstraints = $m_sci_Nil$();
    const x$26 = this.validationId__Lamf_core_model_domain_Shape__T(array);
    const x$28 = new $c_s_Some().init___O(msg);
    const x$29 = new $c_s_Some().init___O(msg);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    const x$30 = this$4.toList__sci_List();
    const x$31 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$8 = new $c_scm_ListBuffer().init___();
    const x$32 = this$8.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$12 = new $c_scm_ListBuffer().init___();
    const x$33 = this$12.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$16 = new $c_scm_ListBuffer().init___();
    const x$34 = this$16.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$20 = new $c_scm_ListBuffer().init___();
    const x$35 = this$20.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$36 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$37 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$38 = $m_s_None$();
    let validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$26, msg, x$28, x$29, x$32, x$30, x$33, x$34, x$31, x$35, x$36, x$37, x$38);
    const jsx$2 = nestedConstraints;
    const jsx$1 = this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/items"])).s__sc_Seq__T($m_sci_Nil$())), array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
    const this$24 = $m_sci_List$();
    nestedConstraints = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$24.ReusableCBFInstance$2);
    const itemsValidationId = (this.validationId__Lamf_core_model_domain_Shape__T(array) + "/prop");
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$39 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "member").iri__T();
    const x$41 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Array items at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context])));
    const x$42 = new $c_s_Some().init___O(this.validationId__Lamf_core_model_domain_Shape__T(array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)));
    const x$43 = $m_s_None$();
    const x$44 = $m_s_None$();
    const x$45 = $m_s_None$();
    const x$46 = $m_s_None$();
    const x$47 = $m_s_None$();
    const x$48 = $m_s_None$();
    const x$49 = $m_s_None$();
    const x$50 = $m_s_None$();
    const x$51 = $m_s_None$();
    const x$52 = $m_s_None$();
    const x$53 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$41 = new $c_scm_ListBuffer().init___();
    const x$54 = this$41.toList__sci_List();
    const x$55 = $m_s_None$();
    const itemsConstraint = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$39, itemsValidationId, x$41, x$43, x$44, x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$42, x$52, x$53, x$54, x$55);
    const qual$1 = validation;
    const jsx$4 = validation.propertyConstraints$1;
    const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([itemsConstraint]));
    const this$43 = $m_sc_Seq$();
    const x$56 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$43.ReusableCBFInstance$2);
    const x$57 = qual$1.name$1;
    const x$58 = qual$1.message$1;
    const x$59 = qual$1.ramlMessage$1;
    const x$60 = qual$1.oasMessage$1;
    const x$61 = qual$1.targetInstance$1;
    const x$62 = qual$1.targetClass$1;
    const x$63 = qual$1.targetObject$1;
    const x$64 = qual$1.unionConstraints$1;
    const x$65 = qual$1.nodeConstraints$1;
    const x$66 = qual$1.closed$1;
    const x$67 = qual$1.functionConstraint$1;
    const x$68 = qual$1.custom$1;
    validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$57, x$58, x$59, x$60, x$61, x$62, x$63, x$64, x$56, x$65, x$66, x$67, x$68);
    validation = this.checkArrayType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(array, context, validation);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation]);
    const this$45 = $m_sci_List$();
    const cbf = this$45.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = nestedConstraints;
    const this$46 = $m_sci_List$();
    return jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$46.ReusableCBFInstance$2)
  };
  checkMaximum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const maximum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be smaller than or equal to ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, maximum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$421 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$422 = (validation.name$1 + "_validation_maximum/prop");
      const x$423 = new $c_s_Some().init___O(msg);
      const x$424 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([maximum])));
      const x$425 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$426 = $m_s_None$();
      const x$427 = $m_s_None$();
      const x$428 = $m_s_None$();
      const x$429 = $m_s_None$();
      const x$430 = $m_s_None$();
      const x$431 = $m_s_None$();
      const x$432 = $m_s_None$();
      const x$433 = $m_s_None$();
      const x$434 = $m_s_None$();
      const x$435 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$436 = this$16.toList__sci_List();
      const x$437 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$421, x$422, x$423, x$426, x$427, x$428, x$429, x$430, x$431, x$432, x$433, x$424, x$434, x$425, x$435, x$436, x$437);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$438 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$439 = validation.name$1;
      const x$440 = validation.message$1;
      const x$441 = validation.ramlMessage$1;
      const x$442 = validation.oasMessage$1;
      const x$443 = validation.targetInstance$1;
      const x$444 = validation.targetClass$1;
      const x$445 = validation.targetObject$1;
      const x$446 = validation.unionConstraints$1;
      const x$447 = validation.nodeConstraints$1;
      const x$448 = validation.closed$1;
      const x$449 = validation.functionConstraint$1;
      const x$450 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$439, x$440, x$441, x$442, x$443, x$444, x$445, x$446, x$438, x$447, x$448, x$449, x$450)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkArrayType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(shape, context, validation) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be an array"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$228 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "type").iri__T();
    const x$229 = (validation.name$1 + "_validation_type/prop");
    const x$230 = new $c_s_Some().init___O(msg);
    const jsx$2 = $m_sc_Seq$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Seq").iri__T();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$231 = jsx$2.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Array").iri__T()]));
    const x$232 = $m_s_None$();
    const x$233 = $m_s_None$();
    const x$234 = $m_s_None$();
    const x$235 = $m_s_None$();
    const x$236 = $m_s_None$();
    const x$237 = $m_s_None$();
    const x$238 = $m_s_None$();
    const x$239 = $m_s_None$();
    const x$240 = $m_s_None$();
    const x$241 = $m_s_None$();
    const x$242 = $m_s_None$();
    const x$243 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$244 = $m_s_None$();
    const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$228, x$229, x$230, x$232, x$233, x$234, x$235, x$236, x$237, x$238, x$239, x$240, x$241, x$242, x$243, x$231, x$244);
    const jsx$4 = validation.propertyConstraints$1;
    const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
    const this$20 = $m_sc_Seq$();
    const x$245 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$20.ReusableCBFInstance$2);
    const x$246 = validation.name$1;
    const x$247 = validation.message$1;
    const x$248 = validation.ramlMessage$1;
    const x$249 = validation.oasMessage$1;
    const x$250 = validation.targetInstance$1;
    const x$251 = validation.targetClass$1;
    const x$252 = validation.targetObject$1;
    const x$253 = validation.unionConstraints$1;
    const x$254 = validation.nodeConstraints$1;
    const x$255 = validation.closed$1;
    const x$256 = validation.functionConstraint$1;
    const x$257 = validation.custom$1;
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$246, x$247, x$248, x$249, x$250, x$251, x$252, x$253, x$245, x$254, x$255, x$256, x$257)
  };
  unionConstraints__T__Lamf_plugins_domain_shapes_models_UnionShape__sci_List(context, union) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be one of the valid union types"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    const elem = $m_sci_Nil$();
    const nestedConstraints = new $c_sr_ObjectRef().init___O(elem);
    const count = new $c_sr_IntRef().init___I(0);
    union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, context$1, nestedConstraints$1, count$1) {
      return (function(shape$2) {
        const shape = shape$2;
        const jsx$2 = nestedConstraints$1.elem$1;
        const jsx$1 = $this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/union_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([count$1.elem$1]))), shape);
        const this$4 = $m_sci_List$();
        nestedConstraints$1.elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
        count$1.elem$1 = ((1 + count$1.elem$1) | 0)
      })
    })(this, context, nestedConstraints, count)));
    const x$13 = this.validationId__Lamf_core_model_domain_Shape__T(union);
    const x$15 = new $c_s_Some().init___O(msg);
    const x$16 = new $c_s_Some().init___O(msg);
    const jsx$4 = union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(s$2) {
        const s = s$2;
        return this$2$1.validationId__Lamf_core_model_domain_Shape__T(s)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const x$17 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$9 = new $c_scm_ListBuffer().init___();
    const x$18 = this$9.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$13 = new $c_scm_ListBuffer().init___();
    const x$19 = this$13.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$17 = new $c_scm_ListBuffer().init___();
    const x$20 = this$17.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$21 = new $c_scm_ListBuffer().init___();
    const x$21 = this$21.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$25 = new $c_scm_ListBuffer().init___();
    const x$22 = this$25.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$23 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$24 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$25 = $m_s_None$();
    const validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$13, msg, x$15, x$16, x$18, x$19, x$20, x$17, x$21, x$22, x$23, x$24, x$25);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation]);
    const this$30 = $m_sci_List$();
    const cbf = this$30.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = nestedConstraints.elem$1;
    const this$31 = $m_sci_List$();
    return jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$31.ReusableCBFInstance$2)
  };
  checkMaximumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const exclusiveMaximum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be smaller than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, exclusiveMaximum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$481 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$482 = (validation.name$1 + "_validation_exclusiveMaximum/prop");
      const x$483 = new $c_s_Some().init___O(msg);
      const x$484 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([exclusiveMaximum])));
      const x$485 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$486 = $m_s_None$();
      const x$487 = $m_s_None$();
      const x$488 = $m_s_None$();
      const x$489 = $m_s_None$();
      const x$490 = $m_s_None$();
      const x$491 = $m_s_None$();
      const x$492 = $m_s_None$();
      const x$493 = $m_s_None$();
      const x$494 = $m_s_None$();
      const x$495 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$496 = this$16.toList__sci_List();
      const x$497 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$481, x$482, x$483, x$486, x$487, x$488, x$489, x$490, x$491, x$484, x$492, x$493, x$494, x$485, x$495, x$496, x$497);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$498 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$499 = validation.name$1;
      const x$500 = validation.message$1;
      const x$501 = validation.ramlMessage$1;
      const x$502 = validation.oasMessage$1;
      const x$503 = validation.targetInstance$1;
      const x$504 = validation.targetClass$1;
      const x$505 = validation.targetObject$1;
      const x$506 = validation.unionConstraints$1;
      const x$507 = validation.nodeConstraints$1;
      const x$508 = validation.closed$1;
      const x$509 = validation.functionConstraint$1;
      const x$510 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$499, x$500, x$501, x$502, x$503, x$504, x$505, x$506, x$498, x$507, x$508, x$509, x$510)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMinCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification(context, property, validation, shape) {
    const x1 = shape.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const minCount = x2.value$2;
      if (($numberIntValue(minCount.toNumber__jl_Number()) > 0)) {
        const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have min. cardinality ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, minCount]));
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        const id = shape.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const x$258 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, id).iri__T();
        const x$259 = (((validation.name$1 + "_") + property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)) + "_validation_minCount/prop");
        const x$260 = new $c_s_Some().init___O(msg);
        const x$261 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([minCount])));
        const x$262 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
        const x$263 = $m_s_None$();
        const x$264 = $m_s_None$();
        const x$265 = $m_s_None$();
        const x$266 = $m_s_None$();
        const x$267 = $m_s_None$();
        const x$268 = $m_s_None$();
        const x$269 = $m_s_None$();
        const x$270 = $m_s_None$();
        const x$271 = $m_s_None$();
        const x$272 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$16 = new $c_scm_ListBuffer().init___();
        const x$273 = this$16.toList__sci_List();
        const x$274 = $m_s_None$();
        const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$258, x$259, x$260, x$263, x$264, x$261, x$265, x$266, x$267, x$268, x$269, x$270, x$271, x$262, x$272, x$273, x$274);
        const jsx$2 = validation.propertyConstraints$1;
        const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
        const this$18 = $m_sc_Seq$();
        const x$275 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
        const x$276 = validation.name$1;
        const x$277 = validation.message$1;
        const x$278 = validation.ramlMessage$1;
        const x$279 = validation.oasMessage$1;
        const x$280 = validation.targetInstance$1;
        const x$281 = validation.targetClass$1;
        const x$282 = validation.targetObject$1;
        const x$283 = validation.unionConstraints$1;
        const x$284 = validation.nodeConstraints$1;
        const x$285 = validation.closed$1;
        const x$286 = validation.functionConstraint$1;
        const x$287 = validation.custom$1;
        return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$276, x$277, x$278, x$279, x$280, x$281, x$282, x$283, x$275, x$284, x$285, x$286, x$287)
      }
    };
    return validation
  };
  validationId__Lamf_core_model_domain_Shape__T(shape) {
    const name = ($is_Lamf_core_model_domain_RecursiveShape(shape) ? (shape.id$1 + "_recursive_validation") : (shape.id$1 + "_validation"));
    if ((((((name.length | 0) >= 0) && (name.substring(0, ("http://".length | 0)) === "http://")) || (((name.length | 0) >= 0) && (name.substring(0, ("https://".length | 0)) === "https://"))) || (((name.length | 0) >= 0) && (name.substring(0, ("file:".length | 0)) === "file:")))) {
      return name
    } else {
      const this$16 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$16, name).iri__T()
    }
  };
  checkObjectType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(shape, context, validation) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be an object"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$198 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "type").iri__T();
    const x$199 = (validation.name$1 + "_validation_type/prop");
    const x$200 = new $c_s_Some().init___O(msg);
    const jsx$1 = $m_sc_Seq$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$201 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Object").iri__T()]));
    const x$202 = $m_s_None$();
    const x$203 = $m_s_None$();
    const x$204 = $m_s_None$();
    const x$205 = $m_s_None$();
    const x$206 = $m_s_None$();
    const x$207 = $m_s_None$();
    const x$208 = $m_s_None$();
    const x$209 = $m_s_None$();
    const x$210 = $m_s_None$();
    const x$211 = $m_s_None$();
    const x$212 = $m_s_None$();
    const x$213 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$214 = $m_s_None$();
    const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$198, x$199, x$200, x$202, x$203, x$204, x$205, x$206, x$207, x$208, x$209, x$210, x$211, x$212, x$213, x$201, x$214);
    const jsx$3 = validation.propertyConstraints$1;
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
    const this$18 = $m_sc_Seq$();
    const x$215 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$18.ReusableCBFInstance$2);
    const x$216 = validation.name$1;
    const x$217 = validation.message$1;
    const x$218 = validation.ramlMessage$1;
    const x$219 = validation.oasMessage$1;
    const x$220 = validation.targetInstance$1;
    const x$221 = validation.targetClass$1;
    const x$222 = validation.targetObject$1;
    const x$223 = validation.unionConstraints$1;
    const x$224 = validation.nodeConstraints$1;
    const x$225 = validation.closed$1;
    const x$226 = validation.functionConstraint$1;
    const x$227 = validation.custom$1;
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$216, x$217, x$218, x$219, x$220, x$221, x$222, x$223, x$215, x$224, x$225, x$226, x$227)
  };
  recursiveShapeConstraints__T__Lamf_core_model_domain_RecursiveShape__sci_List(context, shape) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Recursive object at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    const x$69 = this.validationId__Lamf_core_model_domain_Shape__T(shape);
    const x$71 = new $c_s_Some().init___O(msg);
    const x$72 = new $c_s_Some().init___O(msg);
    const x$73 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1)]));
    const x$74 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$5 = new $c_scm_ListBuffer().init___();
    const x$75 = this$5.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$9 = new $c_scm_ListBuffer().init___();
    const x$76 = this$9.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$13 = new $c_scm_ListBuffer().init___();
    const x$77 = this$13.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$17 = new $c_scm_ListBuffer().init___();
    const x$78 = this$17.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$79 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$80 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$81 = $m_s_None$();
    const validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$69, msg, x$71, x$72, x$75, x$73, x$76, x$77, x$74, x$78, x$79, x$80, x$81);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation]);
    const this$22 = $m_sci_List$();
    const cbf = this$22.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  checkScalarType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(shape, context, validation) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be a scalar"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$168 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "type").iri__T();
    const x$169 = (validation.name$1 + "_validation_type/prop");
    const x$170 = new $c_s_Some().init___O(msg);
    const jsx$1 = $m_sc_Seq$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$171 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Scalar").iri__T()]));
    const x$172 = $m_s_None$();
    const x$173 = $m_s_None$();
    const x$174 = $m_s_None$();
    const x$175 = $m_s_None$();
    const x$176 = $m_s_None$();
    const x$177 = $m_s_None$();
    const x$178 = $m_s_None$();
    const x$179 = $m_s_None$();
    const x$180 = $m_s_None$();
    const x$181 = $m_s_None$();
    const x$182 = $m_s_None$();
    const x$183 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$184 = $m_s_None$();
    const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$168, x$169, x$170, x$172, x$173, x$174, x$175, x$176, x$177, x$178, x$179, x$180, x$181, x$182, x$183, x$171, x$184);
    const jsx$3 = validation.propertyConstraints$1;
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
    const this$18 = $m_sc_Seq$();
    const x$185 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$18.ReusableCBFInstance$2);
    const x$186 = validation.name$1;
    const x$187 = validation.message$1;
    const x$188 = validation.ramlMessage$1;
    const x$189 = validation.oasMessage$1;
    const x$190 = validation.targetInstance$1;
    const x$191 = validation.targetClass$1;
    const x$192 = validation.targetObject$1;
    const x$193 = validation.unionConstraints$1;
    const x$194 = validation.nodeConstraints$1;
    const x$195 = validation.closed$1;
    const x$196 = validation.functionConstraint$1;
    const x$197 = validation.custom$1;
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$186, x$187, x$188, x$189, x$190, x$191, x$192, x$193, x$185, x$194, x$195, x$196, x$197)
  };
}
const $d_Lamf_plugins_document_webapi_validation_AMFShapeValidations = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFShapeValidations: 0
}, false, "amf.plugins.document.webapi.validation.AMFShapeValidations", {
  Lamf_plugins_document_webapi_validation_AMFShapeValidations: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFShapeValidations.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFShapeValidations;
class $c_Lamf_plugins_document_webapi_validation_AnnotationsValidation extends $c_O {
  constructor() {
    super();
    this.model$1 = null;
    this.platform$1 = null
  };
  validate__s_concurrent_Future() {
    const domainExtensionsWithTypes = this.findExtensionsWithTypes__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(extension$2) {
        const extension = extension$2;
        return $this.validateExtension__Lamf_core_model_domain_extensions_DomainExtension__s_concurrent_Future(extension)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const listResults = domainExtensionsWithTypes.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$2 = $m_s_concurrent_Future$();
    const this$2 = $m_sc_Seq$();
    return jsx$2.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(listResults, this$2.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.flatten__F1__sc_GenTraversable($m_s_Predef$().singleton$und$less$colon$less$2)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  findExtensionsWithTypes__sc_Seq() {
    const this$4 = this.model$1;
    const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_core_model_domain_extensions_DomainExtension(x0$1)) {
          const x2 = x0$1;
          const this$1 = $m_s_Option$().apply__O__s_Option(x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1));
          if ((!this$1.isEmpty__Z())) {
            const arg1 = this$1.get__O();
            const definition = arg1;
            return ($m_s_Option$().apply__O__s_Option(definition.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1)).isDefined__Z() && $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().resolveAnnotation__T__s_Option((("(" + definition.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1)) + ")")).isDefined__Z())
          } else {
            return false
          }
        } else {
          return false
        }
      })
    })(this));
    const cycles = $m_sci_Set$EmptySet$();
    const jsx$2 = $f_Lamf_core_model_document_BaseUnit__findBy__F1__sci_Set__sc_Seq(this$4, predicate, cycles);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(model, platform) {
    this.model$1 = model;
    this.platform$1 = platform;
    return this
  };
  validateExtension__Lamf_core_model_domain_extensions_DomainExtension__s_concurrent_Future(extension) {
    const extensionPayload = extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1);
    const this$1 = extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1);
    const extensionShape = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
    const platform = this.platform$1;
    return new $c_Lamf_plugins_document_webapi_validation_PayloadValidation().init___Lamf_core_remote_Platform__Lamf_core_model_domain_Shape(platform, extensionShape).validate__Lamf_core_model_domain_DataNode__s_concurrent_Future(extensionPayload).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(report$2) {
        const report = report$2;
        if (report.conforms$1) {
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$5 = new $c_scm_ListBuffer().init___();
          return this$5.toList__sci_List()
        } else {
          return report.results$1
        }
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
}
const $d_Lamf_plugins_document_webapi_validation_AnnotationsValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AnnotationsValidation: 0
}, false, "amf.plugins.document.webapi.validation.AnnotationsValidation", {
  Lamf_plugins_document_webapi_validation_AnnotationsValidation: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_AnnotationsValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AnnotationsValidation;
class $c_Lamf_plugins_document_webapi_validation_ExamplesValidation extends $c_O {
  constructor() {
    super();
    this.model$1 = null;
    this.platform$1 = null
  };
  unsupportedExample__Lamf_plugins_domain_shapes_models_Example__T__Z(example, mediaType) {
    const this$1 = $m_s_Option$().apply__O__s_Option((!(!example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1))));
    if ((!(!(this$1.isEmpty__Z() ? false : this$1.get__O())))) {
      return (!this.validExample__Lamf_plugins_domain_shapes_models_Example__T__Z(example, mediaType))
    } else {
      return false
    }
  };
  unsupportedExampleReport__Lamf_plugins_domain_shapes_models_Example__T__Lamf_core_validation_AMFValidationResult(example, mediaType) {
    const jsx$2 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$1 = example.id$1;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(("Cannot validate example with unsupported media type " + mediaType), jsx$2, jsx$1, new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T()), $m_Lamf_plugins_features_validation_ParserSideValidations$().UnsupportedExampleMediaTypeErrorSpecification$1.id__T(), example.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf()), example)
  };
  payloadParsingException__jl_Exception__Lamf_plugins_domain_shapes_models_Example__s_concurrent_Future(exception, example) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    const validationResult = new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(("Payload parsing validation error: " + exception.getMessage__T()), $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1, example.id$1, $m_s_None$(), $m_Lamf_plugins_features_validation_ParserSideValidations$().ExampleValidationErrorSpecification$1.id__T(), example.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf()), example);
    const value = new $c_s_Some().init___O(validationResult);
    $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise, value);
    return promise
  };
  findExamples__T2() {
    const this$5 = this.model$1;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const shapeType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Shape").iri__T();
    const cycles = $m_sci_Set$EmptySet$();
    const jsx$4 = $f_Lamf_core_model_document_BaseUnit__findByType__T__sci_Set__sc_Seq(this$5, shapeType, cycles);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$3)) {
          const x2 = x0$3;
          const jsx$3 = x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
          const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x2$1) {
            return (function(example$2) {
              const example = example$2;
              return new $c_T3().init___O__O__O(x2$1, example, $this$1.mediaType__Lamf_plugins_domain_shapes_models_Example__T(example))
            })
          })($this, x2));
          const this$6 = $m_sc_Seq$();
          return jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2)
        } else {
          return $m_sci_Nil$()
        }
      })
    })(this));
    const this$7 = $m_sc_Seq$();
    const allExamples = jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
    const supportedExamples = allExamples.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ((x0$4 !== null)) {
          const example$1 = x0$4.$$und2$1;
          const mediaType = x0$4.$$und3$1;
          return this$2$1.validExample__Lamf_plugins_domain_shapes_models_Example__T__Z(example$1, mediaType)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this)));
    const unsupportedExamples = allExamples.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ((x0$5 !== null)) {
          const example$3 = x0$5.$$und2$1;
          const mediaType$1 = x0$5.$$und3$1;
          return this$3$1.unsupportedExample__Lamf_plugins_domain_shapes_models_Example__T__Z(example$3, mediaType$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this)));
    return new $c_T2().init___O__O(supportedExamples, unsupportedExamples)
  };
  validate__s_concurrent_Future() {
    const x1 = this.findExamples__T2();
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const supportedExamples = x1.$$und1__O();
    const unsupportedExamples = x1.$$und2__O();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const example = x0$1.$$und2$1;
          const mediaType = x0$1.$$und3$1;
          return $this.unsupportedExampleReport__Lamf_plugins_domain_shapes_models_Example__T__Lamf_core_validation_AMFValidationResult(example, mediaType)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const unsupportedExamplesValidations = unsupportedExamples.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const shape = x0$2.$$und1$1;
          const example$1 = x0$2.$$und2$1;
          const mediaType$1 = x0$2.$$und3$1;
          return this$2.validateExample__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_Example__T__s_concurrent_Future(shape, example$1, mediaType$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const listSupportedResults = supportedExamples.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
    const jsx$3 = $m_s_concurrent_Future$();
    const this$4 = $m_sc_Seq$();
    const futureResult = jsx$3.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(listSupportedResults, this$4.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return futureResult.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, unsupportedExamplesValidations$1) {
      return (function(supportedResults$2) {
        const supportedResults = supportedResults$2;
        const jsx$6 = supportedResults.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            return x$2.isDefined__Z()
          })
        })(this$3$1)));
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return x$3.get__O()
          })
        })(this$3$1));
        const this$5 = $m_sc_Seq$();
        const jsx$4 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$5.ReusableCBFInstance$2);
        const this$6 = $m_sc_Seq$();
        return jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(unsupportedExamplesValidations$1, this$6.ReusableCBFInstance$2)
      })
    })(this, unsupportedExamplesValidations)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  guessMediaType__Lamf_plugins_domain_shapes_models_Example__T(example) {
    const x1 = $m_s_Option$().apply__O__s_Option(example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      return ((((value.length | 0) >= 0) && (value.substring(0, ("<".length | 0)) === "<")) ? "application/xml" : (this.isJson__T__Z(value) ? "application/json" : "text/vnd.yaml"))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return "*/*"
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  isJson__T__Z(value) {
    return ((((value.length | 0) >= 0) && (value.substring(0, ("{".length | 0)) === "{")) || (((value.length | 0) >= 0) && (value.substring(0, ("[".length | 0)) === "[")))
  };
  mediaType__Lamf_plugins_domain_shapes_models_Example__T(example) {
    const x1 = $m_s_Option$().apply__O__s_Option(example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mediaType = x2.value$2;
      return mediaType
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.guessMediaType__Lamf_plugins_domain_shapes_models_Example__T(example)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(model, platform) {
    this.model$1 = model;
    this.platform$1 = platform;
    return this
  };
  validateExample__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_Example__T__s_concurrent_Future(shape, example, mediaType) {
    $m_Lamf_core_services_RuntimeValidator$().reset__V();
    const this$1 = example.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1);
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const fe = arg1;
      x1 = fe.value$1.value$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarExampleTagType.getClassOf())
    };
    let value;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const tag = x2.value$2;
      value = ((tag.tagtype$1 + " ") + example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1))
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      value = example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1)
    };
    const overridePlatform = new $c_Lamf_core_unsafe_TrunkPlatform().init___T__s_Option(value, $m_s_None$());
    try {
      return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future("http://amfparser.org/test_payload", $m_s_Option$().apply__O__s_Option(mediaType), $m_Lamf_plugins_document_webapi_PayloadPlugin$().ID$2, $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context(overridePlatform), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_core_parser_UnspecifiedReference$()), ($m_Lamf_core_services_RuntimeCompiler$(), new $c_Lamf_core_remote_Cache().init___()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_s_None$())).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, shape$1, example$1) {
        return (function(payload$2) {
          const payload = payload$2;
          let payloadDataNode;
          if ($is_Lamf_core_model_domain_DataNode(payload)) {
            const x2$1 = payload;
            payloadDataNode = x2$1
          } else if ($is_Lamf_core_model_document_Document(payload)) {
            const x3 = payload;
            payloadDataNode = x3.encodes__Lamf_core_model_domain_DomainElement()
          } else {
            $m_Lamf_core_model_domain_ScalarNode$();
            const dataType = $m_s_None$();
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            const this$10 = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
            const value$1 = (example$1.id$1 + "/null");
            payloadDataNode = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$10, value$1)
          };
          const platform = this$2$1.platform$1;
          return new $c_Lamf_plugins_document_webapi_validation_PayloadValidation().init___Lamf_core_remote_Platform__Lamf_core_model_domain_Shape(platform, shape$1).validate__Lamf_core_model_domain_DataNode__s_concurrent_Future(payloadDataNode).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, example$1$1) {
            return (function(report$2) {
              const report = report$2;
              if (report.conforms$1) {
                return $m_s_None$()
              } else {
                const jsx$3 = report.toString__T();
                const jsx$2 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
                const jsx$1 = example$1$1.id$1;
                const this$12 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
                return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(jsx$3, jsx$2, jsx$1, new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$12, "value").iri__T()), $m_Lamf_plugins_features_validation_ParserSideValidations$().ExampleValidationErrorSpecification$1.id__T(), example$1$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf()), example$1$1))
              }
            })
          })(this$2$1, example$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        })
      })(this, shape, example)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ($is_jl_Exception(e$2)) {
        const e$3 = e$2;
        return this.payloadParsingException__jl_Exception__Lamf_plugins_domain_shapes_models_Example__s_concurrent_Future(e$3, example)
      } else {
        throw e
      }
    }
  };
  validExample__Lamf_plugins_domain_shapes_models_Example__T__Z(example, mediaType) {
    let jsx$1;
    if ($m_s_Option$().apply__O__s_Option(example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1)).isDefined__Z()) {
      const this$1 = $m_s_Option$().apply__O__s_Option((!(!example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1))));
      jsx$1 = (!(!(this$1.isEmpty__Z() ? false : this$1.get__O())))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return (((mediaType.indexOf("json") | 0) > (-1)) || ((mediaType.indexOf("yaml") | 0) > (-1)))
    } else {
      return false
    }
  };
}
const $d_Lamf_plugins_document_webapi_validation_ExamplesValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_ExamplesValidation: 0
}, false, "amf.plugins.document.webapi.validation.ExamplesValidation", {
  Lamf_plugins_document_webapi_validation_ExamplesValidation: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_ExamplesValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_ExamplesValidation;
class $c_Lamf_plugins_document_webapi_validation_JsCustomValidations$ extends $c_O {
  constructor() {
    super();
    this.functions$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = this;
    const this$3 = new $c_sci_StringOps().init___T("|function(shape) {\n           |  var multipleOf = shape[\"raml-shapes:multipleOf\"];\n           |  if ( multipleOf == undefined) return true;\n           |  else return parseInt(multipleOf) > 0;\n           |}\n        ");
    const y = $f_sci_StringLike__stripMargin__C__T(this$3, 124);
    const jsx$2 = new $c_T2().init___O__O("multipleOfValidation", y);
    const this$7 = new $c_sci_StringOps().init___T("|function(shape) {\n           |  var maxLength = shape[\"shacl:maxLength\"];\n           |  if ( maxLength == undefined) return true;\n           |  else return parseInt(maxLength) >= 0;\n           |}\n        ");
    const y$1 = $f_sci_StringLike__stripMargin__C__T(this$7, 124);
    const jsx$1 = new $c_T2().init___O__O("maxLengthValidation", y$1);
    const this$11 = new $c_sci_StringOps().init___T("|function(shape) {\n           |  var minLength = shape[\"shacl:minLength\"];\n           |  if ( minLength == undefined) return true;\n           |  else return parseInt(minLength) >= 0;\n           |}\n        ");
    const y$2 = $f_sci_StringLike__stripMargin__C__T(this$11, 124);
    const array = [jsx$2, jsx$1, new $c_T2().init___O__O("minLengthValidation", y$2)];
    const this$14 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$14.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    this.functions$1 = this$14.elems$1;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_JsCustomValidations$: 0
}, false, "amf.plugins.document.webapi.validation.JsCustomValidations$", {
  Lamf_plugins_document_webapi_validation_JsCustomValidations$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_JsCustomValidations$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_JsCustomValidations$;
let $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_JsCustomValidations$)) {
    $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = new $c_Lamf_plugins_document_webapi_validation_JsCustomValidations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$
});
class $c_Lamf_plugins_document_webapi_validation_ShapeFacetsValidation extends $c_O {
  constructor() {
    super();
    this.model$1 = null;
    this.platform$1 = null
  };
  validate__s_concurrent_Future() {
    const shapesWithFacets = this.findShapesWithFacets__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const shape = x0$1.$$und1__O();
          const facetDefinitons = x0$1.$$und2__O();
          if ((shape !== null)) {
            if ((facetDefinitons !== null)) {
              return $this.validateFacets__Lamf_core_model_domain_Shape__sc_Seq__s_concurrent_Future(shape, facetDefinitons)
            }
          }
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const listResults = shapesWithFacets.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$2 = $m_s_concurrent_Future$();
    const this$2 = $m_sc_Seq$();
    return jsx$2.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(listResults, this$2.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.flatten__F1__sc_GenTraversable($m_s_Predef$().singleton$und$less$colon$less$2)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  toFacetsDefinitionShape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape(shape, facetDefinitions) {
    if ((facetDefinitions.length__I() === 1)) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const value = (shape.id$1 + "Shape");
      const facetsShape = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
      const properties = facetDefinitions.head__O().values__sc_Iterable().toSeq__sc_Seq();
      const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(facetsShape, field, properties)
    } else {
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$8 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const value$1 = (shape.id$1 + "Shape");
      const facetsShape$2 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value$1);
      const counter = new $c_sr_IntRef().init___I(0);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shape$1, counter$1) {
        return (function(facetsMap$2) {
          const facetsMap = facetsMap$2;
          const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
          const this$13 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
          const value$2 = ((shape$1.id$1 + "Shape") + counter$1.elem$1);
          const facetsUnionShape = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$13, value$2);
          counter$1.elem$1 = ((1 + counter$1.elem$1) | 0);
          const this$14 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(facetsMap);
          const properties$1 = this$14.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
          return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(facetsUnionShape, field$1, properties$1)
        })
      })(this, shape, counter));
      const this$15 = $m_sc_Seq$();
      const anyOfShapes = facetDefinitions.map__F1__scg_CanBuildFrom__O(jsx$1, this$15.ReusableCBFInstance$2);
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(facetsShape$2, field$2, anyOfShapes)
    }
  };
  findShapesWithFacets__sc_Seq() {
    const jsx$5 = $m_sc_Seq$();
    const jsx$4 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().type$1.head__O().iri__T();
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().type$1.head__O().iri__T();
    const jsx$2 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().type$1.head__O().iri__T();
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().type$1.head__O().iri__T();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const typesWithShapes = jsx$5.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$4, jsx$3, jsx$2, jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DomainProperty").iri__T()]));
    const this$6 = this.model$1;
    const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, typesWithShapes$1) {
      return (function(domainElement$2) {
        const domainElement = domainElement$2;
        const this$3 = $f_Lamf_core_model_domain_DomainElement__getTypeIds__sci_List(domainElement);
        let these = this$3;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const x$2 = arg1;
          if (typesWithShapes$1.contains__O__Z(x$2)) {
            return true
          };
          these = these.tail__O()
        };
        return false
      })
    })(this, typesWithShapes));
    const cycles = $m_sci_Set$EmptySet$();
    const encodedShapes = $f_Lamf_core_model_document_BaseUnit__findBy__F1__sci_Set__sc_Seq(this$6, predicate, cycles);
    const x1 = this.model$1;
    let declaredShapes;
    if ($is_Lamf_core_model_document_DeclaresModel(x1)) {
      const jsx$7 = x1.declares__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return $is_Lamf_core_model_domain_Shape(x$3)
        })
      })(this)));
      const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$4$2) {
          const x$4 = x$4$2;
          return x$4
        })
      })(this));
      const this$7 = $m_sc_Seq$();
      declaredShapes = jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$7.ReusableCBFInstance$2)
    } else {
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$10 = new $c_scm_ListBuffer().init___();
      declaredShapes = this$10.toList__sci_List()
    };
    const this$11 = $m_sc_Seq$();
    const elements = encodedShapes.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(declaredShapes, this$11.ReusableCBFInstance$2);
    const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_domain_webapi_models_Payload(x0$2)) {
          const x2 = x0$2;
          const x1$2 = $m_s_Option$().apply__O__s_Option(x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const shape = x2$2.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape, shape.collectCustomShapePropertyDefinitions__Z__sc_Seq(true)))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$2)) {
          const x3 = x0$2;
          const x1$3 = $m_s_Option$().apply__O__s_Option(x3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1));
          if ($is_s_Some(x1$3)) {
            const x2$3 = x1$3;
            const shape$2 = x2$3.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$2, shape$2.collectCustomShapePropertyDefinitions__Z__sc_Seq(true)))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_plugins_domain_webapi_models_Request(x0$2)) {
          const x4 = x0$2;
          const x1$4 = $m_s_Option$().apply__O__s_Option(x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1));
          if ($is_s_Some(x1$4)) {
            const x2$4 = x1$4;
            const shape$3 = x2$4.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$3, shape$3.collectCustomShapePropertyDefinitions__Z__sc_Seq(true)))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x0$2)) {
          const x5 = x0$2;
          const x1$5 = $m_s_Option$().apply__O__s_Option(x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1));
          if ($is_s_Some(x1$5)) {
            const x2$5 = x1$5;
            const shape$4 = x2$5.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$4, shape$4.collectCustomShapePropertyDefinitions__Z__sc_Seq(true)))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x0$2)) {
          const x6 = x0$2;
          const x1$6 = $m_s_Option$().apply__O__s_Option(x6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1));
          if ($is_s_Some(x1$6)) {
            const x2$6 = x1$6;
            const shape$5 = x2$6.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$5, shape$5.collectCustomShapePropertyDefinitions__Z__sc_Seq(true)))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_core_model_domain_Shape(x0$2)) {
          const x7 = x0$2;
          return new $c_s_Some().init___O(new $c_T2().init___O__O(x7, x7.collectCustomShapePropertyDefinitions__Z__sc_Seq(true)))
        } else {
          return $m_s_None$()
        }
      })
    })(this));
    const this$12 = $m_sc_Seq$();
    const jsx$9 = elements.map__F1__scg_CanBuildFrom__O(jsx$10, this$12.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_s_Some(x0$3)) {
          const x2$1 = x0$3;
          const p3 = x2$1.value$2;
          if ((p3 !== null)) {
            const shape$1 = p3.$$und1__O();
            const facetDefinitons = p3.$$und2__O();
            if (((shape$1 !== null) && (facetDefinitons !== null))) {
              return facetDefinitons.nonEmpty__Z()
            }
          }
        };
        return false
      })
    })(this)));
    const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.get__O()
      })
    })(this));
    const this$13 = $m_sc_Seq$();
    return jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$13.ReusableCBFInstance$2)
  };
  validateFacets__Lamf_core_model_domain_Shape__sc_Seq__s_concurrent_Future(shape, facetDefinitons) {
    const effectiveShape = ((shape.linkTarget$1.isDefined__Z() && shape.linkTarget$1.isDefined__Z()) ? shape.linkTarget$1.get__O() : shape);
    const facetsPayload = this.toFacetsPayload__Lamf_core_model_domain_Shape__Lamf_core_model_domain_DataNode(effectiveShape);
    const facetsShape = this.toFacetsDefinitionShape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape(effectiveShape, facetDefinitons);
    const platform = this.platform$1;
    return new $c_Lamf_plugins_document_webapi_validation_PayloadValidation().init___Lamf_core_remote_Platform__Lamf_core_model_domain_Shape(platform, facetsShape).validate__Lamf_core_model_domain_DataNode__s_concurrent_Future(facetsPayload).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(report$2) {
        const report = report$2;
        if (report.conforms$1) {
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$4 = new $c_scm_ListBuffer().init___();
          return this$4.toList__sci_List()
        } else {
          const jsx$2 = report.results$1;
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
            return (function(result$2) {
              const result = result$2;
              const x$6 = new $c_s_Some().init___O($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field().value$1.iri__T());
              const x$7 = result.message$1;
              const x$8 = result.level$1;
              const x$9 = result.targetNode$1;
              const x$10 = result.validationId$1;
              const x$11 = result.position$1;
              const x$12 = result.source$1;
              return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(x$7, x$8, x$9, x$6, x$10, x$11, x$12)
            })
          })($this));
          const this$5 = $m_sc_Seq$();
          return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
        }
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(model, platform) {
    this.model$1 = model;
    this.platform$1 = platform;
    return this
  };
  toFacetsPayload__Lamf_core_model_domain_Shape__Lamf_core_model_domain_DataNode(shape) {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = shape.annotations__Lamf_core_parser_Annotations();
    const this$3 = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = shape.id$1;
    const payload = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$3, value);
    shape.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field()).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
      return (function(extension$2) {
        const extension = extension$2;
        const this$4 = extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1);
        return payload$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(this$4.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().Extension$1), extension.annotations$1)
      })
    })(this, payload)));
    return payload
  };
}
const $d_Lamf_plugins_document_webapi_validation_ShapeFacetsValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_ShapeFacetsValidation: 0
}, false, "amf.plugins.document.webapi.validation.ShapeFacetsValidation", {
  Lamf_plugins_document_webapi_validation_ShapeFacetsValidation: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_ShapeFacetsValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_ShapeFacetsValidation;
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildValidationWithCustomLevelForProfile__Lamf_core_model_document_BaseUnit__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option = (function($thiz, model, result, messageStyle, validations) {
  const id = result.validationId$1;
  const x$10 = $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T($thiz, id, validations);
  const x$11 = result.message$1;
  const x$12 = result.targetNode$1;
  const x$13 = result.targetProperty$1;
  const x$14 = result.validationId$1;
  const x$15 = result.position$1;
  const x$16 = result.source$1;
  return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(x$11, x$10, x$12, x$13, x$14, x$15, x$16))
});
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V = (function($thiz) {
  $thiz.aggregatedReport$und$eq__sci_List__V($m_sci_Nil$());
  const this$1 = $m_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$().profiles__sci_List();
  const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  let acc = z;
  let these = this$1;
  while ((!these.isEmpty__Z())) {
    const arg1 = acc;
    const arg2 = these.head__O();
    const x0$1 = arg1;
    const x1$1 = arg2;
    acc = x0$1.updated__O__O__sci_Map(x1$1.name$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, profile) {
      return (function() {
        return profile
      })
    })($thiz, x1$1)));
    these = these.tail__O()
  };
  $thiz.amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(acc)
});
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future = (function($thiz, unresolvedUnit, profile, validations, messageStyle, platform) {
  const baseUnit = new $c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline().init___T(profile).resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unresolvedUnit);
  $thiz.aggregatedReport$und$eq__sci_List__V($m_sci_Nil$());
  return new $c_Lamf_plugins_document_webapi_validation_ExamplesValidation().init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(baseUnit, platform).validate__s_concurrent_Future().flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, profile$1, validations$1, messageStyle$1, platform$1, baseUnit$1) {
    return (function(examplesReport$2) {
      const examplesReport = examplesReport$2;
      return new $c_Lamf_plugins_document_webapi_validation_ShapeFacetsValidation().init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(baseUnit$1, platform$1).validate__s_concurrent_Future().flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, profile$2, validations$1$1, messageStyle$1$1, platform$1$1, baseUnit$1$1, examplesReport$1) {
        return (function(shapeFacetsReport$2) {
          const shapeFacetsReport = shapeFacetsReport$2;
          return new $c_Lamf_plugins_document_webapi_validation_AnnotationsValidation().init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(baseUnit$1$1, platform$1$1).validate__s_concurrent_Future().flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, profile$2$1, validations$1$2, messageStyle$1$2, baseUnit$1$2, examplesReport$1$1, shapeFacetsReport$1) {
            return (function(annotationsReport$2) {
              const annotationsReport = annotationsReport$2;
              return $m_Lamf_core_services_RuntimeValidator$().shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(baseUnit$1$2, validations$1$2, messageStyle$1$2).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, profile$2$2, validations$1$3, messageStyle$1$3, baseUnit$1$3, examplesReport$1$2, shapeFacetsReport$1$1, annotationsReport$1) {
                return (function(shaclReport$2) {
                  const shaclReport = shaclReport$2;
                  const this$5 = $this$3.aggregatedReport__sci_List();
                  const f = (function($this$4, validations$1$4, messageStyle$1$4) {
                    return (function(r$2) {
                      const r = r$2;
                      return $f_Lamf_core_validation_ValidationResultProcessor__processAggregatedResult__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_AMFValidationResult($this$4, r, messageStyle$1$4, validations$1$4)
                    })
                  })($this$3, validations$1$3, messageStyle$1$3);
                  const this$4 = $m_sci_List$();
                  const bf = this$4.ReusableCBFInstance$2;
                  let results;
                  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
                    if ((this$5 === $m_sci_Nil$())) {
                      results = $m_sci_Nil$()
                    } else {
                      const arg1 = this$5.head__O();
                      const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
                      let t = h;
                      let rest = this$5.tail__O();
                      while ((rest !== $m_sci_Nil$())) {
                        const arg1$1 = rest.head__O();
                        const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
                        t.tl$5 = nx;
                        t = nx;
                        rest = rest.tail__O()
                      };
                      results = h
                    }
                  } else {
                    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
                    let these = this$5;
                    while ((!these.isEmpty__Z())) {
                      const arg1$2 = these.head__O();
                      b.$$plus$eq__O__scm_Builder(f(arg1$2));
                      these = these.tail__O()
                    };
                    results = b.result__O()
                  };
                  const jsx$3 = results;
                  const this$7 = shaclReport.results__sci_List();
                  const f$1 = (function(this$2$1, validations$1$5, messageStyle$1$5, baseUnit$1$4) {
                    return (function(r$3$2) {
                      const r$3 = r$3$2;
                      return $f_Lamf_core_validation_ValidationResultProcessor__buildValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option(this$2$1, baseUnit$1$4, r$3, messageStyle$1$5, validations$1$5)
                    })
                  })($this$3, validations$1$3, messageStyle$1$3, baseUnit$1$3);
                  const this$6 = $m_sci_List$();
                  const bf$1 = this$6.ReusableCBFInstance$2;
                  let jsx$1;
                  if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
                    if ((this$7 === $m_sci_Nil$())) {
                      jsx$1 = $m_sci_Nil$()
                    } else {
                      const arg1$3 = this$7.head__O();
                      const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
                      let t$1 = h$1;
                      let rest$1 = this$7.tail__O();
                      while ((rest$1 !== $m_sci_Nil$())) {
                        const arg1$4 = rest$1.head__O();
                        const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
                        t$1.tl$5 = nx$1;
                        t$1 = nx$1;
                        rest$1 = rest$1.tail__O()
                      };
                      jsx$1 = h$1
                    }
                  } else {
                    const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$7, bf$1);
                    let these$1 = this$7;
                    while ((!these$1.isEmpty__Z())) {
                      const arg1$5 = these$1.head__O();
                      b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
                      these$1 = these$1.tail__O()
                    };
                    jsx$1 = b$1.result__O()
                  };
                  const this$9 = jsx$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
                    return (function(x$1$2) {
                      const x$1 = x$1$2;
                      return x$1.isDefined__Z()
                    })
                  })($this$3)));
                  const f$2 = (function(this$4$1) {
                    return (function(x$2$2) {
                      const x$2 = x$2$2;
                      return x$2.get__O()
                    })
                  })($this$3);
                  const this$8 = $m_sci_List$();
                  const bf$2 = this$8.ReusableCBFInstance$2;
                  let jsx$2;
                  if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
                    if ((this$9 === $m_sci_Nil$())) {
                      jsx$2 = $m_sci_Nil$()
                    } else {
                      const arg1$6 = this$9.head__O();
                      const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$6), $m_sci_Nil$());
                      let t$2 = h$2;
                      let rest$2 = this$9.tail__O();
                      while ((rest$2 !== $m_sci_Nil$())) {
                        const arg1$7 = rest$2.head__O();
                        const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$7), $m_sci_Nil$());
                        t$2.tl$5 = nx$2;
                        t$2 = nx$2;
                        rest$2 = rest$2.tail__O()
                      };
                      jsx$2 = h$2
                    }
                  } else {
                    const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf$2);
                    let these$2 = this$9;
                    while ((!these$2.isEmpty__Z())) {
                      const arg1$8 = these$2.head__O();
                      b$2.$$plus$eq__O__scm_Builder(f$2(arg1$8));
                      these$2 = these$2.tail__O()
                    };
                    jsx$2 = b$2.result__O()
                  };
                  const this$10 = $m_sci_List$();
                  results = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$10.ReusableCBFInstance$2);
                  const jsx$8 = results;
                  const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, validations$1$6, messageStyle$1$6, baseUnit$1$5) {
                    return (function(r$4$2) {
                      const r$4 = r$4$2;
                      return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildValidationWithCustomLevelForProfile__Lamf_core_model_document_BaseUnit__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option(this$5$1, baseUnit$1$5, r$4, messageStyle$1$6, validations$1$6)
                    })
                  })($this$3, validations$1$3, messageStyle$1$3, baseUnit$1$3));
                  const this$11 = $m_sc_Seq$();
                  const jsx$6 = examplesReport$1$2.map__F1__scg_CanBuildFrom__O(jsx$7, this$11.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
                    return (function(x$3$2) {
                      const x$3 = x$3$2;
                      return x$3.isDefined__Z()
                    })
                  })($this$3)));
                  const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
                    return (function(x$4$2) {
                      const x$4 = x$4$2;
                      return x$4.get__O()
                    })
                  })($this$3));
                  const this$12 = $m_sc_Seq$();
                  const jsx$4 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$12.ReusableCBFInstance$2);
                  const this$13 = $m_sci_List$();
                  results = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$13.ReusableCBFInstance$2);
                  const jsx$13 = results;
                  const jsx$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, validations$1$7, messageStyle$1$7, baseUnit$1$6) {
                    return (function(r$5$2) {
                      const r$5 = r$5$2;
                      return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildValidationWithCustomLevelForProfile__Lamf_core_model_document_BaseUnit__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option(this$8$1, baseUnit$1$6, r$5, messageStyle$1$7, validations$1$7)
                    })
                  })($this$3, validations$1$3, messageStyle$1$3, baseUnit$1$3));
                  const this$14 = $m_sc_Seq$();
                  const jsx$11 = shapeFacetsReport$1$1.map__F1__scg_CanBuildFrom__O(jsx$12, this$14.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
                    return (function(x$5$2) {
                      const x$5 = x$5$2;
                      return x$5.isDefined__Z()
                    })
                  })($this$3)));
                  const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
                    return (function(x$6$2) {
                      const x$6 = x$6$2;
                      return x$6.get__O()
                    })
                  })($this$3));
                  const this$15 = $m_sc_Seq$();
                  const jsx$9 = jsx$11.map__F1__scg_CanBuildFrom__O(jsx$10, this$15.ReusableCBFInstance$2);
                  const this$16 = $m_sci_List$();
                  results = jsx$13.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$16.ReusableCBFInstance$2);
                  const jsx$18 = results;
                  const jsx$17 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1, validations$1$8, messageStyle$1$8, baseUnit$1$7) {
                    return (function(r$6$2) {
                      const r$6 = r$6$2;
                      return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildValidationWithCustomLevelForProfile__Lamf_core_model_document_BaseUnit__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option(this$11$1, baseUnit$1$7, r$6, messageStyle$1$8, validations$1$8)
                    })
                  })($this$3, validations$1$3, messageStyle$1$3, baseUnit$1$3));
                  const this$17 = $m_sc_Seq$();
                  const jsx$16 = annotationsReport$1.map__F1__scg_CanBuildFrom__O(jsx$17, this$17.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12$1) {
                    return (function(x$7$2) {
                      const x$7 = x$7$2;
                      return x$7.isDefined__Z()
                    })
                  })($this$3)));
                  const jsx$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$13$1) {
                    return (function(x$8$2) {
                      const x$8 = x$8$2;
                      return x$8.get__O()
                    })
                  })($this$3));
                  const this$18 = $m_sc_Seq$();
                  const jsx$14 = jsx$16.map__F1__scg_CanBuildFrom__O(jsx$15, this$18.ReusableCBFInstance$2);
                  const this$19 = $m_sci_List$();
                  results = jsx$18.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$14, this$19.ReusableCBFInstance$2);
                  const this$20 = results;
                  let jsx$19;
                  inlinereturn$89: {
                    let these$3 = this$20;
                    while ((!these$3.isEmpty__Z())) {
                      const arg1$9 = these$3.head__O();
                      const x$9 = arg1$9;
                      if ((x$9.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
                        jsx$19 = true;
                        break inlinereturn$89
                      };
                      these$3 = these$3.tail__O()
                    };
                    jsx$19 = false
                  };
                  return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$19), baseUnit$1$3.id__T(), profile$2$2, results)
                })
              })($this$2, profile$2$1, validations$1$2, messageStyle$1$2, baseUnit$1$2, examplesReport$1$1, shapeFacetsReport$1, annotationsReport)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
            })
          })($this$1, profile$2, validations$1$1, messageStyle$1$1, baseUnit$1$1, examplesReport$1, shapeFacetsReport)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        })
      })($this, profile$1, validations$1, messageStyle$1, platform$1, baseUnit$1, examplesReport)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    })
  })($thiz, profile, validations, messageStyle, platform, baseUnit)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
});
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildPayloadValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_EffectiveValidations__s_Option = (function($thiz, model, result, validations) {
  const thiz = result.sourceShape__T();
  const prefix = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
  let validationSpecToLook;
  if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
    const thiz$1 = result.sourceShape__T();
    const target = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
    validationSpecToLook = thiz$1.split(target).join("")
  } else {
    validationSpecToLook = result.sourceShape__T()
  };
  const x1 = validations.all$1.get__O__s_Option(validationSpecToLook);
  let maybeTargetSpec;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const validationSpec = x2.value$2;
    maybeTargetSpec = new $c_s_Some().init___O(validationSpec)
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const this$8 = validations.all$1;
    const this$9 = this$8.iterator__sc_Iterator();
    let x1$2$1;
    inlinereturn$13: {
      while (this$9.hasNext__Z()) {
        const a = this$9.next__O();
        const x0$2 = a;
        if ((x0$2 === null)) {
          throw new $c_s_MatchError().init___O(x0$2)
        };
        const v = x0$2.$$und1__O();
        const validation = x0$2.$$und2__O();
        const x1$2 = validation.propertyConstraints$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validationSpecToLook$1) {
          return (function(p$2) {
            const p = p$2;
            return (p.name$1 === validationSpecToLook$1)
          })
        })($thiz, validationSpecToLook)));
        let jsx$1;
        if ($is_s_Some(x1$2)) {
          jsx$1 = true
        } else {
          const x$1 = $m_s_None$();
          if ((!(x$1 === x1$2))) {
            throw new $c_s_MatchError().init___O(x1$2)
          };
          jsx$1 = (((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, (v.length | 0)) === v))
        };
        if (jsx$1) {
          x1$2$1 = new $c_s_Some().init___O(a);
          break inlinereturn$13
        }
      };
      x1$2$1 = $m_s_None$()
    };
    matchEnd6: {
      if ($is_s_Some(x1$2$1)) {
        const x2$2 = x1$2$1;
        const p3 = x2$2.value$2;
        if ((p3 !== null)) {
          const spec = p3.$$und2__O();
          maybeTargetSpec = new $c_s_Some().init___O(spec);
          break matchEnd6
        }
      };
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2$1)) {
        if ((!(((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, ("_:".length | 0)) === "_:")))) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find validation spec for validation error:\\n ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result]))))
        };
        maybeTargetSpec = $m_s_None$();
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1$2$1)
    }
  };
  if ($is_s_Some(maybeTargetSpec)) {
    const x2$3 = maybeTargetSpec;
    const targetSpec = x2$3.value$2;
    const propertyConstraint = targetSpec.propertyConstraints$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, validationSpecToLook$2) {
      return (function(p$2$1) {
        const p$1 = p$2$1;
        return (p$1.name$1 === validationSpecToLook$2)
      })
    })($thiz, validationSpecToLook)));
    let message;
    if ($is_s_Some(propertyConstraint)) {
      const x2$4 = propertyConstraint;
      const p$3 = x2$4.value$2;
      const this$20 = p$3.message$1;
      message = (this$20.isEmpty__Z() ? targetSpec.message$1 : this$20.get__O())
    } else {
      const x$5 = $m_s_None$();
      if ((!(x$5 === propertyConstraint))) {
        throw new $c_s_MatchError().init___O(propertyConstraint)
      };
      message = targetSpec.message$1
    };
    if (($m_s_Option$().apply__O__s_Option(message).isEmpty__Z() || (message === ""))) {
      const this$21 = result.message__s_Option();
      message = (this$21.isEmpty__Z() ? "Constraint violation" : this$21.get__O())
    };
    let finalId;
    if ($is_s_Some(propertyConstraint)) {
      const x2$5 = propertyConstraint;
      const p$4 = x2$5.value$2;
      finalId = p$4.name$1
    } else {
      const x$7 = $m_s_None$();
      if ((!(x$7 === propertyConstraint))) {
        throw new $c_s_MatchError().init___O(propertyConstraint)
      };
      finalId = targetSpec.name$1
    };
    const severity = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const validation$1 = $m_Lamf_core_validation_AMFValidationResult$().fromSHACLValidation__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_AMFValidationResult(model, message, severity, result);
    return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(validation$1.message$1, validation$1.level$1, validation$1.targetNode$1, validation$1.targetProperty$1, finalId, validation$1.position$1, validation$1.source$1))
  } else {
    return $m_s_None$()
  }
});
class $c_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ extends $c_O {
  constructor() {
    super();
    this.webapi$1 = null;
    this.documentationItem$1 = null;
    this.endpoint$1 = null;
    this.operation$1 = null;
    this.response$1 = null;
    this.request$1 = null;
    this.payload$1 = null;
    this.shape$1 = null;
    this.example$1 = null;
    this.resourceType$1 = null;
    this.trait$1 = null;
    this.securityScheme$1 = null;
    this.securitySettings$1 = null;
    this.customDomainProperty$1 = null;
    this.library$1 = null;
    this.overlay$1 = null;
    this.extension$1 = null;
    this.uriToRaml$1 = null;
    this.ramlToUri$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.webapi$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "WebAPI").iri__T();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.documentationItem$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "DocumentationItem").iri__T();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.endpoint$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "EndPoint").iri__T();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.operation$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Operation").iri__T();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.response$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "Response").iri__T();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.request$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Request").iri__T();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.payload$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "Payload").iri__T();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.shape$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "Shape").iri__T();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.example$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "Example").iri__T();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.resourceType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "ResourceType").iri__T();
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.trait$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "Trait").iri__T();
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.securityScheme$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "SecurityScheme").iri__T();
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.securitySettings$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "SecuritySettings").iri__T();
    const this$27 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.customDomainProperty$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "CustomDomainProperty").iri__T();
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.library$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "Module").iri__T();
    const this$31 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.overlay$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, "AbstractDocument").iri__T();
    const this$33 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.extension$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "PartialDocument").iri__T();
    const self = this.webapi$1;
    const jsx$16 = new $c_T2().init___O__O(self, "API");
    const self$1 = this.documentationItem$1;
    const jsx$15 = new $c_T2().init___O__O(self$1, "DocumentationItem");
    const self$2 = this.endpoint$1;
    const jsx$14 = new $c_T2().init___O__O(self$2, "Resource");
    const self$3 = this.operation$1;
    const jsx$13 = new $c_T2().init___O__O(self$3, "Method");
    const self$4 = this.response$1;
    const jsx$12 = new $c_T2().init___O__O(self$4, "Response");
    const self$5 = this.request$1;
    const jsx$11 = new $c_T2().init___O__O(self$5, "RequestBody");
    const self$6 = this.payload$1;
    const jsx$10 = new $c_T2().init___O__O(self$6, "ResponseBody");
    const self$7 = this.shape$1;
    const jsx$9 = new $c_T2().init___O__O(self$7, "TypeDeclaration");
    const self$8 = this.example$1;
    const jsx$8 = new $c_T2().init___O__O(self$8, "Example");
    const self$9 = this.resourceType$1;
    const jsx$7 = new $c_T2().init___O__O(self$9, "ResourceType");
    const self$10 = this.trait$1;
    const jsx$6 = new $c_T2().init___O__O(self$10, "Trait");
    const self$11 = this.securityScheme$1;
    const jsx$5 = new $c_T2().init___O__O(self$11, "SecurityScheme");
    const self$12 = this.securitySettings$1;
    const jsx$4 = new $c_T2().init___O__O(self$12, "SecuritySchemeSettings");
    const self$13 = this.customDomainProperty$1;
    const jsx$3 = new $c_T2().init___O__O(self$13, "AnnotationType");
    const self$14 = this.library$1;
    const jsx$2 = new $c_T2().init___O__O(self$14, "Library");
    const self$15 = this.overlay$1;
    const jsx$1 = new $c_T2().init___O__O(self$15, "Overlay");
    const self$16 = this.extension$1;
    const array = [jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O(self$16, "Extension")];
    const this$70 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$70.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    this.uriToRaml$1 = this$70.elems$1;
    const this$74 = this.uriToRaml$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const k = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          return new $c_T2().init___O__O(v, k)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$73 = $m_sci_Map$();
    const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$73);
    this.ramlToUri$1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$74, f, bf);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$: 0
}, false, "amf.plugins.document.webapi.vocabulary.VocabularyMappings$", {
  Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$.prototype.$classData = $d_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$;
let $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = (void 0);
const $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$)) {
    $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = new $c_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().init___()
  };
  return $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$
});
class $c_Lamf_plugins_domain_shapes_models_AnyShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_AnyShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_AnyShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_AnyShape$: 0
}, false, "amf.plugins.domain.shapes.models.AnyShape$", {
  Lamf_plugins_domain_shapes_models_AnyShape$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_models_AnyShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_AnyShape$;
let $n_Lamf_plugins_domain_shapes_models_AnyShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_AnyShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_AnyShape$)) {
    $n_Lamf_plugins_domain_shapes_models_AnyShape$ = new $c_Lamf_plugins_domain_shapes_models_AnyShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_AnyShape$
});
class $c_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ extends $c_O {
  init___() {
    return this
  };
  typeDef__T__T__Lamf_plugins_domain_shapes_models_TypeDef(iri, format) {
    const x1 = this.typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(iri);
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
    if ((x === x1)) {
      return ((format === "int32") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$() : ((format === "int64") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$() : ((format === "float") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$() : ((format === "double") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$()))))
    } else {
      return x1
    }
  };
  typeDef08__T__T(iri) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T())) {
      return "string"
    } else {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T())) {
        return "integer"
      } else {
        const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "float").iri__T())) {
          return "number"
        } else {
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "boolean").iri__T())) {
            return "boolean"
          } else {
            const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "dateTime").iri__T())) {
              return "date"
            } else {
              const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
              if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "file").iri__T())) {
                return "file"
              } else {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown mapping: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([iri]))))
              }
            }
          }
        }
      }
    }
  };
  typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(iri) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$()
    } else {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T())) {
        return $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()
      } else {
        const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "long").iri__T())) {
          return $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$()
        } else {
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "float").iri__T())) {
            return $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$()
          } else {
            const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "double").iri__T())) {
              return $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$()
            } else {
              const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "boolean").iri__T())) {
                return $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$()
              } else {
                const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "dateTime").iri__T())) {
                  return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$()
                } else {
                  const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                  if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "dateTimeOnly").iri__T())) {
                    return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$()
                  } else {
                    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                    if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "time").iri__T())) {
                      return $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$()
                    } else {
                      const this$19 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                      if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "date").iri__T())) {
                        return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$()
                      } else {
                        const this$21 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                        if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "byte").iri__T())) {
                          return $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$()
                        } else {
                          const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                          if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "base64Binary").iri__T())) {
                            return $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$()
                          } else {
                            const this$25 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                            if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "password").iri__T())) {
                              return $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$()
                            } else {
                              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown mapping: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([iri]))))
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$: 0
}, false, "amf.plugins.domain.shapes.parser.TypeDefXsdMapping$", {
  Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$.prototype.$classData = $d_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$;
let $n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = (void 0);
const $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$)) {
    $n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = new $c_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$
});
class $c_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ extends $c_O {
  init___() {
    return this
  };
  xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
    let jsx$1;
    if ((x === typeDef)) {
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string")
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
      if ((x$3 === typeDef)) {
        const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer")
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
        if ((x$5 === typeDef)) {
          const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "long")
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
          if ((x$7 === typeDef)) {
            const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "float")
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
            if ((x$9 === typeDef)) {
              const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "double")
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$();
              if ((x$11 === typeDef)) {
                const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "boolean")
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
                if ((x$13 === typeDef)) {
                  const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "dateTime")
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
                  if ((x$15 === typeDef)) {
                    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                    jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "dateTimeOnly")
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
                    if ((x$17 === typeDef)) {
                      const this$17 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                      jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "time")
                    } else {
                      const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                      if ((x$19 === typeDef)) {
                        const this$19 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                        jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "date")
                      } else {
                        const x$21 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
                        if ((x$21 === typeDef)) {
                          const this$21 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                          jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "byte")
                        } else {
                          const x$23 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
                          if ((x$23 === typeDef)) {
                            const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                            jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "base64Binary")
                          } else {
                            const x$25 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
                            if ((!(x$25 === typeDef))) {
                              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T("Unknown mapping"))
                            };
                            const this$25 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                            jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "password")
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    };
    return jsx$1.iri__T()
  };
  xsdFromString__T__T2(text) {
    if ((text === "string")) {
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T(), $m_s_Option$().apply__O__s_Option(""))
    } else if ((text === "number")) {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "float").iri__T(), $m_s_Option$().apply__O__s_Option(""))
    } else if ((text === "integer")) {
      const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "integer").iri__T(), $m_s_Option$().apply__O__s_Option(""))
    } else if ((text === "date")) {
      const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "dateTime").iri__T(), $m_s_Option$().apply__O__s_Option("RFC2616"))
    } else if ((text === "boolean")) {
      const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "boolean").iri__T(), $m_s_Option$().apply__O__s_Option(""))
    } else if ((text === "file")) {
      const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "file").iri__T(), $m_s_Option$().apply__O__s_Option(""))
    } else {
      throw new $c_s_MatchError().init___O(text)
    }
  };
}
const $d_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$: 0
}, false, "amf.plugins.domain.shapes.parser.XsdTypeDefMapping$", {
  Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$.prototype.$classData = $d_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$;
let $n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = (void 0);
const $m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$)) {
    $n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = new $c_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape = (function($thiz, baseNode, superNode) {
  const superProperties = superNode.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
  const baseProperties = baseNode.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
  const commonProps = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  superProperties.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, commonProps$1) {
    return (function(p$2) {
      const p = p$2;
      return commonProps$1.put__O__O__s_Option(p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1), false)
    })
  })($thiz, commonProps)));
  baseProperties.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, commonProps$2) {
    return (function(p$3$2) {
      const p$3 = p$3$2;
      return (commonProps$2.get__O__s_Option(p$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1)).isDefined__Z() ? commonProps$2.put__O__O__s_Option(p$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1), true) : commonProps$2.put__O__O__s_Option(p$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1), false))
    })
  })($thiz, commonProps)));
  const this$1 = $m_scm_Iterable$();
  const bf = this$1.ReusableCBFInstance$2;
  const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(commonProps, bf);
  const iterTable = commonProps.table$5;
  let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(commonProps);
  let es = iterTable.u[idx];
  while ((es !== null)) {
    const next = es.next__O();
    const arg1 = es;
    const e = arg1;
    const arg1$1 = new $c_T2().init___O__O(e.key$1, e.value$1);
    let jsx$1;
    matchEnd7: {
      const path = arg1$1.$$und1$f;
      const p2 = (!(!arg1$1.$$und2$f));
      if ((p2 === true)) {
        const superProp = superProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, path$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            return (x$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1) === path$1)
          })
        })($thiz, path))).get__O();
        const baseProp = baseProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, path$2) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return (x$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1) === path$2)
          })
        })($thiz, path))).get__O();
        jsx$1 = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseProp, superProp);
        break matchEnd7
      };
      const path$2$1 = arg1$1.$$und1$f;
      const p3 = (!(!arg1$1.$$und2$f));
      if ((p3 === false)) {
        const superProp$2 = superProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, path$2$2) {
          return (function(x$4$2) {
            const x$4 = x$4$2;
            return (x$4.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1) === path$2$2)
          })
        })($thiz, path$2$1)));
        const baseProp$2 = baseProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, path$2$3) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            return (x$5.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1) === path$2$3)
          })
        })($thiz, path$2$1)));
        jsx$1 = (superProp$2.isEmpty__Z() ? baseProp$2.get__O() : superProp$2.get__O());
        break matchEnd7
      };
      throw new $c_s_MatchError().init___O(arg1$1)
    };
    b.$$plus$eq__O__scm_Builder(jsx$1);
    es = next;
    while (((es === null) && (idx > 0))) {
      idx = (((-1) + idx) | 0);
      es = iterTable.u[idx]
    }
  };
  const minProps = b.result__O();
  const x1 = $m_s_Option$().apply__O__s_Option(baseNode.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1));
  let annotations;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const field = x2.value$2;
    annotations = field.annotations$1
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    annotations = new $c_Lamf_core_parser_Annotations().init___()
  };
  baseNode.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(minProps.toSeq__sc_Seq(), new $c_Lamf_core_parser_Annotations().init___()), annotations);
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1, $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Examples$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseNode, superNode, filteredFields);
  return baseNode
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinAny__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_model_domain_Shape = (function($thiz, baseShape, anyShape) {
  const fields = $thiz.allShapeFields$2;
  $m_sc_Seq$();
  $m_sci_Seq$();
  const this$3 = new $c_scm_ListBuffer().init___();
  const filteredFields = this$3.toList__sci_List();
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseShape, anyShape, filteredFields);
  return baseShape
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape = (function($thiz, baseMatrix, superMatrix) {
  const superItems = baseMatrix.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  const baseItems = superMatrix.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  const newItems = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseItems, superItems);
  baseMatrix.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, newItems, new $c_Lamf_core_parser_Annotations().init___());
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().fields$1;
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseMatrix, superMatrix, filteredFields);
  return baseMatrix
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__isGenericNodeShape__Lamf_core_model_domain_Shape__Z = (function($thiz, shape) {
  if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
    const x2 = shape;
    const this$1 = $m_s_Option$().apply__O__s_Option(x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1));
    return (this$1.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$1.get__O()).isEmpty__Z()
  } else {
    return false
  }
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape = (function($thiz, baseProperty, superProperty) {
  const baseShapeOrig = baseProperty.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
  const superShape = superProperty.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
  const newRange = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseShapeOrig, superShape);
  baseProperty.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1, newRange, baseProperty.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).annotations$1);
  const fields = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseProperty, superProperty, filteredFields);
  return baseProperty
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnionNode__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape = (function($thiz, baseUnion, superNode) {
  const jsx$2 = baseUnion.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, superNode$1) {
    return (function(baseUnionElement$2) {
      const baseUnionElement = baseUnionElement$2;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($this, baseUnionElement, superNode$1)
    })
  })($thiz, superNode));
  const this$1 = $m_sc_Seq$();
  const newUnionItems = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
  baseUnion.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newUnionItems, new $c_Lamf_core_parser_Annotations().init___()), baseUnion.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1);
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseUnion, superNode, filteredFields);
  return baseUnion
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape = (function($thiz, baseUnion, superUnion) {
  const this$1 = $m_s_Option$().apply__O__s_Option(baseUnion.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
  let jsx$1;
  if ((this$1.isEmpty__Z() ? $m_sci_Nil$() : this$1.get__O()).isEmpty__Z()) {
    jsx$1 = true
  } else {
    const this$2 = $m_s_Option$().apply__O__s_Option(superUnion.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
    jsx$1 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O()).isEmpty__Z()
  };
  let newUnionItems;
  if (jsx$1) {
    const this$3 = $m_s_Option$().apply__O__s_Option(baseUnion.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
    const jsx$3 = (this$3.isEmpty__Z() ? $m_sci_Nil$() : this$3.get__O());
    const this$4 = $m_s_Option$().apply__O__s_Option(superUnion.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
    const jsx$2 = (this$4.isEmpty__Z() ? $m_sci_Nil$() : this$4.get__O());
    const this$5 = $m_sc_Seq$();
    newUnionItems = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$5.ReusableCBFInstance$2)
  } else {
    const jsx$7 = baseUnion.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, superUnion$1) {
      return (function(baseUnionElement$2) {
        const baseUnionElement = baseUnionElement$2;
        const jsx$6 = superUnion$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, baseUnionElement$1) {
          return (function(superUnionElement$2) {
            const superUnionElement = superUnionElement$2;
            return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($this, baseUnionElement$1, superUnionElement)
          })
        })(this$5$1, baseUnionElement));
        const this$6 = $m_sc_Seq$();
        return jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$6.ReusableCBFInstance$2)
      })
    })($thiz, superUnion));
    const this$7 = $m_sc_Seq$();
    newUnionItems = jsx$7.flatMap__F1__scg_CanBuildFrom__O(jsx$4, this$7.ReusableCBFInstance$2)
  };
  baseUnion.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newUnionItems, new $c_Lamf_core_parser_Annotations().init___()), baseUnion.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1);
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseUnion, superUnion, filteredFields);
  return baseUnion
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape = (function($thiz, baseScalar, superScalar) {
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().fields$1;
  $m_sc_Seq$();
  $m_sci_Seq$();
  const this$3 = new $c_scm_ListBuffer().init___();
  const filteredFields = this$3.toList__sci_List();
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseScalar, superScalar, filteredFields);
  return baseScalar
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__$$init$__V = (function($thiz) {
  const jsx$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().fields$1;
  const jsx$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().fields$1;
  const this$1 = $m_sci_List$();
  const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$1.ReusableCBFInstance$2);
  const jsx$3 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().fields__sci_List();
  const this$2 = $m_sci_List$();
  const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2);
  const this$3 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
  const jsx$1 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$3);
  const this$4 = $m_sci_List$();
  $thiz.allShapeFields$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).distinct__O()
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape = (function($thiz, baseArray, superArray) {
  const superItems = superArray.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  const baseItemsOption = $m_s_Option$().apply__O__s_Option(baseArray.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
  let newItems;
  if (baseItemsOption.isEmpty__Z()) {
    newItems = superItems
  } else {
    const arg1 = baseItemsOption.get__O();
    const baseItems = arg1;
    newItems = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseItems, superItems)
  };
  const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(baseArray, field, newItems);
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().fields$1;
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseArray, superArray, filteredFields);
  return baseArray
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape = (function($thiz, baseShapeOrig, superShape) {
  const baseShape = baseShapeOrig.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(baseShapeOrig.cloneShape$default$1__s_Option(), baseShapeOrig.cloneShape$default$2__sci_Set());
  let rc15 = false;
  let x6 = null;
  let rc16 = false;
  let x7 = null;
  if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(baseShape)) {
    const x2 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(superShape)) {
      const superScalar = superShape;
      if ((x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1) === superScalar.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1))) {
        return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape($thiz, x2, superScalar)
      } else {
        const jsx$2 = x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        let jsx$1;
        if ((jsx$2 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "integer").iri__T())) {
          const jsx$3 = superScalar.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
          const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          jsx$1 = (jsx$3 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "float").iri__T())
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "integer").iri__T();
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
          const superScalar$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(superScalar, field, dataType);
          return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape($thiz, x2, superScalar$1)
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Invalid scalar inheritance base type ", " < ", " "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1), superScalar.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1)]))))
        }
      }
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(baseShape)) {
    const x3 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(superShape)) {
      const superArray = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape($thiz, x3, superArray)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(baseShape)) {
    const x4 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(superShape)) {
      const superArray$2 = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape($thiz, x4, superArray$2)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_TupleShape(baseShape)) {
    const x5 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_TupleShape(superShape)) {
      const superArray$3 = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape($thiz, x5, superArray$3)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_NodeShape(baseShape)) {
    rc15 = true;
    x6 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(superShape)) {
      const superNode = superShape;
      const baseNode = x6;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape($thiz, baseNode, superNode)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_UnionShape(baseShape)) {
    rc16 = true;
    x7 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(superShape)) {
      const superUnion = superShape;
      const baseUnion = x7;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape($thiz, baseUnion, superUnion)
    }
  };
  if ((rc16 && $is_Lamf_plugins_domain_shapes_models_NodeShape(superShape))) {
    const superNode$2 = superShape;
    const baseUnion$1 = x7;
    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnionNode__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape($thiz, baseUnion$1, superNode$2)
  };
  if ((baseShape !== null)) {
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(superShape)) {
      const superUnion$2 = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinSuperUnion__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape($thiz, baseShape, superUnion$2)
    }
  };
  if ($is_Lamf_core_model_domain_extensions_PropertyShape(baseShape)) {
    const x10 = baseShape;
    if ($is_Lamf_core_model_domain_extensions_PropertyShape(superShape)) {
      const superProperty = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape($thiz, x10, superProperty)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_FileShape(baseShape)) {
    const x11 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_FileShape(superShape)) {
      const superFile = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinFile__Lamf_plugins_domain_shapes_models_FileShape__Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_model_domain_Shape($thiz, x11, superFile)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_NilShape(baseShape)) {
    const x12 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(superShape)) {
      return x12
    }
  };
  if ($is_Lamf_core_model_domain_RecursiveShape(superShape)) {
    const recursiveShape = superShape;
    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseShape, recursiveShape)
  };
  const x = baseShape.meta__Lamf_core_metamodel_Obj();
  const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
  let jsx$4;
  if (((x !== null) && x.equals__O__Z(x$2))) {
    jsx$4 = true
  } else {
    const x$3 = superShape.meta__Lamf_core_metamodel_Obj();
    const x$4 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    jsx$4 = ((x$3 !== null) && x$3.equals__O__Z(x$4))
  };
  if (jsx$4) {
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(baseShape)) {
      const x2$2 = baseShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, x2$2, superShape)
    } else {
      const anyShape = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinAny__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_model_domain_Shape($thiz, baseShape, anyShape)
    }
  };
  let jsx$5;
  if (rc15) {
    const shape = x6;
    jsx$5 = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__isGenericNodeShape__Lamf_core_model_domain_Shape__Z($thiz, shape)
  } else {
    jsx$5 = false
  };
  if (jsx$5) {
    const baseShape$1 = x6;
    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseShape$1, superShape)
  };
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Incompatible types [", ", ", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([baseShape, superShape]))))
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape = (function($thiz, baseTuple, superTuple) {
  const superItems = baseTuple.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  const baseItems = superTuple.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  if ((superItems.length__I() !== baseItems.length__I())) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot inherit from a tuple shape with different number of elements"))
  } else {
    const this$2 = baseItems.view__sc_SeqView().zipWithIndex__scg_CanBuildFrom__O(new $c_sc_SeqView$$anon$1().init___());
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })($thiz));
    const this$4 = $f_sc_TraversableViewLike__withFilter__F1__sc_TraversableView(this$2, p);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, superItems$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        if ((x$1 !== null)) {
          const baseItem = x$1.$$und1__O();
          const i = x$1.$$und2$mcI$sp__I();
          const superShape = superItems$1.apply__I__O(i);
          return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(this$2$1, baseItem, superShape)
        } else {
          throw new $c_s_MatchError().init___O(x$1)
        }
      })
    })($thiz, superItems));
    new $c_sc_SeqView$$anon$1().init___();
    const newItems = this$4.newMapped__F1__sc_TraversableViewLike$Transformed(f);
    baseTuple.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newItems, new $c_Lamf_core_parser_Annotations().init___()), baseTuple.fields$2.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2).annotations__Lamf_core_parser_Annotations());
    const fields = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().fields$1;
    const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2]));
    $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseTuple, superTuple, filteredFields);
    return baseTuple
  }
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinFile__Lamf_plugins_domain_shapes_models_FileShape__Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_model_domain_Shape = (function($thiz, baseFile, superFile) {
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().fields__sci_List();
  $m_sc_Seq$();
  $m_sci_Seq$();
  const this$3 = new $c_scm_ListBuffer().init___();
  const filteredFields = this$3.toList__sci_List();
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseFile, superFile, filteredFields);
  return baseFile
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinSuperUnion__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape = (function($thiz, baseShape, superUnion) {
  const jsx$2 = superUnion.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, baseShape$1) {
    return (function(superUnionElement$2) {
      const superUnionElement = superUnionElement$2;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($this, baseShape$1, superUnionElement)
    })
  })($thiz, baseShape));
  const this$1 = $m_sc_Seq$();
  const newUnionItems = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
  superUnion.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newUnionItems, new $c_Lamf_core_parser_Annotations().init___()), superUnion.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1);
  const fields = $thiz.allShapeFields$2;
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseShape, superUnion, filteredFields);
  const this$3 = baseShape.fields__Lamf_core_parser_Fields();
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, superUnion$1) {
    return (function(x0$2$2) {
      const x0$2 = x0$2$2;
      if ((x0$2 !== null)) {
        const field = x0$2.$$und1__O();
        const value = x0$2.$$und2__O();
        const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
        if ((!((field === null) ? (x$2 === null) : field.equals__O__Z(x$2)))) {
          superUnion$1.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, value.value$1, value.annotations$1)
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$2)
      }
    })
  })($thiz, superUnion));
  this$3.fs$1.foreach__F1__V(fn);
  return superUnion
});
class $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ extends $c_O {
  init___() {
    return this
  };
  asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_domain_DataNode__T__s_Option__Lamf_plugins_domain_webapi_models_EndPoint(unit, profile, dataNode, name, context) {
    const ctx = (context.isEmpty__Z() ? this.custom__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(profile) : context.get__O());
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("/endpoint");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(dataNode, $m_Lamf_core_emitter_SpecOrdering$Default$()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const document = new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1);
    const endPointEntry = document.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).entries$3.head__O();
    const collector = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.declarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, unit);
    const validator = $m_Lamf_core_services_RuntimeValidator$().validator$1;
    ctx.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().endPointParser__F5().apply__O__O__O__O__O__O(endPointEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$8$2) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        return new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
      })
    })(this)), $m_s_None$(), collector, true).parse__V();
    if ((!validator.isEmpty__Z())) {
      const arg1 = validator.get__O();
      const runtimeValidator = arg1;
      $m_Lamf_core_services_RuntimeValidator$().register__Lamf_core_services_RuntimeValidator__V(runtimeValidator)
    };
    const x1 = collector.toList__sci_List();
    if ($is_sci_$colon$colon(x1)) {
      const x2 = x1;
      const e = x2.head$5;
      const p3 = x2.tl$5;
      const x$3 = $m_sci_Nil$();
      if (x$3.equals__O__Z(p3)) {
        return e
      }
    };
    const x$3$1 = $m_sci_Nil$();
    if (x$3$1.equals__O__Z(x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Couldn't parse an endpoint from resourceType '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]))))
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Nested endpoints found in resourceType '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]))))
  };
  custom__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(profile) {
    return (($m_Lamf_ProfileNames$().RAML08$1 === profile) ? new $c_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext().init___() : new $c_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext().init___())
  };
  declarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, model) {
    if ($is_Lamf_core_model_document_DeclaresModel(model)) {
      model.declares__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1, model$1) {
        return (function(declaration$2) {
          const declaration = declaration$2;
          ctx$1.declarations$3.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration);
          $this.processDeclaration__p1__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(declaration, ctx$1, model$1)
        })
      })(this, ctx, model)))
    };
    this.nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, model)
  };
  nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, model) {
    model.references__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        matchEnd5: {
          if ($is_Lamf_core_model_document_Fragment(x0$1)) {
            const x2 = x0$1;
            const this$1 = ctx$1.declarations$3;
            const _1 = x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
            const jsx$1 = this$1.fragments$1;
            const y = x2.encodes__Lamf_core_model_domain_DomainElement();
            this$1.fragments$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(_1, y));
            $this.nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx$1, x2);
            break matchEnd5
          };
          if ($is_Lamf_core_model_document_Module(x0$1)) {
            const x3 = x0$1;
            if (x3.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf()).isDefined__Z()) {
              $m_sc_Seq$();
              $m_sci_Seq$();
              const this$7 = new $c_scm_ListBuffer().init___();
              const nestedCtx = new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$7.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()), $m_s_None$());
              x3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, nestedCtx$1, x3$1) {
                return (function(declaration$2) {
                  const declaration = declaration$2;
                  $this$1.processDeclaration__p1__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(declaration, nestedCtx$1, x3$1)
                })
              })($this, nestedCtx, x3)));
              const this$11 = x3.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
              const this$13 = (this$11.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$11.get__O()).aliases$1;
              const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
                return (function(x$9$2) {
                  const x$9 = x$9$2;
                  return x$9.$$und1__O()
                })
              })($this));
              const this$12 = $m_sci_Set$();
              const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$12);
              $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$13, f, bf).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, ctx$2, nestedCtx$2) {
                return (function(alias$2) {
                  const alias = alias$2;
                  const jsx$3 = ctx$2.declarations$3;
                  const jsx$2 = ctx$2.declarations$3.libraries$1;
                  const y$1 = nestedCtx$2.declarations$3;
                  jsx$3.libraries$1 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, y$1))
                })
              })($this, ctx$1, nestedCtx)));
              $this.nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx$1, x3);
              break matchEnd5
            }
          };
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, ctx)))
  };
  asOperation__T__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit__s_Option__Lamf_plugins_domain_webapi_models_Operation(profile, node, unit, context) {
    const ctx = (context.isEmpty__Z() ? this.custom__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(profile) : context.get__O());
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("extends");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(node, $m_Lamf_core_emitter_SpecOrdering$Default$()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const document = new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1);
    const entry = document.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).entries$3.head__O();
    this.declarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, unit);
    return ctx.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().operationParser__F3().apply__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$4$2) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        return new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
      })
    })(this)), true).parse__Lamf_plugins_domain_webapi_models_Operation()
  };
  processDeclaration__p1__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(declaration, nestedCtx, model) {
    const x1 = declaration.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_resolution_stages_ResolvedNamedEntity.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const resolvedNamedEntity = x2.value$2;
      const this$1 = resolvedNamedEntity.vals$1;
      const iterTable = this$1.table$5;
      let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
      let es = iterTable.u[idx];
      while ((es !== null)) {
        const next = es.next__O();
        const arg1 = es;
        const e = arg1;
        const _2 = e.value$1;
        const namedEntities = _2;
        const inContext = namedEntities.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, model$2) {
          return (function(entity$2) {
            const entity = entity$2;
            if ($is_Lamf_core_model_domain_DomainElement(entity)) {
              const thiz = entity.id__T();
              const s = model$2.location__T();
              return ((thiz.indexOf(s) | 0) !== (-1))
            } else {
              return false
            }
          })
        })(this, model)));
        matchEnd4: {
          if ($is_Lamf_core_model_domain_NamedDomainElement(declaration)) {
            if (inContext.isDefined__Z()) {
              const localName = inContext.get__O().name__T();
              const realName = declaration.name__T();
              declaration.withName__T__Lamf_core_model_domain_NamedDomainElement(localName);
              nestedCtx.declarations$3.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration);
              declaration.withName__T__Lamf_core_model_domain_NamedDomainElement(realName);
              break matchEnd4
            }
          };
          nestedCtx.declarations$3.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration)
        };
        es = next;
        while (((es === null) && (idx > 0))) {
          idx = (((-1) + idx) | 0);
          es = iterTable.u[idx]
        }
      }
    } else {
      nestedCtx.declarations$3.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration)
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$: 0
}, false, "amf.plugins.domain.webapi.resolution.ExtendsHelper$", {
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$;
let $n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = (void 0);
const $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$)) {
    $n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = new $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$
});
class $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ extends $c_O {
  init___() {
    return this
  };
  merge__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode__V(existing, overlay) {
    matchEnd9: {
      if ($is_Lamf_core_model_domain_ScalarNode(existing)) {
        const x2 = existing;
        if ($is_Lamf_core_model_domain_ScalarNode(overlay)) {
          const x3 = overlay;
          x2.value$2 = x3.value$2;
          x2.dataType$2 = x3.dataType$2;
          break matchEnd9
        }
      };
      if ($is_Lamf_core_model_domain_ObjectNode(existing)) {
        const x4 = existing;
        if ($is_Lamf_core_model_domain_ObjectNode(overlay)) {
          const x5 = overlay;
          this.mergeObjectNode__Lamf_core_model_domain_ObjectNode__Lamf_core_model_domain_ObjectNode__V(x4, x5);
          break matchEnd9
        }
      };
      if ($is_Lamf_core_model_domain_ArrayNode(existing)) {
        const x6 = existing;
        if ($is_Lamf_core_model_domain_ArrayNode(overlay)) {
          const x7 = overlay;
          this.mergeArrayNode__p1__Lamf_core_model_domain_ArrayNode__Lamf_core_model_domain_ArrayNode__V(x6, x7);
          break matchEnd9
        }
      }
    }
  };
  mergeArrayNode__p1__Lamf_core_model_domain_ArrayNode__Lamf_core_model_domain_ArrayNode__V(main, other) {
    const this$2 = main.members$2;
    const pf = new $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1().init___();
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const existing = $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this$2, pf, bf);
    const this$3 = other.members$2;
    const this$4 = this$3.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$4;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x0$3 = arg1;
      if ($is_Lamf_core_model_domain_ScalarNode(x0$3)) {
        const x2 = x0$3;
        const elem = x2.value$2;
        const this$5 = existing.scala$collection$mutable$ListBuffer$$start$6;
        if ((!$f_sc_LinearSeqOptimized__contains__O__Z(this$5, elem))) {
          main.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(x2)
        }
      } else {
        main.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer($m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(main.id$1, x0$3))
      };
      these = these.tail__O()
    }
  };
  mergeObjectNode__Lamf_core_model_domain_ObjectNode__Lamf_core_model_domain_ObjectNode__V(left, right) {
    const this$1 = right.properties$2;
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this));
    new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$1, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, left$1, right$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        if ((x$5 !== null)) {
          const key = x$5.$$und1__O();
          const value = x$5.$$und2__O();
          const x1$2 = left$1.properties$2.get__O__s_Option(key);
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const property = x2.value$2;
            this$2.merge__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode__V(property, value);
            return (void 0)
          } else {
            const x = $m_s_None$();
            if ((x === x1$2)) {
              return left$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(key, $m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(left$1.id$1, value), right$1.propertyAnnotations$2.apply__O__O(key))
            } else {
              throw new $c_s_MatchError().init___O(x1$2)
            }
          }
        } else {
          throw new $c_s_MatchError().init___O(x$5)
        }
      })
    })(this, left, right)))
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.DataNodeMerging$", {
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$;
let $n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = (void 0);
const $m_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$)) {
    $n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = new $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$
});
class $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ extends $c_O {
  init___() {
    return this
  };
  setNonOptional__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__V(target, field, element, other) {
    if ($is_Lamf_core_metamodel_domain_templates_OptionalField(element)) {
      const x2 = element;
      const nonOptional = other.value$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
        return (function(v$2) {
          const v = v$2;
          return (!$this.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(x2$1, v))
        })
      })(this, x2)));
      const value = this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(target.id__T(), new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(nonOptional, new $c_Lamf_core_parser_Annotations().init___()));
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target, field, value)
    } else {
      const value$1 = this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(target.id__T(), other.value$1);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target, field, value$1)
    }
  };
  adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(id, target) {
    if ($is_Lamf_core_model_domain_AmfArray(target)) {
      const x2 = target;
      const jsx$2 = x2.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return $this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(id$1, x$1)
        })
      })(this, id));
      const this$1 = $m_sc_Seq$();
      return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2), x2.annotations$1)
    } else if ($is_Lamf_core_model_domain_DomainElement(target)) {
      const x3 = target;
      x3.adopted__T__Lamf_core_model_domain_AmfObject(id);
      const this$3 = x3.fields__Lamf_core_parser_Fields();
      const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, x3$1) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ((x0$2 !== null)) {
            const value = x0$2.$$und2__O();
            this$2.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(x3$1.id__T(), value.value$1)
          } else {
            throw new $c_s_MatchError().init___O(x0$2)
          }
        })
      })(this, x3));
      this$3.fs$1.foreach__F1__V(fn);
      return x3
    } else {
      return target
    }
  };
  mergeByKeyValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, element, key, main, other) {
    const jsx$2 = main.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
      return (function(m$2) {
        const m = m$2;
        const obj = m;
        const this$1 = obj.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$1.key__Lamf_core_metamodel_Field());
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$3 = arg1;
          const self = x$3.value$1.value$1.value$1;
          xo = new $c_s_Some().init___O(new $c_T2().init___O__O(self, obj))
        };
        return xo.toList__sci_List()
      })
    })(this, key));
    const this$5 = $m_sc_Seq$();
    const existing = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, target$1, field$1, element$1, key$2, existing$1) {
      return (function(o$2) {
        const o = o$2;
        const obj$1 = o;
        const x1 = obj$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$2.key__Lamf_core_metamodel_Field());
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const value = x2.value$2;
          if (existing$1.contains__O__Z(value.value$1.value$1.value$1)) {
            return this$2$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(existing$1.apply__O__O(value.value$1.value$1.value$1), obj$1.adopted__T__Lamf_core_model_domain_AmfObject(target$1.id__T()))
          } else if ((!this$2$1.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(element$1, obj$1))) {
            const value$1 = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(target$1.id__T(), o);
            return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, value$1)
          } else {
            return (void 0)
          }
        } else {
          return (void 0)
        }
      })
    })(this, target, field, element, key, existing)))
  };
  mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, main, other) {
    const jsx$2 = main.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.value$1
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const existing = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).toSet__sci_Set();
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, target$1, field$1, existing$1) {
      return (function(value$2) {
        const value = value$2;
        const scalar = value.value$1;
        if ((!existing$1.contains__O__Z(scalar))) {
          const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(scalar, new $c_Lamf_core_parser_Annotations().init___());
          return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, value$1)
        } else {
          return (void 0)
        }
      })
    })(this, target, field, existing)))
  };
  ignored__p1__Lamf_core_parser_FieldEntry__Z(entry) {
    const x1 = entry.field$1;
    const x = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
    let jsx$1;
    if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1;
      jsx$1 = ((x$3 === null) ? (x1 === null) : x$3.equals__O__Z(x1))
    };
    return (!jsx$1)
  };
  mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__V(target, field, element, main, other) {
    const m = main.value$1;
    const o = other.value$1;
    if ($is_Lamf_core_metamodel_Type$Scalar(element)) {
      this.mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, m, o)
    } else if ($is_Lamf_core_metamodel_domain_templates_KeyField(element)) {
      const x3 = element;
      this.mergeByKeyValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, element, x3, m, o)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "': not a KeyField nor a Scalar"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element]))))
    }
  };
  isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(type, obj) {
    if ($is_Lamf_core_metamodel_domain_templates_OptionalField(type)) {
      const this$1 = obj.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(type.Optional__Lamf_core_metamodel_Field());
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const x$4 = arg1;
        return x$4.value$1.value$1.toBool__Z()
      } else {
        return false
      }
    } else {
      return false
    }
  };
  merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(main, other) {
    const this$1 = other.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $this.ignored__p1__Lamf_core_parser_FieldEntry__Z(entry)
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, main$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const field = x0$1.field$1;
          const value = x0$1.value$1;
          let rc6 = false;
          let x2 = null;
          const x1$2 = main$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
          const x = $m_s_None$();
          if ((x === x1$2)) {
            const x1$3 = field.type$1;
            if ($is_Lamf_core_metamodel_domain_templates_OptionalField(x1$3)) {
              const x4 = x1$3;
              if (this$2$1.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(x4, value.value$1)) {
                return (void 0)
              }
            };
            if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$3)) {
              const x2$2 = x1$3;
              const o10 = new $c_s_Some().init___O(x2$2.element__Lamf_core_metamodel_Type());
              const element = o10.value$2;
              this$2$1.setNonOptional__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__V(main$1, field, element, value);
              return (void 0)
            };
            const value$1 = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(main$1.id__T(), value.value$1);
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(main$1, field, value$1)
          };
          if ($is_s_Some(x1$2)) {
            rc6 = true;
            x2 = x1$2;
            const existing = x2.value$2;
            if ((($m_s_Option$().apply__O__s_Option(existing.value$1).isDefined__Z() && $m_s_Option$().apply__O__s_Option(existing.value$1.value$1).isDefined__Z()) && existing.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_DefaultNode.getClassOf()))) {
              const x1$4 = field.type$1;
              if ($is_Lamf_core_metamodel_domain_templates_OptionalField(x1$4)) {
                const x4$2 = x1$4;
                if (this$2$1.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(x4$2, value.value$1)) {
                  return (void 0)
                }
              };
              if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$4)) {
                const x2$3 = x1$4;
                const o10$2 = new $c_s_Some().init___O(x2$3.element__Lamf_core_metamodel_Type());
                const element$2 = o10$2.value$2;
                this$2$1.setNonOptional__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__V(main$1, field, element$2, value);
                return (void 0)
              };
              const value$2 = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(main$1.id__T(), value.value$1);
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(main$1, field, value$2)
            }
          };
          if (rc6) {
            const existing$2 = x2.value$2;
            const x1$5 = field.type$1;
            if ($is_Lamf_core_metamodel_Type$Scalar(x1$5)) {
              return (void 0)
            } else if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$5)) {
              const x2$4 = x1$5;
              const o11 = new $c_s_Some().init___O(x2$4.element__Lamf_core_metamodel_Type());
              const element$3 = o11.value$2;
              this$2$1.mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__V(main$1, field, element$3, existing$2.value$1, value);
              return (void 0)
            } else if ($is_Lamf_core_metamodel_domain_DomainElementModel(x1$5)) {
              return this$2$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(existing$2.value$1.value$1, x0$1.value$1.value$1)
            } else {
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "':not a (Scalar|Array|Object)"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([field.type$1]))))
            }
          };
          throw new $c_s_MatchError().init___O(x1$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, main)));
    return main
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.DomainElementMerging$", {
  Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$;
let $n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = (void 0);
const $m_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$)) {
    $n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = new $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$
});
class $c_Lamf_plugins_features_AMFValidation$ extends $c_O {
  init___() {
    return this
  };
  $$js$exported$meth$register__O() {
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_features_validation_AMFValidatorPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_features_AMFValidation$ = new $TypeData().initClass({
  Lamf_plugins_features_AMFValidation$: 0
}, false, "amf.plugins.features.AMFValidation$", {
  Lamf_plugins_features_AMFValidation$: 1,
  O: 1
});
$c_Lamf_plugins_features_AMFValidation$.prototype.$classData = $d_Lamf_plugins_features_AMFValidation$;
let $n_Lamf_plugins_features_AMFValidation$ = (void 0);
const $m_Lamf_plugins_features_AMFValidation$ = (function() {
  if ((!$n_Lamf_plugins_features_AMFValidation$)) {
    $n_Lamf_plugins_features_AMFValidation$ = new $c_Lamf_plugins_features_AMFValidation$().init___()
  };
  return $n_Lamf_plugins_features_AMFValidation$
});
class $c_Lamf_plugins_features_validation_JSUtils$ extends $c_O {
  init___() {
    return this
  };
  $default__sjs_js_Dynamic__O__O(x, $default) {
    return ((x === (void 0)) ? $default : ($m_s_Option$().apply__O__s_Option(x).isEmpty__Z() ? $default : x))
  };
  maybe__sjs_js_Dynamic__s_Option(obj) {
    return ((obj === (void 0)) ? $m_s_None$() : ($m_s_Option$().apply__O__s_Option(obj).isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O(obj)))
  };
}
const $d_Lamf_plugins_features_validation_JSUtils$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_JSUtils$: 0
}, false, "amf.plugins.features.validation.JSUtils$", {
  Lamf_plugins_features_validation_JSUtils$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_JSUtils$.prototype.$classData = $d_Lamf_plugins_features_validation_JSUtils$;
let $n_Lamf_plugins_features_validation_JSUtils$ = (void 0);
const $m_Lamf_plugins_features_validation_JSUtils$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_JSUtils$)) {
    $n_Lamf_plugins_features_validation_JSUtils$ = new $c_Lamf_plugins_features_validation_JSUtils$().init___()
  };
  return $n_Lamf_plugins_features_validation_JSUtils$
});
class $c_Lamf_plugins_features_validation_ParserSideValidations$ extends $c_O {
  constructor() {
    super();
    this.ExampleValidationErrorSpecification$1 = null;
    this.UnsupportedExampleMediaTypeErrorSpecification$1 = null;
    this.DialectAmbiguousRangeSpecification$1 = null;
    this.DialectExpectingMap$1 = null;
    this.DialectExtendIssue$1 = null;
    this.DialectUnresolvableReference$1 = null;
    this.DialectNodeRangeShouldBeDialect$1 = null;
    this.ClosedShapeSpecification$1 = null;
    this.ParsingErrorSpecification$1 = null;
    this.ParsingWarningSpecification$1 = null;
    this.levels$1 = null
  };
  init___() {
    $n_Lamf_plugins_features_validation_ParserSideValidations$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$8 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "example-validation-error").iri__T();
    const jsx$7 = $m_s_None$();
    const jsx$6 = $m_s_None$();
    const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$6 = new $c_scm_ListBuffer().init___();
    const jsx$4 = this$6.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$10 = new $c_scm_ListBuffer().init___();
    const jsx$3 = this$10.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$14 = new $c_scm_ListBuffer().init___();
    const jsx$2 = this$14.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$18 = new $c_scm_ListBuffer().init___();
    const jsx$1 = this$18.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$22 = new $c_scm_ListBuffer().init___();
    this.ExampleValidationErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$8, "Example does not validate type", jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, this$22.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$26 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$16 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$26, "unsupported-example-media-type").iri__T();
    const jsx$15 = $m_s_None$();
    const jsx$14 = $m_s_None$();
    const jsx$13 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$31 = new $c_scm_ListBuffer().init___();
    const jsx$12 = this$31.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$35 = new $c_scm_ListBuffer().init___();
    const jsx$11 = this$35.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$39 = new $c_scm_ListBuffer().init___();
    const jsx$10 = this$39.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$43 = new $c_scm_ListBuffer().init___();
    const jsx$9 = this$43.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$47 = new $c_scm_ListBuffer().init___();
    this.UnsupportedExampleMediaTypeErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$16, "Cannot validate example with unsupported media type", jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, this$47.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$51 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$24 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$51, "dialect-ambiguous-range").iri__T();
    const jsx$23 = $m_s_None$();
    const jsx$22 = $m_s_None$();
    const jsx$21 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$56 = new $c_scm_ListBuffer().init___();
    const jsx$20 = this$56.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$60 = new $c_scm_ListBuffer().init___();
    const jsx$19 = this$60.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$64 = new $c_scm_ListBuffer().init___();
    const jsx$18 = this$64.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$68 = new $c_scm_ListBuffer().init___();
    const jsx$17 = this$68.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$72 = new $c_scm_ListBuffer().init___();
    this.DialectAmbiguousRangeSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$24, "Ambiguous entity range", jsx$23, jsx$22, jsx$21, jsx$20, jsx$19, jsx$18, jsx$17, this$72.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$76 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$32 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$76, "dialect-expecting-map").iri__T();
    const jsx$31 = $m_s_None$();
    const jsx$30 = $m_s_None$();
    const jsx$29 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$81 = new $c_scm_ListBuffer().init___();
    const jsx$28 = this$81.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$85 = new $c_scm_ListBuffer().init___();
    const jsx$27 = this$85.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$89 = new $c_scm_ListBuffer().init___();
    const jsx$26 = this$89.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$93 = new $c_scm_ListBuffer().init___();
    const jsx$25 = this$93.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$97 = new $c_scm_ListBuffer().init___();
    this.DialectExpectingMap$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$32, "Expecting map node", jsx$31, jsx$30, jsx$29, jsx$28, jsx$27, jsx$26, jsx$25, this$97.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$101 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$40 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$101, "dialect-extend-issue").iri__T();
    const jsx$39 = $m_s_None$();
    const jsx$38 = $m_s_None$();
    const jsx$37 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$106 = new $c_scm_ListBuffer().init___();
    const jsx$36 = this$106.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$110 = new $c_scm_ListBuffer().init___();
    const jsx$35 = this$110.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$114 = new $c_scm_ListBuffer().init___();
    const jsx$34 = this$114.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$118 = new $c_scm_ListBuffer().init___();
    const jsx$33 = this$118.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$122 = new $c_scm_ListBuffer().init___();
    this.DialectExtendIssue$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$40, "Extend related issue", jsx$39, jsx$38, jsx$37, jsx$36, jsx$35, jsx$34, jsx$33, this$122.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$126 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$48 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$126, "dialect-unresolvable-reference").iri__T();
    const jsx$47 = $m_s_None$();
    const jsx$46 = $m_s_None$();
    const jsx$45 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$131 = new $c_scm_ListBuffer().init___();
    const jsx$44 = this$131.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$135 = new $c_scm_ListBuffer().init___();
    const jsx$43 = this$135.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$139 = new $c_scm_ListBuffer().init___();
    const jsx$42 = this$139.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$143 = new $c_scm_ListBuffer().init___();
    const jsx$41 = this$143.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$147 = new $c_scm_ListBuffer().init___();
    this.DialectUnresolvableReference$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$48, "Unresolvable Reference", jsx$47, jsx$46, jsx$45, jsx$44, jsx$43, jsx$42, jsx$41, this$147.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$151 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$56 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$151, "dialect-node-range-should-be-dialect").iri__T();
    const jsx$55 = $m_s_None$();
    const jsx$54 = $m_s_None$();
    const jsx$53 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$156 = new $c_scm_ListBuffer().init___();
    const jsx$52 = this$156.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$160 = new $c_scm_ListBuffer().init___();
    const jsx$51 = this$160.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$164 = new $c_scm_ListBuffer().init___();
    const jsx$50 = this$164.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$168 = new $c_scm_ListBuffer().init___();
    const jsx$49 = this$168.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$172 = new $c_scm_ListBuffer().init___();
    this.DialectNodeRangeShouldBeDialect$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$56, "Dialect Node Range should be dialect", jsx$55, jsx$54, jsx$53, jsx$52, jsx$51, jsx$50, jsx$49, this$172.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$176 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$64 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$176, "closed-shape").iri__T();
    const jsx$63 = $m_s_None$();
    const jsx$62 = $m_s_None$();
    const jsx$61 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$181 = new $c_scm_ListBuffer().init___();
    const jsx$60 = this$181.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$185 = new $c_scm_ListBuffer().init___();
    const jsx$59 = this$185.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$189 = new $c_scm_ListBuffer().init___();
    const jsx$58 = this$189.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$193 = new $c_scm_ListBuffer().init___();
    const jsx$57 = this$193.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$197 = new $c_scm_ListBuffer().init___();
    this.ClosedShapeSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$64, "invalid property for node", jsx$63, jsx$62, jsx$61, jsx$60, jsx$59, jsx$58, jsx$57, this$197.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$201 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$72 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$201, "parsing-error").iri__T();
    const jsx$71 = $m_s_None$();
    const jsx$70 = $m_s_None$();
    const jsx$69 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$206 = new $c_scm_ListBuffer().init___();
    const jsx$68 = this$206.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$210 = new $c_scm_ListBuffer().init___();
    const jsx$67 = this$210.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$214 = new $c_scm_ListBuffer().init___();
    const jsx$66 = this$214.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$218 = new $c_scm_ListBuffer().init___();
    const jsx$65 = this$218.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$222 = new $c_scm_ListBuffer().init___();
    this.ParsingErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$72, "Parsing error", jsx$71, jsx$70, jsx$69, jsx$68, jsx$67, jsx$66, jsx$65, this$222.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$226 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$80 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$226, "parsing-warning").iri__T();
    const jsx$79 = $m_s_None$();
    const jsx$78 = $m_s_None$();
    const jsx$77 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$231 = new $c_scm_ListBuffer().init___();
    const jsx$76 = this$231.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$235 = new $c_scm_ListBuffer().init___();
    const jsx$75 = this$235.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$239 = new $c_scm_ListBuffer().init___();
    const jsx$74 = this$239.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$243 = new $c_scm_ListBuffer().init___();
    const jsx$73 = this$243.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$247 = new $c_scm_ListBuffer().init___();
    this.ParsingWarningSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$80, "Parsing warning", jsx$79, jsx$78, jsx$77, jsx$76, jsx$75, jsx$74, jsx$73, this$247.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const jsx$116 = $m_s_Predef$().Map$2;
    const self = this.ClosedShapeSpecification$1.id__T();
    const $$this$3 = self;
    const jsx$114 = $m_s_Predef$().Map$2;
    const self$1 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this = self$1;
    const y = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$113 = new $c_T2().init___O__O($$this, y);
    const self$2 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$1 = self$2;
    const y$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$112 = new $c_T2().init___O__O($$this$1, y$1);
    const self$3 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$2 = self$3;
    const y$2 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$3 = jsx$114.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$113, jsx$112, new $c_T2().init___O__O($$this$2, y$2)]));
    const jsx$115 = new $c_T2().init___O__O($$this$3, y$3);
    const self$4 = this.DialectAmbiguousRangeSpecification$1.id__T();
    const $$this$7 = self$4;
    const jsx$110 = $m_s_Predef$().Map$2;
    const self$5 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$4 = self$5;
    const y$4 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$109 = new $c_T2().init___O__O($$this$4, y$4);
    const self$6 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$5 = self$6;
    const y$5 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$108 = new $c_T2().init___O__O($$this$5, y$5);
    const self$7 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$6 = self$7;
    const y$6 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$7 = jsx$110.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$109, jsx$108, new $c_T2().init___O__O($$this$6, y$6)]));
    const jsx$111 = new $c_T2().init___O__O($$this$7, y$7);
    const self$8 = this.DialectExpectingMap$1.id__T();
    const $$this$11 = self$8;
    const jsx$106 = $m_s_Predef$().Map$2;
    const self$9 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$8 = self$9;
    const y$8 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$105 = new $c_T2().init___O__O($$this$8, y$8);
    const self$10 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$9 = self$10;
    const y$9 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$104 = new $c_T2().init___O__O($$this$9, y$9);
    const self$11 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$10 = self$11;
    const y$10 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$11 = jsx$106.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$105, jsx$104, new $c_T2().init___O__O($$this$10, y$10)]));
    const jsx$107 = new $c_T2().init___O__O($$this$11, y$11);
    const self$12 = this.DialectUnresolvableReference$1.id__T();
    const $$this$15 = self$12;
    const jsx$102 = $m_s_Predef$().Map$2;
    const self$13 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$12 = self$13;
    const y$12 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$101 = new $c_T2().init___O__O($$this$12, y$12);
    const self$14 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$13 = self$14;
    const y$13 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$100 = new $c_T2().init___O__O($$this$13, y$13);
    const self$15 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$14 = self$15;
    const y$14 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$15 = jsx$102.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$101, jsx$100, new $c_T2().init___O__O($$this$14, y$14)]));
    const jsx$103 = new $c_T2().init___O__O($$this$15, y$15);
    const self$16 = this.DialectNodeRangeShouldBeDialect$1.id__T();
    const $$this$19 = self$16;
    const jsx$98 = $m_s_Predef$().Map$2;
    const self$17 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$16 = self$17;
    const y$16 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$97 = new $c_T2().init___O__O($$this$16, y$16);
    const self$18 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$17 = self$18;
    const y$17 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$96 = new $c_T2().init___O__O($$this$17, y$17);
    const self$19 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$18 = self$19;
    const y$18 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$19 = jsx$98.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$97, jsx$96, new $c_T2().init___O__O($$this$18, y$18)]));
    const jsx$99 = new $c_T2().init___O__O($$this$19, y$19);
    const self$20 = this.ParsingErrorSpecification$1.id__T();
    const $$this$23 = self$20;
    const jsx$94 = $m_s_Predef$().Map$2;
    const self$21 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$20 = self$21;
    const y$20 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$93 = new $c_T2().init___O__O($$this$20, y$20);
    const self$22 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$21 = self$22;
    const y$21 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$92 = new $c_T2().init___O__O($$this$21, y$21);
    const self$23 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$22 = self$23;
    const y$22 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$23 = jsx$94.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$93, jsx$92, new $c_T2().init___O__O($$this$22, y$22)]));
    const jsx$95 = new $c_T2().init___O__O($$this$23, y$23);
    const self$24 = this.ExampleValidationErrorSpecification$1.id__T();
    const $$this$27 = self$24;
    const jsx$90 = $m_s_Predef$().Map$2;
    const self$25 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$24 = self$25;
    const y$24 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$89 = new $c_T2().init___O__O($$this$24, y$24);
    const self$26 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$25 = self$26;
    const y$25 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$88 = new $c_T2().init___O__O($$this$25, y$25);
    const self$27 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$26 = self$27;
    const y$26 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$27 = jsx$90.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$89, jsx$88, new $c_T2().init___O__O($$this$26, y$26)]));
    const jsx$91 = new $c_T2().init___O__O($$this$27, y$27);
    const self$28 = this.ParsingWarningSpecification$1.id__T();
    const $$this$31 = self$28;
    const jsx$86 = $m_s_Predef$().Map$2;
    const self$29 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$28 = self$29;
    const y$28 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$85 = new $c_T2().init___O__O($$this$28, y$28);
    const self$30 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$29 = self$30;
    const y$29 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$84 = new $c_T2().init___O__O($$this$29, y$29);
    const self$31 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$30 = self$31;
    const y$30 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const y$31 = jsx$86.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$85, jsx$84, new $c_T2().init___O__O($$this$30, y$30)]));
    const jsx$87 = new $c_T2().init___O__O($$this$31, y$31);
    const self$32 = this.UnsupportedExampleMediaTypeErrorSpecification$1.id__T();
    const $$this$35 = self$32;
    const jsx$83 = $m_s_Predef$().Map$2;
    const self$33 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$32 = self$33;
    const y$32 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$82 = new $c_T2().init___O__O($$this$32, y$32);
    const self$34 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$33 = self$34;
    const y$33 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$81 = new $c_T2().init___O__O($$this$33, y$33);
    const self$35 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$34 = self$35;
    const y$34 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const y$35 = jsx$83.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$82, jsx$81, new $c_T2().init___O__O($$this$34, y$34)]));
    this.levels$1 = jsx$116.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$115, jsx$111, jsx$107, jsx$103, jsx$99, jsx$95, jsx$91, jsx$87, new $c_T2().init___O__O($$this$35, y$35)]));
    return this
  };
  validations__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ClosedShapeSpecification$1, this.DialectAmbiguousRangeSpecification$1, this.ParsingErrorSpecification$1, this.ParsingWarningSpecification$1, this.ExampleValidationErrorSpecification$1, this.UnsupportedExampleMediaTypeErrorSpecification$1, this.DialectExpectingMap$1, this.DialectUnresolvableReference$1, this.DialectNodeRangeShouldBeDialect$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
}
const $d_Lamf_plugins_features_validation_ParserSideValidations$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_ParserSideValidations$: 0
}, false, "amf.plugins.features.validation.ParserSideValidations$", {
  Lamf_plugins_features_validation_ParserSideValidations$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_ParserSideValidations$.prototype.$classData = $d_Lamf_plugins_features_validation_ParserSideValidations$;
let $n_Lamf_plugins_features_validation_ParserSideValidations$ = (void 0);
const $m_Lamf_plugins_features_validation_ParserSideValidations$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_ParserSideValidations$)) {
    $n_Lamf_plugins_features_validation_ParserSideValidations$ = new $c_Lamf_plugins_features_validation_ParserSideValidations$().init___()
  };
  return $n_Lamf_plugins_features_validation_ParserSideValidations$
});
class $c_Lamf_plugins_features_validation_PlatformValidator$ extends $c_O {
  constructor() {
    super();
    this.instance$1 = null
  };
  init___() {
    $n_Lamf_plugins_features_validation_PlatformValidator$ = this;
    this.instance$1 = new $c_Lamf_plugins_features_validation_SHACLValidator().init___();
    return this
  };
}
const $d_Lamf_plugins_features_validation_PlatformValidator$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_PlatformValidator$: 0
}, false, "amf.plugins.features.validation.PlatformValidator$", {
  Lamf_plugins_features_validation_PlatformValidator$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_PlatformValidator$.prototype.$classData = $d_Lamf_plugins_features_validation_PlatformValidator$;
let $n_Lamf_plugins_features_validation_PlatformValidator$ = (void 0);
const $m_Lamf_plugins_features_validation_PlatformValidator$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_PlatformValidator$)) {
    $n_Lamf_plugins_features_validation_PlatformValidator$ = new $c_Lamf_plugins_features_validation_PlatformValidator$().init___()
  };
  return $n_Lamf_plugins_features_validation_PlatformValidator$
});
class $c_Lamf_plugins_features_validation_emitters_JSLibraryEmitter extends $c_O {
  constructor() {
    super();
    this.profile$1 = null;
    this.preamble$1 = null
  };
  composeText__sc_Seq__T(validations) {
    const elem = this.preamble$1;
    const text = new $c_sr_ObjectRef().init___O(elem);
    validations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, text$1) {
      return (function(validation$2) {
        const validation = validation$2;
        const constraint = validation.functionConstraint$1.get__O();
        const jsx$1 = text$1.elem$1;
        const x = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\n        |\n        |function ", "($this) {\n        |  var innerFn = ", ";\n        |  var input = amfFindNode($this, {});\n        |  // print(JSON.stringify(input))\n        |  try {\n        |    return innerFn(input);\n        |  } catch(e) {\n        |    console.log(\"Error in validation function\");\n        |    console.log(e);\n        |    return false;\n        |  }\n        |}\n        |\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([constraint.computeFunctionName__T__T(validation.id__T()), constraint.code$1.get__O()]));
        const this$3 = new $c_sci_StringOps().init___T(x);
        text$1.elem$1 = (("" + jsx$1) + $f_sci_StringLike__stripMargin__C__T(this$3, 124))
      })
    })(this, text)));
    return text.elem$1
  };
  prefixes__T() {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().ns$1;
    const b = new $c_scm_HashMap().init___();
    const iterTable = this$1.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const next = es.next__O();
      const arg1 = es;
      const e = arg1;
      const _1 = e.key$1;
      const _2 = e.value$1;
      const prefix = _1;
      if ((((prefix !== "schema-org") && (prefix !== "raml-http")) !== false)) {
        const e$1 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(b, _1, _2);
        if ((e$1 !== null)) {
          e$1.value$1 = _2
        }
      };
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    };
    const x1 = this.profile$1;
    let customNamespaces;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const prof = x2.value$2;
      customNamespaces = prof.prefixes$1
    } else {
      customNamespaces = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$())
    };
    const this$3 = $m_scm_HashMap$();
    const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$3);
    const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(b, bf);
    const iterTable$1 = b.table$5;
    let idx$1 = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(b);
    let es$1 = iterTable$1.u[idx$1];
    while ((es$1 !== null)) {
      const next$1 = es$1.next__O();
      const arg1$1 = es$1;
      const e$2 = arg1$1;
      const _1$1 = e$2.key$1;
      const _2$1 = e$2.value$1;
      const prefix$1 = _1$1;
      const ns = _2$1;
      b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(prefix$1, ns.base$1));
      es$1 = next$1;
      while (((es$1 === null) && (idx$1 > 0))) {
        idx$1 = (((-1) + idx$1) | 0);
        es$1 = iterTable$1.u[idx$1]
      }
    };
    const this$5 = b$1.result__O();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ((x0$3 !== null)) {
          const prefix$2 = x0$3.$$und1__O();
          const ns$1 = x0$3.$$und2__O();
          return new $c_T2().init___O__O(prefix$2, ns$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    const this$4 = $m_sc_Map$();
    const bf$1 = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$4);
    const xs = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(customNamespaces, f, bf$1);
    const this$6 = this$5.empty__sc_Map().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$5);
    const xs$1 = xs.seq__sc_TraversableOnce();
    const allNamespaces = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$6, xs$1);
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ((x0$4 !== null)) {
          const prefix$3 = x0$4.$$und1__O();
          const ns$2 = x0$4.$$und2__O();
          return (((("  \"" + prefix$3) + "\": \"") + ns$2) + "\"")
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    const this$7 = $m_scm_Iterable$();
    const bf$2 = this$7.ReusableCBFInstance$2;
    return (("{\n" + $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(allNamespaces, f$1, bf$2).mkString__T__T(",\n")) + "}")
  };
  init___s_Option(profile) {
    this.profile$1 = profile;
    const x = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\n       |function amfExtractLiteral(v){\n       |    if(v.datatype == null || v.datatype.value === \"http://www.w3.org/2001/XMLSchema#string\") {\n       |        return v.value;\n       |    } else if(v.datatype.value === \"http://www.w3.org/2001/XMLSchema#integer\") {\n       |        return parseInt(v.value);\n       |    } else if(v.datatype.value === \"http://www.w3.org/2001/XMLSchema#float\") {\n       |        return parseFloat(v.value);\n       |    } else if(v.datatype.value === \"http://www.w3.org/2001/XMLSchema#boolean\") {\n       |        return v.value === \"true\";\n       |    } else {\n       |        return value;\n       |    }\n       |}\n       |\n       |function amfCompactProperty(prop) {\n       |    var prefixes = ", ";\n       |    for (var p in prefixes) {\n       |        if (prop.indexOf(prefixes[p]) === 0) {\n       |            return p + \":\" + prop.replace(prefixes[p], \"\")\n       |        }\n       |    }\n       |\n       |    return prop;\n       |}\n       |\n       |function amfFindNode(node, cache) {\n       |    var acc = {\"@id\": amfCompactProperty(node.value)};\n       |    var pairs = $data.query().match(node, \"?p\", \"?o\");\n       |    cache[node.value] = acc;\n       |    for(var pair = pairs.nextSolution(); pair; pair = pairs.nextSolution()) {\n       |        var prop = amfCompactProperty(pair.p.value);\n       |        if (pair.p.value === \"http://www.w3.org/1999/02/22-rdf-syntax-ns#type\") {\n       |            prop = \"@type\"\n       |        }\n       |\n       |        var value = acc[prop] || [];\n       |        acc[prop] = value;\n       |        if(prop === \"@type\") {\n       |            value.push(amfCompactProperty(pair.o.value));\n       |        } else if(pair.o.termType === \"BlankNode\" || pair.o.value.indexOf(\"urn:\") === 0 ) {\n       |            value.push(cache[pair.o.value] || amfFindNode(pair.o, cache));\n       |        } else if (pair.o.value.indexOf(\"http:/\") === 0 || pair.o.value.indexOf(\"file:/\") === 0) {\n       |            value.push(cache[pair.o.value] || amfFindNode(pair.o, cache));\n       |        } else {\n       |            value.push(amfExtractLiteral(pair.o));\n       |        }\n       |    }\n       |\n       |    return acc;\n       |}\n       |\n       |function path(node, path) {\n       |  var acc = [node]\n       |  if (node.constructor === Array) {\n       |    acc = node;\n       |  }\n       |  var paths = path.replace(new RegExp(\" \",\"g\"), \"\").split(\"/\") || [];\n       |  for (var i=0; i<paths.length; i++) {\n       |    var nextPath = paths[i];\n       |    var newAcc = [];\n       |    for (var j=0; j<acc.length; j++) {\n       |      var nextNode = acc[j];\n       |      newAcc = newAcc.concat(nextNode[nextPath] || [])\n       |    }\n       |    acc = newAcc;\n       |  }\n       |\n       |  return acc;\n       |}\n       |\n       |function value(node, propertyPath, value) {\n       |  var values = path(node, propertyPath);\n       |  for (var i=0; i<values.length; i++) {\n       |    if (values[i] === value)\n       |      return true;\n       |  }\n       |  return false;\n       |}\n       |\n       |function filterByPropertyValue(nodes, propertyPath, val) {\n       |  var acc = [];\n       |  for (var i=0; i<nodes.length; i++) {\n       |    if (value(nodes[i], propertyPath, val)) {\n       |      acc.push(nodes[i]);\n       |    }\n       |  }\n       |  return acc;\n       |}\n       |\n       |\n       |\n       |function isModelType(node, type) {\n       |  if (node == null) {\n       |    return false;\n       |  }\n       |  if (node.constructor === Array && node.length == 1) {\n       |    node = node[0]\n       |  }\n       |  var types = node['@type'] || [];\n       |  for(var i=0; i<types.length; i++) {\n       |    if (types[i] === type) {\n       |      return true;\n       |    }\n       |  }\n       |\n       |  return false;\n       |}\n       |\n       |if (typeof(console) === \"undefined\") {\n       |  console = {\n       |    log: function(x) { print(x) }\n       |  };\n       |}\n       |\n       |if (typeof(accumulators) == \"undefined\") {\n       |  accumulators = {};\n       |}\n       |for (var p in accumulators) {\n       |  delete accumulators[p];\n       |}\n    "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.prefixes__T()]));
    const this$2 = new $c_sci_StringOps().init___T(x);
    this.preamble$1 = $f_sci_StringLike__stripMargin__C__T(this$2, 124);
    return this
  };
  emitJS__sc_Seq__s_Option(validations) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(validation$2) {
        const validation = validation$2;
        const this$1 = validation.functionConstraint$1;
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const functionConstraint = arg1;
          const this$2 = functionConstraint.code$1;
          if (this$2.isEmpty__Z()) {
            xo = $m_s_None$()
          } else {
            const arg1$1 = this$2.get__O();
            xo = new $c_s_Some().init___O(validation)
          }
        };
        return xo.toList__sci_List()
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const constraints = validations.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    return (constraints.isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O(this.composeText__sc_Seq__T(constraints)))
  };
}
const $d_Lamf_plugins_features_validation_emitters_JSLibraryEmitter = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_JSLibraryEmitter: 0
}, false, "amf.plugins.features.validation.emitters.JSLibraryEmitter", {
  Lamf_plugins_features_validation_emitters_JSLibraryEmitter: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_JSLibraryEmitter.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_JSLibraryEmitter;
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter extends $c_O {
  constructor() {
    super();
    this.targetProfile$1 = null;
    this.jsValidatorEmitters$1 = null;
    this.jsConstraintEmitters$1 = null
  };
  emitConstraint__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lamf_core_validation_core_PropertyConstraint__V(b, constraintId, constraint) {
    const jsx$14 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(constraintId);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const this$4 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "path").iri__T();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v, this.expandRamlId__p1__T__T(constraint.ramlPropertyId$1));
    const this$7 = v.builder$1;
    const array = [key$1];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    const this$18 = constraint.maxCount$1;
    if ((!this$18.isEmpty__Z())) {
      const arg1 = this$18.get__O();
      const x$18 = arg1;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxCount", x$18, new $c_s_Some().init___O(constraint))
    };
    const this$19 = constraint.minCount$1;
    if ((!this$19.isEmpty__Z())) {
      const arg1$1 = this$19.get__O();
      const x$19 = arg1$1;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minCount", x$19, new $c_s_Some().init___O(constraint))
    };
    const this$20 = constraint.maxLength$1;
    if ((!this$20.isEmpty__Z())) {
      const arg1$2 = this$20.get__O();
      const x$20 = arg1$2;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxLength", x$20, new $c_s_Some().init___O(constraint))
    };
    const this$21 = constraint.minLength$1;
    if ((!this$21.isEmpty__Z())) {
      const arg1$3 = this$21.get__O();
      const x$21 = arg1$3;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minLength", x$21, new $c_s_Some().init___O(constraint))
    };
    const this$22 = constraint.maxExclusive$1;
    if ((!this$22.isEmpty__Z())) {
      const arg1$4 = this$22.get__O();
      const x$22 = arg1$4;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxExclusive", x$22, new $c_s_Some().init___O(constraint))
    };
    const this$23 = constraint.minExclusive$1;
    if ((!this$23.isEmpty__Z())) {
      const arg1$5 = this$23.get__O();
      const x$23 = arg1$5;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minExclusive", x$23, new $c_s_Some().init___O(constraint))
    };
    const this$24 = constraint.maxInclusive$1;
    if ((!this$24.isEmpty__Z())) {
      const arg1$6 = this$24.get__O();
      const x$24 = arg1$6;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxInclusive", x$24, new $c_s_Some().init___O(constraint))
    };
    const this$25 = constraint.minInclusive$1;
    if ((!this$25.isEmpty__Z())) {
      const arg1$7 = this$25.get__O();
      const x$25 = arg1$7;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minInclusive", x$25, new $c_s_Some().init___O(constraint))
    };
    const this$26 = constraint.pattern$1;
    if ((!this$26.isEmpty__Z())) {
      const arg1$8 = this$26.get__O();
      const v$1 = arg1$8;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "pattern", v$1, $m_s_None$())
    };
    const this$27 = constraint.node$1;
    if ((!this$27.isEmpty__Z())) {
      const arg1$9 = this$27.get__O();
      const x$26 = arg1$9;
      this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "node", x$26, $m_s_None$())
    };
    const this$28 = constraint.datatype$1;
    if ((!this$28.isEmpty__Z())) {
      const arg1$10 = this$28.get__O();
      const v$3 = arg1$10;
      if (((!$m_sjsr_RuntimeString$().endsWith__T__T__Z(v$3, "#float")) && (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(v$3, "#number")))) {
        $m_Lorg_yaml_model_YNode$();
        const this$29 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "datatype").iri__T();
        const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
        const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$2, v$3);
        const this$32 = v$2.builder$1;
        const array$1 = [key$2];
        if ((this$32.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$32.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$32, newSize$1);
        const len$4 = this$32.size0$6;
        const src$1 = this$32.array$6;
        const dest$1 = this$32.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$32.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$2 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$2] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$32.size0$6 = newSize$1;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
      }
    };
    if (constraint.class$1.nonEmpty__Z()) {
      if ((constraint.class$1.length__I() === 1)) {
        $m_Lorg_yaml_model_YNode$();
        const this$43 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$43, "class").iri__T();
        const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
        const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$4, constraint.class$1.head__O());
        const this$46 = v$4.builder$1;
        const array$2 = [key$3];
        if ((this$46.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$6 = (array$2.length | 0);
        const newSize$2 = ((this$46.size0$6 + len$6) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$46, newSize$2);
        const len$7 = this$46.size0$6;
        const src$2 = this$46.array$6;
        const dest$2 = this$46.array$6;
        $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
        const xs$2 = this$46.array$6;
        const len$8 = xs$2.u.length;
        let i$2 = 0;
        let j$2 = 0;
        const x$4 = (array$2.length | 0);
        const x$5 = ((x$4 < len$8) ? x$4 : len$8);
        const that$2 = xs$2.u.length;
        const end$2 = ((x$5 < that$2) ? x$5 : that$2);
        while ((i$2 < end$2)) {
          const jsx$3 = j$2;
          const index$2 = i$2;
          xs$2.u[jsx$3] = array$2[index$2];
          i$2 = ((1 + i$2) | 0);
          j$2 = ((1 + j$2) | 0)
        };
        this$46.size0$6 = newSize$2;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
      } else {
        $m_Lorg_yaml_model_YNode$();
        const this$57 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$57, "or").iri__T();
        const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
        const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$8 = v$5.builder$1;
        const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
        const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$6 = v$6.builder$1;
        const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        constraint.class$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, l) {
          return (function(v$2$1) {
            const v$7 = v$2$1;
            const jsx$5 = l.builder$1;
            const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$64 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$64, "class").iri__T();
            const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
            const v$8 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$8, v$7);
            const this$67 = v$8.builder$1;
            const array$3 = [key$6];
            if ((this$67.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$9 = (array$3.length | 0);
            const newSize$3 = ((this$67.size0$6 + len$9) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$67, newSize$3);
            const len$10 = this$67.size0$6;
            const src$3 = this$67.array$6;
            const dest$3 = this$67.array$6;
            $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
            const xs$3 = this$67.array$6;
            const len$11 = xs$3.u.length;
            let i$3 = 0;
            let j$3 = 0;
            const x$6 = (array$3.length | 0);
            const x$7 = ((x$6 < len$11) ? x$6 : len$11);
            const that$3 = xs$3.u.length;
            const end$3 = ((x$7 < that$3) ? x$7 : that$3);
            while ((i$3 < end$3)) {
              const jsx$4 = j$3;
              const index$3 = i$3;
              xs$3.u[jsx$4] = array$3[index$3];
              i$3 = ((1 + i$3) | 0);
              j$3 = ((1 + j$3) | 0)
            };
            this$67.size0$6 = newSize$3;
            b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$8.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c = b$4.builder$1;
            const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
            const tt = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
          })
        })(this, b$3)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$1 = b$3.builder$1;
        const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1);
        jsx$6.$$plus$eq__O__scm_ArrayBuffer(node);
        const this$86 = v$6.builder$1;
        const array$4 = [key$5];
        if ((this$86.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$12 = (array$4.length | 0);
        const newSize$4 = ((this$86.size0$6 + len$12) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$86, newSize$4);
        const len$13 = this$86.size0$6;
        const src$4 = this$86.array$6;
        const dest$4 = this$86.array$6;
        $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
        const xs$4 = this$86.array$6;
        const len$14 = xs$4.u.length;
        let i$4 = 0;
        let j$4 = 0;
        const x$8 = (array$4.length | 0);
        const x$9 = ((x$8 < len$14) ? x$8 : len$14);
        const that$4 = xs$4.u.length;
        const end$4 = ((x$9 < that$4) ? x$9 : that$4);
        while ((i$4 < end$4)) {
          const jsx$7 = j$4;
          const index$4 = i$4;
          xs$4.u[jsx$7] = array$4[index$4];
          i$4 = ((1 + i$4) | 0);
          j$4 = ((1 + j$4) | 0)
        };
        this$86.size0$6 = newSize$4;
        b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$2 = b$2.builder$1;
        const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
        const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$2 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$2 = null;
        jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$2, a$2, cs$2));
        const this$101 = v$5.builder$1;
        const array$5 = [key$4];
        if ((this$101.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$15 = (array$5.length | 0);
        const newSize$5 = ((this$101.size0$6 + len$15) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$101, newSize$5);
        const len$16 = this$101.size0$6;
        const src$5 = this$101.array$6;
        const dest$5 = this$101.array$6;
        $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
        const xs$5 = this$101.array$6;
        const len$17 = xs$5.u.length;
        let i$5 = 0;
        let j$5 = 0;
        const x$10 = (array$5.length | 0);
        const x$11 = ((x$10 < len$17) ? x$10 : len$17);
        const that$5 = xs$5.u.length;
        const end$5 = ((x$11 < that$5) ? x$11 : that$5);
        while ((i$5 < end$5)) {
          const jsx$9 = j$5;
          const index$5 = i$5;
          xs$5.u[jsx$9] = array$5[index$5];
          i$5 = ((1 + i$5) | 0);
          j$5 = ((1 + j$5) | 0)
        };
        this$101.size0$6 = newSize$5;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1))
      }
    };
    const this$112 = constraint.custom$1;
    if ((!this$112.isEmpty__Z())) {
      const arg1$11 = this$112.get__O();
      const builder = arg1$11;
      builder.apply__O__O__O(b$1, constraintId)
    };
    if (constraint.in$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$113 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$113, "in").iri__T();
      const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
      const v$9 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$12 = v$9.builder$1;
      const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
      const v$10 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$10 = v$10.builder$1;
      const b$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      constraint.in$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$7) {
        return (function(x$37$2) {
          const x$37 = x$37$2;
          $this$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(b$7, x$37, $m_s_None$())
        })
      })(this, b$6)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$3 = b$6.builder$1;
      const value$4 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$3);
      const tt$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$3 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$3 = null;
      const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$3, a$3, cs$3);
      jsx$10.$$plus$eq__O__scm_ArrayBuffer(node$1);
      const this$123 = v$10.builder$1;
      const array$6 = [key$8];
      if ((this$123.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$18 = (array$6.length | 0);
      const newSize$6 = ((this$123.size0$6 + len$18) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$123, newSize$6);
      const len$19 = this$123.size0$6;
      const src$6 = this$123.array$6;
      const dest$6 = this$123.array$6;
      $systemArraycopy(src$6, 0, dest$6, len$18, len$19);
      const xs$6 = this$123.array$6;
      const len$20 = xs$6.u.length;
      let i$6 = 0;
      let j$6 = 0;
      const x$12 = (array$6.length | 0);
      const x$13 = ((x$12 < len$20) ? x$12 : len$20);
      const that$6 = xs$6.u.length;
      const end$6 = ((x$13 < that$6) ? x$13 : that$6);
      while ((i$6 < end$6)) {
        const jsx$11 = j$6;
        const index$6 = i$6;
        xs$6.u[jsx$11] = array$6[index$6];
        i$6 = ((1 + i$6) | 0);
        j$6 = ((1 + j$6) | 0)
      };
      this$123.size0$6 = newSize$6;
      b$5.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$10.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$4 = b$5.builder$1;
      const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
      const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$4 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$4 = null;
      jsx$12.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$4, a$4, cs$4));
      const this$138 = v$9.builder$1;
      const array$7 = [key$7];
      if ((this$138.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$21 = (array$7.length | 0);
      const newSize$7 = ((this$138.size0$6 + len$21) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$138, newSize$7);
      const len$22 = this$138.size0$6;
      const src$7 = this$138.array$6;
      const dest$7 = this$138.array$6;
      $systemArraycopy(src$7, 0, dest$7, len$21, len$22);
      const xs$7 = this$138.array$6;
      const len$23 = xs$7.u.length;
      let i$7 = 0;
      let j$7 = 0;
      const x$14 = (array$7.length | 0);
      const x$15 = ((x$14 < len$23) ? x$14 : len$23);
      const that$7 = xs$7.u.length;
      const end$7 = ((x$15 < that$7) ? x$15 : that$7);
      while ((i$7 < end$7)) {
        const jsx$13 = j$7;
        const index$7 = i$7;
        xs$7.u[jsx$13] = array$7[index$7];
        i$7 = ((1 + i$7) | 0);
        j$7 = ((1 + j$7) | 0)
      };
      this$138.size0$6 = newSize$7;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$9.builder$1))
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$5 = b$1.builder$1;
    const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
    const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$5 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$5 = null;
    jsx$14.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$5, a$5, cs$5))
  };
  isPropertyConstraintUri__p1__T__Z(name) {
    return ((((((name.length | 0) >= 0) && (name.substring(0, ("http://".length | 0)) === "http://")) || (((name.length | 0) >= 0) && (name.substring(0, ("https://".length | 0)) === "https://"))) || (((name.length | 0) >= 0) && (name.substring(0, ("file:".length | 0)) === "file:"))) && ((name.indexOf("/prop") | 0) > (-1)))
  };
  genJSValidator__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f) {
    const validatorId = f.validatorId__T__T(validationId);
    return this.jsValidatorEmitters$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1().init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__Lamf_core_validation_core_FunctionConstraint__T(this, validationId, f, validatorId))
  };
  emitValidation__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_core_ValidationSpecification__V(b, validation) {
    const validationId = validation.id__T();
    const jsx$24 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(validationId);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "NodeShape").iri__T();
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
    const x1 = this.targetProfile$1;
    let message;
    if ((($m_Lamf_ProfileNames$().RAML$1 === x1) || ($m_Lamf_ProfileNames$().RAML08$1 === x1))) {
      const this$8 = validation.ramlMessage$1;
      message = (this$8.isEmpty__Z() ? validation.message$1 : this$8.get__O())
    } else if (($m_Lamf_ProfileNames$().OAS$1 === x1)) {
      const this$9 = validation.oasMessage$1;
      message = (this$9.isEmpty__Z() ? validation.message$1 : this$9.get__O())
    } else {
      message = validation.message$1
    };
    if ((message !== "")) {
      $m_Lorg_yaml_model_YNode$();
      const this$10 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$10, "message").iri__T();
      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v, message, $m_s_None$());
      const this$13 = v.builder$1;
      const array = [key$2];
      if ((this$13.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$13.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
      const len$1 = this$13.size0$6;
      const src = this$13.array$6;
      const dest = this$13.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$13.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$1 = j;
        const index = i;
        xs.u[jsx$1] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$13.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    };
    const jsx$4 = validation.targetInstance$1;
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, p) {
      return (function(targetInstance$2) {
        const targetInstance = targetInstance$2;
        $m_Lorg_yaml_model_YNode$();
        const this$24 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$24, "targetNode").iri__T();
        const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$1, this$4$1.expandRamlId__p1__T__T(targetInstance));
        const this$27 = v$1.builder$1;
        const array$1 = [key$3];
        if ((this$27.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$27.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$27, newSize$1);
        const len$4 = this$27.size0$6;
        const src$1 = this$27.array$6;
        const dest$1 = this$27.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$27.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$3 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$3] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$27.size0$6 = newSize$1;
        p.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
      })
    })(this, b$1));
    const this$38 = $m_sc_Seq$();
    jsx$4.map__F1__scg_CanBuildFrom__O(jsx$2, this$38.ReusableCBFInstance$2);
    const jsx$7 = validation.targetClass$1;
    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, p$1) {
      return (function(targetClass$2) {
        const targetClass = targetClass$2;
        $m_Lorg_yaml_model_YNode$();
        const this$39 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$39, "targetClass").iri__T();
        const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
        const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$2, this$5$1.expandRamlId__p1__T__T(targetClass));
        const this$42 = v$2.builder$1;
        const array$2 = [key$4];
        if ((this$42.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$6 = (array$2.length | 0);
        const newSize$2 = ((this$42.size0$6 + len$6) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$42, newSize$2);
        const len$7 = this$42.size0$6;
        const src$2 = this$42.array$6;
        const dest$2 = this$42.array$6;
        $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
        const xs$2 = this$42.array$6;
        const len$8 = xs$2.u.length;
        let i$2 = 0;
        let j$2 = 0;
        const x$4 = (array$2.length | 0);
        const x$5 = ((x$4 < len$8) ? x$4 : len$8);
        const that$2 = xs$2.u.length;
        const end$2 = ((x$5 < that$2) ? x$5 : that$2);
        while ((i$2 < end$2)) {
          const jsx$6 = j$2;
          const index$2 = i$2;
          xs$2.u[jsx$6] = array$2[index$2];
          i$2 = ((1 + i$2) | 0);
          j$2 = ((1 + j$2) | 0)
        };
        this$42.size0$6 = newSize$2;
        p$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
      })
    })(this, b$1));
    const this$53 = $m_sc_Seq$();
    jsx$7.map__F1__scg_CanBuildFrom__O(jsx$5, this$53.ReusableCBFInstance$2);
    const this$54 = validation.closed$1;
    if ((!this$54.isEmpty__Z())) {
      const arg1 = this$54.get__O();
      const closedShape = (!(!arg1));
      if (closedShape) {
        $m_Lorg_yaml_model_YNode$();
        const this$55 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$55, "closed").iri__T();
        const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
        const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$3, ("" + closedShape), $m_s_None$());
        const this$59 = v$3.builder$1;
        const array$3 = [key$5];
        if ((this$59.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$9 = (array$3.length | 0);
        const newSize$3 = ((this$59.size0$6 + len$9) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$59, newSize$3);
        const len$10 = this$59.size0$6;
        const src$3 = this$59.array$6;
        const dest$3 = this$59.array$6;
        $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
        const xs$3 = this$59.array$6;
        const len$11 = xs$3.u.length;
        let i$3 = 0;
        let j$3 = 0;
        const x$6 = (array$3.length | 0);
        const x$7 = ((x$6 < len$11) ? x$6 : len$11);
        const that$3 = xs$3.u.length;
        const end$3 = ((x$7 < that$3) ? x$7 : that$3);
        while ((i$3 < end$3)) {
          const jsx$8 = j$3;
          const index$3 = i$3;
          xs$3.u[jsx$8] = array$3[index$3];
          i$3 = ((1 + i$3) | 0);
          j$3 = ((1 + j$3) | 0)
        };
        this$59.size0$6 = newSize$3;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1))
      };
      new $c_s_Some().init___O((void 0))
    };
    const jsx$11 = validation.targetObject$1;
    const jsx$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, p$2) {
      return (function(targetObject$2) {
        const targetObject = targetObject$2;
        $m_Lorg_yaml_model_YNode$();
        const this$70 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$70, "targetObjectsOf").iri__T();
        const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
        const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$4, $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(targetObject).iri__T());
        const this$73 = v$4.builder$1;
        const array$4 = [key$6];
        if ((this$73.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$12 = (array$4.length | 0);
        const newSize$4 = ((this$73.size0$6 + len$12) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$73, newSize$4);
        const len$13 = this$73.size0$6;
        const src$4 = this$73.array$6;
        const dest$4 = this$73.array$6;
        $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
        const xs$4 = this$73.array$6;
        const len$14 = xs$4.u.length;
        let i$4 = 0;
        let j$4 = 0;
        const x$8 = (array$4.length | 0);
        const x$9 = ((x$8 < len$14) ? x$8 : len$14);
        const that$4 = xs$4.u.length;
        const end$4 = ((x$9 < that$4) ? x$9 : that$4);
        while ((i$4 < end$4)) {
          const jsx$10 = j$4;
          const index$4 = i$4;
          xs$4.u[jsx$10] = array$4[index$4];
          i$4 = ((1 + i$4) | 0);
          j$4 = ((1 + j$4) | 0)
        };
        this$73.size0$6 = newSize$4;
        p$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
      })
    })(this, b$1));
    const this$84 = $m_sc_Seq$();
    jsx$11.map__F1__scg_CanBuildFrom__O(jsx$9, this$84.ReusableCBFInstance$2);
    if (validation.unionConstraints$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$85 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$85, "or").iri__T();
      const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
      const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$14 = v$5.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
      const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$12 = v$6.builder$1;
      const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      validation.unionConstraints$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, l) {
        return (function(v$2$1) {
          const v$7 = v$2$1;
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(l, v$7)
        })
      })(this, b$3)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$3.builder$1;
      const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs);
      jsx$12.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$95 = v$6.builder$1;
      const array$5 = [key$8];
      if ((this$95.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$15 = (array$5.length | 0);
      const newSize$5 = ((this$95.size0$6 + len$15) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$95, newSize$5);
      const len$16 = this$95.size0$6;
      const src$5 = this$95.array$6;
      const dest$5 = this$95.array$6;
      $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
      const xs$5 = this$95.array$6;
      const len$17 = xs$5.u.length;
      let i$5 = 0;
      let j$5 = 0;
      const x$10 = (array$5.length | 0);
      const x$11 = ((x$10 < len$17) ? x$10 : len$17);
      const that$5 = xs$5.u.length;
      const end$5 = ((x$11 < that$5) ? x$11 : that$5);
      while ((i$5 < end$5)) {
        const jsx$13 = j$5;
        const index$5 = i$5;
        xs$5.u[jsx$13] = array$5[index$5];
        i$5 = ((1 + i$5) | 0);
        j$5 = ((1 + j$5) | 0)
      };
      this$95.size0$6 = newSize$5;
      b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$2.builder$1;
      const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$14.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$1, a$1, cs$1));
      const this$110 = v$5.builder$1;
      const array$6 = [key$7];
      if ((this$110.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$18 = (array$6.length | 0);
      const newSize$6 = ((this$110.size0$6 + len$18) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$110, newSize$6);
      const len$19 = this$110.size0$6;
      const src$6 = this$110.array$6;
      const dest$6 = this$110.array$6;
      $systemArraycopy(src$6, 0, dest$6, len$18, len$19);
      const xs$6 = this$110.array$6;
      const len$20 = xs$6.u.length;
      let i$6 = 0;
      let j$6 = 0;
      const x$12 = (array$6.length | 0);
      const x$13 = ((x$12 < len$20) ? x$12 : len$20);
      const that$6 = xs$6.u.length;
      const end$6 = ((x$13 < that$6) ? x$13 : that$6);
      while ((i$6 < end$6)) {
        const jsx$15 = j$6;
        const index$6 = i$6;
        xs$6.u[jsx$15] = array$6[index$6];
        i$6 = ((1 + i$6) | 0);
        j$6 = ((1 + j$6) | 0)
      };
      this$110.size0$6 = newSize$6;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1))
    };
    const x1$2 = validation.functionConstraint$1;
    if ($is_s_Some(x1$2)) {
      const x2 = x1$2;
      const f = x2.value$2;
      this.emitFunctionConstraint__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_validation_core_FunctionConstraint__V(b$1, validationId, f)
    };
    const this$121 = validation.nodeConstraints$1.groupBy__F1__sci_Map(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(x$13$2) {
        const x$13$1 = x$13$2;
        return x$13$1.constraint$1
      })
    })(this)));
    const p$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this));
    const jsx$19 = new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$121, p$3);
    const jsx$16 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1, p$4) {
      return (function(x$15$2) {
        const x$15 = x$15$2;
        if ((x$15 !== null)) {
          const constraint = x$15.$$und1__O();
          const values = x$15.$$und2__O();
          $m_Lorg_yaml_model_YNode$();
          const str$7 = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(constraint).iri__T();
          const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
          const v$8 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$17 = v$8.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          values.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$5) {
            return (function(v$2$2) {
              const v$9 = v$2$2;
              $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$5, $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(v$9.value$1).iri__T())
            })
          })(this$11$1, b$4)));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$2 = b$4.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
          const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$2 = null;
          const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$2, a$2, cs$2);
          jsx$17.$$plus$eq__O__scm_ArrayBuffer(node$1);
          const this$128 = v$8.builder$1;
          const array$7 = [key$9];
          if ((this$128.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$21 = (array$7.length | 0);
          const newSize$7 = ((this$128.size0$6 + len$21) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$128, newSize$7);
          const len$22 = this$128.size0$6;
          const src$7 = this$128.array$6;
          const dest$7 = this$128.array$6;
          $systemArraycopy(src$7, 0, dest$7, len$21, len$22);
          const xs$7 = this$128.array$6;
          const len$23 = xs$7.u.length;
          let i$7 = 0;
          let j$7 = 0;
          const x$14 = (array$7.length | 0);
          const x$16 = ((x$14 < len$23) ? x$14 : len$23);
          const that$7 = xs$7.u.length;
          const end$7 = ((x$16 < that$7) ? x$16 : that$7);
          while ((i$7 < end$7)) {
            const jsx$18 = j$7;
            const index$7 = i$7;
            xs$7.u[jsx$18] = array$7[index$7];
            i$7 = ((1 + i$7) | 0);
            j$7 = ((1 + j$7) | 0)
          };
          this$128.size0$6 = newSize$7;
          p$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$8.builder$1))
        } else {
          throw new $c_s_MatchError().init___O(x$15)
        }
      })
    })(this, b$1));
    const this$139 = $m_sci_Iterable$();
    jsx$19.map__F1__scg_CanBuildFrom__O(jsx$16, this$139.ReusableCBFInstance$2);
    if (validation.propertyConstraints$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$140 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$8 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$140, "property").iri__T();
      const key$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
      const v$10 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$22 = v$10.builder$1;
      const b$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$21 = validation.propertyConstraints$1;
      const jsx$20 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, validationId$1, b$7) {
        return (function(constraint$2) {
          const constraint$1 = constraint$2;
          if ($this$2.isPropertyConstraintUri__p1__T__Z(constraint$1.name$1)) {
            $this$2.emitConstraint__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lamf_core_validation_core_PropertyConstraint__V(b$7, constraint$1.name$1, constraint$1)
          } else {
            const thiz = constraint$1.name$1;
            let constraintSegment;
            if (((thiz.indexOf("#") | 0) > (-1))) {
              const thiz$1 = constraint$1.name$1;
              const xs$8 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$1, "#", 0);
              const this$148 = new $c_scm_ArrayOps$ofRef().init___AO(xs$8);
              const thiz$2 = $f_sc_IndexedSeqOptimized__last__O(this$148);
              constraintSegment = thiz$2.split(".").join("-")
            } else {
              const thiz$3 = constraint$1.name$1;
              constraintSegment = thiz$3.split(".").join("-")
            };
            $this$2.emitConstraint__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lamf_core_validation_core_PropertyConstraint__V(b$7, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/prop/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId$1, constraintSegment])), constraint$1)
          }
        })
      })(this, validationId, b$6));
      const this$153 = $m_sc_Seq$();
      jsx$21.map__F1__scg_CanBuildFrom__O(jsx$20, this$153.ReusableCBFInstance$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$3 = b$6.builder$1;
      const value$5 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$3);
      const tt$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$3 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$3 = null;
      const node$2 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$3, a$3, cs$3);
      jsx$22.$$plus$eq__O__scm_ArrayBuffer(node$2);
      const this$158 = v$10.builder$1;
      const array$8 = [key$10];
      if ((this$158.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$24 = (array$8.length | 0);
      const newSize$8 = ((this$158.size0$6 + len$24) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$158, newSize$8);
      const len$25 = this$158.size0$6;
      const src$8 = this$158.array$6;
      const dest$8 = this$158.array$6;
      $systemArraycopy(src$8, 0, dest$8, len$24, len$25);
      const xs$9 = this$158.array$6;
      const len$26 = xs$9.u.length;
      let i$8 = 0;
      let j$8 = 0;
      const x$17 = (array$8.length | 0);
      const x$18 = ((x$17 < len$26) ? x$17 : len$26);
      const that$8 = xs$9.u.length;
      const end$8 = ((x$18 < that$8) ? x$18 : that$8);
      while ((i$8 < end$8)) {
        const jsx$23 = j$8;
        const index$8 = i$8;
        xs$9.u[jsx$23] = array$8[index$8];
        i$8 = ((1 + i$8) | 0);
        j$8 = ((1 + j$8) | 0)
      };
      this$158.size0$6 = newSize$8;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$10.builder$1))
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$4 = b$1.builder$1;
    const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
    const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$4 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$4 = null;
    jsx$24.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$4, a$4, cs$4))
  };
  genNonEmptyList__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$12 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "NodeShape").iri__T(), $m_Lorg_yaml_model_YType$().Str$1);
    const this$6 = v.builder$1;
    const array = [key];
    if ((this$6.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$6.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$6, newSize);
    const len$1 = this$6.size0$6;
    const src = this$6.array$6;
    const dest = this$6.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$6.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$6.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "message").iri__T();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, "List cannot be empty", $m_Lorg_yaml_model_YType$().Str$1);
    const this$21 = v$1.builder$1;
    const array$1 = [key$1];
    if ((this$21.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$21.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize$1);
    const len$4 = this$21.size0$6;
    const src$1 = this$21.array$6;
    const dest$1 = this$21.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$21.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$3 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$3] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$21.size0$6 = newSize$1;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$32 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$32, "property").iri__T();
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$10 = v$2.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$9 = b$2.builder$1;
    const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const this$37 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$37, "path").iri__T();
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$40 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    jsx$4.link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$40, "first").iri__T());
    const this$42 = v$3.builder$1;
    const array$2 = [key$3];
    if ((this$42.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$42.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$42, newSize$2);
    const len$7 = this$42.size0$6;
    const src$2 = this$42.array$6;
    const dest$2 = this$42.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$42.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$5 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$5] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$42.size0$6 = newSize$2;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$53 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$53, "minCount").iri__T();
    const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$7 = v$4.builder$1;
    const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$5, "1", $m_Lorg_yaml_model_YType$().Int$1);
    const this$58 = v$5.builder$1;
    const array$3 = [key$5];
    if ((this$58.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$58.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$58, newSize$3);
    const len$10 = this$58.size0$6;
    const src$3 = this$58.array$6;
    const dest$3 = this$58.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$58.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$6 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$6] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$58.size0$6 = newSize$3;
    b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$4.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$73 = v$4.builder$1;
    const array$4 = [key$4];
    if ((this$73.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$12 = (array$4.length | 0);
    const newSize$4 = ((this$73.size0$6 + len$12) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$73, newSize$4);
    const len$13 = this$73.size0$6;
    const src$4 = this$73.array$6;
    const dest$4 = this$73.array$6;
    $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
    const xs$4 = this$73.array$6;
    const len$14 = xs$4.u.length;
    let i$4 = 0;
    let j$4 = 0;
    const x$8 = (array$4.length | 0);
    const x$9 = ((x$8 < len$14) ? x$8 : len$14);
    const that$4 = xs$4.u.length;
    const end$4 = ((x$9 < that$4) ? x$9 : that$4);
    while ((i$4 < end$4)) {
      const jsx$8 = j$4;
      const index$4 = i$4;
      xs$4.u[jsx$8] = array$4[index$4];
      i$4 = ((1 + i$4) | 0);
      j$4 = ((1 + j$4) | 0)
    };
    this$73.size0$6 = newSize$4;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$3.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c$2 = b$2.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$2, a$2, cs$2);
    jsx$10.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$92 = v$2.builder$1;
    const array$5 = [key$2];
    if ((this$92.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$15 = (array$5.length | 0);
    const newSize$5 = ((this$92.size0$6 + len$15) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$92, newSize$5);
    const len$16 = this$92.size0$6;
    const src$5 = this$92.array$6;
    const dest$5 = this$92.array$6;
    $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
    const xs$5 = this$92.array$6;
    const len$17 = xs$5.u.length;
    let i$5 = 0;
    let j$5 = 0;
    const x$10 = (array$5.length | 0);
    const x$11 = ((x$10 < len$17) ? x$10 : len$17);
    const that$5 = xs$5.u.length;
    const end$5 = ((x$11 < that$5) ? x$11 : that$5);
    while ((i$5 < end$5)) {
      const jsx$11 = j$5;
      const index$5 = i$5;
      xs$5.u[jsx$11] = array$5[index$5];
      i$5 = ((1 + i$5) | 0);
      j$5 = ((1 + j$5) | 0)
    };
    this$92.size0$6 = newSize$5;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$3 = b$1.builder$1;
    const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
    const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$3 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$3 = null;
    jsx$12.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$3, a$3, cs$3))
  };
  expandRamlId__p1__T__T(s) {
    if ((((((s.length | 0) >= 0) && (s.substring(0, ("http://".length | 0)) === "http://")) || (((s.length | 0) >= 0) && (s.substring(0, ("https://".length | 0)) === "https://"))) || (((s.length | 0) >= 0) && (s.substring(0, ("file:".length | 0)) === "file:")))) {
      return s.trim()
    } else {
      const thiz = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(s.split(".").join(":")).iri__T();
      return thiz.trim()
    }
  };
  emitFunctionConstraint__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_validation_core_FunctionConstraint__V(b, validationId, f) {
    this.genJSValidator__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f);
    this.genJSConstraint__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f);
    $m_Lorg_yaml_model_YNode$();
    const str = f.validatorPath__T__T(validationId);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v, "true", $m_s_None$());
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b, constraintName, value, constraint) {
    let rc7 = false;
    let x2 = null;
    let x1;
    if (constraint.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = constraint.get__O();
      const x$56 = arg1;
      x1 = x$56.datatype$1
    };
    matchEnd8: {
      if ($is_s_Some(x1)) {
        rc7 = true;
        x2 = x1;
        const scalarType = x2.value$2;
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        if ((scalarType === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "number").iri__T())) {
          $m_Lorg_yaml_model_YNode$();
          const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "or").iri__T();
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$7 = v.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$5 = v$1.builder$1;
          const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          if (((value.indexOf(".") | 0) === (-1))) {
            const jsx$2 = b$2.builder$1;
            const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$12 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$12, constraintName).iri__T();
            const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
            const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const this$15 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$2, value, new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "integer").iri__T()));
            const this$17 = v$2.builder$1;
            const array = [key$2];
            if ((this$17.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len = (array.length | 0);
            const newSize = ((this$17.size0$6 + len) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$17, newSize);
            const len$1 = this$17.size0$6;
            const src = this$17.array$6;
            const dest = this$17.array$6;
            $systemArraycopy(src, 0, dest, len, len$1);
            const xs = this$17.array$6;
            const len$2 = xs.u.length;
            let i = 0;
            let j = 0;
            const x = (array.length | 0);
            const x$1 = ((x < len$2) ? x : len$2);
            const that = xs.u.length;
            const end = ((x$1 < that) ? x$1 : that);
            while ((i < end)) {
              const jsx$1 = j;
              const index = i;
              xs.u[jsx$1] = array[index];
              i = ((1 + i) | 0);
              j = ((1 + j) | 0)
            };
            this$17.size0$6 = newSize;
            b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c = b$3.builder$1;
            const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
            const tt = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
          };
          const jsx$4 = b$2.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$33 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, constraintName).iri__T();
          const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
          const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const this$36 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$3, value, new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$36, "float").iri__T()));
          const this$38 = v$3.builder$1;
          const array$1 = [key$3];
          if ((this$38.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$38.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$38, newSize$1);
          const len$4 = this$38.size0$6;
          const src$1 = this$38.array$6;
          const dest$1 = this$38.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$38.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$3 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$3] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$38.size0$6 = newSize$1;
          b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$1 = b$4.builder$1;
          const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$2 = b$2.builder$1;
          const value$3 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
          const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$2 = null;
          const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$2, a$2, cs$2);
          jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
          const this$57 = v$1.builder$1;
          const array$2 = [key$1];
          if ((this$57.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$6 = (array$2.length | 0);
          const newSize$2 = ((this$57.size0$6 + len$6) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$57, newSize$2);
          const len$7 = this$57.size0$6;
          const src$2 = this$57.array$6;
          const dest$2 = this$57.array$6;
          $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
          const xs$2 = this$57.array$6;
          const len$8 = xs$2.u.length;
          let i$2 = 0;
          let j$2 = 0;
          const x$4 = (array$2.length | 0);
          const x$5 = ((x$4 < len$8) ? x$4 : len$8);
          const that$2 = xs$2.u.length;
          const end$2 = ((x$5 < that$2) ? x$5 : that$2);
          while ((i$2 < end$2)) {
            const jsx$6 = j$2;
            const index$2 = i$2;
            xs$2.u[jsx$6] = array$2[index$2];
            i$2 = ((1 + i$2) | 0);
            j$2 = ((1 + j$2) | 0)
          };
          this$57.size0$6 = newSize$2;
          b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$3 = b$1.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
          const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$3 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$3 = null;
          jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$3, a$3, cs$3));
          const this$72 = v.builder$1;
          const array$3 = [key];
          if ((this$72.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$9 = (array$3.length | 0);
          const newSize$3 = ((this$72.size0$6 + len$9) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$72, newSize$3);
          const len$10 = this$72.size0$6;
          const src$3 = this$72.array$6;
          const dest$3 = this$72.array$6;
          $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
          const xs$3 = this$72.array$6;
          const len$11 = xs$3.u.length;
          let i$3 = 0;
          let j$3 = 0;
          const x$6 = (array$3.length | 0);
          const x$7 = ((x$6 < len$11) ? x$6 : len$11);
          const that$3 = xs$3.u.length;
          const end$3 = ((x$7 < that$3) ? x$7 : that$3);
          while ((i$3 < end$3)) {
            const jsx$8 = j$3;
            const index$3 = i$3;
            xs$3.u[jsx$8] = array$3[index$3];
            i$3 = ((1 + i$3) | 0);
            j$3 = ((1 + j$3) | 0)
          };
          this$72.size0$6 = newSize$3;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          break matchEnd8
        }
      };
      if (rc7) {
        $m_Lorg_yaml_model_YNode$();
        const this$83 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$83, constraintName).iri__T();
        const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
        const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        let jsx$9;
        if (constraint.isEmpty__Z()) {
          jsx$9 = $m_s_None$()
        } else {
          const arg1$1 = constraint.get__O();
          const x$63 = arg1$1;
          jsx$9 = x$63.datatype$1
        };
        this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$4, value, jsx$9);
        const this$86 = v$4.builder$1;
        const array$4 = [key$4];
        if ((this$86.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$12 = (array$4.length | 0);
        const newSize$4 = ((this$86.size0$6 + len$12) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$86, newSize$4);
        const len$13 = this$86.size0$6;
        const src$4 = this$86.array$6;
        const dest$4 = this$86.array$6;
        $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
        const xs$4 = this$86.array$6;
        const len$14 = xs$4.u.length;
        let i$4 = 0;
        let j$4 = 0;
        const x$8 = (array$4.length | 0);
        const x$9 = ((x$8 < len$14) ? x$8 : len$14);
        const that$4 = xs$4.u.length;
        const end$4 = ((x$9 < that$4) ? x$9 : that$4);
        while ((i$4 < end$4)) {
          const jsx$10 = j$4;
          const index$4 = i$4;
          xs$4.u[jsx$10] = array$4[index$4];
          i$4 = ((1 + i$4) | 0);
          j$4 = ((1 + j$4) | 0)
        };
        this$86.size0$6 = newSize$4;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
        break matchEnd8
      };
      const x$10 = $m_s_None$();
      if ((x$10 === x1)) {
        $m_Lorg_yaml_model_YNode$();
        const this$97 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$97, constraintName).iri__T();
        const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
        const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$5, value, $m_s_None$());
        const this$100 = v$5.builder$1;
        const array$5 = [key$5];
        if ((this$100.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$15 = (array$5.length | 0);
        const newSize$5 = ((this$100.size0$6 + len$15) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$100, newSize$5);
        const len$16 = this$100.size0$6;
        const src$5 = this$100.array$6;
        const dest$5 = this$100.array$6;
        $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
        const xs$5 = this$100.array$6;
        const len$17 = xs$5.u.length;
        let i$5 = 0;
        let j$5 = 0;
        const x$11 = (array$5.length | 0);
        const x$12 = ((x$11 < len$17) ? x$11 : len$17);
        const that$5 = xs$5.u.length;
        const end$5 = ((x$12 < that$5) ? x$12 : that$5);
        while ((i$5 < end$5)) {
          const jsx$11 = j$5;
          const index$5 = i$5;
          xs$5.u[jsx$11] = array$5[index$5];
          i$5 = ((1 + i$5) | 0);
          j$5 = ((1 + j$5) | 0)
        };
        this$100.size0$6 = newSize$5;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
        break matchEnd8
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  emitJSONLDAST__p1__sc_Seq__Lorg_yaml_model_YDocument(validations) {
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    validations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        $this.emitValidation__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_core_ValidationSpecification__V(b$2, x$2)
      })
    })(this, b$1)));
    const this$6 = this.jsValidatorEmitters$1;
    const this$7 = this$6.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$7;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$3 = arg1;
      x$3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$1);
      these = these.tail__O()
    };
    const this$8 = this.jsConstraintEmitters$1;
    const this$9 = this$8.scala$collection$mutable$ListBuffer$$start$6;
    let these$1 = this$9;
    while ((!these$1.isEmpty__Z())) {
      const arg1$1 = these$1.head__O();
      const x$4 = arg1$1;
      x$4.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$1);
      these$1 = these$1.tail__O()
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  emitJSON__sc_Seq__T(validations) {
    return $m_Lorg_yaml_render_JsonRender$().render__Lorg_yaml_model_YDocument__T(this.emitJSONLDAST__p1__sc_Seq__Lorg_yaml_model_YDocument(validations))
  };
  init___T(targetProfile) {
    this.targetProfile$1 = targetProfile;
    this.jsValidatorEmitters$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.jsConstraintEmitters$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(b, s, dType) {
    if ($is_s_Some(dType)) {
      const x2 = dType;
      const dt = x2.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
      $m_Lorg_yaml_model_YNode$();
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(s);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
      $m_Lorg_yaml_model_YNode$();
      const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(dt);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs))
    } else {
      const x = $m_s_None$();
      if ((x === dType)) {
        if ((s === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("[\\d]+", s)) {
          const jsx$3 = b.builder$1;
          const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, s, $m_Lorg_yaml_model_YType$().Int$1);
          const this$13 = v.builder$1;
          const array = [key$2];
          if ((this$13.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$13.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
          const len$1 = this$13.size0$6;
          const src = this$13.array$6;
          const dest = this$13.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$13.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x$1 = (array.length | 0);
          const x$2 = ((x$1 < len$2) ? x$1 : len$2);
          const that = xs.u.length;
          const end = ((x$2 < that) ? x$2 : that);
          while ((i < end)) {
            const jsx$2 = j;
            const index = i;
            xs.u[jsx$2] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$13.size0$6 = newSize;
          b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$1 = b$2.builder$1;
          const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$1, a$1, cs$1))
        } else if (((s === "true") || (s === "false"))) {
          const jsx$5 = b.builder$1;
          const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, s, $m_Lorg_yaml_model_YType$().Bool$1);
          const this$30 = v$1.builder$1;
          const array$1 = [key$3];
          if ((this$30.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$30.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$30, newSize$1);
          const len$4 = this$30.size0$6;
          const src$1 = this$30.array$6;
          const dest$1 = this$30.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$30.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$3 = (array$1.length | 0);
          const x$4 = ((x$3 < len$5) ? x$3 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$4 < that$1) ? x$4 : that$1);
          while ((i$1 < end$1)) {
            const jsx$4 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$4] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$30.size0$6 = newSize$1;
          b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$2 = b$3.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
          const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$2 = null;
          jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$2, a$2, cs$2))
        } else if (($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(s).iri__T() === $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType("amf-parser:NonEmptyList").iri__T())) {
          this.genNonEmptyList__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b)
        } else if ((((((s.length | 0) >= 0) && (s.substring(0, ("http://".length | 0)) === "http://")) || (((s.length | 0) >= 0) && (s.substring(0, ("https://".length | 0)) === "https://"))) || (((s.length | 0) >= 0) && (s.substring(0, ("file:".length | 0)) === "file:")))) {
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, s)
        } else {
          const jsx$6 = b.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          $m_Lorg_yaml_model_YNode$();
          const value$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(s);
          b$4.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$4, value$5);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$3 = b$4.builder$1;
          const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
          const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$3 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$3 = null;
          jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$3, a$3, cs$3))
        }
      } else {
        throw new $c_s_MatchError().init___O(dType)
      }
    }
  };
  genJSConstraint__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f) {
    const constraintId = f.constraintId__T__T(validationId);
    const validatorId = f.validatorId__T__T(validationId);
    const validatorPath = f.validatorPath__T__T(validationId);
    return this.jsConstraintEmitters$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2().init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__T__T(this, constraintId, validatorId, validatorPath))
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter;
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ extends $c_O {
  init___() {
    return this
  };
  validationLibraryUrl__T() {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "validationLibrary.js").iri__T()
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter$", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$;
let $n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = (void 0);
const $m_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$)) {
    $n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$().init___()
  };
  return $n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$
});
class $c_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ extends $c_O {
  init___() {
    return this
  };
  emitViolation__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, severity) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    let str;
    if (($m_Lamf_core_validation_SeverityLevels$().INFO$1 === severity)) {
      str = this.shacl__T__T("Info")
    } else if (($m_Lamf_core_validation_SeverityLevels$().WARNING$1 === severity)) {
      str = this.shacl__T__T("Warning")
    } else {
      if (($m_Lamf_core_validation_SeverityLevels$().VIOLATION$1 !== severity)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown severity level ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([severity]))))
      };
      str = this.shacl__T__T("Violation")
    };
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
  };
  emitResult__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_AMFValidationResult__V(b, result) {
    const jsx$9 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str = this.shacl__T__T("ValidationResult");
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const str$1 = this.shacl__T__T("resultSeverity");
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitViolation__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(v, result.level$1);
    const this$5 = v.builder$1;
    const array = [key$1];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$2 = this.shacl__T__T("focusNode");
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$2 = v$1.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$3 = result.targetNode$1;
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$3, value$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$2.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs));
    const this$24 = v$1.builder$1;
    const array$1 = [key$2];
    if ((this$24.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$24.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$24, newSize$1);
    const len$4 = this$24.size0$6;
    const src$1 = this$24.array$6;
    const dest$1 = this$24.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$24.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$3 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$3] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$24.size0$6 = newSize$1;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    const this$35 = result.targetProperty$1;
    if ((!this$35.isEmpty__Z())) {
      const arg1 = this$35.get__O();
      const x0$1 = arg1;
      if ((x0$1 !== "")) {
        $m_Lorg_yaml_model_YNode$();
        const str$4 = this.shacl__T__T("resultPath");
        const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
        const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$4 = v$2.builder$1;
        const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
        $m_Lorg_yaml_model_YNode$();
        const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(x0$1);
        b$3.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$3);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$1 = b$3.builder$1;
        const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$1, a$1, cs$1));
        const this$44 = v$2.builder$1;
        const array$2 = [key$4];
        if ((this$44.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$6 = (array$2.length | 0);
        const newSize$2 = ((this$44.size0$6 + len$6) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$44, newSize$2);
        const len$7 = this$44.size0$6;
        const src$2 = this$44.array$6;
        const dest$2 = this$44.array$6;
        $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
        const xs$2 = this$44.array$6;
        const len$8 = xs$2.u.length;
        let i$2 = 0;
        let j$2 = 0;
        const x$4 = (array$2.length | 0);
        const x$5 = ((x$4 < len$8) ? x$4 : len$8);
        const that$2 = xs$2.u.length;
        const end$2 = ((x$5 < that$2) ? x$5 : that$2);
        while ((i$2 < end$2)) {
          const jsx$5 = j$2;
          const index$2 = i$2;
          xs$2.u[jsx$5] = array$2[index$2];
          i$2 = ((1 + i$2) | 0);
          j$2 = ((1 + j$2) | 0)
        };
        this$44.size0$6 = newSize$2;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
      }
    };
    $m_Lorg_yaml_model_YNode$();
    const str$5 = this.shacl__T__T("resultMessage");
    const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
    $m_Lorg_yaml_model_YNode$();
    const str$6 = result.message$1;
    const value$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$5);
    $m_Lorg_yaml_model_YNode$();
    const str$7 = this.shacl__T__T("sourceShape");
    const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$6 = v$3.builder$1;
    const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$8 = result.validationId$1;
    const value$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
    b$4.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$8, value$6);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$2 = b$4.builder$1;
    const value$7 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$2, a$2, cs$2));
    const this$65 = v$3.builder$1;
    const array$3 = [key$7];
    if ((this$65.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$65.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$65, newSize$3);
    const len$10 = this$65.size0$6;
    const src$3 = this$65.array$6;
    const dest$3 = this$65.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$65.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$7 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$7] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$65.size0$6 = newSize$3;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    const this$76 = result.position$1;
    if ((!this$76.isEmpty__Z())) {
      const arg1$1 = this$76.get__O();
      const pos = arg1$1;
      $m_Lorg_yaml_model_YNode$();
      const str$9 = this.amfParser__T__T("lexicalPosition");
      const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$9);
      const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emitPosition__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_annotations_LexicalInformation__V(v$4, pos);
      const this$78 = v$4.builder$1;
      const array$4 = [key$9];
      if ((this$78.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$12 = (array$4.length | 0);
      const newSize$4 = ((this$78.size0$6 + len$12) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$78, newSize$4);
      const len$13 = this$78.size0$6;
      const src$4 = this$78.array$6;
      const dest$4 = this$78.array$6;
      $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
      const xs$4 = this$78.array$6;
      const len$14 = xs$4.u.length;
      let i$4 = 0;
      let j$4 = 0;
      const x$8 = (array$4.length | 0);
      const x$9 = ((x$8 < len$14) ? x$8 : len$14);
      const that$4 = xs$4.u.length;
      const end$4 = ((x$9 < that$4) ? x$9 : that$4);
      while ((i$4 < end$4)) {
        const jsx$8 = j$4;
        const index$4 = i$4;
        xs$4.u[jsx$8] = array$4[index$4];
        i$4 = ((1 + i$4) | 0);
        j$4 = ((1 + j$4) | 0)
      };
      this$78.size0$6 = newSize$4;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$3 = b$1.builder$1;
    const value$8 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
    const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$3 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$3 = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$8, t$3, a$3, cs$3))
  };
  emitJSONLDAST__Lamf_core_validation_AMFValidationReport__Lorg_yaml_model_YDocument(report) {
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$5 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str = this.shacl__T__T("ValidationReport");
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const str$1 = this.shacl__T__T("conforms");
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$9 = report.conforms$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, ("" + this$9), $m_Lorg_yaml_model_YType$().Bool$1);
    const this$11 = v.builder$1;
    const array = [key$1];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    if (report.results$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str$2 = this.shacl__T__T("result");
      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      report.results$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3) {
        return (function(x$4$2) {
          const x$4 = x$4$2;
          $this.emitResult__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_AMFValidationResult__V(b$3, x$4)
        })
      })(this, b$2)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$2.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$28 = v$1.builder$1;
      const array$1 = [key$2];
      if ((this$28.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$28.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$28, newSize$1);
      const len$4 = this$28.size0$6;
      const src$1 = this$28.array$6;
      const dest$1 = this$28.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$28.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$3 = (array$1.length | 0);
      const x$5 = ((x$3 < len$5) ? x$3 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$5 < that$1) ? x$5 : that$1);
      while ((i$1 < end$1)) {
        const jsx$4 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$4] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$28.size0$6 = newSize$1;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$1.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  amfParser__T__T(postfix) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, postfix).iri__T()
  };
  shacl__T__T(postfix) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, postfix).iri__T()
  };
  emitJSON__Lamf_core_validation_AMFValidationReport__T(report) {
    return $m_Lorg_yaml_render_JsonRender$().render__Lorg_yaml_model_YDocument__T(this.emitJSONLDAST__Lamf_core_validation_AMFValidationReport__Lorg_yaml_model_YDocument(report))
  };
  emitPosition__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_annotations_LexicalInformation__V(b, pos) {
    const jsx$13 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str = this.amfParser__T__T("Position");
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const str$1 = this.amfParser__T__T("start");
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str$2 = this.amfParser__T__T("Location");
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$2, value$1);
    $m_Lorg_yaml_model_YNode$();
    const str$3 = this.amfParser__T__T("line");
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$9 = pos.range$1.start$1.line$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, ("" + this$9), $m_Lorg_yaml_model_YType$().Int$1);
    const this$11 = v$1.builder$1;
    const array = [key$3];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$4 = this.amfParser__T__T("column");
    const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
    const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$23 = pos.range$1.start$1.column$1;
    jsx$3.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$2, ("" + this$23), $m_Lorg_yaml_model_YType$().Int$1);
    const this$25 = v$2.builder$1;
    const array$1 = [key$4];
    if ((this$25.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$25.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$25, newSize$1);
    const len$4 = this$25.size0$6;
    const src$1 = this$25.array$6;
    const dest$1 = this$25.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$25.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$4 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$4] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$25.size0$6 = newSize$1;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$2.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs));
    const this$40 = v.builder$1;
    const array$2 = [key$1];
    if ((this$40.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$40.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$40, newSize$2);
    const len$7 = this$40.size0$6;
    const src$2 = this$40.array$6;
    const dest$2 = this$40.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$40.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$6 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$6] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$40.size0$6 = newSize$2;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$5 = this.amfParser__T__T("end");
    const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$11 = v$3.builder$1;
    const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str$6 = this.amfParser__T__T("Location");
    const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
    b$3.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$3);
    $m_Lorg_yaml_model_YNode$();
    const str$7 = this.amfParser__T__T("line");
    const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
    const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$7 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$56 = pos.range$1.end$1.line$1;
    jsx$7.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$4, ("" + this$56), $m_Lorg_yaml_model_YType$().Int$1);
    const this$58 = v$4.builder$1;
    const array$3 = [key$7];
    if ((this$58.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$58.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$58, newSize$3);
    const len$10 = this$58.size0$6;
    const src$3 = this$58.array$6;
    const dest$3 = this$58.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$58.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$8 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$8] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$58.size0$6 = newSize$3;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$8 = this.amfParser__T__T("column");
    const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
    const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$9 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$70 = pos.range$1.end$1.column$1;
    jsx$9.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$5, ("" + this$70), $m_Lorg_yaml_model_YType$().Int$1);
    const this$72 = v$5.builder$1;
    const array$4 = [key$8];
    if ((this$72.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$12 = (array$4.length | 0);
    const newSize$4 = ((this$72.size0$6 + len$12) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$72, newSize$4);
    const len$13 = this$72.size0$6;
    const src$4 = this$72.array$6;
    const dest$4 = this$72.array$6;
    $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
    const xs$4 = this$72.array$6;
    const len$14 = xs$4.u.length;
    let i$4 = 0;
    let j$4 = 0;
    const x$8 = (array$4.length | 0);
    const x$9 = ((x$8 < len$14) ? x$8 : len$14);
    const that$4 = xs$4.u.length;
    const end$4 = ((x$9 < that$4) ? x$9 : that$4);
    while ((i$4 < end$4)) {
      const jsx$10 = j$4;
      const index$4 = i$4;
      xs$4.u[jsx$10] = array$4[index$4];
      i$4 = ((1 + i$4) | 0);
      j$4 = ((1 + j$4) | 0)
    };
    this$72.size0$6 = newSize$4;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$3.builder$1;
    const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$11.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$1, a$1, cs$1));
    const this$87 = v$3.builder$1;
    const array$5 = [key$5];
    if ((this$87.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$15 = (array$5.length | 0);
    const newSize$5 = ((this$87.size0$6 + len$15) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$87, newSize$5);
    const len$16 = this$87.size0$6;
    const src$5 = this$87.array$6;
    const dest$5 = this$87.array$6;
    $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
    const xs$5 = this$87.array$6;
    const len$17 = xs$5.u.length;
    let i$5 = 0;
    let j$5 = 0;
    const x$10 = (array$5.length | 0);
    const x$11 = ((x$10 < len$17) ? x$10 : len$17);
    const that$5 = xs$5.u.length;
    const end$5 = ((x$11 < that$5) ? x$11 : that$5);
    while ((i$5 < end$5)) {
      const jsx$12 = j$5;
      const index$5 = i$5;
      xs$5.u[jsx$12] = array$5[index$5];
      i$5 = ((1 + i$5) | 0);
      j$5 = ((1 + j$5) | 0)
    };
    this$87.size0$6 = newSize$5;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$2 = b$1.builder$1;
    const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    jsx$13.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$2, a$2, cs$2))
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$: 0
}, false, "amf.plugins.features.validation.emitters.ValidationReportJSONLDEmitter$", {
  Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$;
let $n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = (void 0);
const $m_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$)) {
    $n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = new $c_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$().init___()
  };
  return $n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$
});
class $c_Lamf_plugins_features_validation_model_ValidationDialectText$ extends $c_O {
  init___() {
    return this
  };
  text__T() {
    const this$2 = new $c_sci_StringOps().init___T("\n      |#%RAML 1.0 Dialect\n      |\n      |dialect: Validation Profile\n      |version: 1.0\n      |usage: Dialect to describe validations over RAML documents\n      |external:\n      |  schema-org: \"http://schema.org/\"\n      |  shacl: \"http://www.w3.org/ns/shacl#\"\n      |  validation: \"http://raml.org/vocabularies/amf-validation#\"\n      |nodeMappings:\n      |  functionConstraintNode:\n      |    classTerm: shacl.JSConstraint\n      |    mapping:\n      |      message:\n      |         propertyTerm: shacl.message\n      |         range: string\n      |      code:\n      |        range: string\n      |        propertyTerm: validation.jsCode\n      |        #pattern: '^function\\(.+\\)\\s*\\{.+\\}$'\n      |      libraries:\n      |        propertyTerm: shacl.jsLibrary\n      |        range: string\n      |        allowMultiple: true\n      |      functionName:\n      |        propertyTerm: shacl.jsFunctionName\n      |        range: string\n      |  propertyConstraintNode:\n      |    classTerm: shacl.PropertyShape\n      |    mapping:\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      name:\n      |        propertyTerm: validation.ramlPropertyId\n      |        mandatory: true\n      |        range: string\n      |      pattern:\n      |        propertyTerm: shacl.pattern\n      |        range: string\n      |      maxCount:\n      |        propertyTerm: shacl.maxCount\n      |        range: number\n      |      minCount:\n      |        propertyTerm: shacl.minCount\n      |        range: number\n      |      minExclusive:\n      |        propertyTerm: shacl.minExclusive\n      |        range: number\n      |      maxExclusive:\n      |        propertyTerm: shacl.maxExclusive\n      |        range: number\n      |      minInclusive:\n      |        propertyTerm: shacl.minInclusive\n      |        range: number\n      |      maxInclusive:\n      |        propertyTerm: shacl.maxInclusive\n      |        range: number\n      |      datatype:\n      |         propertyTerm: shacl.datatype\n      |         range: string\n      |      in:\n      |        propertyTerm: shacl.in\n      |        allowMultiple: true\n      |        range: string\n      |  functionValidationNode:\n      |    classTerm: validation.FunctionValidation\n      |    mapping:\n      |      name:\n      |        propertyTerm: schema-org.name\n      |        range: string\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      targetClass:\n      |        propertyTerm: validation.ramlClassId\n      |        range: string\n      |        allowMultiple: true\n      |      functionConstraint:\n      |        mandatory: true\n      |        propertyTerm: shacl.js\n      |        range: functionConstraintNode\n      |  shapeValidationNode:\n      |    classTerm: validation.ShapeValidation\n      |    mapping:\n      |      name:\n      |        propertyTerm: schema-org.name\n      |        range: string\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      targetClass:\n      |        propertyTerm: validation.ramlClassId\n      |        range: string\n      |        allowMultiple: true\n      |      propertyConstraints:\n      |        mandatory: true\n      |        propertyTerm: shacl.property\n      |        asMap: true\n      |        hash: validation.ramlPropertyId\n      |        range: propertyConstraintNode\n      |  queryValidationNode:\n      |    classTerm: validation.QueryValidation\n      |    mapping:\n      |      name:\n      |        propertyTerm: schema-org.name\n      |        range: string\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      targetClass:\n      |        propertyTerm: validation.ramlClassId\n      |        range: string\n      |        allowMultiple: true\n      |      propertyConstraints:\n      |        propertyTerm: shacl.property\n      |        asMap: true\n      |        hash: validation.ramlPropertyId\n      |        range: propertyConstraintNode\n      |      targetQuery:\n      |        mandatory: true\n      |        propertyTerm: validation.targetQuery\n      |        range: string\n      |\n      |  ramlPrefixNode:\n      |    classTerm: validation.RamlPrefix\n      |    mapping:\n      |      prefix:\n      |        propertyTerm: validation.ramlPrefixName\n      |        range: string\n      |      uri:\n      |        propertyTerm: validation.ramlPrefixUri\n      |        range: string\n      |\n      |  profileNode:\n      |    classTerm: validation.Profile\n      |    mapping:\n      |      prefixes:\n      |        propertyTerm: validation.ramlPrefixes\n      |        asMap: true\n      |        hash: validation.ramlPrefixName\n      |        hashValue: validation.ramlPrefixUri\n      |        range: ramlPrefixNode\n      |      profile:\n      |        propertyTerm: schema-org.name\n      |        mandatory: true\n      |        range: string\n      |      description:\n      |        propertyTerm: schema-org.description\n      |        range: string\n      |      extends:\n      |        propertyTerm: validation.extendsProfile\n      |        range: string\n      |      violation:\n      |        propertyTerm: validation.setSeverityViolation\n      |        range: string\n      |        allowMultiple: true\n      |      info:\n      |        propertyTerm: validation.setSeverityInfo\n      |        range: string\n      |        allowMultiple: true\n      |      warning:\n      |        propertyTerm: validation.setSeverityWarning\n      |        range: string\n      |        allowMultiple: true\n      |      disabled:\n      |        propertyTerm: validation.disableValidation\n      |        range: string\n      |        allowMultiple: true\n      |      validations:\n      |        propertyTerm: validation.validations\n      |        asMap: true\n      |        hash: schema-org.name\n      |        range: [ shapeValidationNode, queryValidationNode,functionValidationNode]\n      |raml:\n      |  fragments:\n      |    encodes:\n      |      ShapeValidation: queryValidationNode\n      |      FunctionValidation: functionValidationNode\n      |\n      |  module:\n      |    declares:\n      |      shapes: queryValidationNode\n      |      functions: functionValidationNode\n      |\n      |  document:\n      |    encodes: profileNode\n    ");
    return $f_sci_StringLike__stripMargin__C__T(this$2, 124)
  };
}
const $d_Lamf_plugins_features_validation_model_ValidationDialectText$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ValidationDialectText$: 0
}, false, "amf.plugins.features.validation.model.ValidationDialectText$", {
  Lamf_plugins_features_validation_model_ValidationDialectText$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_model_ValidationDialectText$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ValidationDialectText$;
let $n_Lamf_plugins_features_validation_model_ValidationDialectText$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ValidationDialectText$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ValidationDialectText$)) {
    $n_Lamf_plugins_features_validation_model_ValidationDialectText$ = new $c_Lamf_plugins_features_validation_model_ValidationDialectText$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ValidationDialectText$
});
class $c_Lamf_validation_AMFValidationReport extends $c_O {
  constructor() {
    super();
    this.report$1 = null;
    this.conforms$1 = false;
    this.model$1 = null;
    this.profile$1 = null;
    this.results$1 = null
  };
  init___Lamf_core_validation_AMFValidationReport(report) {
    this.report$1 = report;
    this.conforms$1 = report.conforms$1;
    this.model$1 = report.model$1;
    this.profile$1 = report.profile$1;
    const jsx$2 = report.results$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_validation_AMFValidationResult().init___Lamf_core_validation_AMFValidationResult(x$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$4 = $m_sjsr_package$();
    let jsx$3;
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      jsx$3 = x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      jsx$3 = x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      jsx$3 = result
    };
    this.results$1 = jsx$3;
    return this
  };
  $$js$exported$meth$toString__O() {
    return this.toString__T()
  };
  toString__T() {
    return this.report$1.toString__T()
  };
  $$js$exported$prop$results__O() {
    return this.results$1
  };
  $$js$exported$prop$conforms__O() {
    return this.conforms$1
  };
  $$js$exported$prop$model__O() {
    return this.model$1
  };
  $$js$exported$prop$profile__O() {
    return this.profile$1
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "results"() {
    return this.$$js$exported$prop$results__O()
  };
  get "profile"() {
    return this.$$js$exported$prop$profile__O()
  };
  get "model"() {
    return this.$$js$exported$prop$model__O()
  };
  get "conforms"() {
    return this.$$js$exported$prop$conforms__O()
  };
}
const $d_Lamf_validation_AMFValidationReport = new $TypeData().initClass({
  Lamf_validation_AMFValidationReport: 0
}, false, "amf.validation.AMFValidationReport", {
  Lamf_validation_AMFValidationReport: 1,
  O: 1
});
$c_Lamf_validation_AMFValidationReport.prototype.$classData = $d_Lamf_validation_AMFValidationReport;
class $c_Lamf_validation_AMFValidationResult extends $c_O {
  constructor() {
    super();
    this.message$1 = null;
    this.level$1 = null;
    this.targetNode$1 = null;
    this.targetProperty$1 = null;
    this.validationId$1 = null;
    this.position$1 = null;
    this.source$1 = null
  };
  $$js$exported$prop$validationId__O() {
    return this.validationId$1
  };
  $$js$exported$prop$targetProperty__O() {
    return this.targetProperty$1
  };
  $$js$exported$prop$position__O() {
    return this.position$1
  };
  $$js$exported$prop$message__O() {
    return this.message$1
  };
  $$js$exported$prop$targetNode__O() {
    return this.targetNode$1
  };
  $$js$exported$prop$source__O() {
    return this.source$1
  };
  init___Lamf_core_validation_AMFValidationResult(result) {
    this.message$1 = result.message$1;
    this.level$1 = result.level$1;
    this.targetNode$1 = result.targetNode$1;
    const this$1 = result.targetProperty$1;
    this.targetProperty$1 = (this$1.isEmpty__Z() ? null : this$1.get__O());
    this.validationId$1 = result.validationId$1;
    const x1 = result.position$1;
    let jsx$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lexicalInformation = x2.value$2;
      jsx$1 = lexicalInformation.range$1
    } else {
      jsx$1 = new $c_Lamf_core_parser_Range().init___Lamf_core_parser_Position__Lamf_core_parser_Position($m_Lamf_core_parser_Position$ZERO$(), $m_Lamf_core_parser_Position$ZERO$())
    };
    this.position$1 = jsx$1;
    this.source$1 = result.source$1;
    return this
  };
  $$js$exported$prop$level__O() {
    return this.level$1
  };
  get "source"() {
    return this.$$js$exported$prop$source__O()
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "validationId"() {
    return this.$$js$exported$prop$validationId__O()
  };
  get "targetProperty"() {
    return this.$$js$exported$prop$targetProperty__O()
  };
  get "targetNode"() {
    return this.$$js$exported$prop$targetNode__O()
  };
  get "level"() {
    return this.$$js$exported$prop$level__O()
  };
  get "message"() {
    return this.$$js$exported$prop$message__O()
  };
}
const $d_Lamf_validation_AMFValidationResult = new $TypeData().initClass({
  Lamf_validation_AMFValidationResult: 0
}, false, "amf.validation.AMFValidationResult", {
  Lamf_validation_AMFValidationResult: 1,
  O: 1
});
$c_Lamf_validation_AMFValidationResult.prototype.$classData = $d_Lamf_validation_AMFValidationResult;
class $c_Ljava_math_BigInteger$QuotAndRem extends $c_O {
  constructor() {
    super();
    this.quot$1 = null;
    this.rem$1 = null
  };
  toArray__ALjava_math_BigInteger() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.quot$1, this.rem$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
  init___Ljava_math_BigInteger__Ljava_math_BigInteger(quot, rem) {
    this.quot$1 = quot;
    this.rem$1 = rem;
    return this
  };
}
const $d_Ljava_math_BigInteger$QuotAndRem = new $TypeData().initClass({
  Ljava_math_BigInteger$QuotAndRem: 0
}, false, "java.math.BigInteger$QuotAndRem", {
  Ljava_math_BigInteger$QuotAndRem: 1,
  O: 1
});
$c_Ljava_math_BigInteger$QuotAndRem.prototype.$classData = $d_Ljava_math_BigInteger$QuotAndRem;
class $c_Ljava_math_BitLevel$ extends $c_O {
  init___() {
    return this
  };
  shiftLeftOneBit__AI__AI__I__V(result, source, srcLen) {
    let elem$1 = 0;
    elem$1 = 0;
    const isEmpty$4 = (srcLen <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + srcLen) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        const iVal = source.u[v1];
        result.u[v1] = ((iVal << 1) | elem$1);
        elem$1 = ((iVal >>> 31) | 0);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    if ((elem$1 !== 0)) {
      result.u[srcLen] = elem$1
    }
  };
  shiftLeft__Ljava_math_BigInteger__I__Ljava_math_BigInteger(source, count) {
    const intCount = (count >> 5);
    const andCount = (31 & count);
    const offset = ((andCount === 0) ? 0 : 1);
    const resLength = ((((source.numberLength$2 + intCount) | 0) + offset) | 0);
    const resDigits = $newArrayObject($d_I.getArrayOf(), [resLength]);
    this.shiftLeft__AI__AI__I__I__V(resDigits, source.digits$2, intCount, andCount);
    const result = new $c_Ljava_math_BigInteger().init___I__I__AI(source.sign$2, resLength, resDigits);
    result.cutOffLeadingZeroes__V();
    return result
  };
  shiftRight__Ljava_math_BigInteger__I__Ljava_math_BigInteger(source, count) {
    const intCount = (count >> 5);
    const andCount = (31 & count);
    if ((intCount >= source.numberLength$2)) {
      return ((source.sign$2 < 0) ? $m_Ljava_math_BigInteger$().MINUS$undONE$1 : $m_Ljava_math_BigInteger$().ZERO$1)
    } else {
      let resLength = ((source.numberLength$2 - intCount) | 0);
      const resDigits = $newArrayObject($d_I.getArrayOf(), [((1 + resLength) | 0)]);
      this.shiftRight__AI__I__AI__I__I__Z(resDigits, resLength, source.digits$2, intCount, andCount);
      if ((source.sign$2 < 0)) {
        let i = 0;
        while (((i < intCount) && (source.digits$2.u[i] === 0))) {
          i = ((1 + i) | 0)
        };
        const cmp = ((source.digits$2.u[i] << ((32 - andCount) | 0)) !== 0);
        if (((i < intCount) || ((andCount > 0) && cmp))) {
          i = 0;
          while (((i < resLength) && (resDigits.u[i] === (-1)))) {
            resDigits.u[i] = 0;
            i = ((1 + i) | 0)
          };
          if ((i === resLength)) {
            resLength = ((1 + resLength) | 0)
          };
          const ev$6 = i;
          resDigits.u[ev$6] = ((1 + resDigits.u[ev$6]) | 0)
        }
      };
      const result = new $c_Ljava_math_BigInteger().init___I__I__AI(source.sign$2, resLength, resDigits);
      result.cutOffLeadingZeroes__V();
      return result
    }
  };
  shiftLeftOneBit__Ljava_math_BigInteger__Ljava_math_BigInteger(source) {
    const srcLen = source.numberLength$2;
    const resLen = ((1 + srcLen) | 0);
    const resDigits = $newArrayObject($d_I.getArrayOf(), [resLen]);
    this.shiftLeftOneBit__AI__AI__I__V(resDigits, source.digits$2, srcLen);
    const result = new $c_Ljava_math_BigInteger().init___I__I__AI(source.sign$2, resLen, resDigits);
    result.cutOffLeadingZeroes__V();
    return result
  };
  bitLength__Ljava_math_BigInteger__I(bi) {
    if ((bi.sign$2 === 0)) {
      return 0
    } else {
      let bLength = (bi.numberLength$2 << 5);
      let highDigit = bi.digits$2.u[(((-1) + bi.numberLength$2) | 0)];
      if ((bi.sign$2 < 0)) {
        const i = bi.getFirstNonzeroDigit__I();
        if ((i === (((-1) + bi.numberLength$2) | 0))) {
          highDigit = (((-1) + highDigit) | 0)
        }
      };
      bLength = ((bLength - $clz32(highDigit)) | 0);
      return bLength
    }
  };
  shiftRight__AI__I__AI__I__I__Z(result, resultLen, source, intCount, count) {
    let i = 0;
    let allZero = true;
    while ((i < intCount)) {
      allZero = (!(!(allZero & (source.u[i] === 0))));
      i = ((1 + i) | 0)
    };
    if ((count === 0)) {
      $systemArraycopy(source, intCount, result, 0, resultLen)
    } else {
      const leftShiftCount = ((32 - count) | 0);
      allZero = (!(!(allZero & ((source.u[i] << leftShiftCount) === 0))));
      i = 0;
      while ((i < (((-1) + resultLen) | 0))) {
        result.u[i] = (((source.u[((i + intCount) | 0)] >>> count) | 0) | (source.u[((1 + ((i + intCount) | 0)) | 0)] << leftShiftCount));
        i = ((1 + i) | 0)
      };
      result.u[i] = ((source.u[((i + intCount) | 0)] >>> count) | 0);
      i = ((1 + i) | 0)
    };
    return allZero
  };
  shiftLeft__AI__AI__I__I__V(result, source, intCount, count) {
    if ((count === 0)) {
      $systemArraycopy(source, 0, result, intCount, ((result.u.length - intCount) | 0))
    } else {
      const rightShiftCount = ((32 - count) | 0);
      result.u[(((-1) + result.u.length) | 0)] = 0;
      let i = (((-1) + result.u.length) | 0);
      while ((i > intCount)) {
        const ev$5 = i;
        result.u[ev$5] = (result.u[ev$5] | ((source.u[(((-1) + ((i - intCount) | 0)) | 0)] >>> rightShiftCount) | 0));
        result.u[(((-1) + i) | 0)] = (source.u[(((-1) + ((i - intCount) | 0)) | 0)] << count);
        i = (((-1) + i) | 0)
      }
    };
    const isEmpty$4 = (intCount <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + intCount) | 0);
    if ((!isEmpty$4)) {
      let i$1 = 0;
      while (true) {
        const v1 = i$1;
        result.u[v1] = 0;
        if ((i$1 === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i$1 = ((1 + i$1) | 0)
      }
    }
  };
}
const $d_Ljava_math_BitLevel$ = new $TypeData().initClass({
  Ljava_math_BitLevel$: 0
}, false, "java.math.BitLevel$", {
  Ljava_math_BitLevel$: 1,
  O: 1
});
$c_Ljava_math_BitLevel$.prototype.$classData = $d_Ljava_math_BitLevel$;
let $n_Ljava_math_BitLevel$ = (void 0);
const $m_Ljava_math_BitLevel$ = (function() {
  if ((!$n_Ljava_math_BitLevel$)) {
    $n_Ljava_math_BitLevel$ = new $c_Ljava_math_BitLevel$().init___()
  };
  return $n_Ljava_math_BitLevel$
});
class $c_Ljava_math_Conversion$ extends $c_O {
  constructor() {
    super();
    this.DigitFitInInt$1 = null;
    this.BigRadices$1 = null
  };
  init___() {
    $n_Ljava_math_Conversion$ = this;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-1), (-1), 31, 19, 15, 13, 11, 11, 10, 9, 9, 8, 8, 8, 8, 7, 7, 7, 7, 7, 7, 7, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 5]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_I.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$5.hasNext__Z()) {
      const arg1 = this$5.next__O();
      array.u[elem$1] = (arg1 | 0);
      elem$1 = ((1 + elem$1) | 0)
    };
    this.DigitFitInInt$1 = array;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-2147483648), 1162261467, 1073741824, 1220703125, 362797056, 1977326743, 1073741824, 387420489, 1000000000, 214358881, 429981696, 815730721, 1475789056, 170859375, 268435456, 410338673, 612220032, 893871739, 1280000000, 1801088541, 113379904, 148035889, 191102976, 244140625, 308915776, 387420489, 481890304, 594823321, 729000000, 887503681, 1073741824, 1291467969, 1544804416, 1838265625, 60466176]);
    const len$1 = (xs$1.array$6.length | 0);
    const array$1 = $newArrayObject($d_I.getArrayOf(), [len$1]);
    let elem$1$1 = 0;
    elem$1$1 = 0;
    const this$10 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs$1, 0, (xs$1.array$6.length | 0));
    while (this$10.hasNext__Z()) {
      const arg1$1 = this$10.next__O();
      array$1.u[elem$1$1] = (arg1$1 | 0);
      elem$1$1 = ((1 + elem$1$1) | 0)
    };
    this.BigRadices$1 = array$1;
    return this
  };
  toDecimalScaledString__J__I__T(value, scale) {
    if (((value.lo$2 === 0) && (value.hi$2 === 0))) {
      switch (scale) {
        case 0: {
          return "0";
          break
        }
        case 1: {
          return "0.0";
          break
        }
        case 2: {
          return "0.00";
          break
        }
        case 3: {
          return "0.000";
          break
        }
        case 4: {
          return "0.0000";
          break
        }
        case 5: {
          return "0.00000";
          break
        }
        case 6: {
          return "0.000000";
          break
        }
        default: {
          let scaleVal;
          if ((scale === (-2147483648))) {
            scaleVal = "2147483648"
          } else {
            const i = ((-scale) | 0);
            scaleVal = ("" + i)
          };
          const result = ((scale < 0) ? "0E+" : "0E");
          return (result + scaleVal)
        }
      }
    } else {
      const ahi = value.hi$2;
      const negNumber = (ahi < 0);
      let elem$1 = null;
      elem$1 = "";
      let currentChar = 18;
      let t;
      if (negNumber) {
        const lo = value.lo$2;
        const hi = value.hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
        const x_$_lo$2 = lo$1;
        const x_$_hi$2 = hi$1;
        t = new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2)
      } else {
        t = value
      };
      const lo$2 = t.lo$2;
      const hi$2 = t.hi$2;
      let v_$_lo$2 = lo$2;
      let v_$_hi$2 = hi$2;
      while (true) {
        const prev_$_lo$2 = v_$_lo$2;
        const prev_$_hi$2 = v_$_hi$2;
        const this$5_$_lo$2 = v_$_lo$2;
        const this$5_$_hi$2 = v_$_hi$2;
        const this$6 = $m_sjsr_RuntimeLong$();
        const lo$3 = this$6.divideImpl__I__I__I__I__I(this$5_$_lo$2, this$5_$_hi$2, 10, 0);
        const hi$3 = this$6.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const jsx$1_$_lo$2 = lo$3;
        const jsx$1_$_hi$2 = hi$3;
        v_$_lo$2 = jsx$1_$_lo$2;
        v_$_hi$2 = jsx$1_$_hi$2;
        currentChar = (((-1) + currentChar) | 0);
        const b_$_lo$2 = v_$_lo$2;
        const b_$_hi$2 = v_$_hi$2;
        const blo = b_$_lo$2;
        const b0 = (65535 & blo);
        const b1 = ((blo >>> 16) | 0);
        const a0b0 = $imul(10, b0);
        const a0b1 = $imul(10, b1);
        const lo$4 = ((a0b0 + (a0b1 << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (($imul(10, b_$_hi$2) + ((c1part >>> 16) | 0)) | 0);
        const alo = prev_$_lo$2;
        const ahi$1 = prev_$_hi$2;
        const lo$5 = ((alo - lo$4) | 0);
        const hi$5 = ((((-2147483648) ^ lo$5) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi$1 - hi$4) | 0)) | 0) : ((ahi$1 - hi$4) | 0));
        const lo$6 = ((48 + lo$5) | 0);
        const c = (65535 & lo$6);
        elem$1 = (("" + new $c_jl_Character().init___C(c)) + elem$1);
        const this$11_$_lo$2 = v_$_lo$2;
        const this$11_$_hi$2 = v_$_hi$2;
        if ((!((this$11_$_lo$2 === 0) && (this$11_$_hi$2 === 0)))) {
          /*<skip>*/
        } else {
          break
        }
      };
      const exponent = (((-1) + ((((18 - currentChar) | 0) - scale) | 0)) | 0);
      if (((scale > 0) && (exponent >= (-6)))) {
        const index = ((1 + exponent) | 0);
        if ((index > 0)) {
          const thiz = elem$1;
          const jsx$2 = thiz.substring(0, index);
          const thiz$1 = elem$1;
          elem$1 = ((jsx$2 + ".") + thiz$1.substring(index))
        } else {
          const end = ((-index) | 0);
          const isEmpty$4 = (end <= 0);
          const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
          if ((!isEmpty$4)) {
            let i$1 = 0;
            while (true) {
              const v1 = i$1;
              elem$1 = (("" + new $c_jl_Character().init___C(48)) + elem$1);
              if ((i$1 === scala$collection$immutable$Range$$lastElement$4)) {
                break
              };
              i$1 = ((1 + i$1) | 0)
            }
          };
          elem$1 = ("0." + elem$1)
        }
      } else if ((scale !== 0)) {
        let result1 = ("" + exponent);
        if ((exponent > 0)) {
          result1 = (("" + new $c_jl_Character().init___C(43)) + result1)
        };
        result1 = (("" + new $c_jl_Character().init___C(69)) + result1);
        if ((((18 - currentChar) | 0) > 1)) {
          const x$1 = elem$1;
          const c$1 = (65535 & (x$1.charCodeAt(0) | 0));
          const jsx$3 = new $c_jl_Character().init___C(c$1);
          const thiz$2 = elem$1;
          elem$1 = (((jsx$3 + ".") + thiz$2.substring(1)) + result1)
        } else {
          elem$1 = (("" + elem$1) + result1)
        }
      };
      return (negNumber ? (("" + new $c_jl_Character().init___C(45)) + elem$1) : elem$1)
    }
  };
  dropLeadingZeros__p1__T__T(s) {
    let zeroPrefixLength = 0;
    const len = (s.length | 0);
    while (true) {
      let jsx$1;
      if ((zeroPrefixLength < len)) {
        const index = zeroPrefixLength;
        jsx$1 = ((65535 & (s.charCodeAt(index) | 0)) === 48)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        zeroPrefixLength = ((1 + zeroPrefixLength) | 0)
      } else {
        break
      }
    };
    const beginIndex = zeroPrefixLength;
    return s.substring(beginIndex)
  };
  toDecimalScaledString__Ljava_math_BigInteger__T(bi) {
    const sign = bi.sign$2;
    const numberLength = bi.numberLength$2;
    const digits = bi.digits$2;
    if ((sign === 0)) {
      return "0"
    } else if ((numberLength === 1)) {
      const i = digits.u[0];
      const x = (+(i >>> 0));
      const absStr = x.toString(10);
      return ((sign < 0) ? ("-" + absStr) : absStr)
    } else {
      let result = "";
      const temp = $newArrayObject($d_I.getArrayOf(), [numberLength]);
      let tempLen = numberLength;
      $systemArraycopy(digits, 0, temp, 0, tempLen);
      do {
        let rem = 0;
        let i$1 = (((-1) + tempLen) | 0);
        while ((i$1 >= 0)) {
          const value = rem;
          const value$1 = temp.u[i$1];
          const this$8 = $m_sjsr_RuntimeLong$();
          const lo = this$8.divideUnsignedImpl__I__I__I__I__I(value$1, value, 1000000000, 0);
          temp.u[i$1] = lo;
          const hi$3 = (lo >> 31);
          const b0 = (65535 & lo);
          const b1 = ((lo >>> 16) | 0);
          const a0b0 = $imul(51712, b0);
          const a1b0 = $imul(15258, b0);
          const a0b1 = $imul(51712, b1);
          const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
          const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
          const hi$4 = (((((($imul(1000000000, hi$3) + $imul(15258, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
          const lo$2 = ((value$1 - lo$1) | 0);
          rem = lo$2;
          i$1 = (((-1) + i$1) | 0)
        };
        const this$10 = rem;
        const remStr = ("" + this$10);
        const beginIndex = (remStr.length | 0);
        const padding = "000000000".substring(beginIndex);
        result = ((padding + remStr) + result);
        while (((tempLen !== 0) && (temp.u[(((-1) + tempLen) | 0)] === 0))) {
          tempLen = (((-1) + tempLen) | 0)
        }
      } while ((tempLen !== 0));
      result = this.dropLeadingZeros__p1__T__T(result);
      return ((sign < 0) ? (("" + new $c_jl_Character().init___C(45)) + result) : result)
    }
  };
}
const $d_Ljava_math_Conversion$ = new $TypeData().initClass({
  Ljava_math_Conversion$: 0
}, false, "java.math.Conversion$", {
  Ljava_math_Conversion$: 1,
  O: 1
});
$c_Ljava_math_Conversion$.prototype.$classData = $d_Ljava_math_Conversion$;
let $n_Ljava_math_Conversion$ = (void 0);
const $m_Ljava_math_Conversion$ = (function() {
  if ((!$n_Ljava_math_Conversion$)) {
    $n_Ljava_math_Conversion$ = new $c_Ljava_math_Conversion$().init___()
  };
  return $n_Ljava_math_Conversion$
});
class $c_Ljava_math_Division$ extends $c_O {
  init___() {
    return this
  };
  divide__AI__I__AI__I__AI__I__AI(quot, quotLength, a, aLength, b, bLength) {
    const normA = $newArrayObject($d_I.getArrayOf(), [((1 + aLength) | 0)]);
    const normB = $newArrayObject($d_I.getArrayOf(), [((1 + bLength) | 0)]);
    const divisorShift = $clz32(b.u[(((-1) + bLength) | 0)]);
    if ((divisorShift !== 0)) {
      $m_Ljava_math_BitLevel$().shiftLeft__AI__AI__I__I__V(normB, b, 0, divisorShift);
      $m_Ljava_math_BitLevel$().shiftLeft__AI__AI__I__I__V(normA, a, 0, divisorShift)
    } else {
      $systemArraycopy(a, 0, normA, 0, aLength);
      $systemArraycopy(b, 0, normB, 0, bLength)
    };
    const firstDivisorDigit = normB.u[(((-1) + bLength) | 0)];
    let i = (((-1) + quotLength) | 0);
    let elem$1 = 0;
    elem$1 = aLength;
    while ((i >= 0)) {
      let elem$1$1 = 0;
      elem$1$1 = 0;
      if ((normA.u[elem$1] === firstDivisorDigit)) {
        elem$1$1 = (-1)
      } else {
        const value = normA.u[elem$1];
        const value$1 = normA.u[(((-1) + elem$1) | 0)];
        const this$5 = $m_sjsr_RuntimeLong$();
        const lo = this$5.divideUnsignedImpl__I__I__I__I__I(value$1, value, firstDivisorDigit, 0);
        const hi$3 = this$5.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        elem$1$1 = lo;
        const a0 = (65535 & lo);
        const a1 = ((lo >>> 16) | 0);
        const b0 = (65535 & firstDivisorDigit);
        const b1 = ((firstDivisorDigit >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (((((($imul(hi$3, firstDivisorDigit) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const lo$2 = ((value$1 - lo$1) | 0);
        let elem$1$2 = 0;
        elem$1$2 = lo$2;
        if ((elem$1$1 !== 0)) {
          elem$1$1 = ((1 + elem$1$1) | 0);
          _loop: while (true) {
            elem$1$1 = (((-1) + elem$1$1) | 0);
            const value$2 = elem$1$1;
            const value$3 = normB.u[(((-2) + bLength) | 0)];
            const a0$1 = (65535 & value$2);
            const a1$1 = ((value$2 >>> 16) | 0);
            const b0$1 = (65535 & value$3);
            const b1$1 = ((value$3 >>> 16) | 0);
            const a0b0$1 = $imul(a0$1, b0$1);
            const a1b0$1 = $imul(a1$1, b0$1);
            const a0b1$1 = $imul(a0$1, b1$1);
            const lo$3 = ((a0b0$1 + (((a1b0$1 + a0b1$1) | 0) << 16)) | 0);
            const c1part$1 = ((((a0b0$1 >>> 16) | 0) + a0b1$1) | 0);
            const hi$8 = (((($imul(a1$1, b1$1) + ((c1part$1 >>> 16) | 0)) | 0) + (((((65535 & c1part$1) + a1b0$1) | 0) >>> 16) | 0)) | 0);
            const value$4 = elem$1$2;
            const value$5 = normA.u[(((-2) + elem$1) | 0)];
            const value$6 = elem$1$2;
            const lo$4 = ((value$6 + firstDivisorDigit) | 0);
            const hi$13 = ((((-2147483648) ^ lo$4) < ((-2147483648) ^ value$6)) ? 1 : 0);
            if ((hi$13 === 0)) {
              elem$1$2 = lo$4;
              const hi$14 = ((-2147483648) ^ hi$8);
              const hi$15 = ((-2147483648) ^ value$4);
              if (((hi$14 === hi$15) ? (((-2147483648) ^ lo$3) > ((-2147483648) ^ value$5)) : (hi$14 > hi$15))) {
                continue _loop
              }
            };
            break
          }
        }
      };
      if ((elem$1$1 !== 0)) {
        const borrow = $m_Ljava_math_Division$().multiplyAndSubtract__AI__I__AI__I__I__I(normA, ((elem$1 - bLength) | 0), normB, bLength, elem$1$1);
        if ((borrow !== 0)) {
          elem$1$1 = (((-1) + elem$1$1) | 0);
          let elem$1$3_$_lo$2 = 0;
          let elem$1$3_$_hi$2 = 0;
          const jsx$1_$_lo$2 = 0;
          const jsx$1_$_hi$2 = 0;
          elem$1$3_$_lo$2 = jsx$1_$_lo$2;
          elem$1$3_$_hi$2 = jsx$1_$_hi$2;
          const isEmpty$4 = (bLength <= 0);
          const scala$collection$immutable$Range$$lastElement$4 = (((-1) + bLength) | 0);
          if ((!isEmpty$4)) {
            let i$1 = 0;
            while (true) {
              const v1 = i$1;
              const this$15_$_lo$2 = elem$1$3_$_lo$2;
              const this$15_$_hi$2 = elem$1$3_$_hi$2;
              const value$7 = normA.u[((((elem$1 - bLength) | 0) + v1) | 0)];
              const value$8 = normB.u[v1];
              const lo$5 = ((value$7 + value$8) | 0);
              const hi$20 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ value$7)) ? 1 : 0);
              const alo = this$15_$_lo$2;
              const ahi = this$15_$_hi$2;
              const lo$6 = ((alo + lo$5) | 0);
              const hi$21 = ((((-2147483648) ^ lo$6) < ((-2147483648) ^ alo)) ? ((1 + ((ahi + hi$20) | 0)) | 0) : ((ahi + hi$20) | 0));
              const jsx$2_$_lo$2 = lo$6;
              const jsx$2_$_hi$2 = hi$21;
              elem$1$3_$_lo$2 = jsx$2_$_lo$2;
              elem$1$3_$_hi$2 = jsx$2_$_hi$2;
              const jsx$3 = elem$1;
              const this$17_$_lo$2 = elem$1$3_$_lo$2;
              const this$17_$_hi$2 = elem$1$3_$_hi$2;
              normA.u[((((jsx$3 - bLength) | 0) + v1) | 0)] = this$17_$_lo$2;
              const this$18_$_lo$2 = elem$1$3_$_lo$2;
              const this$18_$_hi$2 = elem$1$3_$_hi$2;
              const lo$7 = this$18_$_hi$2;
              const jsx$4_$_lo$2 = lo$7;
              const jsx$4_$_hi$2 = 0;
              elem$1$3_$_lo$2 = jsx$4_$_lo$2;
              elem$1$3_$_hi$2 = jsx$4_$_hi$2;
              if ((i$1 === scala$collection$immutable$Range$$lastElement$4)) {
                break
              };
              i$1 = ((1 + i$1) | 0)
            }
          }
        }
      };
      if ((quot !== null)) {
        quot.u[i] = elem$1$1
      };
      elem$1 = (((-1) + elem$1) | 0);
      i = (((-1) + i) | 0)
    };
    return ((divisorShift !== 0) ? ($m_Ljava_math_BitLevel$().shiftRight__AI__I__AI__I__I__Z(normB, bLength, normA, 0, divisorShift), normB) : ($systemArraycopy(normA, 0, normB, 0, bLength), normA))
  };
  divideAndRemainderByInteger__Ljava_math_BigInteger__I__I__Ljava_math_BigInteger$QuotAndRem(bi, divisor, divisorSign) {
    const valDigits = bi.digits$2;
    const valLen = bi.numberLength$2;
    const valSign = bi.sign$2;
    if ((valLen === 1)) {
      const valDigit = valDigits.u[0];
      const n = ((+(valDigit >>> 0)) / (+(divisor >>> 0)));
      const value = ((n | 0) | 0);
      let quo_$_lo$2 = value;
      let quo_$_hi$2 = 0;
      const n$1 = ((+(valDigit >>> 0)) % (+(divisor >>> 0)));
      const value$1 = ((n$1 | 0) | 0);
      let rem_$_lo$2 = value$1;
      let rem_$_hi$2 = 0;
      if ((valSign !== divisorSign)) {
        const this$13_$_lo$2 = quo_$_lo$2;
        const this$13_$_hi$2 = quo_$_hi$2;
        const lo = this$13_$_lo$2;
        const hi$2 = this$13_$_hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$3 = ((lo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi$3;
        quo_$_lo$2 = jsx$1_$_lo$2;
        quo_$_hi$2 = jsx$1_$_hi$2
      };
      if ((valSign < 0)) {
        const this$16_$_lo$2 = rem_$_lo$2;
        const this$16_$_hi$2 = rem_$_hi$2;
        const lo$2 = this$16_$_lo$2;
        const hi$4 = this$16_$_hi$2;
        const lo$3 = ((-lo$2) | 0);
        const hi$5 = ((lo$2 !== 0) ? (~hi$4) : ((-hi$4) | 0));
        const jsx$2_$_lo$2 = lo$3;
        const jsx$2_$_hi$2 = hi$5;
        rem_$_lo$2 = jsx$2_$_lo$2;
        rem_$_hi$2 = jsx$2_$_hi$2
      };
      return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(quo_$_lo$2, quo_$_hi$2)), $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(rem_$_lo$2, rem_$_hi$2)))
    } else {
      const quotientSign = ((valSign === divisorSign) ? 1 : (-1));
      const quotientDigits = $newArrayObject($d_I.getArrayOf(), [valLen]);
      const div = this.divideArrayByInt__AI__AI__I__I__I(quotientDigits, valDigits, valLen, divisor);
      const remainderDigits = $m_s_Array$().apply__I__sc_Seq__AI(div, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]));
      const result0 = new $c_Ljava_math_BigInteger().init___I__I__AI(quotientSign, valLen, quotientDigits);
      const result1 = new $c_Ljava_math_BigInteger().init___I__I__AI(valSign, 1, remainderDigits);
      result0.cutOffLeadingZeroes__V();
      result1.cutOffLeadingZeroes__V();
      return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger(result0, result1)
    }
  };
  multiplyAndSubtract__AI__I__AI__I__I__I(a, start, b, bLen, c) {
    let elem$1 = 0;
    elem$1 = 0;
    let elem$1$1 = 0;
    elem$1$1 = 0;
    const isEmpty$4 = (bLen <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + bLen) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        $m_Ljava_math_Multiplication$();
        const a$1 = b.u[v1];
        const c$1 = elem$1;
        const a0 = (65535 & a$1);
        const a1 = ((a$1 >>> 16) | 0);
        const b0 = (65535 & c);
        const b1 = ((c >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const lo$1 = ((lo + c$1) | 0);
        const hi$6 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + hi$4) | 0) : hi$4);
        const value = a.u[((start + v1) | 0)];
        const lo$2 = ((value - lo$1) | 0);
        const hi$8 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ value)) ? (-1) : 0);
        const value$1 = elem$1$1;
        const hi$9 = (value$1 >> 31);
        const lo$3 = ((lo$2 + value$1) | 0);
        const hi$10 = ((((-2147483648) ^ lo$3) < ((-2147483648) ^ lo$2)) ? ((1 + ((hi$8 + hi$9) | 0)) | 0) : ((hi$8 + hi$9) | 0));
        a.u[((start + v1) | 0)] = lo$3;
        elem$1$1 = hi$10;
        elem$1 = hi$6;
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    const value$2 = a.u[((start + bLen) | 0)];
    const value$3 = elem$1;
    const lo$4 = ((value$2 - value$3) | 0);
    const hi$15 = ((((-2147483648) ^ lo$4) > ((-2147483648) ^ value$2)) ? (-1) : 0);
    const value$4 = elem$1$1;
    const hi$16 = (value$4 >> 31);
    const lo$5 = ((lo$4 + value$4) | 0);
    const hi$17 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + ((hi$15 + hi$16) | 0)) | 0) : ((hi$15 + hi$16) | 0));
    a.u[((start + bLen) | 0)] = lo$5;
    return hi$17
  };
  divideArrayByInt__AI__AI__I__I__I(dest, src, srcLength, divisor) {
    let rem = 0;
    let i = (((-1) + srcLength) | 0);
    while ((i >= 0)) {
      const value = rem;
      const value$1 = src.u[i];
      const this$2 = $m_sjsr_RuntimeLong$();
      const lo = this$2.divideUnsignedImpl__I__I__I__I__I(value$1, value, divisor, 0);
      const hi$3 = this$2.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      const a0 = (65535 & lo);
      const a1 = ((lo >>> 16) | 0);
      const b0 = (65535 & divisor);
      const b1 = ((divisor >>> 16) | 0);
      const a0b0 = $imul(a0, b0);
      const a1b0 = $imul(a1, b0);
      const a0b1 = $imul(a0, b1);
      const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
      const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
      const hi$4 = (((((($imul(hi$3, divisor) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
      const lo$2 = ((value$1 - lo$1) | 0);
      rem = lo$2;
      dest.u[i] = lo;
      i = (((-1) + i) | 0)
    };
    return rem
  };
}
const $d_Ljava_math_Division$ = new $TypeData().initClass({
  Ljava_math_Division$: 0
}, false, "java.math.Division$", {
  Ljava_math_Division$: 1,
  O: 1
});
$c_Ljava_math_Division$.prototype.$classData = $d_Ljava_math_Division$;
let $n_Ljava_math_Division$ = (void 0);
const $m_Ljava_math_Division$ = (function() {
  if ((!$n_Ljava_math_Division$)) {
    $n_Ljava_math_Division$ = new $c_Ljava_math_Division$().init___()
  };
  return $n_Ljava_math_Division$
});
class $c_Ljava_math_Elementary$ extends $c_O {
  init___() {
    return this
  };
  subtract__p1__AI__I__AI__I__AI(a, aSize, b, bSize) {
    const res = $newArrayObject($d_I.getArrayOf(), [aSize]);
    this.subtract__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize);
    return res
  };
  compareArrays__AI__AI__I__I(a, b, size) {
    let i = (((-1) + size) | 0);
    while (((i >= 0) && (a.u[i] === b.u[i]))) {
      i = (((-1) + i) | 0)
    };
    if ((i < 0)) {
      return 0
    } else {
      const value = a.u[i];
      const value$1 = b.u[i];
      if ((((-2147483648) ^ value) < ((-2147483648) ^ value$1))) {
        return (-1)
      } else {
        return 1
      }
    }
  };
  inplaceAdd__AI__I__I__I(a, aSize, addend) {
    let carry = addend;
    let i = 0;
    while (((carry !== 0) && (i < aSize))) {
      const value = carry;
      const value$1 = a.u[i];
      const lo = ((value + value$1) | 0);
      const hi$2 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value)) ? 1 : 0);
      a.u[i] = lo;
      carry = hi$2;
      i = ((1 + i) | 0)
    };
    return carry
  };
  add__p1__AI__I__AI__I__AI(a, aSize, b, bSize) {
    const res = $newArrayObject($d_I.getArrayOf(), [((1 + aSize) | 0)]);
    this.add__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize);
    return res
  };
  add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, op2) {
    const op1Sign = op1.sign$2;
    const op2Sign = op2.sign$2;
    const op1Len = op1.numberLength$2;
    const op2Len = op2.numberLength$2;
    if ((op1Sign === 0)) {
      return op2
    } else if ((op2Sign === 0)) {
      return op1
    } else if ((((op1Len + op2Len) | 0) === 2)) {
      const value = op1.digits$2.u[0];
      const value$1 = op2.digits$2.u[0];
      if ((op1Sign === op2Sign)) {
        const lo = ((value + value$1) | 0);
        const hi$2 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value)) ? 1 : 0);
        return ((hi$2 === 0) ? new $c_Ljava_math_BigInteger().init___I__I(op1Sign, lo) : new $c_Ljava_math_BigInteger().init___I__I__AI(op1Sign, 2, $m_s_Array$().apply__I__sc_Seq__AI(lo, new $c_sjs_js_WrappedArray().init___sjs_js_Array([hi$2]))))
      } else {
        const jsx$3 = $m_Ljava_math_BigInteger$();
        let x_$_lo$2;
        let x_$_hi$2;
        if ((op1Sign < 0)) {
          const lo$1 = ((value$1 - value) | 0);
          const hi$3 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value$1)) ? (-1) : 0);
          const jsx$1_$_lo$2 = lo$1;
          const jsx$1_$_hi$2 = hi$3;
          x_$_lo$2 = jsx$1_$_lo$2;
          x_$_hi$2 = jsx$1_$_hi$2
        } else {
          const lo$2 = ((value - value$1) | 0);
          const hi$4 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ value)) ? (-1) : 0);
          const jsx$2_$_lo$2 = lo$2;
          const jsx$2_$_hi$2 = hi$4;
          x_$_lo$2 = jsx$2_$_lo$2;
          x_$_hi$2 = jsx$2_$_hi$2
        };
        return jsx$3.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2))
      }
    } else {
      let x1_$_$$und1$f;
      let x1_$_$$und2$f;
      if ((op1Sign === op2Sign)) {
        const res$2 = ((op1Len >= op2Len) ? this.add__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len) : this.add__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len));
        const jsx$4_$_$$und1$f = op1Sign;
        const jsx$4_$_$$und2$f = res$2;
        x1_$_$$und1$f = jsx$4_$_$$und1$f;
        x1_$_$$und2$f = jsx$4_$_$$und2$f
      } else {
        const cmp = ((op1Len !== op2Len) ? ((op1Len > op2Len) ? 1 : (-1)) : this.compareArrays__AI__AI__I__I(op1.digits$2, op2.digits$2, op1Len));
        if ((cmp === 0)) {
          return $m_Ljava_math_BigInteger$().ZERO$1
        };
        if ((cmp === 1)) {
          const _2 = this.subtract__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len);
          const jsx$5_$_$$und1$f = op1Sign;
          const jsx$5_$_$$und2$f = _2;
          x1_$_$$und1$f = jsx$5_$_$$und1$f;
          x1_$_$$und2$f = jsx$5_$_$$und2$f
        } else {
          const _2$1 = this.subtract__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len);
          const jsx$6_$_$$und1$f = op2Sign;
          const jsx$6_$_$$und2$f = _2$1;
          x1_$_$$und1$f = jsx$6_$_$$und1$f;
          x1_$_$$und2$f = jsx$6_$_$$und2$f
        }
      };
      const resSign = (x1_$_$$und1$f | 0);
      const resDigits = x1_$_$$und2$f;
      const res$3 = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resDigits.u.length, resDigits);
      res$3.cutOffLeadingZeroes__V();
      return res$3
    }
  };
  subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, op2) {
    const op1Sign = op1.sign$2;
    const op2Sign = op2.sign$2;
    const op1Len = op1.numberLength$2;
    const op2Len = op2.numberLength$2;
    if ((op2Sign === 0)) {
      return op1
    } else if ((op1Sign === 0)) {
      return op2.negate__Ljava_math_BigInteger()
    } else if ((((op1Len + op2Len) | 0) === 2)) {
      const value = op1.digits$2.u[0];
      let a_$_lo$2 = value;
      let a_$_hi$2 = 0;
      const value$1 = op2.digits$2.u[0];
      let b_$_lo$2 = value$1;
      let b_$_hi$2 = 0;
      if ((op1Sign < 0)) {
        const this$1_$_lo$2 = a_$_lo$2;
        const this$1_$_hi$2 = a_$_hi$2;
        const lo = this$1_$_lo$2;
        const hi$2 = this$1_$_hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$3 = ((lo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi$3;
        a_$_lo$2 = jsx$1_$_lo$2;
        a_$_hi$2 = jsx$1_$_hi$2
      };
      if ((op2Sign < 0)) {
        const this$4_$_lo$2 = b_$_lo$2;
        const this$4_$_hi$2 = b_$_hi$2;
        const lo$2 = this$4_$_lo$2;
        const hi$4 = this$4_$_hi$2;
        const lo$3 = ((-lo$2) | 0);
        const hi$5 = ((lo$2 !== 0) ? (~hi$4) : ((-hi$4) | 0));
        const jsx$2_$_lo$2 = lo$3;
        const jsx$2_$_hi$2 = hi$5;
        b_$_lo$2 = jsx$2_$_lo$2;
        b_$_hi$2 = jsx$2_$_hi$2
      };
      const jsx$3 = $m_Ljava_math_BigInteger$();
      const this$7_$_lo$2 = a_$_lo$2;
      const this$7_$_hi$2 = a_$_hi$2;
      const b$1_$_lo$2 = b_$_lo$2;
      const b$1_$_hi$2 = b_$_hi$2;
      const alo = this$7_$_lo$2;
      const ahi = this$7_$_hi$2;
      const bhi = b$1_$_hi$2;
      const lo$4 = ((alo - b$1_$_lo$2) | 0);
      const hi$6 = ((((-2147483648) ^ lo$4) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - bhi) | 0)) | 0) : ((ahi - bhi) | 0));
      return jsx$3.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo$4, hi$6))
    } else {
      const cmp = ((op1Len !== op2Len) ? ((op1Len > op2Len) ? 1 : (-1)) : $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(op1.digits$2, op2.digits$2, op1Len));
      if (((op1Sign === op2Sign) && (cmp === 0))) {
        return $m_Ljava_math_BigInteger$().ZERO$1
      };
      let x1_$_$$und1$f;
      let x1_$_$$und2$f;
      if ((cmp === (-1))) {
        const res = ((op1Sign === op2Sign) ? this.subtract__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len) : this.add__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len));
        const _1 = ((-op2Sign) | 0);
        const jsx$4_$_$$und1$f = _1;
        const jsx$4_$_$$und2$f = res;
        x1_$_$$und1$f = jsx$4_$_$$und1$f;
        x1_$_$$und2$f = jsx$4_$_$$und2$f
      } else if ((op1Sign === op2Sign)) {
        const _2 = this.subtract__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len);
        const jsx$5_$_$$und1$f = op1Sign;
        const jsx$5_$_$$und2$f = _2;
        x1_$_$$und1$f = jsx$5_$_$$und1$f;
        x1_$_$$und2$f = jsx$5_$_$$und2$f
      } else {
        const _2$1 = this.add__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len);
        const jsx$6_$_$$und1$f = op1Sign;
        const jsx$6_$_$$und2$f = _2$1;
        x1_$_$$und1$f = jsx$6_$_$$und1$f;
        x1_$_$$und2$f = jsx$6_$_$$und2$f
      };
      const resSign = (x1_$_$$und1$f | 0);
      const resDigits = x1_$_$$und2$f;
      const res$2 = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resDigits.u.length, resDigits);
      res$2.cutOffLeadingZeroes__V();
      return res$2
    }
  };
  subtract__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize) {
    let i = 0;
    let borrow = 0;
    while ((i < bSize)) {
      const value = a.u[i];
      const value$1 = b.u[i];
      const lo = ((value - value$1) | 0);
      const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (-1) : 0);
      const value$2 = borrow;
      const hi$3 = (value$2 >> 31);
      const lo$1 = ((lo + value$2) | 0);
      const hi$4 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + ((hi$2 + hi$3) | 0)) | 0) : ((hi$2 + hi$3) | 0));
      res.u[i] = lo$1;
      borrow = hi$4;
      i = ((1 + i) | 0)
    };
    while ((i < aSize)) {
      const value$3 = a.u[i];
      const value$4 = borrow;
      const hi$7 = (value$4 >> 31);
      const lo$2 = ((value$3 + value$4) | 0);
      const hi$8 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ value$3)) ? ((1 + hi$7) | 0) : hi$7);
      res.u[i] = lo$2;
      borrow = hi$8;
      i = ((1 + i) | 0)
    }
  };
  add__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize) {
    let i = 1;
    const value = a.u[0];
    const value$1 = b.u[0];
    const lo = ((value + value$1) | 0);
    const hi$2 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value)) ? 1 : 0);
    res.u[0] = lo;
    let carry = hi$2;
    if ((aSize >= bSize)) {
      while ((i < bSize)) {
        const value$2 = a.u[i];
        const value$3 = b.u[i];
        const lo$1 = ((value$2 + value$3) | 0);
        const hi$6 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ value$2)) ? 1 : 0);
        const value$4 = carry;
        const lo$2 = ((lo$1 + value$4) | 0);
        const hi$8 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + hi$6) | 0) : hi$6);
        res.u[i] = lo$2;
        carry = hi$8;
        i = ((1 + i) | 0)
      };
      while ((i < aSize)) {
        const value$5 = a.u[i];
        const value$6 = carry;
        const lo$3 = ((value$5 + value$6) | 0);
        const hi$12 = ((((-2147483648) ^ lo$3) < ((-2147483648) ^ value$5)) ? 1 : 0);
        res.u[i] = lo$3;
        carry = hi$12;
        i = ((1 + i) | 0)
      }
    } else {
      while ((i < aSize)) {
        const value$7 = a.u[i];
        const value$8 = b.u[i];
        const lo$4 = ((value$7 + value$8) | 0);
        const hi$16 = ((((-2147483648) ^ lo$4) < ((-2147483648) ^ value$7)) ? 1 : 0);
        const value$9 = carry;
        const lo$5 = ((lo$4 + value$9) | 0);
        const hi$18 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + hi$16) | 0) : hi$16);
        res.u[i] = lo$5;
        carry = hi$18;
        i = ((1 + i) | 0)
      };
      while ((i < bSize)) {
        const value$10 = b.u[i];
        const value$11 = carry;
        const lo$6 = ((value$10 + value$11) | 0);
        const hi$22 = ((((-2147483648) ^ lo$6) < ((-2147483648) ^ value$10)) ? 1 : 0);
        res.u[i] = lo$6;
        carry = hi$22;
        i = ((1 + i) | 0)
      }
    };
    if ((carry !== 0)) {
      res.u[i] = carry
    }
  };
}
const $d_Ljava_math_Elementary$ = new $TypeData().initClass({
  Ljava_math_Elementary$: 0
}, false, "java.math.Elementary$", {
  Ljava_math_Elementary$: 1,
  O: 1
});
$c_Ljava_math_Elementary$.prototype.$classData = $d_Ljava_math_Elementary$;
let $n_Ljava_math_Elementary$ = (void 0);
const $m_Ljava_math_Elementary$ = (function() {
  if ((!$n_Ljava_math_Elementary$)) {
    $n_Ljava_math_Elementary$ = new $c_Ljava_math_Elementary$().init___()
  };
  return $n_Ljava_math_Elementary$
});
class $c_Ljava_math_MathContext extends $c_O {
  constructor() {
    super();
    this.precision$1 = 0;
    this.roundingMode$1 = null
  };
  equals__O__Z(x) {
    if ($is_Ljava_math_MathContext(x)) {
      const x2 = x;
      if ((this.precision$1 === x2.precision$1)) {
        const x$2 = this.roundingMode$1;
        const x$3 = x2.roundingMode$1;
        return (x$2 === x$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  toString__T() {
    return ((("precision=" + this.precision$1) + " roundingMode=") + this.roundingMode$1)
  };
  init___I__Ljava_math_RoundingMode(setPrecision, setRoundingMode) {
    this.precision$1 = setPrecision;
    this.roundingMode$1 = setRoundingMode;
    return this
  };
  hashCode__I() {
    return ((this.precision$1 << 3) | this.roundingMode$1.$$undordinal$1)
  };
}
const $is_Ljava_math_MathContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_math_MathContext)))
});
const $isArrayOf_Ljava_math_MathContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_math_MathContext)))
});
const $d_Ljava_math_MathContext = new $TypeData().initClass({
  Ljava_math_MathContext: 0
}, false, "java.math.MathContext", {
  Ljava_math_MathContext: 1,
  O: 1
});
$c_Ljava_math_MathContext.prototype.$classData = $d_Ljava_math_MathContext;
class $c_Ljava_math_MathContext$ extends $c_O {
  constructor() {
    super();
    this.DECIMAL128$1 = null;
    this.DECIMAL32$1 = null;
    this.DECIMAL64$1 = null;
    this.UNLIMITED$1 = null
  };
  init___() {
    $n_Ljava_math_MathContext$ = this;
    $m_Ljava_math_MathContext$();
    const roundingMode = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
    this.DECIMAL128$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(34, roundingMode);
    $m_Ljava_math_MathContext$();
    const roundingMode$1 = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
    this.DECIMAL32$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(7, roundingMode$1);
    $m_Ljava_math_MathContext$();
    const roundingMode$2 = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
    this.DECIMAL64$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(16, roundingMode$2);
    $m_Ljava_math_MathContext$();
    const roundingMode$3 = $m_Ljava_math_RoundingMode$().HALF$undUP$1;
    this.UNLIMITED$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(0, roundingMode$3);
    return this
  };
}
const $d_Ljava_math_MathContext$ = new $TypeData().initClass({
  Ljava_math_MathContext$: 0
}, false, "java.math.MathContext$", {
  Ljava_math_MathContext$: 1,
  O: 1
});
$c_Ljava_math_MathContext$.prototype.$classData = $d_Ljava_math_MathContext$;
let $n_Ljava_math_MathContext$ = (void 0);
const $m_Ljava_math_MathContext$ = (function() {
  if ((!$n_Ljava_math_MathContext$)) {
    $n_Ljava_math_MathContext$ = new $c_Ljava_math_MathContext$().init___()
  };
  return $n_Ljava_math_MathContext$
});
class $c_Ljava_math_Multiplication$ extends $c_O {
  constructor() {
    super();
    this.TenPows$1 = null;
    this.FivePows$1 = null;
    this.BigTenPows$1 = null;
    this.BigFivePows$1 = null
  };
  multiplyPAP__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(a, b) {
    const aLen = a.numberLength$2;
    const bLen = b.numberLength$2;
    const resLength = ((aLen + bLen) | 0);
    const resSign = ((a.sign$2 !== b.sign$2) ? (-1) : 1);
    if ((resLength === 2)) {
      const a$1 = a.digits$2.u[0];
      const b$1 = b.digits$2.u[0];
      const a0 = (65535 & a$1);
      const a1 = ((a$1 >>> 16) | 0);
      const b0 = (65535 & b$1);
      const b1 = ((b$1 >>> 16) | 0);
      const a0b0 = $imul(a0, b0);
      const a1b0 = $imul(a1, b0);
      const a0b1 = $imul(a0, b1);
      const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
      const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
      const hi$2 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
      return ((hi$2 === 0) ? new $c_Ljava_math_BigInteger().init___I__I(resSign, lo) : new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, 2, $m_s_Array$().apply__I__sc_Seq__AI(lo, new $c_sjs_js_WrappedArray().init___sjs_js_Array([hi$2]))))
    } else {
      const aDigits = a.digits$2;
      const bDigits = b.digits$2;
      const resDigits = $newArrayObject($d_I.getArrayOf(), [resLength]);
      this.multArraysPAP__AI__I__AI__I__AI__V(aDigits, aLen, bDigits, bLen, resDigits);
      const result = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resLength, resDigits);
      result.cutOffLeadingZeroes__V();
      return result
    }
  };
  init___() {
    $n_Ljava_math_Multiplication$ = this;
    this.TenPows$1 = this.newArrayOfPows__p1__I__I__AI(10, 10);
    this.FivePows$1 = this.newArrayOfPows__p1__I__I__AI(14, 5);
    this.BigTenPows$1 = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [32]);
    this.BigFivePows$1 = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [32]);
    this.initialiseArrays__p1__V();
    return this
  };
  square__AI__I__AI__AI(a, aLen, res) {
    let elem$1 = 0;
    elem$1 = 0;
    const isEmpty$4 = (aLen <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + aLen) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        elem$1 = 0;
        const x = ((1 + v1) | 0);
        const isEmpty$4$1 = (x >= aLen);
        const scala$collection$immutable$Range$$lastElement$4$1 = (((-1) + aLen) | 0);
        if ((!isEmpty$4$1)) {
          let i$1 = x;
          while (true) {
            const v1$1 = i$1;
            const a$1 = a.u[v1];
            const b = a.u[v1$1];
            const c = res.u[((v1 + v1$1) | 0)];
            const d = elem$1;
            const a0 = (65535 & a$1);
            const a1 = ((a$1 >>> 16) | 0);
            const b0 = (65535 & b);
            const b1 = ((b >>> 16) | 0);
            const a0b0 = $imul(a0, b0);
            const a1b0 = $imul(a1, b0);
            const a0b1 = $imul(a0, b1);
            const lo$4 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
            const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
            const hi$13 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
            const lo$5 = ((lo$4 + c) | 0);
            const hi$15 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + hi$13) | 0) : hi$13);
            const lo$6 = ((lo$5 + d) | 0);
            const hi$17 = ((((-2147483648) ^ lo$6) < ((-2147483648) ^ lo$5)) ? ((1 + hi$15) | 0) : hi$15);
            res.u[((v1 + v1$1) | 0)] = lo$6;
            elem$1 = hi$17;
            if ((i$1 === scala$collection$immutable$Range$$lastElement$4$1)) {
              break
            };
            i$1 = ((1 + i$1) | 0)
          }
        };
        res.u[((v1 + aLen) | 0)] = elem$1;
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    $m_Ljava_math_BitLevel$().shiftLeftOneBit__AI__AI__I__V(res, res, (aLen << 1));
    elem$1 = 0;
    let i$3 = 0;
    let index = 0;
    while ((i$3 < aLen)) {
      const a$2 = a.u[i$3];
      const b$1 = a.u[i$3];
      const c$1 = res.u[index];
      const d$1 = elem$1;
      const a0$1 = (65535 & a$2);
      const a1$1 = ((a$2 >>> 16) | 0);
      const b0$1 = (65535 & b$1);
      const b1$1 = ((b$1 >>> 16) | 0);
      const a0b0$1 = $imul(a0$1, b0$1);
      const a1b0$1 = $imul(a1$1, b0$1);
      const a0b1$1 = $imul(a0$1, b1$1);
      const lo$7 = ((a0b0$1 + (((a1b0$1 + a0b1$1) | 0) << 16)) | 0);
      const c1part$1 = ((((a0b0$1 >>> 16) | 0) + a0b1$1) | 0);
      const hi$20 = (((($imul(a1$1, b1$1) + ((c1part$1 >>> 16) | 0)) | 0) + (((((65535 & c1part$1) + a1b0$1) | 0) >>> 16) | 0)) | 0);
      const lo$8 = ((lo$7 + c$1) | 0);
      const hi$22 = ((((-2147483648) ^ lo$8) < ((-2147483648) ^ lo$7)) ? ((1 + hi$20) | 0) : hi$20);
      const lo$9 = ((lo$8 + d$1) | 0);
      const hi$24 = ((((-2147483648) ^ lo$9) < ((-2147483648) ^ lo$8)) ? ((1 + hi$22) | 0) : hi$22);
      res.u[index] = lo$9;
      index = ((1 + index) | 0);
      const value$1 = res.u[index];
      const lo$10 = ((hi$24 + value$1) | 0);
      const hi$26 = ((((-2147483648) ^ lo$10) < ((-2147483648) ^ hi$24)) ? 1 : 0);
      res.u[index] = lo$10;
      elem$1 = hi$26;
      i$3 = ((1 + i$3) | 0);
      index = ((1 + index) | 0)
    };
    return res
  };
  pow__Ljava_math_BigInteger__I__Ljava_math_BigInteger(base, exponent) {
    let exp = exponent;
    let res = $m_Ljava_math_BigInteger$().ONE$1;
    let acc = base;
    _loop: while (true) {
      if ((exp > 1)) {
        const res2 = (((1 & exp) !== 0) ? res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(acc) : res);
        let acc2;
        if ((acc.numberLength$2 === 1)) {
          acc2 = acc.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(acc)
        } else {
          const a = $newArrayObject($d_I.getArrayOf(), [(acc.numberLength$2 << 1)]);
          const sq = this.square__AI__I__AI__AI(acc.digits$2, acc.numberLength$2, a);
          acc2 = new $c_Ljava_math_BigInteger().init___I__AI(1, sq)
        };
        const temp$exp = (exp >> 1);
        exp = temp$exp;
        res = res2;
        acc = acc2;
        continue _loop
      } else {
        return res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(acc)
      }
    }
  };
  multPAP__p1__AI__AI__AI__I__I__V(a, b, t, aLen, bLen) {
    if (((a === b) && (aLen === bLen))) {
      this.square__AI__I__AI__AI(a, aLen, t)
    } else {
      const isEmpty$4 = (aLen <= 0);
      const scala$collection$immutable$Range$$lastElement$4 = (((-1) + aLen) | 0);
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const v1 = i;
          let elem$1 = 0;
          elem$1 = 0;
          const aI = a.u[v1];
          const isEmpty$4$1 = (bLen <= 0);
          const scala$collection$immutable$Range$$lastElement$4$1 = (((-1) + bLen) | 0);
          if ((!isEmpty$4$1)) {
            let i$1 = 0;
            while (true) {
              const v1$1 = i$1;
              const b$1 = b.u[v1$1];
              const c = t.u[((v1 + v1$1) | 0)];
              const d = elem$1;
              const a0 = (65535 & aI);
              const a1 = ((aI >>> 16) | 0);
              const b0 = (65535 & b$1);
              const b1 = ((b$1 >>> 16) | 0);
              const a0b0 = $imul(a0, b0);
              const a1b0 = $imul(a1, b0);
              const a0b1 = $imul(a0, b1);
              const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
              const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
              const hi$6 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
              const lo$1 = ((lo + c) | 0);
              const hi$8 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + hi$6) | 0) : hi$6);
              const lo$2 = ((lo$1 + d) | 0);
              const hi$10 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + hi$8) | 0) : hi$8);
              t.u[((v1 + v1$1) | 0)] = lo$2;
              elem$1 = hi$10;
              if ((i$1 === scala$collection$immutable$Range$$lastElement$4$1)) {
                break
              };
              i$1 = ((1 + i$1) | 0)
            }
          };
          t.u[((v1 + bLen) | 0)] = elem$1;
          if ((i === scala$collection$immutable$Range$$lastElement$4)) {
            break
          };
          i = ((1 + i) | 0)
        }
      }
    }
  };
  initialiseArrays__p1__V() {
    let elem$1_$_lo$2 = 0;
    let elem$1_$_hi$2 = 0;
    const jsx$1_$_lo$2 = 1;
    const jsx$1_$_hi$2 = 0;
    elem$1_$_lo$2 = jsx$1_$_lo$2;
    elem$1_$_hi$2 = jsx$1_$_hi$2;
    let i = 0;
    while (true) {
      const v1 = i;
      if ((v1 <= 18)) {
        this.BigFivePows$1.u[v1] = $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(elem$1_$_lo$2, elem$1_$_hi$2));
        const jsx$3 = this.BigTenPows$1;
        const jsx$2 = $m_Ljava_math_BigInteger$();
        const this$5_$_lo$2 = elem$1_$_lo$2;
        const this$5_$_hi$2 = elem$1_$_hi$2;
        const lo = (((32 & v1) === 0) ? (this$5_$_lo$2 << v1) : 0);
        const hi = (((32 & v1) === 0) ? (((((this$5_$_lo$2 >>> 1) | 0) >>> ((31 - v1) | 0)) | 0) | (this$5_$_hi$2 << v1)) : (this$5_$_lo$2 << v1));
        jsx$3.u[v1] = jsx$2.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
        const b_$_lo$2 = elem$1_$_lo$2;
        const b_$_hi$2 = elem$1_$_hi$2;
        const blo = b_$_lo$2;
        const b0 = (65535 & blo);
        const b1 = ((blo >>> 16) | 0);
        const a0b0 = $imul(5, b0);
        const a0b1 = $imul(5, b1);
        const lo$1 = ((a0b0 + (a0b1 << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$1 = (($imul(5, b_$_hi$2) + ((c1part >>> 16) | 0)) | 0);
        const jsx$4_$_lo$2 = lo$1;
        const jsx$4_$_hi$2 = hi$1;
        elem$1_$_lo$2 = jsx$4_$_lo$2;
        elem$1_$_hi$2 = jsx$4_$_hi$2
      } else {
        this.BigFivePows$1.u[v1] = this.BigFivePows$1.u[(((-1) + v1) | 0)].multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(this.BigFivePows$1.u[1]);
        this.BigTenPows$1.u[v1] = this.BigTenPows$1.u[(((-1) + v1) | 0)].multiply__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().TEN$1)
      };
      if ((i === 31)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  newArrayOfPows__p1__I__I__AI(len, pow) {
    const xs = $newArrayObject($d_I.getArrayOf(), [(((-1) + len) | 0)]);
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let elem$1 = null;
    elem$1 = 1;
    const elem = elem$1;
    const unboxedElem = ((elem === null) ? 0 : elem);
    elems$2.push(unboxedElem);
    let i = 0;
    const len$1 = xs.u.length;
    while ((i < len$1)) {
      const idx = i;
      const arg1 = xs.u[idx];
      const arg1$1 = elem$1;
      const z = (arg1$1 | 0);
      elem$1 = $imul(z, pow);
      const elem$2 = elem$1;
      const unboxedElem$1 = ((elem$2 === null) ? 0 : elem$2);
      elems$2.push(unboxedElem$1);
      i = ((1 + i) | 0)
    };
    return $makeNativeArrayWrapper($d_I.getArrayOf(), elems$2)
  };
  karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(val1, val2) {
    let x1_$_$$und1$f;
    let x1_$_$$und2$f;
    if ((val2.numberLength$2 > val1.numberLength$2)) {
      const jsx$1_$_$$und1$f = val2;
      const jsx$1_$_$$und2$f = val1;
      x1_$_$$und1$f = jsx$1_$_$$und1$f;
      x1_$_$$und2$f = jsx$1_$_$$und2$f
    } else {
      const jsx$2_$_$$und1$f = val1;
      const jsx$2_$_$$und2$f = val2;
      x1_$_$$und1$f = jsx$2_$_$$und1$f;
      x1_$_$$und2$f = jsx$2_$_$$und2$f
    };
    const op1 = x1_$_$$und1$f;
    const op2 = x1_$_$$und2$f;
    if ((op2.numberLength$2 < 63)) {
      return this.multiplyPAP__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, op2)
    } else {
      const ndiv2 = (((-2) & op1.numberLength$2) << 4);
      const upperOp1 = op1.shiftRight__I__Ljava_math_BigInteger(ndiv2);
      const upperOp2 = op2.shiftRight__I__Ljava_math_BigInteger(ndiv2);
      const bi = upperOp1.shiftLeft__I__Ljava_math_BigInteger(ndiv2);
      const lowerOp1 = $m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, bi);
      const bi$1 = upperOp2.shiftLeft__I__Ljava_math_BigInteger(ndiv2);
      const lowerOp2 = $m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op2, bi$1);
      let upper = this.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(upperOp1, upperOp2);
      const lower = this.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(lowerOp1, lowerOp2);
      let middle = this.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(upperOp1, lowerOp1), $m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(lowerOp2, upperOp2));
      const this$1 = middle;
      const bi$2 = upper;
      const this$2 = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$1, bi$2);
      middle = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$2, lower);
      middle = middle.shiftLeft__I__Ljava_math_BigInteger(ndiv2);
      upper = upper.shiftLeft__I__Ljava_math_BigInteger((ndiv2 << 1));
      const this$3 = upper;
      const bi$3 = middle;
      const this$4 = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$3, bi$3);
      return $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$4, lower)
    }
  };
  multiplyByInt__p1__AI__AI__I__I__I(res, a, aSize, factor) {
    let elem$1 = 0;
    elem$1 = 0;
    const isEmpty$4 = (aSize <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + aSize) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        const a$1 = a.u[v1];
        const c = elem$1;
        const a0 = (65535 & a$1);
        const a1 = ((a$1 >>> 16) | 0);
        const b0 = (65535 & factor);
        const b1 = ((factor >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const lo$1 = ((lo + c) | 0);
        const hi$6 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + hi$4) | 0) : hi$4);
        res.u[v1] = lo$1;
        elem$1 = hi$6;
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return elem$1
  };
  multArraysPAP__AI__I__AI__I__AI__V(aDigits, aLen, bDigits, bLen, resDigits) {
    if ((!((aLen === 0) || (bLen === 0)))) {
      if ((aLen === 1)) {
        resDigits.u[bLen] = this.multiplyByInt__p1__AI__AI__I__I__I(resDigits, bDigits, bLen, aDigits.u[0])
      } else if ((bLen === 1)) {
        resDigits.u[aLen] = this.multiplyByInt__p1__AI__AI__I__I__I(resDigits, aDigits, aLen, bDigits.u[0])
      } else {
        this.multPAP__p1__AI__AI__AI__I__I__V(aDigits, bDigits, resDigits, aLen, bLen)
      }
    }
  };
  powerOf10__J__Ljava_math_BigInteger(exp) {
    const value = this.BigTenPows$1.u.length;
    const hi = (value >> 31);
    const ahi = exp.hi$2;
    if (((ahi === hi) ? (((-2147483648) ^ exp.lo$2) < ((-2147483648) ^ value)) : (ahi < hi))) {
      return this.BigTenPows$1.u[exp.lo$2]
    } else {
      const ahi$1 = exp.hi$2;
      if (((ahi$1 === 0) ? (((-2147483648) ^ exp.lo$2) <= (-2147483598)) : (ahi$1 < 0))) {
        return $m_Ljava_math_BigInteger$().TEN$1.pow__I__Ljava_math_BigInteger(exp.lo$2)
      } else {
        const ahi$2 = exp.hi$2;
        if (((ahi$2 === 0) ? (((-2147483648) ^ exp.lo$2) <= (-1)) : (ahi$2 < 0))) {
          return this.BigFivePows$1.u[1].pow__I__Ljava_math_BigInteger(exp.lo$2).shiftLeft__I__Ljava_math_BigInteger(exp.lo$2)
        } else {
          const powerOfFive = this.BigFivePows$1.u[1].pow__I__Ljava_math_BigInteger(2147483647);
          let res = powerOfFive;
          const bhi = exp.hi$2;
          const lo = (((-2147483647) + exp.lo$2) | 0);
          const hi$1 = ((((-2147483648) ^ lo) < 1) ? bhi : (((-1) + bhi) | 0));
          let longExp_$_lo$2 = lo;
          let longExp_$_hi$2 = hi$1;
          const this$2 = $m_sjsr_RuntimeLong$();
          const lo$1 = this$2.remainderImpl__I__I__I__I__I(exp.lo$2, exp.hi$2, 2147483647, 0);
          while (true) {
            const this$3_$_lo$2 = longExp_$_lo$2;
            const this$3_$_hi$2 = longExp_$_hi$2;
            const ahi$3 = this$3_$_hi$2;
            if (((ahi$3 === 0) ? (((-2147483648) ^ this$3_$_lo$2) > (-1)) : (ahi$3 > 0))) {
              res = res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(powerOfFive);
              const b_$_lo$2 = longExp_$_lo$2;
              const b_$_hi$2 = longExp_$_hi$2;
              const bhi$1 = b_$_hi$2;
              const lo$2 = (((-2147483647) + b_$_lo$2) | 0);
              const hi$3 = ((((-2147483648) ^ lo$2) < 1) ? bhi$1 : (((-1) + bhi$1) | 0));
              const jsx$1_$_lo$2 = lo$2;
              const jsx$1_$_hi$2 = hi$3;
              longExp_$_lo$2 = jsx$1_$_lo$2;
              longExp_$_hi$2 = jsx$1_$_hi$2
            } else {
              break
            }
          };
          res = res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(this.BigFivePows$1.u[1].pow__I__Ljava_math_BigInteger(lo$1));
          res = res.shiftLeft__I__Ljava_math_BigInteger(2147483647);
          const bhi$2 = exp.hi$2;
          const lo$3 = (((-2147483647) + exp.lo$2) | 0);
          const hi$4 = ((((-2147483648) ^ lo$3) < 1) ? bhi$2 : (((-1) + bhi$2) | 0));
          const jsx$2_$_lo$2 = lo$3;
          const jsx$2_$_hi$2 = hi$4;
          longExp_$_lo$2 = jsx$2_$_lo$2;
          longExp_$_hi$2 = jsx$2_$_hi$2;
          while (true) {
            const this$6_$_lo$2 = longExp_$_lo$2;
            const this$6_$_hi$2 = longExp_$_hi$2;
            const ahi$4 = this$6_$_hi$2;
            if (((ahi$4 === 0) ? (((-2147483648) ^ this$6_$_lo$2) > (-1)) : (ahi$4 > 0))) {
              res = res.shiftLeft__I__Ljava_math_BigInteger(2147483647);
              const b$1_$_lo$2 = longExp_$_lo$2;
              const b$1_$_hi$2 = longExp_$_hi$2;
              const bhi$3 = b$1_$_hi$2;
              const lo$4 = (((-2147483647) + b$1_$_lo$2) | 0);
              const hi$5 = ((((-2147483648) ^ lo$4) < 1) ? bhi$3 : (((-1) + bhi$3) | 0));
              const jsx$3_$_lo$2 = lo$4;
              const jsx$3_$_hi$2 = hi$5;
              longExp_$_lo$2 = jsx$3_$_lo$2;
              longExp_$_hi$2 = jsx$3_$_hi$2
            } else {
              break
            }
          };
          return res.shiftLeft__I__Ljava_math_BigInteger(lo$1)
        }
      }
    }
  };
}
const $d_Ljava_math_Multiplication$ = new $TypeData().initClass({
  Ljava_math_Multiplication$: 0
}, false, "java.math.Multiplication$", {
  Ljava_math_Multiplication$: 1,
  O: 1
});
$c_Ljava_math_Multiplication$.prototype.$classData = $d_Ljava_math_Multiplication$;
let $n_Ljava_math_Multiplication$ = (void 0);
const $m_Ljava_math_Multiplication$ = (function() {
  if ((!$n_Ljava_math_Multiplication$)) {
    $n_Ljava_math_Multiplication$ = new $c_Ljava_math_Multiplication$().init___()
  };
  return $n_Ljava_math_Multiplication$
});
class $c_Ljava_net_URLDecoder$ extends $c_O {
  init___() {
    return this
  };
  charset$2__p1__T__sr_LazyRef__Ljava_nio_charset_Charset(enc$1, charset$lzy$1) {
    return (charset$lzy$1.$$undinitialized$1 ? charset$lzy$1.$$undvalue$1 : this.charset$lzycompute$1__p1__T__sr_LazyRef__Ljava_nio_charset_Charset(enc$1, charset$lzy$1))
  };
  byteBuffer$1__p1__I__sr_LazyRef__Ljava_nio_ByteBuffer(len$1, byteBuffer$lzy$1) {
    return (byteBuffer$lzy$1.$$undinitialized$1 ? byteBuffer$lzy$1.$$undvalue$1 : this.byteBuffer$lzycompute$1__p1__I__sr_LazyRef__Ljava_nio_ByteBuffer(len$1, byteBuffer$lzy$1))
  };
  byteBuffer$lzycompute$1__p1__I__sr_LazyRef__Ljava_nio_ByteBuffer(len$1, byteBuffer$lzy$1) {
    if ((byteBuffer$lzy$1 === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    return (byteBuffer$lzy$1.$$undinitialized$1 ? byteBuffer$lzy$1.$$undvalue$1 : byteBuffer$lzy$1.initialize__O__O($m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(((len$1 / 3) | 0))))
  };
  charset$lzycompute$1__p1__T__sr_LazyRef__Ljava_nio_charset_Charset(enc$1, charset$lzy$1) {
    if ((charset$lzy$1 === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    if (charset$lzy$1.$$undinitialized$1) {
      return charset$lzy$1.$$undvalue$1
    } else {
      if ((!$m_Ljava_nio_charset_Charset$().isSupported__T__Z(enc$1))) {
        throw new $c_Ljava_io_UnsupportedEncodingException().init___T(enc$1)
      };
      return charset$lzy$1.initialize__O__O($m_Ljava_nio_charset_Charset$().forName__T__Ljava_nio_charset_Charset(enc$1))
    }
  };
  decode__T__T__T(s, enc) {
    const charset$lzy = new $c_sr_LazyRef().init___();
    const charsetDecoder$lzy = new $c_sr_LazyRef().init___();
    const byteBuffer$lzy = new $c_sr_LazyRef().init___();
    const len = (s.length | 0);
    const charBuffer = $m_Ljava_nio_CharBuffer$().allocate__I__Ljava_nio_CharBuffer(len);
    let i = 0;
    while ((i < len)) {
      const index = i;
      const x1 = (65535 & (s.charCodeAt(index) | 0));
      switch (x1) {
        case 43: {
          charBuffer.put__C__Ljava_nio_CharBuffer(32);
          i = ((1 + i) | 0);
          break
        }
        case 37: {
          if ((((3 + i) | 0) > len)) {
            this.throwIllegalHex$1__p1__sr_Nothing$()
          } else {
            const decoder = (charsetDecoder$lzy.$$undinitialized$1 ? charsetDecoder$lzy.$$undvalue$1 : (charsetDecoder$lzy.$$undinitialized$1 ? charsetDecoder$lzy.$$undvalue$1 : charsetDecoder$lzy.initialize__O__O(this.charset$2__p1__T__sr_LazyRef__Ljava_nio_charset_Charset(enc, charset$lzy).newDecoder__Ljava_nio_charset_CharsetDecoder())));
            const buffer = this.byteBuffer$1__p1__I__sr_LazyRef__Ljava_nio_ByteBuffer(len, byteBuffer$lzy);
            buffer.clear__Ljava_nio_Buffer();
            decoder.reset__Ljava_nio_charset_CharsetDecoder();
            while (true) {
              let jsx$1;
              if ((((3 + i) | 0) <= len)) {
                const index$1 = i;
                jsx$1 = ((65535 & (s.charCodeAt(index$1) | 0)) === 37)
              } else {
                jsx$1 = false
              };
              if (jsx$1) {
                const jsx$2 = $m_jl_Character$();
                const index$2 = ((1 + i) | 0);
                const c1 = jsx$2.digit__C__I__I((65535 & (s.charCodeAt(index$2) | 0)), 16);
                const jsx$3 = $m_jl_Character$();
                const index$3 = ((2 + i) | 0);
                const c2 = jsx$3.digit__C__I__I((65535 & (s.charCodeAt(index$3) | 0)), 16);
                if (((c1 < 0) || (c2 < 0))) {
                  this.throwIllegalHex$1__p1__sr_Nothing$()
                };
                buffer.put__B__Ljava_nio_ByteBuffer((((((c1 << 4) + c2) | 0) << 24) >> 24));
                i = ((3 + i) | 0)
              } else {
                break
              }
            };
            buffer.flip__Ljava_nio_Buffer();
            const decodeResult = decoder.decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult(buffer, charBuffer, true);
            const flushResult = decoder.flush__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult(charBuffer);
            if ((((decodeResult.java$nio$charset$CoderResult$$kind$f === 2) || (decodeResult.java$nio$charset$CoderResult$$kind$f === 3)) || ((flushResult.java$nio$charset$CoderResult$$kind$f === 2) || (flushResult.java$nio$charset$CoderResult$$kind$f === 3)))) {
              this.throwIllegalHex$1__p1__sr_Nothing$()
            }
          };
          break
        }
        default: {
          charBuffer.put__C__Ljava_nio_CharBuffer(x1);
          i = ((1 + i) | 0)
        }
      }
    };
    charBuffer.flip__Ljava_nio_Buffer();
    return charBuffer.toString__T()
  };
  throwIllegalHex$1__p1__sr_Nothing$() {
    throw new $c_jl_IllegalArgumentException().init___T("URLDecoder: Illegal hex characters in escape (%) pattern")
  };
}
const $d_Ljava_net_URLDecoder$ = new $TypeData().initClass({
  Ljava_net_URLDecoder$: 0
}, false, "java.net.URLDecoder$", {
  Ljava_net_URLDecoder$: 1,
  O: 1
});
$c_Ljava_net_URLDecoder$.prototype.$classData = $d_Ljava_net_URLDecoder$;
let $n_Ljava_net_URLDecoder$ = (void 0);
const $m_Ljava_net_URLDecoder$ = (function() {
  if ((!$n_Ljava_net_URLDecoder$)) {
    $n_Ljava_net_URLDecoder$ = new $c_Ljava_net_URLDecoder$().init___()
  };
  return $n_Ljava_net_URLDecoder$
});
class $c_Ljava_nio_Buffer extends $c_O {
  constructor() {
    super();
    this.$$undcapacity$1 = 0;
    this.$$undlimit$1 = 0;
    this.java$nio$Buffer$$$undposition$1 = 0;
    this.$$undmark$1 = 0
  };
  position__I__Ljava_nio_Buffer(newPosition) {
    if (((newPosition < 0) || (newPosition > this.$$undlimit$1))) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPosition;
    if ((this.$$undmark$1 > newPosition)) {
      this.$$undmark$1 = (-1)
    };
    return this
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "[pos=", " lim=", " cap=", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(this).getName__T(), this.java$nio$Buffer$$$undposition$1, this.$$undlimit$1, this.$$undcapacity$1]))
  };
  flip__Ljava_nio_Buffer() {
    this.$$undmark$1 = (-1);
    this.$$undlimit$1 = this.java$nio$Buffer$$$undposition$1;
    this.java$nio$Buffer$$$undposition$1 = 0;
    return this
  };
  clear__Ljava_nio_Buffer() {
    this.$$undmark$1 = (-1);
    this.java$nio$Buffer$$$undposition$1 = 0;
    this.$$undlimit$1 = this.$$undcapacity$1;
    return this
  };
  limit__I__Ljava_nio_Buffer(newLimit) {
    if (((newLimit < 0) || (newLimit > this.$$undcapacity$1))) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    this.$$undlimit$1 = newLimit;
    if ((this.java$nio$Buffer$$$undposition$1 > newLimit)) {
      this.java$nio$Buffer$$$undposition$1 = newLimit;
      if ((this.$$undmark$1 > newLimit)) {
        this.$$undmark$1 = (-1)
      }
    };
    return this
  };
  init___I(_capacity) {
    this.$$undcapacity$1 = _capacity;
    this.$$undlimit$1 = this.$$undcapacity$1;
    this.java$nio$Buffer$$$undposition$1 = 0;
    this.$$undmark$1 = (-1);
    return this
  };
}
class $c_Ljava_nio_ByteBuffer$ extends $c_O {
  init___() {
    return this
  };
  allocate__I__Ljava_nio_ByteBuffer(capacity) {
    const array = $newArrayObject($d_B.getArrayOf(), [capacity]);
    const length = array.u.length;
    return $m_Ljava_nio_HeapByteBuffer$().wrap__AB__I__I__I__I__Z__Ljava_nio_ByteBuffer(array, 0, array.u.length, 0, length, false)
  };
}
const $d_Ljava_nio_ByteBuffer$ = new $TypeData().initClass({
  Ljava_nio_ByteBuffer$: 0
}, false, "java.nio.ByteBuffer$", {
  Ljava_nio_ByteBuffer$: 1,
  O: 1
});
$c_Ljava_nio_ByteBuffer$.prototype.$classData = $d_Ljava_nio_ByteBuffer$;
let $n_Ljava_nio_ByteBuffer$ = (void 0);
const $m_Ljava_nio_ByteBuffer$ = (function() {
  if ((!$n_Ljava_nio_ByteBuffer$)) {
    $n_Ljava_nio_ByteBuffer$ = new $c_Ljava_nio_ByteBuffer$().init___()
  };
  return $n_Ljava_nio_ByteBuffer$
});
class $c_Ljava_nio_CharBuffer$ extends $c_O {
  init___() {
    return this
  };
  wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(csq, start, end) {
    return $m_Ljava_nio_StringCharBuffer$().wrap__jl_CharSequence__I__I__I__I__Ljava_nio_CharBuffer(csq, 0, $charSequenceLength(csq), start, ((end - start) | 0))
  };
  allocate__I__Ljava_nio_CharBuffer(capacity) {
    const array = $newArrayObject($d_C.getArrayOf(), [capacity]);
    const length = array.u.length;
    const capacity$1 = array.u.length;
    if (((capacity$1 < 0) || (capacity$1 > array.u.length))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    if (((length < 0) || (length > capacity$1))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_HeapCharBuffer().init___I__AC__I__I__I__Z(capacity$1, array, 0, 0, length, false)
  };
}
const $d_Ljava_nio_CharBuffer$ = new $TypeData().initClass({
  Ljava_nio_CharBuffer$: 0
}, false, "java.nio.CharBuffer$", {
  Ljava_nio_CharBuffer$: 1,
  O: 1
});
$c_Ljava_nio_CharBuffer$.prototype.$classData = $d_Ljava_nio_CharBuffer$;
let $n_Ljava_nio_CharBuffer$ = (void 0);
const $m_Ljava_nio_CharBuffer$ = (function() {
  if ((!$n_Ljava_nio_CharBuffer$)) {
    $n_Ljava_nio_CharBuffer$ = new $c_Ljava_nio_CharBuffer$().init___()
  };
  return $n_Ljava_nio_CharBuffer$
});
class $c_Ljava_nio_HeapByteBuffer$ extends $c_O {
  init___() {
    return this
  };
  wrap__AB__I__I__I__I__Z__Ljava_nio_ByteBuffer(array, arrayOffset, capacity, initialPosition, initialLength, isReadOnly) {
    if ((((arrayOffset < 0) || (capacity < 0)) || (((arrayOffset + capacity) | 0) > array.u.length))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const initialLimit = ((initialPosition + initialLength) | 0);
    if ((((initialPosition < 0) || (initialLength < 0)) || (initialLimit > capacity))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_HeapByteBuffer().init___I__AB__I__I__I__Z(capacity, array, arrayOffset, initialPosition, initialLimit, isReadOnly)
  };
}
const $d_Ljava_nio_HeapByteBuffer$ = new $TypeData().initClass({
  Ljava_nio_HeapByteBuffer$: 0
}, false, "java.nio.HeapByteBuffer$", {
  Ljava_nio_HeapByteBuffer$: 1,
  O: 1
});
$c_Ljava_nio_HeapByteBuffer$.prototype.$classData = $d_Ljava_nio_HeapByteBuffer$;
let $n_Ljava_nio_HeapByteBuffer$ = (void 0);
const $m_Ljava_nio_HeapByteBuffer$ = (function() {
  if ((!$n_Ljava_nio_HeapByteBuffer$)) {
    $n_Ljava_nio_HeapByteBuffer$ = new $c_Ljava_nio_HeapByteBuffer$().init___()
  };
  return $n_Ljava_nio_HeapByteBuffer$
});
class $c_Ljava_nio_StringCharBuffer$ extends $c_O {
  init___() {
    return this
  };
  wrap__jl_CharSequence__I__I__I__I__Ljava_nio_CharBuffer(csq, csqOffset, capacity, initialPosition, initialLength) {
    if ((((csqOffset < 0) || (capacity < 0)) || (((csqOffset + capacity) | 0) > $charSequenceLength(csq)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const initialLimit = ((initialPosition + initialLength) | 0);
    if ((((initialPosition < 0) || (initialLength < 0)) || (initialLimit > capacity))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_StringCharBuffer().init___I__jl_CharSequence__I__I__I(capacity, csq, csqOffset, initialPosition, initialLimit)
  };
}
const $d_Ljava_nio_StringCharBuffer$ = new $TypeData().initClass({
  Ljava_nio_StringCharBuffer$: 0
}, false, "java.nio.StringCharBuffer$", {
  Ljava_nio_StringCharBuffer$: 1,
  O: 1
});
$c_Ljava_nio_StringCharBuffer$.prototype.$classData = $d_Ljava_nio_StringCharBuffer$;
let $n_Ljava_nio_StringCharBuffer$ = (void 0);
const $m_Ljava_nio_StringCharBuffer$ = (function() {
  if ((!$n_Ljava_nio_StringCharBuffer$)) {
    $n_Ljava_nio_StringCharBuffer$ = new $c_Ljava_nio_StringCharBuffer$().init___()
  };
  return $n_Ljava_nio_StringCharBuffer$
});
class $c_Ljava_nio_charset_Charset$ extends $c_O {
  constructor() {
    super();
    this.CharsetMap$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    return this
  };
  forName__T__Ljava_nio_charset_Charset(charsetName) {
    const dict = this.CharsetMap__p1__sjs_js_Dictionary();
    const key = charsetName.toLowerCase();
    const x1 = ((!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, key))) ? new $c_s_Some().init___O(dict[key]) : $m_s_None$());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw new $c_Ljava_nio_charset_UnsupportedCharsetException().init___T(charsetName)
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    const x2 = x1;
    const v = x2.value$2;
    return v
  };
  CharsetMap__p1__sjs_js_Dictionary() {
    return ((!this.bitmap$0$1) ? this.CharsetMap$lzycompute__p1__sjs_js_Dictionary() : this.CharsetMap$1)
  };
  CharsetMap$lzycompute__p1__sjs_js_Dictionary() {
    if ((!this.bitmap$0$1)) {
      const m = {};
      $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["iso-8859-1", "iso8859-1", "iso_8859_1", "iso8859_1", "iso_8859-1", "8859_1", "iso_8859-1:1987", "latin1", "csisolatin1", "l1", "ibm-819", "ibm819", "cp819", "819", "iso-ir-100"])).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, m$1) {
        return (function(s$2) {
          const s = s$2;
          m$1[s] = $m_sjs_niocharset_ISO$und8859$und1$()
        })
      })(this, m)));
      $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["us-ascii", "ascii7", "ascii", "csascii", "default", "cp367", "ibm367", "iso646-us", "646", "iso_646.irv:1983", "iso_646.irv:1991", "ansi_x3.4-1986", "ansi_x3.4-1968", "iso-ir-6"])).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, m$2) {
        return (function(s$3$2) {
          const s$3 = s$3$2;
          m$2[s$3] = $m_sjs_niocharset_US$undASCII$()
        })
      })(this, m)));
      $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["utf-8", "utf8", "unicode-1-1-utf-8"])).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, m$3) {
        return (function(s$4$2) {
          const s$4 = s$4$2;
          m$3[s$4] = $m_sjs_niocharset_UTF$und8$()
        })
      })(this, m)));
      $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["utf-16be", "utf_16be", "x-utf-16be", "iso-10646-ucs-2", "unicodebigunmarked"])).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, m$4) {
        return (function(s$5$2) {
          const s$5 = s$5$2;
          m$4[s$5] = $m_sjs_niocharset_UTF$und16BE$()
        })
      })(this, m)));
      $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["utf-16le", "utf_16le", "x-utf-16le", "unicodelittleunmarked"])).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, m$5) {
        return (function(s$6$2) {
          const s$6 = s$6$2;
          m$5[s$6] = $m_sjs_niocharset_UTF$und16LE$()
        })
      })(this, m)));
      $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["utf-16", "utf_16", "unicode", "unicodebig"])).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, m$6) {
        return (function(s$7$2) {
          const s$7 = s$7$2;
          m$6[s$7] = $m_sjs_niocharset_UTF$und16$()
        })
      })(this, m)));
      this.CharsetMap$1 = m;
      this.bitmap$0$1 = true
    };
    return this.CharsetMap$1
  };
  isSupported__T__Z(charsetName) {
    const dict = this.CharsetMap__p1__sjs_js_Dictionary();
    const key = charsetName.toLowerCase();
    return (!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, key)))
  };
}
const $d_Ljava_nio_charset_Charset$ = new $TypeData().initClass({
  Ljava_nio_charset_Charset$: 0
}, false, "java.nio.charset.Charset$", {
  Ljava_nio_charset_Charset$: 1,
  O: 1
});
$c_Ljava_nio_charset_Charset$.prototype.$classData = $d_Ljava_nio_charset_Charset$;
let $n_Ljava_nio_charset_Charset$ = (void 0);
const $m_Ljava_nio_charset_Charset$ = (function() {
  if ((!$n_Ljava_nio_charset_Charset$)) {
    $n_Ljava_nio_charset_Charset$ = new $c_Ljava_nio_charset_Charset$().init___()
  };
  return $n_Ljava_nio_charset_Charset$
});
class $c_Ljava_nio_charset_CharsetDecoder extends $c_O {
  constructor() {
    super();
    this.cs$1 = null;
    this.$$undaverageCharsPerByte$1 = 0.0;
    this.$$undmaxCharsPerByte$1 = 0.0;
    this.$$undreplacement$1 = null;
    this.$$undmalformedInputAction$1 = null;
    this.$$undunmappableCharacterAction$1 = null;
    this.status$1 = 0
  };
  flush__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult(out) {
    const x1 = this.status$1;
    switch (x1) {
      case 3: {
        const result = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        if ((result.java$nio$charset$CoderResult$$kind$f === 0)) {
          this.status$1 = 4
        };
        return result;
        break
      }
      case 4: {
        return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        break
      }
      default: {
        throw new $c_jl_IllegalStateException().init___()
      }
    }
  };
  decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult($in, out, endOfInput) {
    if (((this.status$1 === 4) || ((!endOfInput) && (this.status$1 === 3)))) {
      throw new $c_jl_IllegalStateException().init___()
    };
    this.status$1 = (endOfInput ? 3 : 2);
    _loop: while (true) {
      let result1;
      try {
        result1 = this.decodeLoop__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out)
      } catch (e) {
        if ($is_Ljava_nio_BufferOverflowException(e)) {
          const ex$2 = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex$2)
        } else if ($is_Ljava_nio_BufferUnderflowException(e)) {
          const ex = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex)
        } else {
          throw e
        }
      };
      let result2;
      if ((result1.java$nio$charset$CoderResult$$kind$f === 0)) {
        const remaining = (($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0);
        if ((endOfInput && (remaining > 0))) {
          const this$1 = $m_Ljava_nio_charset_CoderResult$();
          switch (remaining) {
            case 1: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed1$1;
              break
            }
            case 2: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed2$1;
              break
            }
            case 3: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed3$1;
              break
            }
            case 4: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed4$1;
              break
            }
            default: {
              result2 = this$1.java$nio$charset$CoderResult$$malformedForLengthImpl__I__Ljava_nio_charset_CoderResult(remaining)
            }
          }
        } else {
          result2 = result1
        }
      } else {
        result2 = result1
      };
      if (((result2.java$nio$charset$CoderResult$$kind$f === 0) || (result2.java$nio$charset$CoderResult$$kind$f === 1))) {
        return result2
      } else {
        const action = ((result2.java$nio$charset$CoderResult$$kind$f === 3) ? this.$$undunmappableCharacterAction$1 : this.$$undmalformedInputAction$1);
        const x$2 = $m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1;
        if ((x$2 === action)) {
          const jsx$2 = out.$$undlimit$1;
          const jsx$1 = out.java$nio$Buffer$$$undposition$1;
          const thiz = this.$$undreplacement$1;
          if ((((jsx$2 - jsx$1) | 0) < (thiz.length | 0))) {
            return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
          } else {
            out.put__T__Ljava_nio_CharBuffer(this.$$undreplacement$1);
            const jsx$3 = $in.java$nio$Buffer$$$undposition$1;
            const l = result2.java$nio$charset$CoderResult$$$undlength$f;
            if ((l < 0)) {
              throw new $c_jl_UnsupportedOperationException().init___()
            };
            $in.position__I__Ljava_nio_Buffer(((jsx$3 + l) | 0));
            continue _loop
          }
        } else {
          const x$4 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
          if ((x$4 === action)) {
            return result2
          } else {
            const x$6 = $m_Ljava_nio_charset_CodingErrorAction$().IGNORE$1;
            if ((x$6 === action)) {
              const jsx$4 = $in.java$nio$Buffer$$$undposition$1;
              const l$1 = result2.java$nio$charset$CoderResult$$$undlength$f;
              if ((l$1 < 0)) {
                throw new $c_jl_UnsupportedOperationException().init___()
              };
              $in.position__I__Ljava_nio_Buffer(((jsx$4 + l$1) | 0));
              continue _loop
            } else {
              throw new $c_s_MatchError().init___O(action)
            }
          }
        }
      }
    }
  };
  reset__Ljava_nio_charset_CharsetDecoder() {
    this.status$1 = 1;
    this.implReset__V();
    return this
  };
  onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undmalformedInputAction$1 = newAction;
    return this
  };
  onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undunmappableCharacterAction$1 = newAction;
    return this
  };
  init___Ljava_nio_charset_Charset__F__F(cs, _averageCharsPerByte, _maxCharsPerByte) {
    this.cs$1 = cs;
    this.$$undaverageCharsPerByte$1 = _averageCharsPerByte;
    this.$$undmaxCharsPerByte$1 = _maxCharsPerByte;
    this.$$undreplacement$1 = "\ufffd";
    this.$$undmalformedInputAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.$$undunmappableCharacterAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.status$1 = 1;
    return this
  };
  implReset__V() {
    /*<skip>*/
  };
}
const $is_Ljava_nio_charset_CharsetDecoder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_charset_CharsetDecoder)))
});
const $isArrayOf_Ljava_nio_charset_CharsetDecoder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_charset_CharsetDecoder)))
});
class $c_Ljava_nio_charset_CharsetEncoder extends $c_O {
  constructor() {
    super();
    this.cs$1 = null;
    this.$$undaverageBytesPerChar$1 = 0.0;
    this.$$undmaxBytesPerChar$1 = 0.0;
    this.$$undreplacement$1 = null;
    this.$$undmalformedInputAction$1 = null;
    this.$$undunmappableCharacterAction$1 = null;
    this.status$1 = 0
  };
  grow$1__p1__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out) {
    if ((out.$$undcapacity$1 === 0)) {
      return $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(1)
    } else {
      const result = $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer((out.$$undcapacity$1 << 1));
      out.flip__Ljava_nio_Buffer();
      result.put__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out);
      return result
    }
  };
  onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undunmappableCharacterAction$1 = newAction;
    return this
  };
  encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Z__Ljava_nio_charset_CoderResult($in, out, endOfInput) {
    if (((this.status$1 === 3) || ((!endOfInput) && (this.status$1 === 2)))) {
      throw new $c_jl_IllegalStateException().init___()
    };
    this.status$1 = (endOfInput ? 2 : 1);
    _loop: while (true) {
      let result1;
      try {
        result1 = this.encodeLoop__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out)
      } catch (e) {
        if ($is_Ljava_nio_BufferOverflowException(e)) {
          const ex$2 = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex$2)
        } else if ($is_Ljava_nio_BufferUnderflowException(e)) {
          const ex = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex)
        } else {
          throw e
        }
      };
      let result2;
      if ((result1.java$nio$charset$CoderResult$$kind$f === 0)) {
        const remaining = (($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0);
        if ((endOfInput && (remaining > 0))) {
          const this$1 = $m_Ljava_nio_charset_CoderResult$();
          switch (remaining) {
            case 1: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed1$1;
              break
            }
            case 2: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed2$1;
              break
            }
            case 3: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed3$1;
              break
            }
            case 4: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed4$1;
              break
            }
            default: {
              result2 = this$1.java$nio$charset$CoderResult$$malformedForLengthImpl__I__Ljava_nio_charset_CoderResult(remaining)
            }
          }
        } else {
          result2 = result1
        }
      } else {
        result2 = result1
      };
      if (((result2.java$nio$charset$CoderResult$$kind$f === 0) || (result2.java$nio$charset$CoderResult$$kind$f === 1))) {
        return result2
      } else {
        const action = ((result2.java$nio$charset$CoderResult$$kind$f === 3) ? this.$$undunmappableCharacterAction$1 : this.$$undmalformedInputAction$1);
        const x$2 = $m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1;
        if ((x$2 === action)) {
          if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < this.$$undreplacement$1.u.length)) {
            return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
          } else {
            const src = this.$$undreplacement$1;
            out.put__AB__I__I__Ljava_nio_ByteBuffer(src, 0, src.u.length);
            const jsx$1 = $in.java$nio$Buffer$$$undposition$1;
            const l = result2.java$nio$charset$CoderResult$$$undlength$f;
            if ((l < 0)) {
              throw new $c_jl_UnsupportedOperationException().init___()
            };
            $in.position__I__Ljava_nio_Buffer(((jsx$1 + l) | 0));
            continue _loop
          }
        } else {
          const x$4 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
          if ((x$4 === action)) {
            return result2
          } else {
            const x$6 = $m_Ljava_nio_charset_CodingErrorAction$().IGNORE$1;
            if ((x$6 === action)) {
              const jsx$2 = $in.java$nio$Buffer$$$undposition$1;
              const l$1 = result2.java$nio$charset$CoderResult$$$undlength$f;
              if ((l$1 < 0)) {
                throw new $c_jl_UnsupportedOperationException().init___()
              };
              $in.position__I__Ljava_nio_Buffer(((jsx$2 + l$1) | 0));
              continue _loop
            } else {
              throw new $c_s_MatchError().init___O(action)
            }
          }
        }
      }
    }
  };
  flush__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult(out) {
    const x1 = this.status$1;
    switch (x1) {
      case 2: {
        const result = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        if ((result.java$nio$charset$CoderResult$$kind$f === 0)) {
          this.status$1 = 3
        };
        return result;
        break
      }
      case 3: {
        return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        break
      }
      default: {
        throw new $c_jl_IllegalStateException().init___()
      }
    }
  };
  encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer($in) {
    if (((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0) === 0)) {
      return $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(0)
    } else {
      this.reset__Ljava_nio_charset_CharsetEncoder();
      const initLength = $doubleToInt($fround(($fround((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0)) * this.$$undaverageBytesPerChar$1)));
      let out = $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(initLength);
      let out$1;
      _loopEncode: while (true) {
        const result = this.encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Z__Ljava_nio_charset_CoderResult($in, out, true);
        if ((result.java$nio$charset$CoderResult$$kind$f !== 0)) {
          if ((result.java$nio$charset$CoderResult$$kind$f === 1)) {
            out = this.grow$1__p1__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out);
            continue _loopEncode
          };
          result.throwException__V();
          throw new $c_jl_AssertionError().init___O("should not get here")
        };
        $m_s_Predef$().assert__Z__V(($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1));
        out$1 = out;
        break
      };
      let out$2;
      _loopFlush: while (true) {
        const result$1 = this.flush__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult(out$1);
        if ((result$1.java$nio$charset$CoderResult$$kind$f !== 0)) {
          if ((result$1.java$nio$charset$CoderResult$$kind$f === 1)) {
            out$1 = this.grow$1__p1__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out$1);
            continue _loopFlush
          };
          result$1.throwException__V();
          throw new $c_jl_AssertionError().init___O("should not get here")
        };
        out$2 = out$1;
        break
      };
      out$2.flip__Ljava_nio_Buffer();
      return out$2
    }
  };
  init___Ljava_nio_charset_Charset__F__F(cs, _averageBytesPerChar, _maxBytesPerChar) {
    $c_Ljava_nio_charset_CharsetEncoder.prototype.init___Ljava_nio_charset_Charset__F__F__AB.call(this, cs, _averageBytesPerChar, _averageBytesPerChar, $m_s_Array$().apply__B__sc_Seq__AB(63, new $c_sjs_js_WrappedArray().init___sjs_js_Array([])));
    return this
  };
  init___Ljava_nio_charset_Charset__F__F__AB(cs, _averageBytesPerChar, _maxBytesPerChar, _replacement) {
    this.cs$1 = cs;
    this.$$undaverageBytesPerChar$1 = _averageBytesPerChar;
    this.$$undmaxBytesPerChar$1 = _maxBytesPerChar;
    this.$$undreplacement$1 = _replacement;
    this.$$undmalformedInputAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.$$undunmappableCharacterAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.status$1 = 0;
    return this
  };
  implReset__V() {
    /*<skip>*/
  };
  onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undmalformedInputAction$1 = newAction;
    return this
  };
  reset__Ljava_nio_charset_CharsetEncoder() {
    this.status$1 = 0;
    this.implReset__V();
    return this
  };
}
class $c_Ljava_nio_charset_CoderResult extends $c_O {
  constructor() {
    super();
    this.java$nio$charset$CoderResult$$kind$f = 0;
    this.java$nio$charset$CoderResult$$$undlength$f = 0
  };
  init___I__I(kind, _length) {
    this.java$nio$charset$CoderResult$$kind$f = kind;
    this.java$nio$charset$CoderResult$$$undlength$f = _length;
    return this
  };
  throwException__V() {
    const x1 = this.java$nio$charset$CoderResult$$kind$f;
    switch (x1) {
      case 1: {
        throw new $c_Ljava_nio_BufferOverflowException().init___();
        break
      }
      case 0: {
        throw new $c_Ljava_nio_BufferUnderflowException().init___();
        break
      }
      case 2: {
        throw new $c_Ljava_nio_charset_MalformedInputException().init___I(this.java$nio$charset$CoderResult$$$undlength$f);
        break
      }
      case 3: {
        throw new $c_Ljava_nio_charset_UnmappableCharacterException().init___I(this.java$nio$charset$CoderResult$$$undlength$f);
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $is_Ljava_nio_charset_CoderResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_charset_CoderResult)))
});
const $isArrayOf_Ljava_nio_charset_CoderResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_charset_CoderResult)))
});
const $d_Ljava_nio_charset_CoderResult = new $TypeData().initClass({
  Ljava_nio_charset_CoderResult: 0
}, false, "java.nio.charset.CoderResult", {
  Ljava_nio_charset_CoderResult: 1,
  O: 1
});
$c_Ljava_nio_charset_CoderResult.prototype.$classData = $d_Ljava_nio_charset_CoderResult;
class $c_Ljava_nio_charset_CoderResult$ extends $c_O {
  constructor() {
    super();
    this.OVERFLOW$1 = null;
    this.UNDERFLOW$1 = null;
    this.java$nio$charset$CoderResult$$Malformed1$1 = null;
    this.java$nio$charset$CoderResult$$Malformed2$1 = null;
    this.java$nio$charset$CoderResult$$Malformed3$1 = null;
    this.java$nio$charset$CoderResult$$Malformed4$1 = null;
    this.uniqueMalformed$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable1$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable2$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable3$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable4$1 = null;
    this.uniqueUnmappable$1 = null
  };
  init___() {
    $n_Ljava_nio_charset_CoderResult$ = this;
    this.OVERFLOW$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(1, (-1));
    this.UNDERFLOW$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(0, (-1));
    this.java$nio$charset$CoderResult$$Malformed1$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 1);
    this.java$nio$charset$CoderResult$$Malformed2$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 2);
    this.java$nio$charset$CoderResult$$Malformed3$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 3);
    this.java$nio$charset$CoderResult$$Malformed4$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 4);
    this.uniqueMalformed$1 = new $c_scm_HashMap().init___();
    this.java$nio$charset$CoderResult$$Unmappable1$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 1);
    this.java$nio$charset$CoderResult$$Unmappable2$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 2);
    this.java$nio$charset$CoderResult$$Unmappable3$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 3);
    this.java$nio$charset$CoderResult$$Unmappable4$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 4);
    this.uniqueUnmappable$1 = new $c_scm_HashMap().init___();
    return this
  };
  java$nio$charset$CoderResult$$malformedForLengthImpl__I__Ljava_nio_charset_CoderResult(length) {
    return this.uniqueMalformed$1.getOrElseUpdate__O__F0__O(length, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, length$1) {
      return (function() {
        return new $c_Ljava_nio_charset_CoderResult().init___I__I(2, length$1)
      })
    })(this, length)))
  };
}
const $d_Ljava_nio_charset_CoderResult$ = new $TypeData().initClass({
  Ljava_nio_charset_CoderResult$: 0
}, false, "java.nio.charset.CoderResult$", {
  Ljava_nio_charset_CoderResult$: 1,
  O: 1
});
$c_Ljava_nio_charset_CoderResult$.prototype.$classData = $d_Ljava_nio_charset_CoderResult$;
let $n_Ljava_nio_charset_CoderResult$ = (void 0);
const $m_Ljava_nio_charset_CoderResult$ = (function() {
  if ((!$n_Ljava_nio_charset_CoderResult$)) {
    $n_Ljava_nio_charset_CoderResult$ = new $c_Ljava_nio_charset_CoderResult$().init___()
  };
  return $n_Ljava_nio_charset_CoderResult$
});
class $c_Ljava_nio_charset_CodingErrorAction extends $c_O {
  constructor() {
    super();
    this.name$1 = null
  };
  toString__T() {
    return this.name$1
  };
  init___T(name) {
    this.name$1 = name;
    return this
  };
}
const $d_Ljava_nio_charset_CodingErrorAction = new $TypeData().initClass({
  Ljava_nio_charset_CodingErrorAction: 0
}, false, "java.nio.charset.CodingErrorAction", {
  Ljava_nio_charset_CodingErrorAction: 1,
  O: 1
});
$c_Ljava_nio_charset_CodingErrorAction.prototype.$classData = $d_Ljava_nio_charset_CodingErrorAction;
class $c_Ljava_nio_charset_CodingErrorAction$ extends $c_O {
  constructor() {
    super();
    this.IGNORE$1 = null;
    this.REPLACE$1 = null;
    this.REPORT$1 = null
  };
  init___() {
    $n_Ljava_nio_charset_CodingErrorAction$ = this;
    this.IGNORE$1 = new $c_Ljava_nio_charset_CodingErrorAction().init___T("IGNORE");
    this.REPLACE$1 = new $c_Ljava_nio_charset_CodingErrorAction().init___T("REPLACE");
    this.REPORT$1 = new $c_Ljava_nio_charset_CodingErrorAction().init___T("REPORT");
    return this
  };
}
const $d_Ljava_nio_charset_CodingErrorAction$ = new $TypeData().initClass({
  Ljava_nio_charset_CodingErrorAction$: 0
}, false, "java.nio.charset.CodingErrorAction$", {
  Ljava_nio_charset_CodingErrorAction$: 1,
  O: 1
});
$c_Ljava_nio_charset_CodingErrorAction$.prototype.$classData = $d_Ljava_nio_charset_CodingErrorAction$;
let $n_Ljava_nio_charset_CodingErrorAction$ = (void 0);
const $m_Ljava_nio_charset_CodingErrorAction$ = (function() {
  if ((!$n_Ljava_nio_charset_CodingErrorAction$)) {
    $n_Ljava_nio_charset_CodingErrorAction$ = new $c_Ljava_nio_charset_CodingErrorAction$().init___()
  };
  return $n_Ljava_nio_charset_CodingErrorAction$
});
class $c_Lorg_mulesoft_common_core_package$ extends $c_O {
  init___() {
    return this
  };
  org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T(str, from, to, ignoreErrors) {
    const nonLocalReturnKey1 = new $c_O().init___();
    try {
      let elem$1 = 0;
      elem$1 = 0;
      const isEmpty$4 = (from >= to);
      const scala$collection$immutable$Range$$lastElement$4 = (((-1) + to) | 0);
      if ((!isEmpty$4)) {
        let i = from;
        while (true) {
          const v1 = i;
          const n = ((v1 < (str.length | 0)) ? $m_jl_Character$().digit__C__I__I((65535 & (str.charCodeAt(v1) | 0)), 16) : (-1));
          if ((n === (-1))) {
            if (ignoreErrors) {
              const b = (str.length | 0);
              const endIndex = ((to < b) ? to : b);
              throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1, str.substring(v1, endIndex))
            };
            throw new $c_jl_IllegalArgumentException().init___T(("Malformed unicode encoding: " + str))
          };
          elem$1 = ((elem$1 << 4) | n);
          if ((i === scala$collection$immutable$Range$$lastElement$4)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      const this$14 = $m_sjsr_RuntimeString$();
      const value$1 = $m_jl_Character$().toChars__I__AC(elem$1);
      return this$14.newString__AC__I__I__T(value$1, 0, value$1.u.length)
    } catch (e) {
      if ($is_sr_NonLocalReturnControl(e)) {
        const ex = e;
        if ((ex.key$2 === nonLocalReturnKey1)) {
          return ex.value__O()
        } else {
          throw ex
        }
      } else {
        throw e
      }
    }
  };
}
const $d_Lorg_mulesoft_common_core_package$ = new $TypeData().initClass({
  Lorg_mulesoft_common_core_package$: 0
}, false, "org.mulesoft.common.core.package$", {
  Lorg_mulesoft_common_core_package$: 1,
  O: 1
});
$c_Lorg_mulesoft_common_core_package$.prototype.$classData = $d_Lorg_mulesoft_common_core_package$;
let $n_Lorg_mulesoft_common_core_package$ = (void 0);
const $m_Lorg_mulesoft_common_core_package$ = (function() {
  if ((!$n_Lorg_mulesoft_common_core_package$)) {
    $n_Lorg_mulesoft_common_core_package$ = new $c_Lorg_mulesoft_common_core_package$().init___()
  };
  return $n_Lorg_mulesoft_common_core_package$
});
class $c_Lorg_mulesoft_common_core_package$Chars$ extends $c_O {
  init___() {
    return this
  };
  encodeStringChar$extension__C__T($$this) {
    return (($$this === 34) ? "\\\"" : $m_Lorg_mulesoft_common_core_package$Chars$().encodeChar$extension__C__T($$this))
  };
  encodeChar$extension__C__T($$this) {
    if (($$this === 92)) {
      return "\\\\"
    } else if (((($$this >= 32) && ($$this < 127)) || (($$this > 160) && ($$this < 255)))) {
      return $g.String.fromCharCode($$this)
    } else {
      switch ($$this) {
        case 10: {
          return "\\n";
          break
        }
        case 9: {
          return "\\t";
          break
        }
        case 13: {
          return "\\r";
          break
        }
        case 12: {
          return "\\f";
          break
        }
        case 8: {
          return "\\b";
          break
        }
        case 0: {
          return "\\0";
          break
        }
        default: {
          const x = (+($$this >>> 0));
          const thiz = x.toString(16);
          const s = thiz.toUpperCase();
          const this$14 = new $c_sci_StringOps().init___T("0");
          const n = ((4 - (s.length | 0)) | 0);
          return (("\\u" + $f_sci_StringLike__$$times__I__T(this$14, n)) + s)
        }
      }
    }
  };
}
const $d_Lorg_mulesoft_common_core_package$Chars$ = new $TypeData().initClass({
  Lorg_mulesoft_common_core_package$Chars$: 0
}, false, "org.mulesoft.common.core.package$Chars$", {
  Lorg_mulesoft_common_core_package$Chars$: 1,
  O: 1
});
$c_Lorg_mulesoft_common_core_package$Chars$.prototype.$classData = $d_Lorg_mulesoft_common_core_package$Chars$;
let $n_Lorg_mulesoft_common_core_package$Chars$ = (void 0);
const $m_Lorg_mulesoft_common_core_package$Chars$ = (function() {
  if ((!$n_Lorg_mulesoft_common_core_package$Chars$)) {
    $n_Lorg_mulesoft_common_core_package$Chars$ = new $c_Lorg_mulesoft_common_core_package$Chars$().init___()
  };
  return $n_Lorg_mulesoft_common_core_package$Chars$
});
class $c_Lorg_mulesoft_common_core_package$Strings$ extends $c_O {
  init___() {
    return this
  };
  encode$extension__T__T($$this) {
    if (($$this === null)) {
      return null
    } else {
      const this$2 = new $c_sci_StringOps().init___T($$this);
      let start = 0;
      const $$this$1 = this$2.repr$1;
      const end = ($$this$1.length | 0);
      let z = "";
      let start$1 = start;
      let z$1 = z;
      _foldl: while (true) {
        if ((start$1 !== end)) {
          const temp$start = ((1 + start$1) | 0);
          const arg1 = z$1;
          const arg2 = this$2.apply__I__O(start$1);
          const x$2 = arg1;
          let x$3;
          if ((arg2 === null)) {
            x$3 = 0
          } else {
            const this$6 = arg2;
            x$3 = this$6.value$1
          };
          const temp$z = (("" + x$2) + $m_Lorg_mulesoft_common_core_package$Chars$().encodeStringChar$extension__C__T(x$3));
          start$1 = temp$start;
          z$1 = temp$z;
          continue _foldl
        };
        return z$1
      }
    }
  };
  decode$extension1__T__Z__T($$this, ignoreErrors) {
    if (($$this === null)) {
      return $$this
    };
    const length = ($$this.length | 0);
    if ((length === 0)) {
      return $$this
    };
    const buffer = new $c_scm_StringBuilder().init___I(length);
    let i = 0;
    while ((i < length)) {
      const index = i;
      const chr = (65535 & ($$this.charCodeAt(index) | 0));
      i = ((1 + i) | 0);
      if (((chr !== 92) || (i >= length))) {
        buffer.append__C__scm_StringBuilder(chr)
      } else {
        const index$1 = i;
        const chr$2 = (65535 & ($$this.charCodeAt(index$1) | 0));
        i = ((1 + i) | 0);
        let jsx$1;
        switch (chr$2) {
          case 85: {
            i = ((8 + i) | 0);
            jsx$1 = $m_Lorg_mulesoft_common_core_package$().org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T($$this, (((-8) + i) | 0), i, ignoreErrors);
            break
          }
          case 117: {
            i = ((4 + i) | 0);
            jsx$1 = $m_Lorg_mulesoft_common_core_package$().org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T($$this, (((-4) + i) | 0), i, ignoreErrors);
            break
          }
          case 120: {
            i = ((2 + i) | 0);
            jsx$1 = $m_Lorg_mulesoft_common_core_package$().org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T($$this, (((-2) + i) | 0), i, ignoreErrors);
            break
          }
          case 116: {
            jsx$1 = "\t";
            break
          }
          case 114: {
            jsx$1 = "\r";
            break
          }
          case 110: {
            jsx$1 = "\n";
            break
          }
          case 102: {
            jsx$1 = "\f";
            break
          }
          case 97: {
            jsx$1 = new $c_jl_Character().init___C(7);
            break
          }
          case 98: {
            jsx$1 = "\b";
            break
          }
          case 118: {
            jsx$1 = "\v";
            break
          }
          case 101: {
            jsx$1 = new $c_jl_Character().init___C(27);
            break
          }
          case 48: {
            jsx$1 = new $c_jl_Character().init___C(0);
            break
          }
          case 78: {
            jsx$1 = "\u0085";
            break
          }
          case 95: {
            jsx$1 = "\u00a0";
            break
          }
          case 76: {
            jsx$1 = "\u2028";
            break
          }
          case 80: {
            jsx$1 = "\u2029";
            break
          }
          default: {
            jsx$1 = $g.String.fromCharCode(chr$2)
          }
        };
        buffer.append__O__scm_StringBuilder(jsx$1)
      }
    };
    const this$16 = buffer.underlying$5;
    return this$16.content$1
  };
  notNull$extension__T__T($$this) {
    return (($$this === null) ? "" : $$this)
  };
}
const $d_Lorg_mulesoft_common_core_package$Strings$ = new $TypeData().initClass({
  Lorg_mulesoft_common_core_package$Strings$: 0
}, false, "org.mulesoft.common.core.package$Strings$", {
  Lorg_mulesoft_common_core_package$Strings$: 1,
  O: 1
});
$c_Lorg_mulesoft_common_core_package$Strings$.prototype.$classData = $d_Lorg_mulesoft_common_core_package$Strings$;
let $n_Lorg_mulesoft_common_core_package$Strings$ = (void 0);
const $m_Lorg_mulesoft_common_core_package$Strings$ = (function() {
  if ((!$n_Lorg_mulesoft_common_core_package$Strings$)) {
    $n_Lorg_mulesoft_common_core_package$Strings$ = new $c_Lorg_mulesoft_common_core_package$Strings$().init___()
  };
  return $n_Lorg_mulesoft_common_core_package$Strings$
});
class $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_CharSequence__I__I__T__Lorg_mulesoft_lexer_CharSequenceLexerInput(data, startOffset, endOffset, sourceName) {
    const a = $charSequenceLength(data);
    return new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput().init___jl_CharSequence__I__I__T(data, startOffset, ((a < endOffset) ? a : endOffset), sourceName)
  };
}
const $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = new $TypeData().initClass({
  Lorg_mulesoft_lexer_CharSequenceLexerInput$: 0
}, false, "org.mulesoft.lexer.CharSequenceLexerInput$", {
  Lorg_mulesoft_lexer_CharSequenceLexerInput$: 1,
  O: 1
});
$c_Lorg_mulesoft_lexer_CharSequenceLexerInput$.prototype.$classData = $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$;
let $n_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = (void 0);
const $m_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = (function() {
  if ((!$n_Lorg_mulesoft_lexer_CharSequenceLexerInput$)) {
    $n_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$().init___()
  };
  return $n_Lorg_mulesoft_lexer_CharSequenceLexerInput$
});
class $c_Lorg_mulesoft_lexer_LexerInput$ extends $c_O {
  constructor() {
    super();
    this.EofChar$1 = 0
  };
  init___() {
    this.EofChar$1 = (-1);
    return this
  };
}
const $d_Lorg_mulesoft_lexer_LexerInput$ = new $TypeData().initClass({
  Lorg_mulesoft_lexer_LexerInput$: 0
}, false, "org.mulesoft.lexer.LexerInput$", {
  Lorg_mulesoft_lexer_LexerInput$: 1,
  O: 1
});
$c_Lorg_mulesoft_lexer_LexerInput$.prototype.$classData = $d_Lorg_mulesoft_lexer_LexerInput$;
let $n_Lorg_mulesoft_lexer_LexerInput$ = (void 0);
const $m_Lorg_mulesoft_lexer_LexerInput$ = (function() {
  if ((!$n_Lorg_mulesoft_lexer_LexerInput$)) {
    $n_Lorg_mulesoft_lexer_LexerInput$ = new $c_Lorg_mulesoft_lexer_LexerInput$().init___()
  };
  return $n_Lorg_mulesoft_lexer_LexerInput$
});
class $c_Lorg_mulesoft_lexer_Queue extends $c_O {
  constructor() {
    super();
    this.buffer$1 = null;
    this.head$1 = 0;
    this.tail$1 = 0
  };
  init___() {
    $m_scm_ArrayBuffer$();
    const this$2 = new $c_scm_ArrayBuffer().init___();
    this.buffer$1 = this$2;
    this.head$1 = 0;
    this.tail$1 = 0;
    return this
  };
  reduceTo__I__V(newSize) {
    this.tail$1 = ((this.head$1 + newSize) | 0)
  };
  dequeue__O() {
    this.head$1 = ((1 + this.head$1) | 0);
    const this$1 = this.buffer$1;
    const idx = (((-1) + this.head$1) | 0);
    return $f_scm_ResizableArray__apply__I__O(this$1, idx)
  };
  isEmpty__Z() {
    return (this.tail$1 <= this.head$1)
  };
  $$plus$eq__O__Lorg_mulesoft_lexer_Queue(t) {
    const this$1 = this.buffer$1;
    if ((this$1.size0$6 <= this.tail$1)) {
      const this$2 = this.buffer$1;
      const array = [t];
      const n = (array.length | 0);
      const n$1 = ((this$2.size0$6 + n) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$2, n$1);
      const xs = this$2.array$6;
      const start = this$2.size0$6;
      let i = 0;
      let j = start;
      const x = (array.length | 0);
      const x$1 = ((x < n) ? x : n);
      const that = ((xs.u.length - start) | 0);
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$1 = j;
        const index = i;
        xs.u[jsx$1] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$2.size0$6 = ((this$2.size0$6 + n) | 0)
    } else {
      const this$11 = this.buffer$1;
      const idx = this.tail$1;
      $f_scm_ResizableArray__update__I__O__V(this$11, idx, t)
    };
    this.tail$1 = ((1 + this.tail$1) | 0);
    return this
  };
  size__I() {
    return ((this.tail$1 - this.head$1) | 0)
  };
}
const $d_Lorg_mulesoft_lexer_Queue = new $TypeData().initClass({
  Lorg_mulesoft_lexer_Queue: 0
}, false, "org.mulesoft.lexer.Queue", {
  Lorg_mulesoft_lexer_Queue: 1,
  O: 1
});
$c_Lorg_mulesoft_lexer_Queue.prototype.$classData = $d_Lorg_mulesoft_lexer_Queue;
class $c_Lorg_mulesoft_lexer_Token extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.abbreviation$1 = null
  };
  init___T__T(name, abbreviation) {
    this.name$1 = name;
    this.abbreviation$1 = abbreviation;
    return this
  };
  toString__T() {
    return this.name$1
  };
}
class $c_Lorg_scalajs_dom_ext_Ajax$ extends $c_O {
  init___() {
    return this
  };
  org$scalajs$dom$ext$Ajax$$$anonfun$apply$1__Lorg_scalajs_dom_raw_Event__Lorg_scalajs_dom_raw_XMLHttpRequest__s_concurrent_Promise__O(e, req$1, promise$1) {
    if (((req$1.readyState | 0) === 4)) {
      if (((((req$1.status | 0) >= 200) && ((req$1.status | 0) < 300)) || ((req$1.status | 0) === 304))) {
        return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1, req$1)
      } else {
        const cause = new $c_Lorg_scalajs_dom_ext_AjaxException().init___Lorg_scalajs_dom_raw_XMLHttpRequest(req$1);
        return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$1, cause)
      }
    } else {
      return (void 0)
    }
  };
  apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future(method, url, data, timeout, headers, withCredentials, responseType) {
    const req = new $g.XMLHttpRequest();
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    req.onreadystatechange = (function(req$1, promise$1) {
      return (function(arg1$2) {
        return $m_Lorg_scalajs_dom_ext_Ajax$().org$scalajs$dom$ext$Ajax$$$anonfun$apply$1__Lorg_scalajs_dom_raw_Event__Lorg_scalajs_dom_raw_XMLHttpRequest__s_concurrent_Promise__O(arg1$2, req$1, promise$1)
      })
    })(req, promise);
    req.open(method, url);
    req.responseType = responseType;
    req.timeout = timeout;
    req.withCredentials = withCredentials;
    headers.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, req$2) {
      return (function(x$2) {
        const x = x$2;
        req$2.setRequestHeader(x.$$und1__O(), x.$$und2__O())
      })
    })(this, req)));
    if ((data === null)) {
      req.send()
    } else {
      req.send(data)
    };
    return promise
  };
}
const $d_Lorg_scalajs_dom_ext_Ajax$ = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_Ajax$: 0
}, false, "org.scalajs.dom.ext.Ajax$", {
  Lorg_scalajs_dom_ext_Ajax$: 1,
  O: 1
});
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.$classData = $d_Lorg_scalajs_dom_ext_Ajax$;
let $n_Lorg_scalajs_dom_ext_Ajax$ = (void 0);
const $m_Lorg_scalajs_dom_ext_Ajax$ = (function() {
  if ((!$n_Lorg_scalajs_dom_ext_Ajax$)) {
    $n_Lorg_scalajs_dom_ext_Ajax$ = new $c_Lorg_scalajs_dom_ext_Ajax$().init___()
  };
  return $n_Lorg_scalajs_dom_ext_Ajax$
});
class $c_Lorg_yaml_convert_YRead$ extends $c_O {
  init___() {
    return this
  };
  error__Lorg_yaml_model_YNode__T__s_util_Left(node, err) {
    $m_s_package$();
    const err$2 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, err$1) {
      return (function() {
        return err$1
      })
    })(this, err));
    const value = new $c_Lorg_yaml_model_YError().init___Lorg_yaml_model_YNodeLike__F0(node, err$2);
    return new $c_s_util_Left().init___O(value)
  };
}
const $d_Lorg_yaml_convert_YRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$: 0
}, false, "org.yaml.convert.YRead$", {
  Lorg_yaml_convert_YRead$: 1,
  O: 1
});
$c_Lorg_yaml_convert_YRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$;
let $n_Lorg_yaml_convert_YRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$)) {
    $n_Lorg_yaml_convert_YRead$ = new $c_Lorg_yaml_convert_YRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$
});
class $c_Lorg_yaml_lexer_YamlCharRules$ extends $c_O {
  init___() {
    return this
  };
  isIndicator__I__Z(c) {
    return ($m_sjsr_RuntimeString$().indexOf__T__I__I("-?:,[]{}#&*!>'\"%@ `", c) !== (-1))
  };
  isFlowIndicator__I__Z(chr) {
    return (((((chr === 91) || (chr === 93)) || (chr === 123)) || (chr === 125)) || (chr === 44))
  };
  isWhite__I__Z(c) {
    return ((c === 32) || (c === 9))
  };
  isCPrintable__I__Z(c) {
    return ((((((((c === 9) || (c === 10)) || (c === 13)) || ((c >= 32) && (c <= 126))) || (c === 133)) || ((c >= 160) && (c <= 55295))) || ((c >= 57344) && (c <= 65533))) || ((c >= 65536) && (c <= 1114111)))
  };
  isBreakOrEof__I__Z(c) {
    return (((c === 10) || (c === 13)) || (c === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1))
  };
  isBBreak__I__Z(c) {
    return ((c === 10) || (c === 13))
  };
  isWordChar__I__Z(c) {
    return ((((c >= 48) && (c <= 57)) || (((c >= 65) && (c <= 90)) || ((c >= 97) && (c <= 122)))) || (c === 45))
  };
  isNsChar__I__Z(c) {
    return (this.isNBChar__I__Z(c) && (!this.isWhite__I__Z(c)))
  };
  escapeSeq__I__I(c) {
    switch (c) {
      case 48: {
        return 0;
        break
      }
      case 97: {
        return 7;
        break
      }
      case 98: {
        return 11;
        break
      }
      case 116:
      case 9: {
        return 9;
        break
      }
      case 110: {
        return 10;
        break
      }
      case 118: {
        return 11;
        break
      }
      case 102: {
        return 12;
        break
      }
      case 114: {
        return 13;
        break
      }
      case 101: {
        return 27;
        break
      }
      case 32: {
        return 32;
        break
      }
      case 34: {
        return 34;
        break
      }
      case 47: {
        return 47;
        break
      }
      case 92: {
        return 92;
        break
      }
      case 78: {
        return 133;
        break
      }
      case 95: {
        return 160;
        break
      }
      case 76: {
        return 8232;
        break
      }
      case 80: {
        return 8233;
        break
      }
      case 120: {
        return 120;
        break
      }
      case 117: {
        return 117;
        break
      }
      case 85: {
        return 85;
        break
      }
      default: {
        return (-1)
      }
    }
  };
  isNBChar__I__Z(c) {
    return ((this.isCPrintable__I__Z(c) && (!this.isBBreak__I__Z(c))) && (c !== 65279))
  };
}
const $d_Lorg_yaml_lexer_YamlCharRules$ = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlCharRules$: 0
}, false, "org.yaml.lexer.YamlCharRules$", {
  Lorg_yaml_lexer_YamlCharRules$: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlCharRules$.prototype.$classData = $d_Lorg_yaml_lexer_YamlCharRules$;
let $n_Lorg_yaml_lexer_YamlCharRules$ = (void 0);
const $m_Lorg_yaml_lexer_YamlCharRules$ = (function() {
  if ((!$n_Lorg_yaml_lexer_YamlCharRules$)) {
    $n_Lorg_yaml_lexer_YamlCharRules$ = new $c_Lorg_yaml_lexer_YamlCharRules$().init___()
  };
  return $n_Lorg_yaml_lexer_YamlCharRules$
});
class $c_Lorg_yaml_lexer_YamlContext extends $c_O {
}
class $c_Lorg_yaml_lexer_YamlLexer$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_CharSequence__Lorg_yaml_lexer_YamlLexer(cs) {
    return new $c_Lorg_yaml_lexer_YamlLexer().init___Lorg_mulesoft_lexer_LexerInput($m_Lorg_mulesoft_lexer_CharSequenceLexerInput$().apply__jl_CharSequence__I__I__T__Lorg_mulesoft_lexer_CharSequenceLexerInput(cs, 0, 2147483647, ""))
  };
}
const $d_Lorg_yaml_lexer_YamlLexer$ = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlLexer$: 0
}, false, "org.yaml.lexer.YamlLexer$", {
  Lorg_yaml_lexer_YamlLexer$: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlLexer$.prototype.$classData = $d_Lorg_yaml_lexer_YamlLexer$;
let $n_Lorg_yaml_lexer_YamlLexer$ = (void 0);
const $m_Lorg_yaml_lexer_YamlLexer$ = (function() {
  if ((!$n_Lorg_yaml_lexer_YamlLexer$)) {
    $n_Lorg_yaml_lexer_YamlLexer$ = new $c_Lorg_yaml_lexer_YamlLexer$().init___()
  };
  return $n_Lorg_yaml_lexer_YamlLexer$
});
class $c_Lorg_yaml_lexer_YamlToken$ extends $c_O {
  constructor() {
    super();
    this.org$yaml$lexer$YamlToken$$tokens$1 = null;
    this.BeginAnchor$1 = null;
    this.EndAnchor$1 = null;
    this.LineBreak$1 = null;
    this.BeginComment$1 = null;
    this.EndComment$1 = null;
    this.BeginDirective$1 = null;
    this.EndDirective$1 = null;
    this.BeginEscape$1 = null;
    this.EndEscape$1 = null;
    this.BeginTag$1 = null;
    this.EndTag$1 = null;
    this.BeginHandle$1 = null;
    this.EndHandle$1 = null;
    this.Indicator$1 = null;
    this.Indent$1 = null;
    this.DirectivesEnd$1 = null;
    this.DocumentEnd$1 = null;
    this.LineFeed$1 = null;
    this.LineFold$1 = null;
    this.BeginNode$1 = null;
    this.EndNode$1 = null;
    this.BeginDocument$1 = null;
    this.EndDocument$1 = null;
    this.BeginProperties$1 = null;
    this.EndProperties$1 = null;
    this.BeginAlias$1 = null;
    this.EndAlias$1 = null;
    this.BeginSequence$1 = null;
    this.EndSequence$1 = null;
    this.BeginMapping$1 = null;
    this.EndMapping$1 = null;
    this.BeginScalar$1 = null;
    this.EndScalar$1 = null;
    this.Text$1 = null;
    this.MetaText$1 = null;
    this.Bom$1 = null;
    this.WhiteSpace$1 = null;
    this.BeginPair$1 = null;
    this.EndPair$1 = null;
    this.EndStream$1 = null;
    this.BeginStream$1 = null;
    this.Error$1 = null;
    this.UnParsed$1 = null
  };
  init___() {
    $n_Lorg_yaml_lexer_YamlToken$ = this;
    this.org$yaml$lexer$YamlToken$$tokens$1 = new $c_scm_HashMap().init___();
    this.BeginAnchor$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginAnchor", "A");
    this.EndAnchor$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndAnchor", "a");
    this.LineBreak$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("LineBreak", "b");
    this.BeginComment$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginComment", "C");
    this.EndComment$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndComment", "c");
    this.BeginDirective$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginDirective", "D");
    this.EndDirective$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndDirective", "d");
    this.BeginEscape$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginEscape", "E");
    this.EndEscape$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndScape", "e");
    this.BeginTag$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginTag", "G");
    this.EndTag$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndTag", "g");
    this.BeginHandle$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginHandle", "H");
    this.EndHandle$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndHandle", "h");
    this.Indicator$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Indicator", "I");
    this.Indent$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Indent", "i");
    this.DirectivesEnd$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("DirectivesEnd", "K");
    this.DocumentEnd$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("DocumentEnd", "k");
    this.LineFeed$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("LineFeed", "L");
    this.LineFold$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("LineFold", "l");
    this.BeginNode$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginNode", "N");
    this.EndNode$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndNode", "n");
    this.BeginDocument$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginDocument", "O");
    this.EndDocument$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndDocument", "o");
    this.BeginProperties$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginProperties", "P");
    this.EndProperties$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndProperties", "p");
    this.BeginAlias$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginAlias", "R");
    this.EndAlias$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndAlias", "r");
    this.BeginSequence$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginSequence", "Q");
    this.EndSequence$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndSequence", "q");
    this.BeginMapping$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginMapping", "M");
    this.EndMapping$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndMapping", "m");
    this.BeginScalar$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginScalar", "S");
    this.EndScalar$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndScalar", "s");
    this.Text$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Text", "T");
    this.MetaText$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("MetaText", "t");
    this.Bom$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Bom", "U");
    this.WhiteSpace$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("WhiteSpace", "w");
    this.BeginPair$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginPair", "X");
    this.EndPair$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndPair", "x");
    this.EndStream$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndStream", "");
    this.BeginStream$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginStream", "");
    this.Error$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Error", "!");
    this.UnParsed$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("UnParsed", "-");
    return this
  };
}
const $d_Lorg_yaml_lexer_YamlToken$ = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlToken$: 0
}, false, "org.yaml.lexer.YamlToken$", {
  Lorg_yaml_lexer_YamlToken$: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlToken$.prototype.$classData = $d_Lorg_yaml_lexer_YamlToken$;
let $n_Lorg_yaml_lexer_YamlToken$ = (void 0);
const $m_Lorg_yaml_lexer_YamlToken$ = (function() {
  if ((!$n_Lorg_yaml_lexer_YamlToken$)) {
    $n_Lorg_yaml_lexer_YamlToken$ = new $c_Lorg_yaml_lexer_YamlToken$().init___()
  };
  return $n_Lorg_yaml_lexer_YamlToken$
});
class $c_Lorg_yaml_model_IllegalTypeHandler$ extends $c_O {
  constructor() {
    super();
    this.illegalValueHandler$1 = null;
    this.returnDefault$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_IllegalTypeHandler$ = this;
    $m_Lorg_yaml_model_IllegalTypeHandler$();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        e.throwIt__sr_Nothing$()
      })
    })(this));
    this.illegalValueHandler$1 = new $c_Lorg_yaml_model_IllegalTypeHandler$$anon$1().init___F1(f);
    $m_Lorg_yaml_model_IllegalTypeHandler$();
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        return (void 0)
      })
    })(this));
    this.returnDefault$1 = new $c_Lorg_yaml_model_IllegalTypeHandler$$anon$1().init___F1(f$1);
    return this
  };
}
const $d_Lorg_yaml_model_IllegalTypeHandler$ = new $TypeData().initClass({
  Lorg_yaml_model_IllegalTypeHandler$: 0
}, false, "org.yaml.model.IllegalTypeHandler$", {
  Lorg_yaml_model_IllegalTypeHandler$: 1,
  O: 1
});
$c_Lorg_yaml_model_IllegalTypeHandler$.prototype.$classData = $d_Lorg_yaml_model_IllegalTypeHandler$;
let $n_Lorg_yaml_model_IllegalTypeHandler$ = (void 0);
const $m_Lorg_yaml_model_IllegalTypeHandler$ = (function() {
  if ((!$n_Lorg_yaml_model_IllegalTypeHandler$)) {
    $n_Lorg_yaml_model_IllegalTypeHandler$ = new $c_Lorg_yaml_model_IllegalTypeHandler$().init___()
  };
  return $n_Lorg_yaml_model_IllegalTypeHandler$
});
class $c_Lorg_yaml_model_ParseErrorHandler$ extends $c_O {
  constructor() {
    super();
    this.parseErrorHandler$1 = null;
    this.ignoreErrors$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_ParseErrorHandler$ = this;
    this.parseErrorHandler$1 = $m_Lorg_yaml_model_ParseErrorHandler$().apply__F2__Lorg_yaml_model_ParseErrorHandler(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(node$2, e$2) {
        const node = node$2;
        const e = e$2;
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T__jl_Throwable(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " at ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e.s$1, node.range__Lorg_mulesoft_lexer_InputRange()])), e))
      })
    })(this)));
    this.ignoreErrors$1 = new $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2().init___O((function(this$2) {
      return (function(node$3$2, e$3$2) {
        return (void 0)
      })
    })(this));
    return this
  };
  apply__F2__Lorg_yaml_model_ParseErrorHandler(f) {
    return new $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1().init___O((function($this, f$1) {
      return (function(node$2, e$2) {
        const node = node$2;
        const e = e$2;
        f$1.apply__O__O__O(node, e)
      })
    })(this, f))
  };
}
const $d_Lorg_yaml_model_ParseErrorHandler$ = new $TypeData().initClass({
  Lorg_yaml_model_ParseErrorHandler$: 0
}, false, "org.yaml.model.ParseErrorHandler$", {
  Lorg_yaml_model_ParseErrorHandler$: 1,
  O: 1
});
$c_Lorg_yaml_model_ParseErrorHandler$.prototype.$classData = $d_Lorg_yaml_model_ParseErrorHandler$;
let $n_Lorg_yaml_model_ParseErrorHandler$ = (void 0);
const $m_Lorg_yaml_model_ParseErrorHandler$ = (function() {
  if ((!$n_Lorg_yaml_model_ParseErrorHandler$)) {
    $n_Lorg_yaml_model_ParseErrorHandler$ = new $c_Lorg_yaml_model_ParseErrorHandler$().init___()
  };
  return $n_Lorg_yaml_model_ParseErrorHandler$
});
class $c_Lorg_yaml_model_YDocument$BaseBuilder extends $c_O {
  constructor() {
    super();
    this.builder$1 = null
  };
  init___() {
    this.builder$1 = new $c_scm_ArrayBuffer().init___();
    return this
  };
  comment__T__V(text) {
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(text, "\n", 0);
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      const line = arg1;
      const jsx$2 = this.builder$1;
      const jsx$1 = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
      $m_s_package$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const this$10 = new $c_sci_VectorBuilder().init___();
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YComment().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(line, jsx$1, this$10.result__sci_Vector()));
      i = ((1 + i) | 0)
    }
  };
}
class $c_Lorg_yaml_model_YDocument$WithComment extends $c_O {
  constructor() {
    super();
    this.obj$module$1 = null;
    this.comment$1 = null
  };
  init___T(comment) {
    this.comment$1 = comment;
    return this
  };
  org$yaml$model$YDocument$WithComment$$createDoc__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(mainNode) {
    const thiz = this.comment$1;
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    let jsx$1;
    if ((thiz === "")) {
      const jsx$2 = $m_s_Predef$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([mainNode]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_Lorg_yaml_model_YNode.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = arg1;
        elem$1 = ((1 + elem$1) | 0)
      };
      jsx$1 = jsx$2.wrapRefArray__AO__scm_WrappedArray(array)
    } else {
      const jsx$5 = $m_s_Predef$();
      const jsx$4 = this.comment$1;
      const jsx$3 = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
      $m_s_package$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const this$11 = new $c_sci_VectorBuilder().init___();
      const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lorg_yaml_model_YComment().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(jsx$4, jsx$3, this$11.result__sci_Vector()), mainNode]);
      const len$1 = (xs$1.array$6.length | 0);
      const array$1 = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len$1]);
      let elem$1$1 = 0;
      elem$1$1 = 0;
      const this$15 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs$1, 0, (xs$1.array$6.length | 0));
      while (this$15.hasNext__Z()) {
        const arg1$1 = this$15.next__O();
        array$1.u[elem$1$1] = arg1$1;
        elem$1$1 = ((1 + elem$1$1) | 0)
      };
      jsx$1 = jsx$5.wrapRefArray__AO__scm_WrappedArray(array$1)
    };
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(jsx$1)
  };
}
const $d_Lorg_yaml_model_YDocument$WithComment = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$WithComment: 0
}, false, "org.yaml.model.YDocument$WithComment", {
  Lorg_yaml_model_YDocument$WithComment: 1,
  O: 1
});
$c_Lorg_yaml_model_YDocument$WithComment.prototype.$classData = $d_Lorg_yaml_model_YDocument$WithComment;
class $c_Lorg_yaml_model_YError extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.err$1 = null
  };
  error__T() {
    return this.err$1.apply__O()
  };
  toString__T() {
    return ((this.error__T() + "@") + this.node$1)
  };
  init___Lorg_yaml_model_YNodeLike__F0(node, err) {
    this.node$1 = node;
    this.err$1 = err;
    return this
  };
  throwIt__sr_Nothing$() {
    throw new $c_Lorg_yaml_model_YException().init___Lorg_yaml_model_YError(this)
  };
}
const $is_Lorg_yaml_model_YError = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YError)))
});
const $isArrayOf_Lorg_yaml_model_YError = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YError)))
});
const $d_Lorg_yaml_model_YError = new $TypeData().initClass({
  Lorg_yaml_model_YError: 0
}, false, "org.yaml.model.YError", {
  Lorg_yaml_model_YError: 1,
  O: 1
});
$c_Lorg_yaml_model_YError.prototype.$classData = $d_Lorg_yaml_model_YError;
class $c_Lorg_yaml_model_YMap$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YMap$ = this;
    $m_Lorg_yaml_model_YMap$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    const c = this$4.result__sci_Vector();
    this.empty$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    return this
  };
}
const $d_Lorg_yaml_model_YMap$ = new $TypeData().initClass({
  Lorg_yaml_model_YMap$: 0
}, false, "org.yaml.model.YMap$", {
  Lorg_yaml_model_YMap$: 1,
  O: 1
});
$c_Lorg_yaml_model_YMap$.prototype.$classData = $d_Lorg_yaml_model_YMap$;
let $n_Lorg_yaml_model_YMap$ = (void 0);
const $m_Lorg_yaml_model_YMap$ = (function() {
  if ((!$n_Lorg_yaml_model_YMap$)) {
    $n_Lorg_yaml_model_YMap$ = new $c_Lorg_yaml_model_YMap$().init___()
  };
  return $n_Lorg_yaml_model_YMap$
});
class $c_Lorg_yaml_model_YMapEntry$ extends $c_O {
  init___() {
    return this
  };
  apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(parts) {
    const jsx$1 = new $c_Lorg_yaml_model_YMapEntry$$anonfun$2().init___();
    const this$1 = $m_sc_IndexedSeq$();
    const kv = parts.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6);
    return new $c_Lorg_yaml_model_YMapEntry().init___Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__sc_IndexedSeq(kv.apply__I__O(0), kv.apply__I__O(1), parts)
  };
  apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(k, v) {
    const jsx$1 = $m_s_Predef$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([k, v]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Lorg_yaml_model_YNode.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    return new $c_Lorg_yaml_model_YMapEntry().init___Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__sc_IndexedSeq(k, v, jsx$1.wrapRefArray__AO__scm_WrappedArray(array))
  };
}
const $d_Lorg_yaml_model_YMapEntry$ = new $TypeData().initClass({
  Lorg_yaml_model_YMapEntry$: 0
}, false, "org.yaml.model.YMapEntry$", {
  Lorg_yaml_model_YMapEntry$: 1,
  O: 1
});
$c_Lorg_yaml_model_YMapEntry$.prototype.$classData = $d_Lorg_yaml_model_YMapEntry$;
let $n_Lorg_yaml_model_YMapEntry$ = (void 0);
const $m_Lorg_yaml_model_YMapEntry$ = (function() {
  if ((!$n_Lorg_yaml_model_YMapEntry$)) {
    $n_Lorg_yaml_model_YMapEntry$ = new $c_Lorg_yaml_model_YMapEntry$().init___()
  };
  return $n_Lorg_yaml_model_YMapEntry$
});
class $c_Lorg_yaml_model_YNode$ extends $c_O {
  constructor() {
    super();
    this.Null$1 = null;
    this.Empty$1 = null;
    this.org$yaml$model$YNode$$noParts$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YNode$ = this;
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().Null$1;
    const tt = $m_Lorg_yaml_model_YType$().Null$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    this.Null$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YScalar$();
    $m_Lorg_yaml_model_YScalar$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$8 = new $c_sci_VectorBuilder().init___();
    const value$1 = new $c_Lorg_yaml_model_YScalar().init___O__T__Z__sc_IndexedSeq(null, "", true, this$8.result__sci_Vector());
    const tt$1 = $m_Lorg_yaml_model_YType$().Null$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    this.Empty$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$15 = new $c_sci_VectorBuilder().init___();
    this.org$yaml$model$YNode$$noParts$1 = this$15.result__sci_Vector();
    return this
  };
  apply__T__Lorg_yaml_model_YNode(text) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(text);
    const tt = $m_Lorg_yaml_model_YType$().Str$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    return new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs)
  };
  include__T__Lorg_yaml_model_YNode$MutRef(uri) {
    const v = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(uri);
    const this$1 = $m_Lorg_yaml_model_YType$().Include$1;
    const t = this$1.org$yaml$model$YType$$tag$und$1;
    const jsx$1 = $m_s_Predef$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([t, v]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$5.hasNext__Z()) {
      const arg1 = this$5.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    return new $c_Lorg_yaml_model_YNode$MutRef().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__sc_IndexedSeq(v, t, jsx$1.wrapRefArray__AO__scm_WrappedArray(array))
  };
}
const $d_Lorg_yaml_model_YNode$ = new $TypeData().initClass({
  Lorg_yaml_model_YNode$: 0
}, false, "org.yaml.model.YNode$", {
  Lorg_yaml_model_YNode$: 1,
  O: 1
});
$c_Lorg_yaml_model_YNode$.prototype.$classData = $d_Lorg_yaml_model_YNode$;
let $n_Lorg_yaml_model_YNode$ = (void 0);
const $m_Lorg_yaml_model_YNode$ = (function() {
  if ((!$n_Lorg_yaml_model_YNode$)) {
    $n_Lorg_yaml_model_YNode$ = new $c_Lorg_yaml_model_YNode$().init___()
  };
  return $n_Lorg_yaml_model_YNode$
});
class $c_Lorg_yaml_model_YScalar$ extends $c_O {
  constructor() {
    super();
    this.Null$1 = null;
    this.org$yaml$model$YScalar$$intRegex$1 = null;
    this.org$yaml$model$YScalar$$octRegex$1 = null;
    this.org$yaml$model$YScalar$$hexRegex$1 = null;
    this.org$yaml$model$YScalar$$floatRegex$1 = null;
    this.org$yaml$model$YScalar$$infinity$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YScalar$ = this;
    $m_Lorg_yaml_model_YScalar$();
    $m_Lorg_yaml_model_YScalar$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$5 = new $c_sci_VectorBuilder().init___();
    this.Null$1 = new $c_Lorg_yaml_model_YScalar().init___O__T__Z__sc_IndexedSeq(null, "null", true, this$5.result__sci_Vector());
    const this$7 = new $c_sci_StringOps().init___T("[-+]?\\d+");
    const groupNames = $m_sci_Nil$();
    const $$this = this$7.repr$1;
    this.org$yaml$model$YScalar$$intRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const this$10 = new $c_sci_StringOps().init___T("0o([0-7]+)");
    const groupNames$1 = $m_sci_Nil$();
    const $$this$1 = this$10.repr$1;
    this.org$yaml$model$YScalar$$octRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$1, groupNames$1);
    const this$13 = new $c_sci_StringOps().init___T("0x([0-9a-fA-F]+)");
    const groupNames$2 = $m_sci_Nil$();
    const $$this$2 = this$13.repr$1;
    this.org$yaml$model$YScalar$$hexRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$2, groupNames$2);
    const this$16 = new $c_sci_StringOps().init___T("-?(?:0|[1-9]\\d*)(?:\\.\\d*)?(?:[eE][-+]?\\d+)?");
    const groupNames$3 = $m_sci_Nil$();
    const $$this$3 = this$16.repr$1;
    this.org$yaml$model$YScalar$$floatRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$3, groupNames$3);
    const this$19 = new $c_sci_StringOps().init___T("([-+])?(?:\\.inf|\\.Inf|\\.INF)");
    const groupNames$4 = $m_sci_Nil$();
    const $$this$4 = this$19.repr$1;
    this.org$yaml$model$YScalar$$infinity$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$4, groupNames$4);
    return this
  };
  org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, t) {
    const x$2 = $m_Lorg_yaml_model_YType$().Unknown$1;
    if ((tt === x$2)) {
      return true
    } else {
      return (tt === t)
    }
  };
  apply__O__Lorg_yaml_model_YScalar(value) {
    const jsx$1 = $m_sjsr_RuntimeString$().valueOf__O__T(value);
    $m_Lorg_yaml_model_YScalar$();
    $m_Lorg_yaml_model_YScalar$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$5 = new $c_sci_VectorBuilder().init___();
    return new $c_Lorg_yaml_model_YScalar().init___O__T__Z__sc_IndexedSeq(value, jsx$1, true, this$5.result__sci_Vector())
  };
}
const $d_Lorg_yaml_model_YScalar$ = new $TypeData().initClass({
  Lorg_yaml_model_YScalar$: 0
}, false, "org.yaml.model.YScalar$", {
  Lorg_yaml_model_YScalar$: 1,
  O: 1
});
$c_Lorg_yaml_model_YScalar$.prototype.$classData = $d_Lorg_yaml_model_YScalar$;
let $n_Lorg_yaml_model_YScalar$ = (void 0);
const $m_Lorg_yaml_model_YScalar$ = (function() {
  if ((!$n_Lorg_yaml_model_YScalar$)) {
    $n_Lorg_yaml_model_YScalar$ = new $c_Lorg_yaml_model_YScalar$().init___()
  };
  return $n_Lorg_yaml_model_YScalar$
});
class $c_Lorg_yaml_model_YScalar$Builder extends $c_O {
  constructor() {
    super();
    this.text$1 = null;
    this.eh$1 = null;
    this.tag$1 = null;
    this.error$1 = null;
    this.scalar$1 = null
  };
  parseText__p1__Lorg_yaml_model_YType__T2(tt) {
    try {
      const x1 = this.text$1;
      if ((((x1 === "") || ((x1 === "null") || ((x1 === "Null") || ((x1 === "NULL") || (x1 === "~"))))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Null$1))) {
        return new $c_T2().init___O__O(null, $m_Lorg_yaml_model_YType$().Null$1)
      };
      if ((((x1 === "true") || ((x1 === "True") || (x1 === "TRUE"))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Bool$1))) {
        return new $c_T2().init___O__O(true, $m_Lorg_yaml_model_YType$().Bool$1)
      };
      if ((((x1 === "false") || ((x1 === "False") || (x1 === "FALSE"))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Bool$1))) {
        return new $c_T2().init___O__O(false, $m_Lorg_yaml_model_YType$().Bool$1)
      };
      const o46 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$intRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$1;
      if ((!o46.isEmpty__Z())) {
        let jsx$2;
        if ((o46.get__O() !== null)) {
          const this$1 = o46.get__O();
          jsx$2 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 0) === 0)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          jsx$1 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Int$1)
        } else {
          jsx$1 = false
        }
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x = this.text$1;
        const this$3 = new $c_sci_StringOps().init___T(x);
        const this$5 = $m_jl_Long$();
        const $$this = this$3.repr$1;
        return new $c_T2().init___O__O(this$5.parseLong__T__I__J($$this, 10), $m_Lorg_yaml_model_YType$().Int$1)
      };
      const o48 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$hexRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$3;
      if ((!o48.isEmpty__Z())) {
        if ((o48.get__O() !== null)) {
          const this$6 = o48.get__O();
          jsx$3 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$6, 1) === 0)
        } else {
          jsx$3 = false
        }
      } else {
        jsx$3 = false
      };
      if (jsx$3) {
        const this$7 = o48.get__O();
        const s = $f_sc_LinearSeqOptimized__apply__I__O(this$7, 0);
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Int$1)) {
          return new $c_T2().init___O__O($m_jl_Long$().parseLong__T__I__J(s, 16), $m_Lorg_yaml_model_YType$().Int$1)
        }
      };
      const o50 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$octRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$4;
      if ((!o50.isEmpty__Z())) {
        if ((o50.get__O() !== null)) {
          const this$8 = o50.get__O();
          jsx$4 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$8, 1) === 0)
        } else {
          jsx$4 = false
        }
      } else {
        jsx$4 = false
      };
      if (jsx$4) {
        const this$9 = o50.get__O();
        const s$2 = $f_sc_LinearSeqOptimized__apply__I__O(this$9, 0);
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Int$1)) {
          return new $c_T2().init___O__O($m_jl_Long$().parseLong__T__I__J(s$2, 8), $m_Lorg_yaml_model_YType$().Int$1)
        }
      };
      const o52 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$floatRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$5;
      if ((!o52.isEmpty__Z())) {
        let jsx$6;
        if ((o52.get__O() !== null)) {
          const this$10 = o52.get__O();
          jsx$6 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$10, 0) === 0)
        } else {
          jsx$6 = false
        };
        if (jsx$6) {
          jsx$5 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Float$1)
        } else {
          jsx$5 = false
        }
      } else {
        jsx$5 = false
      };
      if (jsx$5) {
        const x$1 = this.text$1;
        const this$12 = new $c_sci_StringOps().init___T(x$1);
        const jsx$7 = $m_jl_Double$();
        const $$this$1 = this$12.repr$1;
        return new $c_T2().init___O__O(jsx$7.parseDouble__T__D($$this$1), $m_Lorg_yaml_model_YType$().Float$1)
      };
      const o54 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$infinity$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$8;
      if ((!o54.isEmpty__Z())) {
        if ((o54.get__O() !== null)) {
          const this$14 = o54.get__O();
          jsx$8 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$14, 1) === 0)
        } else {
          jsx$8 = false
        }
      } else {
        jsx$8 = false
      };
      if (jsx$8) {
        const this$15 = o54.get__O();
        const s$3 = $f_sc_LinearSeqOptimized__apply__I__O(this$15, 0);
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Float$1)) {
          return new $c_T2().init___O__O(((s$3 === "-") ? (-Infinity) : Infinity), $m_Lorg_yaml_model_YType$().Float$1)
        }
      };
      if ((((x1 === ".nan") || ((x1 === ".NaN") || (x1 === ".NAN"))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Float$1))) {
        return new $c_T2().init___O__O((NaN), $m_Lorg_yaml_model_YType$().Float$1)
      };
      const this$16 = $m_Lorg_mulesoft_common_time_SimpleDateTime$();
      const o62 = this$16.parse__T__s_Option(x1);
      if ((!o62.isEmpty__Z())) {
        const dateTime = o62.get__O();
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Timestamp$1)) {
          return new $c_T2().init___O__O(dateTime, $m_Lorg_yaml_model_YType$().Timestamp$1)
        }
      };
      const x$2 = $m_Lorg_yaml_model_YType$().Unknown$1;
      if ((tt === x$2)) {
        return new $c_T2().init___O__O(this.text$1, $m_Lorg_yaml_model_YType$().Str$1)
      };
      const x$4 = $m_Lorg_yaml_model_YType$().Null$1;
      let jsx$12;
      if ((tt === x$4)) {
        jsx$12 = true
      } else {
        const x$6 = $m_Lorg_yaml_model_YType$().Bool$1;
        jsx$12 = (tt === x$6)
      };
      let jsx$11;
      if (jsx$12) {
        jsx$11 = true
      } else {
        const x$8 = $m_Lorg_yaml_model_YType$().Int$1;
        jsx$11 = (tt === x$8)
      };
      let jsx$10;
      if (jsx$11) {
        jsx$10 = true
      } else {
        const x$10 = $m_Lorg_yaml_model_YType$().Float$1;
        jsx$10 = (tt === x$10)
      };
      let jsx$9;
      if (jsx$10) {
        jsx$9 = true
      } else {
        const x$12 = $m_Lorg_yaml_model_YType$().Timestamp$1;
        jsx$9 = (tt === x$12)
      };
      if (jsx$9) {
        this.error$1 = new $c_s_Some().init___O(new $c_Lorg_yaml_model_ParseException().init___Lorg_yaml_model_YType__T__jl_Exception(tt, this.text$1, null))
      };
      return new $c_T2().init___O__O(this.text$1, tt)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ($is_jl_Exception(e$2)) {
        const e$3 = e$2;
        this.error$1 = new $c_s_Some().init___O(new $c_Lorg_yaml_model_ParseException().init___Lorg_yaml_model_YType__T__jl_Exception(tt, this.text$1, e$3));
        return new $c_T2().init___O__O(this.text$1, $m_Lorg_yaml_model_YType$().Str$1)
      } else {
        throw e
      }
    }
  };
  init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(text, t, mark, parts, eh) {
    this.text$1 = text;
    this.eh$1 = eh;
    this.error$1 = $m_s_None$();
    if ((mark === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    let plain = (mark === "");
    let tt;
    if ((t !== null)) {
      const x = t.tagType$2;
      const x$2 = $m_Lorg_yaml_model_YType$().Empty$1;
      if ((!(x === x$2))) {
        tt = t.tagType$2
      } else {
        plain = false;
        tt = $m_Lorg_yaml_model_YType$().Str$1
      }
    } else {
      tt = (plain ? $m_Lorg_yaml_model_YType$().Unknown$1 : $m_Lorg_yaml_model_YType$().Str$1)
    };
    const x$4 = $m_Lorg_yaml_model_YType$().Str$1;
    let valType;
    if ((tt === x$4)) {
      valType = new $c_T2().init___O__O(text, $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      valType = this.parseText__p1__Lorg_yaml_model_YType__T2(tt)
    };
    let jsx$1;
    if (this.error$1.isDefined__Z()) {
      const this$2 = $m_Lorg_yaml_model_YType$().Str$1;
      jsx$1 = this$2.org$yaml$model$YType$$tag$und$1
    } else if ((t === null)) {
      const this$3 = valType.$$und2__O();
      jsx$1 = this$3.org$yaml$model$YType$$tag$und$1
    } else {
      const x$5 = t.tagType$2;
      const x$6 = $m_Lorg_yaml_model_YType$().Empty$1;
      if ((x$5 === x$6)) {
        const x$1 = valType.$$und2__O();
        const x$2$2 = t.text$2;
        const x$3$2 = t.range$1;
        const x$4$2 = t.tokens$1;
        jsx$1 = new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(x$2$2, x$1, x$3$2, x$4$2)
      } else {
        jsx$1 = t
      }
    };
    this.tag$1 = jsx$1;
    const result = new $c_Lorg_yaml_model_YScalar().init___O__T__Z__sc_IndexedSeq(valType.$$und1__O(), ((mark === "'") ? text.split("''").join("'") : text), plain, parts);
    const this$6 = this.error$1;
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const e = arg1;
      this.eh$1.handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(result, e)
    };
    this.scalar$1 = result;
    return this
  };
}
const $d_Lorg_yaml_model_YScalar$Builder = new $TypeData().initClass({
  Lorg_yaml_model_YScalar$Builder: 0
}, false, "org.yaml.model.YScalar$Builder", {
  Lorg_yaml_model_YScalar$Builder: 1,
  O: 1
});
$c_Lorg_yaml_model_YScalar$Builder.prototype.$classData = $d_Lorg_yaml_model_YScalar$Builder;
class $c_Lorg_yaml_model_YSequence$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YSequence$ = this;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    this.empty$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(this$4.result__sci_Vector());
    return this
  };
}
const $d_Lorg_yaml_model_YSequence$ = new $TypeData().initClass({
  Lorg_yaml_model_YSequence$: 0
}, false, "org.yaml.model.YSequence$", {
  Lorg_yaml_model_YSequence$: 1,
  O: 1
});
$c_Lorg_yaml_model_YSequence$.prototype.$classData = $d_Lorg_yaml_model_YSequence$;
let $n_Lorg_yaml_model_YSequence$ = (void 0);
const $m_Lorg_yaml_model_YSequence$ = (function() {
  if ((!$n_Lorg_yaml_model_YSequence$)) {
    $n_Lorg_yaml_model_YSequence$ = new $c_Lorg_yaml_model_YSequence$().init___()
  };
  return $n_Lorg_yaml_model_YSequence$
});
class $c_Lorg_yaml_model_YType extends $c_O {
  constructor() {
    super();
    this.synthesized$1 = false;
    this.org$yaml$model$YType$$tag$und$1 = null
  };
  toString__T() {
    return this.org$yaml$model$YType$$tag$und$1.text$2
  };
  init___Z(synthesized) {
    this.synthesized$1 = synthesized;
    return this
  };
}
const $is_Lorg_yaml_model_YType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YType)))
});
const $isArrayOf_Lorg_yaml_model_YType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YType)))
});
const $d_Lorg_yaml_model_YType = new $TypeData().initClass({
  Lorg_yaml_model_YType: 0
}, false, "org.yaml.model.YType", {
  Lorg_yaml_model_YType: 1,
  O: 1
});
$c_Lorg_yaml_model_YType.prototype.$classData = $d_Lorg_yaml_model_YType;
class $c_Lorg_yaml_model_YType$ extends $c_O {
  constructor() {
    super();
    this.knownTypes$1 = null;
    this.Seq$1 = null;
    this.Map$1 = null;
    this.Str$1 = null;
    this.Float$1 = null;
    this.Int$1 = null;
    this.Bool$1 = null;
    this.Timestamp$1 = null;
    this.Null$1 = null;
    this.Unknown$1 = null;
    this.Empty$1 = null;
    this.Include$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YType$ = this;
    this.knownTypes$1 = new $c_scm_HashMap().init___();
    this.Seq$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!seq", true);
    this.Map$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!map", true);
    this.Str$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!str", true);
    this.Float$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!float", true);
    this.Int$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!int", true);
    this.Bool$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!bool", true);
    this.Timestamp$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!timestamp", true);
    this.Null$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!null", true);
    this.Unknown$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("?", true);
    this.Empty$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!", true);
    this.Include$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!include", false);
    return this
  };
  apply__T__Lorg_yaml_model_YType(tag) {
    const this$1 = this.knownTypes$1;
    const x1 = this$1.get__O__s_Option(tag);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      return v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      return this.Unknown$1
    }
  };
  forName__p1__T__Z__Lorg_yaml_model_YType(tagName, synthesized) {
    const t = new $c_Lorg_yaml_model_YType().init___Z(synthesized);
    const jsx$1 = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$6 = new $c_sci_VectorBuilder().init___();
    t.org$yaml$model$YType$$tag$und$1 = new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(tagName, t, jsx$1, this$6.result__sci_Vector());
    this.knownTypes$1.put__O__O__s_Option(tagName, t);
    return t
  };
}
const $d_Lorg_yaml_model_YType$ = new $TypeData().initClass({
  Lorg_yaml_model_YType$: 0
}, false, "org.yaml.model.YType$", {
  Lorg_yaml_model_YType$: 1,
  O: 1
});
$c_Lorg_yaml_model_YType$.prototype.$classData = $d_Lorg_yaml_model_YType$;
let $n_Lorg_yaml_model_YType$ = (void 0);
const $m_Lorg_yaml_model_YType$ = (function() {
  if ((!$n_Lorg_yaml_model_YType$)) {
    $n_Lorg_yaml_model_YType$ = new $c_Lorg_yaml_model_YType$().init___()
  };
  return $n_Lorg_yaml_model_YType$
});
class $c_Lorg_yaml_model_YValueLike extends $c_O {
  $$eq$eq__Lorg_yaml_model_YValueLike__Z(b) {
    return ((this === b) || this.equals__O__Z(b))
  };
}
class $c_Lorg_yaml_parser_YamlParser extends $c_O {
  constructor() {
    super();
    this.lexer$1 = null;
    this.org$yaml$parser$YamlParser$$eh$f = null;
    this.aliases$1 = null;
    this.escaping$1 = false;
    this.org$yaml$parser$YamlParser$$keepTokens$1 = false;
    this.textBuilder$1 = null;
    this.metaTextBuilder$1 = null;
    this.inHandle$1 = false;
    this.inTag$1 = false;
    this.scalarMark$1 = null;
    this.current$1 = null;
    this.stack$1 = null;
    this.prev$1 = null;
    this.lastBegin$1 = null;
    this.org$yaml$parser$YamlParser$$directiveArgs$1 = null;
    this.includeTag$1 = null
  };
  init___Lorg_mulesoft_lexer_BaseLexer__Lorg_yaml_model_ParseErrorHandler(lexer, eh) {
    this.lexer$1 = lexer;
    this.org$yaml$parser$YamlParser$$eh$f = eh;
    this.aliases$1 = new $c_scm_HashMap().init___();
    this.escaping$1 = false;
    this.org$yaml$parser$YamlParser$$keepTokens$1 = false;
    this.textBuilder$1 = new $c_scm_StringBuilder().init___();
    this.metaTextBuilder$1 = new $c_scm_StringBuilder().init___();
    this.inHandle$1 = false;
    this.inTag$1 = false;
    this.scalarMark$1 = "";
    this.current$1 = new $c_Lorg_yaml_parser_YamlParser$Builder().init___Lorg_yaml_parser_YamlParser(this);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.current$1]);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    this.stack$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    this.prev$1 = new $c_Lorg_mulesoft_lexer_TokenData().init___Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_InputRange__I__I($m_Lorg_yaml_lexer_YamlToken$().BeginStream$1, $m_Lorg_mulesoft_lexer_InputRange$().Zero$1, 0, 0);
    this.lastBegin$1 = $m_Lorg_yaml_lexer_YamlToken$().BeginStream$1;
    this.includeTag$1 = "";
    return this
  };
  buildMetaText__p1__T() {
    const this$1 = this.metaTextBuilder$1;
    const this$2 = this$1.underlying$5;
    const r = this$2.content$1;
    const this$3 = this.metaTextBuilder$1;
    this$3.underlying$5.setLength__I__V(0);
    return r
  };
  process__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const x1 = td.token$1;
    const x = $m_Lorg_yaml_lexer_YamlToken$().BeginDocument$1;
    if ((x === x1)) {
      this.aliases$1.clear__V();
      this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
    } else {
      const x$3 = $m_Lorg_yaml_lexer_YamlToken$().BeginNode$1;
      let jsx$1;
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lorg_yaml_lexer_YamlToken$().BeginComment$1;
        if ((x$5 === x1)) {
          jsx$1 = true
        } else {
          const x$7 = $m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1;
          if ((x$7 === x1)) {
            jsx$1 = true
          } else {
            const x$9 = $m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1;
            if ((x$9 === x1)) {
              jsx$1 = true
            } else {
              const x$11 = $m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1;
              if ((x$11 === x1)) {
                jsx$1 = true
              } else {
                const x$13 = $m_Lorg_yaml_lexer_YamlToken$().BeginPair$1;
                if ((x$13 === x1)) {
                  jsx$1 = true
                } else {
                  const x$15 = $m_Lorg_yaml_lexer_YamlToken$().BeginAlias$1;
                  if ((x$15 === x1)) {
                    jsx$1 = true
                  } else {
                    const x$17 = $m_Lorg_yaml_lexer_YamlToken$().BeginAnchor$1;
                    jsx$1 = (x$17 === x1)
                  }
                }
              }
            }
          }
        }
      };
      if (jsx$1) {
        this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
      } else {
        const x$19 = $m_Lorg_yaml_lexer_YamlToken$().BeginTag$1;
        if ((x$19 === x1)) {
          this.inTag$1 = true;
          this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
        } else {
          const x$21 = $m_Lorg_yaml_lexer_YamlToken$().BeginDirective$1;
          if ((x$21 === x1)) {
            $m_scm_ListBuffer$();
            const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
            this.org$yaml$parser$YamlParser$$directiveArgs$1 = this$2.elems$1;
            this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
          } else {
            const x$23 = $m_Lorg_yaml_lexer_YamlToken$().EndDocument$1;
            if ((x$23 === x1)) {
              this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td))));
              return td
            } else {
              const x$25 = $m_Lorg_yaml_lexer_YamlToken$().EndComment$1;
              if ((x$25 === x1)) {
                return this.createComment__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
              } else {
                const x$27 = $m_Lorg_yaml_lexer_YamlToken$().EndSequence$1;
                if ((x$27 === x1)) {
                  return this.createSequence__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                } else {
                  const x$29 = $m_Lorg_yaml_lexer_YamlToken$().EndNode$1;
                  if ((x$29 === x1)) {
                    return this.createNode__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                  } else {
                    const x$31 = $m_Lorg_yaml_lexer_YamlToken$().EndScalar$1;
                    if ((x$31 === x1)) {
                      return this.createScalar__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                    } else {
                      const x$33 = $m_Lorg_yaml_lexer_YamlToken$().EndMapping$1;
                      if ((x$33 === x1)) {
                        return this.createMap__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                      } else {
                        const x$35 = $m_Lorg_yaml_lexer_YamlToken$().EndPair$1;
                        if ((x$35 === x1)) {
                          return this.createPair__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                        } else {
                          const x$37 = $m_Lorg_yaml_lexer_YamlToken$().EndAlias$1;
                          if ((x$37 === x1)) {
                            return this.createAlias__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                          } else {
                            const x$39 = $m_Lorg_yaml_lexer_YamlToken$().EndAnchor$1;
                            if ((x$39 === x1)) {
                              return this.createAnchor__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                            } else {
                              const x$41 = $m_Lorg_yaml_lexer_YamlToken$().EndTag$1;
                              if ((x$41 === x1)) {
                                return this.createTag__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                              } else {
                                const x$43 = $m_Lorg_yaml_lexer_YamlToken$().EndDirective$1;
                                if ((x$43 === x1)) {
                                  return this.createDirective__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                                } else {
                                  const x$45 = $m_Lorg_yaml_lexer_YamlToken$().Text$1;
                                  if ((x$45 === x1)) {
                                    const jsx$2 = this.textBuilder$1;
                                    const this$3 = this.lexer$1;
                                    const td$1 = this$3.$$undtokenData$1;
                                    jsx$2.append__O__scm_StringBuilder(this$3.input$1.subSequence__I__I__jl_CharSequence(td$1.start$1, td$1.end$1))
                                  } else {
                                    const x$47 = $m_Lorg_yaml_lexer_YamlToken$().LineFold$1;
                                    if ((x$47 === x1)) {
                                      this.textBuilder$1.append__C__scm_StringBuilder(32)
                                    } else {
                                      const x$49 = $m_Lorg_yaml_lexer_YamlToken$().LineFeed$1;
                                      if ((x$49 === x1)) {
                                        this.textBuilder$1.append__C__scm_StringBuilder(10)
                                      } else {
                                        const x$51 = $m_Lorg_yaml_lexer_YamlToken$().BeginEscape$1;
                                        if ((x$51 === x1)) {
                                          this.escaping$1 = true
                                        } else {
                                          const x$53 = $m_Lorg_yaml_lexer_YamlToken$().BeginHandle$1;
                                          if ((x$53 === x1)) {
                                            this.inHandle$1 = true
                                          } else {
                                            const x$55 = $m_Lorg_yaml_lexer_YamlToken$().EndHandle$1;
                                            if ((x$55 === x1)) {
                                              this.inHandle$1 = false
                                            } else {
                                              const x$57 = $m_Lorg_yaml_lexer_YamlToken$().MetaText$1;
                                              if ((x$57 === x1)) {
                                                const jsx$3 = this.metaTextBuilder$1;
                                                const this$4 = this.lexer$1;
                                                const td$2 = this$4.$$undtokenData$1;
                                                jsx$3.append__O__scm_StringBuilder(this$4.input$1.subSequence__I__I__jl_CharSequence(td$2.start$1, td$2.end$1))
                                              } else {
                                                const x$59 = $m_Lorg_yaml_lexer_YamlToken$().Indicator$1;
                                                if ((x$59 === x1)) {
                                                  if (((this.escaping$1 || this.inHandle$1) || this.inTag$1)) {
                                                    const jsx$4 = this.metaTextBuilder$1;
                                                    const this$5 = this.lexer$1;
                                                    const td$3 = this$5.$$undtokenData$1;
                                                    jsx$4.append__O__scm_StringBuilder(this$5.input$1.subSequence__I__I__jl_CharSequence(td$3.start$1, td$3.end$1))
                                                  } else {
                                                    const x$61 = this.prev$1.token$1;
                                                    const x$62 = $m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1;
                                                    if ((x$61 === x$62)) {
                                                      const this$6 = this.lexer$1;
                                                      const td$4 = this$6.$$undtokenData$1;
                                                      this.scalarMark$1 = $objectToString(this$6.input$1.subSequence__I__I__jl_CharSequence(td$4.start$1, td$4.end$1))
                                                    }
                                                  }
                                                } else {
                                                  const x$63 = $m_Lorg_yaml_lexer_YamlToken$().EndEscape$1;
                                                  if ((x$63 === x1)) {
                                                    const jsx$6 = this.textBuilder$1;
                                                    const jsx$5 = $m_Lorg_mulesoft_common_core_package$Strings$();
                                                    const str = this.buildMetaText__p1__T();
                                                    jsx$6.append__T__scm_StringBuilder(jsx$5.decode$extension1__T__Z__T(str, true));
                                                    this.escaping$1 = false
                                                  } else {
                                                    const x$65 = $m_Lorg_yaml_lexer_YamlToken$().LineBreak$1;
                                                    if ((x$65 === x1)) {
                                                      if (this.escaping$1) {
                                                        const this$8 = this.metaTextBuilder$1;
                                                        this$8.underlying$5.setLength__I__V(0)
                                                      }
                                                    } else {
                                                      const x$67 = $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1;
                                                      if ((x$67 === x1)) {
                                                        this.addDirectiveArg__p1__V()
                                                      }
                                                    }
                                                  }
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    };
    const jsx$7 = this.current$1;
    const this$9 = this.lexer$1;
    const td$5 = this$9.$$undtokenData$1;
    jsx$7.append__Lorg_mulesoft_lexer_TokenData__T__V(td, $objectToString(this$9.input$1.subSequence__I__I__jl_CharSequence(td$5.start$1, td$5.end$1)));
    return td
  };
  parse__Z__sc_IndexedSeq(keepTokens) {
    this.org$yaml$parser$YamlParser$$keepTokens$1 = keepTokens;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.current$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    this.stack$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    while (true) {
      const this$3 = this.lexer$1;
      const x = this$3.$$undtokenData$1.token$1;
      const x$2 = $m_Lorg_yaml_lexer_YamlToken$().EndStream$1;
      if ((!(x === x$2))) {
        const this$4 = this.lexer$1;
        this.prev$1 = this.process__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(this$4.$$undtokenData$1);
        this.lexer$1.advance__V()
      } else {
        break
      }
    };
    this.current$1.addNonContent__Lorg_mulesoft_lexer_TokenData__V(this.prev$1);
    const jsx$1 = $m_s_Predef$();
    const this$6 = this.current$1.parts$1;
    const len = this$6.size0$6;
    const result = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$6, result, 0);
    return jsx$1.wrapRefArray__AO__scm_WrappedArray(result)
  };
  pop__p1__Lorg_yaml_model_YPart__V(part) {
    this.stack$1 = this.stack$1.tail__O();
    this.current$1 = this.stack$1.head__O();
    this.current$1.parts$1.$$plus$eq__O__scm_ArrayBuffer(part)
  };
  createDirective__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.addDirectiveArg__p1__V();
    const parts = this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td);
    const pf = new $c_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1().init___Lorg_yaml_parser_YamlParser(this);
    const nonLocalReturnKey1 = new $c_O().init___();
    try {
      let i = 0;
      const len = parts.u.length;
      while ((i < len)) {
        const index = i;
        const arg1 = parts.u[index];
        const $default = $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f;
        const z = pf.applyOrElse__Lorg_yaml_model_YPart__F1__O(arg1, $default);
        if ((!$m_s_PartialFunction$().scala$PartialFunction$$fallbackOccurred__O__Z(z))) {
          throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1, new $c_s_Some().init___O(z))
        };
        i = ((1 + i) | 0)
      };
      $m_s_None$()
    } catch (e) {
      if ($is_sr_NonLocalReturnControl(e)) {
        const ex = e;
        if ((ex.key$2 === nonLocalReturnKey1)) {
          ex.value__O()
        } else {
          throw ex
        }
      } else {
        throw e
      }
    };
    const this$4 = this.org$yaml$parser$YamlParser$$directiveArgs$1;
    const jsx$2 = this$4.scala$collection$mutable$ListBuffer$$start$6.head__O();
    const jsx$1 = $m_s_Predef$();
    const this$5 = this.org$yaml$parser$YamlParser$$directiveArgs$1;
    const this$7 = $f_sc_TraversableLike__tail__O(this$5);
    const this$8 = this$7.scala$collection$mutable$ListBuffer$$start$6;
    const len$1 = $f_sc_LinearSeqOptimized__length__I(this$8);
    const result = $newArrayObject($d_T.getArrayOf(), [len$1]);
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$8, result, 0);
    this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YDirective().init___T__sc_IndexedSeq__sc_IndexedSeq(jsx$2, jsx$1.wrapRefArray__AO__scm_WrappedArray(result), $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts)));
    const this$9 = this.metaTextBuilder$1;
    this$9.underlying$5.setLength__I__V(0);
    this.org$yaml$parser$YamlParser$$directiveArgs$1 = null;
    return td
  };
  createNode__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const parts = this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td);
    const x = this.current$1.alias$1;
    const this$2 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const this$3 = this.aliases$1;
      const key = this.current$1.alias$1;
      const x1 = this$3.get__O__s_Option(key);
      let target;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const v = x2.value$2;
        target = v
      } else {
        const x$1 = $m_s_None$();
        if ((!(x$1 === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        target = $m_Lorg_yaml_model_YNode$().Null$1
      };
      this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YNode$Alias().init___T__Lorg_yaml_model_YNode__sc_IndexedSeq(this.current$1.alias$1, target, $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts)))
    } else {
      const tag = this.current$1.tag$1;
      const x$2 = this.includeTag$1;
      const this$5 = new $c_sci_StringOps().init___T(x$2);
      let n;
      if (($f_sc_TraversableOnce__nonEmpty__Z(this$5) && (tag.text$2 === this.includeTag$1))) {
        n = new $c_Lorg_yaml_model_YNode$MutRef().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__sc_IndexedSeq(this.current$1.value$1, tag, $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts))
      } else {
        $m_Lorg_yaml_model_YNode$();
        const v$1 = this.current$1.value$1;
        const a = this.current$1.anchor$1;
        const cs = $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts);
        n = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(v$1, tag, a, cs)
      };
      const this$7 = this.current$1.anchor$1;
      if ((!this$7.isEmpty__Z())) {
        const arg1 = this$7.get__O();
        const a$1 = arg1;
        const jsx$1 = this.aliases$1;
        const self = a$1.name$2;
        jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, n))
      };
      this.pop__p1__Lorg_yaml_model_YPart__V(n)
    };
    return td
  };
  addDirectiveArg__p1__V() {
    let jsx$1;
    if ((this.org$yaml$parser$YamlParser$$directiveArgs$1 !== null)) {
      const this$1 = this.metaTextBuilder$1;
      jsx$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$1)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const jsx$2 = this.org$yaml$parser$YamlParser$$directiveArgs$1;
      const this$2 = this.metaTextBuilder$1;
      const this$3 = this$2.underlying$5;
      jsx$2.$$plus$eq__O__scm_ListBuffer(this$3.content$1);
      const this$4 = this.metaTextBuilder$1;
      this$4.underlying$5.setLength__I__V(0)
    }
  };
  createSequence__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    $m_Lorg_yaml_model_YSequence$();
    const c = $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td));
    const v = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    this.pop__p1__Lorg_yaml_model_YPart__V(v);
    this.current$1.value$1 = v;
    this.current$1.tag$1 = this.tagFor__p1__Lorg_yaml_model_YTag__Lorg_yaml_model_YType__Lorg_yaml_model_YTag(this.current$1.tag$1, $m_Lorg_yaml_model_YType$().Seq$1);
    return td
  };
  push__p1__Lorg_mulesoft_lexer_TokenData__V(td) {
    this.current$1.addNonContent__Lorg_mulesoft_lexer_TokenData__V(this.prev$1);
    const this$1 = this.metaTextBuilder$1;
    this$1.underlying$5.setLength__I__V(0);
    const this$2 = this.textBuilder$1;
    this$2.underlying$5.setLength__I__V(0);
    this.lastBegin$1 = td.token$1;
    this.current$1 = new $c_Lorg_yaml_parser_YamlParser$Builder().init___Lorg_yaml_parser_YamlParser(this);
    const x$1 = this.current$1;
    const this$3 = this.stack$1;
    this.stack$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3)
  };
  createTag__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.inTag$1 = false;
    const t = $m_Lorg_yaml_model_YTag$().apply__T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq__Lorg_yaml_model_YTag(this.buildMetaText__p1__T(), this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td), this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td));
    this.pop__p1__Lorg_yaml_model_YPart__V(t);
    this.current$1.tag$1 = t;
    return td
  };
  createAlias__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const aliasName = this.buildMetaText__p1__T();
    const range = this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td);
    const ts = this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td);
    const alias = new $c_Lorg_yaml_model_YAnchor().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(aliasName, range, ts);
    this.pop__p1__Lorg_yaml_model_YPart__V(alias);
    this.current$1.alias$1 = aliasName;
    return td
  };
  tagFor__p1__Lorg_yaml_model_YTag__Lorg_yaml_model_YType__Lorg_yaml_model_YTag(tag, defaultType) {
    if ((tag === null)) {
      return defaultType.org$yaml$model$YType$$tag$und$1
    } else {
      const x = tag.tagType$2;
      const x$2 = $m_Lorg_yaml_model_YType$().Empty$1;
      if ((x === x$2)) {
        const x$4 = tag.text$2;
        const x$5 = tag.range$1;
        const x$6 = tag.tokens$1;
        return new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(x$4, defaultType, x$5, x$6)
      } else {
        return tag
      }
    }
  };
  createComment__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YComment().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(this.buildMetaText__p1__T(), this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td), this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td)));
    return td
  };
  createPair__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.pop__p1__Lorg_yaml_model_YPart__V($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td))));
    return td
  };
  createAnchor__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const name = this.buildMetaText__p1__T();
    const range = this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td);
    const ts = this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td);
    const anchor = new $c_Lorg_yaml_model_YAnchor().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(name, range, ts);
    this.pop__p1__Lorg_yaml_model_YPart__V(anchor);
    this.current$1.anchor$1 = new $c_s_Some().init___O(anchor);
    return td
  };
  createScalar__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.stack$1 = this.stack$1.tail__O();
    const c = this.stack$1.head__O();
    const parts = this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td);
    const b = new $c_Lorg_yaml_model_YScalar$Builder().init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(this.buildText__p1__T(), c.tag$1, this.scalarMark$1, $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts), this.org$yaml$parser$YamlParser$$eh$f);
    c.value$1 = b.scalar$1;
    c.tag$1 = b.tag$1;
    c.parts$1.$$plus$eq__O__scm_ArrayBuffer(b.scalar$1);
    this.current$1 = c;
    this.scalarMark$1 = "";
    return td
  };
  withIncludeTag__T__Lorg_yaml_parser_YamlParser(s) {
    this.includeTag$1 = s;
    return this
  };
  createMap__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    $m_Lorg_yaml_model_YMap$();
    const c = $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td));
    const v = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    this.pop__p1__Lorg_yaml_model_YPart__V(v);
    this.current$1.value$1 = v;
    this.current$1.tag$1 = this.tagFor__p1__Lorg_yaml_model_YTag__Lorg_yaml_model_YType__Lorg_yaml_model_YTag(this.current$1.tag$1, $m_Lorg_yaml_model_YType$().Map$1);
    return td
  };
  buildText__p1__T() {
    const this$1 = this.textBuilder$1;
    const this$2 = this$1.underlying$5;
    const r = this$2.content$1;
    const this$3 = this.textBuilder$1;
    this$3.underlying$5.setLength__I__V(0);
    return r
  };
}
const $d_Lorg_yaml_parser_YamlParser = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser: 0
}, false, "org.yaml.parser.YamlParser", {
  Lorg_yaml_parser_YamlParser: 1,
  O: 1
});
$c_Lorg_yaml_parser_YamlParser.prototype.$classData = $d_Lorg_yaml_parser_YamlParser;
class $c_Lorg_yaml_parser_YamlParser$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(s, eh) {
    const lexer = $m_Lorg_yaml_lexer_YamlLexer$().apply__jl_CharSequence__Lorg_yaml_lexer_YamlLexer(s);
    return new $c_Lorg_yaml_parser_YamlParser().init___Lorg_mulesoft_lexer_BaseLexer__Lorg_yaml_model_ParseErrorHandler(lexer, eh)
  };
}
const $d_Lorg_yaml_parser_YamlParser$ = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser$: 0
}, false, "org.yaml.parser.YamlParser$", {
  Lorg_yaml_parser_YamlParser$: 1,
  O: 1
});
$c_Lorg_yaml_parser_YamlParser$.prototype.$classData = $d_Lorg_yaml_parser_YamlParser$;
let $n_Lorg_yaml_parser_YamlParser$ = (void 0);
const $m_Lorg_yaml_parser_YamlParser$ = (function() {
  if ((!$n_Lorg_yaml_parser_YamlParser$)) {
    $n_Lorg_yaml_parser_YamlParser$ = new $c_Lorg_yaml_parser_YamlParser$().init___()
  };
  return $n_Lorg_yaml_parser_YamlParser$
});
class $c_Lorg_yaml_parser_YamlParser$Builder extends $c_O {
  constructor() {
    super();
    this.first$1 = null;
    this.tokens$1 = null;
    this.parts$1 = null;
    this.anchor$1 = null;
    this.alias$1 = null;
    this.tag$1 = null;
    this.value$1 = null;
    this.$$outer$1 = null
  };
  collectErrors__Lorg_yaml_model_YNonContent__V(nonContent) {
    const x1 = nonContent.tokens$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const x = x$2.tokenType$1;
        const x$3 = $m_Lorg_yaml_lexer_YamlToken$().Error$1;
        return (x === x$3)
      })
    })(this)));
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const astToken = x2.value$2;
        if ((astToken !== null)) {
          this.$$outer$1.org$yaml$parser$YamlParser$$eh$f.handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(nonContent, new $c_Lorg_yaml_model_LexerException().init___T__jl_Exception(astToken.text$1, null));
          break matchEnd5
        }
      }
    }
  };
  addNonContent__Lorg_mulesoft_lexer_TokenData__V(td) {
    const this$1 = this.tokens$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      const content = new $c_Lorg_yaml_model_YNonContent().init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(this.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td), this.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(null));
      this.parts$1.$$plus$eq__O__scm_ArrayBuffer(content);
      this.collectErrors__Lorg_yaml_model_YNonContent__V(content)
    }
  };
  buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td) {
    if ((td !== null)) {
      this.append__Lorg_mulesoft_lexer_TokenData__T__V(td, "")
    };
    const this$1 = this.tokens$1;
    if ($f_sc_IndexedSeqOptimized__isEmpty__Z(this$1)) {
      $m_s_package$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const this$5 = new $c_sci_VectorBuilder().init___();
      return this$5.result__sci_Vector()
    } else {
      const this$7 = this.tokens$1;
      const len = this$7.size0$6;
      const result = $newArrayObject($d_Lorg_mulesoft_lexer_AstToken.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$7, result, 0);
      const this$8 = this.tokens$1;
      $f_scm_ResizableArray__reduceToSize__I__V(this$8, 0);
      this.first$1 = null;
      return $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(result)
    }
  };
  buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td) {
    this.append__Lorg_mulesoft_lexer_TokenData__T__V(td, "");
    this.addNonContent__Lorg_mulesoft_lexer_TokenData__V(td);
    const this$1 = this.parts$1;
    if ($f_sc_IndexedSeqOptimized__isEmpty__Z(this$1)) {
      return $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [0])
    } else {
      const this$5 = this.parts$1;
      const len = this$5.size0$6;
      const result = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$5, result, 0);
      const this$6 = this.parts$1;
      $f_scm_ResizableArray__reduceToSize__I__V(this$6, 0);
      return result
    }
  };
  init___Lorg_yaml_parser_YamlParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.tokens$1 = new $c_scm_ArrayBuffer().init___();
    this.parts$1 = new $c_scm_ArrayBuffer().init___();
    this.anchor$1 = $m_s_None$();
    this.alias$1 = "";
    return this
  };
  append__Lorg_mulesoft_lexer_TokenData__T__V(td, text) {
    if (this.$$outer$1.org$yaml$parser$YamlParser$$keepTokens$1) {
      this.tokens$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_mulesoft_lexer_AstToken().init___Lorg_mulesoft_lexer_Token__T(td.token$1, text))
    };
    if ((this.first$1 === null)) {
      this.first$1 = td
    }
  };
}
const $is_Lorg_yaml_parser_YamlParser$Builder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_parser_YamlParser$Builder)))
});
const $isArrayOf_Lorg_yaml_parser_YamlParser$Builder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_parser_YamlParser$Builder)))
});
const $d_Lorg_yaml_parser_YamlParser$Builder = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser$Builder: 0
}, false, "org.yaml.parser.YamlParser$Builder", {
  Lorg_yaml_parser_YamlParser$Builder: 1,
  O: 1
});
$c_Lorg_yaml_parser_YamlParser$Builder.prototype.$classData = $d_Lorg_yaml_parser_YamlParser$Builder;
class $c_Lorg_yaml_render_JsonRender extends $c_O {
  constructor() {
    super();
    this.builder$1 = null;
    this.indentation$1 = 0
  };
  chopLastComma__p1__scm_StringBuilder() {
    const jsx$1 = this.builder$1;
    const this$1 = this.builder$1;
    const this$2 = this$1.underlying$5;
    const thiz = this$2.content$1;
    return jsx$1.deleteCharAt__I__scm_StringBuilder((((-2) + (thiz.length | 0)) | 0))
  };
  init___() {
    this.builder$1 = new $c_scm_StringBuilder().init___();
    this.indentation$1 = 0;
    return this
  };
  dedent__p1__V() {
    this.indentation$1 = (((-2) + this.indentation$1) | 0)
  };
  renderScalar__p1__Lorg_yaml_model_YType__Lorg_yaml_model_YScalar__V(t, scalar) {
    const x = $m_Lorg_yaml_model_YType$().Int$1;
    let jsx$2;
    if ((x === t)) {
      jsx$2 = true
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Bool$1;
      jsx$2 = (x$3 === t)
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = $objectToString(scalar.value$3)
    } else {
      const x$5 = $m_Lorg_yaml_model_YType$().Float$1;
      if ((x$5 === t)) {
        const s = $objectToString(scalar.value$3);
        jsx$1 = (($m_sjsr_RuntimeString$().indexOf__T__I__I(s, 46) === (-1)) ? (s + ".0") : s)
      } else {
        const x$7 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x$7 === t)) {
          jsx$1 = "null"
        } else {
          const jsx$4 = new $c_jl_Character().init___C(34);
          const jsx$3 = $m_Lorg_mulesoft_common_core_package$Strings$();
          const str = scalar.text$3;
          jsx$1 = ((("" + jsx$4) + jsx$3.encode$extension__T__T(str)) + new $c_jl_Character().init___C(34))
        }
      }
    };
    this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(jsx$1)
  };
  toString__T() {
    const this$1 = this.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
  renderIndent__p1__Lorg_yaml_render_JsonRender() {
    const end = this.indentation$1;
    const isEmpty$4 = (end <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const arg1 = i;
        this.builder$1.append__C__scm_StringBuilder(32);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return this
  };
  renderMap__p1__Lorg_yaml_model_YMap__Lorg_yaml_render_JsonRender(map) {
    return (map.entries$3.isEmpty__Z() ? this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("{}") : (this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("{\n"), this.indent__p1__V(), map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return $this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(e.key$1).org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(": ").org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(e.value$1).org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(",\n")
      })
    })(this))), this.chopLastComma__p1__scm_StringBuilder(), this.dedent__p1__V(), this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("}")))
  };
  renderSeq__p1__Lorg_yaml_model_YSequence__Lorg_yaml_render_JsonRender(seq) {
    return (seq.nodes$3.isEmpty__Z() ? this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("[]") : (this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("[\n"), this.indent__p1__V(), seq.nodes$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(x$1).org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(",\n")
      })
    })(this))), this.chopLastComma__p1__scm_StringBuilder(), this.dedent__p1__V(), this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("]")))
  };
  org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(value) {
    this.builder$1.append__T__scm_StringBuilder(value);
    return this
  };
  indent__p1__V() {
    this.indentation$1 = ((2 + this.indentation$1) | 0)
  };
  org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YMap(x1)) {
      const x2 = x1;
      this.renderMap__p1__Lorg_yaml_model_YMap__Lorg_yaml_render_JsonRender(x2)
    } else if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x3 = x1;
      this.renderSeq__p1__Lorg_yaml_model_YSequence__Lorg_yaml_render_JsonRender(x3)
    } else if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x4 = x1;
      this.renderScalar__p1__Lorg_yaml_model_YType__Lorg_yaml_model_YScalar__V(node.tag__Lorg_yaml_model_YTag().tagType$2, x4)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    return this
  };
}
const $d_Lorg_yaml_render_JsonRender = new $TypeData().initClass({
  Lorg_yaml_render_JsonRender: 0
}, false, "org.yaml.render.JsonRender", {
  Lorg_yaml_render_JsonRender: 1,
  O: 1
});
$c_Lorg_yaml_render_JsonRender.prototype.$classData = $d_Lorg_yaml_render_JsonRender;
class $c_Lorg_yaml_render_JsonRender$ extends $c_O {
  init___() {
    return this
  };
  render__Lorg_yaml_model_YDocument__T(doc) {
    const builder = new $c_Lorg_yaml_render_JsonRender().init___();
    builder.org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(doc.node$3).org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("\n");
    const this$1 = builder.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
}
const $d_Lorg_yaml_render_JsonRender$ = new $TypeData().initClass({
  Lorg_yaml_render_JsonRender$: 0
}, false, "org.yaml.render.JsonRender$", {
  Lorg_yaml_render_JsonRender$: 1,
  O: 1
});
$c_Lorg_yaml_render_JsonRender$.prototype.$classData = $d_Lorg_yaml_render_JsonRender$;
let $n_Lorg_yaml_render_JsonRender$ = (void 0);
const $m_Lorg_yaml_render_JsonRender$ = (function() {
  if ((!$n_Lorg_yaml_render_JsonRender$)) {
    $n_Lorg_yaml_render_JsonRender$ = new $c_Lorg_yaml_render_JsonRender$().init___()
  };
  return $n_Lorg_yaml_render_JsonRender$
});
class $c_Lorg_yaml_render_YamlRender extends $c_O {
  constructor() {
    super();
    this.expandReferences$1 = false;
    this.builder$1 = null;
    this.indentation$1 = 0;
    this.hasDirectives$1 = false;
    this.endDocument$1 = false
  };
  renderTokens__p1__sc_IndexedSeq__Z(tks) {
    const hasTokens = $f_sc_TraversableOnce__nonEmpty__Z(tks);
    if (hasTokens) {
      tks.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(t$2) {
          const t = t$2;
          $this.render__p1__T__Lorg_yaml_render_YamlRender(t.text$1)
        })
      })(this)))
    };
    return hasTokens
  };
  renderMapEntry__p1__Lorg_yaml_model_YMapEntry__V(e) {
    const key = e.key$1;
    const x1 = key.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      this.renderTag__p1__Lorg_yaml_model_YTag__O(key.tag__Lorg_yaml_model_YTag());
      const this$1 = key.anchor__s_Option();
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const r = arg1;
        this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(r)
      };
      const thiz = x2.text$3;
      if (((thiz.indexOf("\n") | 0) !== (-1))) {
        const jsx$2 = new $c_jl_Character().init___C(34);
        const jsx$1 = $m_Lorg_mulesoft_common_core_package$Strings$();
        const str = x2.text$3;
        this.render__p1__T__Lorg_yaml_render_YamlRender(((("" + jsx$2) + jsx$1.encode$extension__T__T(str)) + new $c_jl_Character().init___C(34)))
      } else {
        this.renderScalar__p1__Lorg_yaml_model_YScalar__V(x2)
      };
      this.render__p1__T__Lorg_yaml_render_YamlRender(": ")
    } else {
      this.render__p1__T__Lorg_yaml_render_YamlRender("?").org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(key).renderNewLine__p1__Lorg_yaml_render_YamlRender().renderIndent__p1__Lorg_yaml_render_YamlRender().render__p1__T__Lorg_yaml_render_YamlRender(": ")
    };
    const value = e.value$1;
    const x1$2 = e.children$1.dropWhile__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, key$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (x$1 !== key$1)
      })
    })(this, key))).tail__O().span__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, value$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return (x$2 !== value$1)
      })
    })(this, value)));
    if ((x1$2 === null)) {
      throw new $c_s_MatchError().init___O(x1$2)
    };
    const before = x1$2.$$und1__O();
    const tail = x1$2.$$und2__O();
    const after = tail.tail__O();
    this.indent__p1__V();
    before.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(c$2) {
        const c = c$2;
        return this$4$1.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(c).renderIndent__p1__Lorg_yaml_render_YamlRender()
      })
    })(this)));
    this.dedent__p1__V();
    const x = value.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$4 = $m_Lorg_yaml_model_YType$().Null$1;
    let jsx$3;
    if ((x === x$4)) {
      const thiz$1 = value.toString__T();
      if ((thiz$1 === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      jsx$3 = (thiz$1 === "")
    } else {
      jsx$3 = false
    };
    if (((jsx$3 && before.isEmpty__Z()) && after.isEmpty__Z())) {
      this.chopLast__p1__V()
    } else {
      this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(value)
    };
    if ($f_sc_TraversableOnce__nonEmpty__Z(after)) {
      this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(after.head__O());
      this.indent__p1__V();
      after.tail__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
        return (function(c$3$2) {
          const c$3 = c$3$2;
          return this$5$1.renderIndent__p1__Lorg_yaml_render_YamlRender().org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(c$3)
        })
      })(this)));
      this.dedent__p1__V();
      this.chopLast__p1__V()
    }
  };
  renderTag__p1__Lorg_yaml_model_YTag__O(t) {
    return (((!this.renderTokens__p1__sc_IndexedSeq__Z(t.tokens$1)) && (!t.synthesized__Z())) ? this.render__p1__T__Lorg_yaml_render_YamlRender((t.text$2 + " ")) : (void 0))
  };
  renderSeq__p1__Lorg_yaml_model_YSequence__V(seq) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(seq))) {
      if (seq.nodes$3.isEmpty__Z()) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("[]")
      } else {
        this.indent__p1__V();
        this.chopLast__p1__V();
        seq.children$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(e$2) {
            const e = e$2;
            if ($is_Lorg_yaml_model_YNode(e)) {
              const x2 = e;
              return $this.renderNewLine__p1__Lorg_yaml_render_YamlRender().renderIndent__p1__Lorg_yaml_render_YamlRender().render__p1__T__Lorg_yaml_render_YamlRender("- ").org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(x2)
            } else if ($is_Lorg_yaml_model_YComment(e)) {
              const x3 = e;
              return $this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(x3)
            } else {
              return (void 0)
            }
          })
        })(this)));
        this.dedent__p1__V()
      }
    }
  };
  doRenderParts__p1__sc_IndexedSeq__V(children) {
    children.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(part$2) {
        const part = part$2;
        return $this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(part)
      })
    })(this)))
  };
  dedent__p1__V() {
    this.indentation$1 = (((-2) + this.indentation$1) | 0)
  };
  toString__T() {
    const this$1 = this.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
  renderNewLine__p1__Lorg_yaml_render_YamlRender() {
    const this$1 = this.builder$1;
    let jsx$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      const this$2 = this.builder$1;
      const c = $f_sc_IndexedSeqOptimized__last__O(this$2);
      let jsx$2;
      if ((c === null)) {
        jsx$2 = 0
      } else {
        const this$4 = c;
        jsx$2 = this$4.value$1
      };
      jsx$1 = (jsx$2 !== 10)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      this.builder$1.append__C__scm_StringBuilder(10)
    };
    return this
  };
  org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(part) {
    this.checkEndDocument__p1__Lorg_yaml_model_YPart__O(part);
    if ($is_Lorg_yaml_model_YComment(part)) {
      const x2 = part;
      const text = x2.metaText$3;
      const tokens = x2.tokens$3;
      this.renderComment__p1__T__sc_IndexedSeq__O(text, tokens)
    } else if ($is_Lorg_yaml_model_YNonContent(part)) {
      const x4 = part;
      const tokens$2 = x4.tokens$3;
      tokens$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(t$2) {
          const t = t$2;
          $this.render__p1__T__Lorg_yaml_render_YamlRender(t.text$1)
        })
      })(this)))
    } else if ($is_Lorg_yaml_model_YDocument(part)) {
      const x6 = part;
      const parts = x6.children$3;
      this.renderDocument__p1__sc_IndexedSeq__V(parts)
    } else if ($is_Lorg_yaml_model_YDirective(part)) {
      const x7 = part;
      this.renderDirective__p1__Lorg_yaml_model_YDirective__V(x7)
    } else if ($is_Lorg_yaml_model_YSequence(part)) {
      const x8 = part;
      this.renderSeq__p1__Lorg_yaml_model_YSequence__V(x8)
    } else if ($is_Lorg_yaml_model_YMap(part)) {
      const x9 = part;
      this.renderMap__p1__Lorg_yaml_model_YMap__V(x9)
    } else if ($is_Lorg_yaml_model_YMapEntry(part)) {
      const x10 = part;
      this.doRenderParts__p1__sc_IndexedSeq__V(x10.children$1)
    } else if ($is_Lorg_yaml_model_YScalar(part)) {
      const x11 = part;
      this.renderScalar__p1__Lorg_yaml_model_YScalar__V(x11)
    } else if ($is_Lorg_yaml_model_YTag(part)) {
      const x12 = part;
      this.renderTag__p1__Lorg_yaml_model_YTag__O(x12)
    } else if ($is_Lorg_yaml_model_YAnchor(part)) {
      const x13 = part;
      this.renderAnchor__p1__Lorg_yaml_model_YAnchor__O(x13)
    } else if ($is_Lorg_yaml_model_YNode(part)) {
      const x14 = part;
      this.renderNode__p1__Lorg_yaml_model_YNode__V(x14)
    } else {
      throw new $c_s_MatchError().init___O(part)
    };
    return this
  };
  renderDocument__p1__sc_IndexedSeq__V(parts) {
    this.doRenderParts__p1__sc_IndexedSeq__V(parts);
    const this$1 = this.builder$1;
    const c = $f_sc_IndexedSeqOptimized__last__O(this$1);
    let jsx$1;
    if ((c === null)) {
      jsx$1 = 0
    } else {
      const this$3 = c;
      jsx$1 = this$3.value$1
    };
    if ((jsx$1 !== 10)) {
      this.render__p1__T__Lorg_yaml_render_YamlRender("\n")
    };
    this.endDocument$1 = true
  };
  renderDirective__p1__Lorg_yaml_model_YDirective__V(d) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(d))) {
      this.render__p1__T__Lorg_yaml_render_YamlRender(d.toString__T()).renderNewLine__p1__Lorg_yaml_render_YamlRender()
    };
    this.hasDirectives$1 = true
  };
  renderParts__p1__Lorg_yaml_model_YPart__Z(parts) {
    const nodes = parts.children__sc_IndexedSeq();
    const hasTokens = ($f_sc_TraversableOnce__nonEmpty__Z(nodes) && $is_Lorg_yaml_model_YNonContent(nodes.head__O()));
    if (hasTokens) {
      this.doRenderParts__p1__sc_IndexedSeq__V(nodes)
    };
    return hasTokens
  };
  checkEndDocument__p1__Lorg_yaml_model_YPart__O(part) {
    if (this.endDocument$1) {
      this.endDocument$1 = false;
      this.render__p1__T__Lorg_yaml_render_YamlRender("...\n");
      if ($is_Lorg_yaml_model_YDocument(part)) {
        const x2 = part;
        const x = x2.tagType$3;
        const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x === x$2)) {
          return this.render__p1__T__Lorg_yaml_render_YamlRender("---\n")
        }
      };
      return (void 0)
    } else {
      return (void 0)
    }
  };
  renderNode__p1__Lorg_yaml_model_YNode__V(n) {
    if (((this.expandReferences$1 && $is_Lorg_yaml_model_YNode$Ref(n)) || (!this.renderParts__p1__Lorg_yaml_model_YPart__Z(n)))) {
      if (this.hasDirectives$1) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("---\n");
        this.hasDirectives$1 = false
      };
      matchEnd5: {
        if ($is_Lorg_yaml_model_YNode$Alias(n)) {
          const x2 = n;
          if (this.expandReferences$1) {
            this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(x2.target$5);
            (void 0)
          } else {
            this.render__p1__T__Lorg_yaml_render_YamlRender(x2.toString__T());
            (void 0)
          };
          break matchEnd5
        };
        if ($is_Lorg_yaml_model_YNode$MutRef(n)) {
          const x3 = n;
          if ((this.expandReferences$1 && x3.target$5.isDefined__Z())) {
            this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(x3.target$5.get__O());
            break matchEnd5
          }
        };
        this.doRenderParts__p1__sc_IndexedSeq__V(n.children$3)
      }
    }
  };
  renderAnchor__p1__Lorg_yaml_model_YAnchor__O(anchor) {
    return ((!this.renderTokens__p1__sc_IndexedSeq__Z(anchor.tokens$1)) ? this.render__p1__T__Lorg_yaml_render_YamlRender($m_s_Predef$any2stringadd$().$$plus$extension__O__T__T(anchor, " ")) : (void 0))
  };
  renderIndent__p1__Lorg_yaml_render_YamlRender() {
    const end = this.indentation$1;
    const isEmpty$4 = (end <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const arg1 = i;
        this.builder$1.append__C__scm_StringBuilder(32);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return this
  };
  render__p1__T__Lorg_yaml_render_YamlRender(value) {
    this.builder$1.append__T__scm_StringBuilder(value);
    return this
  };
  chopLast__p1__V() {
    const this$1 = this.builder$1;
    const this$2 = this$1.underlying$5;
    const thiz = this$2.content$1;
    const last = (((-1) + (thiz.length | 0)) | 0);
    let jsx$1;
    if ((last >= 0)) {
      const this$4 = this.builder$1;
      const this$5 = this$4.underlying$5;
      const thiz$1 = this$5.content$1;
      const c = (65535 & (thiz$1.charCodeAt(last) | 0));
      const this$9 = $m_jl_Character$();
      jsx$1 = this$9.isWhitespace__I__Z(c)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$10 = this.builder$1;
      this$10.underlying$5.setLength__I__V(last)
    }
  };
  renderScalar__p1__Lorg_yaml_model_YScalar__V(scalar) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(scalar))) {
      const x1 = $m_Lorg_yaml_render_YamlRender$().org$yaml$render$YamlRender$$analyzeScalar__Lorg_yaml_model_YScalar__I(scalar);
      switch (x1) {
        case 2: {
          this.render__p1__T__Lorg_yaml_render_YamlRender(scalar.text$3);
          break
        }
        case 1: {
          const jsx$2 = new $c_jl_Character().init___C(34);
          const jsx$1 = $m_Lorg_mulesoft_common_core_package$Strings$();
          const str = scalar.text$3;
          this.render__p1__T__Lorg_yaml_render_YamlRender(((("" + jsx$2) + jsx$1.encode$extension__T__T(str)) + new $c_jl_Character().init___C(34)));
          break
        }
        case 3: {
          this.renderAsLiteral__p1__Lorg_yaml_model_YScalar__V(scalar);
          break
        }
        default: {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  };
  init___Z(expandReferences) {
    this.expandReferences$1 = expandReferences;
    this.builder$1 = new $c_scm_StringBuilder().init___();
    this.indentation$1 = (-2);
    this.hasDirectives$1 = false;
    this.endDocument$1 = false;
    return this
  };
  renderAsLiteral__p1__Lorg_yaml_model_YScalar__V(scalar) {
    const text = scalar.text$3;
    if ((this.indentation$1 < 0)) {
      this.indentation$1 = 0
    };
    this.render__p1__T__Lorg_yaml_render_YamlRender("|");
    this.indent__p1__V();
    const l = (text.length | 0);
    const this$3 = new $c_sci_StringOps().init___T(text);
    const c = $f_sc_IndexedSeqOptimized__head__O(this$3);
    let jsx$1;
    if ((c === null)) {
      jsx$1 = 0
    } else {
      const this$5 = c;
      jsx$1 = this$5.value$1
    };
    if ((jsx$1 === 32)) {
      const this$6 = this.indentation$1;
      this.render__p1__T__Lorg_yaml_render_YamlRender(("" + this$6))
    };
    const index = (((-1) + l) | 0);
    if (((65535 & (text.charCodeAt(index) | 0)) !== 10)) {
      this.render__p1__T__Lorg_yaml_render_YamlRender("-")
    } else {
      let jsx$2;
      if ((l > 1)) {
        const index$1 = (((-2) + l) | 0);
        jsx$2 = ((65535 & (text.charCodeAt(index$1) | 0)) === 10)
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("+")
      }
    };
    const this$14 = scalar.children$2;
    const pf = new $c_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2().init___Lorg_yaml_render_YamlRender(this);
    const this$15 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$14, pf);
    this.render__p1__T__Lorg_yaml_render_YamlRender((this$15.isEmpty__Z() ? "" : this$15.get__O()));
    let start = 0;
    let end = 0;
    do {
      end = $m_sjsr_RuntimeString$().indexOf__T__I__I__I(text, 10, start);
      let str;
      if ((end === (-1))) {
        const beginIndex = start;
        str = text.substring(beginIndex)
      } else {
        const beginIndex$1 = start;
        const endIndex = end;
        str = text.substring(beginIndex$1, endIndex)
      };
      this.render__p1__T__Lorg_yaml_render_YamlRender("\n");
      const this$21 = new $c_sci_StringOps().init___T(str);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$21)) {
        this.renderIndent__p1__Lorg_yaml_render_YamlRender().render__p1__T__Lorg_yaml_render_YamlRender(str)
      };
      start = ((1 + end) | 0)
    } while ((end !== (-1)));
    this.dedent__p1__V()
  };
  renderMap__p1__Lorg_yaml_model_YMap__V(map) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(map))) {
      if (map.entries$3.isEmpty__Z()) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("{}")
      } else {
        this.indent__p1__V();
        this.chopLast__p1__V();
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(e$2) {
            const e = e$2;
            $this.renderNewLine__p1__Lorg_yaml_render_YamlRender().renderIndent__p1__Lorg_yaml_render_YamlRender().renderMapEntry__p1__Lorg_yaml_model_YMapEntry__V(e)
          })
        })(this)));
        this.dedent__p1__V()
      }
    }
  };
  renderComment__p1__T__sc_IndexedSeq__O(text, tks) {
    if ((!this.renderTokens__p1__sc_IndexedSeq__Z(tks))) {
      const this$1 = this.builder$1;
      let jsx$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
        const this$2 = this.builder$1;
        const c = $f_sc_IndexedSeqOptimized__last__O(this$2);
        let c$1;
        if ((c === null)) {
          c$1 = 0
        } else {
          const this$4 = c;
          c$1 = this$4.value$1
        };
        const this$7 = $m_jl_Character$();
        jsx$1 = (!this$7.isWhitespace__I__Z(c$1))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        this.render__p1__T__Lorg_yaml_render_YamlRender(" ")
      };
      return this.render__p1__T__Lorg_yaml_render_YamlRender((("#" + text) + new $c_jl_Character().init___C(10)))
    } else {
      return (void 0)
    }
  };
  indent__p1__V() {
    this.indentation$1 = ((2 + this.indentation$1) | 0)
  };
}
const $d_Lorg_yaml_render_YamlRender = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender: 0
}, false, "org.yaml.render.YamlRender", {
  Lorg_yaml_render_YamlRender: 1,
  O: 1
});
$c_Lorg_yaml_render_YamlRender.prototype.$classData = $d_Lorg_yaml_render_YamlRender;
class $c_Lorg_yaml_render_YamlRender$ extends $c_O {
  init___() {
    return this
  };
  org$yaml$render$YamlRender$$analyzeScalar__Lorg_yaml_model_YScalar__I(scalar) {
    const nonLocalReturnKey1 = new $c_O().init___();
    try {
      const text = scalar.text$3;
      const l = (text.length | 0);
      if ((l === 0)) {
        return (scalar.plain$3 ? 2 : 1)
      };
      const this$3 = new $c_sci_StringOps().init___T(text);
      const c = $f_sc_IndexedSeqOptimized__head__O(this$3);
      let jsx$1;
      if ((c === null)) {
        jsx$1 = 0
      } else {
        const this$5 = c;
        jsx$1 = this$5.value$1
      };
      if (((jsx$1 === 32) || $m_sjsr_RuntimeString$().endsWith__T__T__Z(text, "\n\n"))) {
        return 1
      };
      let elem$1 = false;
      elem$1 = true;
      let elem$1$1 = false;
      elem$1$1 = true;
      let elem$1$2 = false;
      elem$1$2 = true;
      const this$10 = new $c_sci_StringOps().init___T(text);
      let i = 0;
      const $$this = this$10.repr$1;
      const len = ($$this.length | 0);
      while ((i < len)) {
        const arg1 = this$10.apply__I__O(i);
        let c$1;
        if ((arg1 === null)) {
          c$1 = 0
        } else {
          const this$14 = arg1;
          c$1 = this$14.value$1
        };
        switch (c$1) {
          case 10: {
            elem$1 = false;
            break
          }
          case 9: {
            elem$1$2 = false;
            break
          }
          case 13: {
            throw new $c_sr_NonLocalReturnControl$mcI$sp().init___O__I(nonLocalReturnKey1, 1);
            break
          }
          default: {
            if ((!$m_Lorg_yaml_lexer_YamlCharRules$().isCPrintable__I__Z(c$1))) {
              throw new $c_sr_NonLocalReturnControl$mcI$sp().init___O__I(nonLocalReturnKey1, 1)
            } else {
              elem$1$1 = false
            }
          }
        };
        i = ((1 + i) | 0)
      };
      if (elem$1) {
        let jsx$2;
        if ((scalar.plain$3 && elem$1$2)) {
          const this$16 = new $c_sci_StringOps().init___T(text);
          const c$2 = $f_sc_IndexedSeqOptimized__last__O(this$16);
          let jsx$3;
          if ((c$2 === null)) {
            jsx$3 = 0
          } else {
            const this$18 = c$2;
            jsx$3 = this$18.value$1
          };
          jsx$2 = (jsx$3 !== 32)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          return 2
        } else {
          return 1
        }
      } else {
        return (elem$1$1 ? 1 : 3)
      }
    } catch (e) {
      if ($is_sr_NonLocalReturnControl(e)) {
        const ex = e;
        if ((ex.key$2 === nonLocalReturnKey1)) {
          return ex.value$mcI$sp__I()
        } else {
          throw ex
        }
      } else {
        throw e
      }
    }
  };
  render__Lorg_yaml_model_YPart__Z__T(part, expandReferences) {
    const render = new $c_Lorg_yaml_render_YamlRender().init___Z(expandReferences);
    render.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__Lorg_yaml_render_YamlRender(part);
    const this$1 = render.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
}
const $d_Lorg_yaml_render_YamlRender$ = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender$: 0
}, false, "org.yaml.render.YamlRender$", {
  Lorg_yaml_render_YamlRender$: 1,
  O: 1
});
$c_Lorg_yaml_render_YamlRender$.prototype.$classData = $d_Lorg_yaml_render_YamlRender$;
let $n_Lorg_yaml_render_YamlRender$ = (void 0);
const $m_Lorg_yaml_render_YamlRender$ = (function() {
  if ((!$n_Lorg_yaml_render_YamlRender$)) {
    $n_Lorg_yaml_render_YamlRender$ = new $c_Lorg_yaml_render_YamlRender$().init___()
  };
  return $n_Lorg_yaml_render_YamlRender$
});
class $c_Lscopt_OptionDef extends $c_O {
  constructor() {
    super();
    this.$$undparser$1 = null;
    this.$$undid$1 = 0;
    this.$$undkind$1 = null;
    this.$$undname$1 = null;
    this.$$undshortOpt$1 = null;
    this.$$undkeyName$1 = null;
    this.$$undvalueName$1 = null;
    this.$$unddesc$1 = null;
    this.$$undaction$1 = null;
    this.$$undvalidations$1 = null;
    this.$$undconfigValidations$1 = null;
    this.$$undparentId$1 = null;
    this.$$undminOccurs$1 = 0;
    this.$$undmaxOccurs$1 = 0;
    this.$$undisHidden$1 = false;
    this.$$undfallback$1 = null;
    this.evidence$13$1 = null;
    this.kind$1 = null;
    this.id$1 = 0;
    this.name$1 = null
  };
  token__I__sc_Seq__s_Option(i, args) {
    let jsx$1;
    if ((i >= args.length__I())) {
      jsx$1 = true
    } else {
      const x = this.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      jsx$1 = (!((x !== null) && (x === x$2)))
    };
    if (jsx$1) {
      return $m_s_None$()
    } else {
      return new $c_s_Some().init___O(args.apply__I__O(i))
    }
  };
  copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(_parser, _id, _kind, _name, _shortOpt, _keyName, _valueName, _desc, _action, _validations, _configValidations, _parentId, _minOccurs, _maxOccurs, _isHidden, _fallback) {
    return new $c_Lscopt_OptionDef().init___Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_Read(_parser, _id, _kind, _name, _shortOpt, _keyName, _valueName, _desc, _action, _validations, _configValidations, _parentId, _minOccurs, _maxOccurs, _isHidden, _fallback, this.evidence$13$1)
  };
  validate__F1__Lscopt_OptionDef(f) {
    const jsx$2 = this.$$undparser$1;
    const jsx$1 = this.$$undvalidations$1;
    const this$1 = $m_sc_Seq$();
    const x$187 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(f, this$1.ReusableCBFInstance$2);
    const x$188 = this.$$undparser$1;
    const x$189 = this.$$undid$1;
    const x$190 = this.$$undkind$1;
    const x$191 = this.$$undname$1;
    const x$192 = this.$$undshortOpt$1;
    const x$193 = this.$$undkeyName$1;
    const x$194 = this.$$undvalueName$1;
    const x$195 = this.$$unddesc$1;
    const x$196 = this.$$undaction$1;
    const x$197 = this.$$undconfigValidations$1;
    const x$198 = this.$$undparentId$1;
    const x$199 = this.$$undminOccurs$1;
    const x$200 = this.$$undmaxOccurs$1;
    const x$201 = this.$$undisHidden$1;
    const x$202 = this.$$undfallback$1;
    return jsx$2.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$188, x$189, x$190, x$191, x$192, x$193, x$194, x$195, x$196, x$187, x$197, x$198, x$199, x$200, x$201, x$202), this.evidence$13$1)
  };
  applyArgument__T__O__s_util_Either(arg, config) {
    try {
      const x = this.read__p1__Lscopt_Read().reads__F1().apply__O__O(arg);
      const x1 = $m_Lscopt_Validation$().validateValue__sc_Seq__O__s_util_Either(this.$$undvalidations$1, x);
      if ($is_s_util_Right(x1)) {
        $m_s_package$();
        const value = this.$$undaction$1.apply__O__O__O(x, config);
        return new $c_s_util_Right().init___O(value)
      } else if ($is_s_util_Left(x1)) {
        const x4 = x1;
        const xs = x4.value$2;
        $m_s_package$();
        return new $c_s_util_Left().init___O(xs)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        $m_Lscopt_platform$();
        const x$1 = this.shortDescription__T();
        const this$4 = new $c_sci_StringOps().init___T(x$1);
        const desc = $f_sci_StringLike__capitalize__T(this$4);
        const catchExpr$1 = new $c_Lscopt_platform$$anonfun$applyArgumentExHandler$1().init___T__T(desc, arg);
        if (catchExpr$1.isDefinedAt__jl_Throwable__Z(e$2)) {
          const $default = $m_s_PartialFunction$().empty$undpf$1;
          return catchExpr$1.applyOrElse__jl_Throwable__F1__O(e$2, $default)
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
  tokensToRead__I__sc_Seq__I(i, args) {
    let jsx$1;
    if ((i >= args.length__I())) {
      jsx$1 = true
    } else {
      const x = this.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      jsx$1 = (!((x !== null) && (x === x$2)))
    };
    if (jsx$1) {
      return 0
    } else {
      const x1 = args.apply__I__O(i);
      return ((this.longOptTokens__T__I(x1) > 0) ? this.longOptTokens__T__I(x1) : ((this.shortOptTokens__T__I(x1) > 0) ? this.shortOptTokens__T__I(x1) : 0))
    }
  };
  toString__T() {
    return this.fullName__T()
  };
  action__F2__Lscopt_OptionDef(f) {
    const jsx$1 = this.$$undparser$1;
    const x$59 = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, f$1) {
      return (function(a$2, c$2) {
        return f$1.apply__O__O__O(a$2, $this.$$undaction$1.apply__O__O__O(a$2, c$2))
      })
    })(this, f));
    const x$60 = this.$$undparser$1;
    const x$61 = this.$$undid$1;
    const x$62 = this.$$undkind$1;
    const x$63 = this.$$undname$1;
    const x$64 = this.$$undshortOpt$1;
    const x$65 = this.$$undkeyName$1;
    const x$66 = this.$$undvalueName$1;
    const x$67 = this.$$unddesc$1;
    const x$68 = this.$$undvalidations$1;
    const x$69 = this.$$undconfigValidations$1;
    const x$70 = this.$$undparentId$1;
    const x$71 = this.$$undminOccurs$1;
    const x$72 = this.$$undmaxOccurs$1;
    const x$73 = this.$$undisHidden$1;
    const x$74 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$60, x$61, x$62, x$63, x$64, x$65, x$66, x$67, x$59, x$68, x$69, x$70, x$71, x$72, x$73, x$74), this.evidence$13$1)
  };
  argName__T() {
    const x1 = this.kind$1;
    const x = $m_Lscopt_Arg$();
    if (((x === x1) && (this.$$undminOccurs$1 === 0))) {
      return (("[" + this.fullName__T()) + "]")
    } else {
      return this.fullName__T()
    }
  };
  keyValueString__T() {
    const this$1 = this.$$undkeyName$1;
    return (((this$1.isEmpty__Z() ? $m_Lscopt_OptionDef$().defaultKeyName$1 : this$1.get__O()) + "=") + this.valueString__T())
  };
  text__T__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$140 = this.$$undparser$1;
    const x$141 = this.$$undid$1;
    const x$142 = this.$$undkind$1;
    const x$143 = this.$$undname$1;
    const x$144 = this.$$undshortOpt$1;
    const x$145 = this.$$undkeyName$1;
    const x$146 = this.$$undvalueName$1;
    const x$147 = this.$$undaction$1;
    const x$148 = this.$$undvalidations$1;
    const x$149 = this.$$undconfigValidations$1;
    const x$150 = this.$$undparentId$1;
    const x$151 = this.$$undminOccurs$1;
    const x$152 = this.$$undmaxOccurs$1;
    const x$153 = this.$$undisHidden$1;
    const x$154 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$140, x$141, x$142, x$143, x$144, x$145, x$146, x, x$147, x$148, x$149, x$150, x$151, x$152, x$153, x$154), this.evidence$13$1)
  };
  minOccurs__I__Lscopt_OptionDef(n) {
    const jsx$1 = this.$$undparser$1;
    const x$108 = this.$$undparser$1;
    const x$109 = this.$$undid$1;
    const x$110 = this.$$undkind$1;
    const x$111 = this.$$undname$1;
    const x$112 = this.$$undshortOpt$1;
    const x$113 = this.$$undkeyName$1;
    const x$114 = this.$$undvalueName$1;
    const x$115 = this.$$unddesc$1;
    const x$116 = this.$$undaction$1;
    const x$117 = this.$$undvalidations$1;
    const x$118 = this.$$undconfigValidations$1;
    const x$119 = this.$$undparentId$1;
    const x$120 = this.$$undmaxOccurs$1;
    const x$121 = this.$$undisHidden$1;
    const x$122 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$108, x$109, x$110, x$111, x$112, x$113, x$114, x$115, x$116, x$117, x$118, x$119, n, x$120, x$121, x$122), this.evidence$13$1)
  };
  usage__T() {
    let rc11 = false;
    let x7 = null;
    const x1 = this.kind$1;
    const x = $m_Lscopt_Head$();
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lscopt_Note$();
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lscopt_Check$();
        jsx$1 = (x$5 === x1)
      }
    };
    if (jsx$1) {
      return this.$$unddesc$1
    };
    const x$7 = $m_Lscopt_Cmd$();
    if ((x$7 === x1)) {
      return ((("Command: " + this.$$undparser$1.commandExample__s_Option__T(new $c_s_Some().init___O(this))) + $m_Lscopt_OptionDef$().NL$1) + this.$$unddesc$1)
    };
    const x$9 = $m_Lscopt_Arg$();
    if ((x$9 === x1)) {
      return (((("" + $m_Lscopt_OptionDef$().WW$1) + this.name$1) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
    };
    const x$11 = $m_Lscopt_Opt$();
    if ((x$11 === x1)) {
      rc11 = true;
      x7 = x1;
      if ((this.read__p1__Lscopt_Read().arity__I() === 2)) {
        const jsx$2 = $m_Lscopt_OptionDef$().WW$1;
        const this$1 = this.$$undshortOpt$1;
        let this$2;
        if (this$1.isEmpty__Z()) {
          this$2 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const o = arg1;
          this$2 = new $c_s_Some().init___O((((("-" + o) + ":") + this.keyValueString__T()) + " | "))
        };
        return ((((((("" + jsx$2) + (this$2.isEmpty__Z() ? "" : this$2.get__O())) + this.fullName__T()) + ":") + this.keyValueString__T()) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
      }
    };
    if ((rc11 && (this.read__p1__Lscopt_Read().arity__I() === 1))) {
      const jsx$3 = $m_Lscopt_OptionDef$().WW$1;
      const this$3 = this.$$undshortOpt$1;
      let this$4;
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const o$3 = arg1$1;
        this$4 = new $c_s_Some().init___O((((("-" + o$3) + " ") + this.valueString__T()) + " | "))
      };
      return ((((((("" + jsx$3) + (this$4.isEmpty__Z() ? "" : this$4.get__O())) + this.fullName__T()) + " ") + this.valueString__T()) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
    };
    if (rc11) {
      const jsx$4 = $m_Lscopt_OptionDef$().WW$1;
      const this$5 = this.$$undshortOpt$1;
      let this$6;
      if (this$5.isEmpty__Z()) {
        this$6 = $m_s_None$()
      } else {
        const arg1$2 = this$5.get__O();
        const o$4 = arg1$2;
        this$6 = new $c_s_Some().init___O((("-" + o$4) + " | "))
      };
      return ((((("" + jsx$4) + (this$6.isEmpty__Z() ? "" : this$6.get__O())) + this.fullName__T()) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  init___Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_Read(_parser, _id, _kind, _name, _shortOpt, _keyName, _valueName, _desc, _action, _validations, _configValidations, _parentId, _minOccurs, _maxOccurs, _isHidden, _fallback, evidence$13) {
    this.$$undparser$1 = _parser;
    this.$$undid$1 = _id;
    this.$$undkind$1 = _kind;
    this.$$undname$1 = _name;
    this.$$undshortOpt$1 = _shortOpt;
    this.$$undkeyName$1 = _keyName;
    this.$$undvalueName$1 = _valueName;
    this.$$unddesc$1 = _desc;
    this.$$undaction$1 = _action;
    this.$$undvalidations$1 = _validations;
    this.$$undconfigValidations$1 = _configValidations;
    this.$$undparentId$1 = _parentId;
    this.$$undminOccurs$1 = _minOccurs;
    this.$$undmaxOccurs$1 = _maxOccurs;
    this.$$undisHidden$1 = _isHidden;
    this.$$undfallback$1 = _fallback;
    this.evidence$13$1 = evidence$13;
    this.kind$1 = _kind;
    this.id$1 = _id;
    this.name$1 = _name;
    return this
  };
  shortDescription__T() {
    const x1 = this.kind$1;
    const x = $m_Lscopt_Opt$();
    if ((x === x1)) {
      return ("option " + this.fullName__T())
    } else {
      const x$3 = $m_Lscopt_Cmd$();
      if ((x$3 === x1)) {
        return ("command " + this.fullName__T())
      } else {
        return ("argument " + this.fullName__T())
      }
    }
  };
  abbr__T__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$91 = new $c_s_Some().init___O(x);
    const x$92 = this.$$undparser$1;
    const x$93 = this.$$undid$1;
    const x$94 = this.$$undkind$1;
    const x$95 = this.$$undname$1;
    const x$96 = this.$$undkeyName$1;
    const x$97 = this.$$undvalueName$1;
    const x$98 = this.$$unddesc$1;
    const x$99 = this.$$undaction$1;
    const x$100 = this.$$undvalidations$1;
    const x$101 = this.$$undconfigValidations$1;
    const x$102 = this.$$undparentId$1;
    const x$103 = this.$$undminOccurs$1;
    const x$104 = this.$$undmaxOccurs$1;
    const x$105 = this.$$undisHidden$1;
    const x$106 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$92, x$93, x$94, x$95, x$91, x$96, x$97, x$98, x$99, x$100, x$101, x$102, x$103, x$104, x$105, x$106), this.evidence$13$1)
  };
  valueString__T() {
    const this$1 = this.$$undvalueName$1;
    return (this$1.isEmpty__Z() ? $m_Lscopt_OptionDef$().defaultValueName$1 : this$1.get__O())
  };
  shortOptOrBlank__T() {
    const this$1 = this.$$undshortOpt$1;
    return (this$1.isEmpty__Z() ? "" : this$1.get__O())
  };
  usageColumn1__T() {
    let rc11 = false;
    let x7 = null;
    const x1 = this.kind$1;
    const x = $m_Lscopt_Head$();
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lscopt_Note$();
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lscopt_Check$();
        jsx$1 = (x$5 === x1)
      }
    };
    if (jsx$1) {
      return ""
    };
    const x$7 = $m_Lscopt_Cmd$();
    if ((x$7 === x1)) {
      return (("Command: " + this.$$undparser$1.commandExample__s_Option__T(new $c_s_Some().init___O(this))) + $m_Lscopt_OptionDef$().NL$1)
    };
    const x$9 = $m_Lscopt_Arg$();
    if ((x$9 === x1)) {
      return (("" + $m_Lscopt_OptionDef$().WW$1) + this.name$1)
    };
    const x$11 = $m_Lscopt_Opt$();
    if ((x$11 === x1)) {
      rc11 = true;
      x7 = x1;
      if ((this.read__p1__Lscopt_Read().arity__I() === 2)) {
        const jsx$2 = $m_Lscopt_OptionDef$().WW$1;
        const this$1 = this.$$undshortOpt$1;
        let this$2;
        if (this$1.isEmpty__Z()) {
          this$2 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const o = arg1;
          this$2 = new $c_s_Some().init___O((("-" + o) + ", "))
        };
        return ((((("" + jsx$2) + (this$2.isEmpty__Z() ? "" : this$2.get__O())) + this.fullName__T()) + ":") + this.keyValueString__T())
      }
    };
    if ((rc11 && (this.read__p1__Lscopt_Read().arity__I() === 1))) {
      const jsx$3 = $m_Lscopt_OptionDef$().WW$1;
      const this$3 = this.$$undshortOpt$1;
      let this$4;
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const o$3 = arg1$1;
        this$4 = new $c_s_Some().init___O((("-" + o$3) + ", "))
      };
      return ((((("" + jsx$3) + (this$4.isEmpty__Z() ? "" : this$4.get__O())) + this.fullName__T()) + " ") + this.valueString__T())
    };
    if (rc11) {
      const jsx$4 = $m_Lscopt_OptionDef$().WW$1;
      const this$5 = this.$$undshortOpt$1;
      let this$6;
      if (this$5.isEmpty__Z()) {
        this$6 = $m_s_None$()
      } else {
        const arg1$2 = this$5.get__O();
        const o$4 = arg1$2;
        this$6 = new $c_s_Some().init___O((("-" + o$4) + ", "))
      };
      return ((("" + jsx$4) + (this$6.isEmpty__Z() ? "" : this$6.get__O())) + this.fullName__T())
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  usageTwoColumn__I__T(col1Length) {
    let rc11 = false;
    let x7 = null;
    const x1 = this.kind$1;
    const x = $m_Lscopt_Head$();
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lscopt_Note$();
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lscopt_Check$();
        jsx$1 = (x$5 === x1)
      }
    };
    if (jsx$1) {
      return this.$$unddesc$1
    };
    const x$7 = $m_Lscopt_Cmd$();
    if ((x$7 === x1)) {
      return (("" + this.usageColumn1__T()) + this.$$unddesc$1)
    };
    const x$9 = $m_Lscopt_Arg$();
    if ((x$9 === x1)) {
      return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
    };
    const x$11 = $m_Lscopt_Opt$();
    if ((x$11 === x1)) {
      rc11 = true;
      x7 = x1;
      if ((this.read__p1__Lscopt_Read().arity__I() === 2)) {
        return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
      }
    };
    if ((rc11 && (this.read__p1__Lscopt_Read().arity__I() === 1))) {
      return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
    };
    if (rc11) {
      return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  longOptTokens__T__I(arg) {
    if ((arg === this.fullName__T())) {
      const this$1 = this.read__p1__Lscopt_Read();
      return ((1 + $f_Lscopt_Read__tokensToRead__I(this$1)) | 0)
    } else {
      const prefix = (this.fullName__T() + ":");
      let jsx$1;
      if ((((arg.length | 0) >= 0) && (arg.substring(0, (prefix.length | 0)) === prefix))) {
        jsx$1 = true
      } else {
        const prefix$1 = (this.fullName__T() + "=");
        jsx$1 = (((arg.length | 0) >= 0) && (arg.substring(0, (prefix$1.length | 0)) === prefix$1))
      };
      if (jsx$1) {
        return 1
      } else {
        return 0
      }
    }
  };
  valueName__T__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$155 = new $c_s_Some().init___O(x);
    const x$156 = this.$$undparser$1;
    const x$157 = this.$$undid$1;
    const x$158 = this.$$undkind$1;
    const x$159 = this.$$undname$1;
    const x$160 = this.$$undshortOpt$1;
    const x$161 = this.$$undkeyName$1;
    const x$162 = this.$$unddesc$1;
    const x$163 = this.$$undaction$1;
    const x$164 = this.$$undvalidations$1;
    const x$165 = this.$$undconfigValidations$1;
    const x$166 = this.$$undparentId$1;
    const x$167 = this.$$undminOccurs$1;
    const x$168 = this.$$undmaxOccurs$1;
    const x$169 = this.$$undisHidden$1;
    const x$170 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$156, x$157, x$158, x$159, x$160, x$161, x$155, x$162, x$163, x$164, x$165, x$166, x$167, x$168, x$169, x$170), this.evidence$13$1)
  };
  parent__Lscopt_OptionDef__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$235 = new $c_s_Some().init___O(x.id$1);
    const x$236 = this.$$undparser$1;
    const x$237 = this.$$undid$1;
    const x$238 = this.$$undkind$1;
    const x$239 = this.$$undname$1;
    const x$240 = this.$$undshortOpt$1;
    const x$241 = this.$$undkeyName$1;
    const x$242 = this.$$undvalueName$1;
    const x$243 = this.$$unddesc$1;
    const x$244 = this.$$undaction$1;
    const x$245 = this.$$undvalidations$1;
    const x$246 = this.$$undconfigValidations$1;
    const x$247 = this.$$undminOccurs$1;
    const x$248 = this.$$undmaxOccurs$1;
    const x$249 = this.$$undisHidden$1;
    const x$250 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$236, x$237, x$238, x$239, x$240, x$241, x$242, x$243, x$244, x$245, x$246, x$235, x$247, x$248, x$249, x$250), this.evidence$13$1)
  };
  validateConfig__F1__Lscopt_OptionDef(f) {
    const jsx$2 = this.$$undparser$1;
    const jsx$1 = this.$$undconfigValidations$1;
    const this$1 = $m_sc_Seq$();
    const x$43 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(f, this$1.ReusableCBFInstance$2);
    const x$44 = this.$$undparser$1;
    const x$45 = this.$$undid$1;
    const x$46 = this.$$undkind$1;
    const x$47 = this.$$undname$1;
    const x$48 = this.$$undshortOpt$1;
    const x$49 = this.$$undkeyName$1;
    const x$50 = this.$$undvalueName$1;
    const x$51 = this.$$unddesc$1;
    const x$52 = this.$$undaction$1;
    const x$53 = this.$$undvalidations$1;
    const x$54 = this.$$undparentId$1;
    const x$55 = this.$$undminOccurs$1;
    const x$56 = this.$$undmaxOccurs$1;
    const x$57 = this.$$undisHidden$1;
    const x$58 = this.$$undfallback$1;
    return jsx$2.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$44, x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$52, x$53, x$43, x$54, x$55, x$56, x$57, x$58), this.evidence$13$1)
  };
  fullName__T() {
    const x1 = this.kind$1;
    const x = $m_Lscopt_Opt$();
    if ((x === x1)) {
      return ("--" + this.name$1)
    } else {
      return this.name$1
    }
  };
  maxOccurs__I__Lscopt_OptionDef(n) {
    const jsx$1 = this.$$undparser$1;
    const x$124 = this.$$undparser$1;
    const x$125 = this.$$undid$1;
    const x$126 = this.$$undkind$1;
    const x$127 = this.$$undname$1;
    const x$128 = this.$$undshortOpt$1;
    const x$129 = this.$$undkeyName$1;
    const x$130 = this.$$undvalueName$1;
    const x$131 = this.$$unddesc$1;
    const x$132 = this.$$undaction$1;
    const x$133 = this.$$undvalidations$1;
    const x$134 = this.$$undconfigValidations$1;
    const x$135 = this.$$undparentId$1;
    const x$136 = this.$$undminOccurs$1;
    const x$137 = this.$$undisHidden$1;
    const x$138 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$124, x$125, x$126, x$127, x$128, x$129, x$130, x$131, x$132, x$133, x$134, x$135, x$136, n, x$137, x$138), this.evidence$13$1)
  };
  hasParent__Z() {
    return this.$$undparentId$1.isDefined__Z()
  };
  init___Lscopt_OptionParser__Lscopt_OptionDefKind__T__Lscopt_Read(parser, kind, name, evidence$14) {
    const this$1 = $m_Lscopt_OptionDef$();
    const this$2 = this$1.atomic$1;
    const newValue = ((1 + this$2.java$util$concurrent$atomic$AtomicInteger$$value$f) | 0);
    this$2.java$util$concurrent$atomic$AtomicInteger$$value$f = newValue;
    $c_Lscopt_OptionDef.prototype.init___Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_Read.call(this, parser, newValue, kind, name, $m_s_None$(), $m_s_None$(), $m_s_None$(), "", new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(a$2, c$2) {
      return c$2
    })), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_s_None$(), 0, 1, false, $m_s_None$(), evidence$14);
    return this
  };
  spaceToDesc$1__p1__T__I__T(str, col1Length$1) {
    if (((str.length | 0) <= col1Length$1)) {
      const this$4 = new $c_sci_StringOps().init___T(" ");
      const n = ((col1Length$1 - (str.length | 0)) | 0);
      return (("" + str) + $f_sci_StringLike__$$times__I__T(this$4, n))
    } else {
      const this$7 = new $c_sci_StringOps().init___T(str);
      const thiz = $m_Lscopt_OptionDef$().WW$1;
      const n$1 = (thiz.length | 0);
      const jsx$2 = $f_sc_IndexedSeqOptimized__dropRight__I__O(this$7, n$1);
      const jsx$1 = $m_Lscopt_OptionDef$().NL$1;
      const this$9 = new $c_sci_StringOps().init___T(" ");
      return ((("" + jsx$2) + jsx$1) + $f_sci_StringLike__$$times__I__T(this$9, col1Length$1))
    }
  };
  shortOptTokens__T__I(arg) {
    let rc6 = false;
    let x2 = null;
    const x1 = this.$$undshortOpt$1;
    if ($is_s_Some(x1)) {
      rc6 = true;
      x2 = x1;
      if ((arg === ("-" + this.shortOptOrBlank__T()))) {
        const this$1 = this.read__p1__Lscopt_Read();
        return ((1 + $f_Lscopt_Read__tokensToRead__I(this$1)) | 0)
      }
    };
    let jsx$1;
    if (rc6) {
      const prefix = (("-" + this.shortOptOrBlank__T()) + ":");
      jsx$1 = (((arg.length | 0) >= 0) && (arg.substring(0, (prefix.length | 0)) === prefix))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return 1
    };
    let jsx$2;
    if (rc6) {
      const prefix$1 = (("-" + this.shortOptOrBlank__T()) + "=");
      jsx$2 = (((arg.length | 0) >= 0) && (arg.substring(0, (prefix$1.length | 0)) === prefix$1))
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      return 1
    };
    return 0
  };
  read__p1__Lscopt_Read() {
    const e = this.evidence$13$1;
    return e
  };
  hasFallback__Z() {
    return this.$$undfallback$1.isDefined__Z()
  };
  apply__I__sc_Seq__s_util_Either(i, args) {
    let jsx$1;
    if ((i >= args.length__I())) {
      jsx$1 = true
    } else {
      const x = this.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      jsx$1 = (!((x !== null) && (x === x$2)))
    };
    if (jsx$1) {
      $m_s_package$();
      return new $c_s_util_Left().init___O("Option does not match")
    } else {
      const x1 = args.apply__I__O(i);
      if (((this.longOptTokens__T__I(x1) === 2) || (this.shortOptTokens__T__I(x1) === 2))) {
        const this$2 = this.token__I__sc_Seq__s_Option(((1 + i) | 0), args);
        let this$4;
        if (this$2.isEmpty__Z()) {
          this$4 = $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const x$42 = arg1;
          $m_s_package$();
          this$4 = new $c_s_Some().init___O(new $c_s_util_Right().init___O(x$42))
        };
        if (this$4.isEmpty__Z()) {
          $m_s_package$();
          const value = ("Missing value after " + x1);
          return new $c_s_util_Left().init___O(value)
        } else {
          return this$4.get__O()
        }
      } else {
        let jsx$2;
        if ((this.longOptTokens__T__I(x1) === 1)) {
          const this$6 = this.read__p1__Lscopt_Read();
          jsx$2 = ($f_Lscopt_Read__tokensToRead__I(this$6) === 1)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          $m_s_package$();
          const this$9 = new $c_sci_StringOps().init___T(x1);
          const thiz = (this.fullName__T() + ":");
          const n = (thiz.length | 0);
          const $$this = this$9.repr$1;
          const until = ($$this.length | 0);
          const value$1 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$9.repr$1, n, until);
          return new $c_s_util_Right().init___O(value$1)
        } else {
          let jsx$3;
          if ((this.shortOptTokens__T__I(x1) === 1)) {
            const this$13 = this.read__p1__Lscopt_Read();
            jsx$3 = ($f_Lscopt_Read__tokensToRead__I(this$13) === 1)
          } else {
            jsx$3 = false
          };
          if (jsx$3) {
            $m_s_package$();
            const this$16 = new $c_sci_StringOps().init___T(x1);
            const thiz$1 = (("-" + this.shortOptOrBlank__T()) + ":");
            const n$1 = (thiz$1.length | 0);
            const $$this$1 = this$16.repr$1;
            const until$1 = ($$this$1.length | 0);
            const value$2 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$16.repr$1, n$1, until$1);
            return new $c_s_util_Right().init___O(value$2)
          } else {
            $m_s_package$();
            return new $c_s_util_Right().init___O("")
          }
        }
      }
    }
  };
  getFallback__O() {
    return this.$$undfallback$1.get__O().apply__O()
  };
}
const $is_Lscopt_OptionDef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lscopt_OptionDef)))
});
const $isArrayOf_Lscopt_OptionDef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lscopt_OptionDef)))
});
const $d_Lscopt_OptionDef = new $TypeData().initClass({
  Lscopt_OptionDef: 0
}, false, "scopt.OptionDef", {
  Lscopt_OptionDef: 1,
  O: 1
});
$c_Lscopt_OptionDef.prototype.$classData = $d_Lscopt_OptionDef;
class $c_Lscopt_OptionDef$ extends $c_O {
  constructor() {
    super();
    this.UNBOUNDED$1 = 0;
    this.NL$1 = null;
    this.WW$1 = null;
    this.TB$1 = null;
    this.NLTB$1 = null;
    this.NLNL$1 = null;
    this.column1MaxLength$1 = 0;
    this.defaultKeyName$1 = null;
    this.defaultValueName$1 = null;
    this.atomic$1 = null
  };
  init___() {
    $n_Lscopt_OptionDef$ = this;
    this.UNBOUNDED$1 = 2147483647;
    this.NL$1 = $m_Lscopt_platform$().$$undNL$1;
    this.WW$1 = "  ";
    this.TB$1 = "        ";
    this.NLTB$1 = (("" + this.NL$1) + this.TB$1);
    this.NLNL$1 = (("" + this.NL$1) + this.NL$1);
    const thiz = this.WW$1;
    this.column1MaxLength$1 = ((25 + (thiz.length | 0)) | 0);
    this.defaultKeyName$1 = "<key>";
    this.defaultValueName$1 = "<value>";
    this.atomic$1 = new $c_ju_concurrent_atomic_AtomicInteger().init___();
    return this
  };
}
const $d_Lscopt_OptionDef$ = new $TypeData().initClass({
  Lscopt_OptionDef$: 0
}, false, "scopt.OptionDef$", {
  Lscopt_OptionDef$: 1,
  O: 1
});
$c_Lscopt_OptionDef$.prototype.$classData = $d_Lscopt_OptionDef$;
let $n_Lscopt_OptionDef$ = (void 0);
const $m_Lscopt_OptionDef$ = (function() {
  if ((!$n_Lscopt_OptionDef$)) {
    $n_Lscopt_OptionDef$ = new $c_Lscopt_OptionDef$().init___()
  };
  return $n_Lscopt_OptionDef$
});
class $c_Lscopt_OptionParser extends $c_O {
  constructor() {
    super();
    this.programName$1 = null;
    this.options$1 = null;
    this.helpOptions$1 = null
  };
  optionsForRender__sci_List() {
    const this$1 = this.options$1;
    $m_scm_ListBuffer$();
    const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$3 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const o = arg1;
      const x = o.kind$1;
      const x$2 = $m_Lscopt_Head$();
      let jsx$1;
      if ((!((x !== null) && (x === x$2)))) {
        const x$3 = o.kind$1;
        const x$4 = $m_Lscopt_Check$();
        jsx$1 = (!((x$3 !== null) && (x$3 === x$4)))
      } else {
        jsx$1 = false
      };
      if (((jsx$1 && (!o.$$undisHidden$1)) !== false)) {
        b.$$plus$eq__O__scm_GrowingBuilder(arg1)
      };
      these = these.tail__O()
    };
    const unsorted = b.elems$1;
    $m_scm_ListBuffer$();
    const l = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    $m_scm_ListBuffer$();
    const r = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$6 = unsorted.scala$collection$mutable$ListBuffer$$start$6;
    let these$1 = this$6;
    while ((!these$1.isEmpty__Z())) {
      const arg1$1 = these$1.head__O();
      const x$16 = arg1$1;
      let this$7;
      if (x$16.hasParent__Z()) {
        this$7 = l
      } else {
        this$7 = r
      };
      this$7.$$plus$eq__O__scm_GrowingBuilder(arg1$1);
      these$1 = these$1.tail__O()
    };
    const _1 = l.elems$1;
    const _2 = r.elems$1;
    const p = _1;
    const np = _2;
    const this$8 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const _1$1 = this$8.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(p);
    const this$9 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const _2$1 = this$9.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(np);
    const remaining = _1$1;
    const sorted = _2$1;
    let elem$1 = false;
    elem$1 = true;
    while (((!remaining.isEmpty__Z()) && elem$1)) {
      elem$1 = false;
      const this$11 = sorted.scala$collection$mutable$ListBuffer$$start$6;
      let these$2 = this$11;
      while ((!these$2.isEmpty__Z())) {
        const arg1$2 = these$2.head__O();
        const parent = arg1$2;
        $m_scm_ListBuffer$();
        const b$1 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
        const this$13 = remaining.scala$collection$mutable$ListBuffer$$start$6;
        let these$3 = this$13;
        while ((!these$3.isEmpty__Z())) {
          const arg1$3 = these$3.head__O();
          const x$18 = arg1$3;
          const x$1 = x$18.$$undparentId$1;
          const x$2$1 = new $c_s_Some().init___O(parent.id$1);
          if ((((x$1 !== null) && x$1.equals__O__Z(x$2$1)) !== false)) {
            b$1.$$plus$eq__O__scm_GrowingBuilder(arg1$3)
          };
          these$3 = these$3.tail__O()
        };
        const childrenOfThisParent = b$1.elems$1;
        if (childrenOfThisParent.nonEmpty__Z()) {
          $f_scg_Shrinkable__$$minus$minus$eq__sc_TraversableOnce__scg_Shrinkable(remaining, childrenOfThisParent);
          const this$14 = sorted.scala$collection$mutable$ListBuffer$$start$6;
          sorted.insertAll__I__sc_Traversable__V(((1 + $f_sc_GenSeqLike__indexOf__O__I__I(this$14, parent, 0)) | 0), childrenOfThisParent);
          elem$1 = true
        };
        these$2 = these$2.tail__O()
      }
    };
    return sorted.toList__sci_List()
  };
  checks__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$29 = arg1;
      const x = x$29.kind$1;
      const x$2 = $m_Lscopt_Check$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  reportError__T__V(msg) {
    const this$1 = $m_s_Console$();
    this$1.errVar$2.v$1.println__T__V(("Error: " + msg))
  };
  heads__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$26 = arg1;
      const x = x$26.kind$1;
      const x$2 = $m_Lscopt_Head$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  oxford$1__p1__sci_List__T(xs) {
    if ($is_sci_$colon$colon(xs)) {
      const x2 = xs;
      const a = x2.head$5;
      const p3 = x2.tl$5;
      if ($is_sci_$colon$colon(p3)) {
        const x4 = p3;
        const b = x4.head$5;
        const p5 = x4.tl$5;
        const x = $m_sci_Nil$();
        if (x.equals__O__Z(p5)) {
          return ((a + " or ") + b)
        }
      }
    };
    const this$3 = $f_sc_LinearSeqOptimized__dropRight__I__sc_LinearSeqOptimized(xs, 2);
    const this$1 = xs.takeRight__I__sci_List(2);
    const elem = $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, "", ", or ", "");
    const this$2 = $m_sci_List$();
    const bf = this$2.ReusableCBFInstance$2;
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this$3, elem, bf).mkString__T__T(", ")
  };
  makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef(kind, name, evidence$11) {
    return this.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(new $c_Lscopt_OptionDef().init___Lscopt_OptionParser__Lscopt_OptionDefKind__T__Lscopt_Read(this, kind, name, evidence$11), evidence$11)
  };
  parse__sc_Seq__O__s_Option(args, init) {
    let elem$1 = 0;
    elem$1 = 0;
    const this$2 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const xs = this.nonArgs__sc_Seq().filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$31$2) {
        const x$31 = x$31$2;
        return x$31.hasParent__Z()
      })
    })(this)));
    const pendingOptions = this$2.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs.seq__sc_TraversableOnce());
    const this$3 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const xs$1 = this.arguments__sc_Seq().filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$32$2) {
        const x$32 = x$32$2;
        return x$32.hasParent__Z()
      })
    })(this)));
    const pendingArgs = this$3.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs$1.seq__sc_TraversableOnce());
    const this$4 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const xs$2 = this.commands__sc_Seq().filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$33$2) {
        const x$33 = x$33$2;
        return x$33.hasParent__Z()
      })
    })(this)));
    const pendingCommands = this$4.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs$2.seq__sc_TraversableOnce());
    const occurrences = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()).withDefaultValue__O__scm_Map(0);
    let elem$1$1 = null;
    elem$1$1 = init;
    let elem$1$2 = false;
    elem$1$2 = false;
    while ((elem$1 < args.length__I())) {
      const this$7 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
      let x1;
      inlinereturn$17: {
        let these = this$7;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const x$38 = arg1;
          if ((x$38.tokensToRead__I__sc_Seq__I(elem$1, args) > 0)) {
            x1 = new $c_s_Some().init___O(these.head__O());
            break inlinereturn$17
          };
          these = these.tail__O()
        };
        x1 = $m_s_None$()
      };
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const option = x2.value$2;
        this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(option, pendingOptions, occurrences);
        const x1$2 = option.apply__I__sc_Seq__s_util_Either(elem$1, args);
        if ($is_s_util_Right(x1$2)) {
          const x2$2 = x1$2;
          const v = x2$2.value$2;
          const x1$1 = option.applyArgument__T__O__s_util_Either(v, elem$1$1);
          if ($is_s_util_Right(x1$1)) {
            const x2$1 = x1$1;
            const c = x2$1.value$2;
            elem$1$1 = c;
            this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(option, pendingOptions, pendingArgs, pendingCommands)
          } else if ($is_s_util_Left(x1$1)) {
            const x3 = x1$1;
            const xs$3 = x3.value$2;
            elem$1$2 = true;
            xs$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(msg$2) {
                const msg = msg$2;
                $this$1.reportError__T__V(msg)
              })
            })(this)))
          } else {
            throw new $c_s_MatchError().init___O(x1$1)
          }
        } else if ($is_s_util_Left(x1$2)) {
          const x3$1 = x1$2;
          const outOfBounds = x3$1.value$2;
          elem$1$2 = true;
          this.reportError__T__V(outOfBounds)
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        if ((option.tokensToRead__I__sc_Seq__I(elem$1, args) > 1)) {
          elem$1 = ((elem$1 + (((-1) + option.tokensToRead__I__sc_Seq__I(elem$1, args)) | 0)) | 0)
        }
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const x1$3 = args.apply__I__O(elem$1);
          if ((((x1$3.length | 0) >= 0) && (x1$3.substring(0, ("--".length | 0)) === "--"))) {
            const msg$1 = ("Unknown option " + x1$3);
            elem$1$2 = true;
            this.reportError__T__V(msg$1)
          } else if ((((x1$3.length | 0) >= 0) && (x1$3.substring(0, ("-".length | 0)) === "-"))) {
            if ((x1$3 === "-")) {
              const msg$3 = ("Unknown option " + x1$3);
              elem$1$2 = true;
              this.reportError__T__V(msg$3)
            } else {
              const this$19 = new $c_sci_StringOps().init___T(x1$3);
              const $$this = this$19.repr$1;
              const until = ($$this.length | 0);
              let g0 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$19.repr$1, 1, until);
              _handleShortOptions: while (true) {
                const x$1 = g0;
                const this$24 = new $c_sci_StringOps().init___T(x$1);
                const $$this$1 = this$24.repr$1;
                const end = (((-1) + ($$this$1.length | 0)) | 0);
                const isEmpty$4 = (end < 0);
                let scala$collection$immutable$Range$$numRangeElements$4;
                if (isEmpty$4) {
                  scala$collection$immutable$Range$$numRangeElements$4 = 0
                } else {
                  const hi = (end >> 31);
                  const lo = ((1 + end) | 0);
                  const hi$1 = ((lo === 0) ? ((1 + hi) | 0) : hi);
                  scala$collection$immutable$Range$$numRangeElements$4 = (((hi$1 === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi$1 > 0)) ? (-1) : lo)
                };
                const g0$1 = g0;
                $m_sci_IndexedSeq$();
                $m_sc_IndexedSeq$();
                $m_sci_IndexedSeq$();
                $m_sci_Vector$();
                const b = new $c_sci_VectorBuilder().init___();
                if ((scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
                  $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(0, end, 1, true)
                };
                switch (scala$collection$immutable$Range$$numRangeElements$4) {
                  case (-1): {
                    break
                  }
                };
                if ((!isEmpty$4)) {
                  let i = 0;
                  while (true) {
                    const arg1$1 = i;
                    const this$34 = new $c_sci_StringOps().init___T(g0$1);
                    const $$this$2 = this$34.repr$1;
                    const endIndex = ((($$this$2.length | 0) - arg1$1) | 0);
                    const elem = g0$1.substring(0, endIndex);
                    b.$$plus$eq__O__sci_VectorBuilder(elem);
                    if ((i === end)) {
                      break
                    };
                    i = ((1 + i) | 0)
                  }
                };
                const gs = b.result__sci_Vector();
                $m_sci_IndexedSeq$();
                $m_sc_IndexedSeq$();
                $m_sci_Vector$();
                const b$1 = new $c_sci_VectorBuilder().init___();
                const this$41 = gs.iterator__sci_VectorIterator();
                while (this$41.$$undhasNext$2) {
                  const arg1$2 = this$41.next__O();
                  const g = arg1$2;
                  const this$42 = $m_scm_ListBuffer$();
                  const bf$2 = this$42.ReusableCBFInstance$2;
                  const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(pendingOptions, bf$2);
                  const this$43 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
                  let these$1 = this$43;
                  while ((!these$1.isEmpty__Z())) {
                    const arg1$3 = these$1.head__O();
                    const x$35 = arg1$3;
                    b$2.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(g, x$35));
                    these$1 = these$1.tail__O()
                  };
                  const this$44 = b$2.result__O();
                  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b$1, this$44)
                };
                const this$45 = b$1.result__sci_Vector();
                const this$46 = this$45.iterator__sci_VectorIterator();
                let x1$4;
                inlinereturn$160: {
                  while (this$46.$$undhasNext$2) {
                    const a = this$46.next__O();
                    const x0$4 = a;
                    if ((x0$4 === null)) {
                      throw new $c_s_MatchError().init___O(x0$4)
                    };
                    const g$1 = x0$4.$$und1__O();
                    const opt = x0$4.$$und2__O();
                    if ((opt.shortOptTokens__T__I(("-" + g$1)) === 1)) {
                      x1$4 = new $c_s_Some().init___O(a);
                      break inlinereturn$160
                    }
                  };
                  x1$4 = $m_s_None$()
                };
                if ($is_s_Some(x1$4)) {
                  const x2$3 = x1$4;
                  const p = x2$3.value$2;
                  if ((p === null)) {
                    throw new $c_s_MatchError().init___O(p)
                  };
                  const g$3 = p.$$und1__O();
                  const option$1 = p.$$und2__O();
                  this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(option$1, pendingOptions, occurrences);
                  const x1$5 = option$1.applyArgument__T__O__s_util_Either("", elem$1$1);
                  if ($is_s_util_Right(x1$5)) {
                    const x2$4 = x1$5;
                    const c$1 = x2$4.value$2;
                    elem$1$1 = c$1;
                    this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(option$1, pendingOptions, pendingArgs, pendingCommands)
                  } else if ($is_s_util_Left(x1$5)) {
                    const x3$2 = x1$5;
                    const xs$4 = x3$2.value$2;
                    elem$1$2 = true;
                    xs$4.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
                      return (function(msg$2$1) {
                        const msg$4 = msg$2$1;
                        $this$2.reportError__T__V(msg$4)
                      })
                    })(this)))
                  } else {
                    throw new $c_s_MatchError().init___O(x1$5)
                  };
                  const x$2 = g0;
                  const this$52 = new $c_sci_StringOps().init___T(x$2);
                  const this$49 = new $c_sci_StringOps().init___T(g$3);
                  const $$this$3 = this$49.repr$1;
                  const n = ($$this$3.length | 0);
                  const $$this$4 = this$52.repr$1;
                  const until$1 = ($$this$4.length | 0);
                  const x$2$1 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$52.repr$1, n, until$1);
                  if ((!((x$2$1 !== null) && (x$2$1 === "")))) {
                    const x$3 = g0;
                    const this$60 = new $c_sci_StringOps().init___T(x$3);
                    const this$57 = new $c_sci_StringOps().init___T(g$3);
                    const $$this$5 = this$57.repr$1;
                    const n$1 = ($$this$5.length | 0);
                    const $$this$6 = this$60.repr$1;
                    const until$2 = ($$this$6.length | 0);
                    g0 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$60.repr$1, n$1, until$2);
                    continue _handleShortOptions
                  }
                } else {
                  const x$4 = $m_s_None$();
                  if ((!(x$4 === x1$4))) {
                    throw new $c_s_MatchError().init___O(x1$4)
                  };
                  const msg$5 = ("Unknown option -" + g0);
                  elem$1$2 = true;
                  this.reportError__T__V(msg$5)
                };
                break
              }
            }
          } else if (this.findCommand$1__p1__T__scm_ListBuffer__s_Option(x1$3, pendingCommands).isDefined__Z()) {
            const cmd = this.findCommand$1__p1__T__scm_ListBuffer__s_Option(x1$3, pendingCommands).get__O();
            this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(cmd, pendingCommands, occurrences);
            const x1$6 = cmd.applyArgument__T__O__s_util_Either("", elem$1$1);
            if ($is_s_util_Right(x1$6)) {
              const x2$5 = x1$6;
              const c$2 = x2$5.value$2;
              elem$1$1 = c$2;
              this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(cmd, pendingOptions, pendingArgs, pendingCommands)
            } else if ($is_s_util_Left(x1$6)) {
              const x3$3 = x1$6;
              const xs$5 = x3$3.value$2;
              elem$1$2 = true;
              xs$5.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
                return (function(msg$2$2) {
                  const msg$6 = msg$2$2;
                  $this$3.reportError__T__V(msg$6)
                })
              })(this)))
            } else {
              throw new $c_s_MatchError().init___O(x1$6)
            }
          } else if (pendingArgs.isEmpty__Z()) {
            const msg$7 = (("Unknown argument '" + x1$3) + "'");
            elem$1$2 = true;
            this.reportError__T__V(msg$7)
          } else {
            const first = pendingArgs.scala$collection$mutable$ListBuffer$$start$6.head__O();
            this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(first, pendingArgs, occurrences);
            const x1$7 = first.applyArgument__T__O__s_util_Either(x1$3, elem$1$1);
            if ($is_s_util_Right(x1$7)) {
              const x2$6 = x1$7;
              const c$3 = x2$6.value$2;
              elem$1$1 = c$3;
              this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(first, pendingOptions, pendingArgs, pendingCommands)
            } else if ($is_s_util_Left(x1$7)) {
              const x3$4 = x1$7;
              const xs$6 = x3$4.value$2;
              elem$1$2 = true;
              xs$6.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4) {
                return (function(msg$2$3) {
                  const msg$8 = msg$2$3;
                  $this$4.reportError__T__V(msg$8)
                })
              })(this)))
            } else {
              throw new $c_s_MatchError().init___O(x1$7)
            }
          }
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      };
      elem$1 = ((1 + elem$1) | 0)
    };
    $m_scm_ListBuffer$();
    const b$3 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$64 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
    let these$2 = this$64;
    while ((!these$2.isEmpty__Z())) {
      const arg1$4 = these$2.head__O();
      const x$39 = arg1$4;
      if ((x$39.hasFallback__Z() !== false)) {
        b$3.$$plus$eq__O__scm_GrowingBuilder(arg1$4)
      };
      these$2 = these$2.tail__O()
    };
    const this$65 = b$3.elems$1;
    const this$66 = this$65.scala$collection$mutable$ListBuffer$$start$6;
    let these$3 = this$66;
    while ((!these$3.isEmpty__Z())) {
      const arg1$5 = these$3.head__O();
      const opt$1 = arg1$5;
      const fallback = opt$1.getFallback__O();
      if ((fallback !== null)) {
        this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(opt$1, pendingOptions, occurrences);
        const arg = $objectToString(fallback);
        const x1$8 = opt$1.applyArgument__T__O__s_util_Either(arg, elem$1$1);
        if ($is_s_util_Right(x1$8)) {
          const x2$7 = x1$8;
          const c$4 = x2$7.value$2;
          elem$1$1 = c$4;
          this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(opt$1, pendingOptions, pendingArgs, pendingCommands)
        } else if ($is_s_util_Left(x1$8)) {
          const x3$5 = x1$8;
          const xs$7 = x3$5.value$2;
          elem$1$2 = true;
          xs$7.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5) {
            return (function(msg$2$4) {
              const msg$9 = msg$2$4;
              $this$5.reportError__T__V(msg$9)
            })
          })(this)))
        } else {
          throw new $c_s_MatchError().init___O(x1$8)
        }
      };
      these$3 = these$3.tail__O()
    };
    $m_scm_ListBuffer$();
    const b$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$68 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
    let these$4 = this$68;
    while ((!these$4.isEmpty__Z())) {
      const arg1$6 = these$4.head__O();
      const opt$3 = arg1$6;
      if (((opt$3.$$undminOccurs$1 > (occurrences.apply__O__O(opt$3) | 0)) !== false)) {
        b$4.$$plus$eq__O__scm_GrowingBuilder(arg1$6)
      };
      these$4 = these$4.tail__O()
    };
    const this$69 = b$4.elems$1;
    const this$70 = this$69.scala$collection$mutable$ListBuffer$$start$6;
    let these$5 = this$70;
    while ((!these$5.isEmpty__Z())) {
      const arg1$7 = these$5.head__O();
      const opt$4 = arg1$7;
      if ((opt$4.$$undminOccurs$1 === 1)) {
        this.reportError__T__V(("Missing " + opt$4.shortDescription__T()))
      } else {
        const x$5 = opt$4.shortDescription__T();
        const this$72 = new $c_sci_StringOps().init___T(x$5);
        this.reportError__T__V(((($f_sci_StringLike__capitalize__T(this$72) + " must be given ") + opt$4.$$undminOccurs$1) + " times"))
      };
      elem$1$2 = true;
      these$5 = these$5.tail__O()
    };
    $m_scm_ListBuffer$();
    const b$5 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$74 = pendingArgs.scala$collection$mutable$ListBuffer$$start$6;
    let these$6 = this$74;
    while ((!these$6.isEmpty__Z())) {
      const arg1$8 = these$6.head__O();
      const arg$1 = arg1$8;
      if (((arg$1.$$undminOccurs$1 > (occurrences.apply__O__O(arg$1) | 0)) !== false)) {
        b$5.$$plus$eq__O__scm_GrowingBuilder(arg1$8)
      };
      these$6 = these$6.tail__O()
    };
    const this$75 = b$5.elems$1;
    const this$76 = this$75.scala$collection$mutable$ListBuffer$$start$6;
    let these$7 = this$76;
    while ((!these$7.isEmpty__Z())) {
      const arg1$9 = these$7.head__O();
      const arg$3 = arg1$9;
      if ((arg$3.$$undminOccurs$1 === 1)) {
        this.reportError__T__V(("Missing " + arg$3.shortDescription__T()))
      } else {
        const x$7 = arg$3.shortDescription__T();
        const this$78 = new $c_sci_StringOps().init___T(x$7);
        this.reportError__T__V(((($f_sci_StringLike__capitalize__T(this$78) + "' must be given ") + arg$3.$$undminOccurs$1) + " times"))
      };
      elem$1$2 = true;
      these$7 = these$7.tail__O()
    };
    const c$5 = elem$1$1;
    const jsx$3 = $m_Lscopt_Validation$();
    const jsx$2 = this.checks__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6) {
      return (function(x$37$2) {
        const x$37 = x$37$2;
        return x$37.$$undconfigValidations$1
      })
    })(this));
    const this$79 = $m_sc_Seq$();
    const x1$9 = jsx$3.validateValue__sc_Seq__O__s_util_Either(jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$79.ReusableCBFInstance$2), c$5);
    if ((!$is_s_util_Right(x1$9))) {
      if ($is_s_util_Left(x1$9)) {
        const x3$6 = x1$9;
        const xs$8 = x3$6.value$2;
        elem$1$2 = true;
        xs$8.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
          return (function(msg$2$5) {
            const msg$10 = msg$2$5;
            this$2$2.reportError__T__V(msg$10)
          })
        })(this)))
      } else {
        throw new $c_s_MatchError().init___O(x1$9)
      }
    };
    if (elem$1$2) {
      if (this.helpOptions$1.isEmpty__Z()) {
        const this$80 = $m_s_Console$();
        this$80.errVar$2.v$1.println__T__V(this.renderUsage__Lscopt_RenderingMode__T($m_Lscopt_RenderingMode$TwoColumns$()))
      } else {
        this.showTryHelp__V()
      };
      return $m_s_None$()
    } else {
      return new $c_s_Some().init___O(elem$1$1)
    }
  };
  checkConfig__F1__Lscopt_OptionDef(f) {
    return this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Check$(), "", $m_Lscopt_Read$().unitRead$1).validateConfig__F1__Lscopt_OptionDef(f)
  };
  commandExample__s_Option__T(cmd) {
    const text = new $c_scm_ListBuffer().init___();
    let this$1;
    if (cmd.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = cmd.get__O();
      const cmd$2 = arg1;
      this$1 = new $c_s_Some().init___O(this.commandName__Lscopt_OptionDef__T(cmd$2))
    };
    text.$$plus$eq__O__scm_ListBuffer((this$1.isEmpty__Z() ? this.programName$1 : this$1.get__O()));
    let parentId;
    if (cmd.isEmpty__Z()) {
      parentId = $m_s_None$()
    } else {
      const arg1$1 = cmd.get__O();
      const x$19 = arg1$1;
      parentId = new $c_s_Some().init___O(x$19.id$1)
    };
    const cs = this.commands__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, parentId$1) {
      return (function(x$20$2) {
        const x$20 = x$20$2;
        const x = x$20.$$undparentId$1;
        return ((x === null) ? (parentId$1 === null) : x.equals__O__Z(parentId$1))
      })
    })(this, parentId)));
    if (cs.nonEmpty__Z()) {
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
        return (function(x$21$2) {
          const x$21 = x$21$2;
          return x$21.name$1
        })
      })(this));
      const this$2 = $m_sc_Seq$();
      text.$$plus$eq__O__scm_ListBuffer(cs.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).mkString__T__T__T__T("[", "|", "]"))
    };
    const this$3 = this.options$1;
    const this$6 = this$3.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$6;
    while ((!these.isEmpty__Z())) {
      const arg1$2 = these.head__O();
      const x0$1 = arg1$2;
      const x$1 = x0$1.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      let jsx$2;
      if (((x$1 !== null) && (x$1 === x$2))) {
        const x$3 = x0$1.$$undparentId$1;
        jsx$2 = ((x$3 === null) ? (parentId === null) : x$3.equals__O__Z(parentId))
      } else {
        jsx$2 = false
      };
      if ((jsx$2 !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1$2)
      };
      these = these.tail__O()
    };
    const os = b.toList__sci_List();
    const as = this.arguments__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, parentId$2) {
      return (function(x$22$2) {
        const x$22 = x$22$2;
        const x$4 = x$22.$$undparentId$1;
        return ((x$4 === null) ? (parentId$2 === null) : x$4.equals__O__Z(parentId$2))
      })
    })(this, parentId)));
    if ($f_sc_TraversableOnce__nonEmpty__Z(os)) {
      text.$$plus$eq__O__scm_ListBuffer("[options]")
    };
    if (cs.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        return this$8.arguments__sc_Seq().exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x1) {
          return (function(x$23$2) {
            const x$23 = x$23$2;
            const x$5 = x$23.$$undparentId$1;
            const x$2$1 = new $c_s_Some().init___O(x1.id$1);
            return ((x$5 !== null) && x$5.equals__O__Z(x$2$1))
          })
        })(this$8, x0$2)))
      })
    })(this)))) {
      text.$$plus$eq__O__scm_ListBuffer("<args>...")
    } else if (as.nonEmpty__Z()) {
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9) {
        return (function(x$24$2) {
          const x$24 = x$24$2;
          return x$24.argName__T()
        })
      })(this));
      const this$10 = $m_sc_Seq$();
      text.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(as.map__F1__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2))
    };
    const this$11 = text.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$11, "", " ", "")
  };
  commandName__Lscopt_OptionDef__T(cmd) {
    const this$1 = cmd.$$undparentId$1;
    let this$4;
    if (this$1.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x = (arg1 | 0);
      const this$2 = this.commands__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x$1) {
        return (function(x$25$2) {
          const x$25 = x$25$2;
          return (x$25.id$1 === x$1)
        })
      })(this, x)));
      let this$3;
      if (this$2.isEmpty__Z()) {
        this$3 = $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const cmd$1 = arg1$1;
        this$3 = new $c_s_Some().init___O(this.commandName__Lscopt_OptionDef__T(cmd$1))
      };
      this$4 = new $c_s_Some().init___O(((this$3.isEmpty__Z() ? "" : this$3.get__O()) + " "))
    };
    return (("" + (this$4.isEmpty__Z() ? "" : this$4.get__O())) + cmd.name$1)
  };
  commands__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$28 = arg1;
      const x = x$28.kind$1;
      const x$2 = $m_Lscopt_Cmd$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(opt, pendingOptions$1, pendingArgs$1, pendingCommands$1) {
    pendingCommands$1.clear__V();
    pendingOptions$1.insertAll__I__sc_Traversable__V(0, this.nonArgs__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, pendingOptions$1$1, opt$1) {
      return (function(x$2) {
        const x = x$2;
        const x$2$1 = x.$$undparentId$1;
        const x$3 = new $c_s_Some().init___O(opt$1.id$1);
        if (((x$2$1 !== null) && x$2$1.equals__O__Z(x$3))) {
          const this$1 = pendingOptions$1$1.scala$collection$mutable$ListBuffer$$start$6;
          return (!$f_sc_LinearSeqOptimized__contains__O__Z(this$1, x))
        } else {
          return false
        }
      })
    })(this, pendingOptions$1, opt))));
    pendingArgs$1.insertAll__I__sc_Traversable__V(0, this.arguments__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, pendingArgs$1$1, opt$2) {
      return (function(x$3$2) {
        const x$3$1 = x$3$2;
        const x$2$2 = x$3$1.$$undparentId$1;
        const x$3$3 = new $c_s_Some().init___O(opt$2.id$1);
        if (((x$2$2 !== null) && x$2$2.equals__O__Z(x$3$3))) {
          const this$3 = pendingArgs$1$1.scala$collection$mutable$ListBuffer$$start$6;
          return (!$f_sc_LinearSeqOptimized__contains__O__Z(this$3, x$3$1))
        } else {
          return false
        }
      })
    })(this, pendingArgs$1, opt))));
    pendingCommands$1.insertAll__I__sc_Traversable__V(0, this.commands__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, pendingCommands$1$1, opt$3) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const x$2$3 = x$4.$$undparentId$1;
        const x$3$4 = new $c_s_Some().init___O(opt$3.id$1);
        if (((x$2$3 !== null) && x$2$3.equals__O__Z(x$3$4))) {
          const this$4 = pendingCommands$1$1.scala$collection$mutable$ListBuffer$$start$6;
          return (!$f_sc_LinearSeqOptimized__contains__O__Z(this$4, x$4))
        } else {
          return false
        }
      })
    })(this, pendingCommands$1, opt))))
  };
  findCommand$1__p1__T__scm_ListBuffer__s_Option(cmd, pendingCommands$1) {
    const this$1 = pendingCommands$1.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$34 = arg1;
      if ((x$34.name$1 === cmd)) {
        return new $c_s_Some().init___O(these.head__O())
      };
      these = these.tail__O()
    };
    return $m_s_None$()
  };
  showTryHelp__V() {
    const this$1 = $m_s_Console$();
    const jsx$2 = this$1.errVar$2.v$1;
    const this$3 = this.helpOptions$1.toList__sci_List();
    const f = (function($this) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return x$11.fullName__T()
      })
    })(this);
    const this$2 = $m_sci_List$();
    const bf = this$2.ReusableCBFInstance$2;
    let jsx$1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$3 === $m_sci_Nil$())) {
        jsx$1 = $m_sci_Nil$()
      } else {
        const arg1 = this$3.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$3.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        jsx$1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
      let these = this$3;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      jsx$1 = b.result__O()
    };
    jsx$2.println__T__V((("Try " + this.oxford$1__p1__sci_List__T(jsx$1)) + " for more information."))
  };
  handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(opt, pending, occurrences$1) {
    occurrences$1.update__O__O__V(opt, ((1 + (occurrences$1.apply__O__O(opt) | 0)) | 0));
    if (((occurrences$1.apply__O__O(opt) | 0) >= opt.$$undmaxOccurs$1)) {
      pending.$$minus$eq__O__scm_ListBuffer(opt)
    }
  };
  renderTwoColumnsUsage__T() {
    const xs = this.optionsForRender__sci_List();
    const x$1 = $m_Lscopt_OptionDef$().column1MaxLength$1;
    const f = (function($this) {
      return (function(x$14$2) {
        const x$14 = x$14$2;
        const thiz = x$14.usageColumn1__T();
        const jsx$1 = thiz.length;
        const thiz$1 = $m_Lscopt_OptionDef$().WW$1;
        return (((jsx$1 | 0) + (thiz$1.length | 0)) | 0)
      })
    })(this);
    const this$3 = $m_sci_List$();
    const bf = this$3.ReusableCBFInstance$2;
    let x1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((xs === $m_sci_Nil$())) {
        x1 = $m_sci_Nil$()
      } else {
        const arg1 = xs.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = xs.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        x1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(xs, bf);
      let these = xs;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      x1 = b.result__O()
    };
    const x = $m_sci_Nil$();
    let y;
    if (x.equals__O__Z(x1)) {
      y = 0
    } else {
      const cmp = $m_s_math_Ordering$Int$();
      y = ($f_sc_TraversableOnce__max__s_math_Ordering__O(x1, cmp) | 0)
    };
    const col1Len = ((x$1 < y) ? x$1 : y);
    const f$1 = (function(this$2$1, col1Len$1) {
      return (function(x$15$2) {
        const x$15 = x$15$2;
        return x$15.usageTwoColumn__I__T(col1Len$1)
      })
    })(this, col1Len);
    const this$6 = $m_sci_List$();
    const bf$1 = this$6.ReusableCBFInstance$2;
    let descriptions;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((xs === $m_sci_Nil$())) {
        descriptions = $m_sci_Nil$()
      } else {
        const arg1$3 = xs.head__O();
        const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        let t$1 = h$1;
        let rest$1 = xs.tail__O();
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$4 = rest$1.head__O();
          const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          rest$1 = rest$1.tail__O()
        };
        descriptions = h$1
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(xs, bf$1);
      let these$1 = xs;
      while ((!these$1.isEmpty__Z())) {
        const arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        these$1 = these$1.tail__O()
      };
      descriptions = b$1.result__O()
    };
    const jsx$4 = ((this.header__T() === "") ? "" : (("" + this.header__T()) + $m_Lscopt_OptionDef$().NL$1));
    const jsx$3 = this.commandExample__s_Option__T($m_s_None$());
    const jsx$2 = $m_Lscopt_OptionDef$().NLNL$1;
    const sep = $m_Lscopt_OptionDef$().NL$1;
    return ((((jsx$4 + "Usage: ") + jsx$3) + jsx$2) + $f_sc_TraversableOnce__mkString__T__T__T__T(descriptions, "", sep, ""))
  };
  header__T() {
    const jsx$2 = this.heads__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        return x$12.usage__T()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).mkString__T__T($m_Lscopt_OptionDef$().NL$1)
  };
  init___T(programName) {
    this.programName$1 = programName;
    this.options$1 = new $c_scm_ListBuffer().init___();
    this.helpOptions$1 = new $c_scm_ListBuffer().init___();
    return this
  };
  renderOneColumnUsage__T() {
    const this$2 = this.optionsForRender__sci_List();
    const f = (function($this) {
      return (function(x$13$2) {
        const x$13 = x$13$2;
        return x$13.usage__T()
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let descriptions;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        descriptions = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        descriptions = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      descriptions = b.result__O()
    };
    const jsx$3 = ((this.header__T() === "") ? "" : (("" + this.header__T()) + $m_Lscopt_OptionDef$().NL$1));
    const jsx$2 = this.commandExample__s_Option__T($m_s_None$());
    const jsx$1 = $m_Lscopt_OptionDef$().NLNL$1;
    const sep = $m_Lscopt_OptionDef$().NL$1;
    return ((((jsx$3 + "Usage: ") + jsx$2) + jsx$1) + $f_sc_TraversableOnce__mkString__T__T__T__T(descriptions, "", sep, ""))
  };
  arguments__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$27 = arg1;
      const x = x$27.kind$1;
      const x$2 = $m_Lscopt_Arg$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  nonArgs__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x0$3 = arg1;
      const x = x0$3.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      let jsx$1;
      if (((x !== null) && (x === x$2))) {
        jsx$1 = true
      } else {
        const x$3 = x0$3.kind$1;
        const x$4 = $m_Lscopt_Note$();
        jsx$1 = ((x$3 !== null) && (x$3 === x$4))
      };
      if ((jsx$1 !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(option, evidence$12) {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    let idx;
    inlinereturn$7: {
      let i = 0;
      let these = this$2.drop__I__sci_List(0);
      while (true) {
        const this$5 = these;
        if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
          const arg1 = these.head__O();
          const x$30 = arg1;
          if ((x$30.id$1 === option.id$1)) {
            idx = i;
            break inlinereturn$7
          };
          i = ((1 + i) | 0);
          these = these.tail__O()
        } else {
          break
        }
      };
      idx = (-1)
    };
    if ((idx > (-1))) {
      this.options$1.update__I__O__V(idx, option)
    } else {
      this.options$1.$$plus$eq__O__scm_ListBuffer(option)
    };
    return option
  };
  arg__T__Lscopt_Read__Lscopt_OptionDef(name, evidence$10) {
    const this$1 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Arg$(), name, evidence$10);
    return this$1.minOccurs__I__Lscopt_OptionDef(1)
  };
  renderUsage__Lscopt_RenderingMode__T(mode) {
    const x = $m_Lscopt_RenderingMode$OneColumn$();
    if ((x === mode)) {
      return this.renderOneColumnUsage__T()
    } else {
      const x$3 = $m_Lscopt_RenderingMode$TwoColumns$();
      if ((x$3 === mode)) {
        return this.renderTwoColumnsUsage__T()
      } else {
        throw new $c_s_MatchError().init___O(mode)
      }
    }
  };
}
class $c_Lscopt_Validation$ extends $c_O {
  init___() {
    return this
  };
  validateValue__sc_Seq__O__s_util_Either(vs, value) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, value$1) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        return x$9.apply__O__O(value$1)
      })
    })(this, value));
    const this$1 = $m_sc_Seq$();
    const results = vs.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $m_Lscopt_OptionDef$();
    $m_s_package$();
    const x$10 = new $c_s_util_Right().init___O((void 0));
    return results.$$div$colon__O__F2__O(x$10, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(acc$2, r$2) {
        const acc = acc$2;
        const r = r$2;
        let jsx$3;
        if ($is_s_util_Right(acc)) {
          jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
        } else {
          if ((!$is_s_util_Left(acc))) {
            throw new $c_s_MatchError().init___O(acc)
          };
          const x4 = acc;
          const xs = x4.value$2;
          jsx$3 = xs
        };
        let jsx$2;
        if ($is_s_util_Right(r)) {
          jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
        } else {
          if ((!$is_s_util_Left(r))) {
            throw new $c_s_MatchError().init___O(r)
          };
          const x4$2 = r;
          const x = x4$2.value$2;
          jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x]))
        };
        const this$4 = $m_sc_Seq$();
        const x1$3 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$4.ReusableCBFInstance$2);
        $m_sc_Seq$();
        const o7 = new $c_s_Some().init___O(x1$3);
        if (((o7.value$2 !== null) && (o7.value$2.lengthCompare__I__I(0) === 0))) {
          return acc
        };
        $m_s_package$();
        return new $c_s_util_Left().init___O(x1$3)
      })
    })(this)))
  };
}
const $d_Lscopt_Validation$ = new $TypeData().initClass({
  Lscopt_Validation$: 0
}, false, "scopt.Validation$", {
  Lscopt_Validation$: 1,
  O: 1
});
$c_Lscopt_Validation$.prototype.$classData = $d_Lscopt_Validation$;
let $n_Lscopt_Validation$ = (void 0);
const $m_Lscopt_Validation$ = (function() {
  if ((!$n_Lscopt_Validation$)) {
    $n_Lscopt_Validation$ = new $c_Lscopt_Validation$().init___()
  };
  return $n_Lscopt_Validation$
});
class $c_Lscopt_platform$ extends $c_O {
  constructor() {
    super();
    this.$$undNL$1 = null
  };
  init___() {
    $n_Lscopt_platform$ = this;
    this.$$undNL$1 = $i_os.EOL;
    return this
  };
}
const $d_Lscopt_platform$ = new $TypeData().initClass({
  Lscopt_platform$: 0
}, false, "scopt.platform$", {
  Lscopt_platform$: 1,
  O: 1
});
$c_Lscopt_platform$.prototype.$classData = $d_Lscopt_platform$;
let $n_Lscopt_platform$ = (void 0);
const $m_Lscopt_platform$ = (function() {
  if ((!$n_Lscopt_platform$)) {
    $n_Lscopt_platform$ = new $c_Lscopt_platform$().init___()
  };
  return $n_Lscopt_platform$
});
class $c_jl_Class extends $c_O {
  constructor() {
    super();
    this.data$1 = null
  };
  getName__T() {
    return this.data$1.name
  };
  getComponentType__jl_Class() {
    return this.data$1.getComponentType()
  };
  isPrimitive__Z() {
    return (!(!this.data$1.isPrimitive))
  };
  toString__T() {
    return ((this.isInterface__Z() ? "interface " : (this.isPrimitive__Z() ? "" : "class ")) + this.getName__T())
  };
  isAssignableFrom__jl_Class__Z(that) {
    return ((this.isPrimitive__Z() || that.isPrimitive__Z()) ? ((this === that) || ((this === $d_S.getClassOf()) ? (that === $d_B.getClassOf()) : ((this === $d_I.getClassOf()) ? ((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) : ((this === $d_F.getClassOf()) ? (((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) : ((this === $d_D.getClassOf()) && ((((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) || (that === $d_F.getClassOf()))))))) : this.isInstance__O__Z(that.getFakeInstance__p1__O()))
  };
  isInstance__O__Z(obj) {
    return (!(!this.data$1.isInstance(obj)))
  };
  init___jl_ScalaJSClassData(data) {
    this.data$1 = data;
    return this
  };
  getFakeInstance__p1__O() {
    return this.data$1.getFakeInstance()
  };
  newArrayOfThisClass__sjs_js_Array__O(dimensions) {
    return this.data$1.newArrayOfThisClass(dimensions)
  };
  isArray__Z() {
    return (!(!this.data$1.isArrayClass))
  };
  isInterface__Z() {
    return (!(!this.data$1.isInterface))
  };
}
const $is_jl_Class = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Class)))
});
const $isArrayOf_jl_Class = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Class)))
});
const $d_jl_Class = new $TypeData().initClass({
  jl_Class: 0
}, false, "java.lang.Class", {
  jl_Class: 1,
  O: 1
});
$c_jl_Class.prototype.$classData = $d_jl_Class;
class $c_jl_Long$StringRadixInfo extends $c_O {
  constructor() {
    super();
    this.chunkLength$1 = 0;
    this.radixPowLength$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.paddingZeros$1 = null;
    this.overflowBarrier$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong()
  };
  init___I__J__T__J(chunkLength, radixPowLength, paddingZeros, overflowBarrier) {
    this.chunkLength$1 = chunkLength;
    this.radixPowLength$1 = radixPowLength;
    this.paddingZeros$1 = paddingZeros;
    this.overflowBarrier$1 = overflowBarrier;
    return this
  };
}
const $is_jl_Long$StringRadixInfo = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Long$StringRadixInfo)))
});
const $isArrayOf_jl_Long$StringRadixInfo = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Long$StringRadixInfo)))
});
const $d_jl_Long$StringRadixInfo = new $TypeData().initClass({
  jl_Long$StringRadixInfo: 0
}, false, "java.lang.Long$StringRadixInfo", {
  jl_Long$StringRadixInfo: 1,
  O: 1
});
$c_jl_Long$StringRadixInfo.prototype.$classData = $d_jl_Long$StringRadixInfo;
class $c_jl_Runtime extends $c_O {
  init___() {
    return this
  };
  halt__I__V(status) {
    const envInfo = $env;
    const value = envInfo.exitFunction;
    if ((value === (void 0))) {
      throw new $c_jl_SecurityException().init___T("Cannot terminate a JavaScript program. Define a JavaScript function `__ScalaJSEnv.exitFunction` to be called on exit.")
    } else {
      value(status);
      throw new $c_jl_IllegalStateException().init___T("__ScalaJSEnv.exitFunction returned")
    }
  };
}
const $d_jl_Runtime = new $TypeData().initClass({
  jl_Runtime: 0
}, false, "java.lang.Runtime", {
  jl_Runtime: 1,
  O: 1
});
$c_jl_Runtime.prototype.$classData = $d_jl_Runtime;
class $c_jl_Runtime$ extends $c_O {
  constructor() {
    super();
    this.currentRuntime$1 = null
  };
  init___() {
    $n_jl_Runtime$ = this;
    this.currentRuntime$1 = new $c_jl_Runtime().init___();
    return this
  };
}
const $d_jl_Runtime$ = new $TypeData().initClass({
  jl_Runtime$: 0
}, false, "java.lang.Runtime$", {
  jl_Runtime$: 1,
  O: 1
});
$c_jl_Runtime$.prototype.$classData = $d_jl_Runtime$;
let $n_jl_Runtime$ = (void 0);
const $m_jl_Runtime$ = (function() {
  if ((!$n_jl_Runtime$)) {
    $n_jl_Runtime$ = new $c_jl_Runtime$().init___()
  };
  return $n_jl_Runtime$
});
class $c_jl_System$ extends $c_O {
  constructor() {
    super();
    this.out$1 = null;
    this.err$1 = null;
    this.in$1 = null;
    this.getHighPrecisionTime$1 = null
  };
  init___() {
    $n_jl_System$ = this;
    this.out$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(false);
    this.err$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(true);
    this.in$1 = null;
    const x = $g.performance;
    let jsx$1;
    if ((!(!(!(!x))))) {
      const x$1 = $g.performance.now;
      if ((!(!(!(!x$1))))) {
        jsx$1 = (function() {
          return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$1__D()
        })
      } else {
        const x$2 = $g.performance.webkitNow;
        if ((!(!(!(!x$2))))) {
          jsx$1 = (function() {
            return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$2__D()
          })
        } else {
          jsx$1 = (function() {
            return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$3__D()
          })
        }
      }
    } else {
      jsx$1 = (function() {
        return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$4__D()
      })
    };
    this.getHighPrecisionTime$1 = jsx$1;
    return this
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$3__D() {
    return (+new $g.Date().getTime())
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$1__D() {
    return (+$g.performance.now())
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$4__D() {
    return (+new $g.Date().getTime())
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$2__D() {
    return (+$g.performance.webkitNow())
  };
}
const $d_jl_System$ = new $TypeData().initClass({
  jl_System$: 0
}, false, "java.lang.System$", {
  jl_System$: 1,
  O: 1
});
$c_jl_System$.prototype.$classData = $d_jl_System$;
let $n_jl_System$ = (void 0);
const $m_jl_System$ = (function() {
  if ((!$n_jl_System$)) {
    $n_jl_System$ = new $c_jl_System$().init___()
  };
  return $n_jl_System$
});
class $c_jl_Thread$ extends $c_O {
  constructor() {
    super();
    this.SingleThread$1 = null
  };
  init___() {
    $n_jl_Thread$ = this;
    this.SingleThread$1 = new $c_jl_Thread().init___sr_BoxedUnit((void 0));
    return this
  };
}
const $d_jl_Thread$ = new $TypeData().initClass({
  jl_Thread$: 0
}, false, "java.lang.Thread$", {
  jl_Thread$: 1,
  O: 1
});
$c_jl_Thread$.prototype.$classData = $d_jl_Thread$;
let $n_jl_Thread$ = (void 0);
const $m_jl_Thread$ = (function() {
  if ((!$n_jl_Thread$)) {
    $n_jl_Thread$ = new $c_jl_Thread$().init___()
  };
  return $n_jl_Thread$
});
class $c_jl_ThreadLocal extends $c_O {
  constructor() {
    super();
    this.hasValue$1 = null;
    this.v$1 = null
  };
  init___() {
    this.hasValue$1 = false;
    return this
  };
  remove__V() {
    this.hasValue$1 = false;
    this.v$1 = null
  };
  get__O() {
    const x = this.hasValue$1;
    if ((!(!(!x)))) {
      this.set__O__V(null)
    };
    return this.v$1
  };
  set__O__V(o) {
    this.v$1 = o;
    this.hasValue$1 = true
  };
}
const $d_jl_ThreadLocal = new $TypeData().initClass({
  jl_ThreadLocal: 0
}, false, "java.lang.ThreadLocal", {
  jl_ThreadLocal: 1,
  O: 1
});
$c_jl_ThreadLocal.prototype.$classData = $d_jl_ThreadLocal;
class $c_jl_reflect_Array$ extends $c_O {
  init___() {
    return this
  };
  newInstance__jl_Class__I__O(componentType, length) {
    return componentType.newArrayOfThisClass__sjs_js_Array__O([length])
  };
}
const $d_jl_reflect_Array$ = new $TypeData().initClass({
  jl_reflect_Array$: 0
}, false, "java.lang.reflect.Array$", {
  jl_reflect_Array$: 1,
  O: 1
});
$c_jl_reflect_Array$.prototype.$classData = $d_jl_reflect_Array$;
let $n_jl_reflect_Array$ = (void 0);
const $m_jl_reflect_Array$ = (function() {
  if ((!$n_jl_reflect_Array$)) {
    $n_jl_reflect_Array$ = new $c_jl_reflect_Array$().init___()
  };
  return $n_jl_reflect_Array$
});
class $c_ju_Arrays$ extends $c_O {
  equals__AO__AO__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  init___() {
    return this
  };
  binarySearch__AJ__J__I(a, key) {
    let startIndex = 0;
    let endIndex = a.u.length;
    _binarySearchImpl: while (true) {
      if ((startIndex === endIndex)) {
        return (((-1) - startIndex) | 0)
      } else {
        const mid = ((((startIndex + endIndex) | 0) >>> 1) | 0);
        const elem = a.u[mid];
        const t = $uJ(elem);
        const lo = t.lo$2;
        const hi = t.hi$2;
        const ahi = key.hi$2;
        if (((ahi === hi) ? (((-2147483648) ^ key.lo$2) < ((-2147483648) ^ lo)) : (ahi < hi))) {
          endIndex = mid;
          continue _binarySearchImpl
        } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, elem)) {
          return mid
        } else {
          startIndex = ((1 + mid) | 0);
          continue _binarySearchImpl
        }
      }
    }
  };
  equals__AD__AD__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AI__AI__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AF__AF__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AJ__AJ__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  binarySearch__AI__I__I(a, key) {
    let startIndex = 0;
    let endIndex = a.u.length;
    _binarySearchImpl: while (true) {
      if ((startIndex === endIndex)) {
        return (((-1) - startIndex) | 0)
      } else {
        const mid = ((((startIndex + endIndex) | 0) >>> 1) | 0);
        const elem = a.u[mid];
        if ((key < elem)) {
          endIndex = mid;
          continue _binarySearchImpl
        } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, elem)) {
          return mid
        } else {
          startIndex = ((1 + mid) | 0);
          continue _binarySearchImpl
        }
      }
    }
  };
  equals__AB__AB__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AZ__AZ__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  java$util$Arrays$$insertionSortAnyRef__AO__I__I__s_math_Ordering__V(a, start, end, ord) {
    const n = ((end - start) | 0);
    if ((n >= 2)) {
      if ((ord.compare__O__O__I(a.u[start], a.u[((1 + start) | 0)]) > 0)) {
        const temp = a.u[start];
        a.u[start] = a.u[((1 + start) | 0)];
        a.u[((1 + start) | 0)] = temp
      };
      let m = 2;
      while ((m < n)) {
        const next = a.u[((start + m) | 0)];
        if ((ord.compare__O__O__I(next, a.u[(((-1) + ((start + m) | 0)) | 0)]) < 0)) {
          let iA = start;
          let iB = (((-1) + ((start + m) | 0)) | 0);
          while ((((iB - iA) | 0) > 1)) {
            const ix = ((((iA + iB) | 0) >>> 1) | 0);
            if ((ord.compare__O__O__I(next, a.u[ix]) < 0)) {
              iB = ix
            } else {
              iA = ix
            }
          };
          const ix$2 = ((iA + ((ord.compare__O__O__I(next, a.u[iA]) < 0) ? 0 : 1)) | 0);
          let i = ((start + m) | 0);
          while ((i > ix$2)) {
            a.u[i] = a.u[(((-1) + i) | 0)];
            i = (((-1) + i) | 0)
          };
          a.u[ix$2] = next
        };
        m = ((1 + m) | 0)
      }
    }
  };
  fill__AI__I__V(a, value) {
    const toIndex = a.u.length;
    let i = 0;
    while ((i !== toIndex)) {
      a.u[i] = value;
      i = ((1 + i) | 0)
    }
  };
  equals__AC__AC__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(new $c_jl_Character().init___C(a.u[i]), new $c_jl_Character().init___C(b.u[i]))
      };
      return res
    } else {
      return false
    }
  };
  equals__AS__AS__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  sort__AO__ju_Comparator__V(array, comparator) {
    const ord = new $c_ju_Arrays$$anon$3().init___ju_Comparator(comparator);
    const end = array.u.length;
    if ((end > 16)) {
      this.java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(array, $newArrayObject($d_O.getArrayOf(), [array.u.length]), 0, end, ord)
    } else {
      this.java$util$Arrays$$insertionSortAnyRef__AO__I__I__s_math_Ordering__V(array, 0, end, ord)
    }
  };
  java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(a, temp, start, end, ord) {
    const length = ((end - start) | 0);
    if ((length > 16)) {
      const middle = ((start + ((length / 2) | 0)) | 0);
      this.java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(a, temp, start, middle, ord);
      this.java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(a, temp, middle, end, ord);
      let outIndex = start;
      let leftInIndex = start;
      let rightInIndex = middle;
      while ((outIndex < end)) {
        let jsx$1;
        if ((leftInIndex < middle)) {
          if ((rightInIndex >= end)) {
            jsx$1 = true
          } else {
            const x = a.u[leftInIndex];
            const y = a.u[rightInIndex];
            jsx$1 = $f_s_math_Ordering__lteq__O__O__Z(ord, x, y)
          }
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          temp.u[outIndex] = a.u[leftInIndex];
          leftInIndex = ((1 + leftInIndex) | 0)
        } else {
          temp.u[outIndex] = a.u[rightInIndex];
          rightInIndex = ((1 + rightInIndex) | 0)
        };
        outIndex = ((1 + outIndex) | 0)
      };
      $systemArraycopy(temp, start, a, start, length)
    } else {
      this.java$util$Arrays$$insertionSortAnyRef__AO__I__I__s_math_Ordering__V(a, start, end, ord)
    }
  };
}
const $d_ju_Arrays$ = new $TypeData().initClass({
  ju_Arrays$: 0
}, false, "java.util.Arrays$", {
  ju_Arrays$: 1,
  O: 1
});
$c_ju_Arrays$.prototype.$classData = $d_ju_Arrays$;
let $n_ju_Arrays$ = (void 0);
const $m_ju_Arrays$ = (function() {
  if ((!$n_ju_Arrays$)) {
    $n_ju_Arrays$ = new $c_ju_Arrays$().init___()
  };
  return $n_ju_Arrays$
});
class $c_s_DeprecatedConsole extends $c_O {
}
class $c_s_FallbackArrayBuilding extends $c_O {
}
class $c_s_LowPriorityImplicits extends $c_O {
  wrapRefArray__AO__scm_WrappedArray(xs) {
    if ((xs === null)) {
      return null
    } else if ((xs.u.length === 0)) {
      const this$1 = $m_scm_WrappedArray$();
      return this$1.EmptyWrappedArray$1
    } else {
      return new $c_scm_WrappedArray$ofRef().init___AO(xs)
    }
  };
  unwrapString__sci_WrappedString__T(ws) {
    return ((ws !== null) ? ws.self$4 : null)
  };
}
class $c_s_Option$WithFilter extends $c_O {
  constructor() {
    super();
    this.p$1 = null;
    this.$$outer$1 = null
  };
  init___s_Option__F1($$outer, p) {
    this.p$1 = p;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_s_Option$WithFilter = new $TypeData().initClass({
  s_Option$WithFilter: 0
}, false, "scala.Option$WithFilter", {
  s_Option$WithFilter: 1,
  O: 1
});
$c_s_Option$WithFilter.prototype.$classData = $d_s_Option$WithFilter;
const $f_s_PartialFunction__runWith__F1__F1 = (function($thiz, action) {
  return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, action$1) {
    return (function(x$2) {
      const z = $this.applyOrElse__O__F1__O(x$2, $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f);
      return ((!$m_s_PartialFunction$().scala$PartialFunction$$fallbackOccurred__O__Z(z)) && (action$1.apply__O__O(z), true))
    })
  })($thiz, action))
});
const $f_s_PartialFunction__applyOrElse__O__F1__O = (function($thiz, x, $default) {
  return ($thiz.isDefinedAt__O__Z(x) ? $thiz.apply__O__O(x) : $default.apply__O__O(x))
});
class $c_s_PartialFunction$ extends $c_O {
  constructor() {
    super();
    this.scala$PartialFunction$$fallback$undpf$f = null;
    this.scala$PartialFunction$$constFalse$f = null;
    this.empty$undpf$1 = null
  };
  init___() {
    $n_s_PartialFunction$ = this;
    this.scala$PartialFunction$$fallback$undpf$f = new $c_s_PartialFunction$$anonfun$1().init___();
    this.scala$PartialFunction$$constFalse$f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        return false
      })
    })(this));
    this.empty$undpf$1 = new $c_s_PartialFunction$$anon$1().init___();
    return this
  };
  scala$PartialFunction$$fallbackOccurred__O__Z(x) {
    return (this.scala$PartialFunction$$fallback$undpf$f === x)
  };
}
const $d_s_PartialFunction$ = new $TypeData().initClass({
  s_PartialFunction$: 0
}, false, "scala.PartialFunction$", {
  s_PartialFunction$: 1,
  O: 1
});
$c_s_PartialFunction$.prototype.$classData = $d_s_PartialFunction$;
let $n_s_PartialFunction$ = (void 0);
const $m_s_PartialFunction$ = (function() {
  if ((!$n_s_PartialFunction$)) {
    $n_s_PartialFunction$ = new $c_s_PartialFunction$().init___()
  };
  return $n_s_PartialFunction$
});
class $c_s_Predef$DummyImplicit extends $c_O {
  init___() {
    return this
  };
}
const $d_s_Predef$DummyImplicit = new $TypeData().initClass({
  s_Predef$DummyImplicit: 0
}, false, "scala.Predef$DummyImplicit", {
  s_Predef$DummyImplicit: 1,
  O: 1
});
$c_s_Predef$DummyImplicit.prototype.$classData = $d_s_Predef$DummyImplicit;
class $c_s_Predef$any2stringadd$ extends $c_O {
  init___() {
    return this
  };
  $$plus$extension__O__T__T($$this, other) {
    return (("" + $m_sjsr_RuntimeString$().valueOf__O__T($$this)) + other)
  };
}
const $d_s_Predef$any2stringadd$ = new $TypeData().initClass({
  s_Predef$any2stringadd$: 0
}, false, "scala.Predef$any2stringadd$", {
  s_Predef$any2stringadd$: 1,
  O: 1
});
$c_s_Predef$any2stringadd$.prototype.$classData = $d_s_Predef$any2stringadd$;
let $n_s_Predef$any2stringadd$ = (void 0);
const $m_s_Predef$any2stringadd$ = (function() {
  if ((!$n_s_Predef$any2stringadd$)) {
    $n_s_Predef$any2stringadd$ = new $c_s_Predef$any2stringadd$().init___()
  };
  return $n_s_Predef$any2stringadd$
});
const $f_s_concurrent_BatchingExecutor__batchable__jl_Runnable__Z = (function($thiz, runnable) {
  return $is_s_concurrent_OnCompleteRunnable(runnable)
});
const $f_s_concurrent_BatchingExecutor__execute__jl_Runnable__V = (function($thiz, runnable) {
  if ($f_s_concurrent_BatchingExecutor__batchable__jl_Runnable__Z($thiz, runnable)) {
    const x1 = $thiz.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O();
    if ((x1 === null)) {
      const this$1 = $m_sci_Nil$();
      const r = new $c_s_concurrent_BatchingExecutor$Batch().init___s_concurrent_BatchingExecutor__sci_List($thiz, new $c_sci_$colon$colon().init___O__sci_List(runnable, this$1));
      r.run__V()
    } else {
      $thiz.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V(new $c_sci_$colon$colon().init___O__sci_List(runnable, x1))
    }
  } else {
    runnable.run__V()
  }
});
class $c_s_concurrent_BlockContext$ extends $c_O {
  constructor() {
    super();
    this.contextLocal$1 = null
  };
  init___() {
    $n_s_concurrent_BlockContext$ = this;
    this.contextLocal$1 = new $c_jl_ThreadLocal().init___();
    return this
  };
  current__s_concurrent_BlockContext() {
    const x1 = this.contextLocal$1.get__O();
    if ((x1 === null)) {
      const x1$2 = $m_jl_Thread$().SingleThread$1;
      return ($is_s_concurrent_BlockContext(x1$2) ? x1$2 : $m_s_concurrent_BlockContext$DefaultBlockContext$())
    } else {
      return x1
    }
  };
}
const $d_s_concurrent_BlockContext$ = new $TypeData().initClass({
  s_concurrent_BlockContext$: 0
}, false, "scala.concurrent.BlockContext$", {
  s_concurrent_BlockContext$: 1,
  O: 1
});
$c_s_concurrent_BlockContext$.prototype.$classData = $d_s_concurrent_BlockContext$;
let $n_s_concurrent_BlockContext$ = (void 0);
const $m_s_concurrent_BlockContext$ = (function() {
  if ((!$n_s_concurrent_BlockContext$)) {
    $n_s_concurrent_BlockContext$ = new $c_s_concurrent_BlockContext$().init___()
  };
  return $n_s_concurrent_BlockContext$
});
class $c_s_concurrent_ExecutionContext$Implicits$ extends $c_O {
  constructor() {
    super();
    this.global$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    return this
  };
  global$lzycompute__p1__s_concurrent_ExecutionContext() {
    if ((!this.bitmap$0$1)) {
      this.global$1 = $m_sjs_concurrent_JSExecutionContext$().queue$1;
      this.bitmap$0$1 = true
    };
    return this.global$1
  };
  global__s_concurrent_ExecutionContext() {
    return ((!this.bitmap$0$1) ? this.global$lzycompute__p1__s_concurrent_ExecutionContext() : this.global$1)
  };
}
const $d_s_concurrent_ExecutionContext$Implicits$ = new $TypeData().initClass({
  s_concurrent_ExecutionContext$Implicits$: 0
}, false, "scala.concurrent.ExecutionContext$Implicits$", {
  s_concurrent_ExecutionContext$Implicits$: 1,
  O: 1
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.$classData = $d_s_concurrent_ExecutionContext$Implicits$;
let $n_s_concurrent_ExecutionContext$Implicits$ = (void 0);
const $m_s_concurrent_ExecutionContext$Implicits$ = (function() {
  if ((!$n_s_concurrent_ExecutionContext$Implicits$)) {
    $n_s_concurrent_ExecutionContext$Implicits$ = new $c_s_concurrent_ExecutionContext$Implicits$().init___()
  };
  return $n_s_concurrent_ExecutionContext$Implicits$
});
const $f_s_concurrent_Future__foreach__F1__s_concurrent_ExecutionContext__V = (function($thiz, f, executor) {
  $thiz.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      x$1.foreach__F1__V(f$1)
    })
  })($thiz, f)), executor)
});
const $f_s_concurrent_Future__flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x0$5$2) {
      const x0$5 = x0$5$2;
      if ($is_s_util_Success(x0$5)) {
        const x2 = x0$5;
        const s = x2.value$2;
        return f$1.apply__O__O(s)
      } else if ($is_s_util_Failure(x0$5)) {
        return $this
      } else {
        throw new $c_s_MatchError().init___O(x0$5)
      }
    })
  })($thiz, f));
  return $f_s_concurrent_impl_Promise__transformWith__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f$2, executor)
});
const $f_s_concurrent_Future__map__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2$2) {
      const x$2 = x$2$2;
      return x$2.map__F1__s_util_Try(f$1)
    })
  })($thiz, f));
  return $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f$2, executor)
});
const $f_s_concurrent_Future__zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, that, f, executor) {
  return $thiz.flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, that$1, f$1, executor$1) {
    return (function(r1$2) {
      return that$1.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, f$5, r1) {
        return (function(r2$2) {
          return f$5.apply__O__O__O(r1, r2$2)
        })
      })($this, f$1, r1$2)), executor$1)
    })
  })($thiz, that, f, executor)), $m_s_concurrent_Future$InternalCallbackExecutor$())
});
const $f_s_concurrent_Future__recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, pf, executor) {
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, pf$1) {
    return (function(x$3$2) {
      const x$3 = x$3$2;
      return x$3.recover__s_PartialFunction__s_util_Try(pf$1)
    })
  })($thiz, pf));
  return $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f, executor)
});
const $f_s_concurrent_Future__failed__s_concurrent_Future = (function($thiz) {
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x0$3$2) {
      const x0$3 = x0$3$2;
      if ($is_s_util_Failure(x0$3)) {
        const x2 = x0$3;
        const t = x2.exception$2;
        return new $c_s_util_Success().init___O(t)
      } else if ($is_s_util_Success(x0$3)) {
        return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_NoSuchElementException().init___T("Future.failed not completed with a throwable."))
      } else {
        throw new $c_s_MatchError().init___O(x0$3)
      }
    })
  })($thiz));
  const executor = $m_s_concurrent_Future$InternalCallbackExecutor$();
  return $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f, executor)
});
const $is_s_concurrent_Future = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_Future)))
});
const $isArrayOf_s_concurrent_Future = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_Future)))
});
class $c_s_concurrent_Future$ extends $c_O {
  constructor() {
    super();
    this.toBoxed$1 = null;
    this.unit$1 = null
  };
  init___() {
    $n_s_concurrent_Future$ = this;
    const array = [new $c_T2().init___O__O($d_Z.getClassOf(), $d_jl_Boolean.getClassOf()), new $c_T2().init___O__O($d_B.getClassOf(), $d_jl_Byte.getClassOf()), new $c_T2().init___O__O($d_C.getClassOf(), $d_jl_Character.getClassOf()), new $c_T2().init___O__O($d_S.getClassOf(), $d_jl_Short.getClassOf()), new $c_T2().init___O__O($d_I.getClassOf(), $d_jl_Integer.getClassOf()), new $c_T2().init___O__O($d_J.getClassOf(), $d_jl_Long.getClassOf()), new $c_T2().init___O__O($d_F.getClassOf(), $d_jl_Float.getClassOf()), new $c_T2().init___O__O($d_D.getClassOf(), $d_jl_Double.getClassOf()), new $c_T2().init___O__O($d_V.getClassOf(), $d_sr_BoxedUnit.getClassOf())];
    const this$20 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$20.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    this.toBoxed$1 = this$20.elems$1;
    this.unit$1 = this.successful__O__s_concurrent_Future((void 0));
    return this
  };
  sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future($in, cbf, executor) {
    return $in.foldLeft__O__F2__O(this.successful__O__s_concurrent_Future(cbf.apply__O__scm_Builder($in)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, executor$1) {
      return (function(fr$2, fa$2) {
        const fr = fr$2;
        const fa = fa$2;
        return fr.zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(fa, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1) {
          return (function(x$6$2, x$7$2) {
            const x$6 = x$6$2;
            return x$6.$$plus$eq__O__scm_Builder(x$7$2)
          })
        })($this)), executor$1)
      })
    })(this, executor))).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return x$8.result__O()
      })
    })(this)), $m_s_concurrent_Future$InternalCallbackExecutor$())
  };
  successful__O__s_concurrent_Future(result) {
    const this$1 = $m_s_concurrent_Promise$().successful__O__s_concurrent_Promise(result);
    return this$1
  };
  apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(body, executor) {
    return this.unit$1.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, body$1) {
      return (function(x$5$2) {
        return body$1.apply__O()
      })
    })(this, body)), executor)
  };
  failed__jl_Throwable__s_concurrent_Future(exception) {
    const this$1 = $m_s_concurrent_Promise$().failed__jl_Throwable__s_concurrent_Promise(exception);
    return this$1
  };
}
const $d_s_concurrent_Future$ = new $TypeData().initClass({
  s_concurrent_Future$: 0
}, false, "scala.concurrent.Future$", {
  s_concurrent_Future$: 1,
  O: 1
});
$c_s_concurrent_Future$.prototype.$classData = $d_s_concurrent_Future$;
let $n_s_concurrent_Future$ = (void 0);
const $m_s_concurrent_Future$ = (function() {
  if ((!$n_s_concurrent_Future$)) {
    $n_s_concurrent_Future$ = new $c_s_concurrent_Future$().init___()
  };
  return $n_s_concurrent_Future$
});
class $c_s_concurrent_Promise$ extends $c_O {
  init___() {
    return this
  };
  successful__O__s_concurrent_Promise(result) {
    const result$1 = new $c_s_util_Success().init___O(result);
    return $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(result$1)
  };
  failed__jl_Throwable__s_concurrent_Promise(exception) {
    const result = new $c_s_util_Failure().init___jl_Throwable(exception);
    return $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(result)
  };
}
const $d_s_concurrent_Promise$ = new $TypeData().initClass({
  s_concurrent_Promise$: 0
}, false, "scala.concurrent.Promise$", {
  s_concurrent_Promise$: 1,
  O: 1
});
$c_s_concurrent_Promise$.prototype.$classData = $d_s_concurrent_Promise$;
let $n_s_concurrent_Promise$ = (void 0);
const $m_s_concurrent_Promise$ = (function() {
  if ((!$n_s_concurrent_Promise$)) {
    $n_s_concurrent_Promise$ = new $c_s_concurrent_Promise$().init___()
  };
  return $n_s_concurrent_Promise$
});
class $c_s_concurrent_impl_Promise$ extends $c_O {
  init___() {
    return this
  };
  scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(source) {
    if ($is_s_util_Failure(source)) {
      const x2 = source;
      const t = x2.exception$2;
      return this.resolver__p1__jl_Throwable__s_util_Try(t)
    } else {
      return source
    }
  };
  resolver__p1__jl_Throwable__s_util_Try(throwable) {
    if ($is_sr_NonLocalReturnControl(throwable)) {
      const x2 = throwable;
      return new $c_s_util_Success().init___O(x2.value__O())
    } else if ($is_s_util_control_ControlThrowable(throwable)) {
      const x3 = throwable;
      return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed ControlThrowable", x3))
    } else if ($is_jl_InterruptedException(throwable)) {
      const x4 = throwable;
      return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed InterruptedException", x4))
    } else if ($is_jl_Error(throwable)) {
      const x5 = throwable;
      return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed Error", x5))
    } else {
      return new $c_s_util_Failure().init___jl_Throwable(throwable)
    }
  };
}
const $d_s_concurrent_impl_Promise$ = new $TypeData().initClass({
  s_concurrent_impl_Promise$: 0
}, false, "scala.concurrent.impl.Promise$", {
  s_concurrent_impl_Promise$: 1,
  O: 1
});
$c_s_concurrent_impl_Promise$.prototype.$classData = $d_s_concurrent_impl_Promise$;
let $n_s_concurrent_impl_Promise$ = (void 0);
const $m_s_concurrent_impl_Promise$ = (function() {
  if ((!$n_s_concurrent_impl_Promise$)) {
    $n_s_concurrent_impl_Promise$ = new $c_s_concurrent_impl_Promise$().init___()
  };
  return $n_s_concurrent_impl_Promise$
});
class $c_s_concurrent_impl_Promise$KeptPromise$ extends $c_O {
  init___() {
    return this
  };
  apply__s_util_Try__s_concurrent_Promise(result) {
    const x1 = $m_s_concurrent_impl_Promise$().scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(result);
    if ($is_s_util_Success(x1)) {
      const x2 = x1;
      return new $c_s_concurrent_impl_Promise$KeptPromise$Successful().init___s_util_Success(x2)
    } else if ($is_s_util_Failure(x1)) {
      const x4 = x1;
      return new $c_s_concurrent_impl_Promise$KeptPromise$Failed().init___s_util_Failure(x4)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $d_s_concurrent_impl_Promise$KeptPromise$ = new $TypeData().initClass({
  s_concurrent_impl_Promise$KeptPromise$: 0
}, false, "scala.concurrent.impl.Promise$KeptPromise$", {
  s_concurrent_impl_Promise$KeptPromise$: 1,
  O: 1
});
$c_s_concurrent_impl_Promise$KeptPromise$.prototype.$classData = $d_s_concurrent_impl_Promise$KeptPromise$;
let $n_s_concurrent_impl_Promise$KeptPromise$ = (void 0);
const $m_s_concurrent_impl_Promise$KeptPromise$ = (function() {
  if ((!$n_s_concurrent_impl_Promise$KeptPromise$)) {
    $n_s_concurrent_impl_Promise$KeptPromise$ = new $c_s_concurrent_impl_Promise$KeptPromise$().init___()
  };
  return $n_s_concurrent_impl_Promise$KeptPromise$
});
const $f_s_math_Ordered__$$less$eq__O__Z = (function($thiz, that) {
  return ($thiz.compare__O__I(that) <= 0)
});
const $f_s_math_Ordered__$$greater$eq__O__Z = (function($thiz, that) {
  return ($thiz.compare__O__I(that) >= 0)
});
class $c_s_math_Ordered$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Ordered$ = new $TypeData().initClass({
  s_math_Ordered$: 0
}, false, "scala.math.Ordered$", {
  s_math_Ordered$: 1,
  O: 1
});
$c_s_math_Ordered$.prototype.$classData = $d_s_math_Ordered$;
let $n_s_math_Ordered$ = (void 0);
const $m_s_math_Ordered$ = (function() {
  if ((!$n_s_math_Ordered$)) {
    $n_s_math_Ordered$ = new $c_s_math_Ordered$().init___()
  };
  return $n_s_math_Ordered$
});
class $c_s_package$ extends $c_O {
  constructor() {
    super();
    this.BigDecimal$1 = null;
    this.BigInt$1 = null;
    this.AnyRef$1 = null;
    this.Traversable$1 = null;
    this.Iterable$1 = null;
    this.Seq$1 = null;
    this.IndexedSeq$1 = null;
    this.Iterator$1 = null;
    this.List$1 = null;
    this.Nil$1 = null;
    this.$$colon$colon$1 = null;
    this.$$plus$colon$1 = null;
    this.$$colon$plus$1 = null;
    this.Stream$1 = null;
    this.$$hash$colon$colon$1 = null;
    this.Vector$1 = null;
    this.StringBuilder$1 = null;
    this.Range$1 = null;
    this.Equiv$1 = null;
    this.Fractional$1 = null;
    this.Integral$1 = null;
    this.Numeric$1 = null;
    this.Ordered$1 = null;
    this.Ordering$1 = null;
    this.Either$1 = null;
    this.Left$1 = null;
    this.Right$1 = null;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_s_package$ = this;
    this.AnyRef$1 = new $c_s_package$$anon$1().init___();
    this.Traversable$1 = $m_sc_Traversable$();
    this.Iterable$1 = $m_sc_Iterable$();
    this.Seq$1 = $m_sc_Seq$();
    this.IndexedSeq$1 = $m_sc_IndexedSeq$();
    this.Iterator$1 = $m_sc_Iterator$();
    this.List$1 = $m_sci_List$();
    this.Nil$1 = $m_sci_Nil$();
    this.$$colon$colon$1 = $m_sci_$colon$colon$();
    this.$$plus$colon$1 = $m_sc_$plus$colon$();
    this.$$colon$plus$1 = $m_sc_$colon$plus$();
    this.Stream$1 = $m_sci_Stream$();
    this.$$hash$colon$colon$1 = $m_sci_Stream$$hash$colon$colon$();
    this.Vector$1 = $m_sci_Vector$();
    this.StringBuilder$1 = $m_scm_StringBuilder$();
    this.Range$1 = $m_sci_Range$();
    this.Equiv$1 = $m_s_math_Equiv$();
    this.Fractional$1 = $m_s_math_Fractional$();
    this.Integral$1 = $m_s_math_Integral$();
    this.Numeric$1 = $m_s_math_Numeric$();
    this.Ordered$1 = $m_s_math_Ordered$();
    this.Ordering$1 = $m_s_math_Ordering$();
    this.Either$1 = $m_s_util_Either$();
    this.Left$1 = $m_s_util_Left$();
    this.Right$1 = $m_s_util_Right$();
    return this
  };
  BigInt__s_math_BigInt$() {
    return (((2 & this.bitmap$0$1) === 0) ? this.BigInt$lzycompute__p1__s_math_BigInt$() : this.BigInt$1)
  };
  BigInt$lzycompute__p1__s_math_BigInt$() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.BigInt$1 = $m_s_math_BigInt$();
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.BigInt$1
  };
  BigDecimal__s_math_BigDecimal$() {
    return (((1 & this.bitmap$0$1) === 0) ? this.BigDecimal$lzycompute__p1__s_math_BigDecimal$() : this.BigDecimal$1)
  };
  BigDecimal$lzycompute__p1__s_math_BigDecimal$() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.BigDecimal$1 = $m_s_math_BigDecimal$();
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.BigDecimal$1
  };
}
const $d_s_package$ = new $TypeData().initClass({
  s_package$: 0
}, false, "scala.package$", {
  s_package$: 1,
  O: 1
});
$c_s_package$.prototype.$classData = $d_s_package$;
let $n_s_package$ = (void 0);
const $m_s_package$ = (function() {
  if ((!$n_s_package$)) {
    $n_s_package$ = new $c_s_package$().init___()
  };
  return $n_s_package$
});
class $c_s_reflect_ClassManifestFactory$ extends $c_O {
  constructor() {
    super();
    this.Byte$1 = null;
    this.Short$1 = null;
    this.Char$1 = null;
    this.Int$1 = null;
    this.Long$1 = null;
    this.Float$1 = null;
    this.Double$1 = null;
    this.Boolean$1 = null;
    this.Unit$1 = null;
    this.Any$1 = null;
    this.Object$1 = null;
    this.AnyVal$1 = null;
    this.Nothing$1 = null;
    this.Null$1 = null
  };
  init___() {
    $n_s_reflect_ClassManifestFactory$ = this;
    this.Byte$1 = $m_s_reflect_ManifestFactory$ByteManifest$();
    this.Short$1 = $m_s_reflect_ManifestFactory$ShortManifest$();
    this.Char$1 = $m_s_reflect_ManifestFactory$CharManifest$();
    this.Int$1 = $m_s_reflect_ManifestFactory$IntManifest$();
    this.Long$1 = $m_s_reflect_ManifestFactory$LongManifest$();
    this.Float$1 = $m_s_reflect_ManifestFactory$FloatManifest$();
    this.Double$1 = $m_s_reflect_ManifestFactory$DoubleManifest$();
    this.Boolean$1 = $m_s_reflect_ManifestFactory$BooleanManifest$();
    this.Unit$1 = $m_s_reflect_ManifestFactory$UnitManifest$();
    this.Any$1 = $m_s_reflect_ManifestFactory$AnyManifest$();
    this.Object$1 = $m_s_reflect_ManifestFactory$ObjectManifest$();
    this.AnyVal$1 = $m_s_reflect_ManifestFactory$AnyValManifest$();
    this.Nothing$1 = $m_s_reflect_ManifestFactory$NothingManifest$();
    this.Null$1 = $m_s_reflect_ManifestFactory$NullManifest$();
    return this
  };
}
const $d_s_reflect_ClassManifestFactory$ = new $TypeData().initClass({
  s_reflect_ClassManifestFactory$: 0
}, false, "scala.reflect.ClassManifestFactory$", {
  s_reflect_ClassManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ClassManifestFactory$.prototype.$classData = $d_s_reflect_ClassManifestFactory$;
let $n_s_reflect_ClassManifestFactory$ = (void 0);
const $m_s_reflect_ClassManifestFactory$ = (function() {
  if ((!$n_s_reflect_ClassManifestFactory$)) {
    $n_s_reflect_ClassManifestFactory$ = new $c_s_reflect_ClassManifestFactory$().init___()
  };
  return $n_s_reflect_ClassManifestFactory$
});
class $c_s_reflect_ManifestFactory$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_reflect_ManifestFactory$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$: 0
}, false, "scala.reflect.ManifestFactory$", {
  s_reflect_ManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ManifestFactory$.prototype.$classData = $d_s_reflect_ManifestFactory$;
let $n_s_reflect_ManifestFactory$ = (void 0);
const $m_s_reflect_ManifestFactory$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$)) {
    $n_s_reflect_ManifestFactory$ = new $c_s_reflect_ManifestFactory$().init___()
  };
  return $n_s_reflect_ManifestFactory$
});
class $c_s_reflect_package$ extends $c_O {
  constructor() {
    super();
    this.ClassManifest$1 = null;
    this.Manifest$1 = null
  };
  init___() {
    $n_s_reflect_package$ = this;
    this.ClassManifest$1 = $m_s_reflect_ClassManifestFactory$();
    this.Manifest$1 = $m_s_reflect_ManifestFactory$();
    return this
  };
}
const $d_s_reflect_package$ = new $TypeData().initClass({
  s_reflect_package$: 0
}, false, "scala.reflect.package$", {
  s_reflect_package$: 1,
  O: 1
});
$c_s_reflect_package$.prototype.$classData = $d_s_reflect_package$;
let $n_s_reflect_package$ = (void 0);
const $m_s_reflect_package$ = (function() {
  if ((!$n_s_reflect_package$)) {
    $n_s_reflect_package$ = new $c_s_reflect_package$().init___()
  };
  return $n_s_reflect_package$
});
class $c_s_util_DynamicVariable extends $c_O {
  constructor() {
    super();
    this.v$1 = null
  };
  toString__T() {
    return (("DynamicVariable(" + this.v$1) + ")")
  };
  init___O(init) {
    this.v$1 = init;
    return this
  };
}
const $d_s_util_DynamicVariable = new $TypeData().initClass({
  s_util_DynamicVariable: 0
}, false, "scala.util.DynamicVariable", {
  s_util_DynamicVariable: 1,
  O: 1
});
$c_s_util_DynamicVariable.prototype.$classData = $d_s_util_DynamicVariable;
class $c_s_util_control_Breaks extends $c_O {
  constructor() {
    super();
    this.scala$util$control$Breaks$$breakException$1 = null
  };
  init___() {
    this.scala$util$control$Breaks$$breakException$1 = new $c_s_util_control_BreakControl().init___();
    return this
  };
}
const $d_s_util_control_Breaks = new $TypeData().initClass({
  s_util_control_Breaks: 0
}, false, "scala.util.control.Breaks", {
  s_util_control_Breaks: 1,
  O: 1
});
$c_s_util_control_Breaks.prototype.$classData = $d_s_util_control_Breaks;
const $is_s_util_control_ControlThrowable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_control_ControlThrowable)))
});
const $isArrayOf_s_util_control_ControlThrowable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_control_ControlThrowable)))
});
class $c_s_util_control_NonFatal$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_Throwable__Z(t) {
    return (!($is_jl_VirtualMachineError(t) || ($is_jl_ThreadDeath(t) || ($is_jl_InterruptedException(t) || ($is_jl_LinkageError(t) || $is_s_util_control_ControlThrowable(t))))))
  };
  unapply__jl_Throwable__s_Option(t) {
    return (this.apply__jl_Throwable__Z(t) ? new $c_s_Some().init___O(t) : $m_s_None$())
  };
}
const $d_s_util_control_NonFatal$ = new $TypeData().initClass({
  s_util_control_NonFatal$: 0
}, false, "scala.util.control.NonFatal$", {
  s_util_control_NonFatal$: 1,
  O: 1
});
$c_s_util_control_NonFatal$.prototype.$classData = $d_s_util_control_NonFatal$;
let $n_s_util_control_NonFatal$ = (void 0);
const $m_s_util_control_NonFatal$ = (function() {
  if ((!$n_s_util_control_NonFatal$)) {
    $n_s_util_control_NonFatal$ = new $c_s_util_control_NonFatal$().init___()
  };
  return $n_s_util_control_NonFatal$
});
class $c_s_util_hashing_MurmurHash3 extends $c_O {
  arrayHash$mVc$sp__Asr_BoxedUnit__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, 0);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  mixLast__I__I__I(hash, data) {
    let k = data;
    k = $imul((-862048943), k);
    const i = k;
    k = ((i << 15) | ((i >>> 17) | 0));
    k = $imul(461845907, k);
    return (hash ^ k)
  };
  arrayHash$mDc$sp__AD__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, $m_sr_Statics$().doubleHash__D__I(a.u[i]));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash$mJc$sp__AJ__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, $m_sr_Statics$().longHash__J__I(a.u[i]));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash$mZc$sp__AZ__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, (a.u[i] ? 1231 : 1237));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  mix__I__I__I(hash, data) {
    let h = this.mixLast__I__I__I(hash, data);
    const i = h;
    h = ((i << 13) | ((i >>> 19) | 0));
    return (((-430675100) + $imul(5, h)) | 0)
  };
  bytesHash__AB__I__I(data, seed) {
    let len = data.u.length;
    let h = seed;
    let i = 0;
    while ((len >= 4)) {
      let k = (255 & data.u[i]);
      k = (k | ((255 & data.u[((1 + i) | 0)]) << 8));
      k = (k | ((255 & data.u[((2 + i) | 0)]) << 16));
      k = (k | ((255 & data.u[((3 + i) | 0)]) << 24));
      h = this.mix__I__I__I(h, k);
      i = ((4 + i) | 0);
      len = (((-4) + len) | 0)
    };
    let k$2 = 0;
    if ((len === 3)) {
      k$2 = (k$2 ^ ((255 & data.u[((2 + i) | 0)]) << 16))
    };
    if ((len >= 2)) {
      k$2 = (k$2 ^ ((255 & data.u[((1 + i) | 0)]) << 8))
    };
    if ((len >= 1)) {
      k$2 = (k$2 ^ (255 & data.u[i]));
      h = this.mixLast__I__I__I(h, k$2)
    };
    return this.finalizeHash__I__I__I(h, data.u.length)
  };
  avalanche__p1__I__I(hash) {
    let h = hash;
    h = (h ^ ((h >>> 16) | 0));
    h = $imul((-2048144789), h);
    h = (h ^ ((h >>> 13) | 0));
    h = $imul((-1028477387), h);
    h = (h ^ ((h >>> 16) | 0));
    return h
  };
  arrayHash$mSc$sp__AS__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, a.u[i]);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash__O__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < $m_sr_ScalaRunTime$().array$undlength__O__I(a))) {
      h = this.mix__I__I__I(h, $m_sr_Statics$().anyHash__O__I($m_sr_ScalaRunTime$().array$undapply__O__I__O(a, i)));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, $m_sr_ScalaRunTime$().array$undlength__O__I(a))
  };
  productHash__s_Product__I__I(x, seed) {
    const arr = x.productArity__I();
    if ((arr === 0)) {
      const this$1 = x.productPrefix__T();
      return $m_sjsr_RuntimeString$().hashCode__T__I(this$1)
    } else {
      let h = seed;
      let i = 0;
      while ((i < arr)) {
        h = this.mix__I__I__I(h, $m_sr_Statics$().anyHash__O__I(x.productElement__I__O(i)));
        i = ((1 + i) | 0)
      };
      return this.finalizeHash__I__I__I(h, arr)
    }
  };
  unorderedHash__sc_TraversableOnce__I__I(xs, seed) {
    const a = new $c_sr_IntRef().init___I(0);
    const b = new $c_sr_IntRef().init___I(0);
    const n = new $c_sr_IntRef().init___I(0);
    const c = new $c_sr_IntRef().init___I(1);
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, a$1, b$1, n$1, c$1) {
      return (function(x$2) {
        const h = $m_sr_Statics$().anyHash__O__I(x$2);
        a$1.elem$1 = ((a$1.elem$1 + h) | 0);
        b$1.elem$1 = (b$1.elem$1 ^ h);
        if ((h !== 0)) {
          c$1.elem$1 = $imul(c$1.elem$1, h)
        };
        n$1.elem$1 = ((1 + n$1.elem$1) | 0)
      })
    })(this, a, b, n, c)));
    let h$1 = seed;
    h$1 = this.mix__I__I__I(h$1, a.elem$1);
    h$1 = this.mix__I__I__I(h$1, b.elem$1);
    h$1 = this.mixLast__I__I__I(h$1, c.elem$1);
    return this.finalizeHash__I__I__I(h$1, n.elem$1)
  };
  arrayHash$mCc$sp__AC__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, a.u[i]);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash$mFc$sp__AF__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      const jsx$1 = h;
      const this$1 = $m_sr_Statics$();
      const fv = a.u[i];
      h = this.mix__I__I__I(jsx$1, this$1.doubleHash__D__I(fv));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  finalizeHash__I__I__I(hash, length) {
    return this.avalanche__p1__I__I((hash ^ length))
  };
  arrayHash$mIc$sp__AI__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, a.u[i]);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  orderedHash__sc_TraversableOnce__I__I(xs, seed) {
    const n = new $c_sr_IntRef().init___I(0);
    const h = new $c_sr_IntRef().init___I(seed);
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, n$1, h$1) {
      return (function(x$2) {
        h$1.elem$1 = $this.mix__I__I__I(h$1.elem$1, $m_sr_Statics$().anyHash__O__I(x$2));
        n$1.elem$1 = ((1 + n$1.elem$1) | 0)
      })
    })(this, n, h)));
    return this.finalizeHash__I__I__I(h.elem$1, n.elem$1)
  };
  listHash__sci_List__I__I(xs, seed) {
    let n = 0;
    let h = seed;
    let elems = xs;
    while ((!elems.isEmpty__Z())) {
      const head = elems.head__O();
      const tail = elems.tail__O();
      h = this.mix__I__I__I(h, $m_sr_Statics$().anyHash__O__I(head));
      n = ((1 + n) | 0);
      elems = tail
    };
    return this.finalizeHash__I__I__I(h, n)
  };
}
class $c_s_util_hashing_package$ extends $c_O {
  init___() {
    return this
  };
  byteswap32__I__I(v) {
    let hc = $imul((-1640532531), v);
    hc = $m_jl_Integer$().reverseBytes__I__I(hc);
    return $imul((-1640532531), hc)
  };
}
const $d_s_util_hashing_package$ = new $TypeData().initClass({
  s_util_hashing_package$: 0
}, false, "scala.util.hashing.package$", {
  s_util_hashing_package$: 1,
  O: 1
});
$c_s_util_hashing_package$.prototype.$classData = $d_s_util_hashing_package$;
let $n_s_util_hashing_package$ = (void 0);
const $m_s_util_hashing_package$ = (function() {
  if ((!$n_s_util_hashing_package$)) {
    $n_s_util_hashing_package$ = new $c_s_util_hashing_package$().init___()
  };
  return $n_s_util_hashing_package$
});
class $c_sc_$colon$plus$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sc_$colon$plus$ = new $TypeData().initClass({
  sc_$colon$plus$: 0
}, false, "scala.collection.$colon$plus$", {
  sc_$colon$plus$: 1,
  O: 1
});
$c_sc_$colon$plus$.prototype.$classData = $d_sc_$colon$plus$;
let $n_sc_$colon$plus$ = (void 0);
const $m_sc_$colon$plus$ = (function() {
  if ((!$n_sc_$colon$plus$)) {
    $n_sc_$colon$plus$ = new $c_sc_$colon$plus$().init___()
  };
  return $n_sc_$colon$plus$
});
class $c_sc_$plus$colon$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sc_$plus$colon$ = new $TypeData().initClass({
  sc_$plus$colon$: 0
}, false, "scala.collection.$plus$colon$", {
  sc_$plus$colon$: 1,
  O: 1
});
$c_sc_$plus$colon$.prototype.$classData = $d_sc_$plus$colon$;
let $n_sc_$plus$colon$ = (void 0);
const $m_sc_$plus$colon$ = (function() {
  if ((!$n_sc_$plus$colon$)) {
    $n_sc_$plus$colon$ = new $c_sc_$plus$colon$().init___()
  };
  return $n_sc_$plus$colon$
});
class $c_sc_Iterator$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_sc_Iterator$ = this;
    this.empty$1 = new $c_sc_Iterator$$anon$2().init___();
    return this
  };
}
const $d_sc_Iterator$ = new $TypeData().initClass({
  sc_Iterator$: 0
}, false, "scala.collection.Iterator$", {
  sc_Iterator$: 1,
  O: 1
});
$c_sc_Iterator$.prototype.$classData = $d_sc_Iterator$;
let $n_sc_Iterator$ = (void 0);
const $m_sc_Iterator$ = (function() {
  if ((!$n_sc_Iterator$)) {
    $n_sc_Iterator$ = new $c_sc_Iterator$().init___()
  };
  return $n_sc_Iterator$
});
class $c_sc_Iterator$ConcatIteratorCell extends $c_O {
  constructor() {
    super();
    this.head$1 = null;
    this.tail$1 = null
  };
  headIterator__sc_Iterator() {
    return this.head$1.apply__O().toIterator__sc_Iterator()
  };
  init___F0__sc_Iterator$ConcatIteratorCell(head, tail) {
    this.head$1 = head;
    this.tail$1 = tail;
    return this
  };
}
const $d_sc_Iterator$ConcatIteratorCell = new $TypeData().initClass({
  sc_Iterator$ConcatIteratorCell: 0
}, false, "scala.collection.Iterator$ConcatIteratorCell", {
  sc_Iterator$ConcatIteratorCell: 1,
  O: 1
});
$c_sc_Iterator$ConcatIteratorCell.prototype.$classData = $d_sc_Iterator$ConcatIteratorCell;
const $f_sc_TraversableOnce__copyToArray__O__I__V = (function($thiz, xs, start) {
  $thiz.copyToArray__O__I__I__V(xs, start, (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0))
});
const $f_sc_TraversableOnce__to__scg_CanBuildFrom__O = (function($thiz, cbf) {
  const b = cbf.apply__scm_Builder();
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.seq__sc_TraversableOnce());
  return b.result__O()
});
const $f_sc_TraversableOnce__count__F1__I = (function($thiz, p) {
  const cnt = new $c_sr_IntRef().init___I(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, cnt$1) {
    return (function(x$2) {
      if ((!(!p$1.apply__O__O(x$2)))) {
        cnt$1.elem$1 = ((1 + cnt$1.elem$1) | 0)
      }
    })
  })($thiz, p, cnt)));
  return cnt.elem$1
});
const $f_sc_TraversableOnce__mkString__T__T__T__T = (function($thiz, start, sep, end) {
  const this$1 = $thiz.addString__scm_StringBuilder__T__T__T__scm_StringBuilder(new $c_scm_StringBuilder().init___(), start, sep, end);
  const this$2 = this$1.underlying$5;
  return this$2.content$1
});
const $f_sc_TraversableOnce__foldLeft__O__F2__O = (function($thiz, z, op) {
  const result = new $c_sr_ObjectRef().init___O(z);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, op$1, result$1) {
    return (function(x$2) {
      result$1.elem$1 = op$1.apply__O__O__O(result$1.elem$1, x$2)
    })
  })($thiz, op, result)));
  return result.elem$1
});
const $f_sc_TraversableOnce__size__I = (function($thiz) {
  const result = new $c_sr_IntRef().init___I(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$2) {
      result$1.elem$1 = ((1 + result$1.elem$1) | 0)
    })
  })($thiz, result)));
  return result.elem$1
});
const $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option = (function($thiz, pf) {
  const nonLocalReturnKey1 = new $c_O().init___();
  try {
    let i;
    if ($is_sc_Iterator($thiz)) {
      const x2 = $thiz;
      i = x2
    } else {
      if ((!$is_sc_GenIterable($thiz))) {
        $thiz.foreach__F1__V(pf.runWith__F1__F1(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, nonLocalReturnKey1$1) {
          return (function(b$2) {
            throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1$1, new $c_s_Some().init___O(b$2))
          })
        })($thiz, nonLocalReturnKey1))));
        return $m_s_None$()
      };
      i = $thiz.toIterator__sc_Iterator()
    };
    const sentinel = new $c_sc_TraversableOnce$$anon$2().init___sc_TraversableOnce($thiz);
    while (i.hasNext__Z()) {
      const x = pf.applyOrElse__O__F1__O(i.next__O(), sentinel);
      if ((x !== sentinel)) {
        return new $c_s_Some().init___O(x)
      }
    };
    return $m_s_None$()
  } catch (e) {
    if ($is_sr_NonLocalReturnControl(e)) {
      const ex = e;
      if ((ex.key$2 === nonLocalReturnKey1)) {
        return ex.value__O()
      } else {
        throw ex
      }
    } else {
      throw e
    }
  }
});
const $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function($thiz, b, start, sep, end) {
  const first = new $c_sr_BooleanRef().init___Z(true);
  b.append__T__scm_StringBuilder(start);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, sep$1, first$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        b$1.append__O__scm_StringBuilder(x$2);
        first$1.elem$1 = false;
        return (void 0)
      } else {
        b$1.append__T__scm_StringBuilder(sep$1);
        return b$1.append__O__scm_StringBuilder(x$2)
      }
    })
  })($thiz, b, sep, first)));
  b.append__T__scm_StringBuilder(end);
  return b
});
const $f_sc_TraversableOnce__max__s_math_Ordering__O = (function($thiz, cmp) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.max")
  };
  return $thiz.reduceLeft__F2__O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, cmp$1) {
    return (function(x$2, y$2) {
      return ($f_s_math_Ordering__gteq__O__O__Z(cmp$1, x$2, y$2) ? x$2 : y$2)
    })
  })($thiz, cmp)))
});
const $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O = (function($thiz, evidence$1) {
  if ($thiz.isTraversableAgain__Z()) {
    const result = evidence$1.newArray__I__O($thiz.size__I());
    $thiz.copyToArray__O__I__V(result, 0);
    return result
  } else {
    return $thiz.toBuffer__scm_Buffer().toArray__s_reflect_ClassTag__O(evidence$1)
  }
});
const $f_sc_TraversableOnce__nonEmpty__Z = (function($thiz) {
  return (!$thiz.isEmpty__Z())
});
const $f_sc_TraversableOnce__reduceLeft__F2__O = (function($thiz, op) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.reduceLeft")
  };
  const first = new $c_sr_BooleanRef().init___Z(true);
  const acc = new $c_sr_ObjectRef().init___O(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, op$1, first$1, acc$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        acc$1.elem$1 = x$2;
        first$1.elem$1 = false
      } else {
        acc$1.elem$1 = op$1.apply__O__O__O(acc$1.elem$1, x$2)
      }
    })
  })($thiz, op, first, acc)));
  return acc.elem$1
});
const $is_sc_TraversableOnce = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableOnce)))
});
const $isArrayOf_sc_TraversableOnce = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableOnce)))
});
class $c_scg_GenMapFactory extends $c_O {
  apply__sc_Seq__sc_GenMap(elems) {
    return this.newBuilder__scm_Builder().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(elems).result__O()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_GenMap())
  };
}
class $c_scg_GenericCompanion extends $c_O {
  apply__sc_Seq__sc_GenTraversable(elems) {
    if (elems.isEmpty__Z()) {
      return this.empty__sc_GenTraversable()
    } else {
      const b = this.newBuilder__scm_Builder();
      b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(elems);
      return b.result__O()
    }
  };
  empty__sc_GenTraversable() {
    return this.newBuilder__scm_Builder().result__O()
  };
}
const $f_scg_GenericTraversableTemplate__flatten__F1__sc_GenTraversable = (function($thiz, asTraversable) {
  const b = $thiz.companion__scg_GenericCompanion().newBuilder__scm_Builder();
  $thiz.seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, asTraversable$1, b$1) {
    return (function(xs$2) {
      return b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(asTraversable$1.apply__O__O(xs$2).seq__sc_TraversableOnce())
    })
  })($thiz, asTraversable, b)));
  return b.result__O()
});
const $is_scg_GenericTraversableTemplate = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_GenericTraversableTemplate)))
});
const $isArrayOf_scg_GenericTraversableTemplate = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_GenericTraversableTemplate)))
});
const $f_scg_Growable__loop$1__pscg_Growable__sc_LinearSeq__V = (function($thiz, xs) {
  _loop: while (true) {
    const this$1 = xs;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      $thiz.$$plus$eq__O__scg_Growable(xs.head__O());
      xs = xs.tail__O();
      continue _loop
    };
    break
  }
});
const $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function($thiz, xs) {
  if ($is_sc_LinearSeq(xs)) {
    const x2 = xs;
    let xs$1 = x2;
    $f_scg_Growable__loop$1__pscg_Growable__sc_LinearSeq__V($thiz, xs$1)
  } else {
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(elem$2) {
        return $this.$$plus$eq__O__scg_Growable(elem$2)
      })
    })($thiz)))
  };
  return $thiz
});
const $is_scg_Growable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_Growable)))
});
const $isArrayOf_scg_Growable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_Growable)))
});
class $c_scg_SliceInterval extends $c_O {
  constructor() {
    super();
    this.from$1 = 0;
    this.until$1 = 0
  };
  width__I() {
    return ((this.until$1 - this.from$1) | 0)
  };
  init___I__I(from, until) {
    this.from$1 = from;
    this.until$1 = until;
    return this
  };
}
const $d_scg_SliceInterval = new $TypeData().initClass({
  scg_SliceInterval: 0
}, false, "scala.collection.generic.SliceInterval", {
  scg_SliceInterval: 1,
  O: 1
});
$c_scg_SliceInterval.prototype.$classData = $d_scg_SliceInterval;
class $c_scg_SliceInterval$ extends $c_O {
  init___() {
    return this
  };
  apply__I__I__scg_SliceInterval(from, until) {
    const lo = ((from > 0) ? from : 0);
    const hi = ((until > 0) ? until : 0);
    return ((hi <= lo) ? new $c_scg_SliceInterval().init___I__I(lo, lo) : new $c_scg_SliceInterval().init___I__I(lo, hi))
  };
}
const $d_scg_SliceInterval$ = new $TypeData().initClass({
  scg_SliceInterval$: 0
}, false, "scala.collection.generic.SliceInterval$", {
  scg_SliceInterval$: 1,
  O: 1
});
$c_scg_SliceInterval$.prototype.$classData = $d_scg_SliceInterval$;
let $n_scg_SliceInterval$ = (void 0);
const $m_scg_SliceInterval$ = (function() {
  if ((!$n_scg_SliceInterval$)) {
    $n_scg_SliceInterval$ = new $c_scg_SliceInterval$().init___()
  };
  return $n_scg_SliceInterval$
});
class $c_sci_HashMap$Merger extends $c_O {
}
class $c_sci_Stream$$hash$colon$colon$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sci_Stream$$hash$colon$colon$ = new $TypeData().initClass({
  sci_Stream$$hash$colon$colon$: 0
}, false, "scala.collection.immutable.Stream$$hash$colon$colon$", {
  sci_Stream$$hash$colon$colon$: 1,
  O: 1
});
$c_sci_Stream$$hash$colon$colon$.prototype.$classData = $d_sci_Stream$$hash$colon$colon$;
let $n_sci_Stream$$hash$colon$colon$ = (void 0);
const $m_sci_Stream$$hash$colon$colon$ = (function() {
  if ((!$n_sci_Stream$$hash$colon$colon$)) {
    $n_sci_Stream$$hash$colon$colon$ = new $c_sci_Stream$$hash$colon$colon$().init___()
  };
  return $n_sci_Stream$$hash$colon$colon$
});
class $c_sci_Stream$ConsWrapper extends $c_O {
  constructor() {
    super();
    this.tl$1 = null
  };
  init___F0(tl) {
    this.tl$1 = tl;
    return this
  };
  $$hash$colon$colon$colon__sci_Stream__sci_Stream(prefix) {
    return prefix.append__F0__sci_Stream(this.tl$1)
  };
}
const $d_sci_Stream$ConsWrapper = new $TypeData().initClass({
  sci_Stream$ConsWrapper: 0
}, false, "scala.collection.immutable.Stream$ConsWrapper", {
  sci_Stream$ConsWrapper: 1,
  O: 1
});
$c_sci_Stream$ConsWrapper.prototype.$classData = $d_sci_Stream$ConsWrapper;
class $c_sci_StreamIterator$LazyCell extends $c_O {
  constructor() {
    super();
    this.v$1 = null;
    this.st$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  init___sci_StreamIterator__F0($$outer, st) {
    this.st$1 = st;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  v$lzycompute__p1__sci_Stream() {
    if ((!this.bitmap$0$1)) {
      this.v$1 = this.st$1.apply__O();
      this.bitmap$0$1 = true
    };
    this.st$1 = null;
    return this.v$1
  };
  v__sci_Stream() {
    return ((!this.bitmap$0$1) ? this.v$lzycompute__p1__sci_Stream() : this.v$1)
  };
}
const $d_sci_StreamIterator$LazyCell = new $TypeData().initClass({
  sci_StreamIterator$LazyCell: 0
}, false, "scala.collection.immutable.StreamIterator$LazyCell", {
  sci_StreamIterator$LazyCell: 1,
  O: 1
});
$c_sci_StreamIterator$LazyCell.prototype.$classData = $d_sci_StreamIterator$LazyCell;
class $c_sci_StringOps$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__T__O__Z($$this, x$1) {
    if ($is_sci_StringOps(x$1)) {
      const StringOps$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === StringOps$1)
    } else {
      return false
    }
  };
  slice$extension__T__I__I__T($$this, from, until) {
    const start = ((from < 0) ? 0 : from);
    if (((until <= start) || (start >= ($$this.length | 0)))) {
      return ""
    };
    const end = ((until > ($$this.length | 0)) ? ($$this.length | 0) : until);
    return $$this.substring(start, end)
  };
}
const $d_sci_StringOps$ = new $TypeData().initClass({
  sci_StringOps$: 0
}, false, "scala.collection.immutable.StringOps$", {
  sci_StringOps$: 1,
  O: 1
});
$c_sci_StringOps$.prototype.$classData = $d_sci_StringOps$;
let $n_sci_StringOps$ = (void 0);
const $m_sci_StringOps$ = (function() {
  if ((!$n_sci_StringOps$)) {
    $n_sci_StringOps$ = new $c_sci_StringOps$().init___()
  };
  return $n_sci_StringOps$
});
class $c_sci_WrappedString$ extends $c_O {
  init___() {
    return this
  };
  newBuilder__scm_Builder() {
    const this$2 = new $c_scm_StringBuilder().init___();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return new $c_sci_WrappedString().init___T(x)
      })
    })(this));
    return new $c_scm_Builder$$anon$1().init___scm_Builder__F1(this$2, f)
  };
}
const $d_sci_WrappedString$ = new $TypeData().initClass({
  sci_WrappedString$: 0
}, false, "scala.collection.immutable.WrappedString$", {
  sci_WrappedString$: 1,
  O: 1
});
$c_sci_WrappedString$.prototype.$classData = $d_sci_WrappedString$;
let $n_sci_WrappedString$ = (void 0);
const $m_sci_WrappedString$ = (function() {
  if ((!$n_sci_WrappedString$)) {
    $n_sci_WrappedString$ = new $c_sci_WrappedString$().init___()
  };
  return $n_sci_WrappedString$
});
class $c_scm_ArrayOps$ofBoolean$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AZ__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofBoolean(x$1)) {
      const ofBoolean$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofBoolean$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofBoolean$ = new $TypeData().initClass({
  scm_ArrayOps$ofBoolean$: 0
}, false, "scala.collection.mutable.ArrayOps$ofBoolean$", {
  scm_ArrayOps$ofBoolean$: 1,
  O: 1
});
$c_scm_ArrayOps$ofBoolean$.prototype.$classData = $d_scm_ArrayOps$ofBoolean$;
let $n_scm_ArrayOps$ofBoolean$ = (void 0);
const $m_scm_ArrayOps$ofBoolean$ = (function() {
  if ((!$n_scm_ArrayOps$ofBoolean$)) {
    $n_scm_ArrayOps$ofBoolean$ = new $c_scm_ArrayOps$ofBoolean$().init___()
  };
  return $n_scm_ArrayOps$ofBoolean$
});
class $c_scm_ArrayOps$ofByte$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AB__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofByte(x$1)) {
      const ofByte$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofByte$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofByte$ = new $TypeData().initClass({
  scm_ArrayOps$ofByte$: 0
}, false, "scala.collection.mutable.ArrayOps$ofByte$", {
  scm_ArrayOps$ofByte$: 1,
  O: 1
});
$c_scm_ArrayOps$ofByte$.prototype.$classData = $d_scm_ArrayOps$ofByte$;
let $n_scm_ArrayOps$ofByte$ = (void 0);
const $m_scm_ArrayOps$ofByte$ = (function() {
  if ((!$n_scm_ArrayOps$ofByte$)) {
    $n_scm_ArrayOps$ofByte$ = new $c_scm_ArrayOps$ofByte$().init___()
  };
  return $n_scm_ArrayOps$ofByte$
});
class $c_scm_ArrayOps$ofChar$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AC__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofChar(x$1)) {
      const ofChar$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofChar$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofChar$ = new $TypeData().initClass({
  scm_ArrayOps$ofChar$: 0
}, false, "scala.collection.mutable.ArrayOps$ofChar$", {
  scm_ArrayOps$ofChar$: 1,
  O: 1
});
$c_scm_ArrayOps$ofChar$.prototype.$classData = $d_scm_ArrayOps$ofChar$;
let $n_scm_ArrayOps$ofChar$ = (void 0);
const $m_scm_ArrayOps$ofChar$ = (function() {
  if ((!$n_scm_ArrayOps$ofChar$)) {
    $n_scm_ArrayOps$ofChar$ = new $c_scm_ArrayOps$ofChar$().init___()
  };
  return $n_scm_ArrayOps$ofChar$
});
class $c_scm_ArrayOps$ofDouble$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AD__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofDouble(x$1)) {
      const ofDouble$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofDouble$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofDouble$ = new $TypeData().initClass({
  scm_ArrayOps$ofDouble$: 0
}, false, "scala.collection.mutable.ArrayOps$ofDouble$", {
  scm_ArrayOps$ofDouble$: 1,
  O: 1
});
$c_scm_ArrayOps$ofDouble$.prototype.$classData = $d_scm_ArrayOps$ofDouble$;
let $n_scm_ArrayOps$ofDouble$ = (void 0);
const $m_scm_ArrayOps$ofDouble$ = (function() {
  if ((!$n_scm_ArrayOps$ofDouble$)) {
    $n_scm_ArrayOps$ofDouble$ = new $c_scm_ArrayOps$ofDouble$().init___()
  };
  return $n_scm_ArrayOps$ofDouble$
});
class $c_scm_ArrayOps$ofFloat$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AF__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofFloat(x$1)) {
      const ofFloat$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofFloat$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofFloat$ = new $TypeData().initClass({
  scm_ArrayOps$ofFloat$: 0
}, false, "scala.collection.mutable.ArrayOps$ofFloat$", {
  scm_ArrayOps$ofFloat$: 1,
  O: 1
});
$c_scm_ArrayOps$ofFloat$.prototype.$classData = $d_scm_ArrayOps$ofFloat$;
let $n_scm_ArrayOps$ofFloat$ = (void 0);
const $m_scm_ArrayOps$ofFloat$ = (function() {
  if ((!$n_scm_ArrayOps$ofFloat$)) {
    $n_scm_ArrayOps$ofFloat$ = new $c_scm_ArrayOps$ofFloat$().init___()
  };
  return $n_scm_ArrayOps$ofFloat$
});
class $c_scm_ArrayOps$ofInt$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AI__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofInt(x$1)) {
      const ofInt$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofInt$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofInt$ = new $TypeData().initClass({
  scm_ArrayOps$ofInt$: 0
}, false, "scala.collection.mutable.ArrayOps$ofInt$", {
  scm_ArrayOps$ofInt$: 1,
  O: 1
});
$c_scm_ArrayOps$ofInt$.prototype.$classData = $d_scm_ArrayOps$ofInt$;
let $n_scm_ArrayOps$ofInt$ = (void 0);
const $m_scm_ArrayOps$ofInt$ = (function() {
  if ((!$n_scm_ArrayOps$ofInt$)) {
    $n_scm_ArrayOps$ofInt$ = new $c_scm_ArrayOps$ofInt$().init___()
  };
  return $n_scm_ArrayOps$ofInt$
});
class $c_scm_ArrayOps$ofLong$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AJ__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofLong(x$1)) {
      const ofLong$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofLong$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofLong$ = new $TypeData().initClass({
  scm_ArrayOps$ofLong$: 0
}, false, "scala.collection.mutable.ArrayOps$ofLong$", {
  scm_ArrayOps$ofLong$: 1,
  O: 1
});
$c_scm_ArrayOps$ofLong$.prototype.$classData = $d_scm_ArrayOps$ofLong$;
let $n_scm_ArrayOps$ofLong$ = (void 0);
const $m_scm_ArrayOps$ofLong$ = (function() {
  if ((!$n_scm_ArrayOps$ofLong$)) {
    $n_scm_ArrayOps$ofLong$ = new $c_scm_ArrayOps$ofLong$().init___()
  };
  return $n_scm_ArrayOps$ofLong$
});
class $c_scm_ArrayOps$ofRef$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AO__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofRef(x$1)) {
      const ofRef$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofRef$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofRef$ = new $TypeData().initClass({
  scm_ArrayOps$ofRef$: 0
}, false, "scala.collection.mutable.ArrayOps$ofRef$", {
  scm_ArrayOps$ofRef$: 1,
  O: 1
});
$c_scm_ArrayOps$ofRef$.prototype.$classData = $d_scm_ArrayOps$ofRef$;
let $n_scm_ArrayOps$ofRef$ = (void 0);
const $m_scm_ArrayOps$ofRef$ = (function() {
  if ((!$n_scm_ArrayOps$ofRef$)) {
    $n_scm_ArrayOps$ofRef$ = new $c_scm_ArrayOps$ofRef$().init___()
  };
  return $n_scm_ArrayOps$ofRef$
});
class $c_scm_ArrayOps$ofShort$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AS__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofShort(x$1)) {
      const ofShort$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofShort$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofShort$ = new $TypeData().initClass({
  scm_ArrayOps$ofShort$: 0
}, false, "scala.collection.mutable.ArrayOps$ofShort$", {
  scm_ArrayOps$ofShort$: 1,
  O: 1
});
$c_scm_ArrayOps$ofShort$.prototype.$classData = $d_scm_ArrayOps$ofShort$;
let $n_scm_ArrayOps$ofShort$ = (void 0);
const $m_scm_ArrayOps$ofShort$ = (function() {
  if ((!$n_scm_ArrayOps$ofShort$)) {
    $n_scm_ArrayOps$ofShort$ = new $c_scm_ArrayOps$ofShort$().init___()
  };
  return $n_scm_ArrayOps$ofShort$
});
class $c_scm_ArrayOps$ofUnit$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__Asr_BoxedUnit__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofUnit(x$1)) {
      const ofUnit$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofUnit$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofUnit$ = new $TypeData().initClass({
  scm_ArrayOps$ofUnit$: 0
}, false, "scala.collection.mutable.ArrayOps$ofUnit$", {
  scm_ArrayOps$ofUnit$: 1,
  O: 1
});
$c_scm_ArrayOps$ofUnit$.prototype.$classData = $d_scm_ArrayOps$ofUnit$;
let $n_scm_ArrayOps$ofUnit$ = (void 0);
const $m_scm_ArrayOps$ofUnit$ = (function() {
  if ((!$n_scm_ArrayOps$ofUnit$)) {
    $n_scm_ArrayOps$ofUnit$ = new $c_scm_ArrayOps$ofUnit$().init___()
  };
  return $n_scm_ArrayOps$ofUnit$
});
const $f_scm_FlatHashTable__calcSizeMapSize__I__I = (function($thiz, tableLength) {
  return ((1 + (tableLength >> 5)) | 0)
});
const $f_scm_FlatHashTable__tableSizeSeed__I = (function($thiz) {
  return $m_jl_Integer$().bitCount__I__I((((-1) + $thiz.table$5.u.length) | 0))
});
const $f_scm_FlatHashTable__addElem__O__Z = (function($thiz, elem) {
  const newEntry = $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O($thiz, elem);
  return $f_scm_FlatHashTable__addEntry__O__Z($thiz, newEntry)
});
const $f_scm_FlatHashTable__precedes$1__pscm_FlatHashTable__I__I__Z = (function($thiz, i, j) {
  const d = ($thiz.table$5.u.length >> 1);
  return ((i <= j) ? (((j - i) | 0) < d) : (((i - j) | 0) > d))
});
const $f_scm_FlatHashTable__addEntry__O__Z = (function($thiz, newEntry) {
  const hcode = $objectHashCode(newEntry);
  let h = $f_scm_FlatHashTable__index__I__I($thiz, hcode);
  let curEntry = $thiz.table$5.u[h];
  while ((curEntry !== null)) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, newEntry)) {
      return false
    };
    h = ((((1 + h) | 0) % $thiz.table$5.u.length) | 0);
    curEntry = $thiz.table$5.u[h]
  };
  $thiz.table$5.u[h] = newEntry;
  $thiz.tableSize$5 = ((1 + $thiz.tableSize$5) | 0);
  const h$1 = h;
  $f_scm_FlatHashTable__nnSizeMapAdd__I__V($thiz, h$1);
  if (($thiz.tableSize$5 >= $thiz.threshold$5)) {
    $f_scm_FlatHashTable__growTable__pscm_FlatHashTable__V($thiz)
  };
  return true
});
const $f_scm_FlatHashTable__index__I__I = (function($thiz, hcode) {
  const seed = $thiz.seedvalue$5;
  const improved = $f_scm_FlatHashTable$HashUtils__improve__I__I__I($thiz, hcode, seed);
  const ones = (((-1) + $thiz.table$5.u.length) | 0);
  return (((improved >>> ((32 - $m_jl_Integer$().bitCount__I__I(ones)) | 0)) | 0) & ones)
});
const $f_scm_FlatHashTable__initWithContents__scm_FlatHashTable$Contents__V = (function($thiz, c) {
  if ((c !== null)) {
    $thiz.$$undloadFactor$5 = c.loadFactor__I();
    $thiz.table$5 = c.table__AO();
    $thiz.tableSize$5 = c.tableSize__I();
    $thiz.threshold$5 = c.threshold__I();
    $thiz.seedvalue$5 = c.seedvalue__I();
    $thiz.sizemap$5 = c.sizemap__AI()
  }
});
const $f_scm_FlatHashTable__removeElem__O__Z = (function($thiz, elem) {
  const removalEntry = $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O($thiz, elem);
  const hcode = $objectHashCode(removalEntry);
  let h = $f_scm_FlatHashTable__index__I__I($thiz, hcode);
  let curEntry = $thiz.table$5.u[h];
  while ((curEntry !== null)) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, removalEntry)) {
      let h0 = h;
      let h1 = ((((1 + h0) | 0) % $thiz.table$5.u.length) | 0);
      while (($thiz.table$5.u[h1] !== null)) {
        const hcode$1 = $objectHashCode($thiz.table$5.u[h1]);
        const h2 = $f_scm_FlatHashTable__index__I__I($thiz, hcode$1);
        let jsx$1;
        if ((h2 !== h1)) {
          const j = h0;
          jsx$1 = $f_scm_FlatHashTable__precedes$1__pscm_FlatHashTable__I__I__Z($thiz, h2, j)
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          $thiz.table$5.u[h0] = $thiz.table$5.u[h1];
          h0 = h1
        };
        h1 = ((((1 + h1) | 0) % $thiz.table$5.u.length) | 0)
      };
      $thiz.table$5.u[h0] = null;
      $thiz.tableSize$5 = (((-1) + $thiz.tableSize$5) | 0);
      const h$1 = h0;
      $f_scm_FlatHashTable__nnSizeMapRemove__I__V($thiz, h$1);
      return true
    };
    h = ((((1 + h) | 0) % $thiz.table$5.u.length) | 0);
    curEntry = $thiz.table$5.u[h]
  };
  return false
});
const $f_scm_FlatHashTable__$$init$__V = (function($thiz) {
  $thiz.$$undloadFactor$5 = 450;
  $thiz.table$5 = $newArrayObject($d_O.getArrayOf(), [$m_scm_HashTable$().nextPositivePowerOfTwo__I__I(32)]);
  $thiz.tableSize$5 = 0;
  $thiz.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($thiz.$$undloadFactor$5, $m_scm_HashTable$().nextPositivePowerOfTwo__I__I(32));
  $thiz.sizemap$5 = null;
  $thiz.seedvalue$5 = $f_scm_FlatHashTable__tableSizeSeed__I($thiz)
});
const $f_scm_FlatHashTable__findElemImpl__pscm_FlatHashTable__O__O = (function($thiz, elem) {
  const searchEntry = $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O($thiz, elem);
  const hcode = $objectHashCode(searchEntry);
  let h = $f_scm_FlatHashTable__index__I__I($thiz, hcode);
  let curEntry = $thiz.table$5.u[h];
  while (((curEntry !== null) && (!$m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, searchEntry)))) {
    h = ((((1 + h) | 0) % $thiz.table$5.u.length) | 0);
    curEntry = $thiz.table$5.u[h]
  };
  return curEntry
});
const $f_scm_FlatHashTable__containsElem__O__Z = (function($thiz, elem) {
  return ($f_scm_FlatHashTable__findElemImpl__pscm_FlatHashTable__O__O($thiz, elem) !== null)
});
const $f_scm_FlatHashTable__nnSizeMapRemove__I__V = (function($thiz, h) {
  if (($thiz.sizemap$5 !== null)) {
    const ev$2 = $thiz.sizemap$5;
    const ev$3 = (h >> 5);
    ev$2.u[ev$3] = (((-1) + ev$2.u[ev$3]) | 0)
  }
});
const $f_scm_FlatHashTable__nnSizeMapReset__I__V = (function($thiz, tableLength) {
  if (($thiz.sizemap$5 !== null)) {
    const nsize = $f_scm_FlatHashTable__calcSizeMapSize__I__I($thiz, tableLength);
    if (($thiz.sizemap$5.u.length !== nsize)) {
      $thiz.sizemap$5 = $newArrayObject($d_I.getArrayOf(), [nsize])
    } else {
      $m_ju_Arrays$().fill__AI__I__V($thiz.sizemap$5, 0)
    }
  }
});
const $f_scm_FlatHashTable__nnSizeMapAdd__I__V = (function($thiz, h) {
  if (($thiz.sizemap$5 !== null)) {
    const p = (h >> 5);
    const ev$1 = $thiz.sizemap$5;
    ev$1.u[p] = ((1 + ev$1.u[p]) | 0)
  }
});
const $f_scm_FlatHashTable__growTable__pscm_FlatHashTable__V = (function($thiz) {
  const oldtable = $thiz.table$5;
  $thiz.table$5 = $newArrayObject($d_O.getArrayOf(), [($thiz.table$5.u.length << 1)]);
  $thiz.tableSize$5 = 0;
  const tableLength = $thiz.table$5.u.length;
  $f_scm_FlatHashTable__nnSizeMapReset__I__V($thiz, tableLength);
  $thiz.seedvalue$5 = $f_scm_FlatHashTable__tableSizeSeed__I($thiz);
  $thiz.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($thiz.$$undloadFactor$5, $thiz.table$5.u.length);
  let i = 0;
  while ((i < oldtable.u.length)) {
    const entry = oldtable.u[i];
    if ((entry !== null)) {
      $f_scm_FlatHashTable__addEntry__O__Z($thiz, entry)
    };
    i = ((1 + i) | 0)
  }
});
class $c_scm_FlatHashTable$ extends $c_O {
  init___() {
    return this
  };
  newThreshold__I__I__I(_loadFactor, size) {
    const assertion = (_loadFactor < 500);
    if ((!assertion)) {
      throw new $c_jl_AssertionError().init___O("assertion failed: loadFactor too large; must be < 0.5")
    };
    const hi = (size >> 31);
    const hi$1 = (_loadFactor >> 31);
    const a0 = (65535 & size);
    const a1 = ((size >>> 16) | 0);
    const b0 = (65535 & _loadFactor);
    const b1 = ((_loadFactor >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi$2 = (((((((($imul(size, hi$1) + $imul(hi, _loadFactor)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    const this$2 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$2.divideImpl__I__I__I__I__I(lo, hi$2, 1000, 0);
    return lo$1
  };
}
const $d_scm_FlatHashTable$ = new $TypeData().initClass({
  scm_FlatHashTable$: 0
}, false, "scala.collection.mutable.FlatHashTable$", {
  scm_FlatHashTable$: 1,
  O: 1
});
$c_scm_FlatHashTable$.prototype.$classData = $d_scm_FlatHashTable$;
let $n_scm_FlatHashTable$ = (void 0);
const $m_scm_FlatHashTable$ = (function() {
  if ((!$n_scm_FlatHashTable$)) {
    $n_scm_FlatHashTable$ = new $c_scm_FlatHashTable$().init___()
  };
  return $n_scm_FlatHashTable$
});
class $c_scm_FlatHashTable$NullSentinel$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "NullSentinel"
  };
  hashCode__I() {
    return 0
  };
}
const $d_scm_FlatHashTable$NullSentinel$ = new $TypeData().initClass({
  scm_FlatHashTable$NullSentinel$: 0
}, false, "scala.collection.mutable.FlatHashTable$NullSentinel$", {
  scm_FlatHashTable$NullSentinel$: 1,
  O: 1
});
$c_scm_FlatHashTable$NullSentinel$.prototype.$classData = $d_scm_FlatHashTable$NullSentinel$;
let $n_scm_FlatHashTable$NullSentinel$ = (void 0);
const $m_scm_FlatHashTable$NullSentinel$ = (function() {
  if ((!$n_scm_FlatHashTable$NullSentinel$)) {
    $n_scm_FlatHashTable$NullSentinel$ = new $c_scm_FlatHashTable$NullSentinel$().init___()
  };
  return $n_scm_FlatHashTable$NullSentinel$
});
const $f_scm_HashTable__calcSizeMapSize__I__I = (function($thiz, tableLength) {
  return ((1 + (tableLength >> 5)) | 0)
});
const $f_scm_HashTable__tableSizeSeed__I = (function($thiz) {
  return $m_jl_Integer$().bitCount__I__I((((-1) + $thiz.table__Ascm_HashEntry().u.length) | 0))
});
const $f_scm_HashTable__clearTable__V = (function($thiz) {
  let i = (((-1) + $thiz.table__Ascm_HashEntry().u.length) | 0);
  while ((i >= 0)) {
    $thiz.table__Ascm_HashEntry().u[i] = null;
    i = (((-1) + i) | 0)
  };
  $thiz.tableSize$und$eq__I__V(0);
  $f_scm_HashTable__nnSizeMapReset__I__V($thiz, 0)
});
const $f_scm_HashTable__findEntry0__pscm_HashTable__O__I__scm_HashEntry = (function($thiz, key, h) {
  let e = $thiz.table__Ascm_HashEntry().u[h];
  while (true) {
    let jsx$1;
    if ((e !== null)) {
      const key1 = e.key__O();
      jsx$1 = (!$m_sr_BoxesRunTime$().equals__O__O__Z(key1, key))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      e = e.next__O()
    } else {
      break
    }
  };
  return e
});
const $f_scm_HashTable__addEntry__scm_HashEntry__V = (function($thiz, e) {
  const key = e.key__O();
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  $f_scm_HashTable__addEntry0__pscm_HashTable__scm_HashEntry__I__V($thiz, e, h)
});
const $f_scm_HashTable__initWithContents__scm_HashTable$Contents__V = (function($thiz, c) {
  if ((c !== null)) {
    $thiz.$$undloadFactor$und$eq__I__V(c.loadFactor__I());
    $thiz.table$und$eq__Ascm_HashEntry__V(c.table__Ascm_HashEntry());
    $thiz.tableSize$und$eq__I__V(c.tableSize__I());
    $thiz.threshold$und$eq__I__V(c.threshold__I());
    $thiz.seedvalue$und$eq__I__V(c.seedvalue__I());
    $thiz.sizemap$und$eq__AI__V(c.sizemap__AI())
  }
});
const $f_scm_HashTable__index__I__I = (function($thiz, hcode) {
  const ones = (((-1) + $thiz.table__Ascm_HashEntry().u.length) | 0);
  const exponent = $clz32(ones);
  const seed = $thiz.seedvalue__I();
  return ((($f_scm_HashTable$HashUtils__improve__I__I__I($thiz, hcode, seed) >>> exponent) | 0) & ones)
});
const $f_scm_HashTable__$$init$__V = (function($thiz) {
  $thiz.$$undloadFactor$und$eq__I__V(750);
  const this$1 = $m_scm_HashTable$();
  $thiz.table$und$eq__Ascm_HashEntry__V($newArrayObject($d_scm_HashEntry.getArrayOf(), [this$1.nextPositivePowerOfTwo__I__I(16)]));
  $thiz.tableSize$und$eq__I__V(0);
  const _loadFactor = $thiz.$$undloadFactor__I();
  const jsx$1 = $m_scm_HashTable$();
  const this$2 = $m_scm_HashTable$();
  $thiz.threshold$und$eq__I__V(jsx$1.newThreshold__I__I__I(_loadFactor, this$2.nextPositivePowerOfTwo__I__I(16)));
  $thiz.sizemap$und$eq__AI__V(null);
  $thiz.seedvalue$und$eq__I__V($f_scm_HashTable__tableSizeSeed__I($thiz))
});
const $f_scm_HashTable__removeEntry__O__scm_HashEntry = (function($thiz, key) {
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  let e = $thiz.table__Ascm_HashEntry().u[h];
  if ((e !== null)) {
    const key1 = e.key__O();
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key1, key)) {
      $thiz.table__Ascm_HashEntry().u[h] = e.next__O();
      $thiz.tableSize$und$eq__I__V((((-1) + $thiz.tableSize__I()) | 0));
      $f_scm_HashTable__nnSizeMapRemove__I__V($thiz, h);
      e.next$und$eq__O__V(null);
      return e
    } else {
      let e1 = e.next__O();
      while (true) {
        let jsx$1;
        if ((e1 !== null)) {
          const key1$1 = e1.key__O();
          jsx$1 = (!$m_sr_BoxesRunTime$().equals__O__O__Z(key1$1, key))
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          e = e1;
          e1 = e1.next__O()
        } else {
          break
        }
      };
      if ((e1 !== null)) {
        e.next$und$eq__O__V(e1.next__O());
        $thiz.tableSize$und$eq__I__V((((-1) + $thiz.tableSize__I()) | 0));
        $f_scm_HashTable__nnSizeMapRemove__I__V($thiz, h);
        e1.next$und$eq__O__V(null);
        return e1
      }
    }
  };
  return null
});
const $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I = (function($thiz) {
  let idx = (((-1) + $thiz.table__Ascm_HashEntry().u.length) | 0);
  while ((($thiz.table__Ascm_HashEntry().u[idx] === null) && (idx > 0))) {
    idx = (((-1) + idx) | 0)
  };
  return idx
});
const $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry = (function($thiz, key, value) {
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  const e = $f_scm_HashTable__findEntry0__pscm_HashTable__O__I__scm_HashEntry($thiz, key, h);
  if ((e !== null)) {
    return e
  } else {
    const e$1 = $thiz.createNewEntry__O__O__scm_HashEntry(key, value);
    $f_scm_HashTable__addEntry0__pscm_HashTable__scm_HashEntry__I__V($thiz, e$1, h);
    return null
  }
});
const $f_scm_HashTable__findEntry__O__scm_HashEntry = (function($thiz, key) {
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  return $f_scm_HashTable__findEntry0__pscm_HashTable__O__I__scm_HashEntry($thiz, key, h)
});
const $f_scm_HashTable__addEntry0__pscm_HashTable__scm_HashEntry__I__V = (function($thiz, e, h) {
  e.next$und$eq__O__V($thiz.table__Ascm_HashEntry().u[h]);
  $thiz.table__Ascm_HashEntry().u[h] = e;
  $thiz.tableSize$und$eq__I__V(((1 + $thiz.tableSize__I()) | 0));
  $f_scm_HashTable__nnSizeMapAdd__I__V($thiz, h);
  if (($thiz.tableSize__I() > $thiz.threshold__I())) {
    const newSize = ($thiz.table__Ascm_HashEntry().u.length << 1);
    $f_scm_HashTable__resize__pscm_HashTable__I__V($thiz, newSize)
  }
});
const $f_scm_HashTable__nnSizeMapRemove__I__V = (function($thiz, h) {
  if (($thiz.sizemap__AI() !== null)) {
    const ev$3 = $thiz.sizemap__AI();
    const ev$4 = (h >> 5);
    ev$3.u[ev$4] = (((-1) + ev$3.u[ev$4]) | 0)
  }
});
const $f_scm_HashTable__nnSizeMapReset__I__V = (function($thiz, tableLength) {
  if (($thiz.sizemap__AI() !== null)) {
    const nsize = $f_scm_HashTable__calcSizeMapSize__I__I($thiz, tableLength);
    if (($thiz.sizemap__AI().u.length !== nsize)) {
      $thiz.sizemap$und$eq__AI__V($newArrayObject($d_I.getArrayOf(), [nsize]))
    } else {
      $m_ju_Arrays$().fill__AI__I__V($thiz.sizemap__AI(), 0)
    }
  }
});
const $f_scm_HashTable__nnSizeMapAdd__I__V = (function($thiz, h) {
  if (($thiz.sizemap__AI() !== null)) {
    const ev$1 = $thiz.sizemap__AI();
    const ev$2 = (h >> 5);
    ev$1.u[ev$2] = ((1 + ev$1.u[ev$2]) | 0)
  }
});
const $f_scm_HashTable__resize__pscm_HashTable__I__V = (function($thiz, newSize) {
  const oldTable = $thiz.table__Ascm_HashEntry();
  $thiz.table$und$eq__Ascm_HashEntry__V($newArrayObject($d_scm_HashEntry.getArrayOf(), [newSize]));
  const tableLength = $thiz.table__Ascm_HashEntry().u.length;
  $f_scm_HashTable__nnSizeMapReset__I__V($thiz, tableLength);
  let i = (((-1) + oldTable.u.length) | 0);
  while ((i >= 0)) {
    let e = oldTable.u[i];
    while ((e !== null)) {
      const key = e.key__O();
      const hcode = $m_sr_Statics$().anyHash__O__I(key);
      const h = $f_scm_HashTable__index__I__I($thiz, hcode);
      const e1 = e.next__O();
      e.next$und$eq__O__V($thiz.table__Ascm_HashEntry().u[h]);
      $thiz.table__Ascm_HashEntry().u[h] = e;
      e = e1;
      $f_scm_HashTable__nnSizeMapAdd__I__V($thiz, h)
    };
    i = (((-1) + i) | 0)
  };
  $thiz.threshold$und$eq__I__V($m_scm_HashTable$().newThreshold__I__I__I($thiz.$$undloadFactor__I(), newSize))
});
class $c_scm_HashTable$ extends $c_O {
  init___() {
    return this
  };
  nextPositivePowerOfTwo__I__I(target) {
    return (1 << ((-$clz32((((-1) + target) | 0))) | 0))
  };
  newThreshold__I__I__I(_loadFactor, size) {
    const hi = (size >> 31);
    const hi$1 = (_loadFactor >> 31);
    const a0 = (65535 & size);
    const a1 = ((size >>> 16) | 0);
    const b0 = (65535 & _loadFactor);
    const b1 = ((_loadFactor >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi$2 = (((((((($imul(size, hi$1) + $imul(hi, _loadFactor)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$1.divideImpl__I__I__I__I__I(lo, hi$2, 1000, 0);
    return lo$1
  };
}
const $d_scm_HashTable$ = new $TypeData().initClass({
  scm_HashTable$: 0
}, false, "scala.collection.mutable.HashTable$", {
  scm_HashTable$: 1,
  O: 1
});
$c_scm_HashTable$.prototype.$classData = $d_scm_HashTable$;
let $n_scm_HashTable$ = (void 0);
const $m_scm_HashTable$ = (function() {
  if ((!$n_scm_HashTable$)) {
    $n_scm_HashTable$ = new $c_scm_HashTable$().init___()
  };
  return $n_scm_HashTable$
});
class $c_scm_WrappedArray$ extends $c_O {
  constructor() {
    super();
    this.EmptyWrappedArray$1 = null
  };
  init___() {
    $n_scm_WrappedArray$ = this;
    this.EmptyWrappedArray$1 = new $c_scm_WrappedArray$ofRef().init___AO($newArrayObject($d_O.getArrayOf(), [0]));
    return this
  };
}
const $d_scm_WrappedArray$ = new $TypeData().initClass({
  scm_WrappedArray$: 0
}, false, "scala.collection.mutable.WrappedArray$", {
  scm_WrappedArray$: 1,
  O: 1
});
$c_scm_WrappedArray$.prototype.$classData = $d_scm_WrappedArray$;
let $n_scm_WrappedArray$ = (void 0);
const $m_scm_WrappedArray$ = (function() {
  if ((!$n_scm_WrappedArray$)) {
    $n_scm_WrappedArray$ = new $c_scm_WrappedArray$().init___()
  };
  return $n_scm_WrappedArray$
});
class $c_sjs_concurrent_JSExecutionContext$ extends $c_O {
  constructor() {
    super();
    this.runNow$1 = null;
    this.queue$1 = null
  };
  init___() {
    $n_sjs_concurrent_JSExecutionContext$ = this;
    this.runNow$1 = $m_sjs_concurrent_RunNowExecutionContext$();
    this.queue$1 = $m_sjs_concurrent_QueueExecutionContext$().apply__s_concurrent_ExecutionContextExecutor();
    return this
  };
}
const $d_sjs_concurrent_JSExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_JSExecutionContext$: 0
}, false, "scala.scalajs.concurrent.JSExecutionContext$", {
  sjs_concurrent_JSExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_JSExecutionContext$.prototype.$classData = $d_sjs_concurrent_JSExecutionContext$;
let $n_sjs_concurrent_JSExecutionContext$ = (void 0);
const $m_sjs_concurrent_JSExecutionContext$ = (function() {
  if ((!$n_sjs_concurrent_JSExecutionContext$)) {
    $n_sjs_concurrent_JSExecutionContext$ = new $c_sjs_concurrent_JSExecutionContext$().init___()
  };
  return $n_sjs_concurrent_JSExecutionContext$
});
class $c_sjs_concurrent_QueueExecutionContext$ extends $c_O {
  init___() {
    return this
  };
  apply__s_concurrent_ExecutionContextExecutor() {
    const v = $g.Promise;
    if ((v === (void 0))) {
      return new $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext().init___()
    } else {
      return new $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext().init___()
    }
  };
}
const $d_sjs_concurrent_QueueExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$", {
  sjs_concurrent_QueueExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_QueueExecutionContext$.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$;
let $n_sjs_concurrent_QueueExecutionContext$ = (void 0);
const $m_sjs_concurrent_QueueExecutionContext$ = (function() {
  if ((!$n_sjs_concurrent_QueueExecutionContext$)) {
    $n_sjs_concurrent_QueueExecutionContext$ = new $c_sjs_concurrent_QueueExecutionContext$().init___()
  };
  return $n_sjs_concurrent_QueueExecutionContext$
});
class $c_sjs_js_JSConverters$JSRichFuture$ extends $c_O {
  init___() {
    return this
  };
  scala$scalajs$js$JSConverters$JSRichFuture$$$anonfun$toJSPromise$1__sjs_js_Function1__sjs_js_Function1__s_concurrent_ExecutionContext__s_concurrent_Future__V(resolve, reject, executor$1, $$this$1) {
    $$this$1.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resolve$1, reject$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_s_util_Success(x0$2)) {
          const x2 = x0$2;
          const value = x2.value$2;
          return resolve$1(value)
        } else if ($is_s_util_Failure(x0$2)) {
          const x3 = x0$2;
          const th = x3.exception$2;
          let jsx$1;
          if ($is_sjs_js_JavaScriptException(th)) {
            const x2$2 = th;
            const e = x2$2.exception$4;
            jsx$1 = e
          } else {
            jsx$1 = th
          };
          return reject$1(jsx$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this, resolve, reject)), executor$1)
  };
  toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise($$this, executor) {
    return new $g.Promise((function(executor$1, $$this$1) {
      return (function(arg1$2, arg2$2) {
        $m_sjs_js_JSConverters$JSRichFuture$().scala$scalajs$js$JSConverters$JSRichFuture$$$anonfun$toJSPromise$1__sjs_js_Function1__sjs_js_Function1__s_concurrent_ExecutionContext__s_concurrent_Future__V(arg1$2, arg2$2, executor$1, $$this$1)
      })
    })(executor, $$this))
  };
}
const $d_sjs_js_JSConverters$JSRichFuture$ = new $TypeData().initClass({
  sjs_js_JSConverters$JSRichFuture$: 0
}, false, "scala.scalajs.js.JSConverters$JSRichFuture$", {
  sjs_js_JSConverters$JSRichFuture$: 1,
  O: 1
});
$c_sjs_js_JSConverters$JSRichFuture$.prototype.$classData = $d_sjs_js_JSConverters$JSRichFuture$;
let $n_sjs_js_JSConverters$JSRichFuture$ = (void 0);
const $m_sjs_js_JSConverters$JSRichFuture$ = (function() {
  if ((!$n_sjs_js_JSConverters$JSRichFuture$)) {
    $n_sjs_js_JSConverters$JSRichFuture$ = new $c_sjs_js_JSConverters$JSRichFuture$().init___()
  };
  return $n_sjs_js_JSConverters$JSRichFuture$
});
class $c_sjs_js_JSConverters$JSRichGenMap$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sjs_js_JSConverters$JSRichGenMap$ = new $TypeData().initClass({
  sjs_js_JSConverters$JSRichGenMap$: 0
}, false, "scala.scalajs.js.JSConverters$JSRichGenMap$", {
  sjs_js_JSConverters$JSRichGenMap$: 1,
  O: 1
});
$c_sjs_js_JSConverters$JSRichGenMap$.prototype.$classData = $d_sjs_js_JSConverters$JSRichGenMap$;
let $n_sjs_js_JSConverters$JSRichGenMap$ = (void 0);
const $m_sjs_js_JSConverters$JSRichGenMap$ = (function() {
  if ((!$n_sjs_js_JSConverters$JSRichGenMap$)) {
    $n_sjs_js_JSConverters$JSRichGenMap$ = new $c_sjs_js_JSConverters$JSRichGenMap$().init___()
  };
  return $n_sjs_js_JSConverters$JSRichGenMap$
});
class $c_sjs_js_WrappedDictionary$Cache$ extends $c_O {
  constructor() {
    super();
    this.safeHasOwnProperty$1 = null
  };
  init___() {
    $n_sjs_js_WrappedDictionary$Cache$ = this;
    this.safeHasOwnProperty$1 = $g.Object.prototype.hasOwnProperty;
    return this
  };
}
const $d_sjs_js_WrappedDictionary$Cache$ = new $TypeData().initClass({
  sjs_js_WrappedDictionary$Cache$: 0
}, false, "scala.scalajs.js.WrappedDictionary$Cache$", {
  sjs_js_WrappedDictionary$Cache$: 1,
  O: 1
});
$c_sjs_js_WrappedDictionary$Cache$.prototype.$classData = $d_sjs_js_WrappedDictionary$Cache$;
let $n_sjs_js_WrappedDictionary$Cache$ = (void 0);
const $m_sjs_js_WrappedDictionary$Cache$ = (function() {
  if ((!$n_sjs_js_WrappedDictionary$Cache$)) {
    $n_sjs_js_WrappedDictionary$Cache$ = new $c_sjs_js_WrappedDictionary$Cache$().init___()
  };
  return $n_sjs_js_WrappedDictionary$Cache$
});
class $c_sjsr_Bits$ extends $c_O {
  constructor() {
    super();
    this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = false;
    this.arrayBuffer$1 = null;
    this.int32Array$1 = null;
    this.float32Array$1 = null;
    this.float64Array$1 = null;
    this.areTypedArraysBigEndian$1 = false;
    this.highOffset$1 = 0;
    this.lowOffset$1 = 0
  };
  init___() {
    $n_sjsr_Bits$ = this;
    this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = true;
    this.arrayBuffer$1 = new $g.ArrayBuffer(8);
    this.int32Array$1 = new $g.Int32Array(this.arrayBuffer$1, 0, 2);
    this.float32Array$1 = new $g.Float32Array(this.arrayBuffer$1, 0, 2);
    this.float64Array$1 = new $g.Float64Array(this.arrayBuffer$1, 0, 1);
    this.int32Array$1[0] = 16909060;
    this.areTypedArraysBigEndian$1 = ((new $g.Int8Array(this.arrayBuffer$1, 0, 8)[0] | 0) === 1);
    this.highOffset$1 = (this.areTypedArraysBigEndian$1 ? 0 : 1);
    this.lowOffset$1 = (this.areTypedArraysBigEndian$1 ? 1 : 0);
    return this
  };
  numberHashCode__D__I(value) {
    const iv = ((value | 0) | 0);
    if (((iv === value) && ((1.0 / value) !== (-Infinity)))) {
      return iv
    } else {
      const t = this.doubleToLongBits__D__J(value);
      const lo = t.lo$2;
      const hi = t.hi$2;
      return (lo ^ hi)
    }
  };
  longBitsToDouble__J__D(bits) {
    const jsx$2 = this.int32Array$1;
    const jsx$1 = this.highOffset$1;
    const lo = bits.hi$2;
    jsx$2[jsx$1] = lo;
    this.int32Array$1[this.lowOffset$1] = bits.lo$2;
    return (+this.float64Array$1[0])
  };
  doubleToLongBits__D__J(value) {
    this.float64Array$1[0] = value;
    const value$1 = (this.int32Array$1[this.highOffset$1] | 0);
    const value$2 = (this.int32Array$1[this.lowOffset$1] | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(value$2, value$1)
  };
}
const $d_sjsr_Bits$ = new $TypeData().initClass({
  sjsr_Bits$: 0
}, false, "scala.scalajs.runtime.Bits$", {
  sjsr_Bits$: 1,
  O: 1
});
$c_sjsr_Bits$.prototype.$classData = $d_sjsr_Bits$;
let $n_sjsr_Bits$ = (void 0);
const $m_sjsr_Bits$ = (function() {
  if ((!$n_sjsr_Bits$)) {
    $n_sjsr_Bits$ = new $c_sjsr_Bits$().init___()
  };
  return $n_sjsr_Bits$
});
class $c_sjsr_RuntimeString$ extends $c_O {
  constructor() {
    super();
    this.CASE$undINSENSITIVE$undORDER$1 = null;
    this.bitmap$0$1 = false
  };
  endsWith__T__T__Z(thiz, suffix) {
    return (thiz.substring((((thiz.length | 0) - (suffix.length | 0)) | 0)) === suffix)
  };
  init___() {
    return this
  };
  indexOf__T__I__I__I(thiz, ch, fromIndex) {
    const str = this.fromCodePoint__p1__I__T(ch);
    return (thiz.indexOf(str, fromIndex) | 0)
  };
  toCharArray__T__AC(thiz) {
    const length = (thiz.length | 0);
    const result = $newArrayObject($d_C.getArrayOf(), [length]);
    let i = 0;
    while ((i < length)) {
      const jsx$1 = i;
      const index = i;
      result.u[jsx$1] = (65535 & (thiz.charCodeAt(index) | 0));
      i = ((1 + i) | 0)
    };
    return result
  };
  split__T__T__I__AT(thiz, regex, limit) {
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    const this$1 = $m_ju_regex_Pattern$();
    return this$1.compile__T__I__ju_regex_Pattern(regex, 0).split__jl_CharSequence__I__AT(thiz, limit)
  };
  valueOf__O__T(value) {
    return ((value === null) ? "null" : $objectToString(value))
  };
  replaceFirst__T__T__T__T(thiz, regex, replacement) {
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    const this$1 = $m_ju_regex_Pattern$();
    const this$2 = this$1.compile__T__I__ju_regex_Pattern(regex, 0);
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$2, thiz, 0, (thiz.length | 0)).replaceFirst__T__T(replacement)
  };
  lastIndexOf__T__I__I(thiz, ch) {
    const str = this.fromCodePoint__p1__I__T(ch);
    return (thiz.lastIndexOf(str) | 0)
  };
  getBytes__T__Ljava_nio_charset_Charset__AB(thiz, charset) {
    const buf = charset.encode__T__Ljava_nio_ByteBuffer(thiz);
    const res = $newArrayObject($d_B.getArrayOf(), [((buf.$$undlimit$1 - buf.java$nio$Buffer$$$undposition$1) | 0)]);
    buf.get__AB__I__I__Ljava_nio_ByteBuffer(res, 0, res.u.length);
    return res
  };
  indexOf__T__I__I(thiz, ch) {
    const str = this.fromCodePoint__p1__I__T(ch);
    return (thiz.indexOf(str) | 0)
  };
  newString__AC__I__I__T(value, offset, count) {
    const end = ((offset + count) | 0);
    if ((((offset < 0) || (end < offset)) || (end > value.u.length))) {
      throw new $c_jl_StringIndexOutOfBoundsException().init___()
    };
    let result = "";
    let i = offset;
    while ((i !== end)) {
      const jsx$1 = result;
      const c = value.u[i];
      result = (("" + jsx$1) + $g.String.fromCharCode(c));
      i = ((1 + i) | 0)
    };
    return result
  };
  compareToIgnoreCase__T__T__I(thiz, str) {
    const thiz$1 = thiz.toLowerCase();
    const anotherString = str.toLowerCase();
    return ((thiz$1 === anotherString) ? 0 : ((!(!(thiz$1 < anotherString))) ? (-1) : 1))
  };
  fromCodePoint__p1__I__T(codePoint) {
    if ((((-65536) & codePoint) === 0)) {
      return $g.String.fromCharCode(codePoint)
    } else if (((codePoint < 0) || (codePoint > 1114111))) {
      throw new $c_jl_IllegalArgumentException().init___()
    } else {
      const offsetCp = (((-65536) + codePoint) | 0);
      return $g.String.fromCharCode((55296 | (offsetCp >> 10)), (56320 | (1023 & offsetCp)))
    }
  };
  hashCode__T__I(thiz) {
    let res = 0;
    let mul = 1;
    let i = (((-1) + (thiz.length | 0)) | 0);
    while ((i >= 0)) {
      const jsx$1 = res;
      const index = i;
      res = ((jsx$1 + $imul((65535 & (thiz.charCodeAt(index) | 0)), mul)) | 0);
      mul = $imul(31, mul);
      i = (((-1) + i) | 0)
    };
    return res
  };
  replaceAll__T__T__T__T(thiz, regex, replacement) {
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    const this$1 = $m_ju_regex_Pattern$();
    const this$2 = this$1.compile__T__I__ju_regex_Pattern(regex, 0);
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$2, thiz, 0, (thiz.length | 0)).replaceAll__T__T(replacement)
  };
}
const $d_sjsr_RuntimeString$ = new $TypeData().initClass({
  sjsr_RuntimeString$: 0
}, false, "scala.scalajs.runtime.RuntimeString$", {
  sjsr_RuntimeString$: 1,
  O: 1
});
$c_sjsr_RuntimeString$.prototype.$classData = $d_sjsr_RuntimeString$;
let $n_sjsr_RuntimeString$ = (void 0);
const $m_sjsr_RuntimeString$ = (function() {
  if ((!$n_sjsr_RuntimeString$)) {
    $n_sjsr_RuntimeString$ = new $c_sjsr_RuntimeString$().init___()
  };
  return $n_sjsr_RuntimeString$
});
class $c_sjsr_StackTrace$ extends $c_O {
  constructor() {
    super();
    this.isRhino$1 = false;
    this.decompressedClasses$1 = null;
    this.decompressedPrefixes$1 = null;
    this.compressedPrefixes$1 = null;
    this.bitmap$0$1 = 0
  };
  compressedPrefixes$lzycompute__p1__sjs_js_Array() {
    if (((8 & this.bitmap$0$1) === 0)) {
      this.compressedPrefixes$1 = $g.Object.keys(this.decompressedPrefixes__p1__sjs_js_Dictionary());
      this.bitmap$0$1 = (((8 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.compressedPrefixes$1
  };
  extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = e.stack;
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("(?:\\n@:0)?\\s+$", "m"), "");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?:\\((\\S*)\\))?@", "gm"), "{anonymous}($1)@");
    return x$2.split("\n")
  };
  extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)(?:: In function (\\S+))?$", "i");
    const x = e.stacktrace;
    const lines = x.split("\n");
    const result = [];
    let i = 0;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[3];
        const fnName = ((value === (void 0)) ? "{anonymous}" : value);
        const value$1 = mtch[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$2 = mtch[1];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const jsx$1 = result.push(((((fnName + "()@") + value$1) + ":") + value$2))
      };
      i = ((2 + i) | 0)
    };
    return result
  };
  init___() {
    return this
  };
  isRhino__p1__Z() {
    return (((1 & this.bitmap$0$1) === 0) ? this.isRhino$lzycompute__p1__Z() : this.isRhino$1)
  };
  decodeClassName__p1__T__T(encodedName) {
    const encoded = (((65535 & (encodedName.charCodeAt(0) | 0)) === 36) ? encodedName.substring(1) : encodedName);
    const dict = this.decompressedClasses__p1__sjs_js_Dictionary();
    let base;
    if ((!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, encoded)))) {
      const dict$1 = this.decompressedClasses__p1__sjs_js_Dictionary();
      if ((!(!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict$1, encoded))))) {
        throw new $c_ju_NoSuchElementException().init___T(("key not found: " + encoded))
      };
      base = dict$1[encoded]
    } else {
      base = this.loop$1__p1__I__T__T(0, encoded)
    };
    const thiz = base.split("_").join(".");
    return thiz.split("$und").join("_")
  };
  extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(.*)@(.+):(\\d+)$");
    const x = e.stacktrace;
    const lines = x.split("\n");
    const result = [];
    let i = 0;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[1];
        let fnName;
        if ((value === (void 0))) {
          fnName = "global code"
        } else {
          const x$3 = value;
          fnName = (x$3 + "()")
        };
        const value$1 = mtch[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$2 = mtch[3];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const jsx$1 = result.push(((((fnName + "@") + value$1) + ":") + value$2))
      };
      i = ((1 + i) | 0)
    };
    return result
  };
  extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = (e.stack + "\n");
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^[\\s\\S]+?\\s+at\\s+"), " at ");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+(at eval )?at\\s+", "gm"), "");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+?)([\\n])", "gm"), "{anonymous}() ($1)$2");
    const x$4 = x$3.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Object.<anonymous>\\s*\\(([^\\)]+)\\)", "gm"), "{anonymous}() ($1)");
    const x$5 = x$4.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\)) \\((.+)\\)$", "gm"), "$1@$2");
    const jsx$1 = x$5.split("\n");
    return jsx$1.slice(0, (-1))
  };
  extract__sjs_js_Dynamic__Ajl_StackTraceElement(stackdata) {
    const lines = this.normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array(stackdata);
    return this.normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement(lines)
  };
  compressedPrefixes__p1__sjs_js_Array() {
    return (((8 & this.bitmap$0$1) === 0) ? this.compressedPrefixes$lzycompute__p1__sjs_js_Array() : this.compressedPrefixes$1)
  };
  decompressedClasses__p1__sjs_js_Dictionary() {
    return (((2 & this.bitmap$0$1) === 0) ? this.decompressedClasses$lzycompute__p1__sjs_js_Dictionary() : this.decompressedClasses$1)
  };
  extractClassMethod__p1__T__T2(functionName) {
    const PatC = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.c\\.|\\$c_)([^\\.]+)(?:\\.prototype)?\\.([^\\.]+)$");
    const PatS = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.(?:s|f)\\.|\\$(?:s|f)_)((?:_[^_]|[^_])+)__([^\\.]+)$");
    const PatM = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.m\\.|\\$m_)([^\\.]+)$");
    let isModule = false;
    let mtch = PatC.exec(functionName);
    if ((mtch === null)) {
      mtch = PatS.exec(functionName);
      if ((mtch === null)) {
        mtch = PatM.exec(functionName);
        isModule = true
      }
    };
    if ((mtch !== null)) {
      const value = mtch[1];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      const className = this.decodeClassName__p1__T__T(value);
      let methodName;
      if (isModule) {
        methodName = "<clinit>"
      } else {
        const value$1 = mtch[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        methodName = this.decodeMethodName__p1__T__T(value$1)
      };
      return new $c_T2().init___O__O(className, methodName)
    } else {
      return new $c_T2().init___O__O("<jscode>", functionName)
    }
  };
  isRhino$lzycompute__p1__Z() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.isRhino$1 = this.liftedTree1$1__p1__Z();
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.isRhino$1
  };
  decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary() {
    if (((4 & this.bitmap$0$1) === 0)) {
      this.decompressedPrefixes$1 = {
        "sjsr_": "scala_scalajs_runtime_",
        "sjs_": "scala_scalajs_",
        "sci_": "scala_collection_immutable_",
        "scm_": "scala_collection_mutable_",
        "scg_": "scala_collection_generic_",
        "sc_": "scala_collection_",
        "sr_": "scala_runtime_",
        "s_": "scala_",
        "jl_": "java_lang_",
        "ju_": "java_util_"
      };
      this.bitmap$0$1 = (((4 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.decompressedPrefixes$1
  };
  extract__jl_Throwable__Ajl_StackTraceElement(throwable) {
    return this.extract__sjs_js_Dynamic__Ajl_StackTraceElement(throwable.stackdata)
  };
  decompressedClasses$lzycompute__p1__sjs_js_Dictionary() {
    if (((2 & this.bitmap$0$1) === 0)) {
      const dict = {
        "O": "java_lang_Object",
        "T": "java_lang_String",
        "V": "scala_Unit",
        "Z": "scala_Boolean",
        "C": "scala_Char",
        "B": "scala_Byte",
        "S": "scala_Short",
        "I": "scala_Int",
        "J": "scala_Long",
        "F": "scala_Float",
        "D": "scala_Double"
      };
      let index = 0;
      while ((index <= 22)) {
        if ((index >= 2)) {
          dict[("T" + index)] = ("scala_Tuple" + index)
        };
        dict[("F" + index)] = ("scala_Function" + index);
        index = ((1 + index) | 0)
      };
      this.decompressedClasses$1 = dict;
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.decompressedClasses$1
  };
  normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = (!e);
    if ((!(!(!(!x))))) {
      return []
    } else if (this.isRhino__p1__Z()) {
      return this.extractRhino__p1__sjs_js_Dynamic__sjs_js_Array(e)
    } else {
      const x$1 = (e.arguments && e.stack);
      if ((!(!(!(!x$1))))) {
        return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
      } else {
        const x$2 = (e.stack && e.sourceURL);
        if ((!(!(!(!x$2))))) {
          return this.extractSafari__p1__sjs_js_Dynamic__sjs_js_Array(e)
        } else {
          const x$3 = (e.stack && e.number);
          if ((!(!(!(!x$3))))) {
            return this.extractIE__p1__sjs_js_Dynamic__sjs_js_Array(e)
          } else {
            const x$4 = (e.stack && e.fileName);
            if ((!(!(!(!x$4))))) {
              return this.extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array(e)
            } else {
              const x$5 = (e.message && e["opera#sourceloc"]);
              if ((!(!(!(!x$5))))) {
                const x$6 = (!e.stacktrace);
                if ((!(!(!(!x$6))))) {
                  return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  const x$7 = ((e.message.indexOf("\n") > (-1)) && (e.message.split("\n").length > e.stacktrace.split("\n").length));
                  if ((!(!(!(!x$7))))) {
                    return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  } else {
                    return this.extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  }
                }
              } else {
                const x$8 = ((e.message && e.stack) && e.stacktrace);
                if ((!(!(!(!x$8))))) {
                  const x$9 = (e.stacktrace.indexOf("called from line") < 0);
                  if ((!(!(!(!x$9))))) {
                    return this.extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  } else {
                    return this.extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  }
                } else {
                  const x$10 = (e.stack && (!e.fileName));
                  if ((!(!(!(!x$10))))) {
                    return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  } else {
                    return this.extractOther__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)", "i");
    const x = e.message;
    const lines = x.split("\n");
    const result = [];
    let i = 2;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[2];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$1 = mtch[1];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const jsx$1 = result.push(((("{anonymous}()@" + value) + ":") + value$1))
      };
      i = ((2 + i) | 0)
    };
    return result
  };
  normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement(lines) {
    const NormalizedFrameLine = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+)$");
    const NormalizedFrameLineWithColumn = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+):([0-9]+)$");
    const trace = [];
    let i = 0;
    while ((i < (lines.length | 0))) {
      const line = lines[i];
      if ((line === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ((line !== "")) {
        const mtch1 = NormalizedFrameLineWithColumn.exec(line);
        if ((mtch1 !== null)) {
          const value = mtch1[1];
          if ((value === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const x1 = this.extractClassMethod__p1__T__T2(value);
          if ((x1 === null)) {
            throw new $c_s_MatchError().init___O(x1)
          };
          const className = x1.$$und1__O();
          const methodName = x1.$$und2__O();
          const value$1 = mtch1[2];
          if ((value$1 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const fileName = value$1;
          const value$2 = mtch1[3];
          if ((value$2 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const x = value$2;
          const this$15 = new $c_sci_StringOps().init___T(x);
          const this$17 = $m_jl_Integer$();
          const $$this = this$15.repr$1;
          const lineNumber = this$17.parseInt__T__I__I($$this, 10);
          const value$3 = mtch1[4];
          if ((value$3 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const x$1 = value$3;
          const this$23 = new $c_sci_StringOps().init___T(x$1);
          const this$25 = $m_jl_Integer$();
          const $$this$1 = this$23.repr$1;
          const value$4 = this$25.parseInt__T__I__I($$this$1, 10);
          const jsx$1 = trace.push({
            "declaringClass": className,
            "methodName": methodName,
            "fileName": fileName,
            "lineNumber": lineNumber,
            "columnNumber": ((value$4 === (void 0)) ? (void 0) : value$4)
          })
        } else {
          const mtch2 = NormalizedFrameLine.exec(line);
          if ((mtch2 !== null)) {
            const value$5 = mtch2[1];
            if ((value$5 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const x1$2 = this.extractClassMethod__p1__T__T2(value$5);
            if ((x1$2 === null)) {
              throw new $c_s_MatchError().init___O(x1$2)
            };
            const className$3 = x1$2.$$und1__O();
            const methodName$3 = x1$2.$$und2__O();
            const value$6 = mtch2[2];
            if ((value$6 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const fileName$1 = value$6;
            const value$7 = mtch2[3];
            if ((value$7 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const x$2 = value$7;
            const this$52 = new $c_sci_StringOps().init___T(x$2);
            const this$54 = $m_jl_Integer$();
            const $$this$2 = this$52.repr$1;
            const lineNumber$1 = this$54.parseInt__T__I__I($$this$2, 10);
            const jsx$2 = trace.push({
              "declaringClass": className$3,
              "methodName": methodName$3,
              "fileName": fileName$1,
              "lineNumber": lineNumber$1,
              "columnNumber": (void 0)
            })
          } else {
            (trace.push({
              "declaringClass": "<jscode>",
              "methodName": line,
              "fileName": null,
              "lineNumber": (-1),
              "columnNumber": (void 0)
            }) | 0)
          }
        }
      };
      i = ((1 + i) | 0)
    };
    const value$8 = $env.sourceMapper;
    const mappedTrace = ((value$8 === (void 0)) ? trace : value$8(trace));
    const result = $newArrayObject($d_jl_StackTraceElement.getArrayOf(), [(mappedTrace.length | 0)]);
    i = 0;
    while ((i < (mappedTrace.length | 0))) {
      const jsSte = mappedTrace[i];
      const ste = new $c_jl_StackTraceElement().init___T__T__T__I(jsSte.declaringClass, jsSte.methodName, jsSte.fileName, (jsSte.lineNumber | 0));
      const value$9 = jsSte.columnNumber;
      if ((value$9 !== (void 0))) {
        const columnNumber = (value$9 | 0);
        ste.setColumnNumber(columnNumber)
      };
      result.u[i] = ste;
      i = ((1 + i) | 0)
    };
    return result
  };
  extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^.*line (\\d+), column (\\d+)(?: in (.+))? in (\\S+):$");
    const x = e.stacktrace;
    const lines = x.split("\n");
    const result = [];
    let i = 0;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[4];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$1 = mtch[1];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$2 = mtch[2];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const location = ((((value + ":") + value$1) + ":") + value$2);
        const value$3 = mtch[2];
        const fnName0 = ((value$3 === (void 0)) ? "global code" : value$3);
        const x$1 = fnName0.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function: (\\S+)>"), "$1");
        const fnName = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function>"), "{anonymous}");
        (result.push(((fnName + "@") + location)) | 0)
      };
      i = ((2 + i) | 0)
    };
    return result
  };
  extractSafari__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = e.stack;
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\[native code\\]\\n", "m"), "");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?=\\w+Error\\:).*$\\n", "m"), "");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^@", "gm"), "{anonymous}()@");
    return x$3.split("\n")
  };
  loop$1__p1__I__T__T(i, encoded$1) {
    _loop: while (true) {
      if ((i < (this.compressedPrefixes__p1__sjs_js_Array().length | 0))) {
        const prefix = this.compressedPrefixes__p1__sjs_js_Array()[i];
        if ((((encoded$1.length | 0) >= 0) && (encoded$1.substring(0, (prefix.length | 0)) === prefix))) {
          const dict = this.decompressedPrefixes__p1__sjs_js_Dictionary();
          if ((!(!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, prefix))))) {
            throw new $c_ju_NoSuchElementException().init___T(("key not found: " + prefix))
          };
          const jsx$1 = dict[prefix];
          const beginIndex = (prefix.length | 0);
          return (("" + jsx$1) + encoded$1.substring(beginIndex))
        } else {
          i = ((1 + i) | 0);
          continue _loop
        }
      } else {
        return ((((encoded$1.length | 0) >= 0) && (encoded$1.substring(0, ("L".length | 0)) === "L")) ? encoded$1.substring(1) : encoded$1)
      }
    }
  };
  liftedTree1$1__p1__Z() {
    try {
      $g.Packages.org.mozilla.javascript.JavaScriptException;
      return true
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        if ($is_sjs_js_JavaScriptException(e$2)) {
          return false
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
  decompressedPrefixes__p1__sjs_js_Dictionary() {
    return (((4 & this.bitmap$0$1) === 0) ? this.decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary() : this.decompressedPrefixes$1)
  };
  extractRhino__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const value = e.stack;
    const x = ((value === (void 0)) ? "" : value);
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+at\\s+", "gm"), "");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(.+?)(?: \\((.+)\\))?$", "gm"), "$2@$1");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\r\\n?", "gm"), "\n");
    return x$3.split("\n")
  };
  extractOther__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    return []
  };
  extractIE__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = e.stack;
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s*at\\s+(.*)$", "gm"), "$1");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Anonymous function\\s+", "gm"), "{anonymous}() ");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\))\\s+\\((.+)\\)$", "gm"), "$1@$2");
    const qual$1 = x$3.split("\n");
    return qual$1.slice(1)
  };
  decodeMethodName__p1__T__T(encodedName) {
    if ((((encodedName.length | 0) >= 0) && (encodedName.substring(0, ("init___".length | 0)) === "init___"))) {
      return "<init>"
    } else {
      const methodNameLen = (encodedName.indexOf("__") | 0);
      return ((methodNameLen < 0) ? encodedName : encodedName.substring(0, methodNameLen))
    }
  };
}
const $d_sjsr_StackTrace$ = new $TypeData().initClass({
  sjsr_StackTrace$: 0
}, false, "scala.scalajs.runtime.StackTrace$", {
  sjsr_StackTrace$: 1,
  O: 1
});
$c_sjsr_StackTrace$.prototype.$classData = $d_sjsr_StackTrace$;
let $n_sjsr_StackTrace$ = (void 0);
const $m_sjsr_StackTrace$ = (function() {
  if ((!$n_sjsr_StackTrace$)) {
    $n_sjsr_StackTrace$ = new $c_sjsr_StackTrace$().init___()
  };
  return $n_sjsr_StackTrace$
});
class $c_sjsr_StackTrace$StringRE$ extends $c_O {
  init___() {
    return this
  };
  re$extension1__T__T__sjs_js_RegExp($$this, mods) {
    return new $g.RegExp($$this, mods)
  };
  re$extension0__T__sjs_js_RegExp($$this) {
    return new $g.RegExp($$this)
  };
}
const $d_sjsr_StackTrace$StringRE$ = new $TypeData().initClass({
  sjsr_StackTrace$StringRE$: 0
}, false, "scala.scalajs.runtime.StackTrace$StringRE$", {
  sjsr_StackTrace$StringRE$: 1,
  O: 1
});
$c_sjsr_StackTrace$StringRE$.prototype.$classData = $d_sjsr_StackTrace$StringRE$;
let $n_sjsr_StackTrace$StringRE$ = (void 0);
const $m_sjsr_StackTrace$StringRE$ = (function() {
  if ((!$n_sjsr_StackTrace$StringRE$)) {
    $n_sjsr_StackTrace$StringRE$ = new $c_sjsr_StackTrace$StringRE$().init___()
  };
  return $n_sjsr_StackTrace$StringRE$
});
class $c_sjsr_package$ extends $c_O {
  init___() {
    return this
  };
  unwrapJavaScriptException__jl_Throwable__O(th) {
    if ($is_sjs_js_JavaScriptException(th)) {
      const x2 = th;
      const e = x2.exception$4;
      return e
    } else {
      return th
    }
  };
  wrapJavaScriptException__O__jl_Throwable(e) {
    if ($is_jl_Throwable(e)) {
      const x2 = e;
      return x2
    } else {
      return new $c_sjs_js_JavaScriptException().init___O(e)
    }
  };
}
const $d_sjsr_package$ = new $TypeData().initClass({
  sjsr_package$: 0
}, false, "scala.scalajs.runtime.package$", {
  sjsr_package$: 1,
  O: 1
});
$c_sjsr_package$.prototype.$classData = $d_sjsr_package$;
let $n_sjsr_package$ = (void 0);
const $m_sjsr_package$ = (function() {
  if ((!$n_sjsr_package$)) {
    $n_sjsr_package$ = new $c_sjsr_package$().init___()
  };
  return $n_sjsr_package$
});
class $c_sr_BoxesRunTime$ extends $c_O {
  init___() {
    return this
  };
  equalsCharObject__jl_Character__O__Z(xc, y) {
    if ($is_jl_Character(y)) {
      const x2 = y;
      return (xc.value$1 === x2.value$1)
    } else if ($is_jl_Number(y)) {
      const x3 = y;
      if (((typeof x3) === "number")) {
        const x2$1 = (+x3);
        return (x2$1 === xc.value$1)
      } else if ($is_sjsr_RuntimeLong(x3)) {
        const t = $uJ(x3);
        const lo = t.lo$2;
        const hi = t.hi$2;
        const value = xc.value$1;
        const hi$1 = (value >> 31);
        return ((lo === value) && (hi === hi$1))
      } else {
        return ((x3 === null) ? (xc === null) : $objectEquals(x3, xc))
      }
    } else {
      return ((xc === null) && (y === null))
    }
  };
  equalsNumObject__jl_Number__O__Z(xn, y) {
    if ($is_jl_Number(y)) {
      const x2 = y;
      return this.equalsNumNum__jl_Number__jl_Number__Z(xn, x2)
    } else if ($is_jl_Character(y)) {
      const x3 = y;
      if (((typeof xn) === "number")) {
        const x2$1 = (+xn);
        return (x2$1 === x3.value$1)
      } else if ($is_sjsr_RuntimeLong(xn)) {
        const t = $uJ(xn);
        const lo = t.lo$2;
        const hi = t.hi$2;
        const value = x3.value$1;
        const hi$1 = (value >> 31);
        return ((lo === value) && (hi === hi$1))
      } else {
        return ((xn === null) ? (x3 === null) : $objectEquals(xn, x3))
      }
    } else {
      return ((xn === null) ? (y === null) : $objectEquals(xn, y))
    }
  };
  equals__O__O__Z(x, y) {
    if ((x === y)) {
      return true
    } else if ($is_jl_Number(x)) {
      const x2 = x;
      return this.equalsNumObject__jl_Number__O__Z(x2, y)
    } else if ($is_jl_Character(x)) {
      const x3 = x;
      return this.equalsCharObject__jl_Character__O__Z(x3, y)
    } else {
      return ((x === null) ? (y === null) : $objectEquals(x, y))
    }
  };
  equalsNumNum__jl_Number__jl_Number__Z(xn, yn) {
    if (((typeof xn) === "number")) {
      const x2 = (+xn);
      if (((typeof yn) === "number")) {
        const x2$2 = (+yn);
        return (x2 === x2$2)
      } else if ($is_sjsr_RuntimeLong(yn)) {
        const t = $uJ(yn);
        const lo = t.lo$2;
        const hi = t.hi$2;
        return (x2 === $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi))
      } else if ($is_s_math_ScalaNumber(yn)) {
        const x4 = yn;
        return x4.equals__O__Z(x2)
      } else {
        return false
      }
    } else if ($is_sjsr_RuntimeLong(xn)) {
      const t$1 = $uJ(xn);
      const lo$1 = t$1.lo$2;
      const hi$1 = t$1.hi$2;
      if ($is_sjsr_RuntimeLong(yn)) {
        const t$2 = $uJ(yn);
        const lo$2 = t$2.lo$2;
        const hi$2 = t$2.hi$2;
        return ((lo$1 === lo$2) && (hi$1 === hi$2))
      } else if (((typeof yn) === "number")) {
        const x3$3 = (+yn);
        return ($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo$1, hi$1) === x3$3)
      } else if ($is_s_math_ScalaNumber(yn)) {
        const x4$2 = yn;
        return x4$2.equals__O__Z(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1))
      } else {
        return false
      }
    } else {
      return ((xn === null) ? (yn === null) : $objectEquals(xn, yn))
    }
  };
}
const $d_sr_BoxesRunTime$ = new $TypeData().initClass({
  sr_BoxesRunTime$: 0
}, false, "scala.runtime.BoxesRunTime$", {
  sr_BoxesRunTime$: 1,
  O: 1
});
$c_sr_BoxesRunTime$.prototype.$classData = $d_sr_BoxesRunTime$;
let $n_sr_BoxesRunTime$ = (void 0);
const $m_sr_BoxesRunTime$ = (function() {
  if ((!$n_sr_BoxesRunTime$)) {
    $n_sr_BoxesRunTime$ = new $c_sr_BoxesRunTime$().init___()
  };
  return $n_sr_BoxesRunTime$
});
class $c_sr_LazyRef extends $c_O {
  constructor() {
    super();
    this.$$undinitialized$1 = false;
    this.$$undvalue$1 = null
  };
  init___() {
    return this
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["LazyRef ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this.$$undinitialized$1 ? new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["of: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.$$undvalue$1])) : "thunk")]))
  };
  initialize__O__O(value) {
    this.$$undvalue$1 = value;
    this.$$undinitialized$1 = true;
    return value
  };
}
const $d_sr_LazyRef = new $TypeData().initClass({
  sr_LazyRef: 0
}, false, "scala.runtime.LazyRef", {
  sr_LazyRef: 1,
  O: 1
});
$c_sr_LazyRef.prototype.$classData = $d_sr_LazyRef;
const $d_sr_Null$ = new $TypeData().initClass({
  sr_Null$: 0
}, false, "scala.runtime.Null$", {
  sr_Null$: 1,
  O: 1
});
class $c_sr_RichLong$ extends $c_O {
  intValue$extension__J__I($$this) {
    return $$this.lo$2
  };
  init___() {
    return this
  };
  floatValue$extension__J__F($$this) {
    return $fround($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D($$this.lo$2, $$this.hi$2))
  };
  equals$extension__J__O__Z($$this, x$1) {
    if ($is_sr_RichLong(x$1)) {
      const t = x$1.self$1;
      const lo = t.lo$2;
      const hi = t.hi$2;
      return (($$this.lo$2 === lo) && ($$this.hi$2 === hi))
    } else {
      return false
    }
  };
  isValidChar$extension__J__Z($$this) {
    const value = (65535 & $$this.lo$2);
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
  byteValue$extension__J__B($$this) {
    return (($$this.lo$2 << 24) >> 24)
  };
  isValidShort$extension__J__Z($$this) {
    const value = (($$this.lo$2 << 16) >> 16);
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
  doubleValue$extension__J__D($$this) {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D($$this.lo$2, $$this.hi$2)
  };
  isValidInt$extension__J__Z($$this) {
    const value = $$this.lo$2;
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
  shortValue$extension__J__S($$this) {
    return (($$this.lo$2 << 16) >> 16)
  };
  isValidByte$extension__J__Z($$this) {
    const value = (($$this.lo$2 << 24) >> 24);
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
}
const $d_sr_RichLong$ = new $TypeData().initClass({
  sr_RichLong$: 0
}, false, "scala.runtime.RichLong$", {
  sr_RichLong$: 1,
  O: 1
});
$c_sr_RichLong$.prototype.$classData = $d_sr_RichLong$;
let $n_sr_RichLong$ = (void 0);
const $m_sr_RichLong$ = (function() {
  if ((!$n_sr_RichLong$)) {
    $n_sr_RichLong$ = new $c_sr_RichLong$().init___()
  };
  return $n_sr_RichLong$
});
class $c_sr_ScalaRunTime$ extends $c_O {
  init___() {
    return this
  };
  array$undlength__O__I(xs) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      return x2.u.length
    } else if ($isArrayOf_I(xs, 1)) {
      const x3 = xs;
      return x3.u.length
    } else if ($isArrayOf_D(xs, 1)) {
      const x4 = xs;
      return x4.u.length
    } else if ($isArrayOf_J(xs, 1)) {
      const x5 = xs;
      return x5.u.length
    } else if ($isArrayOf_F(xs, 1)) {
      const x6 = xs;
      return x6.u.length
    } else if ($isArrayOf_C(xs, 1)) {
      const x7 = xs;
      return x7.u.length
    } else if ($isArrayOf_B(xs, 1)) {
      const x8 = xs;
      return x8.u.length
    } else if ($isArrayOf_S(xs, 1)) {
      const x9 = xs;
      return x9.u.length
    } else if ($isArrayOf_Z(xs, 1)) {
      const x10 = xs;
      return x10.u.length
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      return x11.u.length
    } else if ((xs === null)) {
      throw new $c_jl_NullPointerException().init___()
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
  array$undupdate__O__I__O__V(xs, idx, value) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      x2.u[idx] = value
    } else if ($isArrayOf_I(xs, 1)) {
      const x3 = xs;
      x3.u[idx] = (value | 0)
    } else if ($isArrayOf_D(xs, 1)) {
      const x4 = xs;
      x4.u[idx] = (+value)
    } else if ($isArrayOf_J(xs, 1)) {
      const x5 = xs;
      x5.u[idx] = $uJ(value)
    } else if ($isArrayOf_F(xs, 1)) {
      const x6 = xs;
      x6.u[idx] = (+value)
    } else if ($isArrayOf_C(xs, 1)) {
      const x7 = xs;
      let jsx$1;
      if ((value === null)) {
        jsx$1 = 0
      } else {
        const this$2 = value;
        jsx$1 = this$2.value$1
      };
      x7.u[idx] = jsx$1
    } else if ($isArrayOf_B(xs, 1)) {
      const x8 = xs;
      x8.u[idx] = (value | 0)
    } else if ($isArrayOf_S(xs, 1)) {
      const x9 = xs;
      x9.u[idx] = (value | 0)
    } else if ($isArrayOf_Z(xs, 1)) {
      const x10 = xs;
      x10.u[idx] = (!(!value))
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      x11.u[idx] = (void 0)
    } else if ((xs === null)) {
      throw new $c_jl_NullPointerException().init___()
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
  $$undtoString__s_Product__T(x) {
    const this$1 = x.productIterator__sc_Iterator();
    const start = (x.productPrefix__T() + "(");
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, start, ",", ")")
  };
  array$undapply__O__I__O(xs, idx) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      return x2.u[idx]
    } else if ($isArrayOf_I(xs, 1)) {
      const x3 = xs;
      return x3.u[idx]
    } else if ($isArrayOf_D(xs, 1)) {
      const x4 = xs;
      return x4.u[idx]
    } else if ($isArrayOf_J(xs, 1)) {
      const x5 = xs;
      return x5.u[idx]
    } else if ($isArrayOf_F(xs, 1)) {
      const x6 = xs;
      return x6.u[idx]
    } else if ($isArrayOf_C(xs, 1)) {
      const x7 = xs;
      const c = x7.u[idx];
      return new $c_jl_Character().init___C(c)
    } else if ($isArrayOf_B(xs, 1)) {
      const x8 = xs;
      return x8.u[idx]
    } else if ($isArrayOf_S(xs, 1)) {
      const x9 = xs;
      return x9.u[idx]
    } else if ($isArrayOf_Z(xs, 1)) {
      const x10 = xs;
      return x10.u[idx]
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      return x11.u[idx]
    } else if ((xs === null)) {
      throw new $c_jl_NullPointerException().init___()
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
}
const $d_sr_ScalaRunTime$ = new $TypeData().initClass({
  sr_ScalaRunTime$: 0
}, false, "scala.runtime.ScalaRunTime$", {
  sr_ScalaRunTime$: 1,
  O: 1
});
$c_sr_ScalaRunTime$.prototype.$classData = $d_sr_ScalaRunTime$;
let $n_sr_ScalaRunTime$ = (void 0);
const $m_sr_ScalaRunTime$ = (function() {
  if ((!$n_sr_ScalaRunTime$)) {
    $n_sr_ScalaRunTime$ = new $c_sr_ScalaRunTime$().init___()
  };
  return $n_sr_ScalaRunTime$
});
class $c_sr_Statics$ extends $c_O {
  init___() {
    return this
  };
  mixLast__I__I__I(hash, data) {
    let k = data;
    k = $imul((-862048943), k);
    const i = k;
    k = ((i << 15) | ((i >>> 17) | 0));
    k = $imul(461845907, k);
    return (hash ^ k)
  };
  doubleHash__D__I(dv) {
    const iv = $doubleToInt(dv);
    if ((iv === dv)) {
      return iv
    } else {
      const this$1 = $m_sjsr_RuntimeLong$();
      const lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(dv);
      const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      return (($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) === dv) ? (lo ^ hi) : $m_sjsr_Bits$().numberHashCode__D__I(dv))
    }
  };
  anyHash__O__I(x) {
    if ((x === null)) {
      return 0
    } else if (((typeof x) === "number")) {
      const x3 = (+x);
      return this.doubleHash__D__I(x3)
    } else if ($is_sjsr_RuntimeLong(x)) {
      const t = $uJ(x);
      const lo = t.lo$2;
      const hi = t.hi$2;
      return this.longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
    } else {
      return $objectHashCode(x)
    }
  };
  avalanche__I__I(h0) {
    let h = h0;
    h = (h ^ ((h >>> 16) | 0));
    h = $imul((-2048144789), h);
    h = (h ^ ((h >>> 13) | 0));
    h = $imul((-1028477387), h);
    h = (h ^ ((h >>> 16) | 0));
    return h
  };
  mix__I__I__I(hash, data) {
    let h = this.mixLast__I__I__I(hash, data);
    const i = h;
    h = ((i << 13) | ((i >>> 19) | 0));
    return (((-430675100) + $imul(5, h)) | 0)
  };
  longHash__J__I(lv) {
    const lo = lv.lo$2;
    const lo$1 = lv.hi$2;
    return ((lo$1 === (lo >> 31)) ? lo : (lo ^ lo$1))
  };
  finalizeHash__I__I__I(hash, length) {
    return this.avalanche__I__I((hash ^ length))
  };
}
const $d_sr_Statics$ = new $TypeData().initClass({
  sr_Statics$: 0
}, false, "scala.runtime.Statics$", {
  sr_Statics$: 1,
  O: 1
});
$c_sr_Statics$.prototype.$classData = $d_sr_Statics$;
let $n_sr_Statics$ = (void 0);
const $m_sr_Statics$ = (function() {
  if ((!$n_sr_Statics$)) {
    $n_sr_Statics$ = new $c_sr_Statics$().init___()
  };
  return $n_sr_Statics$
});
class $c_Lamf_Core$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  $$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(plugin) {
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  init___() {
    $n_Lamf_Core$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$generator__T__T__O(vendor, mediaType) {
    return new $c_Lamf_core_client_Generator().init___T__T(vendor, mediaType)
  };
  $$js$exported$meth$init__O() {
    return this.init__sjs_js_Promise()
  };
  $$js$exported$meth$parser__T__T__O(vendor, mediaType) {
    return new $c_Lamf_core_client_Parser().init___T__T(vendor, mediaType)
  };
  registerNamespace__T__T__Z(alias, prefix) {
    return $m_Lamf_core_vocabulary_Namespace$().registerNamespace__T__T__s_Option(alias, prefix).isDefined__Z()
  };
  $$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    return $m_Lamf_core_client_Validator$().validate__Lamf_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    return $m_Lamf_core_client_Validator$().loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$registerNamespace__T__T__O(alias, prefix) {
    return this.registerNamespace__T__T__Z(alias, prefix)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  $$js$exported$meth$resolver__T__O(vendor) {
    return new $c_Lamf_core_client_Resolver().init___T(vendor)
  };
  init__sjs_js_Promise() {
    const this$1 = this.platform$1;
    const model = $m_Lamf_core_metamodel_document_ModuleModel$();
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_core_model_document_Module(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_model_document_Module().init___Lamf_core_model_document_Module(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$1, model, builder);
    const this$3 = this.platform$1;
    const model$1 = $m_Lamf_core_metamodel_document_DocumentModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_core_model_document_Document(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_model_document_Document().init___Lamf_core_model_document_Document(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$3, model$1, builder$1);
    const this$4 = this.platform$1;
    const model$2 = $m_Lamf_core_metamodel_document_FragmentModel$();
    const builder$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_core_model_document_Fragment(x0$3)) {
          const x2$2 = x0$3;
          return new $c_Lamf_model_document_Fragment().init___Lamf_core_model_document_Fragment(x2$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$4, model$2, builder$2);
    const this$5 = this.platform$1;
    const model$3 = $m_Lamf_core_metamodel_document_ExternalFragmentModel$();
    const builder$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_model_document_ExternalFragment(x0$4)) {
          const x2$3 = x0$4;
          return new $c_Lamf_model_document_ExternalFragment().init___Lamf_core_model_document_ExternalFragment(x2$3)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$5, model$3, builder$3);
    const this$6 = this.platform$1;
    const model$4 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$();
    const builder$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_core_model_domain_ExternalDomainElement(x0$5)) {
          const x2$4 = x0$5;
          return new $c_Lamf_model_domain_ExternalDomainElement().init___Lamf_core_model_domain_ExternalDomainElement(x2$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$6, model$4, builder$4);
    const this$9 = this.platform$1;
    const model$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$();
    const builder$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_core_model_domain_DomainElement(x0$6)) {
          const x2$5 = x0$6;
          const this$7 = $m_Lamf_model_domain_DomainElement$();
          const this$8 = this$7.platform$1;
          return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$8, x2$5)
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$9, model$5, builder$5);
    const this$10 = this.platform$1;
    const model$6 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
    const builder$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x0$7)) {
          const x2$6 = x0$7;
          return new $c_Lamf_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty(x2$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$10, model$6, builder$6);
    const this$11 = this.platform$1;
    const model$7 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$();
    const builder$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_core_model_domain_extensions_DomainExtension(x0$8)) {
          const x2$7 = x0$8;
          return new $c_Lamf_model_domain_DomainExtension().init___Lamf_core_model_domain_extensions_DomainExtension(x2$7)
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$11, model$7, builder$7);
    const this$12 = this.platform$1;
    const model$8 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$();
    const builder$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_core_model_domain_extensions_PropertyShape(x0$9)) {
          const x2$8 = x0$9;
          return new $c_Lamf_model_domain_PropertyShape().init___Lamf_core_model_domain_extensions_PropertyShape(x2$8)
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$12, model$8, builder$8);
    const this$13 = this.platform$1;
    const model$9 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const builder$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
      return (function(x0$10$2) {
        const x0$10 = x0$10$2;
        if ($is_Lamf_core_model_domain_ObjectNode(x0$10)) {
          const x2$9 = x0$10;
          return new $c_Lamf_model_domain_ObjectNode().init___Lamf_core_model_domain_ObjectNode(x2$9)
        } else if ($is_Lamf_core_model_domain_ScalarNode(x0$10)) {
          const x3 = x0$10;
          return new $c_Lamf_model_domain_ScalarNode().init___Lamf_core_model_domain_ScalarNode(x3)
        } else if ($is_Lamf_core_model_domain_ArrayNode(x0$10)) {
          const x4 = x0$10;
          return new $c_Lamf_model_domain_ArrayNode().init___Lamf_core_model_domain_ArrayNode(x4)
        } else if ($is_Lamf_core_model_domain_DataNode(x0$10)) {
          const x5 = x0$10;
          return $m_Lamf_model_domain_DataNode$().apply__Lamf_core_model_domain_DataNode__Lamf_model_domain_DataNode(x5)
        } else {
          throw new $c_s_MatchError().init___O(x0$10)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$13, model$9, builder$9);
    const this$14 = this.platform$1;
    const model$10 = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$();
    const builder$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ($is_Lamf_core_model_domain_templates_VariableValue(x0$11)) {
          const x2$10 = x0$11;
          return new $c_Lamf_model_domain_VariableValue().init___Lamf_core_model_domain_templates_VariableValue(x2$10)
        } else {
          throw new $c_s_MatchError().init___O(x0$11)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$14, model$10, builder$10);
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $m_Lamf_core_AMF$().init__s_concurrent_Future();
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  "registerPlugin"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(prep0)
  };
  "registerNamespace"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$registerNamespace__T__T__O(prep0, prep1)
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
  "resolver"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolver__T__O(prep0)
  };
  "generator"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$generator__T__T__O(prep0, prep1)
  };
  "parser"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$parser__T__T__O(prep0, prep1)
  };
  "init"() {
    return this.$$js$exported$meth$init__O()
  };
}
const $d_Lamf_Core$ = new $TypeData().initClass({
  Lamf_Core$: 0
}, false, "amf.Core$", {
  Lamf_Core$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Core$.prototype.$classData = $d_Lamf_Core$;
let $n_Lamf_Core$ = (void 0);
const $m_Lamf_Core$ = (function() {
  if ((!$n_Lamf_Core$)) {
    $n_Lamf_Core$ = new $c_Lamf_Core$().init___()
  };
  return $n_Lamf_Core$
});
class $c_Lamf_Main$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_Main$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$failPromise__O__O(e) {
    this.failPromise__O__V(e)
  };
  runParse__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const platform = this.platform$1;
    return new $c_Lamf_client_commands_ParseCommand().init___Lamf_core_remote_Platform(platform).run__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$runValidate__Lamf_core_client_ParserConfig__O(config) {
    return this.runValidate__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$runParse__Lamf_core_client_ParserConfig__O(config) {
    return this.runParse__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$main__sjs_js_Array__O(rawArgs) {
    return this.main__sjs_js_Array__sjs_js_Promise(rawArgs)
  };
  $$js$exported$meth$runTranslate__Lamf_core_client_ParserConfig__O(config) {
    return this.runTranslate__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  failPromise__O__V(e) {
    $m_jl_System$().err$1.println__T__V("Exception");
    const this$1 = $m_jl_System$().err$1;
    this$1.java$lang$JSConsoleBasedPrintStream$$printString__T__V((e + "\n"));
    const jsx$1 = $g.process;
    const value = $m_Lamf_core_client_ExitCodes$().WrongInvocation$1;
    jsx$1.exit(value)
  };
  runTranslate__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const platform = this.platform$1;
    return new $c_Lamf_client_commands_TranslateCommand().init___Lamf_core_remote_Platform(platform).run__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  runValidate__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const platform = this.platform$1;
    return new $c_Lamf_client_commands_ValidateCommand().init___Lamf_core_remote_Platform(platform).run__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$failCommand__O() {
    this.failCommand__V()
  };
  main__sjs_js_Array__sjs_js_Promise(rawArgs) {
    const len = (rawArgs.length | 0);
    const result = $newArrayObject($d_T.getArrayOf(), [len]);
    const len$1 = result.u.length;
    let i = 0;
    let j = 0;
    const x = (rawArgs.length | 0);
    const x$1 = ((x < len$1) ? x : len$1);
    const that = result.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      result.u[jsx$1] = rawArgs[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    const x1 = $m_Lamf_client_commands_CmdLineParser$().parse__AT__s_Option(result);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const cfg = x2.value$2;
      let rc15 = false;
      let x2$2 = null;
      const x1$2 = cfg.mode$1;
      if ($is_s_Some(x1$2)) {
        rc15 = true;
        x2$2 = x1$2;
        const p3 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().REPL$1 === p3)) {
          const this$12 = $m_s_Console$();
          const this$13 = this$12.outVar$2.v$1;
          this$13.java$lang$JSConsoleBasedPrintStream$$printString__T__V("REPL not supported in the JS client yet\n");
          this.failCommand__V();
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Error executing AMF"))
        }
      };
      if (rc15) {
        const p5 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().TRANSLATE$1 === p5)) {
          const f = this.runTranslate__Lamf_core_client_ParserConfig__s_concurrent_Future(cfg);
          f.failed__s_concurrent_Future().foreach__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(e$2) {
              const e = e$2;
              $this.failPromise__O__V(e)
            })
          })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
          return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      };
      if (rc15) {
        const p7 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().VALIDATE$1 === p7)) {
          const f$2 = this.runValidate__Lamf_core_client_ParserConfig__s_concurrent_Future(cfg);
          f$2.failed__s_concurrent_Future().foreach__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
            return (function(e$3$2) {
              const e$3 = e$3$2;
              this$2$1.failPromise__O__V(e$3)
            })
          })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
          return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      };
      if (rc15) {
        const p9 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().PARSE$1 === p9)) {
          const f$3 = this.runParse__Lamf_core_client_ParserConfig__s_concurrent_Future(cfg);
          f$3.failed__s_concurrent_Future().foreach__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
            return (function(e$4$2) {
              const e$4 = e$4$2;
              this$3$1.failPromise__O__V(e$4)
            })
          })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
          return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f$3, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      };
      this.failCommand__V();
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Error executing AMF"))
    } else {
      const jsx$2 = $g.process;
      const value = $m_Lamf_core_client_ExitCodes$().WrongInvocation$1;
      jsx$2.exit(value);
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Error executing AMF"))
    }
  };
  failCommand__V() {
    $m_jl_System$().err$1.println__T__V("Wrong command");
    const jsx$1 = $g.process;
    const value = $m_Lamf_core_client_ExitCodes$().WrongInvocation$1;
    jsx$1.exit(value)
  };
  "runParse"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$runParse__Lamf_core_client_ParserConfig__O(prep0)
  };
  "runValidate"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$runValidate__Lamf_core_client_ParserConfig__O(prep0)
  };
  "runTranslate"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$runTranslate__Lamf_core_client_ParserConfig__O(prep0)
  };
  "failPromise"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$failPromise__O__O(prep0)
  };
  "failCommand"() {
    return this.$$js$exported$meth$failCommand__O()
  };
  "main"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$main__sjs_js_Array__O(prep0)
  };
}
const $d_Lamf_Main$ = new $TypeData().initClass({
  Lamf_Main$: 0
}, false, "amf.Main$", {
  Lamf_Main$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Main$.prototype.$classData = $d_Lamf_Main$;
let $n_Lamf_Main$ = (void 0);
const $m_Lamf_Main$ = (function() {
  if ((!$n_Lamf_Main$)) {
    $n_Lamf_Main$ = new $c_Lamf_Main$().init___()
  };
  return $n_Lamf_Main$
});
class $c_Lamf_client_commands_CmdLineParser$$anon$1 extends $c_Lscopt_OptionParser {
  init___() {
    $c_Lscopt_OptionParser.prototype.init___T.call(this, "amf");
    const array = ["Application Modeling Framework", "1.0"];
    const jsx$1 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Head$(), "", $m_Lscopt_Read$().unitRead$1);
    const b = new $c_scm_StringBuilder().init___();
    let elem$1 = false;
    elem$1 = true;
    b.append__T__scm_StringBuilder("");
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      if (elem$1) {
        b.append__O__scm_StringBuilder(arg1);
        elem$1 = false
      } else {
        b.append__T__scm_StringBuilder(" ");
        b.append__O__scm_StringBuilder(arg1)
      };
      i = ((1 + i) | 0)
    };
    b.append__T__scm_StringBuilder("");
    const this$2 = b.underlying$5;
    jsx$1.text__T__Lscopt_OptionDef(this$2.content$1);
    const this$3 = this.arg__T__Lscopt_Read__Lscopt_OptionDef("<file_in> [<file_out>]", $m_Lscopt_Read$().stringRead$1);
    this$3.maxOccurs__I__Lscopt_OptionDef($m_Lscopt_OptionDef$().UNBOUNDED$1).text__T__Lscopt_OptionDef("Input file to parse and output where translation will be stored").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(f$2, c$2) {
        const f = f$2;
        const c = c$2;
        if (c.input$1.isEmpty__Z()) {
          const x$5 = new $c_s_Some().init___O(f);
          const x$6 = c.mode$1;
          const x$7 = c.inputFormat$1;
          const x$8 = c.inputMediaType$1;
          const x$9 = c.output$1;
          const x$10 = c.outputFormat$1;
          const x$11 = c.outputMediaType$1;
          const x$12 = c.withSourceMaps$1;
          const x$13 = c.validate$1;
          const x$14 = c.validationProfile$1;
          const x$15 = c.customProfile$1;
          const x$16 = c.dialects$1;
          const x$17 = c.stdout$1;
          const x$18 = c.stderr$1;
          const x$19 = c.proc$1;
          return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$6, x$5, x$7, x$8, x$9, x$10, x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$18, x$19)
        } else {
          const x$20 = new $c_s_Some().init___O(f);
          const x$21 = c.mode$1;
          const x$22 = c.input$1;
          const x$23 = c.inputFormat$1;
          const x$24 = c.inputMediaType$1;
          const x$25 = c.outputFormat$1;
          const x$26 = c.outputMediaType$1;
          const x$27 = c.withSourceMaps$1;
          const x$28 = c.validate$1;
          const x$29 = c.validationProfile$1;
          const x$30 = c.customProfile$1;
          const x$31 = c.dialects$1;
          const x$32 = c.stdout$1;
          const x$33 = c.stderr$1;
          const x$34 = c.proc$1;
          return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$21, x$22, x$23, x$24, x$20, x$25, x$26, x$27, x$28, x$29, x$30, x$31, x$32, x$33, x$34)
        }
      })
    })(this)));
    const evidence$8 = $m_Lscopt_Read$().seqRead__Lscopt_Read__Lscopt_Read($m_Lscopt_Read$().stringRead$1);
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "dialects", evidence$8).valueName__T__Lscopt_OptionDef("<dialect_file1>,<dialect_file2>...").abbr__T__Lscopt_OptionDef("ds").text__T__Lscopt_OptionDef("List of dialects files that will loaded before parsing").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(x$2, c$3$2) {
        const x = x$2;
        const c$3 = c$3$2;
        const x$36 = c$3.mode$1;
        const x$37 = c$3.input$1;
        const x$38 = c$3.inputFormat$1;
        const x$39 = c$3.inputMediaType$1;
        const x$40 = c$3.output$1;
        const x$41 = c$3.outputFormat$1;
        const x$42 = c$3.outputMediaType$1;
        const x$43 = c$3.withSourceMaps$1;
        const x$44 = c$3.validate$1;
        const x$45 = c$3.validationProfile$1;
        const x$46 = c$3.customProfile$1;
        const x$47 = c$3.stdout$1;
        const x$48 = c$3.stderr$1;
        const x$49 = c$3.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$36, x$37, x$38, x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46, x, x$47, x$48, x$49)
      })
    })(this)));
    const evidence$8$1 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "format-in", evidence$8$1).abbr__T__Lscopt_OptionDef("in").text__T__Lscopt_OptionDef("Input format for the file to parse").validate__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(f$3$2) {
        const f$3 = f$3$2;
        return ($m_Lamf_client_commands_CmdLineParser$().knownSpec__T__Z(f$3) ? ($m_Lscopt_OptionDef$(), $m_s_package$(), new $c_s_util_Right().init___O((void 0))) : ($m_s_package$(), new $c_s_util_Left().init___O("Invalid value, values supported: 'RAML 1.0', 'RAML 0.8', 'OpenAPI 2.0','AMF'")))
      })
    })(this))).action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$4$1) {
      return (function(f$4$2, c$4$2) {
        const f$4 = f$4$2;
        const c$4 = c$4$2;
        const x$50 = new $c_s_Some().init___O(f$4);
        const x$51 = c$4.mode$1;
        const x$52 = c$4.input$1;
        const x$53 = c$4.inputMediaType$1;
        const x$54 = c$4.output$1;
        const x$55 = c$4.outputFormat$1;
        const x$56 = c$4.outputMediaType$1;
        const x$57 = c$4.withSourceMaps$1;
        const x$58 = c$4.validate$1;
        const x$59 = c$4.validationProfile$1;
        const x$60 = c$4.customProfile$1;
        const x$61 = c$4.dialects$1;
        const x$62 = c$4.stdout$1;
        const x$63 = c$4.stderr$1;
        const x$64 = c$4.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$51, x$52, x$50, x$53, x$54, x$55, x$56, x$57, x$58, x$59, x$60, x$61, x$62, x$63, x$64)
      })
    })(this)));
    const evidence$8$2 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "media-type-in", evidence$8$2).abbr__T__Lscopt_OptionDef("mime-in").text__T__Lscopt_OptionDef("Input media type for the file to parse").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$5$1) {
      return (function(f$5$2, c$5$2) {
        const f$5 = f$5$2;
        const c$5 = c$5$2;
        const x$65 = new $c_s_Some().init___O(f$5);
        const x$66 = c$5.mode$1;
        const x$67 = c$5.input$1;
        const x$68 = c$5.inputFormat$1;
        const x$69 = c$5.output$1;
        const x$70 = c$5.outputFormat$1;
        const x$71 = c$5.outputMediaType$1;
        const x$72 = c$5.withSourceMaps$1;
        const x$73 = c$5.validate$1;
        const x$74 = c$5.validationProfile$1;
        const x$75 = c$5.customProfile$1;
        const x$76 = c$5.dialects$1;
        const x$77 = c$5.stdout$1;
        const x$78 = c$5.stderr$1;
        const x$79 = c$5.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$66, x$67, x$68, x$65, x$69, x$70, x$71, x$72, x$73, x$74, x$75, x$76, x$77, x$78, x$79)
      })
    })(this)));
    const evidence$8$3 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "validation-profile", evidence$8$3).abbr__T__Lscopt_OptionDef("p").text__T__Lscopt_OptionDef("Standard validation profile to use").validate__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(f$6$2) {
        const f$6 = f$6$2;
        return ($m_Lamf_client_commands_CmdLineParser$().knownSpec__T__Z(f$6) ? ($m_Lscopt_OptionDef$(), $m_s_package$(), new $c_s_util_Right().init___O((void 0))) : ($m_s_package$(), new $c_s_util_Left().init___O("Invalid value, values supported: 'RAML 1.0', 'RAML 0.8', 'OpenAPI 2.0', 'AMF'")))
      })
    })(this))).action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$7$1) {
      return (function(f$7$2, c$6$2) {
        const f$7 = f$7$2;
        const c$6 = c$6$2;
        const x$81 = c$6.mode$1;
        const x$82 = c$6.input$1;
        const x$83 = c$6.inputFormat$1;
        const x$84 = c$6.inputMediaType$1;
        const x$85 = c$6.output$1;
        const x$86 = c$6.outputFormat$1;
        const x$87 = c$6.outputMediaType$1;
        const x$88 = c$6.withSourceMaps$1;
        const x$89 = c$6.validate$1;
        const x$90 = c$6.customProfile$1;
        const x$91 = c$6.dialects$1;
        const x$92 = c$6.stdout$1;
        const x$93 = c$6.stderr$1;
        const x$94 = c$6.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$81, x$82, x$83, x$84, x$85, x$86, x$87, x$88, x$89, f$7, x$90, x$91, x$92, x$93, x$94)
      })
    })(this)));
    const evidence$8$4 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "custom-validation-profile", evidence$8$4).abbr__T__Lscopt_OptionDef("cp").text__T__Lscopt_OptionDef("Custom validation profile location").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$8$1) {
      return (function(f$8$2, c$7$2) {
        const f$8 = f$8$2;
        const c$7 = c$7$2;
        const x$95 = new $c_s_Some().init___O(f$8);
        const x$96 = c$7.mode$1;
        const x$97 = c$7.input$1;
        const x$98 = c$7.inputFormat$1;
        const x$99 = c$7.inputMediaType$1;
        const x$100 = c$7.output$1;
        const x$101 = c$7.outputFormat$1;
        const x$102 = c$7.outputMediaType$1;
        const x$103 = c$7.withSourceMaps$1;
        const x$104 = c$7.validate$1;
        const x$105 = c$7.validationProfile$1;
        const x$106 = c$7.dialects$1;
        const x$107 = c$7.stdout$1;
        const x$108 = c$7.stderr$1;
        const x$109 = c$7.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$96, x$97, x$98, x$99, x$100, x$101, x$102, x$103, x$104, x$105, x$95, x$106, x$107, x$108, x$109)
      })
    })(this)));
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "repl", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Run in interactive mode").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$9$1) {
      return (function(x$1$2, c$8$2) {
        const c$8 = c$8$2;
        const mode = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().REPL$1);
        const input = c$8.input$1;
        const inputFormat = c$8.inputFormat$1;
        const inputMediaType = c$8.inputMediaType$1;
        const output = c$8.output$1;
        const outputFormat = c$8.outputFormat$1;
        const outputMediaType = c$8.outputMediaType$1;
        const withSourceMaps = c$8.withSourceMaps$1;
        const validate = c$8.validate$1;
        const validationProfile = c$8.validationProfile$1;
        const customProfile = c$8.customProfile$1;
        const dialects = c$8.dialects$1;
        const stdout = c$8.stdout$1;
        const stderr = c$8.stderr$1;
        const proc = c$8.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode, input, inputFormat, inputMediaType, output, outputFormat, outputMediaType, withSourceMaps, validate, validationProfile, customProfile, dialects, stdout, stderr, proc)
      })
    })(this)));
    const this$13 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "parse", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Parse the input file and generates the JSON-LD AMF model").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$10) {
      return (function(x$2$2$2, c$9$2) {
        const c$9 = c$9$2;
        const mode$1 = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().PARSE$1);
        const input$1 = c$9.input$1;
        const inputFormat$1 = c$9.inputFormat$1;
        const inputMediaType$1 = c$9.inputMediaType$1;
        const output$1 = c$9.output$1;
        const outputFormat$1 = c$9.outputFormat$1;
        const outputMediaType$1 = c$9.outputMediaType$1;
        const withSourceMaps$1 = c$9.withSourceMaps$1;
        const validate$1 = c$9.validate$1;
        const validationProfile$1 = c$9.validationProfile$1;
        const customProfile$1 = c$9.customProfile$1;
        const dialects$1 = c$9.dialects$1;
        const stdout$1 = c$9.stdout$1;
        const stderr$1 = c$9.stderr$1;
        const proc$1 = c$9.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode$1, input$1, inputFormat$1, inputMediaType$1, output$1, outputFormat$1, outputMediaType$1, withSourceMaps$1, validate$1, validationProfile$1, customProfile$1, dialects$1, stdout$1, stderr$1, proc$1)
      })
    })(this)));
    const evidence$8$5 = $m_Lscopt_Read$().booleanRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "source-maps", evidence$8$5).abbr__T__Lscopt_OptionDef("sm").text__T__Lscopt_OptionDef("Generate source maps in AMF output").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$11) {
      return (function(f$9$2, c$10$2) {
        const f$9 = (!(!f$9$2));
        const c$10 = c$10$2;
        const x$111 = c$10.mode$1;
        const x$112 = c$10.input$1;
        const x$113 = c$10.inputFormat$1;
        const x$114 = c$10.inputMediaType$1;
        const x$115 = c$10.output$1;
        const x$116 = c$10.outputFormat$1;
        const x$117 = c$10.outputMediaType$1;
        const x$118 = c$10.validate$1;
        const x$119 = c$10.validationProfile$1;
        const x$120 = c$10.customProfile$1;
        const x$121 = c$10.dialects$1;
        const x$122 = c$10.stdout$1;
        const x$123 = c$10.stderr$1;
        const x$124 = c$10.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$111, x$112, x$113, x$114, x$115, x$116, x$117, f$9, x$118, x$119, x$120, x$121, x$122, x$123, x$124)
      })
    })(this)));
    const evidence$8$6 = $m_Lscopt_Read$().booleanRead$1;
    const array$1 = [this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "validate", evidence$8$6).abbr__T__Lscopt_OptionDef("v").text__T__Lscopt_OptionDef("Perform validation").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$12) {
      return (function(f$10$2, c$11$2) {
        const f$10 = (!(!f$10$2));
        const c$11 = c$11$2;
        const x$126 = c$11.mode$1;
        const x$127 = c$11.input$1;
        const x$128 = c$11.inputFormat$1;
        const x$129 = c$11.inputMediaType$1;
        const x$130 = c$11.output$1;
        const x$131 = c$11.outputFormat$1;
        const x$132 = c$11.outputMediaType$1;
        const x$133 = c$11.withSourceMaps$1;
        const x$134 = c$11.validationProfile$1;
        const x$135 = c$11.customProfile$1;
        const x$136 = c$11.dialects$1;
        const x$137 = c$11.stdout$1;
        const x$138 = c$11.stderr$1;
        const x$139 = c$11.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$126, x$127, x$128, x$129, x$130, x$131, x$132, x$133, f$10, x$134, x$135, x$136, x$137, x$138, x$139)
      })
    })(this)))];
    let i$1 = 0;
    const len$1 = (array$1.length | 0);
    while ((i$1 < len$1)) {
      const index$1 = i$1;
      const arg1$1 = array$1[index$1];
      const x$40$1 = arg1$1;
      x$40$1.parent__Lscopt_OptionDef__Lscopt_OptionDef(this$13);
      i$1 = ((1 + i$1) | 0)
    };
    const this$19 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "translate", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Translates the input file into a different format").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$13$1) {
      return (function(x$3$2, c$12$2) {
        const c$12 = c$12$2;
        const mode$2 = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().TRANSLATE$1);
        const input$2 = c$12.input$1;
        const inputFormat$2 = c$12.inputFormat$1;
        const inputMediaType$2 = c$12.inputMediaType$1;
        const output$2 = c$12.output$1;
        const outputFormat$2 = c$12.outputFormat$1;
        const outputMediaType$2 = c$12.outputMediaType$1;
        const withSourceMaps$2 = c$12.withSourceMaps$1;
        const validate$2 = c$12.validate$1;
        const validationProfile$2 = c$12.validationProfile$1;
        const customProfile$2 = c$12.customProfile$1;
        const dialects$2 = c$12.dialects$1;
        const stdout$2 = c$12.stdout$1;
        const stderr$2 = c$12.stderr$1;
        const proc$2 = c$12.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode$2, input$2, inputFormat$2, inputMediaType$2, output$2, outputFormat$2, outputMediaType$2, withSourceMaps$2, validate$2, validationProfile$2, customProfile$2, dialects$2, stdout$2, stderr$2, proc$2)
      })
    })(this)));
    const evidence$8$7 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "format-out", evidence$8$7).abbr__T__Lscopt_OptionDef("out").text__T__Lscopt_OptionDef("Output format for the file to generate").validate__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14) {
      return (function(f$11$2) {
        const f$11 = f$11$2;
        return ($m_Lamf_client_commands_CmdLineParser$().knownSpec__T__Z(f$11) ? ($m_Lscopt_OptionDef$(), $m_s_package$(), new $c_s_util_Right().init___O((void 0))) : ($m_s_package$(), new $c_s_util_Left().init___O("Invalid value, values supported: 'RAML 1.0', 'RAML 0.8', 'OpenAPI 2.0', 'AMF'")))
      })
    })(this))).action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$15$1) {
      return (function(f$12$2, c$13$2) {
        const f$12 = f$12$2;
        const c$13 = c$13$2;
        const x$140 = new $c_s_Some().init___O(f$12);
        const x$141 = c$13.mode$1;
        const x$142 = c$13.input$1;
        const x$143 = c$13.inputFormat$1;
        const x$144 = c$13.inputMediaType$1;
        const x$145 = c$13.output$1;
        const x$146 = c$13.outputMediaType$1;
        const x$147 = c$13.withSourceMaps$1;
        const x$148 = c$13.validate$1;
        const x$149 = c$13.validationProfile$1;
        const x$150 = c$13.customProfile$1;
        const x$151 = c$13.dialects$1;
        const x$152 = c$13.stdout$1;
        const x$153 = c$13.stderr$1;
        const x$154 = c$13.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$141, x$142, x$143, x$144, x$145, x$140, x$146, x$147, x$148, x$149, x$150, x$151, x$152, x$153, x$154)
      })
    })(this)));
    const evidence$8$8 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "media-type-out", evidence$8$8).abbr__T__Lscopt_OptionDef("mime-out").text__T__Lscopt_OptionDef("Output media type for the file to generate").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$16$1) {
      return (function(f$13$2, c$14$2) {
        const f$13 = f$13$2;
        const c$14 = c$14$2;
        const x$155 = new $c_s_Some().init___O(f$13);
        const x$156 = c$14.mode$1;
        const x$157 = c$14.input$1;
        const x$158 = c$14.inputFormat$1;
        const x$159 = c$14.inputMediaType$1;
        const x$160 = c$14.output$1;
        const x$161 = c$14.outputFormat$1;
        const x$162 = c$14.withSourceMaps$1;
        const x$163 = c$14.validate$1;
        const x$164 = c$14.validationProfile$1;
        const x$165 = c$14.customProfile$1;
        const x$166 = c$14.dialects$1;
        const x$167 = c$14.stdout$1;
        const x$168 = c$14.stderr$1;
        const x$169 = c$14.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$156, x$157, x$158, x$159, x$160, x$161, x$155, x$162, x$163, x$164, x$165, x$166, x$167, x$168, x$169)
      })
    })(this)));
    const evidence$8$9 = $m_Lscopt_Read$().booleanRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "source-maps", evidence$8$9).abbr__T__Lscopt_OptionDef("sm").text__T__Lscopt_OptionDef("Generate source maps in AMF output").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$17$1) {
      return (function(f$14$2, c$15$2) {
        const f$14 = (!(!f$14$2));
        const c$15 = c$15$2;
        const x$171 = c$15.mode$1;
        const x$172 = c$15.input$1;
        const x$173 = c$15.inputFormat$1;
        const x$174 = c$15.inputMediaType$1;
        const x$175 = c$15.output$1;
        const x$176 = c$15.outputFormat$1;
        const x$177 = c$15.outputMediaType$1;
        const x$178 = c$15.validate$1;
        const x$179 = c$15.validationProfile$1;
        const x$180 = c$15.customProfile$1;
        const x$181 = c$15.dialects$1;
        const x$182 = c$15.stdout$1;
        const x$183 = c$15.stderr$1;
        const x$184 = c$15.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$171, x$172, x$173, x$174, x$175, x$176, x$177, f$14, x$178, x$179, x$180, x$181, x$182, x$183, x$184)
      })
    })(this)));
    const evidence$8$10 = $m_Lscopt_Read$().booleanRead$1;
    const array$2 = [this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "validate", evidence$8$10).abbr__T__Lscopt_OptionDef("v").text__T__Lscopt_OptionDef("Perform validation").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$18) {
      return (function(f$15$2, c$16$2) {
        const f$15 = (!(!f$15$2));
        const c$16 = c$16$2;
        const x$186 = c$16.mode$1;
        const x$187 = c$16.input$1;
        const x$188 = c$16.inputFormat$1;
        const x$189 = c$16.inputMediaType$1;
        const x$190 = c$16.output$1;
        const x$191 = c$16.outputFormat$1;
        const x$192 = c$16.outputMediaType$1;
        const x$193 = c$16.withSourceMaps$1;
        const x$194 = c$16.validationProfile$1;
        const x$195 = c$16.customProfile$1;
        const x$196 = c$16.dialects$1;
        const x$197 = c$16.stdout$1;
        const x$198 = c$16.stderr$1;
        const x$199 = c$16.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$186, x$187, x$188, x$189, x$190, x$191, x$192, x$193, f$15, x$194, x$195, x$196, x$197, x$198, x$199)
      })
    })(this)))];
    let i$2 = 0;
    const len$2 = (array$2.length | 0);
    while ((i$2 < len$2)) {
      const index$2 = i$2;
      const arg1$2 = array$2[index$2];
      const x$40$2 = arg1$2;
      x$40$2.parent__Lscopt_OptionDef__Lscopt_OptionDef(this$19);
      i$2 = ((1 + i$2) | 0)
    };
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "validate", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Validates the spec and generates the validation report").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$19$1) {
      return (function(x$4$2, c$17$2) {
        const c$17 = c$17$2;
        const mode$3 = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().VALIDATE$1);
        const input$3 = c$17.input$1;
        const inputFormat$3 = c$17.inputFormat$1;
        const inputMediaType$3 = c$17.inputMediaType$1;
        const output$3 = c$17.output$1;
        const outputFormat$3 = c$17.outputFormat$1;
        const outputMediaType$3 = c$17.outputMediaType$1;
        const withSourceMaps$3 = c$17.withSourceMaps$1;
        const validate$3 = c$17.validate$1;
        const validationProfile$3 = c$17.validationProfile$1;
        const customProfile$3 = c$17.customProfile$1;
        const dialects$3 = c$17.dialects$1;
        const stdout$3 = c$17.stdout$1;
        const stderr$3 = c$17.stderr$1;
        const proc$3 = c$17.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode$3, input$3, inputFormat$3, inputMediaType$3, output$3, outputFormat$3, outputMediaType$3, withSourceMaps$3, validate$3, validationProfile$3, customProfile$3, dialects$3, stdout$3, stderr$3, proc$3)
      })
    })(this)));
    this.checkConfig__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$20) {
      return (function(c$18$2) {
        const c$18 = c$18$2;
        let error = "";
        if (c$18.input$1.isEmpty__Z()) {
          error = (error + "Missing <file_input>\n")
        };
        if (c$18.inputMediaType$1.isEmpty__Z()) {
          error = (error + "Missing <file_input>\n")
        };
        if (c$18.inputFormat$1.isEmpty__Z()) {
          error = (error + "Missing --format-in\n")
        };
        if (c$18.inputMediaType$1.isEmpty__Z()) {
          error = (error + "Missing --media-type-in\n")
        };
        let jsx$2;
        if (c$18.mode$1.isDefined__Z()) {
          const x$35 = c$18.mode$1.get__O();
          const x$2$1 = $m_Lamf_core_client_ParserConfig$().TRANSLATE$1;
          jsx$2 = ((x$35 === null) ? (x$2$1 === null) : $objectEquals(x$35, x$2$1))
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          if (c$18.outputFormat$1.isEmpty__Z()) {
            error = (error + "Missing --format-out\n")
          };
          if (c$18.outputMediaType$1.isEmpty__Z()) {
            error = (error + "Missing --media-type-out\n")
          }
        };
        if ((error === "")) {
          $m_Lscopt_OptionDef$();
          $m_s_package$();
          return new $c_s_util_Right().init___O((void 0))
        } else {
          const msg = error;
          $m_s_package$();
          return new $c_s_util_Left().init___O(msg)
        }
      })
    })(this)));
    return this
  };
}
const $d_Lamf_client_commands_CmdLineParser$$anon$1 = new $TypeData().initClass({
  Lamf_client_commands_CmdLineParser$$anon$1: 0
}, false, "amf.client.commands.CmdLineParser$$anon$1", {
  Lamf_client_commands_CmdLineParser$$anon$1: 1,
  Lscopt_OptionParser: 1,
  O: 1
});
$c_Lamf_client_commands_CmdLineParser$$anon$1.prototype.$classData = $d_Lamf_client_commands_CmdLineParser$$anon$1;
class $c_Lamf_client_commands_TranslateCommand extends $c_O {
  constructor() {
    super();
    this.platform$1 = null;
    this.validationCommand$1 = null;
    this.executionContext$1 = null
  };
  init___Lamf_core_remote_Platform(platform) {
    this.platform$1 = platform;
    this.executionContext$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext();
    this.validationCommand$1 = new $c_Lamf_client_commands_ValidateCommand().init___Lamf_core_remote_Platform(platform);
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  run__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const res = $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future(this).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, config$1) {
      return (function(_$2) {
        return $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future($this, config$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$1$1) {
          return (function(model$2) {
            const model = model$2;
            return $this$1.checkValidation__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future(config$1$1, model).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, config$1$2, model$1) {
              return (function(_$2$1) {
                return $f_Lamf_client_commands_CommandHelper__generateOutput__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future($this$2, config$1$2, model$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
                  return (function(generated$2) {
                    return (void 0)
                  })
                })($this$2)), $this$2.executionContext$1)
              })
            })($this$1, config$1$1, model)), $this$1.executionContext$1)
          })
        })($this, config$1)), $this.executionContext$1)
      })
    })(this, config)), this.executionContext$1);
    res.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, config$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_s_util_Failure(x0$1)) {
          const x2 = x0$1;
          const ex = x2.exception$2;
          if ((ex !== null)) {
            config$2.stderr$1.print__jl_Throwable__V(ex);
            const statusCode = $m_Lamf_core_client_ExitCodes$().Exception$1;
            $m_jl_System$();
            const this$4 = $m_jl_Runtime$();
            const this$5 = this$4.currentRuntime$1;
            this$5.halt__I__V(statusCode);
            return (void 0)
          }
        };
        if ($is_s_util_Success(x0$1)) {
          const x3 = x0$1;
          const other = x3.value$2;
          return other
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this, config)), this.executionContext$1);
    return res
  };
  checkValidation__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future(config, model) {
    const customProfileLoaded = (config.customProfile$1.isDefined__Z() ? $m_Lamf_core_services_RuntimeValidator$().loadValidationProfile__T__s_concurrent_Future(config.customProfile$1.get__O()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(profileName$2) {
        const profileName = profileName$2;
        return profileName
      })
    })(this)), this.executionContext$1) : $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2, config$1) {
      return (function() {
        return config$1.validationProfile$1
      })
    })(this, config)), this.executionContext$1));
    return customProfileLoaded.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, config$2, model$1) {
      return (function(profileName$3$2) {
        const profileName$3 = profileName$3$2;
        $m_Lamf_core_services_RuntimeValidator$().apply__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model$1, profileName$3, ($m_Lamf_core_services_RuntimeValidator$(), "AMF")).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$2$1) {
          return (function(report$2) {
            const report = report$2;
            if ((!report.conforms$1)) {
              config$2$1.stderr$1.print__T__V(report.toString__T());
              const statusCode = $m_Lamf_core_client_ExitCodes$().FailingValidation$1;
              $m_jl_System$();
              const this$5 = $m_jl_Runtime$();
              const this$6 = this$5.currentRuntime$1;
              this$6.halt__I__V(statusCode)
            }
          })
        })(this$3, config$2)), this$3.executionContext$1)
      })
    })(this, config, model)), this.executionContext$1)
  };
  executionContext__s_concurrent_ExecutionContext() {
    return this.executionContext$1
  };
}
const $d_Lamf_client_commands_TranslateCommand = new $TypeData().initClass({
  Lamf_client_commands_TranslateCommand: 0
}, false, "amf.client.commands.TranslateCommand", {
  Lamf_client_commands_TranslateCommand: 1,
  O: 1,
  Lamf_client_commands_CommandHelper: 1
});
$c_Lamf_client_commands_TranslateCommand.prototype.$classData = $d_Lamf_client_commands_TranslateCommand;
class $c_Lamf_client_commands_ValidateCommand extends $c_O {
  constructor() {
    super();
    this.platform$1 = null;
    this.executionContext$1 = null
  };
  report__Lamf_core_model_document_BaseUnit__Lamf_core_client_ParserConfig__s_concurrent_Future(model, config) {
    const customProfileLoaded = (config.customProfile$1.isDefined__Z() ? $m_Lamf_core_services_RuntimeValidator$().loadValidationProfile__T__s_concurrent_Future(config.customProfile$1.get__O()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(profileName$2) {
        const profileName = profileName$2;
        return profileName
      })
    })(this)), this.executionContext$1) : $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2, config$1) {
      return (function() {
        return config$1.validationProfile$1
      })
    })(this, config)), this.executionContext$1));
    return customProfileLoaded.flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, model$1) {
      return (function(profileName$3$2) {
        const profileName$3 = profileName$3$2;
        return $m_Lamf_core_services_RuntimeValidator$().apply__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model$1, profileName$3, ($m_Lamf_core_services_RuntimeValidator$(), "AMF"))
      })
    })(this, model)), this.executionContext$1)
  };
  processOutput__Lamf_core_validation_AMFValidationReport__Lamf_core_client_ParserConfig__V(report, config) {
    const json = $m_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$().emitJSON__Lamf_core_validation_AMFValidationReport__T(report);
    const x1 = config.output$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f = x2.value$2;
      const this$1 = this.platform$1;
      $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future(this$1, f, json)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        config.stdout$1.print__T__V(json)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    if ((!report.conforms$1)) {
      const statusCode = $m_Lamf_core_client_ExitCodes$().FailingValidation$1;
      $m_jl_System$();
      const this$4 = $m_jl_Runtime$();
      const this$5 = this$4.currentRuntime$1;
      this$5.halt__I__V(statusCode)
    }
  };
  init___Lamf_core_remote_Platform(platform) {
    this.platform$1 = platform;
    this.executionContext$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext();
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  run__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const res = $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future(this).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, config$1) {
      return (function(_$2) {
        return $f_Lamf_client_commands_CommandHelper__processDialects__Lamf_core_client_ParserConfig__s_concurrent_Future($this, config$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$1$1) {
          return (function(_$2$2) {
            return $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future($this$1, config$1$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, config$1$2) {
              return (function(model$2) {
                const model = model$2;
                return $this$2.report__Lamf_core_model_document_BaseUnit__Lamf_core_client_ParserConfig__s_concurrent_Future(model, config$1$2).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, config$1$3) {
                  return (function(report$2) {
                    const report = report$2;
                    $this$3.processOutput__Lamf_core_validation_AMFValidationReport__Lamf_core_client_ParserConfig__V(report, config$1$3)
                  })
                })($this$2, config$1$2)), $this$2.executionContext$1)
              })
            })($this$1, config$1$1)), $this$1.executionContext$1)
          })
        })($this, config$1)), $this.executionContext$1)
      })
    })(this, config)), this.executionContext$1);
    res.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, config$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_s_util_Failure(x0$1)) {
          const x2 = x0$1;
          const ex = x2.exception$2;
          config$2.stderr$1.print__jl_Throwable__V(ex);
          const statusCode = $m_Lamf_core_client_ExitCodes$().Exception$1;
          $m_jl_System$();
          const this$4 = $m_jl_Runtime$();
          const this$5 = this$4.currentRuntime$1;
          this$5.halt__I__V(statusCode)
        } else if ($is_s_util_Success(x0$1)) {
          const x3 = x0$1;
          x3.value$2
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, config)), this.executionContext$1);
    return res
  };
  executionContext__s_concurrent_ExecutionContext() {
    return this.executionContext$1
  };
}
const $d_Lamf_client_commands_ValidateCommand = new $TypeData().initClass({
  Lamf_client_commands_ValidateCommand: 0
}, false, "amf.client.commands.ValidateCommand", {
  Lamf_client_commands_ValidateCommand: 1,
  O: 1,
  Lamf_client_commands_CommandHelper: 1
});
$c_Lamf_client_commands_ValidateCommand.prototype.$classData = $d_Lamf_client_commands_ValidateCommand;
class $c_Lamf_core_AMFCompiler$$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  build__T__Lamf_core_remote_Context__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(url$3, base$3, mediaType$3, vendor$3, referenceKind$3, cache$3, ctx$3) {
    return (0, this.f$1)(url$3, base$3, mediaType$3, vendor$3, referenceKind$3, cache$3, ctx$3)
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
}
const $d_Lamf_core_AMFCompiler$$$Lambda$1 = new $TypeData().initClass({
  Lamf_core_AMFCompiler$$$Lambda$1: 0
}, false, "amf.core.AMFCompiler$$$Lambda$1", {
  Lamf_core_AMFCompiler$$$Lambda$1: 1,
  O: 1,
  Lamf_core_services_RuntimeCompiler: 1
});
$c_Lamf_core_AMFCompiler$$$Lambda$1.prototype.$classData = $d_Lamf_core_AMFCompiler$$$Lambda$1;
class $c_Lamf_core_AMFSerializer$$anon$1 extends $c_O {
  init___() {
    return this
  };
  dump__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__T(unit, mediaType, vendor, options) {
    return new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions(unit, mediaType, vendor, options).dump__T()
  };
  dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__s_concurrent_Future(platform, file, unit, mediaType, vendor, options) {
    const this$1 = new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions(unit, mediaType, vendor, options);
    const content = this$1.dump__T();
    return $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future(platform, file, content)
  };
}
const $d_Lamf_core_AMFSerializer$$anon$1 = new $TypeData().initClass({
  Lamf_core_AMFSerializer$$anon$1: 0
}, false, "amf.core.AMFSerializer$$anon$1", {
  Lamf_core_AMFSerializer$$anon$1: 1,
  O: 1,
  Lamf_core_services_RuntimeSerializer: 1
});
$c_Lamf_core_AMFSerializer$$anon$1.prototype.$classData = $d_Lamf_core_AMFSerializer$$anon$1;
class $c_Lamf_core_client_PlatformGenerator extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  generate__Lamf_core_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__Lamf_core_client_Handler__V(unit, url, options, handler) {
    this.generate__Lamf_core_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__s_concurrent_Future(unit, url, options).onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, handler$1) {
      return (function(t$2) {
        const t = t$2;
        $this.unitSyncAdapter__p1__Lamf_core_client_Handler__s_util_Try__V(handler$1, t)
      })
    })(this, handler)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  generate__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__T(unit, options) {
    const this$1 = new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions(unit, this.mediaType$2, this.vendor$2, options);
    return this$1.dump__T()
  };
  generate__Lamf_core_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__s_concurrent_Future(unit, url, options) {
    const this$1 = new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions(unit, this.mediaType$2, this.vendor$2, options);
    const remote = this.platform$1;
    const content = this$1.dump__T();
    return $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future(remote, url, content)
  };
  stringSyncAdapter__p1__Lamf_core_client_Handler__s_util_Try__V(handler, t) {
    if ($is_s_util_Success(t)) {
      const x2 = t;
      const value = x2.value$2;
      handler.success__O__V(value)
    } else if ($is_s_util_Failure(t)) {
      const x3 = t;
      const exception = x3.exception$2;
      handler.error__jl_Throwable__V(exception)
    } else {
      throw new $c_s_MatchError().init___O(t)
    }
  };
  generate__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lamf_core_client_Handler__V(unit, options, handler) {
    let jsx$1;
    try {
      jsx$1 = new $c_s_util_Success().init___O(this.generate__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__T(unit, options))
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        matchEnd8: {
          const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            const e$3 = o11.get__O();
            jsx$1 = new $c_s_util_Failure().init___jl_Throwable(e$3);
            break matchEnd8
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    };
    this.stringSyncAdapter__p1__Lamf_core_client_Handler__s_util_Try__V(handler, jsx$1)
  };
  unitSyncAdapter__p1__Lamf_core_client_Handler__s_util_Try__V(handler, t) {
    if ($is_s_util_Success(t)) {
      const x2 = t;
      const unit = x2.value$2;
      handler.success__O__V(unit)
    } else if ($is_s_util_Failure(t)) {
      const x3 = t;
      const exception = x3.exception$2;
      handler.error__jl_Throwable__V(exception)
    } else {
      throw new $c_s_MatchError().init___O(t)
    }
  };
}
class $c_Lamf_core_client_PlatformParser extends $c_O {
  constructor() {
    super();
    this.parsedModel$1 = null;
    this.platform$1 = null
  };
  init___() {
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    this.parsedModel$1 = $m_s_None$();
    return this
  };
  parseAsync__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future(url, overridePlatForm, parsingOptions) {
    $m_Lamf_core_services_RuntimeValidator$().reset__V();
    return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(url, $m_s_Option$().apply__O__s_Option(this.mediaType$2), this.vendor$2, $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context((overridePlatForm.isEmpty__Z() ? this.platform$1 : overridePlatForm.get__O())), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_core_parser_UnspecifiedReference$()), ($m_Lamf_core_services_RuntimeCompiler$(), new $c_Lamf_core_remote_Cache().init___()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_s_None$())).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(model$2) {
        const model = model$2;
        this$2$1.parsedModel$1 = new $c_s_Some().init___O(model);
        return model
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  reportCustomValidationImplementation__T__T__s_concurrent_Future(profileName, customProfilePath) {
    const x1 = this.parsedModel$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const model = x2.value$2;
      return $m_Lamf_core_services_RuntimeValidator$().loadValidationProfile__T__s_concurrent_Future(customProfilePath).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, profileName$1, model$1) {
        return (function(_$2) {
          return $m_Lamf_core_services_RuntimeValidator$().apply__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model$1, profileName$1, ($m_Lamf_core_services_RuntimeValidator$(), "AMF")).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
            return (function(report$2) {
              const report = report$2;
              return report
            })
          })($this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        })
      })(this, profileName, model)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot validate without parsed model"))
    }
  };
  reportValidationImplementation__T__T__s_concurrent_Future(profileName, messageStyle) {
    const this$1 = this.parsedModel$1;
    let maybeValidationReport;
    if (this$1.isEmpty__Z()) {
      maybeValidationReport = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const model = arg1;
      maybeValidationReport = new $c_s_Some().init___O($m_Lamf_core_services_RuntimeValidator$().apply__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model, profileName, messageStyle))
    };
    if ($is_s_Some(maybeValidationReport)) {
      const x2 = maybeValidationReport;
      const validation = x2.value$2;
      return validation
    } else {
      const x = $m_s_None$();
      if ((x === maybeValidationReport)) {
        const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
        const cause = new $c_jl_Exception().init___T("No parsed model or current validation found, cannot validate");
        $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise, cause);
        return promise
      } else {
        throw new $c_s_MatchError().init___O(maybeValidationReport)
      }
    }
  };
  callback__p1__Lamf_core_client_Handler__T__s_util_Try__V(handler, url, t) {
    if ($is_s_util_Success(t)) {
      const x2 = t;
      const value = x2.value$2;
      handler.success__O__V(value)
    } else if ($is_s_util_Failure(t)) {
      const x3 = t;
      const exception = x3.exception$2;
      handler.error__jl_Throwable__V(exception)
    } else {
      throw new $c_s_MatchError().init___O(t)
    }
  };
  parse__T__Lamf_core_client_Handler__s_Option__V(url, handler, overridePlatForm) {
    this.parseAsync__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future(url, overridePlatForm, new $c_Lamf_core_client_ParsingOptions().init___()).onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1, handler$1) {
      return (function(t$2) {
        const t = t$2;
        $this.callback__p1__Lamf_core_client_Handler__T__s_util_Try__V(handler$1, url$1, t)
      })
    })(this, url, handler)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
}
class $c_Lamf_core_client_RuntimeProc$ extends $c_Lamf_core_client_Proc {
  init___() {
    return this
  };
}
const $d_Lamf_core_client_RuntimeProc$ = new $TypeData().initClass({
  Lamf_core_client_RuntimeProc$: 0
}, false, "amf.core.client.RuntimeProc$", {
  Lamf_core_client_RuntimeProc$: 1,
  Lamf_core_client_Proc: 1,
  O: 1
});
$c_Lamf_core_client_RuntimeProc$.prototype.$classData = $d_Lamf_core_client_RuntimeProc$;
let $n_Lamf_core_client_RuntimeProc$ = (void 0);
const $m_Lamf_core_client_RuntimeProc$ = (function() {
  if ((!$n_Lamf_core_client_RuntimeProc$)) {
    $n_Lamf_core_client_RuntimeProc$ = new $c_Lamf_core_client_RuntimeProc$().init___()
  };
  return $n_Lamf_core_client_RuntimeProc$
});
class $c_Lamf_core_client_StdErrWriter$ extends $c_Lamf_core_client_ProcWriter {
  init___() {
    return this
  };
  print__T__V(s) {
    $m_jl_System$().err$1.println__T__V(s)
  };
  print__jl_Throwable__V(e) {
    const this$1 = $m_jl_System$().err$1;
    this$1.java$lang$JSConsoleBasedPrintStream$$printString__T__V((e + "\n"))
  };
}
const $d_Lamf_core_client_StdErrWriter$ = new $TypeData().initClass({
  Lamf_core_client_StdErrWriter$: 0
}, false, "amf.core.client.StdErrWriter$", {
  Lamf_core_client_StdErrWriter$: 1,
  Lamf_core_client_ProcWriter: 1,
  O: 1
});
$c_Lamf_core_client_StdErrWriter$.prototype.$classData = $d_Lamf_core_client_StdErrWriter$;
let $n_Lamf_core_client_StdErrWriter$ = (void 0);
const $m_Lamf_core_client_StdErrWriter$ = (function() {
  if ((!$n_Lamf_core_client_StdErrWriter$)) {
    $n_Lamf_core_client_StdErrWriter$ = new $c_Lamf_core_client_StdErrWriter$().init___()
  };
  return $n_Lamf_core_client_StdErrWriter$
});
const $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__$$init$__V = (function($thiz) {
  const x1 = $thiz.f__Lamf_core_parser_FieldEntry().field$1.type$1;
  const x = $m_Lamf_core_metamodel_Type$Int$();
  let jsx$1;
  if (x.equals__O__Z(x1)) {
    jsx$1 = $m_Lorg_yaml_model_YType$().Int$1
  } else {
    const x$3 = $m_Lamf_core_metamodel_Type$Bool$();
    if (x$3.equals__O__Z(x1)) {
      jsx$1 = $m_Lorg_yaml_model_YType$().Bool$1
    } else {
      jsx$1 = $m_Lorg_yaml_model_YType$().Str$1
    }
  };
  $thiz.amf$core$emitter$BaseEmitters$BaseValueEmitter$$undsetter$und$tag$und$eq__Lorg_yaml_model_YType__V(jsx$1)
});
const $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__position__Lamf_core_parser_Position = (function($thiz) {
  return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position($thiz.f__Lamf_core_parser_FieldEntry().value$1.annotations$1)
});
class $c_Lamf_core_lexer_CharStream extends $c_O {
}
class $c_Lamf_core_metamodel_Type$Any$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_Type$Any$ = this;
    this.dynamicType$1 = false;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "anyType")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_Type$Any$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Any$: 0
}, false, "amf.core.metamodel.Type$Any$", {
  Lamf_core_metamodel_Type$Any$: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_Type$Any$.prototype.$classData = $d_Lamf_core_metamodel_Type$Any$;
let $n_Lamf_core_metamodel_Type$Any$ = (void 0);
const $m_Lamf_core_metamodel_Type$Any$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Any$)) {
    $n_Lamf_core_metamodel_Type$Any$ = new $c_Lamf_core_metamodel_Type$Any$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Any$
});
class $c_Lamf_core_metamodel_Type$ArrayLike extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.type$1 = null;
    this.dynamicType$1 = false
  };
  init___Lamf_core_metamodel_Type(element) {
    this.element$1 = element;
    this.dynamicType$1 = false;
    this.type$1 = element.type__sci_List();
    return this
  };
  type__sci_List() {
    return this.type$1
  };
}
const $is_Lamf_core_metamodel_Type$ArrayLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$ArrayLike)))
});
const $isArrayOf_Lamf_core_metamodel_Type$ArrayLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$ArrayLike)))
});
const $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "link-target"), true));
  const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "link-label"), true))
});
const $is_Lamf_core_metamodel_domain_templates_KeyField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_templates_KeyField)))
});
const $isArrayOf_Lamf_core_metamodel_domain_templates_KeyField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_templates_KeyField)))
});
const $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Bool$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
  $thiz.amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "optional"), true))
});
const $is_Lamf_core_metamodel_domain_templates_OptionalField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_templates_OptionalField)))
});
const $isArrayOf_Lamf_core_metamodel_domain_templates_OptionalField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_templates_OptionalField)))
});
const $is_Lamf_core_model_document_DeclaresModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_DeclaresModel)))
});
const $isArrayOf_Lamf_core_model_document_DeclaresModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_DeclaresModel)))
});
const $is_Lamf_core_model_document_EncodesModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_EncodesModel)))
});
const $isArrayOf_Lamf_core_model_document_EncodesModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_EncodesModel)))
});
const $f_Lamf_core_model_domain_DomainElement__position__s_Option = (function($thiz) {
  const x1 = $thiz.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const info = x2.value$2;
    return new $c_s_Some().init___O(info.range$1)
  } else {
    return $m_s_None$()
  }
});
const $f_Lamf_core_model_domain_DomainElement__getTypeIds__sci_List = (function($thiz) {
  const jsx$4 = $thiz.dynamicTypes__sc_Seq().toList__sci_List();
  const this$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
  const f = (function($this) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return x$1.iri__T()
    })
  })($thiz);
  const this$1 = $m_sci_List$();
  const bf = this$1.ReusableCBFInstance$2;
  let jsx$3;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$2 === $m_sci_Nil$())) {
      jsx$3 = $m_sci_Nil$()
    } else {
      const arg1 = this$2.head__O();
      const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      let t = h;
      let rest = this$2.tail__O();
      while ((rest !== $m_sci_Nil$())) {
        const arg1$1 = rest.head__O();
        const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        rest = rest.tail__O()
      };
      jsx$3 = h
    }
  } else {
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      these = these.tail__O()
    };
    jsx$3 = b.result__O()
  };
  const this$3 = $m_sci_List$();
  const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
  const this$5 = $thiz.meta__Lamf_core_metamodel_Obj().type__sci_List();
  const f$1 = (function(this$2$1) {
    return (function(x$2$2) {
      const x$2 = x$2$2;
      return x$2.iri__T()
    })
  })($thiz);
  const this$4 = $m_sci_List$();
  const bf$1 = this$4.ReusableCBFInstance$2;
  let jsx$1;
  if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$5 === $m_sci_Nil$())) {
      jsx$1 = $m_sci_Nil$()
    } else {
      const arg1$3 = this$5.head__O();
      const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
      let t$1 = h$1;
      let rest$1 = this$5.tail__O();
      while ((rest$1 !== $m_sci_Nil$())) {
        const arg1$4 = rest$1.head__O();
        const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
        t$1.tl$5 = nx$1;
        t$1 = nx$1;
        rest$1 = rest$1.tail__O()
      };
      jsx$1 = h$1
    }
  } else {
    const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
    let these$1 = this$5;
    while ((!these$1.isEmpty__Z())) {
      const arg1$5 = these$1.head__O();
      b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
      these$1 = these$1.tail__O()
    };
    jsx$1 = b$1.result__O()
  };
  const this$6 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2).distinct__O()
});
const $f_Lamf_core_model_domain_DomainElement__getPropertyIds__sci_List = (function($thiz) {
  const this$1 = $thiz.fields__Lamf_core_parser_Fields();
  const this$4 = this$1.fs$1;
  const this$2 = $m_Lamf_core_parser_FieldEntry$();
  const f = $f_F2__tupled__F1(this$2);
  const this$3 = $m_sci_Iterable$();
  const bf = this$3.ReusableCBFInstance$2;
  const jsx$2 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf);
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(f$2) {
      const f$1 = f$2;
      return f$1.field$1.value$1.iri__T()
    })
  })($thiz));
  const this$5 = $m_sc_Iterable$();
  return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toList__sci_List()
});
const $f_Lamf_core_model_domain_DomainElement__getObjectByPropertyId__T__sc_Seq = (function($thiz, propertyId) {
  const this$1 = $thiz.fields__Lamf_core_parser_Fields();
  const this$4 = this$1.fs$1;
  const this$2 = $m_Lamf_core_parser_FieldEntry$();
  const f = $f_F2__tupled__F1(this$2);
  const this$3 = $m_sci_Iterable$();
  const bf = this$3.ReusableCBFInstance$2;
  const x1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, propertyId$1) {
    return (function(f$2) {
      const f$1 = f$2;
      return (f$1.field$1.value$1.iri__T() === $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(propertyId$1).iri__T())
    })
  })($thiz, propertyId)));
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const fieldEntry = x2.value$2;
    const x1$2 = fieldEntry.value$1.value$1;
    if ($is_Lamf_core_model_domain_DomainElement(x1$2)) {
      const x2$2 = x1$2;
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$2]);
      const this$6 = $m_sci_List$();
      const cbf = this$6.ReusableCBFInstance$2;
      return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
    };
    if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
      const x3 = x1$2;
      if ((x3.values$1.nonEmpty__Z() && $is_Lamf_core_model_domain_DomainElement(x3.values$1.head__O()))) {
        const jsx$2 = x3.values$1;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return x$3
          })
        })($thiz));
        const this$7 = $m_sc_Seq$();
        return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2).toList__sci_List()
      }
    };
    return $m_sci_Nil$()
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return $m_sci_Nil$()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_Lamf_core_model_domain_DomainElement__getScalarByPropertyId__T__sci_List = (function($thiz, propertyId) {
  const this$1 = $thiz.fields__Lamf_core_parser_Fields();
  const this$4 = this$1.fs$1;
  const this$2 = $m_Lamf_core_parser_FieldEntry$();
  const f = $f_F2__tupled__F1(this$2);
  const this$3 = $m_sci_Iterable$();
  const bf = this$3.ReusableCBFInstance$2;
  const x1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, propertyId$1) {
    return (function(f$2) {
      const f$1 = f$2;
      return (f$1.field$1.value$1.iri__T() === $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(propertyId$1).iri__T())
    })
  })($thiz, propertyId)));
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const fieldEntry = x2.value$2;
    const x1$2 = fieldEntry.value$1.value$1;
    if ($is_Lamf_core_model_domain_AmfScalar(x1$2)) {
      const x2$2 = x1$2;
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$2.value$1]);
      const this$6 = $m_sci_List$();
      const cbf = this$6.ReusableCBFInstance$2;
      return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
    };
    if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
      const x3 = x1$2;
      if (x3.values$1.nonEmpty__Z()) {
        return x3.values$1.toList__sci_List()
      }
    };
    return $m_sci_Nil$()
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return $m_sci_Nil$()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $is_Lamf_core_model_domain_DomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_DomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_DomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_DomainElement)))
});
const $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option = (function($thiz) {
  return $m_s_Option$().apply__O__s_Option($thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1))
});
const $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement = (function($thiz, target) {
  $thiz.linkTarget$und$eq__s_Option__V(new $c_s_Some().init___O(target));
  const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().TargetId$1;
  const value = target.id__T();
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject($thiz, field, value)
});
const $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement = (function($thiz, refName, refAst, ctx) {
  $thiz.isUnresolved$und$eq__Z__V(true);
  $thiz.refName$und$eq__T__V(refName);
  $thiz.refAst$und$eq__s_Option__V(new $c_s_Some().init___O(refAst));
  $thiz.refCtx$und$eq__s_Option__V(new $c_s_Some().init___O(ctx));
  return $thiz
});
const $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O = (function($thiz, label, annotations) {
  const this$1 = $thiz.linkCopy__Lamf_core_model_domain_Linkable();
  const target = $thiz;
  const this$2 = $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this$1, target);
  const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
  const this$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, label);
  return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, annotations)
});
const $f_Lamf_core_model_domain_Linkable__$$init$__V = (function($thiz) {
  $thiz.linkTarget$und$eq__s_Option__V($m_s_None$());
  $thiz.linkAnnotations$und$eq__s_Option__V($m_s_None$());
  $thiz.isUnresolved$und$eq__Z__V(false);
  $thiz.refName$und$eq__T__V("");
  $thiz.refAst$und$eq__s_Option__V($m_s_None$());
  $thiz.refCtx$und$eq__s_Option__V($m_s_None$())
});
const $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V = (function($thiz, resolve) {
  const x1 = $thiz.refCtx__s_Option();
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const ctx = x2.value$2;
    const this$1 = ctx.futureDeclarations$2;
    const id = $thiz.id__T();
    const name = $thiz.refName__T();
    const promise = new $c_Lamf_core_parser_DeclarationPromise().init___F1__F0__Z(resolve, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, ctx$1) {
      return (function() {
        ctx$1.violation__T__T__Lorg_yaml_model_YPart__V($this.id__T(), new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unresolved reference ", " from root context ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$this.refName__T(), ctx$1.rootContextDocument$2])), $this.refAst__s_Option().get__O())
      })
    })($thiz, ctx)), false);
    $f_Lamf_core_parser_FutureDeclarations__futureRef__T__T__Lamf_core_parser_DeclarationPromise__V(this$1, id, name, promise)
  } else {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot create unresolved reference with missing parsing context"))
  }
});
const $is_Lamf_core_model_domain_Linkable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_Linkable)))
});
const $isArrayOf_Lamf_core_model_domain_Linkable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_Linkable)))
});
const $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$7$2) {
      const x$7 = x$7$2;
      return x$7.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler()).text$3
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$2$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$2$1, e)
    })
  })($thiz, eta$0$2));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray = (function($thiz, fn) {
  const x1 = $thiz.nodes__T2();
  if ((x1 !== null)) {
    const all = x1.$$und1__O();
    const value = x1.$$und2__O();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, fn$1) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return fn$1.apply__O__O(x$11)
      })
    })($thiz, fn));
    const this$1 = $m_sc_Seq$();
    const elements = all.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(elements, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(value))
  } else {
    throw new $c_s_MatchError().init___O(x1)
  }
});
const $f_Lamf_core_parser_BaseArrayNode__$boolean__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$9$2) {
      const x$9 = x$9$2;
      return (!(!x$9.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler())))
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$4$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$4$1, e)
    })
  })($thiz, eta$0$4));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__integer__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$8$2) {
      const x$8 = x$8$2;
      return (x$8.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$IntYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler()) | 0)
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$3$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$3$1, e)
    })
  })($thiz, eta$0$3));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__negated__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$10$2) {
      const x$10 = x$10$2;
      return (!(!(!x$10.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler()))))
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$5$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$5$1, e)
    })
  })($thiz, eta$0$5));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__string__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$6$2) {
      const x$6 = x$6$2;
      return x$6.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler())
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$1$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$1$1, e)
    })
  })($thiz, eta$0$1));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar = (function($thiz, fn, e) {
  return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(fn.apply__O__O(e), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e.value__Lorg_yaml_model_YValue()))
});
class $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1 extends $c_O {
  constructor() {
    super();
    this.promises$1 = null
  };
  init___() {
    $f_Lamf_core_parser_FutureDeclarations__$$init$__V(this);
    return this
  };
}
const $d_Lamf_core_parser_EmptyFutureDeclarations$$anon$1 = new $TypeData().initClass({
  Lamf_core_parser_EmptyFutureDeclarations$$anon$1: 0
}, false, "amf.core.parser.EmptyFutureDeclarations$$anon$1", {
  Lamf_core_parser_EmptyFutureDeclarations$$anon$1: 1,
  O: 1,
  Lamf_core_parser_FutureDeclarations: 1
});
$c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1.prototype.$classData = $d_Lamf_core_parser_EmptyFutureDeclarations$$anon$1;
class $c_Lamf_core_parser_ExtensionReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_ExtensionReference$ = new $TypeData().initClass({
  Lamf_core_parser_ExtensionReference$: 0
}, false, "amf.core.parser.ExtensionReference$", {
  Lamf_core_parser_ExtensionReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_ExtensionReference$.prototype.$classData = $d_Lamf_core_parser_ExtensionReference$;
let $n_Lamf_core_parser_ExtensionReference$ = (void 0);
const $m_Lamf_core_parser_ExtensionReference$ = (function() {
  if ((!$n_Lamf_core_parser_ExtensionReference$)) {
    $n_Lamf_core_parser_ExtensionReference$ = new $c_Lamf_core_parser_ExtensionReference$().init___()
  };
  return $n_Lamf_core_parser_ExtensionReference$
});
class $c_Lamf_core_parser_LibraryReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_LibraryReference$ = new $TypeData().initClass({
  Lamf_core_parser_LibraryReference$: 0
}, false, "amf.core.parser.LibraryReference$", {
  Lamf_core_parser_LibraryReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_LibraryReference$.prototype.$classData = $d_Lamf_core_parser_LibraryReference$;
let $n_Lamf_core_parser_LibraryReference$ = (void 0);
const $m_Lamf_core_parser_LibraryReference$ = (function() {
  if ((!$n_Lamf_core_parser_LibraryReference$)) {
    $n_Lamf_core_parser_LibraryReference$ = new $c_Lamf_core_parser_LibraryReference$().init___()
  };
  return $n_Lamf_core_parser_LibraryReference$
});
class $c_Lamf_core_parser_LinkReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_LinkReference$ = new $TypeData().initClass({
  Lamf_core_parser_LinkReference$: 0
}, false, "amf.core.parser.LinkReference$", {
  Lamf_core_parser_LinkReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_LinkReference$.prototype.$classData = $d_Lamf_core_parser_LinkReference$;
let $n_Lamf_core_parser_LinkReference$ = (void 0);
const $m_Lamf_core_parser_LinkReference$ = (function() {
  if ((!$n_Lamf_core_parser_LinkReference$)) {
    $n_Lamf_core_parser_LinkReference$ = new $c_Lamf_core_parser_LinkReference$().init___()
  };
  return $n_Lamf_core_parser_LinkReference$
});
class $c_Lamf_core_parser_SchemaReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SchemaReference$ = new $TypeData().initClass({
  Lamf_core_parser_SchemaReference$: 0
}, false, "amf.core.parser.SchemaReference$", {
  Lamf_core_parser_SchemaReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_SchemaReference$.prototype.$classData = $d_Lamf_core_parser_SchemaReference$;
let $n_Lamf_core_parser_SchemaReference$ = (void 0);
const $m_Lamf_core_parser_SchemaReference$ = (function() {
  if ((!$n_Lamf_core_parser_SchemaReference$)) {
    $n_Lamf_core_parser_SchemaReference$ = new $c_Lamf_core_parser_SchemaReference$().init___()
  };
  return $n_Lamf_core_parser_SchemaReference$
});
class $c_Lamf_core_parser_SearchScope$All$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SearchScope$All$ = new $TypeData().initClass({
  Lamf_core_parser_SearchScope$All$: 0
}, false, "amf.core.parser.SearchScope$All$", {
  Lamf_core_parser_SearchScope$All$: 1,
  O: 1,
  Lamf_core_parser_SearchScope$Scope: 1
});
$c_Lamf_core_parser_SearchScope$All$.prototype.$classData = $d_Lamf_core_parser_SearchScope$All$;
let $n_Lamf_core_parser_SearchScope$All$ = (void 0);
const $m_Lamf_core_parser_SearchScope$All$ = (function() {
  if ((!$n_Lamf_core_parser_SearchScope$All$)) {
    $n_Lamf_core_parser_SearchScope$All$ = new $c_Lamf_core_parser_SearchScope$All$().init___()
  };
  return $n_Lamf_core_parser_SearchScope$All$
});
class $c_Lamf_core_parser_SearchScope$Fragments$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SearchScope$Fragments$ = new $TypeData().initClass({
  Lamf_core_parser_SearchScope$Fragments$: 0
}, false, "amf.core.parser.SearchScope$Fragments$", {
  Lamf_core_parser_SearchScope$Fragments$: 1,
  O: 1,
  Lamf_core_parser_SearchScope$Scope: 1
});
$c_Lamf_core_parser_SearchScope$Fragments$.prototype.$classData = $d_Lamf_core_parser_SearchScope$Fragments$;
let $n_Lamf_core_parser_SearchScope$Fragments$ = (void 0);
const $m_Lamf_core_parser_SearchScope$Fragments$ = (function() {
  if ((!$n_Lamf_core_parser_SearchScope$Fragments$)) {
    $n_Lamf_core_parser_SearchScope$Fragments$ = new $c_Lamf_core_parser_SearchScope$Fragments$().init___()
  };
  return $n_Lamf_core_parser_SearchScope$Fragments$
});
class $c_Lamf_core_parser_SearchScope$Named$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SearchScope$Named$ = new $TypeData().initClass({
  Lamf_core_parser_SearchScope$Named$: 0
}, false, "amf.core.parser.SearchScope$Named$", {
  Lamf_core_parser_SearchScope$Named$: 1,
  O: 1,
  Lamf_core_parser_SearchScope$Scope: 1
});
$c_Lamf_core_parser_SearchScope$Named$.prototype.$classData = $d_Lamf_core_parser_SearchScope$Named$;
let $n_Lamf_core_parser_SearchScope$Named$ = (void 0);
const $m_Lamf_core_parser_SearchScope$Named$ = (function() {
  if ((!$n_Lamf_core_parser_SearchScope$Named$)) {
    $n_Lamf_core_parser_SearchScope$Named$ = new $c_Lamf_core_parser_SearchScope$Named$().init___()
  };
  return $n_Lamf_core_parser_SearchScope$Named$
});
class $c_Lamf_core_parser_SimpleReferenceHandler$ extends $c_O {
  init___() {
    return this
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__sc_Seq(document, ctx) {
    return $m_sci_Nil$()
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__s_concurrent_Future(reference, ctx, context) {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference)
  };
}
const $d_Lamf_core_parser_SimpleReferenceHandler$ = new $TypeData().initClass({
  Lamf_core_parser_SimpleReferenceHandler$: 0
}, false, "amf.core.parser.SimpleReferenceHandler$", {
  Lamf_core_parser_SimpleReferenceHandler$: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_core_parser_SimpleReferenceHandler$.prototype.$classData = $d_Lamf_core_parser_SimpleReferenceHandler$;
let $n_Lamf_core_parser_SimpleReferenceHandler$ = (void 0);
const $m_Lamf_core_parser_SimpleReferenceHandler$ = (function() {
  if ((!$n_Lamf_core_parser_SimpleReferenceHandler$)) {
    $n_Lamf_core_parser_SimpleReferenceHandler$ = new $c_Lamf_core_parser_SimpleReferenceHandler$().init___()
  };
  return $n_Lamf_core_parser_SimpleReferenceHandler$
});
class $c_Lamf_core_parser_UnspecifiedReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_UnspecifiedReference$ = new $TypeData().initClass({
  Lamf_core_parser_UnspecifiedReference$: 0
}, false, "amf.core.parser.UnspecifiedReference$", {
  Lamf_core_parser_UnspecifiedReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_UnspecifiedReference$.prototype.$classData = $d_Lamf_core_parser_UnspecifiedReference$;
let $n_Lamf_core_parser_UnspecifiedReference$ = (void 0);
const $m_Lamf_core_parser_UnspecifiedReference$ = (function() {
  if ((!$n_Lamf_core_parser_UnspecifiedReference$)) {
    $n_Lamf_core_parser_UnspecifiedReference$ = new $c_Lamf_core_parser_UnspecifiedReference$().init___()
  };
  return $n_Lamf_core_parser_UnspecifiedReference$
});
class $c_Lamf_core_parser_package$YScalarYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected scalar but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])))
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YScalar$().Null$1
  };
}
const $d_Lamf_core_parser_package$YScalarYRead$ = new $TypeData().initClass({
  Lamf_core_parser_package$YScalarYRead$: 0
}, false, "amf.core.parser.package$YScalarYRead$", {
  Lamf_core_parser_package$YScalarYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lamf_core_parser_package$YScalarYRead$.prototype.$classData = $d_Lamf_core_parser_package$YScalarYRead$;
let $n_Lamf_core_parser_package$YScalarYRead$ = (void 0);
const $m_Lamf_core_parser_package$YScalarYRead$ = (function() {
  if ((!$n_Lamf_core_parser_package$YScalarYRead$)) {
    $n_Lamf_core_parser_package$YScalarYRead$ = new $c_Lamf_core_parser_package$YScalarYRead$().init___()
  };
  return $n_Lamf_core_parser_package$YScalarYRead$
});
class $c_Lamf_core_plugins_AMFDocumentPlugin extends $c_O {
  modelEntitiesResolver__s_Option() {
    return $m_s_None$()
  };
}
const $is_Lamf_core_plugins_AMFDocumentPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFDocumentPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFDocumentPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFDocumentPlugin)))
});
class $c_Lamf_core_plugins_AMFDomainPlugin extends $c_O {
}
const $is_Lamf_core_plugins_AMFDomainPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFDomainPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFDomainPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFDomainPlugin)))
});
class $c_Lamf_core_plugins_AMFSyntaxPlugin extends $c_O {
}
const $is_Lamf_core_plugins_AMFSyntaxPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFSyntaxPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFSyntaxPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFSyntaxPlugin)))
});
class $c_Lamf_core_remote_Amf$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Amf$ = this;
    this.name$1 = "amf";
    this.defaultSyntax$1 = $m_Lamf_core_remote_Syntax$Json$();
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  name__T() {
    return this.name$1
  };
}
const $d_Lamf_core_remote_Amf$ = new $TypeData().initClass({
  Lamf_core_remote_Amf$: 0
}, false, "amf.core.remote.Amf$", {
  Lamf_core_remote_Amf$: 1,
  O: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Amf$.prototype.$classData = $d_Lamf_core_remote_Amf$;
let $n_Lamf_core_remote_Amf$ = (void 0);
const $m_Lamf_core_remote_Amf$ = (function() {
  if ((!$n_Lamf_core_remote_Amf$)) {
    $n_Lamf_core_remote_Amf$ = new $c_Lamf_core_remote_Amf$().init___()
  };
  return $n_Lamf_core_remote_Amf$
});
class $c_Lamf_core_remote_FileMediaType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_remote_FileMediaType$ = new $TypeData().initClass({
  Lamf_core_remote_FileMediaType$: 0
}, false, "amf.core.remote.FileMediaType$", {
  Lamf_core_remote_FileMediaType$: 1,
  O: 1,
  Lamf_core_remote_FileMediaType: 1
});
$c_Lamf_core_remote_FileMediaType$.prototype.$classData = $d_Lamf_core_remote_FileMediaType$;
let $n_Lamf_core_remote_FileMediaType$ = (void 0);
const $m_Lamf_core_remote_FileMediaType$ = (function() {
  if ((!$n_Lamf_core_remote_FileMediaType$)) {
    $n_Lamf_core_remote_FileMediaType$ = new $c_Lamf_core_remote_FileMediaType$().init___()
  };
  return $n_Lamf_core_remote_FileMediaType$
});
class $c_Lamf_core_remote_Oas$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Oas$ = this;
    this.name$1 = "oas";
    this.defaultSyntax$1 = $m_Lamf_core_remote_Syntax$Json$();
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  toString__T() {
    return this.name$1
  };
  name__T() {
    return this.name$1
  };
}
const $d_Lamf_core_remote_Oas$ = new $TypeData().initClass({
  Lamf_core_remote_Oas$: 0
}, false, "amf.core.remote.Oas$", {
  Lamf_core_remote_Oas$: 1,
  O: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Oas$.prototype.$classData = $d_Lamf_core_remote_Oas$;
let $n_Lamf_core_remote_Oas$ = (void 0);
const $m_Lamf_core_remote_Oas$ = (function() {
  if ((!$n_Lamf_core_remote_Oas$)) {
    $n_Lamf_core_remote_Oas$ = new $c_Lamf_core_remote_Oas$().init___()
  };
  return $n_Lamf_core_remote_Oas$
});
class $c_Lamf_core_remote_Payload$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Payload$ = this;
    this.name$1 = "payload";
    this.defaultSyntax$1 = $m_Lamf_core_remote_Syntax$Json$();
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  name__T() {
    return this.name$1
  };
}
const $d_Lamf_core_remote_Payload$ = new $TypeData().initClass({
  Lamf_core_remote_Payload$: 0
}, false, "amf.core.remote.Payload$", {
  Lamf_core_remote_Payload$: 1,
  O: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Payload$.prototype.$classData = $d_Lamf_core_remote_Payload$;
let $n_Lamf_core_remote_Payload$ = (void 0);
const $m_Lamf_core_remote_Payload$ = (function() {
  if ((!$n_Lamf_core_remote_Payload$)) {
    $n_Lamf_core_remote_Payload$ = new $c_Lamf_core_remote_Payload$().init___()
  };
  return $n_Lamf_core_remote_Payload$
});
class $c_Lamf_core_remote_Unknown$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Unknown$ = this;
    this.name$1 = "external";
    this.defaultSyntax$1 = $m_Lamf_core_remote_Syntax$PlainText$();
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  name__T() {
    return this.name$1
  };
}
const $d_Lamf_core_remote_Unknown$ = new $TypeData().initClass({
  Lamf_core_remote_Unknown$: 0
}, false, "amf.core.remote.Unknown$", {
  Lamf_core_remote_Unknown$: 1,
  O: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Unknown$.prototype.$classData = $d_Lamf_core_remote_Unknown$;
let $n_Lamf_core_remote_Unknown$ = (void 0);
const $m_Lamf_core_remote_Unknown$ = (function() {
  if ((!$n_Lamf_core_remote_Unknown$)) {
    $n_Lamf_core_remote_Unknown$ = new $c_Lamf_core_remote_Unknown$().init___()
  };
  return $n_Lamf_core_remote_Unknown$
});
class $c_Lamf_core_remote_UnsupportedFileSystem$ extends $c_O {
  init___() {
    return this
  };
  unsupported__p1__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported operation"])).s__sc_Seq__T($m_sci_Nil$())))
  };
  asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(path) {
    this.unsupported__p1__sr_Nothing$()
  };
}
const $d_Lamf_core_remote_UnsupportedFileSystem$ = new $TypeData().initClass({
  Lamf_core_remote_UnsupportedFileSystem$: 0
}, false, "amf.core.remote.UnsupportedFileSystem$", {
  Lamf_core_remote_UnsupportedFileSystem$: 1,
  O: 1,
  Lorg_mulesoft_common_io_FileSystem: 1
});
$c_Lamf_core_remote_UnsupportedFileSystem$.prototype.$classData = $d_Lamf_core_remote_UnsupportedFileSystem$;
let $n_Lamf_core_remote_UnsupportedFileSystem$ = (void 0);
const $m_Lamf_core_remote_UnsupportedFileSystem$ = (function() {
  if ((!$n_Lamf_core_remote_UnsupportedFileSystem$)) {
    $n_Lamf_core_remote_UnsupportedFileSystem$ = new $c_Lamf_core_remote_UnsupportedFileSystem$().init___()
  };
  return $n_Lamf_core_remote_UnsupportedFileSystem$
});
class $c_Lamf_core_resolution_pipelines_BasicResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    return this.model$1.get__O()
  };
}
const $d_Lamf_core_resolution_pipelines_BasicResolutionPipeline = new $TypeData().initClass({
  Lamf_core_resolution_pipelines_BasicResolutionPipeline: 0
}, false, "amf.core.resolution.pipelines.BasicResolutionPipeline", {
  Lamf_core_resolution_pipelines_BasicResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_core_resolution_pipelines_BasicResolutionPipeline.prototype.$classData = $d_Lamf_core_resolution_pipelines_BasicResolutionPipeline;
class $c_Lamf_core_resolution_stages_CleanReferencesStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    model.fields__Lamf_core_parser_Fields().remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_BaseUnitModel$().References$1);
    return model
  };
}
const $d_Lamf_core_resolution_stages_CleanReferencesStage = new $TypeData().initClass({
  Lamf_core_resolution_stages_CleanReferencesStage: 0
}, false, "amf.core.resolution.stages.CleanReferencesStage", {
  Lamf_core_resolution_stages_CleanReferencesStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_core_resolution_stages_CleanReferencesStage.prototype.$classData = $d_Lamf_core_resolution_stages_CleanReferencesStage;
class $c_Lamf_core_resolution_stages_ReferenceResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null;
    this.mutuallyRecursive$2 = null;
    this.model$2 = null;
    this.modelResolver$2 = null
  };
  withName__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(resolved, source) {
    matchEnd4$2: {
      if ($is_Lamf_core_model_domain_NamedDomainElement(resolved)) {
        const jsx$1 = $m_Lorg_mulesoft_common_core_package$Strings$();
        const str = resolved.name__T();
        const thiz = jsx$1.notNull$extension__T__T(str);
        if ((thiz === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        if ((thiz === "")) {
          if ($is_Lamf_core_model_domain_NamedDomainElement(source)) {
            const jsx$2 = $m_Lorg_mulesoft_common_core_package$Strings$();
            const str$1 = source.name__T();
            const x = jsx$2.notNull$extension__T__T(str$1);
            const this$5 = new $c_sci_StringOps().init___T(x);
            if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
              resolved.withName__T__Lamf_core_model_domain_NamedDomainElement(source.name__T());
              break matchEnd4$2
            }
          };
          break matchEnd4$2
        }
      }
    };
    matchEnd5: {
      if ($is_Lamf_core_model_domain_NamedDomainElement(source)) {
        const jsx$3 = $m_Lorg_mulesoft_common_core_package$Strings$();
        const str$2 = source.name__T();
        const x$1 = jsx$3.notNull$extension__T__T(str$2);
        const this$8 = new $c_sci_StringOps().init___T(x$1);
        if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
          const resolvedNamesPresent = resolved.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_resolution_stages_ResolvedNamedEntity.getClassOf());
          const resolvedNamedEntityAnnotation = (resolvedNamesPresent.isEmpty__Z() ? new $c_Lamf_core_resolution_stages_ResolvedNamedEntity().init___scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())) : resolvedNamesPresent.get__O());
          const this$10 = resolvedNamedEntityAnnotation.vals$1;
          const key = source.name__T();
          const x1 = this$10.get__O__s_Option(key);
          let referenced;
          if ($is_s_Some(x1)) {
            const x2 = x1;
            const v = x2.value$2;
            referenced = v
          } else {
            const x$2 = $m_s_None$();
            if ((!(x$2 === x1))) {
              throw new $c_s_MatchError().init___O(x1)
            };
            referenced = $m_sci_Nil$()
          };
          const jsx$6 = resolvedNamedEntityAnnotation.vals$1;
          const jsx$5 = source.name__T();
          const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([source]));
          const this$11 = $m_sc_Seq$();
          jsx$6.put__O__O__s_Option(jsx$5, referenced.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2));
          if (resolvedNamesPresent.isEmpty__Z()) {
            resolved.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(resolvedNamedEntityAnnotation)
          } else {
            (void 0)
          };
          break matchEnd5
        }
      };
      if ($is_Lamf_core_model_domain_Linkable(source)) {
        let jsx$7;
        if ($is_Lamf_core_model_domain_NamedDomainElement(source)) {
          const this$12 = source;
          jsx$7 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$12).isDefined__Z()
        } else {
          jsx$7 = false
        };
        if (jsx$7) {
          const resolvedNamesPresent$2 = resolved.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_resolution_stages_ResolvedNamedEntity.getClassOf());
          const resolvedNamedEntityAnnotation$2 = (resolvedNamesPresent$2.isEmpty__Z() ? new $c_Lamf_core_resolution_stages_ResolvedNamedEntity().init___scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())) : resolvedNamesPresent$2.get__O());
          const this$15 = resolvedNamedEntityAnnotation$2.vals$1;
          const this$14 = source;
          const key$1 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$14).get__O();
          const x1$1 = this$15.get__O__s_Option(key$1);
          let referenced$2;
          if ($is_s_Some(x1$1)) {
            const x2$1 = x1$1;
            const v$1 = x2$1.value$2;
            referenced$2 = v$1
          } else {
            const x$3 = $m_s_None$();
            if ((!(x$3 === x1$1))) {
              throw new $c_s_MatchError().init___O(x1$1)
            };
            referenced$2 = $m_sci_Nil$()
          };
          const jsx$10 = resolvedNamedEntityAnnotation$2.vals$1;
          const this$16 = source;
          const jsx$9 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$16).get__O();
          const jsx$8 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([source]));
          const this$17 = $m_sc_Seq$();
          jsx$10.put__O__O__s_Option(jsx$9, referenced$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$17.ReusableCBFInstance$2));
          if (resolvedNamesPresent$2.isEmpty__Z()) {
            resolved.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(resolvedNamedEntityAnnotation$2)
          } else {
            (void 0)
          };
          break matchEnd5
        }
      }
    };
    return resolved
  };
  transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element, isCycle) {
    let rc6 = false;
    let x2 = null;
    if ($is_Lamf_core_model_domain_Linkable(element)) {
      rc6 = true;
      x2 = element;
      if ((x2.linkTarget__s_Option().isDefined__Z() && (!isCycle))) {
        return new $c_s_Some().init___O(this.withName__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this.resolveLinked__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(x2.linkTarget__s_Option().get__O()), x2))
      }
    };
    if ((rc6 && x2.linkTarget__s_Option().isDefined__Z())) {
      return new $c_s_Some().init___O(x2)
    };
    if ($is_Lamf_core_model_domain_LinkNode(element)) {
      const x4 = element;
      return this.resolveDynamicLink__Lamf_core_model_domain_LinkNode__s_Option(x4)
    };
    return new $c_s_Some().init___O(element)
  };
  resolveLinked__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(element) {
    if (this.mutuallyRecursive$2.contains__O__Z(element.id__T())) {
      return element
    } else {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const nested = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      nested.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1, element, new $c_Lamf_core_parser_Annotations().init___());
      const jsx$4 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T(this.profile$2);
      const jsx$3 = this.modelResolver$2;
      const jsx$2 = this.mutuallyRecursive$2;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element.id__T()]));
      const this$6 = $m_sc_Seq$();
      const result = jsx$4.recursiveResolveInvocation__Lamf_core_model_document_BaseUnit__s_Option__sc_Seq__Lamf_core_model_document_BaseUnit(nested, jsx$3, jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2));
      return result.encodes__Lamf_core_model_domain_DomainElement()
    }
  };
  recursiveResolveInvocation__Lamf_core_model_document_BaseUnit__s_Option__sc_Seq__Lamf_core_model_document_BaseUnit(model, modelResolver, mutuallyRecursive) {
    this.mutuallyRecursive$2 = mutuallyRecursive;
    this.model$2 = new $c_s_Some().init___O(model);
    this.modelResolver$2 = new $c_s_Some().init___O((modelResolver.isEmpty__Z() ? new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(model) : modelResolver.get__O()));
    const selector = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(element$2) {
        const element = element$2;
        return this$2.findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element)
      })
    })(this));
    const transformation = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$3.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
      })
    })(this));
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(model, selector, transformation)
  };
  init___T(profile) {
    this.profile$2 = profile;
    this.mutuallyRecursive$2 = $m_sci_Nil$();
    this.model$2 = $m_s_None$();
    this.modelResolver$2 = $m_s_None$();
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$2 = new $c_s_Some().init___O(model);
    this.modelResolver$2 = new $c_s_Some().init___O(new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(model));
    const selector = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $this.findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element)
      })
    })(this));
    const transformation = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$2.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
      })
    })(this));
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(model, selector, transformation)
  };
  resolveDynamicLink__Lamf_core_model_domain_LinkNode__s_Option(l) {
    const x1 = this.modelResolver$2.get__O().findFragment__T__s_Option(l.value$2);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const elem = x2.value$2;
      return new $c_s_Some().init___O(new $c_Lamf_core_resolution_stages_ResolvedLinkNode().init___Lamf_core_model_domain_LinkNode__Lamf_core_model_domain_DomainElement(l, elem))
    } else {
      return new $c_s_Some().init___O(l)
    }
  };
  findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element) {
    if ($is_Lamf_core_model_domain_Linkable(element)) {
      const this$1 = element;
      return this$1.linkTarget__s_Option().isDefined__Z()
    } else {
      return $is_Lamf_core_model_domain_LinkNode(element)
    }
  };
}
const $d_Lamf_core_resolution_stages_ReferenceResolutionStage = new $TypeData().initClass({
  Lamf_core_resolution_stages_ReferenceResolutionStage: 0
}, false, "amf.core.resolution.stages.ReferenceResolutionStage", {
  Lamf_core_resolution_stages_ReferenceResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_core_resolution_stages_ReferenceResolutionStage.prototype.$classData = $d_Lamf_core_resolution_stages_ReferenceResolutionStage;
class $c_Lamf_model_domain_DataNode$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_model_domain_DataNode$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  apply__Lamf_core_model_domain_DataNode__Lamf_model_domain_DataNode(x) {
    if ($is_Lamf_core_model_domain_ObjectNode(x)) {
      const x2 = x;
      return new $c_Lamf_model_domain_ObjectNode().init___Lamf_core_model_domain_ObjectNode(x2)
    } else if ($is_Lamf_core_model_domain_ScalarNode(x)) {
      const x3 = x;
      return new $c_Lamf_model_domain_ScalarNode().init___Lamf_core_model_domain_ScalarNode(x3)
    } else if ($is_Lamf_core_model_domain_ArrayNode(x)) {
      const x4 = x;
      return new $c_Lamf_model_domain_ArrayNode().init___Lamf_core_model_domain_ArrayNode(x4)
    } else {
      throw new $c_s_MatchError().init___O(x)
    }
  };
}
const $d_Lamf_model_domain_DataNode$ = new $TypeData().initClass({
  Lamf_model_domain_DataNode$: 0
}, false, "amf.model.domain.DataNode$", {
  Lamf_model_domain_DataNode$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_DataNode$.prototype.$classData = $d_Lamf_model_domain_DataNode$;
let $n_Lamf_model_domain_DataNode$ = (void 0);
const $m_Lamf_model_domain_DataNode$ = (function() {
  if ((!$n_Lamf_model_domain_DataNode$)) {
    $n_Lamf_model_domain_DataNode$ = new $c_Lamf_model_domain_DataNode$().init___()
  };
  return $n_Lamf_model_domain_DataNode$
});
class $c_Lamf_model_domain_DomainElement$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_model_domain_DomainElement$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
}
const $d_Lamf_model_domain_DomainElement$ = new $TypeData().initClass({
  Lamf_model_domain_DomainElement$: 0
}, false, "amf.model.domain.DomainElement$", {
  Lamf_model_domain_DomainElement$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_DomainElement$.prototype.$classData = $d_Lamf_model_domain_DomainElement$;
let $n_Lamf_model_domain_DomainElement$ = (void 0);
const $m_Lamf_model_domain_DomainElement$ = (function() {
  if ((!$n_Lamf_model_domain_DomainElement$)) {
    $n_Lamf_model_domain_DomainElement$ = new $c_Lamf_model_domain_DomainElement$().init___()
  };
  return $n_Lamf_model_domain_DomainElement$
});
class $c_Lamf_model_domain_Shape$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_model_domain_Shape$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
}
const $d_Lamf_model_domain_Shape$ = new $TypeData().initClass({
  Lamf_model_domain_Shape$: 0
}, false, "amf.model.domain.Shape$", {
  Lamf_model_domain_Shape$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_Shape$.prototype.$classData = $d_Lamf_model_domain_Shape$;
let $n_Lamf_model_domain_Shape$ = (void 0);
const $m_Lamf_model_domain_Shape$ = (function() {
  if ((!$n_Lamf_model_domain_Shape$)) {
    $n_Lamf_model_domain_Shape$ = new $c_Lamf_model_domain_Shape$().init___()
  };
  return $n_Lamf_model_domain_Shape$
});
class $c_Lamf_plugins_document_Vocabularies$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_Vocabularies$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  registerDialect__T__sjs_js_Promise(url) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$().registerDialect__T__s_concurrent_Future(url);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  registerDialect__T__T__sjs_js_Promise(url, dialectText) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$().registerDialect__T__T__s_concurrent_Future(url, dialectText);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$register__O() {
    this.register__V()
  };
  $$js$exported$meth$registerDialect__T__T__O(url, dialectText) {
    return this.registerDialect__T__T__sjs_js_Promise(url, dialectText)
  };
  $$js$exported$meth$registerDialect__T__O(url) {
    return this.registerDialect__T__sjs_js_Promise(url)
  };
  register__V() {
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return $is_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel(x)
      })
    })(this));
    const this$1 = this.platform$1;
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_model_domain_DomainEntity().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    this$1.wrappersRegistryFn__scm_HashMap().put__O__O__s_Option(p, builder);
    const this$4 = this.platform$1;
    const model = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_model_document_DialectFragment().init___Lamf_plugins_document_vocabularies_model_document_DialectFragment(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$4, model, builder$1);
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  "registerDialect"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$registerDialect__T__O(prep0);
        break
      }
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        return this.$$js$exported$meth$registerDialect__T__T__O(prep0, prep1);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_document_Vocabularies$ = new $TypeData().initClass({
  Lamf_plugins_document_Vocabularies$: 0
}, false, "amf.plugins.document.Vocabularies$", {
  Lamf_plugins_document_Vocabularies$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_Vocabularies$.prototype.$classData = $d_Lamf_plugins_document_Vocabularies$;
let $n_Lamf_plugins_document_Vocabularies$ = (void 0);
const $m_Lamf_plugins_document_Vocabularies$ = (function() {
  if ((!$n_Lamf_plugins_document_Vocabularies$)) {
    $n_Lamf_plugins_document_Vocabularies$ = new $c_Lamf_plugins_document_Vocabularies$().init___()
  };
  return $n_Lamf_plugins_document_Vocabularies$
});
class $c_Lamf_plugins_document_WebApi$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  validatePayload__Lamf_model_domain_Shape__Lamf_model_domain_DataNode__sjs_js_Promise(shape, payload) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const this$1 = $m_Lamf_plugins_document_webapi_RAML10Plugin$();
    const shape$1 = shape.shape__Lamf_core_model_domain_Shape();
    const payload$1 = payload.dataNode$3;
    const f = $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__validatePayload__Lamf_core_model_domain_Shape__Lamf_core_model_domain_DataNode__s_concurrent_Future(this$1, shape$1, payload$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_validation_AMFValidationReport().init___Lamf_core_validation_AMFValidationReport(x$1)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  init___() {
    $n_Lamf_plugins_document_WebApi$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$register__O() {
    this.register__V()
  };
  $$js$exported$meth$validatePayload__Lamf_model_domain_Shape__Lamf_model_domain_DataNode__O(shape, payload) {
    return this.validatePayload__Lamf_model_domain_Shape__Lamf_model_domain_DataNode__sjs_js_Promise(shape, payload)
  };
  register__V() {
    const this$1 = this.platform$1;
    const model = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$();
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_model_document_AnnotationTypeDeclaration().init___Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$1, model, builder);
    const this$3 = this.platform$1;
    const model$1 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_model_document_DataType().init___Lamf_plugins_document_webapi_model_DataTypeFragment(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$3, model$1, builder$1);
    const this$4 = this.platform$1;
    const model$2 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$();
    const builder$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x0$3)) {
          const x2$2 = x0$3;
          return new $c_Lamf_model_document_DocumentationItem().init___Lamf_plugins_document_webapi_model_DocumentationItemFragment(x2$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$4, model$2, builder$2);
    const this$5 = this.platform$1;
    const model$3 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$();
    const builder$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x0$4)) {
          const x2$3 = x0$4;
          return new $c_Lamf_model_document_NamedExample().init___Lamf_plugins_document_webapi_model_NamedExampleFragment(x2$3)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$5, model$3, builder$3);
    const this$6 = this.platform$1;
    const model$4 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$();
    const builder$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x0$5)) {
          const x2$4 = x0$5;
          return new $c_Lamf_model_document_ResourceTypeFragment().init___Lamf_plugins_document_webapi_model_ResourceTypeFragment(x2$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$6, model$4, builder$4);
    const this$7 = this.platform$1;
    const model$5 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$();
    const builder$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x0$6)) {
          const x2$5 = x0$6;
          return new $c_Lamf_model_document_SecuritySchemeFragment().init___Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x2$5)
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$7, model$5, builder$5);
    const this$8 = this.platform$1;
    const model$6 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$();
    const builder$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x0$7)) {
          const x2$6 = x0$7;
          return new $c_Lamf_model_document_TraitFragment().init___Lamf_plugins_document_webapi_model_TraitFragment(x2$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$8, model$6, builder$6);
    const this$9 = this.platform$1;
    const model$7 = $m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$();
    const builder$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_plugins_document_webapi_model_Extension(x0$8)) {
          const x2$7 = x0$8;
          return new $c_Lamf_model_document_Extension().init___Lamf_plugins_document_webapi_model_Extension(x2$7)
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$9, model$7, builder$7);
    const this$10 = this.platform$1;
    const model$8 = $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$();
    const builder$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_plugins_document_webapi_model_Overlay(x0$9)) {
          const x2$8 = x0$9;
          return new $c_Lamf_model_document_Overlay().init___Lamf_plugins_document_webapi_model_Overlay(x2$8)
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$10, model$8, builder$8);
    $m_Lamf_plugins_domain_DataShapes$().register__V();
    $m_Lamf_plugins_domain_WebApi$().register__V();
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_document_webapi_OAS20Plugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin);
    $m_Lamf_Core$();
    const plugin$1 = $m_Lamf_plugins_document_webapi_RAML10Plugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$1);
    $m_Lamf_Core$();
    const plugin$2 = $m_Lamf_plugins_document_webapi_RAML08Plugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$2);
    $m_Lamf_Core$();
    const plugin$3 = $m_Lamf_plugins_document_webapi_PayloadPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$3)
  };
  "validatePayload"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$validatePayload__Lamf_model_domain_Shape__Lamf_model_domain_DataNode__O(prep0, prep1)
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_document_WebApi$ = new $TypeData().initClass({
  Lamf_plugins_document_WebApi$: 0
}, false, "amf.plugins.document.WebApi$", {
  Lamf_plugins_document_WebApi$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_WebApi$.prototype.$classData = $d_Lamf_plugins_document_WebApi$;
let $n_Lamf_plugins_document_WebApi$ = (void 0);
const $m_Lamf_plugins_document_WebApi$ = (function() {
  if ((!$n_Lamf_plugins_document_WebApi$)) {
    $n_Lamf_plugins_document_WebApi$ = new $c_Lamf_plugins_document_WebApi$().init___()
  };
  return $n_Lamf_plugins_document_WebApi$
});
class $c_Lamf_plugins_document_graph_parser_DynamicGraphParser extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.ctx$1 = null;
    this.dynamicBuilders$1 = null;
    this.AnnotationName$module$1 = null
  };
  AnnotationName$lzycompute$1__p1__V() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$module$1 = new $c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$().init___Lamf_plugins_document_graph_parser_GraphParserHelpers(this)
    }
  };
  init___sci_Map__Lamf_core_parser_ParserContext(nodes, ctx) {
    this.nodes$1 = nodes;
    this.ctx$1 = ctx;
    const self = $m_Lamf_core_model_domain_LinkNode$().builderType$1.iri__T();
    const y = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(annotations$2) {
        const annotations = annotations$2;
        $m_Lamf_core_model_domain_LinkNode$();
        return new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", "", new $c_Lamf_core_parser_Fields().init___(), annotations)
      })
    })(this));
    const jsx$3 = new $c_T2().init___O__O(self, y);
    const self$1 = $m_Lamf_core_model_domain_ArrayNode$().builderType$1.iri__T();
    const y$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(annotations$3$2) {
        const annotations$3 = annotations$3$2;
        $m_Lamf_core_model_domain_ArrayNode$();
        return new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3)
      })
    })(this));
    const jsx$2 = new $c_T2().init___O__O(self$1, y$1);
    const self$2 = $m_Lamf_core_model_domain_ScalarNode$().builderType$1.iri__T();
    const y$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(annotations$4$2) {
        const annotations$4 = annotations$4$2;
        $m_Lamf_core_model_domain_ScalarNode$();
        const dataType = $m_s_None$();
        return new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations$4)
      })
    })(this));
    const jsx$1 = new $c_T2().init___O__O(self$2, y$2);
    const self$3 = $m_Lamf_core_model_domain_ObjectNode$().builderType$1.iri__T();
    const y$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(annotations$5$2) {
        const annotations$5 = annotations$5$2;
        $m_Lamf_core_model_domain_ObjectNode$();
        return new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5)
      })
    })(this));
    const array = [jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O(self$3, y$3)];
    const this$18 = new $c_scm_HashMap().init___();
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$18.$$plus$eq__T2__scm_HashMap(arg1);
      i = ((1 + i) | 0)
    };
    this.dynamicBuilders$1 = this$18;
    return this
  };
  parseJSONLDArray__Lorg_yaml_model_YNode__Lamf_core_model_domain_ArrayNode(node) {
    const array = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$1).head__O().as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(array).key__T__s_Option("@id");
    let maybeId;
    if (this$2.isEmpty__Z()) {
      maybeId = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const ctx = this.ctx$1;
      maybeId = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this, array, ctx)
    };
    let nodeAnnotations;
    if ($is_s_Some(maybeId)) {
      const x2 = maybeId;
      const id = x2.value$2;
      const sources = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap(this, id, array);
      const nodes = this.nodes$1;
      nodeAnnotations = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this, nodes, sources, id)
    } else {
      const x = $m_s_None$();
      if ((!(x === maybeId))) {
        throw new $c_s_MatchError().init___O(maybeId)
      };
      nodeAnnotations = new $c_Lamf_core_parser_Annotations().init___()
    };
    $m_Lamf_core_model_domain_ArrayNode$();
    const arrayNode = new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), nodeAnnotations);
    array.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, arrayNode$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const member = this$2$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$2$1.ctx$1));
        if ((!member.isEmpty__Z())) {
          const arg1$1 = member.get__O();
          const member$2 = arg1$1;
          arrayNode$1.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(member$2)
        }
      })
    })(this, arrayNode)));
    return arrayNode
  };
  isJSONLDScalar__p1__Lorg_yaml_model_YNode__Z(node) {
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$2 = $m_sc_IndexedSeq$();
    const bf = this$2.ReusableCBF$6;
    const conversion = new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf);
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const sequence = x2.value$2;
      if ((sequence.length__I() === 1)) {
        const map = sequence.head__O();
        return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@value").isDefined__Z()
      }
    };
    return false
  };
  parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(node) {
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$2 = $m_sc_IndexedSeq$();
    const bf = this$2.ReusableCBF$6;
    const scalar = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$1).head__O();
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType = $m_s_None$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(scalar).key__T__s_Option("@value");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      $m_Lorg_yaml_model_YNode$();
      const node$1 = entry.value$1;
      result.value$2 = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)
    };
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(scalar).key__T__s_Option("@type");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      $m_Lorg_yaml_model_YNode$();
      const node$2 = entry$3.value$1;
      result.dataType$2 = new $c_s_Some().init___O(node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
    };
    return result
  };
  isJSONLDArray__Lorg_yaml_model_YNode__Z(node) {
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$2 = $m_sc_IndexedSeq$();
    const bf = this$2.ReusableCBF$6;
    const conversion = new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf);
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const sequence = x2.value$2;
      if ((sequence.length__I() === 1)) {
        const map = sequence.head__O();
        return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@list").isDefined__Z()
      }
    };
    return false
  };
  AnnotationName__Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$lzycompute$1__p1__V()
    };
    return this.AnnotationName$module$1
  };
  parseDynamicType__Lorg_yaml_model_YMap__s_Option(map) {
    const ctx = this.ctx$1;
    const this$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this, map, ctx);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const id = arg1;
      const sources = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap(this, id, map);
      const builder = this.retrieveType__T__Lorg_yaml_model_YMap__s_Option(id, map).get__O();
      const nodes = this.nodes$1;
      const x1 = builder.apply__O__O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this, nodes, sources, id));
      let jsx$1;
      if ($is_Lamf_core_model_domain_ObjectNode(x1)) {
        const x2 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x2, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
          return (function(entry$2) {
            const entry = entry$2;
            const uri = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
            const v = entry.value$1;
            let jsx$2;
            if ((((uri !== "@type") && (uri !== "@id")) && (uri !== $m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1.value$1.iri__T()))) {
              const this$2 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
              jsx$2 = (uri !== new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "name").iri__T())
            } else {
              jsx$2 = false
            };
            if (jsx$2) {
              let dataNode;
              if ($this.isJSONLDScalar__p1__Lorg_yaml_model_YNode__Z(v)) {
                dataNode = $this.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(v)
              } else if ($this.isJSONLDArray__Lorg_yaml_model_YNode__Z(v)) {
                dataNode = $this.parseJSONLDArray__Lorg_yaml_model_YNode__Lamf_core_model_domain_ArrayNode(v)
              } else {
                const t = $m_Lamf_core_metamodel_Type$ObjType$();
                const this$4 = $this.parseDynamicType__Lorg_yaml_model_YMap__s_Option($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this, t, v).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1));
                if (this$4.isEmpty__Z()) {
                  $m_Lamf_core_model_domain_ObjectNode$();
                  const annotations = new $c_Lamf_core_parser_Annotations().init___();
                  dataNode = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
                } else {
                  dataNode = this$4.get__O()
                }
              };
              return x2$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(uri, dataNode, new $c_Lamf_core_parser_Annotations().init___())
            } else {
              return (void 0)
            }
          })
        })(this, x2)));
        jsx$1 = x2
      } else if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
        const x3 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x3, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, x3$1) {
          return (function(entry$3$2) {
            const entry$3 = entry$3$2;
            const uri$1 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx$1);
            if ((uri$1 === x3$1.Value$2.value$1.iri__T())) {
              const parsedScalar = this$2$1.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(entry$3.value$1);
              x3$1.value$2 = parsedScalar.value$2;
              x3$1.dataType$2 = parsedScalar.dataType$2
            }
          })
        })(this, x3)));
        jsx$1 = x3
      } else if ($is_Lamf_core_model_domain_LinkNode(x1)) {
        const x4 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x4, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, x4$1) {
          return (function(entry$4$2) {
            const entry$4 = entry$4$2;
            const uri$2 = entry$4.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$3$1.ctx$1);
            if ((uri$2 === x4$1.Alias$2.value$1.iri__T())) {
              const parsedScalar$1 = this$3$1.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(entry$4.value$1);
              x4$1.alias$2 = parsedScalar$1.value$2
            } else if ((uri$2 === x4$1.Value$2.value$1.iri__T())) {
              const parsedScalar$2 = this$3$1.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(entry$4.value$1);
              x4$1.value$2 = parsedScalar$2.value$2
            }
          })
        })(this, x4)));
        jsx$1 = x4
      } else if ($is_Lamf_core_model_domain_ArrayNode(x1)) {
        const x5 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x5, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, x5$1) {
          return (function(entry$5$2) {
            const entry$5 = entry$5$2;
            const uri$3 = entry$5.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$4$1.ctx$1);
            if ((uri$3 === x5$1.Member$2.value$1.iri__T())) {
              const jsx$4 = entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this$4$1.ctx$1);
              const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
                return (function(e$2) {
                  const e = e$2;
                  const t$1 = $m_Lamf_core_metamodel_Type$ObjType$();
                  const xo = $this$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this$1, t$1, e).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this$1.ctx$1));
                  return xo.toList__sci_List()
                })
              })(this$4$1));
              const this$10 = $m_sc_Seq$();
              const this$12 = jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2);
              const this$11 = $m_scm_ListBuffer$();
              const cbf = this$11.ReusableCBFInstance$2;
              x5$1.members$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$12, cbf)
            }
          })
        })(this, x5)));
        jsx$1 = x5
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse object data node from non object JSON structure ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  retrieveType__T__Lorg_yaml_model_YMap__s_Option(id, map) {
    const ctx = this.ctx$1;
    const x1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__ts__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__T__sc_Seq(this, map, ctx, id).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(t$2) {
        const t = t$2;
        return $this.dynamicBuilders$1.get__O__s_Option(t).isDefined__Z()
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const t$3 = x2.value$2;
      return new $c_s_Some().init___O(this.dynamicBuilders$1.apply__O__O(t$3))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_document_graph_parser_DynamicGraphParser = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_DynamicGraphParser: 0
}, false, "amf.plugins.document.graph.parser.DynamicGraphParser", {
  Lamf_plugins_document_graph_parser_DynamicGraphParser: 1,
  O: 1,
  Lamf_plugins_document_graph_parser_GraphParserHelpers: 1
});
$c_Lamf_plugins_document_graph_parser_DynamicGraphParser.prototype.$classData = $d_Lamf_plugins_document_graph_parser_DynamicGraphParser;
class $c_Lamf_plugins_document_graph_parser_GraphEmitter$ extends $c_O {
  init___() {
    return this
  };
  emit__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lorg_yaml_model_YDocument(unit, options) {
    return new $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter().init___Lamf_core_client_GenerationOptions(options).root__Lamf_core_model_document_BaseUnit__Lorg_yaml_model_YDocument(unit)
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphEmitter$: 0
}, false, "amf.plugins.document.graph.parser.GraphEmitter$", {
  Lamf_plugins_document_graph_parser_GraphEmitter$: 1,
  O: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1
});
$c_Lamf_plugins_document_graph_parser_GraphEmitter$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphEmitter$;
let $n_Lamf_plugins_document_graph_parser_GraphEmitter$ = (void 0);
const $m_Lamf_plugins_document_graph_parser_GraphEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_parser_GraphEmitter$)) {
    $n_Lamf_plugins_document_graph_parser_GraphEmitter$ = new $c_Lamf_plugins_document_graph_parser_GraphEmitter$().init___()
  };
  return $n_Lamf_plugins_document_graph_parser_GraphEmitter$
});
class $c_Lamf_plugins_document_graph_parser_GraphParser extends $c_O {
  constructor() {
    super();
    this.Parser$module$1 = null;
    this.ctx$1 = null;
    this.types$1 = null;
    this.AnnotationName$module$1 = null
  };
  parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(document, location) {
    const parser = new $c_Lamf_plugins_document_graph_parser_GraphParser$Parser().init___Lamf_plugins_document_graph_parser_GraphParser__sci_Map(this, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
    return parser.parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(document, location)
  };
  AnnotationName$lzycompute$1__p1__V() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$module$1 = new $c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$().init___Lamf_plugins_document_graph_parser_GraphParserHelpers(this)
    }
  };
  init___Lamf_core_remote_Platform__Lamf_core_parser_ParserContext(platform, ctx) {
    this.ctx$1 = ctx;
    const this$2 = $m_sci_Map$EmptyMap$();
    const xs = $m_Lamf_core_registries_AMFDomainRegistry$().metadataRegistry$1;
    this.types$1 = $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this$2, xs);
    return this
  };
  amf$plugins$document$graph$parser$GraphParser$$parseScalarProperty__Lorg_yaml_model_YMap__Lamf_core_metamodel_Field__s_Option(definition, field) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(definition).key__T__s_Option(field.value$1.iri__T());
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const t = field.type$1;
      const node = entry.value$1;
      return new $c_s_Some().init___O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this, t, node).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3)
    }
  };
  AnnotationName__Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$lzycompute$1__p1__V()
    };
    return this.AnnotationName$module$1
  };
  amf$plugins$document$graph$parser$GraphParser$$buildType__Lamf_core_metamodel_Obj__F1(modelType) {
    const x1 = $m_Lamf_core_registries_AMFDomainRegistry$().metadataRegistry$1.get__O__s_Option(modelType.type__sci_List().head__O().iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const modelType$2 = x2.value$2;
      if ($is_Lamf_core_metamodel_ModelDefaultBuilder(modelType$2)) {
        return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x3) {
          return (function(annotations$2) {
            const annotations = annotations$2;
            const instance = x3.modelInstance__Lamf_core_model_domain_AmfObject();
            instance.annotations__Lamf_core_parser_Annotations().$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(annotations);
            return instance
          })
        })(this, modelType$2))
      }
    };
    const x1$2 = $m_Lamf_core_registries_AMFDomainRegistry$().buildType__Lamf_core_metamodel_Obj__s_Option(modelType);
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const builder = x2$2.value$2;
      return builder
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find builder for node type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([modelType]))))
    }
  };
  amf$plugins$document$graph$parser$GraphParser$$findType__T__s_Option(typeString) {
    const this$1 = this.types$1.get__O__s_Option(typeString);
    return (this$1.isEmpty__Z() ? $m_Lamf_core_registries_AMFDomainRegistry$().findType__T__s_Option(typeString) : this$1)
  };
  amf$plugins$document$graph$parser$GraphParser$$bool__Lorg_yaml_model_YScalar__Lamf_core_model_domain_AmfScalar(node) {
    const x = node.text$3;
    const this$2 = new $c_sci_StringOps().init___T(x);
    const $$this = this$2.repr$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$2, $$this), new $c_Lamf_core_parser_Annotations().init___())
  };
  amf$plugins$document$graph$parser$GraphParser$$int__Lorg_yaml_model_YScalar__Lamf_core_model_domain_AmfScalar(node) {
    const x = node.text$3;
    const this$2 = new $c_sci_StringOps().init___T(x);
    const this$4 = $m_jl_Integer$();
    const $$this = this$2.repr$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this$4.parseInt__T__I__I($$this, 10), new $c_Lamf_core_parser_Annotations().init___())
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphParser = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParser: 0
}, false, "amf.plugins.document.graph.parser.GraphParser", {
  Lamf_plugins_document_graph_parser_GraphParser: 1,
  O: 1,
  Lamf_plugins_document_graph_parser_GraphParserHelpers: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParser.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParser;
class $c_Lamf_plugins_document_vocabularies_DialectHeader$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_Root__Z(root) {
    const x1 = root.parsed$1.comment$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const comment = x2.value$2;
      if ((comment !== null)) {
        const x1$2 = comment.metaText$3;
        return ((((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%RAML 1.0 Vocabulary".length | 0)) === "%RAML 1.0 Vocabulary")) || ((((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%RAML 1.0 Dialect".length | 0)) === "%RAML 1.0 Dialect")) || ((!(((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%RAML 1.0".length | 0)) === "%RAML 1.0"))) && ((!(((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%RAML 0.8".length | 0)) === "%RAML 0.8"))) && (((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%".length | 0)) === "%"))))))
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_DialectHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_DialectHeader$: 0
}, false, "amf.plugins.document.vocabularies.DialectHeader$", {
  Lamf_plugins_document_vocabularies_DialectHeader$: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_RamlHeaderExtractor: 1
});
$c_Lamf_plugins_document_vocabularies_DialectHeader$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_DialectHeader$;
let $n_Lamf_plugins_document_vocabularies_DialectHeader$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_DialectHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_DialectHeader$)) {
    $n_Lamf_plugins_document_vocabularies_DialectHeader$ = new $c_Lamf_plugins_document_vocabularies_DialectHeader$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_DialectHeader$
});
class $c_Lamf_plugins_document_vocabularies_core_DialectDefinition$$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_spec_LocalNameProvider(u) {
    return (0, this.f$1)(u)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectDefinition$$$Lambda$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectDefinition$$$Lambda$1: 0
}, false, "amf.plugins.document.vocabularies.core.DialectDefinition$$$Lambda$1", {
  Lamf_plugins_document_vocabularies_core_DialectDefinition$$$Lambda$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_LocalNameProviderFactory: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectDefinition$$$Lambda$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectDefinition$$$Lambda$1;
class $c_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$$anonfun$$lessinit$greater$1 extends $c_O {
  init___() {
    return this
  };
  resolver__Lamf_core_Root__sci_Map__Lamf_core_parser_ParserContext__Lamf_plugins_document_vocabularies_spec_ReferenceResolver(root, references, ctx) {
    return new $c_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver().init___Lamf_core_Root__sci_Map__Lamf_core_parser_ParserContext(root, references, ctx)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$$anonfun$$lessinit$greater$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$$anonfun$$lessinit$greater$1: 0
}, false, "amf.plugins.document.vocabularies.core.DialectLanguageDefinition$$anonfun$$lessinit$greater$1", {
  Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$$anonfun$$lessinit$greater$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_ResolverFactory: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$$anonfun$$lessinit$greater$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$$anonfun$$lessinit$greater$1;
class $c_Lamf_plugins_document_vocabularies_core_DialectLoader$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  resolver__Lamf_core_Root__sci_Map__Lamf_core_parser_ParserContext__Lamf_plugins_document_vocabularies_spec_ReferenceResolver(root$3, references, ctx$3) {
    return (0, this.f$1)(root$3, references, ctx$3)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectLoader$$Lambda$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectLoader$$Lambda$1: 0
}, false, "amf.plugins.document.vocabularies.core.DialectLoader$$Lambda$1", {
  Lamf_plugins_document_vocabularies_core_DialectLoader$$Lambda$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_ResolverFactory: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectLoader$$Lambda$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectLoader$$Lambda$1;
class $c_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_spec_LocalNameProvider(u) {
    return (0, this.f$1)(u)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$$$Lambda$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$$$Lambda$1: 0
}, false, "amf.plugins.document.vocabularies.core.DialectModuleDefinition$$$Lambda$1", {
  Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$$$Lambda$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_LocalNameProviderFactory: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$$$Lambda$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$$$Lambda$1;
class $c_Lamf_plugins_document_vocabularies_core_DialectValidator$$$Lambda$2 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  accept__Lamf_plugins_document_vocabularies_core_ValidationIssue__V(e$3) {
    (0, this.f$1)(e$3)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectValidator$$$Lambda$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectValidator$$$Lambda$2: 0
}, false, "amf.plugins.document.vocabularies.core.DialectValidator$$$Lambda$2", {
  Lamf_plugins_document_vocabularies_core_DialectValidator$$$Lambda$2: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_core_ErrorReporter: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectValidator$$$Lambda$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectValidator$$$Lambda$2;
class $c_Lamf_plugins_document_vocabularies_core_Vocabulary$$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_spec_LocalNameProvider(u) {
    return (0, this.f$1)(u)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_Vocabulary$$$Lambda$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_Vocabulary$$$Lambda$1: 0
}, false, "amf.plugins.document.vocabularies.core.Vocabulary$$$Lambda$1", {
  Lamf_plugins_document_vocabularies_core_Vocabulary$$$Lambda$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_LocalNameProviderFactory: 1
});
$c_Lamf_plugins_document_vocabularies_core_Vocabulary$$$Lambda$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_Vocabulary$$$Lambda$1;
class $c_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1 extends $c_O {
  init___() {
    return this
  };
  resolver__Lamf_core_Root__sci_Map__Lamf_core_parser_ParserContext__Lamf_plugins_document_vocabularies_spec_ReferenceResolver(root, references, ctx) {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_document_vocabularies_core_Vocabulary$().externals$3]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return new $c_Lamf_plugins_document_vocabularies_spec_BasicResolver().init___Lamf_core_Root__sci_List__sci_Map__Lamf_core_parser_ParserContext(root, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf), references, ctx)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1: 0
}, false, "amf.plugins.document.vocabularies.core.VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1", {
  Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_ResolverFactory: 1
});
$c_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1;
class $c_Lamf_plugins_document_vocabularies_core_VocabularyRAMLRefiner extends $c_O {
  init___() {
    return this
  };
  refine__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__V(voc) {
    const vtop = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(voc, $m_s_None$());
    vtop.classTerms__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, vtop$1) {
      return (function(c$2) {
        const c = c$2;
        const elem = $m_sci_Nil$();
        const props = new $c_sr_ObjectRef().init___O(elem);
        vtop$1.propertyTerms__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, props$1, c$1) {
          return (function(p$2) {
            const p = p$2;
            p.domainEntity$1.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().domain$4).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, props$1$1, c$1$1, p$1) {
              return (function(d$2) {
                const d = d$2;
                const that = c$1$1.domainEntity$1.id$1;
                if ((d === that)) {
                  const this$2 = props$1$1.elem$1;
                  const x = p$1.domainEntity$1.id$1;
                  props$1$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(x, this$2)
                }
              })
            })($this$1, props$1, c$1, p)));
            if (c$1.domainEntity$1.fields$1.raw__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_core_ClassTerm$().properties$4.field__Lamf_core_metamodel_Field()).isEmpty__Z()) {
              const this$3 = c$1.domainEntity$1;
              const field = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$().properties$4.field__Lamf_core_metamodel_Field();
              const values = props$1.elem$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$3, field, values)
            } else {
              return (void 0)
            }
          })
        })($this, props, c)))
      })
    })(this, vtop)))
  };
}
const $d_Lamf_plugins_document_vocabularies_core_VocabularyRAMLRefiner = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_VocabularyRAMLRefiner: 0
}, false, "amf.plugins.document.vocabularies.core.VocabularyRAMLRefiner", {
  Lamf_plugins_document_vocabularies_core_VocabularyRAMLRefiner: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_RamlRefiner: 1
});
$c_Lamf_plugins_document_vocabularies_core_VocabularyRAMLRefiner.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_VocabularyRAMLRefiner;
class $c_Lamf_plugins_document_vocabularies_core_VocabularyRefiner extends $c_O {
  init___() {
    return this
  };
  refine__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_ReferenceResolver__V(voc, resolver) {
    const jsx$4 = voc.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().classTerms$3);
    const jsx$3 = voc.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().propertyTerms$3);
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resolver$1) {
      return (function(vocabularyTerm$2) {
        const vocabularyTerm = vocabularyTerm$2;
        const thiz = vocabularyTerm.id$1;
        if (((thiz.indexOf("#") | 0) !== (-1))) {
          const thiz$1 = vocabularyTerm.id$1;
          const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$1, "#", 0);
          const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
          const fragment = $f_sc_IndexedSeqOptimized__last__O(this$6);
          if (((fragment.indexOf(".") | 0) > (-1))) {
            const x1 = resolver$1.resolveRef__T__s_Option(fragment);
            if ($is_s_Some(x1)) {
              const x2 = x1;
              const resolvedId = x2.value$2;
              vocabularyTerm.id$1 = resolvedId
            } else {
              const x = $m_s_None$();
              if ((!(x === x1))) {
                throw new $c_s_MatchError().init___O(x1)
              }
            }
          }
        }
      })
    })(this, resolver));
    const this$9 = $m_sc_Seq$();
    jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$9.ReusableCBFInstance$2);
    if ($is_Lamf_plugins_document_vocabularies_spec_BasicResolver(resolver)) {
      const x2$1 = resolver;
      const this$13 = x2$1.resolvedExternals$1;
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(resolvedId$2) {
          const resolvedId$1 = resolvedId$2;
          const entity = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), new $c_Lamf_plugins_document_vocabularies_spec_DialectNode().init___T__Lamf_core_vocabulary_Namespace("ExternalEntity", $m_Lamf_core_vocabulary_Namespace$().Meta$1), new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
          entity.id$1 = resolvedId$1;
          return entity
        })
      })(this));
      const this$12 = $m_scm_Set$();
      const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$12);
      const externalEntities = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$13, f, bf);
      const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().externalTerms$3.field__Lamf_core_metamodel_Field();
      const values = $m_sci_Seq$().apply__sc_Seq__sc_GenTraversable($f_scm_SetLike__toSeq__sc_Seq(externalEntities)).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$23$2) {
          const x$23 = x$23$2;
          return x$23.id$1
        })
      })(this)), $m_s_math_Ordering$String$());
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(voc, field, values)
    };
    const jsx$8 = voc.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().classTerms$3);
    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, voc$1) {
      return (function(classTerm$2) {
        const classTerm = classTerm$2;
        const jsx$7 = classTerm.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_ClassTerm$().properties$4);
        const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, voc$1$1, classTerm$1) {
          return (function(property$2) {
            const property = property$2;
            const this$14 = $this$1.getOrCreateProperty__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(voc$1$1, property);
            let xo;
            if (this$14.isEmpty__Z()) {
              xo = $m_s_None$()
            } else {
              const arg1 = this$14.get__O();
              const propertyTerm = arg1;
              propertyTerm.addValue__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__V($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().domain$4, classTerm$1.id$1);
              xo = new $c_s_Some().init___O((void 0))
            };
            return xo.toList__sci_List()
          })
        })(this$4$1, voc$1, classTerm));
        const this$16 = $m_sc_Seq$();
        return jsx$7.flatMap__F1__scg_CanBuildFrom__O(jsx$6, this$16.ReusableCBFInstance$2)
      })
    })(this, voc));
    const this$17 = $m_sc_Seq$();
    jsx$8.flatMap__F1__scg_CanBuildFrom__O(jsx$5, this$17.ReusableCBFInstance$2)
  };
  getOrCreateProperty__p1__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(voc, property) {
    const this$1 = voc.mapElementWithId__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__s_Option($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().propertyTerms$3, property);
    if (this$1.isEmpty__Z()) {
      const prop = new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$(), new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
      prop.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
      $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(prop, property);
      voc.fields$1.addWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Fields($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().propertyTerms$3.field__Lamf_core_metamodel_Field(), prop);
      return new $c_s_Some().init___O(prop)
    } else {
      return this$1
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_core_VocabularyRefiner = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_VocabularyRefiner: 0
}, false, "amf.plugins.document.vocabularies.core.VocabularyRefiner", {
  Lamf_plugins_document_vocabularies_core_VocabularyRefiner: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_Refiner: 1
});
$c_Lamf_plugins_document_vocabularies_core_VocabularyRefiner.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_VocabularyRefiner;
class $c_Lamf_plugins_document_vocabularies_references_RAMLExtensionsReferenceHandler extends $c_O {
  constructor() {
    super();
    this.references$1 = null
  };
  init___() {
    this.references$1 = new $c_scm_ArrayBuffer().init___();
    return this
  };
  libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(document, ctx) {
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = document.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("uses");
      if ((!this$2.isEmpty__Z())) {
        const arg1 = this$2.get__O();
        const entry = arg1;
        const this$3 = entry.value$1;
        const conversion$1 = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
        if ($is_s_util_Right(x1$1)) {
          const x2$1 = x1$1;
          const m = x2$1.value$2;
          m.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(entry$2$2) {
              const entry$2 = entry$2$2;
              return $this.library__p1__Lorg_yaml_model_YMapEntry__scm_ArrayBuffer(entry$2)
            })
          })(this)))
        } else {
          ctx.violation__T__T__Lorg_yaml_model_YPart__V("", new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected map but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry.value$1])), entry.value$1)
        }
      }
    }
  };
  links__p1__Lorg_yaml_model_YPart__V(part) {
    matchEnd5: {
      if ($is_Lorg_yaml_model_YMapEntry(part)) {
        const x2 = part;
        if ((x2.key$1.tag__Lorg_yaml_model_YTag().text$2 === "!extend")) {
          this.ramlInclude__p1__Lorg_yaml_model_YNode__scm_ArrayBuffer(x2.value$1);
          (void 0)
        } else {
          part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(part$2$2) {
              const part$2 = part$2$2;
              $this.links__p1__Lorg_yaml_model_YPart__V(part$2)
            })
          })(this)));
          (void 0)
        };
        break matchEnd5
      };
      if ($is_Lorg_yaml_model_YNode(part)) {
        const x3 = part;
        const x = x3.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
        if ((x === x$2)) {
          this.ramlInclude__p1__Lorg_yaml_model_YNode__scm_ArrayBuffer(x3);
          break matchEnd5
        }
      };
      part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(part$3$2) {
          const part$3 = part$3$2;
          this$2.links__p1__Lorg_yaml_model_YPart__V(part$3)
        })
      })(this)))
    }
  };
  ramlInclude__p1__Lorg_yaml_model_YNode__scm_ArrayBuffer(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      return this.references$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lamf_core_parser_Reference().init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(x2.text$3, $m_Lamf_core_parser_LinkReference$(), node))
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected !include with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.value__Lorg_yaml_model_YValue()]))))
    }
  };
  library__p1__Lorg_yaml_model_YMapEntry__scm_ArrayBuffer(entry) {
    const jsx$1 = this.references$1;
    $m_Lorg_yaml_model_YNode$();
    const node = entry.value$1;
    return jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lamf_core_parser_Reference().init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), $m_Lamf_core_parser_LibraryReference$(), entry.value$1))
  };
  referencesDialect__p1__T__Z(mt) {
    const io = (mt.indexOf("|") | 0);
    if ((io > 0)) {
      const beginIndex = ((1 + io) | 0);
      const msk = mt.substring(beginIndex);
      const si = (msk.indexOf("<") | 0);
      const se = (msk.lastIndexOf(">") | 0);
      return ((si > 0) && (se > si))
    };
    return false
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__sc_Seq(parsed, ctx) {
    if (parsed.comment$1.isDefined__Z()) {
      if (this.referencesDialect__p1__T__Z(parsed.comment$1.get__O().metaText$3)) {
        this.references$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lamf_core_parser_Reference().init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode($m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$().dialectDefinitionUrl__T__T(parsed.comment$1.get__O().metaText$3), $m_Lamf_core_parser_SchemaReference$(), parsed.document$1.node$3))
      }
    };
    this.libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx);
    this.links__p1__Lorg_yaml_model_YPart__V(parsed.document$1);
    return this.references$1
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__s_concurrent_Future(reference, ctx, context) {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference)
  };
}
const $d_Lamf_plugins_document_vocabularies_references_RAMLExtensionsReferenceHandler = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_references_RAMLExtensionsReferenceHandler: 0
}, false, "amf.plugins.document.vocabularies.references.RAMLExtensionsReferenceHandler", {
  Lamf_plugins_document_vocabularies_references_RAMLExtensionsReferenceHandler: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_plugins_document_vocabularies_references_RAMLExtensionsReferenceHandler.prototype.$classData = $d_Lamf_plugins_document_vocabularies_references_RAMLExtensionsReferenceHandler;
class $c_Lamf_plugins_document_vocabularies_resolution_DialectsResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    model.fields__Lamf_core_parser_Fields().remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_BaseUnitModel$().DescribedBy$1);
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    return this.model$1.get__O()
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_DialectsResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_DialectsResolutionPipeline: 0
}, false, "amf.plugins.document.vocabularies.resolution.DialectsResolutionPipeline", {
  Lamf_plugins_document_vocabularies_resolution_DialectsResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_DialectsResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_DialectsResolutionPipeline;
class $c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  visit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Z(entity, prop) {
    return (!(!(0, this.f$1)(entity, prop)))
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_BasicNameProvider$$Lambda$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_BasicNameProvider$$Lambda$1: 0
}, false, "amf.plugins.document.vocabularies.spec.BasicNameProvider$$Lambda$1", {
  Lamf_plugins_document_vocabularies_spec_BasicNameProvider$$Lambda$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_DomainEntityVisitor: 1
});
$c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider$$Lambda$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_BasicNameProvider$$Lambda$1;
const $f_Lamf_plugins_document_vocabularies_spec_Builtins__localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T = (function($thiz, refValue, property) {
  const this$1 = $thiz.id2b__scm_HashMap();
  const x1 = this$1.get__O__s_Option(refValue);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    return v
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    return refValue
  }
});
const $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins = (function($thiz, id, builtin, t) {
  $thiz.b2id__scm_HashMap().put__O__O__s_Option(builtin, id);
  $thiz.id2t__scm_HashMap().put__O__O__s_Option(id, t);
  $thiz.id2b__scm_HashMap().put__O__O__s_Option(id, builtin);
  return $thiz
});
const $f_Lamf_plugins_document_vocabularies_spec_Builtins__$$init$__V = (function($thiz) {
  $thiz.amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$b2id$und$eq__scm_HashMap__V($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
  $thiz.amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2b$und$eq__scm_HashMap__V($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
  $thiz.amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2t$und$eq__scm_HashMap__V($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
  $thiz.amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$referencedDocuments$und$eq__sci_Map__V($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()))
});
class $c_Lamf_plugins_document_vocabularies_spec_DocumentKind$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_DocumentKind$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DocumentKind$: 0
}, false, "amf.plugins.document.vocabularies.spec.DocumentKind$", {
  Lamf_plugins_document_vocabularies_spec_DocumentKind$: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_DialectKind: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DocumentKind$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DocumentKind$;
let $n_Lamf_plugins_document_vocabularies_spec_DocumentKind$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_DocumentKind$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_DocumentKind$)) {
    $n_Lamf_plugins_document_vocabularies_spec_DocumentKind$ = new $c_Lamf_plugins_document_vocabularies_spec_DocumentKind$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_DocumentKind$
});
class $c_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator extends $c_O {
  constructor() {
    super();
    this.dialectPropertyMapping$1 = null;
    this.valueMap$1 = null;
    this.defaultValue$1 = null
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__scm_Map(dialectPropertyMapping, valueMap) {
    this.dialectPropertyMapping$1 = dialectPropertyMapping;
    this.valueMap$1 = valueMap;
    this.defaultValue$1 = $m_s_None$();
    return this
  };
  calcTypes__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__sci_List(domainEntity) {
    const field = this.dialectPropertyMapping$1.field__Lamf_core_metamodel_Field();
    const x1 = domainEntity.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field);
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      return this.calcScalar__p1__Lamf_core_model_domain_AmfScalar__sci_List(x2)
    } else if ($is_Lamf_core_model_domain_AmfArray(x1)) {
      const x3 = x1;
      return this.calcArray__p1__Lamf_core_model_domain_AmfArray__sci_List(x3)
    } else {
      return $m_sci_Nil$()
    }
  };
  add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator(n, v) {
    this.valueMap$1.put__O__O__s_Option(n, v);
    return this
  };
  calcScalar__p1__Lamf_core_model_domain_AmfScalar__sci_List(scalar) {
    const dv = scalar.toString__T();
    if (this.valueMap$1.contains__O__Z(dv)) {
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.valueMap$1.apply__O__O(dv)]);
      const this$2 = $m_sci_List$();
      const cbf = this$2.ReusableCBFInstance$2;
      return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
    } else {
      const x1 = this.defaultValue$1;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const $default = x2.value$2;
        $m_sci_List$();
        const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$default]);
        const this$4 = $m_sci_List$();
        const cbf$1 = this$4.ReusableCBFInstance$2;
        return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1)
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          return $m_sci_Nil$()
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  };
  calcArray__p1__Lamf_core_model_domain_AmfArray__sci_List(arr) {
    const elem = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const buf = new $c_sr_ObjectRef().init___O(elem);
    const jsx$2 = arr.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, buf$1) {
      return (function(member$2) {
        const member = member$2;
        const this$2 = $this.valueMap$1.get__O__s_Option(member.toString__T());
        let xo;
        if (this$2.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const iri = arg1;
          buf$1.elem$1 = buf$1.elem$1.$$plus__O__sc_Set(iri);
          xo = new $c_s_Some().init___O((void 0))
        };
        return xo.toList__sci_List()
      })
    })(this, buf));
    const this$4 = $m_sc_Seq$();
    jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    if ((buf.elem$1.isEmpty__Z() && this.defaultValue$1.isDefined__Z())) {
      buf.elem$1 = buf.elem$1.$$plus__O__sc_Set(this.defaultValue$1.get__O())
    };
    const this$5 = buf.elem$1;
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$5, cbf)
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator: 0
}, false, "amf.plugins.document.vocabularies.spec.FieldValueDiscriminator", {
  Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_TypeCalculator: 1
});
$c_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator;
class $c_Lamf_plugins_document_vocabularies_spec_FragmentKind$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_FragmentKind$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_FragmentKind$: 0
}, false, "amf.plugins.document.vocabularies.spec.FragmentKind$", {
  Lamf_plugins_document_vocabularies_spec_FragmentKind$: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_DialectKind: 1
});
$c_Lamf_plugins_document_vocabularies_spec_FragmentKind$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_FragmentKind$;
let $n_Lamf_plugins_document_vocabularies_spec_FragmentKind$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_FragmentKind$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_FragmentKind$)) {
    $n_Lamf_plugins_document_vocabularies_spec_FragmentKind$ = new $c_Lamf_plugins_document_vocabularies_spec_FragmentKind$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_FragmentKind$
});
class $c_Lamf_plugins_document_vocabularies_spec_ModuleKind$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_ModuleKind$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_ModuleKind$: 0
}, false, "amf.plugins.document.vocabularies.spec.ModuleKind$", {
  Lamf_plugins_document_vocabularies_spec_ModuleKind$: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_DialectKind: 1
});
$c_Lamf_plugins_document_vocabularies_spec_ModuleKind$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_ModuleKind$;
let $n_Lamf_plugins_document_vocabularies_spec_ModuleKind$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_ModuleKind$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_ModuleKind$)) {
    $n_Lamf_plugins_document_vocabularies_spec_ModuleKind$ = new $c_Lamf_plugins_document_vocabularies_spec_ModuleKind$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_ModuleKind$
});
class $c_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$ extends $c_O {
  constructor() {
    super();
    this.referencedDocuments$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$ = this;
    this.referencedDocuments$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  resolveRef__T__s_Option(ref) {
    return $m_s_None$()
  };
  resolveToEntity__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    return $m_s_None$()
  };
  resolve__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    return $m_s_None$()
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$: 0
}, false, "amf.plugins.document.vocabularies.spec.NullReferenceResolver$", {
  Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_ReferenceResolver: 1
});
$c_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$;
let $n_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$)) {
    $n_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$ = new $c_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_NullReferenceResolver$
});
class $c_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ extends $c_O {
  init___() {
    return this
  };
  ref__T__Lorg_yaml_model_YDocument$PartBuilder__V(url, b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("$ref", url, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
}
const $d_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_OasRefEmitter$: 0
}, false, "amf.plugins.document.webapi.contexts.OasRefEmitter$", {
  Lamf_plugins_document_webapi_contexts_OasRefEmitter$: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RefEmitter: 1
});
$c_Lamf_plugins_document_webapi_contexts_OasRefEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_OasRefEmitter$;
let $n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$)) {
    $n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = new $c_Lamf_plugins_document_webapi_contexts_OasRefEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$
});
class $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext {
  constructor() {
    super();
    this.vendor$2 = null;
    this.factory$2 = null
  };
  localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(reference) {
    return this.factory$2.tagToReferenceEmitter__F3().apply__O__O__O__O(reference, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(reference), $m_sci_Nil$())
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$2
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.vendor$2 = $m_Lamf_core_remote_Oas$();
    this.factory$2 = new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory().init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this);
    return this
  };
  factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory() {
    return this.factory$2
  };
}
const $d_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.OasSpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext;
class $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory extends $c_O {
  constructor() {
    super();
    this.spec$1 = null
  };
  tagToReferenceEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(target$2, label$2, reference$2) {
        const target = target$2;
        const label = label$2;
        const reference = reference$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(target, label, reference, $this.spec$1)
      })
    })(this))
  };
  facetsInstanceEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(shapeExtension$2, ordering$2) {
        const shapeExtension = shapeExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter().init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, $this.spec$1)
      })
    })(this))
  };
  annotationTypeEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(property$2, ordering$2) {
        const property = property$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter().init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, $this.spec$1)
      })
    })(this))
  };
  annotationEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(domainExtension$2, ordering$2) {
        const domainExtension = domainExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter().init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, $this.spec$1)
      })
    })(this))
  };
  customFacetsEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(f$2, ordering$2, references$2) {
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, $this.spec$1)
      })
    })(this))
  };
  parametrizedSecurityEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(parametrizedScheme$2, ordering$2) {
        const parametrizedScheme = parametrizedScheme$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering(parametrizedScheme, ordering)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(spec) {
    this.spec$1 = spec;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory: 0
}, false, "amf.plugins.document.webapi.contexts.OasSpecEmitterFactory", {
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory;
class $c_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ extends $c_O {
  init___() {
    return this
  };
  ref__T__Lorg_yaml_model_YDocument$PartBuilder__V(url, b) {
    const node = $m_Lorg_yaml_model_YNode$().include__T__Lorg_yaml_model_YNode$MutRef(url);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
}
const $d_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlRefEmitter$: 0
}, false, "amf.plugins.document.webapi.contexts.RamlRefEmitter$", {
  Lamf_plugins_document_webapi_contexts_RamlRefEmitter$: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RefEmitter: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$;
let $n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$)) {
    $n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = new $c_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$
});
class $c_Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext {
  localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(reference) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter().init___Lamf_core_model_domain_Linkable(reference)
  };
}
const $f_Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter__$$init$__V = (function($thiz) {
  const this$1 = $thiz.label__s_Option();
  $thiz.amf$plugins$document$webapi$contexts$TagToReferenceEmitter$$undsetter$und$referenceLabel$und$eq__T__V((this$1.isEmpty__Z() ? $thiz.target__Lamf_core_model_domain_DomainElement().id__T() : this$1.get__O()))
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 AnnotationTypeDeclaration");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20AnnotationTypeDeclaration$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 DataType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20DataType$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 DocumentationItem");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20DocumentationItem$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionType$1, "2.0 Extension");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Extension$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, "swagger", "2.0");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Header$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 NamedExample");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20NamedExample$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionType$1, "2.0 Overlay");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Overlay$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 ResourceType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20ResourceType$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 SecurityScheme");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20SecurityScheme$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 Trait");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Trait$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations extends $c_Lamf_core_parser_Declarations {
  constructor() {
    super();
    this.shapes$2 = null;
    this.resourceTypes$2 = null;
    this.parameters$2 = null;
    this.payloads$2 = null;
    this.traits$2 = null;
    this.securitySchemes$2 = null;
    this.responses$2 = null;
    this.errorHandler$2 = null;
    this.futureDeclarations$2 = null
  };
  findDocumentations__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findEquivalent__Lamf_core_model_domain_DomainElement__s_Option(element) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(element)) {
      const x2 = element;
      return this.findResourceType__T__Lamf_core_parser_SearchScope$Scope__s_Option(x2.name__T(), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(element)) {
      const x3 = element;
      return this.findTrait__p2__T__Lamf_core_parser_SearchScope$Scope__s_Option(x3.name__T(), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_core_model_domain_Shape(element)) {
      const x4 = element;
      return this.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(x4.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_Parameter(element)) {
      const x5 = element;
      return this.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(element)) {
      const x6 = element;
      return this.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(x6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_Response(element)) {
      const x7 = element;
      return this.findResponse__T__Lamf_core_parser_SearchScope$Scope__s_Option(x7.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1), $m_Lamf_core_parser_SearchScope$All$())
    } else {
      return $c_Lamf_core_parser_Declarations.prototype.findEquivalent__Lamf_core_model_domain_DomainElement__s_Option.call(this, element)
    }
  };
  $$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations(element) {
    return this.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(element)
  };
  findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.shapes$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  declarables__sc_Seq() {
    const jsx$10 = $c_Lamf_core_parser_Declarations.prototype.declarables__sc_Seq.call(this).toList__sci_List();
    const this$1 = this.shapes$2;
    const this$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    const this$2 = this.resourceTypes$2;
    const that = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$2);
    const this$3 = $m_sc_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    const jsx$9 = $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this$4, that, bf);
    const this$5 = this.traits$2;
    const jsx$8 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$5);
    const this$6 = $m_sc_Iterable$();
    const jsx$7 = jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$6.ReusableCBFInstance$2);
    const this$7 = this.parameters$2;
    const jsx$6 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$7);
    const this$8 = $m_sc_Iterable$();
    const jsx$5 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$8.ReusableCBFInstance$2);
    const this$9 = this.securitySchemes$2;
    const jsx$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
    const this$10 = $m_sc_Iterable$();
    const jsx$3 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$10.ReusableCBFInstance$2);
    const this$11 = this.responses$2;
    const jsx$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$11);
    const this$12 = $m_sc_Iterable$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$12.ReusableCBFInstance$2).toList__sci_List();
    const this$13 = $m_sci_List$();
    return jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$13.ReusableCBFInstance$2)
  };
  findResourceType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.resourceTypes$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.securitySchemes$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(parameter, payload) {
    const jsx$1 = this.parameters$2;
    const self = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    this.parameters$2 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, parameter));
    const jsx$2 = this.payloads$2;
    const self$1 = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    this.payloads$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, payload))
  };
  getOrCreateLibrary__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(alias) {
    const x1 = this.libraries$1.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lib = x2.value$2;
      if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(lib)) {
        const x3 = lib;
        return x3
      }
    };
    const x$8 = this.errorHandler$2;
    const x$9 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
    const x$10 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$11 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$12 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$13 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$14 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$15 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$16 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$17 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$18 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$19 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations().init___sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$10, x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$18, x$19, x$8, x$9);
    this.libraries$1 = this.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, result));
    return result
  };
  findResponse__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.responses$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(ast, key, scope) {
    const x1 = this.findTrait__p2__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Trait ", " not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$()
    }
  };
  $$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(element) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(element)) {
      const x2 = element;
      const this$1 = this.futureDeclarations$2;
      const name = x2.name__T();
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$1, name, x2);
      const jsx$1 = this.resourceTypes$2;
      const self = x2.name__T();
      this.resourceTypes$2 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, x2))
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(element)) {
      const x3 = element;
      const this$4 = this.futureDeclarations$2;
      const name$1 = x3.name__T();
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$4, name$1, x3);
      const jsx$2 = this.traits$2;
      const self$1 = x3.name__T();
      this.traits$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, x3))
    } else if ($is_Lamf_core_model_domain_Shape(element)) {
      const x4 = element;
      const this$7 = this.futureDeclarations$2;
      const name$2 = x4.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$7, name$2, x4);
      const jsx$3 = this.shapes$2;
      const self$2 = x4.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      this.shapes$2 = jsx$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$2, x4))
    } else if ($is_Lamf_plugins_domain_webapi_models_Parameter(element)) {
      const x5 = element;
      const this$10 = this.futureDeclarations$2;
      const name$3 = x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$10, name$3, x5);
      const jsx$4 = this.parameters$2;
      const self$3 = x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
      this.parameters$2 = jsx$4.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$3, x5))
    } else if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(element)) {
      const x6 = element;
      const this$13 = this.futureDeclarations$2;
      const name$4 = x6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$13, name$4, x6);
      const jsx$5 = this.securitySchemes$2;
      const self$4 = x6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
      this.securitySchemes$2 = jsx$5.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$4, x6))
    } else if ($is_Lamf_plugins_domain_webapi_models_Response(element)) {
      const x7 = element;
      const this$16 = this.futureDeclarations$2;
      const name$5 = x7.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$16, name$5, x7);
      const jsx$6 = this.responses$2;
      const self$5 = x7.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
      this.responses$2 = jsx$6.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$5, x7))
    } else {
      $c_Lamf_core_parser_Declarations.prototype.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations.call(this, element)
    };
    return this
  };
  findResponseOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_Response(ast, key, searchScope) {
    const x1 = this.findResponse__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, searchScope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Response '", "' not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$()
    }
  };
  findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.parameters$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(ast, key, scope) {
    const x1 = this.findResourceType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["ResourceType ", " not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$()
    }
  };
  findSecuritySchemeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_security_SecurityScheme(ast, key, scope) {
    const x1 = this.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["SecurityScheme '", "' not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$()
    }
  };
  getOrCreateLibrary__T__Lamf_core_parser_Declarations(alias) {
    return this.getOrCreateLibrary__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(alias)
  };
  findNamedExample__T__s_Option(key) {
    const this$1 = this.fragments$1.get__O__s_Option(key);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findTrait__p2__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.traits$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  init___sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(libs, frags, shapes, anns, resourceTypes, parameters, payloads, traits, securitySchemes, responses, errorHandler, futureDeclarations) {
    this.shapes$2 = shapes;
    this.resourceTypes$2 = resourceTypes;
    this.parameters$2 = parameters;
    this.payloads$2 = payloads;
    this.traits$2 = traits;
    this.securitySchemes$2 = securitySchemes;
    this.responses$2 = responses;
    this.errorHandler$2 = errorHandler;
    this.futureDeclarations$2 = futureDeclarations;
    $c_Lamf_core_parser_Declarations.prototype.init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations.call(this, libs, frags, anns, errorHandler, futureDeclarations);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations: 1,
  Lamf_core_parser_Declarations: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations;
class $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField extends $c_O {
  constructor() {
    super();
    this.target$1 = null;
    this.field$1 = null;
    this.iv$1 = null;
    this.annotations$1 = null;
    this.mapped$1 = null;
    this.typed$1 = null;
    this.single$1 = false;
    this.entries$1 = false;
    this.annotated$1 = false;
    this.opt$1 = false;
    this.$$outer$1 = null
  };
  negated__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.typed$1 = new $c_s_Some().init___O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.negated__Lamf_core_model_domain_AmfElement()
      })
    })(this)));
    return this
  };
  createArrayNode__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ArrayNode(node) {
    if (this.single$1) {
      return $m_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, this.iv$1)
    } else if (this.entries$1) {
      return $m_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, this.iv$1)
    } else {
      const iv = this.iv$1;
      return new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv)
    }
  };
  apply__O__O(v1) {
    this.apply__Lorg_yaml_model_YMapEntry__V(v1)
  };
  parseScalar__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, element) {
    let scalar;
    if (this.annotated$1) {
      scalar = this.parseScalarValued__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ScalarNode(node)
    } else {
      const iv = this.iv$1;
      scalar = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv)
    };
    if (this.typed$1.isDefined__Z()) {
      return this.typed$1.get__O().apply__O__O(scalar)
    } else {
      const x = $m_Lamf_core_metamodel_Type$Int$();
      if (x.equals__O__Z(element)) {
        return scalar.integer__Lamf_core_model_domain_AmfScalar()
      } else {
        const x$3 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$3.equals__O__Z(element)) {
          return scalar.$boolean__Lamf_core_model_domain_AmfScalar()
        } else {
          return scalar.text__Lamf_core_model_domain_AmfScalar()
        }
      }
    }
  };
  withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(a) {
    this.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(a);
    return this
  };
  parseScalarValued__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ScalarNode(node) {
    const result = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(node, this.iv$1);
    const jsx$4 = this.annotations$1;
    const jsx$3 = $m_Lamf_core_parser_Annotations$();
    const jsx$2 = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().collectDomainExtensions__T__Lamf_core_parser_ScalarNode__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(null, result, this.iv$1);
    const jsx$1 = $m_Lamf_core_annotations_DomainExtensionAnnotation$();
    const this$1 = $m_sc_Seq$();
    jsx$4.$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(jsx$3.apply__sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)));
    return result
  };
  init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext($$outer, target, field, iv) {
    this.target$1 = target;
    this.field$1 = field;
    this.iv$1 = iv;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    this.mapped$1 = $m_s_None$();
    this.typed$1 = $m_s_None$();
    this.single$1 = false;
    this.entries$1 = false;
    this.annotated$1 = false;
    this.opt$1 = false;
    return this
  };
  toString__T() {
    return "<function1>"
  };
  allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.annotated$1 = true;
    return this
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!(this.apply__Lorg_yaml_model_YMapEntry__V(v1), (void 0))))
  };
  treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.entries$1 = true;
    return this
  };
  allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.single$1 = true;
    return this
  };
  using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(fn) {
    this.mapped$1 = new $c_s_Some().init___O(fn);
    return this
  };
  parseArray__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, element) {
    const array = this.createArrayNode__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ArrayNode(node);
    if (($is_Lamf_core_metamodel_Obj(element) && this.mapped$1.isDefined__Z())) {
      return array.obj__F1__Lamf_core_model_domain_AmfArray(this.mapped$1.get__O())
    } else if (this.typed$1.isDefined__Z()) {
      return this.typed$1.get__O().apply__O__O(array)
    } else {
      const x = $m_Lamf_core_metamodel_Type$Int$();
      if (x.equals__O__Z(element)) {
        return array.integer__Lamf_core_model_domain_AmfArray()
      } else {
        const x$3 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$3.equals__O__Z(element)) {
          return array.$boolean__Lamf_core_model_domain_AmfArray()
        } else {
          return array.text__Lamf_core_model_domain_AmfArray()
        }
      }
    }
  };
  apply__Lorg_yaml_model_YMapEntry__V(entry) {
    const node = entry.value$1;
    const this$1 = entry.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((!((x === x1) && this.opt$1))) {
      const x1$2 = this.field$1.type$1;
      let value;
      if (($is_Lamf_core_metamodel_Obj(x1$2) && this.mapped$1.isDefined__Z())) {
        value = this.mapped$1.get__O().apply__O__O(node)
      } else if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$2)) {
        const x2 = x1$2;
        const o10 = new $c_s_Some().init___O(x2.element__Lamf_core_metamodel_Type());
        const element = o10.value$2;
        value = this.parseArray__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, element)
      } else {
        value = this.parseScalar__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, x1$2)
      };
      this.target$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, entry$1, value$1) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          const field = $this.field$1;
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1).$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations($this.annotations$1);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(x$3, field, value$1, annotations)
        })
      })(this, entry, value)))
    }
  };
  optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.opt$1 = true;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SpecParserOps$ObjectField", {
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField: 1,
  O: 1,
  F1: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType {
  constructor() {
    super();
    this.typeDef$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = this;
    this.typeDef$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
    return this
  };
  typeDef__Lamf_plugins_domain_shapes_models_TypeDef() {
    return this.typeDef$2
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AnyDefaultType$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$ extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType {
  constructor() {
    super();
    this.typeDef$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$ = this;
    this.typeDef$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
    return this
  };
  typeDef__Lamf_plugins_domain_shapes_models_TypeDef() {
    return this.typeDef$2
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.NilDefaultType$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  parseInheritance__V() {
    const this$1 = this.$$outer$1;
    const map = this.map__Lorg_yaml_model_YMap();
    const this$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option(this$1, map);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__Lamf_core_model_domain_Shape(this.$$outer$1, entry, this.shape__Lamf_core_model_domain_Shape()).parse__V()
    }
  };
  parse__Lamf_core_model_domain_Shape() {
    this.parseInheritance__V();
    const map = this.map__Lorg_yaml_model_YMap();
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map__Lorg_yaml_model_YMap();
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map__Lorg_yaml_model_YMap();
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this$6.key__T__s_Option("default");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const this$8 = entry.value$1;
      const x1 = this$8.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      let jsx$3;
      if ((x === x1)) {
        jsx$3 = true
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
        jsx$3 = (x$3 === x1)
      };
      if (jsx$3) {
        const this$9 = this.shape__Lamf_core_model_domain_Shape();
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(entry.value$1, false), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field$2, value, annotations)
      } else {
        const node = entry.value$1;
        const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$2);
        const this$11 = this.shape__Lamf_core_model_domain_Shape();
        const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const value$2 = value$1.text__Lamf_core_model_domain_AmfScalar();
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field$3, value$2, annotations$1)
      }
    };
    const map$3 = this.map__Lorg_yaml_model_YMap();
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$13 = this.$$outer$1;
    const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
    const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$4.key__T__F1__V("enum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$4, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$4 = this.map__Lorg_yaml_model_YMap();
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$15 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv$4 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$5.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$5, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$5 = this.map__Lorg_yaml_model_YMap();
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$17 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$5 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$6.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$17, field$6, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$6 = this.map__Lorg_yaml_model_YMap();
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const this$19 = this.$$outer$1;
    const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1;
    const iv$6 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$7.key__T__F1__V("(externalDocs)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$19, field$7, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(node$2) {
        const node$1 = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node$1, this$2$1.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this))));
    const map$7 = this.map__Lorg_yaml_model_YMap();
    const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const this$22 = this$21.key__T__s_Option("xml");
    if ((!this$22.isEmpty__Z())) {
      const arg1$1 = this$22.get__O();
      const entry$3 = arg1$1;
      const this$23 = this.shape__Lamf_core_model_domain_Shape();
      const xmlSerializer = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this$23.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_domain_shapes_models_XMLSerializer();
      const this$24 = this.shape__Lamf_core_model_domain_Shape();
      const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1;
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$24, field$8, xmlSerializer, annotations$2)
    };
    const map$8 = this.map__Lorg_yaml_model_YMap();
    const this$26 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8);
    const this$27 = this$26.key__T__s_Option("facets");
    if ((!this$27.isEmpty__Z())) {
      const arg1$2 = this$27.get__O();
      const entry$4 = arg1$2;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1(this.$$outer$1, entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(name$2) {
          const name = name$2;
          return $this.shape__Lamf_core_model_domain_Shape().withCustomShapePropertyDefinition__T__Lamf_core_model_domain_extensions_PropertyShape(name)
        })
      })(this))).parse__sc_Seq()
    };
    const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser().init___Lorg_yaml_model_YMap__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext(this.map__Lorg_yaml_model_YMap(), "example", "examples", this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__sc_Seq();
    if (examples.nonEmpty__Z()) {
      const this$28 = this.shape__Lamf_core_model_domain_Shape();
      const field$9 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$28, field$9, examples)
    };
    return this.shape__Lamf_core_model_domain_Shape()
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType {
  constructor() {
    super();
    this.typeDef$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = this;
    this.typeDef$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
    return this
  };
  typeDef__Lamf_plugins_domain_shapes_models_TypeDef() {
    return this.typeDef$2
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.StringDefaultType$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(map, ctx) {
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_License() {
    const license = $m_Lamf_plugins_domain_webapi_models_License$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_License(this.map$1);
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("url", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(license));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(license));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(license, this.map$1, this.ctx$1).parse__V();
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(license.id$1, this.map$1, "license", false);
    return license
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.LicenseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(map, ctx) {
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_Organization() {
    const organization = $m_Lamf_plugins_domain_webapi_models_Organization$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Organization(this.map$1);
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("url", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(organization));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(organization));
    const map$2 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("email", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(organization));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(organization, this.map$1, this.ctx$1).parse__V();
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(organization.id$1, this.map$1, "contact", false);
    return organization
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OrganizationParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.parent$1 = null;
    this.collector$1 = null;
    this.parseOptionalOperations$1 = false;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  implicitPathParams__p1__Lamf_plugins_domain_webapi_models_EndPoint__F1__sc_Seq(endpoint, filter) {
    const jsx$2 = $m_Lamf_core_utils_package$TemplateUri$().variables__T__sc_Seq(this.parsePath__T()).filter__F1__O(filter);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, endpoint$1) {
      return (function(variable$2) {
        const variable = variable$2;
        const this$1 = endpoint$1.withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(variable);
        const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
        const this$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, "path");
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
        const implicitParam = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$2, field$1, true);
        const this$5 = implicitParam.withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(variable);
        const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "string").iri__T();
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$2, dataType);
        implicitParam.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
        return implicitParam
      })
    })(this, endpoint));
    const this$6 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
  parsePath__T() {
    const this$1 = this.parent$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$5 = arg1;
      this$2 = new $c_s_Some().init___O(x$5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1))
    };
    return (("" + (this$2.isEmpty__Z() ? "" : this$2.get__O())) + this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1))
  };
  init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.parent$1 = parent;
    this.collector$1 = collector;
    this.parseOptionalOperations$1 = parseOptionalOperations;
    this.ctx$1 = ctx;
    return this
  };
  parseEndpoint__Lamf_plugins_domain_webapi_models_EndPoint__Lorg_yaml_model_YMap__V(endpoint, map) {
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(endpoint.id$1, map, "endPoint", false);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Extends__Lamf_core_metamodel_Field();
    const iv$2 = this.ctx$1;
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint);
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, endpoint$1) {
      return (function(name$2) {
        const name = name$2;
        return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(endpoint$1, name)
      })
    })(this, endpoint));
    jsx$4.key__T__F1__V("is", jsx$3.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, eta$0$1$1) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(eta$0$1$1, node, this$2$1.ctx$1)
      })
    })(this, eta$0$1))).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$6 = this$5.key__T__s_Option("type");
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const entry = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, endpoint$2) {
        return (function(name$2$1) {
          const name$1 = name$2$1;
          return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withResourceType__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(endpoint$2, name$1)
        })
      })(this, endpoint)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$2, entry$1) {
        return (function(key$2, scope$2) {
          const key = key$2;
          const scope = scope$2;
          return this$2$2.ctx$1.declarations$3.findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry$1.value$1, key, scope)
        })
      })(this, entry)), this.ctx$1).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
    };
    const optionalMethod = (this.parseOptionalOperations$1 ? "\\??" : "");
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const expression = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(get|patch|put|post|delete|options|head)", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([optionalMethod]));
    const entries = this$8.regex__T__sc_Iterable(expression);
    if (entries.nonEmpty__Z()) {
      const operations = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, endpoint$2$1, operations$1) {
        return (function(entry$2) {
          const entry$3 = entry$2;
          return operations$1.$$plus$eq__O__scm_ListBuffer($this$2.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().operationParser__F3().apply__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, endpoint$2$2) {
            return (function(method$2) {
              const method = method$2;
              return endpoint$2$2.withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method)
            })
          })($this$2, endpoint$2$1)), $this$2.parseOptionalOperations$1).parse__Lamf_plugins_domain_webapi_models_Operation())
        })
      })(this, endpoint, operations)));
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(operations, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field$3, value)
    };
    const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, endpoint$3) {
      return (function(name$3$2) {
        const name$3 = name$3$2;
        return endpoint$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$3)
      })
    })(this, endpoint));
    const SchemeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, eta$0$2$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(eta$0$2$1, node$3, this$6$1.ctx$1)
      })
    })(this, eta$0$2));
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1;
    const iv$3 = this.ctx$1;
    jsx$5.key__T__F1__V("securedBy", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(SchemeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option($m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_s_None$());
    let elem$1 = null;
    elem$1 = elem;
    const elem$2 = new $c_Lamf_core_parser_Annotations().init___();
    const annotations = new $c_sr_ObjectRef().init___O(elem$2);
    const entries$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).regex__T__sc_Iterable(this.uriParametersKey__T());
    const x = $m_sci_Nil$();
    let implicitExplicitPathParams;
    if (x.equals__O__Z(entries$3)) {
      implicitExplicitPathParams = this.implicitPathParams__p1__Lamf_plugins_domain_webapi_models_EndPoint__F1__sc_Seq(endpoint, this.implicitPathParams$default$2__p1__F1())
    } else {
      const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, endpoint$4, annotations$1, entries$3$1) {
        return (function(entry$3$2) {
          const entry$3$1 = entry$3$2;
          annotations$1.elem$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries$3$1.head__O().value$1);
          const jsx$8 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$7$1.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, endpoint$2$3) {
            return (function(name$2$2) {
              const name$4 = name$2$2;
              return endpoint$2$3.withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$4)
            })
          })(this$7$1, endpoint$4)), false, this$7$1.ctx$1).parse__sc_Seq();
          const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$3) {
            return (function(x$1$2) {
              const x$1 = x$1$2;
              const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$1, field$5, "path")
            })
          })(this$7$1));
          const this$19 = $m_sc_Seq$();
          const explicitParameters = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$7, this$19.ReusableCBFInstance$2);
          const jsx$9 = this$7$1.implicitPathParams__p1__Lamf_plugins_domain_webapi_models_EndPoint__F1__sc_Seq(endpoint$4, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, explicitParameters$1) {
            return (function(variable$2) {
              const variable = variable$2;
              return (!explicitParameters$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, variable$1) {
                return (function(x$2$2) {
                  const x$2 = x$2$2;
                  return (x$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1) === variable$1)
                })
              })(this$3$1, variable))))
            })
          })(this$7$1, explicitParameters)));
          const this$20 = $m_sc_Seq$();
          return explicitParameters.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$20.ReusableCBFInstance$2)
        })
      })(this, endpoint, annotations, entries$3));
      const this$21 = $m_sc_Iterable$();
      implicitExplicitPathParams = entries$3.flatMap__F1__scg_CanBuildFrom__O(jsx$6, this$21.ReusableCBFInstance$2).toSeq__sc_Seq()
    };
    const jsx$10 = elem$1;
    const x$7 = $m_sci_Nil$();
    const x$8 = $m_sci_Nil$();
    const x$9 = $m_s_None$();
    elem$1 = jsx$10.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(x$7, implicitExplicitPathParams, x$8, x$9));
    const this$26 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$27 = this$26.key__T__s_Option("(parameters)");
    if ((!this$27.isEmpty__Z())) {
      const arg1$1 = this$27.get__O();
      const entry$4 = arg1$1;
      const jsx$12 = elem$1;
      const jsx$11 = entry$4.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$29 = $m_sc_IndexedSeq$();
      const bf = this$29.ReusableCBF$6;
      elem$1 = jsx$12.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser().init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(jsx$11.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$1), endpoint.id$1, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(this.ctx$1)).parse__Lamf_plugins_document_webapi_parser_spec_domain_Parameters());
      annotations.elem$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1)
    };
    const x1$2 = elem$1;
    matchEnd4$2: {
      if ((x1$2 !== null)) {
        const query = x1$2.query$1;
        const path = x1$2.path$1;
        const header = x1$2.header$1;
        if (elem$1.nonEmpty__Z()) {
          const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
          const this$30 = $m_sc_Seq$();
          const jsx$13 = query.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(path, this$30.ReusableCBFInstance$2);
          const this$31 = $m_sc_Seq$();
          const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$13.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(header, this$31.ReusableCBFInstance$2), annotations.elem$1);
          const annotations$2 = annotations.elem$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$6, value$1, annotations$2);
          break matchEnd4$2
        }
      }
    };
    const this$33 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$34 = this$33.key__T__s_Option("(payloads)");
    if ((!this$34.isEmpty__Z())) {
      const arg1$2 = this$34.get__O();
      const entry$5 = arg1$2;
      const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$5, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, endpoint$2$4) {
        return (function(mediaType$2) {
          const mediaType = mediaType$2;
          return endpoint$2$4.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
        })
      })(this, endpoint)), false, this.ctx$1).parse__Lamf_plugins_domain_webapi_models_Payload()])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5.value$1));
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$7, value$2, annotations$3)
    };
    this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint);
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(endpoint, map, this.ctx$1).parse__V();
    const this$36 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const entries$1 = this$36.regex__T__sc_Iterable("^/.*");
    if (entries$1.nonEmpty__Z()) {
      entries$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$7, endpoint$2$5) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          $this$7.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().endPointParser__F5().apply__O__O__O__O__O__O(x$3, $this$7.producer$1, new $c_s_Some().init___O(endpoint$2$5), $this$7.collector$1, false).parse__V()
        })
      })(this, endpoint)))
    }
  };
  parse__V() {
    const path = this.parsePath__T();
    const this$1 = this.producer$1.apply__O__O(path);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const endpoint = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const this$2 = this.parent$1;
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const p = arg1;
      const annotation = new $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(p);
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(endpoint, annotation))
    };
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(path, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.key$1));
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field, value);
    if ((!$m_Lamf_core_utils_package$TemplateUri$().isValid__T__Z(path))) {
      this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(endpoint.id$1, $m_Lamf_core_utils_package$TemplateUri$().invalidMsg__T__T(path), this.entry$1.value$1)
    };
    const this$3 = this.collector$1;
    const this$4 = this$3.scala$collection$mutable$ListBuffer$$start$6;
    let jsx$1;
    inlinereturn$12: {
      let these = this$4;
      while ((!these.isEmpty__Z())) {
        const arg1$1 = these.head__O();
        const e = arg1$1;
        if ((e.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1) === path)) {
          jsx$1 = true;
          break inlinereturn$12
        };
        these = these.tail__O()
      };
      jsx$1 = false
    };
    if (jsx$1) {
      this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(endpoint.id$1, ("Duplicated resource path " + path), this.entry$1)
    } else {
      const this$5 = this.entry$1.value$1;
      const x1 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x === x1)) {
        this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint)
      } else {
        const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        this.parseEndpoint__Lamf_plugins_domain_webapi_models_EndPoint__Lorg_yaml_model_YMap__V(endpoint, map)
      }
    }
  };
  implicitPathParams$default$2__p1__F1() {
    return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        return true
      })
    })(this))
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null;
    this.request$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parse__s_Option() {
    const target = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser(this);
    const map = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
    const iv = this.ctx$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(target);
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(name$2) {
        const name = name$2;
        return $this.request$1.getOrCreate__O().withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name)
      })
    })(this));
    jsx$2.key__T__F1__V("queryParameters", jsx$1.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$1$1) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(eta$0$1$1, this$2.parseOptional$1, node, this$2.ctx$1)
      })
    })(this, eta$0$1))).treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
    const iv$1 = this.ctx$1;
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(target);
    const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(name$3$2) {
        const name$3 = name$3$2;
        return this$3$1.request$1.getOrCreate__O().withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name$3)
      })
    })(this));
    jsx$4.key__T__F1__V("headers", jsx$3.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, eta$0$2$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(eta$0$2$1, this$4.parseOptional$1, node$3, this$4.ctx$1)
      })
    })(this, eta$0$2))).treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const keyword = this.baseUriParametersKey__T();
    const this$7 = this$6.key__T__s_Option(keyword);
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const jsx$6 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
        return (function(paramEntry$2) {
          const paramEntry = paramEntry$2;
          const eta$0$3 = $this$1.request$1.getOrCreate__O();
          const this$8 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(paramEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, eta$0$3$1) {
            return (function(name$2$1) {
              const name$1 = name$2$1;
              return eta$0$3$1.withBaseUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$1)
            })
          })($this$1, eta$0$3)), $this$1.parseOptional$1, $this$1.ctx$1).parse__Lamf_plugins_domain_webapi_models_Parameter();
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field$2, "path")
        })
      })(this));
      const this$9 = $m_sc_IndexedSeq$();
      const parameters = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$9.ReusableCBF$6);
      const this$10 = this.request$1.getOrCreate__O();
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$10, field$3, value, annotations)
    };
    const map$3 = this.map$1;
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$13 = this$12.key__T__s_Option("body");
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const entry$3 = arg1$1;
      const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$14 = entry$3.value$1;
      const x1 = this$14.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x === x1)) {
        const this$15 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
          return (function(shape$2) {
            const shape = shape$2;
            const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$4, "default").adopted__T__Lamf_core_model_domain_AmfObject($this$3.request$1.getOrCreate__O().id__T())
          })
        })(this)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
        if ((!this$15.isEmpty__Z())) {
          const arg1$2 = this$15.get__O();
          const x$1 = arg1$2;
          const this$16 = this.request$1.getOrCreate__O().withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$16, field$5, x$1))
        }
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
        if ((x$3 === x1)) {
          const this$17 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2) {
            return (function(shape$3$2) {
              const shape$3 = shape$3$2;
              const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$6, "default").adopted__T__Lamf_core_model_domain_AmfObject(this$3$2.request$1.getOrCreate__O().id__T())
            })
          })(this)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
          if ((!this$17.isEmpty__Z())) {
            const arg1$3 = this$17.get__O();
            const x$2$2 = arg1$3;
            const this$18 = this.request$1.getOrCreate__O().withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
            const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
            payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$18, field$7, x$2$2))
          }
        } else {
          const this$19 = entry$3.value$1;
          const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
          const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$19);
          if ($is_s_util_Right(x1$2)) {
            const x2 = x1$2;
            const m = x2.value$2;
            const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m);
            const entries = this$21.regex__T__sc_Iterable(".*/.*");
            if (entries.nonEmpty__Z()) {
              entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, payloads$1) {
                return (function(entry$2) {
                  const entry$1 = entry$2;
                  const jsx$7 = $this$4.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().payloadParser__F3();
                  const eta$0$4 = $this$4.request$1.getOrCreate__O();
                  return payloads$1.$$plus$eq__O__scm_ListBuffer(jsx$7.apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, eta$0$4$1) {
                    return (function(mediaType$2) {
                      const mediaType = mediaType$2;
                      return eta$0$4$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
                    })
                  })($this$4, eta$0$4)), false).parse__Lamf_plugins_domain_webapi_models_Payload())
                })
              })(this, payloads)))
            };
            $m_Lorg_yaml_model_YMap$();
            const c = m.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
              return (function(e$2) {
                const e = e$2;
                const thiz = e.key$1.toString__T();
                if ((thiz === null)) {
                  throw new $c_jl_NullPointerException().init___()
                };
                return (!$m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(".*/.*", thiz))
              })
            })(this)));
            const others = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
            const this$24 = others.entries$3;
            if ($f_sc_TraversableOnce__nonEmpty__Z(this$24)) {
              if (payloads.isEmpty__Z()) {
                const this$25 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
                  return (function(shape$4$2) {
                    const shape$4 = shape$4$2;
                    const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$8, "default").adopted__T__Lamf_core_model_domain_AmfObject(this$7$1.request$1.getOrCreate__O().id__T())
                  })
                })(this)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
                if ((!this$25.isEmpty__Z())) {
                  const arg1$4 = this$25.get__O();
                  const x$3$2 = arg1$4;
                  const this$26 = this.request$1.getOrCreate__O().withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
                  const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
                  payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$26, field$9, x$3$2))
                }
              } else {
                others.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
                  return (function(e$3$2) {
                    const e$3 = e$3$2;
                    this$9$1.ctx$1.violation__T__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected key '", "'. Expecting valid media types."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e$3.key$1])), new $c_s_Some().init___O(e$3))
                  })
                })(this)))
              }
            }
          }
        }
      };
      if (payloads.nonEmpty__Z()) {
        const this$27 = this.request$1.getOrCreate__O();
        const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$27, field$10, value$1, annotations$1)
      }
    };
    this.parse__Lamf_core_utils_Lazy__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__V(this.request$1, target);
    const this$28 = this.request$1;
    return this$28.value$1
  };
  init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$1 = map;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    this.request$1 = new $c_Lamf_core_utils_Lazy().init___F0(producer);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  foreach__F1__V(fn) {
    fn.apply__O__O(this.$$outer$1.request$1.getOrCreate__O())
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlRequestParser$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_Response() {
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const node$1 = this$2.text__Lamf_core_model_domain_AmfScalar();
    const this$3 = this.entry$1.value$1;
    const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    let response;
    if ((x === x1)) {
      const this$4 = this.producer$1.apply__O__O(node$1.toString__T());
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const this$5 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$4, other);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
      response = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$5, field, node$1)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
      let jsx$1;
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Int$1;
        jsx$1 = (x$5 === x1)
      };
      if (jsx$1) {
        const ref = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const qual$1 = this.ctx$1.declarations$3.findResponseOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_Response(this.entry$1.value$1, ref, $m_Lamf_core_parser_SearchScope$All$());
        const x$4$2 = new $c_Lamf_core_parser_Annotations().init___();
        const res = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(qual$1, ref, x$4$2);
        const name = node$1.toString__T();
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
        response = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(res, field$1, name)
      } else {
        const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const this$7 = this.producer$1.apply__O__O(node$1.toString__T());
        const other$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
        const this$8 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$7, other$1);
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
        const res$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$8, field$2, node$1);
        if ((this.parseOptional$1 && $m_sjsr_RuntimeString$().endsWith__T__T__Z(node$1.toString__T(), "?"))) {
          const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Optional$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(res$2, field$3, true);
          const x$1 = node$1.toString__T();
          const this$10 = new $c_sci_StringOps().init___T(x$1);
          const name$1 = $f_sci_StringLike__stripSuffix__T__T(this$10, "?");
          const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(res$2, field$4, name$1);
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(res$2, field$5, name$1)
        };
        const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
        const iv$1 = this.ctx$1;
        jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(res$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
        const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1;
        const iv$2 = this.ctx$1;
        const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(res$2);
        const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, res$2$1) {
          return (function(name$2$2) {
            const name$2 = name$2$2;
            return res$2$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name$2)
          })
        })(this, res$2));
        jsx$4.key__T__F1__V("headers", jsx$3.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, eta$0$1$1) {
          return (function(node$2$2) {
            const node$2 = node$2$2;
            return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(eta$0$1$1, this$2$1.parseOptional$1, node$2, this$2$1.ctx$1)
          })
        })(this, eta$0$1))).treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
        const this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const this$15 = this$14.key__T__s_Option("body");
        if ((!this$15.isEmpty__Z())) {
          const arg1 = this$15.get__O();
          const entry = arg1;
          const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const payload = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          payload.adopted__T__Lamf_plugins_domain_webapi_models_Payload(res$2.id$1);
          const this$19 = entry.value$1;
          const x1$1 = this$19.tag__Lorg_yaml_model_YTag().tagType$2;
          const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
          if ((x$2 === x1$1)) {
            const this$20 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, payload$1) {
              return (function(shape$2) {
                const shape = shape$2;
                const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$8, "default").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
              })
            })(this, payload)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
            if ((!this$20.isEmpty__Z())) {
              const arg1$1 = this$20.get__O();
              const schema = arg1$1;
              schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
              const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
              payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$9, schema))
            };
            const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
            const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
            const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res$2, field$10, value, annotations$1)
          } else {
            const x$3$1 = $m_Lorg_yaml_model_YType$().Str$1;
            if ((x$3$1 === x1$1)) {
              const this$21 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, payload$2) {
                return (function(shape$3$2) {
                  const shape$3 = shape$3$2;
                  const field$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$11, "default").adopted__T__Lamf_core_model_domain_AmfObject(payload$2.id$1)
                })
              })(this, payload)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
              if ((!this$21.isEmpty__Z())) {
                const arg1$2 = this$21.get__O();
                const x$1$1 = arg1$2;
                const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
                payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$12, x$1$1))
              };
              const field$13 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
              const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
              const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res$2, field$13, value$1, annotations$2)
            } else {
              const this$22 = entry.value$1;
              const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
              const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$22);
              if ($is_s_util_Right(x1$2)) {
                const x2 = x1$2;
                const m = x2.value$2;
                const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m);
                const entries = this$24.regex__T__sc_Iterable(".*/.*");
                if (entries.nonEmpty__Z()) {
                  entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, res$1, payloads$1) {
                    return (function(entry$2) {
                      const entry$1 = entry$2;
                      return payloads$1.$$plus$eq__O__scm_ListBuffer($this$2.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().payloadParser__F3().apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, res$1$1) {
                        return (function(mediaType$2) {
                          const mediaType = mediaType$2;
                          return res$1$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
                        })
                      })($this$2, res$1)), false).parse__Lamf_plugins_domain_webapi_models_Payload())
                    })
                  })(this, res$2, payloads)))
                };
                $m_Lorg_yaml_model_YMap$();
                const c = m.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
                  return (function(e$2) {
                    const e = e$2;
                    const thiz = e.key$1.toString__T();
                    if ((thiz === null)) {
                      throw new $c_jl_NullPointerException().init___()
                    };
                    return (!$m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(".*/.*", thiz))
                  })
                })(this)));
                const others = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
                const this$27 = others.entries$3;
                if ($f_sc_TraversableOnce__nonEmpty__Z(this$27)) {
                  if (payloads.isEmpty__Z()) {
                    const this$28 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, res$1$2) {
                      return (function(shape$4$2) {
                        const shape$4 = shape$4$2;
                        const field$14 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$14, "default").adopted__T__Lamf_core_model_domain_AmfObject(res$1$2.id$1)
                      })
                    })(this, res$2)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
                    if ((!this$28.isEmpty__Z())) {
                      const arg1$3 = this$28.get__O();
                      const x$2$2 = arg1$3;
                      const this$29 = res$2.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
                      const field$15 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
                      payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$29, field$15, x$2$2))
                    }
                  } else {
                    others.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
                      return (function(e$3$2) {
                        const e$3 = e$3$2;
                        this$9$1.ctx$1.violation__T__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected key '", "'. Expecting valid media types."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e$3.key$1])), new $c_s_Some().init___O(e$3))
                      })
                    })(this)))
                  }
                }
              };
              if (payloads.nonEmpty__Z()) {
                const field$16 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
                const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res$2, field$16, value$2, annotations$3)
              }
            }
          }
        };
        const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext("(examples)", map, this.ctx$1).parse__sc_Seq();
        if (examples.nonEmpty__Z()) {
          const field$17 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1;
          const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(examples, new $c_Lamf_core_parser_Annotations().init___());
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(res$2, field$17, value$3)
        };
        this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(res$2.id$1, map, "response", false);
        this.parseMap__Lamf_plugins_domain_webapi_models_Response__Lorg_yaml_model_YMap__V(res$2, map);
        response = res$2
      }
    };
    return response
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser)))
});
const $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__emit__Lorg_yaml_model_YDocument$EntryBuilder__V = (function($thiz, b) {
  const single = $thiz.f__Lamf_core_parser_FieldEntry().value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SingleValueArray.getClassOf());
  const value = $thiz.f__Lamf_core_parser_FieldEntry().value$1;
  const this$2 = $thiz.f__Lamf_core_parser_FieldEntry();
  const elements = $thiz.collect__sc_Seq__sc_Seq(this$2.value$1.value$1.values$1);
  if (single) {
    $m_Lorg_yaml_model_YNode$();
    const str = $thiz.key__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $thiz.emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(elements.head__O()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$4 = v.builder$1;
    const array = [key];
    if ((this$4.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$4.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
    const len$1 = this$4.size0$6;
    const src = this$4.array$6;
    const dest = this$4.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$4.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$4.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  } else {
    $m_Lorg_yaml_model_YNode$();
    const str$1 = $thiz.key__T();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v$1.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = $thiz.ordering__Lamf_core_emitter_SpecOrdering();
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $this.emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(element)
      })
    })($thiz));
    const this$17 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(elements.map__F1__scg_CanBuildFrom__O(jsx$2, this$17.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$22 = v$1.builder$1;
    const array$1 = [key$1];
    if ((this$22.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$22.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize$1);
    const len$4 = this$22.size0$6;
    const src$1 = this$22.array$6;
    const dest$1 = this$22.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$22.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$6 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$6] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$22.size0$6 = newSize$1;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__position__Lamf_core_parser_Position = (function($thiz) {
  return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position($thiz.f__Lamf_core_parser_FieldEntry().value$1.annotations$1)
});
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter extends $c_O {
  constructor() {
    super();
    this.ReferencesEmitter$module$1 = null;
    this.ReferenceEmitter$module$1 = null;
    this.DeclarationsEmitter$module$1 = null;
    this.DeclaredTypesEmitters$module$1 = null;
    this.DeclaredParametersEmitter$module$1 = null;
    this.NamedParameterEmitter$module$1 = null;
    this.NamedRefEmitter$module$1 = null;
    this.AnnotationsTypesEmitter$module$1 = null;
    this.NamedPropertyTypeEmitter$module$1 = null;
    this.UserDocumentationsEmitter$module$1 = null;
    this.RamlCreativeWorkEmitters$module$1 = null;
    this.spec$1 = null
  };
  init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(spec) {
    this.spec$1 = spec;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$ extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$ = this;
    const array = ["swagger", "info", "host", "basePath", "schemes", "consumes", "produces", "paths", "definitions", "parameters", "responses", "securityDefinitions", "security", "tags", "externalDocs"];
    let y;
    if (((array.length | 0) === 0)) {
      y = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      y = b.elems$1
    };
    const jsx$13 = new $c_T2().init___O__O("webApi", y);
    const array$1 = ["title", "description", "termsOfService", "contact", "license", "version"];
    let y$1;
    if (((array$1.length | 0) === 0)) {
      y$1 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      y$1 = b$1.elems$1
    };
    const jsx$12 = new $c_T2().init___O__O("info", y$1);
    const array$2 = ["name", "url", "email"];
    let y$2;
    if (((array$2.length | 0) === 0)) {
      y$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$2 = 0;
      const len$2 = (array$2.length | 0);
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = array$2[index$2];
        b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
        i$2 = ((1 + i$2) | 0)
      };
      y$2 = b$2.elems$1
    };
    const jsx$11 = new $c_T2().init___O__O("contact", y$2);
    const array$3 = ["name", "url"];
    let y$3;
    if (((array$3.length | 0) === 0)) {
      y$3 = $m_sci_Set$EmptySet$()
    } else {
      const b$3 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$3 = 0;
      const len$3 = (array$3.length | 0);
      while ((i$3 < len$3)) {
        const index$3 = i$3;
        const arg1$3 = array$3[index$3];
        b$3.$$plus$eq__O__scm_SetBuilder(arg1$3);
        i$3 = ((1 + i$3) | 0)
      };
      y$3 = b$3.elems$1
    };
    const jsx$10 = new $c_T2().init___O__O("license", y$3);
    const array$4 = ["attribute", "wrapped", "name", "namespace", "prefix"];
    let y$4;
    if (((array$4.length | 0) === 0)) {
      y$4 = $m_sci_Set$EmptySet$()
    } else {
      const b$4 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$4 = 0;
      const len$4 = (array$4.length | 0);
      while ((i$4 < len$4)) {
        const index$4 = i$4;
        const arg1$4 = array$4[index$4];
        b$4.$$plus$eq__O__scm_SetBuilder(arg1$4);
        i$4 = ((1 + i$4) | 0)
      };
      y$4 = b$4.elems$1
    };
    const jsx$9 = new $c_T2().init___O__O("xmlSerialization", y$4);
    const array$5 = ["get", "put", "post", "delete", "options", "head", "patch", "parameters", "$ref"];
    let y$5;
    if (((array$5.length | 0) === 0)) {
      y$5 = $m_sci_Set$EmptySet$()
    } else {
      const b$5 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$5 = 0;
      const len$5 = (array$5.length | 0);
      while ((i$5 < len$5)) {
        const index$5 = i$5;
        const arg1$5 = array$5[index$5];
        b$5.$$plus$eq__O__scm_SetBuilder(arg1$5);
        i$5 = ((1 + i$5) | 0)
      };
      y$5 = b$5.elems$1
    };
    const jsx$8 = new $c_T2().init___O__O("pathItem", y$5);
    const array$6 = ["tags", "summary", "description", "externalDocs", "operationId", "consumes", "produces", "parameters", "responses", "schemes", "deprecated", "security"];
    let y$6;
    if (((array$6.length | 0) === 0)) {
      y$6 = $m_sci_Set$EmptySet$()
    } else {
      const b$6 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$6 = 0;
      const len$6 = (array$6.length | 0);
      while ((i$6 < len$6)) {
        const index$6 = i$6;
        const arg1$6 = array$6[index$6];
        b$6.$$plus$eq__O__scm_SetBuilder(arg1$6);
        i$6 = ((1 + i$6) | 0)
      };
      y$6 = b$6.elems$1
    };
    const jsx$7 = new $c_T2().init___O__O("operation", y$6);
    const array$7 = ["url"];
    let y$7;
    if (((array$7.length | 0) === 0)) {
      y$7 = $m_sci_Set$EmptySet$()
    } else {
      const b$7 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$7 = 0;
      const len$7 = (array$7.length | 0);
      while ((i$7 < len$7)) {
        const index$7 = i$7;
        const arg1$7 = array$7[index$7];
        b$7.$$plus$eq__O__scm_SetBuilder(arg1$7);
        i$7 = ((1 + i$7) | 0)
      };
      y$7 = b$7.elems$1
    };
    const jsx$6 = new $c_T2().init___O__O("externalDoc", y$7);
    const array$8 = ["name", "in", "description", "required", "type", "format", "allowEmptyValue", "items", "collectionFormat", "default", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "multipleOf", "uniqueItems", "enum", "multipleOf", "items", "example"];
    let y$8;
    if (((array$8.length | 0) === 0)) {
      y$8 = $m_sci_Set$EmptySet$()
    } else {
      const b$8 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$8 = 0;
      const len$8 = (array$8.length | 0);
      while ((i$8 < len$8)) {
        const index$8 = i$8;
        const arg1$8 = array$8[index$8];
        b$8.$$plus$eq__O__scm_SetBuilder(arg1$8);
        i$8 = ((1 + i$8) | 0)
      };
      y$8 = b$8.elems$1
    };
    const jsx$5 = new $c_T2().init___O__O("parameter", y$8);
    const array$9 = ["name", "in", "description", "required", "schema"];
    let y$9;
    if (((array$9.length | 0) === 0)) {
      y$9 = $m_sci_Set$EmptySet$()
    } else {
      const b$9 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$9 = 0;
      const len$9 = (array$9.length | 0);
      while ((i$9 < len$9)) {
        const index$9 = i$9;
        const arg1$9 = array$9[index$9];
        b$9.$$plus$eq__O__scm_SetBuilder(arg1$9);
        i$9 = ((1 + i$9) | 0)
      };
      y$9 = b$9.elems$1
    };
    const jsx$4 = new $c_T2().init___O__O("bodyParameter", y$9);
    const array$10 = ["description", "schema", "headers", "examples"];
    let y$10;
    if (((array$10.length | 0) === 0)) {
      y$10 = $m_sci_Set$EmptySet$()
    } else {
      const b$10 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$10 = 0;
      const len$10 = (array$10.length | 0);
      while ((i$10 < len$10)) {
        const index$10 = i$10;
        const arg1$10 = array$10[index$10];
        b$10.$$plus$eq__O__scm_SetBuilder(arg1$10);
        i$10 = ((1 + i$10) | 0)
      };
      y$10 = b$10.elems$1
    };
    const jsx$3 = new $c_T2().init___O__O("response", y$10);
    const array$11 = ["description", "type", "items", "collectionFormat", "default", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "uniqueItems", "enum", "multipleOf"];
    let y$11;
    if (((array$11.length | 0) === 0)) {
      y$11 = $m_sci_Set$EmptySet$()
    } else {
      const b$11 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$11 = 0;
      const len$11 = (array$11.length | 0);
      while ((i$11 < len$11)) {
        const index$11 = i$11;
        const arg1$11 = array$11[index$11];
        b$11.$$plus$eq__O__scm_SetBuilder(arg1$11);
        i$11 = ((1 + i$11) | 0)
      };
      y$11 = b$11.elems$1
    };
    const jsx$2 = new $c_T2().init___O__O("headerParameter", y$11);
    const array$12 = ["name", "description", "externalDocs"];
    let y$12;
    if (((array$12.length | 0) === 0)) {
      y$12 = $m_sci_Set$EmptySet$()
    } else {
      const b$12 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$12 = 0;
      const len$12 = (array$12.length | 0);
      while ((i$12 < len$12)) {
        const index$12 = i$12;
        const arg1$12 = array$12[index$12];
        b$12.$$plus$eq__O__scm_SetBuilder(arg1$12);
        i$12 = ((1 + i$12) | 0)
      };
      y$12 = b$12.elems$1
    };
    const jsx$1 = new $c_T2().init___O__O("tag", y$12);
    const array$13 = ["$ref", "$schema", "format", "title", "description", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "uniqueItems", "maxProperties", "minProperties", "required", "enum", "type", "items", "allOf", "properties", "additionalProperties", "discriminator", "readOnly", "xml", "externalDocs", "example", "allOf", "anyOf", "dependencies", "multipleOf", "default", "example", "id", "name", "patternProperties"];
    let y$13;
    if (((array$13.length | 0) === 0)) {
      y$13 = $m_sci_Set$EmptySet$()
    } else {
      const b$13 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$13 = 0;
      const len$13 = (array$13.length | 0);
      while ((i$13 < len$13)) {
        const index$13 = i$13;
        const arg1$13 = array$13[index$13];
        b$13.$$plus$eq__O__scm_SetBuilder(arg1$13);
        i$13 = ((1 + i$13) | 0)
      };
      y$13 = b$13.elems$1
    };
    const array$14 = [jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("schema", y$13)];
    const this$44 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$14 = 0;
    const len$14 = (array$14.length | 0);
    while ((i$14 < len$14)) {
      const index$14 = i$14;
      const arg1$14 = array$14[index$14];
      this$44.$$plus$eq__T2__scm_MapBuilder(arg1$14);
      i$14 = ((1 + i$14) | 0)
    };
    this.nodes$1 = this$44.elems$1;
    return this
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSyntax$", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$;
let $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$ = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$
});
class $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null;
    this.plugin$1 = null;
    this.references$1 = null
  };
  links__p1__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(part, ctx) {
    const x1 = this.vendor$1;
    if (((x1 === "RAML 1.0") || ((x1 === "RAML 0.8") || (x1 === "RAML")))) {
      this.ramlLinks__Lorg_yaml_model_YPart__V(part)
    } else if ((x1 === "OAS 2.0")) {
      this.oasLinks__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(part, ctx)
    }
  };
  handleRamlExternalFragment__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__s_concurrent_Future(reference, ctx, context) {
    const x1 = this.resolveUnitDocument__p1__Lamf_core_parser_ParsedReference__s_util_Either(reference);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const document = x2.value$2;
      const parsed = new $c_Lamf_core_parser_ParsedDocument().init___s_Option__Lorg_yaml_model_YDocument($m_s_None$(), document);
      const refs = new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.vendor$1, this.plugin$1).collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__sc_Seq(parsed, ctx);
      const updated = context.update__T__Lamf_core_remote_Context(reference.unit$1.id__T());
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1, updated$1) {
        return (function(r$2) {
          const r = r$2;
          return r.resolve__Lamf_core_remote_Context__s_Option__T__Lamf_core_remote_Cache__Lamf_core_parser_ParserContext__s_concurrent_Future(updated$1, $m_s_None$(), $this.vendor$1, new $c_Lamf_core_remote_Cache().init___(), ctx$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, ctx$3, updated$1$1, r$1) {
            return (function(u$2) {
              const u = u$2;
              const resolved = $this$1.handleRamlExternalFragment__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__s_concurrent_Future(new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(u, r$1, $m_s_None$()), ctx$3, updated$1$1);
              return resolved.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, r$1$1) {
                return (function(res$2) {
                  const res = res$2;
                  const x1$1 = r$1$1.ast$1;
                  if ((!$is_Lorg_yaml_model_YNode$MutRef(x1$1))) {
                    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Damn it!"))
                  };
                  const x2$1 = x1$1;
                  x2$1.target$5 = res.ast$1
                })
              })($this$1, r$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
            })
          })($this, ctx$1, updated$1, r)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        })
      })(this, ctx, updated));
      const this$3 = $m_sc_Seq$();
      const externals = refs.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
      const jsx$2 = $m_s_concurrent_Future$();
      const this$4 = $m_sc_Seq$();
      return jsx$2.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(externals, this$4.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, reference$1, document$1) {
        return (function(x$1$2) {
          const x$4 = new $c_s_Some().init___O(document$1.node$3);
          const x$5 = reference$1.unit$1;
          const x$6 = reference$1.origin$1;
          return new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(x$5, x$6, x$4)
        })
      })(this, reference, document)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else if ($is_s_util_Left(x1)) {
      const x3 = x1;
      const raw = x3.value$2;
      const jsx$3 = $m_s_concurrent_Future$();
      const x$7 = new $c_s_Some().init___O($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(raw));
      const x$8 = reference.unit$1;
      const x$9 = reference.origin$1;
      return jsx$3.successful__O__s_concurrent_Future(new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(x$8, x$9, x$7))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  isRef__p1__Lorg_yaml_model_YMapEntry__Z(entry) {
    const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      return (x2.text$3 === "$ref")
    } else {
      return false
    }
  };
  ramlLinks__Lorg_yaml_model_YPart__V(part) {
    matchEnd4: {
      if ($is_Lorg_yaml_model_YNode(part)) {
        const x2 = part;
        const x = x2.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
        if ((x === x$2)) {
          this.ramlInclude__p1__Lorg_yaml_model_YNode__scm_ArrayBuffer(x2);
          break matchEnd4
        }
      };
      part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(part$2$2) {
          const part$2 = part$2$2;
          $this.ramlLinks__Lorg_yaml_model_YPart__V(part$2)
        })
      })(this)))
    }
  };
  overlaysAndExtensions__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(document, ctx) {
    const this$1 = document.node$3;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const x1$2 = this.vendor$1;
      const ext = ((x1$2 === "RAML 1.0") ? new $c_s_Some().init___O("extends") : ((x1$2 === "OAS 2.0") ? new $c_s_Some().init___O("x-extends") : $m_s_None$()));
      if ((!ext.isEmpty__Z())) {
        const arg1 = ext.get__O();
        const u = arg1;
        const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(u);
        if ((!this$3.isEmpty__Z())) {
          const arg1$1 = this$3.get__O();
          const entry = arg1$1;
          const this$4 = entry.value$1;
          const x1$1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
          const x = $m_Lorg_yaml_model_YType$().Map$1;
          let jsx$1;
          if ((x === x1$1)) {
            jsx$1 = true
          } else {
            const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
            jsx$1 = (x$3 === x1$1)
          };
          if (jsx$1) {
            ctx.violation__T__T__Lorg_yaml_model_YPart__V("", new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected scalar but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry.value$1])), entry.value$1)
          } else {
            this.extension__p1__Lorg_yaml_model_YMapEntry__scm_ArrayBuffer(entry)
          }
        }
      }
    }
  };
  hasDocumentAST__p1__Lamf_core_model_document_BaseUnit__Z(other) {
    const this$1 = other.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x$3 = arg1;
      return $is_Lorg_yaml_model_YDocument(x$3.ast$1)
    } else {
      return false
    }
  };
  oasInclude__p1__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__V(map, ctx) {
    const ref = map.entries$3.head__O();
    const this$1 = ref.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Str$1;
    if ((x === x1)) {
      this.references$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lamf_core_parser_Reference().init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(ref.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), $m_Lamf_core_parser_LinkReference$(), ref.value$1))
    } else {
      ctx.violation__T__T__Lorg_yaml_model_YPart__V("", new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected $ref with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([ref])), ref.value$1)
    }
  };
  libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(document, ctx) {
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = document.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const x1$2 = this.vendor$1;
      const uses = ((x1$2 === "RAML 1.0") ? new $c_s_Some().init___O("uses") : ((x1$2 === "OAS 2.0") ? new $c_s_Some().init___O("x-uses") : $m_s_None$()));
      if ((!uses.isEmpty__Z())) {
        const arg1 = uses.get__O();
        const u = arg1;
        const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(u);
        if ((!this$2.isEmpty__Z())) {
          const arg1$1 = this$2.get__O();
          const entry = arg1$1;
          const this$3 = entry.value$1;
          const conversion$1 = $m_Lorg_yaml_convert_YRead$YMapYRead$();
          const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
          if ($is_s_util_Right(x1$1)) {
            const x2$1 = x1$1;
            const m = x2$1.value$2;
            m.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
              return (function(entry$2$2) {
                const entry$2 = entry$2$2;
                return $this.library__p1__Lorg_yaml_model_YMapEntry__scm_ArrayBuffer(entry$2)
              })
            })(this)))
          } else {
            ctx.violation__T__T__Lorg_yaml_model_YPart__V("", new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected map but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry.value$1])), entry.value$1)
          }
        }
      }
    }
  };
  libraryName__p1__Lorg_yaml_model_YMapEntry__T(e) {
    const this$1 = e.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Include$1;
    if ((x === x1)) {
      return e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3
    } else {
      $m_Lorg_yaml_model_YNode$();
      const node = e.value$1;
      return node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)
    }
  };
  resolveUnitDocument__p1__Lamf_core_parser_ParsedReference__s_util_Either(reference) {
    let rc5 = false;
    let x2 = null;
    const x1 = reference.unit$1;
    if ($is_Lamf_core_model_document_ExternalFragment(x1)) {
      rc5 = true;
      x2 = x1;
      const this$1 = x2;
      if (this.isRamlOrYaml__p1__Lamf_core_model_domain_ExternalDomainElement__Z(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1))) {
        $m_s_package$();
        const jsx$1 = $m_Lorg_yaml_parser_YamlParser$();
        const this$2 = x2;
        const this$3 = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
        const qual$1 = jsx$1.apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1), $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include");
        const this$4 = qual$1.parse__Z__sc_IndexedSeq(true);
        const pf = new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$2().init___Lamf_plugins_document_webapi_references_WebApiReferenceHandler(this);
        const xo = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$4, pf);
        const value = xo.toList__sci_List().head__O();
        return new $c_s_util_Right().init___O(value)
      }
    };
    if (rc5) {
      $m_s_package$();
      const this$7 = x2;
      const this$8 = this$7.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
      const value$1 = this$8.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
      return new $c_s_util_Left().init___O(value$1)
    };
    if (this.hasDocumentAST__p1__Lamf_core_model_document_BaseUnit__Z(x1)) {
      $m_s_package$();
      const this$10 = x1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
      let jsx$2;
      if (this$10.isEmpty__Z()) {
        jsx$2 = $m_s_None$()
      } else {
        const arg1 = this$10.get__O();
        const x$2 = arg1;
        jsx$2 = new $c_s_Some().init___O(x$2.ast$1)
      };
      const value$2 = jsx$2.get__O();
      return new $c_s_util_Right().init___O(value$2)
    };
    $m_s_package$();
    return new $c_s_util_Left().init___O("")
  };
  oasLinks__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(part, ctx) {
    matchEnd4: {
      if ($is_Lorg_yaml_model_YMap(part)) {
        const x2 = part;
        if (((x2.entries$3.size__I() === 1) && this.isRef__p1__Lorg_yaml_model_YMapEntry__Z(x2.entries$3.head__O()))) {
          this.oasInclude__p1__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__V(x2, ctx);
          break matchEnd4
        }
      };
      part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1) {
        return (function(c$2) {
          const c = c$2;
          $this.oasLinks__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(c, ctx$1)
        })
      })(this, ctx)))
    }
  };
  ramlInclude__p1__Lorg_yaml_model_YNode__scm_ArrayBuffer(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      return this.references$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lamf_core_parser_Reference().init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(x2.text$3, $m_Lamf_core_parser_LinkReference$(), node))
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected !include with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.value__Lorg_yaml_model_YValue()]))))
    }
  };
  library__p1__Lorg_yaml_model_YMapEntry__scm_ArrayBuffer(entry) {
    return this.references$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lamf_core_parser_Reference().init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(this.libraryName__p1__Lorg_yaml_model_YMapEntry__T(entry), $m_Lamf_core_parser_LibraryReference$(), entry.value$1))
  };
  isRamlOverlayOrExtension__T__Lamf_core_parser_ParsedDocument__Z(vendor, parsed) {
    const x1 = parsed.comment$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const c = x2.value$2;
      const x1$2 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().fromText__T__s_Option(c.metaText$3);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const p3 = x2$2.value$2;
        const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$();
        let jsx$1;
        if (x.equals__O__Z(p3)) {
          jsx$1 = true
        } else {
          const x$3 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$();
          jsx$1 = x$3.equals__O__Z(p3)
        };
        if ((jsx$1 && (vendor === "RAML 1.0"))) {
          return true
        }
      };
      return false
    } else {
      const x$5 = $m_s_None$();
      if ((x$5 === x1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  isRamlOrYaml__p1__Lamf_core_model_domain_ExternalDomainElement__Z(encodes) {
    return this.plugin$1.documentSyntaxes__sc_Seq().contains__O__Z(encodes.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1))
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__sc_Seq(parsed, ctx) {
    this.libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx);
    this.links__p1__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx);
    if (this.isRamlOverlayOrExtension__T__Lamf_core_parser_ParsedDocument__Z(this.vendor$1, parsed)) {
      this.overlaysAndExtensions__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx)
    };
    return this.references$1
  };
  extension__p1__Lorg_yaml_model_YMapEntry__scm_ArrayBuffer(entry) {
    const jsx$1 = this.references$1;
    $m_Lorg_yaml_model_YNode$();
    const node = entry.value$1;
    return jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lamf_core_parser_Reference().init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), $m_Lamf_core_parser_ExtensionReference$(), entry.value$1))
  };
  init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(vendor, plugin) {
    this.vendor$1 = vendor;
    this.plugin$1 = plugin;
    this.references$1 = new $c_scm_ArrayBuffer().init___();
    return this
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__s_concurrent_Future(reference, ctx, context) {
    const x1 = this.vendor$1;
    return ((((x1 === "RAML 1.0") || (x1 === "RAML 0.8")) && $is_Lamf_core_model_document_ExternalFragment(reference.unit$1)) ? this.handleRamlExternalFragment__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__s_concurrent_Future(reference, ctx, context) : $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference))
  };
}
const $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler = new $TypeData().initClass({
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler: 0
}, false, "amf.plugins.document.webapi.references.WebApiReferenceHandler", {
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler.prototype.$classData = $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null;
    this.shapes$2 = null;
    this.parameters$2 = null;
    this.extends$2 = null;
    this.security$2 = null;
    this.mediaTypes$2 = null;
    this.examples$2 = null;
    this.extensions$2 = null;
    this.cleanRefs$2 = null;
    this.cleanDecls$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.shapes$2 = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.parameters$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.extends$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage().init___T__Z($m_Lamf_ProfileNames$().AMF$1, true);
    this.security$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.mediaTypes$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.examples$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.extensions$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.cleanRefs$2 = new $c_Lamf_core_resolution_stages_CleanReferencesStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.cleanDecls$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_DeclarationsRemovalStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    return this
  };
  extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage() {
    return this.extensions$2
  };
  shapes__Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage() {
    return this.shapes$2
  };
  commonSteps__V() {
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.shapes__Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.security$2)
  };
  examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage() {
    return this.examples$2
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = new $c_s_Some().init___O(model);
    this.commonSteps__V();
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.mediaTypes__Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.cleanRefs$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.cleanDecls$2);
    return this.model$1.get__O()
  };
}
class $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null;
    this.shapes$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.shapes$2 = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.shapes$2);
    return this.model$1.get__O()
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.CanonicalShapePipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null;
    this.extensions$2 = null;
    this.shapes$2 = null
  };
  init___T(profile) {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T(profile);
    this.extensions$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T(profile);
    this.shapes$2 = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage().init___T(profile);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.extensions$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.shapes$2);
    return this.model$1.get__O()
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.ValidationResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline;
class $c_Lamf_plugins_document_webapi_resolution_stages_DeclarationsRemovalStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    if ($is_Lamf_core_model_document_Document(model)) {
      const x2 = model;
      x2.fields__Lamf_core_parser_Fields().remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1)
    };
    return model
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_DeclarationsRemovalStage = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_DeclarationsRemovalStage: 0
}, false, "amf.plugins.document.webapi.resolution.stages.DeclarationsRemovalStage", {
  Lamf_plugins_document_webapi_resolution_stages_DeclarationsRemovalStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_DeclarationsRemovalStage.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_DeclarationsRemovalStage;
class $c_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ extends $c_O {
  init___() {
    return this
  };
  validations__p1__sci_List() {
    const this$2 = $m_Lamf_plugins_document_webapi_validation_AMFRawValidations$().raw$1;
    const f = (function($this) {
      return (function(line$2) {
        const line = line$2;
        return $m_Lamf_plugins_document_webapi_validation_AMFValidation$().fromLine__T__s_Option(line)
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let jsx$1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        jsx$1 = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        jsx$1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      jsx$1 = b.result__O()
    };
    const this$5 = jsx$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.isDefined__Z()
      })
    })(this)));
    const f$1 = (function(this$3) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.get__O()
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf$1 = this$4.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const arg1$3 = this$5.head__O();
        const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        let t$1 = h$1;
        let rest$1 = this$5.tail__O();
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$4 = rest$1.head__O();
          const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          rest$1 = rest$1.tail__O()
        };
        return h$1
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
      let these$1 = this$5;
      while ((!these$1.isEmpty__Z())) {
        const arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        these$1 = these$1.tail__O()
      };
      return b$1.result__O()
    }
  };
  parsePropertyConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_PropertyConstraint(constraintUri, validation, sh) {
    const jsx$14 = validation.owlProperty$1.get__O();
    const jsx$13 = validation.message$1;
    const jsx$12 = $m_s_None$();
    const jsx$11 = $m_s_None$();
    const jsx$10 = $m_s_None$();
    const jsx$9 = $m_s_None$();
    const jsx$8 = $m_s_None$();
    const jsx$7 = $m_s_None$();
    const jsx$6 = $m_s_None$();
    const jsx$5 = $m_s_None$();
    const jsx$4 = $m_s_None$();
    const jsx$3 = $m_s_None$();
    const jsx$2 = $m_s_None$();
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$16 = new $c_scm_ListBuffer().init___();
    const constraint = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(jsx$14, constraintUri, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, this$16.toList__sci_List(), $m_s_None$());
    const x1 = sh.iri__T();
    if ((x1 === "http://www.w3.org/ns/shacl#minCount")) {
      const x$68 = new $c_s_Some().init___O(validation.value$1);
      const x$69 = constraint.ramlPropertyId$1;
      const x$70 = constraint.name$1;
      const x$71 = constraint.message$1;
      const x$72 = constraint.pattern$1;
      const x$73 = constraint.maxCount$1;
      const x$74 = constraint.minLength$1;
      const x$75 = constraint.maxLength$1;
      const x$76 = constraint.minExclusive$1;
      const x$77 = constraint.maxExclusive$1;
      const x$78 = constraint.minInclusive$1;
      const x$79 = constraint.maxInclusive$1;
      const x$80 = constraint.node$1;
      const x$81 = constraint.datatype$1;
      const x$82 = constraint.class$1;
      const x$83 = constraint.in$1;
      const x$84 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$69, x$70, x$71, x$72, x$73, x$68, x$74, x$75, x$76, x$77, x$78, x$79, x$80, x$81, x$82, x$83, x$84)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxCount")) {
      const x$85 = new $c_s_Some().init___O(validation.value$1);
      const x$86 = constraint.ramlPropertyId$1;
      const x$87 = constraint.name$1;
      const x$88 = constraint.message$1;
      const x$89 = constraint.pattern$1;
      const x$90 = constraint.minCount$1;
      const x$91 = constraint.minLength$1;
      const x$92 = constraint.maxLength$1;
      const x$93 = constraint.minExclusive$1;
      const x$94 = constraint.maxExclusive$1;
      const x$95 = constraint.minInclusive$1;
      const x$96 = constraint.maxInclusive$1;
      const x$97 = constraint.node$1;
      const x$98 = constraint.datatype$1;
      const x$99 = constraint.class$1;
      const x$100 = constraint.in$1;
      const x$101 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$86, x$87, x$88, x$89, x$85, x$90, x$91, x$92, x$93, x$94, x$95, x$96, x$97, x$98, x$99, x$100, x$101)
    } else if ((x1 === "http://www.w3.org/ns/shacl#pattern")) {
      const x$102 = new $c_s_Some().init___O(validation.value$1);
      const x$103 = constraint.ramlPropertyId$1;
      const x$104 = constraint.name$1;
      const x$105 = constraint.message$1;
      const x$106 = constraint.maxCount$1;
      const x$107 = constraint.minCount$1;
      const x$108 = constraint.minLength$1;
      const x$109 = constraint.maxLength$1;
      const x$110 = constraint.minExclusive$1;
      const x$111 = constraint.maxExclusive$1;
      const x$112 = constraint.minInclusive$1;
      const x$113 = constraint.maxInclusive$1;
      const x$114 = constraint.node$1;
      const x$115 = constraint.datatype$1;
      const x$116 = constraint.class$1;
      const x$117 = constraint.in$1;
      const x$118 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$103, x$104, x$105, x$102, x$106, x$107, x$108, x$109, x$110, x$111, x$112, x$113, x$114, x$115, x$116, x$117, x$118)
    } else if ((x1 === "http://www.w3.org/ns/shacl#minExclusive")) {
      const x$119 = new $c_s_Some().init___O(validation.value$1);
      const x$120 = constraint.ramlPropertyId$1;
      const x$121 = constraint.name$1;
      const x$122 = constraint.message$1;
      const x$123 = constraint.pattern$1;
      const x$124 = constraint.maxCount$1;
      const x$125 = constraint.minCount$1;
      const x$126 = constraint.minLength$1;
      const x$127 = constraint.maxLength$1;
      const x$128 = constraint.maxExclusive$1;
      const x$129 = constraint.minInclusive$1;
      const x$130 = constraint.maxInclusive$1;
      const x$131 = constraint.node$1;
      const x$132 = constraint.datatype$1;
      const x$133 = constraint.class$1;
      const x$134 = constraint.in$1;
      const x$135 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$120, x$121, x$122, x$123, x$124, x$125, x$126, x$127, x$119, x$128, x$129, x$130, x$131, x$132, x$133, x$134, x$135)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxExclusive")) {
      const x$136 = new $c_s_Some().init___O(validation.value$1);
      const x$137 = constraint.ramlPropertyId$1;
      const x$138 = constraint.name$1;
      const x$139 = constraint.message$1;
      const x$140 = constraint.pattern$1;
      const x$141 = constraint.maxCount$1;
      const x$142 = constraint.minCount$1;
      const x$143 = constraint.minLength$1;
      const x$144 = constraint.maxLength$1;
      const x$145 = constraint.minExclusive$1;
      const x$146 = constraint.minInclusive$1;
      const x$147 = constraint.maxInclusive$1;
      const x$148 = constraint.node$1;
      const x$149 = constraint.datatype$1;
      const x$150 = constraint.class$1;
      const x$151 = constraint.in$1;
      const x$152 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$137, x$138, x$139, x$140, x$141, x$142, x$143, x$144, x$145, x$136, x$146, x$147, x$148, x$149, x$150, x$151, x$152)
    } else if ((x1 === "http://www.w3.org/ns/shacl#minInclusive")) {
      const x$153 = new $c_s_Some().init___O(validation.value$1);
      const x$154 = constraint.ramlPropertyId$1;
      const x$155 = constraint.name$1;
      const x$156 = constraint.message$1;
      const x$157 = constraint.pattern$1;
      const x$158 = constraint.maxCount$1;
      const x$159 = constraint.minCount$1;
      const x$160 = constraint.minLength$1;
      const x$161 = constraint.maxLength$1;
      const x$162 = constraint.minExclusive$1;
      const x$163 = constraint.maxExclusive$1;
      const x$164 = constraint.maxInclusive$1;
      const x$165 = constraint.node$1;
      const x$166 = constraint.datatype$1;
      const x$167 = constraint.class$1;
      const x$168 = constraint.in$1;
      const x$169 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$154, x$155, x$156, x$157, x$158, x$159, x$160, x$161, x$162, x$163, x$153, x$164, x$165, x$166, x$167, x$168, x$169)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxInclusive")) {
      const x$170 = new $c_s_Some().init___O(validation.value$1);
      const x$171 = constraint.ramlPropertyId$1;
      const x$172 = constraint.name$1;
      const x$173 = constraint.message$1;
      const x$174 = constraint.pattern$1;
      const x$175 = constraint.maxCount$1;
      const x$176 = constraint.minCount$1;
      const x$177 = constraint.minLength$1;
      const x$178 = constraint.maxLength$1;
      const x$179 = constraint.minExclusive$1;
      const x$180 = constraint.maxExclusive$1;
      const x$181 = constraint.minInclusive$1;
      const x$182 = constraint.node$1;
      const x$183 = constraint.datatype$1;
      const x$184 = constraint.class$1;
      const x$185 = constraint.in$1;
      const x$186 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$171, x$172, x$173, x$174, x$175, x$176, x$177, x$178, x$179, x$180, x$181, x$170, x$182, x$183, x$184, x$185, x$186)
    } else if ((x1 === "http://www.w3.org/ns/shacl#minLength")) {
      const x$187 = new $c_s_Some().init___O(validation.value$1);
      const x$188 = constraint.ramlPropertyId$1;
      const x$189 = constraint.name$1;
      const x$190 = constraint.message$1;
      const x$191 = constraint.pattern$1;
      const x$192 = constraint.maxCount$1;
      const x$193 = constraint.minCount$1;
      const x$194 = constraint.maxLength$1;
      const x$195 = constraint.minExclusive$1;
      const x$196 = constraint.maxExclusive$1;
      const x$197 = constraint.minInclusive$1;
      const x$198 = constraint.maxInclusive$1;
      const x$199 = constraint.node$1;
      const x$200 = constraint.datatype$1;
      const x$201 = constraint.class$1;
      const x$202 = constraint.in$1;
      const x$203 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$188, x$189, x$190, x$191, x$192, x$193, x$187, x$194, x$195, x$196, x$197, x$198, x$199, x$200, x$201, x$202, x$203)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxLength")) {
      const x$204 = new $c_s_Some().init___O(validation.value$1);
      const x$205 = constraint.ramlPropertyId$1;
      const x$206 = constraint.name$1;
      const x$207 = constraint.message$1;
      const x$208 = constraint.pattern$1;
      const x$209 = constraint.maxCount$1;
      const x$210 = constraint.minCount$1;
      const x$211 = constraint.minLength$1;
      const x$212 = constraint.minExclusive$1;
      const x$213 = constraint.maxExclusive$1;
      const x$214 = constraint.minInclusive$1;
      const x$215 = constraint.maxInclusive$1;
      const x$216 = constraint.node$1;
      const x$217 = constraint.datatype$1;
      const x$218 = constraint.class$1;
      const x$219 = constraint.in$1;
      const x$220 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$205, x$206, x$207, x$208, x$209, x$210, x$211, x$204, x$212, x$213, x$214, x$215, x$216, x$217, x$218, x$219, x$220)
    } else if ((x1 === "http://www.w3.org/ns/shacl#in")) {
      const jsx$15 = $m_s_Predef$();
      const thiz = validation.value$1;
      const x$221 = jsx$15.wrapRefArray__AO__scm_WrappedArray($m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "\\s*,\\s*", 0));
      const x$222 = constraint.ramlPropertyId$1;
      const x$223 = constraint.name$1;
      const x$224 = constraint.message$1;
      const x$225 = constraint.pattern$1;
      const x$226 = constraint.maxCount$1;
      const x$227 = constraint.minCount$1;
      const x$228 = constraint.minLength$1;
      const x$229 = constraint.maxLength$1;
      const x$230 = constraint.minExclusive$1;
      const x$231 = constraint.maxExclusive$1;
      const x$232 = constraint.minInclusive$1;
      const x$233 = constraint.maxInclusive$1;
      const x$234 = constraint.node$1;
      const x$235 = constraint.datatype$1;
      const x$236 = constraint.class$1;
      const x$237 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$222, x$223, x$224, x$225, x$226, x$227, x$228, x$229, x$230, x$231, x$232, x$233, x$234, x$235, x$236, x$221, x$237)
    } else if ((x1 === "http://www.w3.org/ns/shacl#node")) {
      const x$238 = new $c_s_Some().init___O(validation.value$1);
      const x$239 = constraint.ramlPropertyId$1;
      const x$240 = constraint.name$1;
      const x$241 = constraint.message$1;
      const x$242 = constraint.pattern$1;
      const x$243 = constraint.maxCount$1;
      const x$244 = constraint.minCount$1;
      const x$245 = constraint.minLength$1;
      const x$246 = constraint.maxLength$1;
      const x$247 = constraint.minExclusive$1;
      const x$248 = constraint.maxExclusive$1;
      const x$249 = constraint.minInclusive$1;
      const x$250 = constraint.maxInclusive$1;
      const x$251 = constraint.datatype$1;
      const x$252 = constraint.class$1;
      const x$253 = constraint.in$1;
      const x$254 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$239, x$240, x$241, x$242, x$243, x$244, x$245, x$246, x$247, x$248, x$249, x$250, x$238, x$251, x$252, x$253, x$254)
    } else if ((x1 === "http://www.w3.org/ns/shacl#datatype")) {
      const x$255 = new $c_s_Some().init___O(validation.value$1);
      const x$256 = constraint.ramlPropertyId$1;
      const x$257 = constraint.name$1;
      const x$258 = constraint.message$1;
      const x$259 = constraint.pattern$1;
      const x$260 = constraint.maxCount$1;
      const x$261 = constraint.minCount$1;
      const x$262 = constraint.minLength$1;
      const x$263 = constraint.maxLength$1;
      const x$264 = constraint.minExclusive$1;
      const x$265 = constraint.maxExclusive$1;
      const x$266 = constraint.minInclusive$1;
      const x$267 = constraint.maxInclusive$1;
      const x$268 = constraint.node$1;
      const x$269 = constraint.class$1;
      const x$270 = constraint.in$1;
      const x$271 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$256, x$257, x$258, x$259, x$260, x$261, x$262, x$263, x$264, x$265, x$266, x$267, x$268, x$255, x$269, x$270, x$271)
    } else if ((x1 === "http://www.w3.org/ns/shacl#class")) {
      const x$272 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.value$1]));
      const x$273 = constraint.ramlPropertyId$1;
      const x$274 = constraint.name$1;
      const x$275 = constraint.message$1;
      const x$276 = constraint.pattern$1;
      const x$277 = constraint.maxCount$1;
      const x$278 = constraint.minCount$1;
      const x$279 = constraint.minLength$1;
      const x$280 = constraint.maxLength$1;
      const x$281 = constraint.minExclusive$1;
      const x$282 = constraint.maxExclusive$1;
      const x$283 = constraint.minInclusive$1;
      const x$284 = constraint.maxInclusive$1;
      const x$285 = constraint.node$1;
      const x$286 = constraint.datatype$1;
      const x$287 = constraint.in$1;
      const x$288 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$273, x$274, x$275, x$276, x$277, x$278, x$279, x$280, x$281, x$282, x$283, x$284, x$285, x$286, x$272, x$287, x$288)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported constraint ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.constraint$1]))))
    }
  };
  parseValidation__p1__sci_List__sci_List(validations) {
    const f = (function($this) {
      return (function(validation$2) {
        const validation = validation$2;
        const x1 = validation.uri$1;
        let uri;
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const s = x2.value$2;
          uri = s.trim()
        } else {
          uri = $f_Lamf_plugins_document_webapi_validation_ImportUtils__validationId__Lamf_plugins_document_webapi_validation_AMFValidation__T($this, validation)
        };
        const this$2 = validation.message$1;
        const x$17 = (this$2.isEmpty__Z() ? "" : this$2.get__O());
        const x$18 = new $c_s_Some().init___O(validation.ramlErrorMessage$1);
        const x$19 = new $c_s_Some().init___O(validation.openApiErrorMessage$1);
        const jsx$2 = $m_sc_Seq$();
        const this$3 = validation.owlClass$1;
        let jsx$1;
        if (this$3.isEmpty__Z()) {
          const this$4 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
          jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "DomainElement").iri__T()
        } else {
          jsx$1 = this$3.get__O()
        };
        const x$20 = jsx$2.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1]));
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$9 = new $c_scm_ListBuffer().init___();
        const x$21 = this$9.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$13 = new $c_scm_ListBuffer().init___();
        const x$22 = this$13.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$17 = new $c_scm_ListBuffer().init___();
        const x$23 = this$17.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$21 = new $c_scm_ListBuffer().init___();
        const x$24 = this$21.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$25 = new $c_scm_ListBuffer().init___();
        const x$25 = this$25.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$26 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$27 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$28 = $m_s_None$();
        const spec = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(uri, x$17, x$18, x$19, x$21, x$20, x$22, x$23, x$24, x$25, x$26, x$27, x$28);
        const jsx$3 = $m_Lamf_core_vocabulary_Namespace$();
        const thiz = validation.target$1;
        const x1$2 = jsx$3.expand__T__Lamf_core_vocabulary_ValueType(thiz.trim()).iri__T();
        if ((x1$2 === "http://www.w3.org/ns/shacl#path")) {
          const thiz$1 = validation.constraint$1;
          const thiz$2 = thiz$1.trim();
          let valueType;
          if (((thiz$2.indexOf("#") | 0) !== (-1))) {
            const thiz$3 = validation.constraint$1;
            const thiz$4 = thiz$3.trim();
            const strings = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$4, "#", 0);
            const jsx$4 = $m_Lamf_core_vocabulary_Namespace$();
            const this$37 = new $c_scm_ArrayOps$ofRef().init___AO(strings);
            const ns = jsx$4.find__T__Lamf_core_vocabulary_Namespace($f_sc_IndexedSeqOptimized__head__O(this$37));
            const this$39 = new $c_scm_ArrayOps$ofRef().init___AO(strings);
            const name = $f_sc_IndexedSeqOptimized__last__O(this$39);
            valueType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(ns, name)
          } else {
            valueType = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(validation.constraint$1)
          };
          if ((valueType !== null)) {
            const p2 = valueType.ns$1;
            const x = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            if (((x === null) ? (p2 === null) : x.equals__O__Z(p2))) {
              const x$29 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$this.parsePropertyConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_PropertyConstraint(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/prop"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([uri])), validation, valueType)]));
              const x$30 = spec.name$1;
              const x$31 = spec.message$1;
              const x$32 = spec.ramlMessage$1;
              const x$33 = spec.oasMessage$1;
              const x$34 = spec.targetInstance$1;
              const x$35 = spec.targetClass$1;
              const x$36 = spec.targetObject$1;
              const x$37 = spec.unionConstraints$1;
              const x$38 = spec.nodeConstraints$1;
              const x$39 = spec.closed$1;
              const x$40 = spec.functionConstraint$1;
              const x$41 = spec.custom$1;
              return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$30, x$31, x$32, x$33, x$34, x$35, x$36, x$37, x$29, x$38, x$39, x$40, x$41)
            }
          };
          if ((valueType !== null)) {
            const p4 = valueType.ns$1;
            const x$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
            if (((x$3 === null) ? (p4 === null) : x$3.equals__O__Z(p4))) {
              const x$42 = $m_s_Option$().apply__O__s_Option($this.parseFunctionConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_FunctionConstraint(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/prop"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([uri])), validation, valueType));
              const x$43 = spec.name$1;
              const x$44 = spec.message$1;
              const x$45 = spec.ramlMessage$1;
              const x$46 = spec.oasMessage$1;
              const x$47 = spec.targetInstance$1;
              const x$48 = spec.targetClass$1;
              const x$49 = spec.targetObject$1;
              const x$50 = spec.unionConstraints$1;
              const x$51 = spec.propertyConstraints$1;
              const x$52 = spec.nodeConstraints$1;
              const x$53 = spec.closed$1;
              const x$54 = spec.custom$1;
              return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$43, x$44, x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$52, x$53, x$42, x$54)
            }
          };
          return spec
        } else if (((x1$2 === "http://www.w3.org/ns/shacl#targetObjectsOf") && validation.owlProperty$1.isDefined__Z())) {
          const x$55 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.owlProperty$1.get__O()]));
          const x$56 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_NodeConstraint().init___T__T(validation.constraint$1, validation.value$1)]));
          const x$57 = spec.name$1;
          const x$58 = spec.message$1;
          const x$59 = spec.ramlMessage$1;
          const x$60 = spec.oasMessage$1;
          const x$61 = spec.targetInstance$1;
          const x$62 = spec.targetClass$1;
          const x$63 = spec.unionConstraints$1;
          const x$64 = spec.propertyConstraints$1;
          const x$65 = spec.closed$1;
          const x$66 = spec.functionConstraint$1;
          const x$67 = spec.custom$1;
          return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$57, x$58, x$59, x$60, x$61, x$62, x$55, x$63, x$64, x$56, x$65, x$66, x$67)
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown validation target ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.target$1]))))
        }
      })
    })(this);
    const this$41 = $m_sci_List$();
    const bf = this$41.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((validations === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const arg1 = validations.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = validations.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        return h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(validations, bf);
      let these = validations;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      return b.result__O()
    }
  };
  parseFunctionConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_FunctionConstraint(constraintUri, validation, sh) {
    const x$289 = validation.message$1;
    const x$290 = $m_s_None$();
    const this$1 = $m_Lamf_plugins_document_webapi_validation_JsCustomValidations$();
    const name = sh.name$1;
    const x$291 = this$1.functions$1.get__O__s_Option(name);
    const x$292 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return new $c_Lamf_core_validation_core_FunctionConstraint().init___s_Option__s_Option__sc_Seq__s_Option(x$289, x$291, x$292, x$290)
  };
  profiles__sci_List() {
    const this$1 = this.validations__p1__sci_List();
    const m = new $c_scm_HashMap().init___();
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$3 = arg1;
      const key = x$3.spec$1;
      const hash = $m_sr_Statics$().anyHash__O__I(key);
      const i = $f_scm_HashTable__index__I__I(m, hash);
      const entry = m.findEntry__p5__O__I__scm_DefaultEntry(key, i);
      let bldr;
      if ((entry !== null)) {
        bldr = entry.value$1
      } else {
        const table0 = m.table$5;
        $m_sci_List$();
        const $default = new $c_scm_ListBuffer().init___();
        const newEntryIndex = ((table0 === m.table$5) ? i : $f_scm_HashTable__index__I__I(m, hash));
        bldr = m.addEntry__p5__scm_DefaultEntry__I__O(new $c_scm_DefaultEntry().init___O__O(key, $default), newEntryIndex)
      };
      bldr.$$plus$eq__O__scm_Builder(arg1);
      these = these.tail__O()
    };
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this$1));
    new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(m, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, b$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        if ((x$2 !== null)) {
          const k = x$2.$$und1__O();
          const v = x$2.$$und2__O();
          return b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(k, v.result__O()))
        } else {
          throw new $c_s_MatchError().init___O(x$2)
        }
      })
    })(this$1, b)));
    const groups = b.elems$1;
    const f$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const profile = x0$1.$$und1__O();
          const validationsInGroup = x0$1.$$und2__O();
          const validations = this$2$2.parseValidation__p1__sci_List__sci_List(validationsInGroup);
          const this$5 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          $m_sci_List$();
          const b$2 = new $c_scm_ListBuffer().init___();
          let these$1 = this$5;
          while ((!these$1.isEmpty__Z())) {
            const arg1$1 = these$1.head__O();
            const v$1 = arg1$1;
            const this$7 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$1.id__T());
            const x1 = this$7.get__O__s_Option(profile);
            let x$1;
            if ($is_s_Some(x1)) {
              const x2 = x1;
              const v$2 = x2.value$2;
              x$1 = v$2
            } else {
              const x = $m_s_None$();
              if ((!(x === x1))) {
                throw new $c_s_MatchError().init___O(x1)
              };
              x$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
            };
            const x$2$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
            if ((((x$1 === null) ? (x$2$1 === null) : $objectEquals(x$1, x$2$1)) !== false)) {
              b$2.$$plus$eq__O__scm_ListBuffer(arg1$1)
            };
            these$1 = these$1.tail__O()
          };
          const this$9 = b$2.toList__sci_List();
          const f = (function(this$2$3) {
            return (function(x$4$2) {
              const x$4 = x$4$2;
              return x$4.name$1
            })
          })(this$2$2);
          const this$8 = $m_sci_List$();
          const bf = this$8.ReusableCBFInstance$2;
          let violationParserSideValidations;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$9 === $m_sci_Nil$())) {
              violationParserSideValidations = $m_sci_Nil$()
            } else {
              const arg1$2 = this$9.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
              let t = h;
              let rest = this$9.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$3 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$3), $m_sci_Nil$());
                t.tl$5 = nx;
                t = nx;
                rest = rest.tail__O()
              };
              violationParserSideValidations = h
            }
          } else {
            const b$3 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf);
            let these$2 = this$9;
            while ((!these$2.isEmpty__Z())) {
              const arg1$4 = these$2.head__O();
              b$3.$$plus$eq__O__scm_Builder(f(arg1$4));
              these$2 = these$2.tail__O()
            };
            violationParserSideValidations = b$3.result__O()
          };
          const this$10 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          $m_sci_List$();
          const b$4 = new $c_scm_ListBuffer().init___();
          let these$3 = this$10;
          while ((!these$3.isEmpty__Z())) {
            const arg1$5 = these$3.head__O();
            const v$3 = arg1$5;
            const this$12 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$3.id__T());
            const x1$1 = this$12.get__O__s_Option(profile);
            let x$6;
            if ($is_s_Some(x1$1)) {
              const x2$1 = x1$1;
              const v$4 = x2$1.value$2;
              x$6 = v$4
            } else {
              const x$5 = $m_s_None$();
              if ((!(x$5 === x1$1))) {
                throw new $c_s_MatchError().init___O(x1$1)
              };
              x$6 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
            };
            const x$2$3 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
            if ((((x$6 === null) ? (x$2$3 === null) : $objectEquals(x$6, x$2$3)) !== false)) {
              b$4.$$plus$eq__O__scm_ListBuffer(arg1$5)
            };
            these$3 = these$3.tail__O()
          };
          const this$14 = b$4.toList__sci_List();
          const f$1 = (function(this$4$1) {
            return (function(x$5$2) {
              const x$5$1 = x$5$2;
              return x$5$1.name$1
            })
          })(this$2$2);
          const this$13 = $m_sci_List$();
          const bf$1 = this$13.ReusableCBFInstance$2;
          let infoParserSideValidations;
          if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$14 === $m_sci_Nil$())) {
              infoParserSideValidations = $m_sci_Nil$()
            } else {
              const arg1$6 = this$14.head__O();
              const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$6), $m_sci_Nil$());
              let t$1 = h$1;
              let rest$1 = this$14.tail__O();
              while ((rest$1 !== $m_sci_Nil$())) {
                const arg1$7 = rest$1.head__O();
                const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$7), $m_sci_Nil$());
                t$1.tl$5 = nx$1;
                t$1 = nx$1;
                rest$1 = rest$1.tail__O()
              };
              infoParserSideValidations = h$1
            }
          } else {
            const b$5 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$14, bf$1);
            let these$4 = this$14;
            while ((!these$4.isEmpty__Z())) {
              const arg1$8 = these$4.head__O();
              b$5.$$plus$eq__O__scm_Builder(f$1(arg1$8));
              these$4 = these$4.tail__O()
            };
            infoParserSideValidations = b$5.result__O()
          };
          const this$15 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          $m_sci_List$();
          const b$6 = new $c_scm_ListBuffer().init___();
          let these$5 = this$15;
          while ((!these$5.isEmpty__Z())) {
            const arg1$9 = these$5.head__O();
            const v$4$1 = arg1$9;
            const this$17 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$4$1.id__T());
            const x1$2 = this$17.get__O__s_Option(profile);
            let x$8;
            if ($is_s_Some(x1$2)) {
              const x2$2 = x1$2;
              const v$5 = x2$2.value$2;
              x$8 = v$5
            } else {
              const x$7 = $m_s_None$();
              if ((!(x$7 === x1$2))) {
                throw new $c_s_MatchError().init___O(x1$2)
              };
              x$8 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
            };
            const x$2$4 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
            if ((((x$8 === null) ? (x$2$4 === null) : $objectEquals(x$8, x$2$4)) !== false)) {
              b$6.$$plus$eq__O__scm_ListBuffer(arg1$9)
            };
            these$5 = these$5.tail__O()
          };
          const this$19 = b$6.toList__sci_List();
          const f$2 = (function(this$6$1) {
            return (function(x$6$2) {
              const x$6$1 = x$6$2;
              return x$6$1.name$1
            })
          })(this$2$2);
          const this$18 = $m_sci_List$();
          const bf$2 = this$18.ReusableCBFInstance$2;
          let warningParserSideValidations;
          if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$19 === $m_sci_Nil$())) {
              warningParserSideValidations = $m_sci_Nil$()
            } else {
              const arg1$10 = this$19.head__O();
              const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$10), $m_sci_Nil$());
              let t$2 = h$2;
              let rest$2 = this$19.tail__O();
              while ((rest$2 !== $m_sci_Nil$())) {
                const arg1$11 = rest$2.head__O();
                const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$11), $m_sci_Nil$());
                t$2.tl$5 = nx$2;
                t$2 = nx$2;
                rest$2 = rest$2.tail__O()
              };
              warningParserSideValidations = h$2
            }
          } else {
            const b$7 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$19, bf$2);
            let these$6 = this$19;
            while ((!these$6.isEmpty__Z())) {
              const arg1$12 = these$6.head__O();
              b$7.$$plus$eq__O__scm_Builder(f$2(arg1$12));
              these$6 = these$6.tail__O()
            };
            warningParserSideValidations = b$7.result__O()
          };
          const x$9 = ((profile === $m_Lamf_ProfileNames$().AMF$1) ? $m_s_None$() : new $c_s_Some().init___O($m_Lamf_ProfileNames$().AMF$1));
          const f$3 = (function(this$7$1) {
            return (function(x$7$2) {
              const x$7$1 = x$7$2;
              return x$7$1.name$1
            })
          })(this$2$2);
          const this$20 = $m_sci_List$();
          const bf$3 = this$20.ReusableCBFInstance$2;
          let jsx$1;
          if ((bf$3 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((validations === $m_sci_Nil$())) {
              jsx$1 = $m_sci_Nil$()
            } else {
              const arg1$13 = validations.head__O();
              const h$3 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$13), $m_sci_Nil$());
              let t$3 = h$3;
              let rest$3 = validations.tail__O();
              while ((rest$3 !== $m_sci_Nil$())) {
                const arg1$14 = rest$3.head__O();
                const nx$3 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$14), $m_sci_Nil$());
                t$3.tl$5 = nx$3;
                t$3 = nx$3;
                rest$3 = rest$3.tail__O()
              };
              jsx$1 = h$3
            }
          } else {
            const b$8 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(validations, bf$3);
            let these$7 = validations;
            while ((!these$7.isEmpty__Z())) {
              const arg1$15 = these$7.head__O();
              b$8.$$plus$eq__O__scm_Builder(f$3(arg1$15));
              these$7 = these$7.tail__O()
            };
            jsx$1 = b$8.result__O()
          };
          const this$21 = $m_sci_List$();
          const x$12 = jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(violationParserSideValidations, this$21.ReusableCBFInstance$2);
          const jsx$2 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          const this$22 = $m_sci_List$();
          const x$13 = validations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$22.ReusableCBFInstance$2);
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$26 = new $c_scm_ListBuffer().init___();
          const x$14 = this$26.toList__sci_List();
          const x$15 = new $c_scm_HashMap().init___();
          return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(profile, x$9, x$12, infoParserSideValidations, warningParserSideValidations, x$14, x$13, x$15)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$29 = $m_sci_Iterable$();
    const bf$4 = this$29.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(groups, f$4, bf$4).toList__sci_List()
  };
}
const $d_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_DefaultAMFValidations$: 0
}, false, "amf.plugins.document.webapi.validation.DefaultAMFValidations$", {
  Lamf_plugins_document_webapi_validation_DefaultAMFValidations$: 1,
  O: 1,
  Lamf_plugins_document_webapi_validation_ImportUtils: 1
});
$c_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$;
let $n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$)) {
    $n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = new $c_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$
});
class $c_Lamf_plugins_domain_DataShapes$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_plugins_domain_DataShapes$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$register__O() {
    this.register__V()
  };
  register__V() {
    const this$1 = this.platform$1;
    const model = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_model_domain_AnyShape().init___Lamf_plugins_domain_shapes_models_AnyShape(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$1, model, builder);
    const this$3 = this.platform$1;
    const model$1 = $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_domain_shapes_models_NilShape(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_model_domain_NilShape().init___Lamf_plugins_domain_shapes_models_NilShape(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$3, model$1, builder$1);
    const this$4 = this.platform$1;
    const model$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$();
    const builder$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$3)) {
          const x2$2 = x0$3;
          return new $c_Lamf_model_domain_ArrayShape().init___Lamf_plugins_domain_shapes_models_ArrayShape(x2$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$4, model$2, builder$2);
    const this$6 = this.platform$1;
    const model$3 = $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$();
    const builder$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x0$4)) {
          const x2$3 = x0$4;
          return new $c_Lamf_model_domain_MatrixShape().init___Lamf_plugins_domain_shapes_models_ArrayShape(new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x2$3.fields$2, x2$3.annotations$2))
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$6, model$3, builder$3);
    const this$7 = this.platform$1;
    const model$4 = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$();
    const builder$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x0$5)) {
          const x2$4 = x0$5;
          return new $c_Lamf_model_domain_TupleShape().init___Lamf_plugins_domain_shapes_models_TupleShape(x2$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$7, model$4, builder$4);
    const this$9 = this.platform$1;
    const model$5 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$();
    const builder$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x0$6)) {
          const x2$5 = x0$6;
          return new $c_Lamf_model_domain_CreativeWork().init___Lamf_plugins_domain_shapes_models_CreativeWork(x2$5)
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$9, model$5, builder$5);
    const this$11 = this.platform$1;
    const model$6 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$();
    const builder$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_plugins_domain_shapes_models_Example(x0$7)) {
          const x2$6 = x0$7;
          return new $c_Lamf_model_domain_Example().init___Lamf_plugins_domain_shapes_models_Example(x2$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$11, model$6, builder$6);
    const this$12 = this.platform$1;
    const model$7 = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$();
    const builder$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_plugins_domain_shapes_models_FileShape(x0$8)) {
          const x2$7 = x0$8;
          return new $c_Lamf_model_domain_FileShape().init___Lamf_plugins_domain_shapes_models_FileShape(x2$7)
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$12, model$7, builder$7);
    const this$13 = this.platform$1;
    const model$8 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$();
    const builder$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x0$9)) {
          const x2$8 = x0$9;
          return new $c_Lamf_model_domain_NodeShape().init___Lamf_plugins_domain_shapes_models_NodeShape(x2$8)
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$13, model$8, builder$8);
    const this$14 = this.platform$1;
    const model$9 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$();
    const builder$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
      return (function(x0$10$2) {
        const x0$10 = x0$10$2;
        if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x0$10)) {
          const x2$9 = x0$10;
          return new $c_Lamf_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape(x2$9)
        } else {
          throw new $c_s_MatchError().init___O(x0$10)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$14, model$9, builder$9);
    const this$15 = this.platform$1;
    const model$10 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$();
    const builder$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x0$11)) {
          const x2$10 = x0$11;
          return new $c_Lamf_model_domain_SchemaShape().init___Lamf_plugins_domain_shapes_models_SchemaShape(x2$10)
        } else {
          throw new $c_s_MatchError().init___O(x0$11)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$15, model$10, builder$10);
    const this$17 = this.platform$1;
    const model$11 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$();
    const builder$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12$1) {
      return (function(x0$12$2) {
        const x0$12 = x0$12$2;
        if ($is_Lamf_plugins_domain_shapes_models_XMLSerializer(x0$12)) {
          const x2$11 = x0$12;
          return new $c_Lamf_model_domain_XMLSerializer().init___Lamf_plugins_domain_shapes_models_XMLSerializer(x2$11)
        } else {
          throw new $c_s_MatchError().init___O(x0$12)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$17, model$11, builder$11);
    const this$18 = this.platform$1;
    const model$12 = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$();
    const builder$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$13$1) {
      return (function(x0$13$2) {
        const x0$13 = x0$13$2;
        if ($is_Lamf_plugins_domain_shapes_models_PropertyDependencies(x0$13)) {
          const x2$12 = x0$13;
          return new $c_Lamf_model_domain_PropertyDependencies().init___Lamf_plugins_domain_shapes_models_PropertyDependencies(x2$12)
        } else {
          throw new $c_s_MatchError().init___O(x0$13)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$18, model$12, builder$12);
    const this$19 = this.platform$1;
    const model$13 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$();
    const builder$13 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14$1) {
      return (function(x0$14$2) {
        const x0$14 = x0$14$2;
        if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x0$14)) {
          const x2$13 = x0$14;
          return new $c_Lamf_model_domain_UnionShape().init___Lamf_plugins_domain_shapes_models_UnionShape(x2$13)
        } else {
          throw new $c_s_MatchError().init___O(x0$14)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$19, model$13, builder$13);
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_domain_DataShapes$ = new $TypeData().initClass({
  Lamf_plugins_domain_DataShapes$: 0
}, false, "amf.plugins.domain.DataShapes$", {
  Lamf_plugins_domain_DataShapes$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_domain_DataShapes$.prototype.$classData = $d_Lamf_plugins_domain_DataShapes$;
let $n_Lamf_plugins_domain_DataShapes$ = (void 0);
const $m_Lamf_plugins_domain_DataShapes$ = (function() {
  if ((!$n_Lamf_plugins_domain_DataShapes$)) {
    $n_Lamf_plugins_domain_DataShapes$ = new $c_Lamf_plugins_domain_DataShapes$().init___()
  };
  return $n_Lamf_plugins_domain_DataShapes$
});
class $c_Lamf_plugins_domain_WebApi$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_plugins_domain_WebApi$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$register__O() {
    this.register__V()
  };
  register__V() {
    const this$2 = this.platform$1;
    const model = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$();
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_domain_webapi_models_EndPoint(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_model_domain_EndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$2, model, builder);
    const this$4 = this.platform$1;
    const model$1 = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_domain_webapi_models_License(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_model_domain_License().init___Lamf_plugins_domain_webapi_models_License(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$4, model$1, builder$1);
    const this$6 = this.platform$1;
    const model$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$();
    const builder$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_domain_webapi_models_Operation(x0$3)) {
          const x2$2 = x0$3;
          return new $c_Lamf_model_domain_Operation().init___Lamf_plugins_domain_webapi_models_Operation(x2$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$6, model$2, builder$2);
    const this$8 = this.platform$1;
    const model$3 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$();
    const builder$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_plugins_domain_webapi_models_Organization(x0$4)) {
          const x2$3 = x0$4;
          return new $c_Lamf_model_domain_Organization().init___Lamf_plugins_domain_webapi_models_Organization(x2$3)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$8, model$3, builder$3);
    const this$10 = this.platform$1;
    const model$4 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$();
    const builder$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$5)) {
          const x2$4 = x0$5;
          return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(x2$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$10, model$4, builder$4);
    const this$12 = this.platform$1;
    const model$5 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$();
    const builder$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x0$6)) {
          const x2$5 = x0$6;
          return new $c_Lamf_model_domain_ParametrizedResourceType().init___Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x2$5)
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$12, model$5, builder$5);
    const this$14 = this.platform$1;
    const model$6 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$();
    const builder$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x0$7)) {
          const x2$6 = x0$7;
          return new $c_Lamf_model_domain_ParametrizedTrait().init___Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x2$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$14, model$6, builder$6);
    const this$16 = this.platform$1;
    const model$7 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$();
    const builder$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x0$8)) {
          const x2$7 = x0$8;
          return new $c_Lamf_model_domain_ParametrizedSecurityScheme().init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x2$7)
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$16, model$7, builder$7);
    const this$18 = this.platform$1;
    const model$8 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$();
    const builder$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x0$9)) {
          const x2$8 = x0$9;
          return new $c_Lamf_model_domain_SecurityScheme().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme(x2$8)
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$18, model$8, builder$8);
    const this$20 = this.platform$1;
    const model$9 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$();
    const builder$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
      return (function(x0$10$2) {
        const x0$10 = x0$10$2;
        if ($is_Lamf_plugins_domain_webapi_models_Payload(x0$10)) {
          const x2$9 = x0$10;
          return new $c_Lamf_model_domain_Payload().init___Lamf_plugins_domain_webapi_models_Payload(x2$9)
        } else {
          throw new $c_s_MatchError().init___O(x0$10)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$20, model$9, builder$9);
    const this$22 = this.platform$1;
    const model$10 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$();
    const builder$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ($is_Lamf_plugins_domain_webapi_models_Request(x0$11)) {
          const x2$10 = x0$11;
          return new $c_Lamf_model_domain_Request().init___Lamf_plugins_domain_webapi_models_Request(x2$10)
        } else {
          throw new $c_s_MatchError().init___O(x0$11)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$22, model$10, builder$10);
    const this$24 = this.platform$1;
    const model$11 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$();
    const builder$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12$1) {
      return (function(x0$12$2) {
        const x0$12 = x0$12$2;
        if ($is_Lamf_plugins_domain_webapi_models_Response(x0$12)) {
          const x2$11 = x0$12;
          return new $c_Lamf_model_domain_Response().init___Lamf_plugins_domain_webapi_models_Response(x2$11)
        } else {
          throw new $c_s_MatchError().init___O(x0$12)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$24, model$11, builder$11);
    const this$26 = this.platform$1;
    const model$12 = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$();
    const builder$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$13$1) {
      return (function(x0$13$2) {
        const x0$13 = x0$13$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x0$13)) {
          const x2$12 = x0$13;
          return new $c_Lamf_model_domain_Scope().init___Lamf_plugins_domain_webapi_models_security_Scope(x2$12)
        } else {
          throw new $c_s_MatchError().init___O(x0$13)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$26, model$12, builder$12);
    const this$27 = this.platform$1;
    const model$13 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$();
    const builder$13 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14$1) {
      return (function(x0$14$2) {
        const x0$14 = x0$14$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_Settings(x0$14)) {
          const x2$13 = x0$14;
          return $m_Lamf_model_domain_Settings$().apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(x2$13)
        } else {
          throw new $c_s_MatchError().init___O(x0$14)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$27, model$13, builder$13);
    const this$28 = this.platform$1;
    const model$14 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$();
    const builder$14 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$15$1) {
      return (function(x0$15$2) {
        const x0$15 = x0$15$2;
        if ($is_Lamf_plugins_domain_webapi_models_WebApi(x0$15)) {
          const x2$14 = x0$15;
          return new $c_Lamf_model_domain_WebApi().init___Lamf_plugins_domain_webapi_models_WebApi(x2$14)
        } else {
          throw new $c_s_MatchError().init___O(x0$15)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$28, model$14, builder$14);
    const this$29 = this.platform$1;
    const model$15 = $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$();
    const builder$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$16$1) {
      return (function(x0$16$2) {
        const x0$16 = x0$16$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(x0$16)) {
          const x2$15 = x0$16;
          return new $c_Lamf_model_domain_Trait().init___Lamf_plugins_domain_webapi_models_templates_Trait(x2$15)
        } else {
          throw new $c_s_MatchError().init___O(x0$16)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$29, model$15, builder$15);
    const this$30 = this.platform$1;
    const model$16 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$();
    const builder$16 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$17$1) {
      return (function(x0$17$2) {
        const x0$17 = x0$17$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x0$17)) {
          const x2$16 = x0$17;
          return new $c_Lamf_model_domain_ResourceType().init___Lamf_plugins_domain_webapi_models_templates_ResourceType(x2$16)
        } else {
          throw new $c_s_MatchError().init___O(x0$17)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(this$30, model$16, builder$16);
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_domain_WebApi$ = new $TypeData().initClass({
  Lamf_plugins_domain_WebApi$: 0
}, false, "amf.plugins.domain.WebApi$", {
  Lamf_plugins_domain_WebApi$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_domain_WebApi$.prototype.$classData = $d_Lamf_plugins_domain_WebApi$;
let $n_Lamf_plugins_domain_WebApi$ = (void 0);
const $m_Lamf_plugins_domain_WebApi$ = (function() {
  if ((!$n_Lamf_plugins_domain_WebApi$)) {
    $n_Lamf_plugins_domain_WebApi$ = new $c_Lamf_plugins_domain_WebApi$().init___()
  };
  return $n_Lamf_plugins_domain_WebApi$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$AnyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$AnyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$AnyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$ArrayType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$JSONSchemaType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$LinkType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$LinkType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$LinkType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$MultipleMatch$", {
  Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$ObjectType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$TypeExpressionType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$UndefinedType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$UnionType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$UnionType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$UnionType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$XMLSchemaType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$
});
class $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  resolveWebApi__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_domain_webapi_models_WebApi(webApi) {
    const jsx$4 = webApi.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return e.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(o$2) {
        const o = o$2;
        return o.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const allResponses = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    allResponses.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(response$2) {
        const response = response$2;
        const jsx$6 = response.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(e$2$1) {
            const e$1 = e$2$1;
            const self = e$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1);
            return new $c_T2().init___O__O(self, e$1)
          })
        })(this$3$1));
        const this$6 = $m_sc_Seq$();
        const mappedExamples = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$6.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
        response.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
        response.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, mappedExamples$1) {
          return (function(p$2) {
            const p = p$2;
            const x1 = p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
            if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
              const x2 = x1;
              const exampleOption = mappedExamples$1.get__O__s_Option(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1));
              if ((!exampleOption.isEmpty__Z())) {
                const arg1 = exampleOption.get__O();
                const e$3 = arg1;
                const jsx$8 = x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
                const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e$3]));
                const this$7 = $m_sc_Seq$();
                const examples = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$7.ReusableCBFInstance$2);
                const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
                $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(x2, field, examples)
              }
            }
          })
        })(this$3$1, mappedExamples)))
      })
    })(this)));
    return webApi
  };
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    if ($is_Lamf_core_model_document_Document(model)) {
      const x2 = model;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const encoded = this.resolveWebApi__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement());
        const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x2, field, encoded)
      }
    };
    return model
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.ExamplesResolutionStage", {
  Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage;
class $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null
  };
  payloads__p2__sc_Seq__sc_Seq__T__sc_Seq(p, mediaTypes, parent) {
    const x1 = p.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1).isEmpty__Z()
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const noMediaType = x1.$$und1__O();
    const result = x1.$$und2__O();
    const result$2 = new $c_sr_ObjectRef().init___O(result);
    noMediaType.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, mediaTypes$1, parent$1, result$2$1) {
      return (function(payload$2) {
        const payload = payload$2;
        mediaTypes$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$1$1, result$1, payload$1) {
          return (function(mediaType$2) {
            const mediaType = mediaType$2;
            const jsx$2 = result$1.elem$1;
            const annotations = payload$1.annotations$1;
            const this$5 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
            const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, mediaType).adopted__T__Lamf_plugins_domain_webapi_models_Payload(parent$1$1);
            const qual$1 = payload$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
            const x$5 = qual$1.cloneShape$default$1__s_Option();
            const x$6 = qual$1.cloneShape$default$2__sci_Set();
            const schema = qual$1.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(x$5, x$6);
            const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
            const jsx$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$6, field$1, schema);
            const this$7 = $m_sc_Seq$();
            result$1.elem$1 = jsx$2.$$colon$plus__O__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2)
          })
        })(this$2, parent$1, result$2$1, payload)))
      })
    })(this, mediaTypes, parent, result$2)));
    return result$2.elem$1
  };
  resolvePayloads__Lamf_plugins_domain_webapi_models_WebApi__V(api) {
    api.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(endpoint$2) {
        const endpoint = endpoint$2;
        const payloads = endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1);
        endpoint.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1);
        if (payloads.nonEmpty__Z()) {
          endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, payloads$1) {
            return (function(operation$2) {
              const operation = operation$2;
              const x1 = $m_s_Option$().apply__O__s_Option(operation.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
              if ($is_s_Some(x1)) {
                const x2 = x1;
                const request = x2.value$2;
                payloads$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, request$1) {
                  return (function(payload$2) {
                    const payload = payload$2;
                    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                    return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(request$1, field, payload)
                  })
                })($this$1, request)));
                return (void 0)
              } else {
                const x = $m_s_None$();
                if ((x === x1)) {
                  const this$1 = operation.withRequest__Lamf_plugins_domain_webapi_models_Request();
                  const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                  return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$1, field$1, payloads$1)
                } else {
                  throw new $c_s_MatchError().init___O(x1)
                }
              }
            })
          })($this, payloads)))
        }
      })
    })(this)))
  };
  field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(element, field) {
    const this$1 = element.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
    let result;
    if (this$1.isEmpty__Z()) {
      result = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      const jsx$2 = x$1.value$1.value$1.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          return v.toString__T()
        })
      })(this));
      const this$2 = $m_sc_Seq$();
      result = new $c_s_Some().init___O(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2))
    };
    element.fields__Lamf_core_parser_Fields().remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(field);
    return result
  };
  init___T(profile) {
    this.profile$2 = profile;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    matchEnd4: {
      if ($is_Lamf_core_model_document_Document(model)) {
        const x2 = model;
        if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
          this.resolvePayloads__Lamf_plugins_domain_webapi_models_WebApi__V(x2.encodes__Lamf_core_model_domain_DomainElement());
          this.resolveMediaTypes__Lamf_plugins_domain_webapi_models_WebApi__V(x2.encodes__Lamf_core_model_domain_DomainElement());
          break matchEnd4
        }
      }
    };
    return model
  };
  resolveMediaTypes__Lamf_plugins_domain_webapi_models_WebApi__V(api) {
    const rootAccepts = this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(api, $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1);
    const rootContentType = this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(api, $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    api.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, rootAccepts$1, rootContentType$1) {
      return (function(endPoint$2) {
        const endPoint = endPoint$2;
        endPoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, rootAccepts$1$1, rootContentType$1$1) {
          return (function(operation$2) {
            const operation = operation$2;
            const opAccepts = $this$1.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(operation, $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1);
            const opContentType = $this$1.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(operation, $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1);
            const accepts = $this$1.merge__s_Option__s_Option__s_Option(rootAccepts$1$1, opAccepts);
            const contentType = $this$1.merge__s_Option__s_Option__s_Option(rootContentType$1$1, opContentType);
            const this$1 = $m_s_Option$().apply__O__s_Option(operation.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
            if ((!this$1.isEmpty__Z())) {
              const arg1 = this$1.get__O();
              const request = arg1;
              if ((!accepts.isEmpty__Z())) {
                const arg1$1 = accepts.get__O();
                const a = arg1$1;
                if (($this$1.profile$2 === $m_Lamf_ProfileNames$().OAS$1)) {
                  const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(operation, field, a)
                };
                const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                const values = $this$1.payloads__p2__sc_Seq__sc_Seq__T__sc_Seq(request.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1), a, request.id$1);
                $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(request, field$1, values)
              }
            };
            operation.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, contentType$1, operation$1) {
              return (function(response$2) {
                const response = response$2;
                if ((!contentType$1.isEmpty__Z())) {
                  const arg1$2 = contentType$1.get__O();
                  const ct = arg1$2;
                  if ((this$2.profile$2 === $m_Lamf_ProfileNames$().OAS$1)) {
                    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
                    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(operation$1, field$2, ct)
                  };
                  const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                  const values$1 = this$2.payloads__p2__sc_Seq__sc_Seq__T__sc_Seq(response.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1), ct, response.id$1);
                  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(response, field$3, values$1)
                }
              })
            })($this$1, contentType, operation)))
          })
        })($this, rootAccepts$1, rootContentType$1)))
      })
    })(this, rootAccepts, rootContentType)))
  };
  merge__s_Option__s_Option__s_Option(root, op) {
    const this$1 = (op.isEmpty__Z() ? root : op);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      jsx$1 = x$4.nonEmpty__Z()
    };
    if (jsx$1) {
      return this$1
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.MediaTypeResolutionStage", {
  Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage;
class $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null
  };
  parametersAmf__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const webApi = x2.encodes__Lamf_core_model_domain_DomainElement();
        const this$1 = $m_s_Option$().apply__O__s_Option(webApi.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1));
        const x$2 = (this$1.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$1.get__O());
        const x$3 = $m_sci_Nil$();
        const x$4 = $m_sci_Nil$();
        const x$5 = $m_s_None$();
        const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(x$3, x$2, x$4, x$5);
        const finalParams = new $c_sr_ObjectRef().init___O(elem);
        webApi.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1);
        webApi.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, finalParams$1) {
          return (function(endpoint$2) {
            const endpoint = endpoint$2;
            const jsx$2 = finalParams$1.elem$1;
            const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$();
            const this$6 = $m_s_Option$().apply__O__s_Option(endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1));
            finalParams$1.elem$1 = jsx$2.merge__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(jsx$1.classified__sc_Seq__s_Option__Lamf_plugins_document_webapi_parser_spec_domain_Parameters((this$6.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$6.get__O()), $m_s_None$()));
            endpoint.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
            if (finalParams$1.elem$1.nonEmpty__Z()) {
              endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2, finalParams$1$1) {
                return (function(op$2) {
                  const op = op$2;
                  return this$2$2.setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, finalParams$1$1.elem$1)
                })
              })(this$2$1, finalParams$1)))
            }
          })
        })(this, finalParams)));
        return x2
      }
    };
    return unit
  };
  parametersRaml10__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const webApi = x2.encodes__Lamf_core_model_domain_DomainElement();
        webApi.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(endpoint$2) {
            const endpoint = endpoint$2;
            const this$1 = $m_s_Option$().apply__O__s_Option(endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1));
            const endpointParameters = (this$1.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$1.get__O());
            const x1 = endpointParameters.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
              return (function(p$2) {
                const p = p$2;
                return (p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1) === "path")
              })
            })($this)));
            if ((x1 === null)) {
              throw new $c_s_MatchError().init___O(x1)
            };
            const path = x1.$$und1__O();
            const other = x1.$$und2__O();
            const finalParams = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$().classified__sc_Seq__s_Option__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(other, $m_s_None$());
            if ((finalParams.nonEmpty__Z() && endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).nonEmpty__Z())) {
              endpoint.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
              if (path.nonEmpty__Z()) {
                endpoint.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(path, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
              };
              endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, finalParams$1) {
                return (function(op$2) {
                  const op = op$2;
                  return this$3$1.setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, finalParams$1)
                })
              })($this, finalParams)))
            }
          })
        })(this)));
        return x2
      }
    };
    return unit
  };
  parametersOpenApi__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const webApi = x2.encodes__Lamf_core_model_domain_DomainElement();
        webApi.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(endpoint$2) {
            const endpoint = endpoint$2;
            const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$();
            const this$1 = $m_s_Option$().apply__O__s_Option(endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1));
            const finalParams = jsx$1.classified__sc_Seq__s_Option__Lamf_plugins_document_webapi_parser_spec_domain_Parameters((this$1.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$1.get__O()), $m_s_None$());
            if ((finalParams.nonEmpty__Z() && endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).nonEmpty__Z())) {
              endpoint.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
              endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, finalParams$1) {
                return (function(op$2) {
                  const op = op$2;
                  return this$2$1.setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, finalParams$1)
                })
              })($this, finalParams)))
            }
          })
        })(this)));
        return x2
      }
    };
    return unit
  };
  setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, params) {
    const this$1 = $m_s_Option$().apply__O__s_Option(op.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    const request = (this$1.isEmpty__Z() ? op.withRequest__Lamf_plugins_domain_webapi_models_Request() : this$1.get__O());
    const finalParams = params.merge__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(request.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1), request.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1), request.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1), $m_s_None$()));
    if (finalParams.query$1.nonEmpty__Z()) {
      request.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(finalParams.query$1, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
    };
    if (finalParams.header$1.nonEmpty__Z()) {
      request.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(finalParams.header$1, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
    };
    return (finalParams.path$1.nonEmpty__Z() ? request.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(finalParams.path$1, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___()) : (void 0))
  };
  init___T(profile) {
    this.profile$2 = profile;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const x1 = this.profile$2;
    if (($m_Lamf_ProfileNames$().RAML$1 === x1)) {
      return this.parametersRaml10__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    } else if ((($m_Lamf_ProfileNames$().OAS$1 === x1) || ($m_Lamf_ProfileNames$().RAML08$1 === x1))) {
      return this.parametersOpenApi__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    } else if (($m_Lamf_ProfileNames$().AMF$1 === x1)) {
      return this.parametersAmf__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown profile ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.profile$2]))))
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.ParametersNormalizationStage", {
  Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage;
class $c_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  validateSettings__p2__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_plugins_domain_webapi_models_security_Settings__s_Option(root, settings) {
    const this$1 = $m_s_Option$().apply__O__s_Option(settings);
    return (this$1.isEmpty__Z() ? $m_s_Option$().apply__O__s_Option(root) : this$1)
  };
  resolveSecurity__p2__F1__Lamf_plugins_domain_webapi_models_WebApi__V(finder, api) {
    const rootSecurity = this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(api, $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1);
    api.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, finder$1, rootSecurity$1) {
      return (function(endPoint$2) {
        const endPoint = endPoint$2;
        const endPointSecurity = $this.merge__p2__s_Option__s_Option__s_Option(rootSecurity$1, $this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(endPoint, $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1));
        endPoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, finder$1$1, endPointSecurity$1) {
          return (function(operation$2) {
            const operation = operation$2;
            const opSecurity = $this$1.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(operation, $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1);
            const security = $this$1.merge__p2__s_Option__s_Option__s_Option(endPointSecurity$1, opSecurity);
            if ((!security.isEmpty__Z())) {
              const arg1 = security.get__O();
              const schemes = arg1;
              const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, finder$1$2, operation$1) {
                return (function(x$2$2) {
                  const x$2 = x$2$2;
                  return $this$2.asSecurityScheme__p2__F1__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(finder$1$2, x$2, operation$1.id$1)
                })
              })($this$1, finder$1$1, operation));
              const this$1 = $m_sc_Seq$();
              const resolved = schemes.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
              if (resolved.nonEmpty__Z()) {
                const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
                $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(operation, field, resolved)
              }
            }
          })
        })($this, finder$1, endPointSecurity)))
      })
    })(this, finder, rootSecurity)))
  };
  merge__p2__s_Option__s_Option__s_Option(root, ep) {
    const this$1 = (ep.isEmpty__Z() ? root : ep);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      jsx$1 = x$4.nonEmpty__Z()
    };
    if (jsx$1) {
      return this$1
    } else {
      return $m_s_None$()
    }
  };
  field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(element, field) {
    const this$1 = element.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
    let result;
    if (this$1.isEmpty__Z()) {
      result = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$3 = arg1;
      const jsx$2 = x$3.value$1.value$1.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          return v
        })
      })(this));
      const this$2 = $m_sc_Seq$();
      result = new $c_s_Some().init___O(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2))
    };
    element.fields__Lamf_core_parser_Fields().remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(field);
    return result
  };
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    matchEnd4: {
      if ($is_Lamf_core_model_document_Document(model)) {
        const x2 = model;
        if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
          this.resolveSecurity__p2__F1__Lamf_plugins_domain_webapi_models_WebApi__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, model$1) {
            return (function(id$2) {
              const id = id$2;
              return $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option(model$1, id)
            })
          })(this, model)), x2.encodes__Lamf_core_model_domain_DomainElement());
          break matchEnd4
        }
      }
    };
    return model
  };
  asSecurityScheme__p2__F1__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(finder, scheme, parent) {
    const this$1 = scheme.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1);
    if (this$1.isEmpty__Z()) {
      const annotations = scheme.annotations$1;
      const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const name = scheme.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name)
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x1 = f.value$1.value$1;
      if ((!$is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x1))) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme not found for parameterized security scheme ", "."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([scheme.id$1]))))
      };
      const x2 = x1;
      const cloned = x2.cloneScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent);
      const this$5 = this.validateSettings__p2__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_plugins_domain_webapi_models_security_Settings__s_Option(x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1), scheme.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1));
      if ((!this$5.isEmpty__Z())) {
        const arg1$1 = this$5.get__O();
        const x$1 = arg1$1;
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(cloned, field$1, x$1)
      };
      return cloned
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.SecurityResolutionStage", {
  Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage;
class $c_Lamf_plugins_features_validation_JSValidationReport extends $c_O {
  constructor() {
    super();
    this.wrapped$1 = null
  };
  $$js$exported$meth$toString__O() {
    return $m_Lamf_core_validation_core_ValidationReport$().displayString__Lamf_core_validation_core_ValidationReport__T(this)
  };
  toString__T() {
    return $m_Lamf_core_validation_core_ValidationReport$().displayString__Lamf_core_validation_core_ValidationReport__T(this)
  };
  $$js$exported$prop$results__O() {
    return this.results__sci_List()
  };
  init___sjs_js_Dynamic(wrapped) {
    this.wrapped$1 = wrapped;
    return this
  };
  $$js$exported$prop$conforms__O() {
    return this.conforms__Z()
  };
  results__sci_List() {
    const array = this.wrapped$1.results();
    const array$1 = [];
    const x1 = (array.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      const elem = new $c_Lamf_plugins_features_validation_JSValidationResult().init___sjs_js_Dynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    const this$5 = $m_sci_List$();
    const cbf = this$5.ReusableCBFInstance$2;
    const b = cbf.apply__scm_Builder();
    const x1$1 = (array$1.length | 0);
    switch (x1$1) {
      case (-1): {
        break
      }
      default: {
        b.sizeHint__I__V(x1$1)
      }
    };
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$1));
    return b.result__O()
  };
  conforms__Z() {
    return (!(!this.wrapped$1.conforms()))
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "results"() {
    return this.$$js$exported$prop$results__O()
  };
  get "conforms"() {
    return this.$$js$exported$prop$conforms__O()
  };
}
const $d_Lamf_plugins_features_validation_JSValidationReport = new $TypeData().initClass({
  Lamf_plugins_features_validation_JSValidationReport: 0
}, false, "amf.plugins.features.validation.JSValidationReport", {
  Lamf_plugins_features_validation_JSValidationReport: 1,
  O: 1,
  Lamf_core_validation_core_ValidationReport: 1
});
$c_Lamf_plugins_features_validation_JSValidationReport.prototype.$classData = $d_Lamf_plugins_features_validation_JSValidationReport;
class $c_Lamf_plugins_features_validation_JSValidationResult extends $c_O {
  constructor() {
    super();
    this.wrapped$1 = null
  };
  severity__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.severity(), "Violation")
  };
  path__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.path(), "")
  };
  message__s_Option() {
    return $m_Lamf_plugins_features_validation_JSUtils$().maybe__sjs_js_Dynamic__s_Option(this.wrapped$1.message())
  };
  sourceConstraintComponent__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.sourceConstraintComponent(), "")
  };
  $$js$exported$prop$message__O() {
    return this.message__s_Option()
  };
  $$js$exported$prop$sourceConstraintComponent__O() {
    return this.sourceConstraintComponent__T()
  };
  focusNode__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.focusNode(), "")
  };
  init___sjs_js_Dynamic(wrapped) {
    this.wrapped$1 = wrapped;
    return this
  };
  $$js$exported$prop$focusNode__O() {
    return this.focusNode__T()
  };
  $$js$exported$prop$severity__O() {
    return this.severity__T()
  };
  sourceShape__T() {
    const result = $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.sourceShape(), "");
    const prefix = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1.base$1;
    if (((((result.length | 0) >= 0) && (result.substring(0, (prefix.length | 0)) === prefix)) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(result, "#property"))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(result, "#", 0);
      const this$8 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      return $f_sc_IndexedSeqOptimized__head__O(this$8)
    } else {
      return result
    }
  };
  $$js$exported$prop$path__O() {
    return this.path__T()
  };
  $$js$exported$prop$sourceShape__O() {
    return this.sourceShape__T()
  };
  get "sourceShape"() {
    return this.$$js$exported$prop$sourceShape__O()
  };
  get "severity"() {
    return this.$$js$exported$prop$severity__O()
  };
  get "focusNode"() {
    return this.$$js$exported$prop$focusNode__O()
  };
  get "sourceConstraintComponent"() {
    return this.$$js$exported$prop$sourceConstraintComponent__O()
  };
  get "path"() {
    return this.$$js$exported$prop$path__O()
  };
  get "message"() {
    return this.$$js$exported$prop$message__O()
  };
}
const $d_Lamf_plugins_features_validation_JSValidationResult = new $TypeData().initClass({
  Lamf_plugins_features_validation_JSValidationResult: 0
}, false, "amf.plugins.features.validation.JSValidationResult", {
  Lamf_plugins_features_validation_JSValidationResult: 1,
  O: 1,
  Lamf_core_validation_core_ValidationResult: 1
});
$c_Lamf_plugins_features_validation_JSValidationResult.prototype.$classData = $d_Lamf_plugins_features_validation_JSValidationResult;
class $c_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1 extends $c_O {
  results__sci_List() {
    return $m_sci_Nil$()
  };
  conforms__Z() {
    return false
  };
  init___Lamf_plugins_features_validation_ParserSideValidationPlugin($$outer) {
    return this
  };
}
const $d_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1: 0
}, false, "amf.plugins.features.validation.ParserSideValidationPlugin$$anon$1", {
  Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1: 1,
  O: 1,
  Lamf_core_validation_core_ValidationReport: 1
});
$c_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1.prototype.$classData = $d_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1;
class $c_Lamf_plugins_features_validation_SHACLValidator extends $c_O {
  constructor() {
    super();
    this.functionUrl$1 = null;
    this.functionCode$1 = null
  };
  validateJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = this.validate__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  validate__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    const validator = new (this.nativeShacl__sjs_js_Dynamic())();
    this.loadLibrary__sjs_js_Dynamic__V(validator);
    validator.validate(data, dataMediaType, shapes, shapesMediaType, (function($this, promise$1) {
      return (function(e$2, r$2) {
        if (((e$2 === (void 0)) || (e$2 === null))) {
          const value = $objectToString($g.JSON.stringify(r$2));
          return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1, value)
        } else {
          const cause = new $c_sjs_js_JavaScriptException().init___O(e$2);
          return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$1, cause)
        }
      })
    })(this, promise));
    return promise
  };
  init___() {
    this.functionUrl$1 = $m_s_None$();
    this.functionCode$1 = $m_s_None$();
    return this
  };
  $$js$exported$meth$report__T__T__T__T__O(data, dataMediaType, shapes, shapesMediaType) {
    return this.reportJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType)
  };
  reportJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = this.report__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  loadLibrary__sjs_js_Dynamic__V(validator) {
    if ((this.functionCode$1.isDefined__Z() && this.functionUrl$1.isDefined__Z())) {
      const s = this.functionUrl$1.get__O();
      const s$1 = this.functionCode$1.get__O();
      validator.registerJSCode(s, s$1)
    }
  };
  report__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    const validator = new (this.nativeShacl__sjs_js_Dynamic())();
    this.loadLibrary__sjs_js_Dynamic__V(validator);
    validator.validate(data, dataMediaType, shapes, shapesMediaType, (function($this, promise$1) {
      return (function(e$2, report$2) {
        if (((e$2 === (void 0)) || (e$2 === null))) {
          const result = new $c_Lamf_plugins_features_validation_JSValidationReport().init___sjs_js_Dynamic(report$2);
          return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1, result)
        } else {
          const cause = new $c_sjs_js_JavaScriptException().init___O(e$2);
          return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$1, cause)
        }
      })
    })(this, promise));
    return promise
  };
  registerLibrary__T__T__V(url, code) {
    this.functionUrl$1 = new $c_s_Some().init___O(url);
    this.functionCode$1 = new $c_s_Some().init___O(code)
  };
  nativeShacl__sjs_js_Dynamic() {
    const v = $g.SHACLValidator;
    if ((v === (void 0))) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot find global SHACLValidator object"))
    } else {
      return $g.SHACLValidator
    }
  };
  $$js$exported$meth$validate__T__T__T__T__O(data, dataMediaType, shapes, shapesMediaType) {
    return this.validateJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType)
  };
  "report"(arg$1, arg$2, arg$3, arg$4) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = arg$3;
    const prep3 = arg$4;
    return this.$$js$exported$meth$report__T__T__T__T__O(prep0, prep1, prep2, prep3)
  };
  "validate"(arg$1, arg$2, arg$3, arg$4) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = arg$3;
    const prep3 = arg$4;
    return this.$$js$exported$meth$validate__T__T__T__T__O(prep0, prep1, prep2, prep3)
  };
}
const $d_Lamf_plugins_features_validation_SHACLValidator = new $TypeData().initClass({
  Lamf_plugins_features_validation_SHACLValidator: 0
}, false, "amf.plugins.features.validation.SHACLValidator", {
  Lamf_plugins_features_validation_SHACLValidator: 1,
  O: 1,
  Lamf_core_validation_core_SHACLValidator: 1
});
$c_Lamf_plugins_features_validation_SHACLValidator.prototype.$classData = $d_Lamf_plugins_features_validation_SHACLValidator;
class $c_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_validation_core_FunctionConstraint(node) {
    return new $c_Lamf_core_validation_core_FunctionConstraint().init___s_Option__s_Option__sc_Seq__s_Option($f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "message"), $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "code"), $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq(this, node, "libraries"), $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "functionName"))
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedFunctionConstraint$: 0
}, false, "amf.plugins.features.validation.model.ParsedFunctionConstraint$", {
  Lamf_plugins_features_validation_model_ParsedFunctionConstraint$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$;
let $n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$)) {
    $n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = new $c_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$
});
class $c_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__scm_Map__Lamf_core_validation_core_PropertyConstraint(node, prefixes) {
    const x = node.linkValue$1;
    const value = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "ramlID in property constraint", x);
    const x$4 = $f_Lamf_plugins_features_validation_model_DialectWrapper__expand__T__scm_Map__T(this, value, prefixes);
    const x$1 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "name");
    const x$5 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "name in property constraint", x$1);
    const x$6 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "message");
    const x$7 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "pattern");
    const x$8 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "maxCount");
    const x$9 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "minCount");
    const x$10 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "maxLength");
    const x$11 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "minLength");
    const x$12 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "maxExclusive");
    const x$13 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "minExclusive");
    const x$14 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "maxInclusive");
    const x$15 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "minInclusive");
    const x$16 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq(this, node, "in");
    const x$17 = $m_s_None$();
    const x$18 = $m_s_None$();
    const x$19 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$20 = $m_s_None$();
    return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$4, x$5, x$6, x$7, x$8, x$9, x$11, x$10, x$13, x$12, x$15, x$14, x$17, x$18, x$19, x$16, x$20)
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedPropertyConstraint$: 0
}, false, "amf.plugins.features.validation.model.ParsedPropertyConstraint$", {
  Lamf_plugins_features_validation_model_ParsedPropertyConstraint$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$;
let $n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$)) {
    $n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = new $c_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$
});
class $c_Lamf_plugins_features_validation_model_ParsedValidationProfile$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_validation_core_ValidationProfile(node) {
    const prfx = $f_Lamf_plugins_features_validation_model_DialectWrapper__prefixes__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__scm_Map(this, node);
    const x = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "profile");
    const jsx$6 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "profile in validation profile", x);
    const jsx$5 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "extends");
    const jsx$4 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq(this, node, "violation");
    const jsx$3 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq(this, node, "info");
    const jsx$2 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq(this, node, "warning");
    const jsx$1 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq(this, node, "disabled");
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, prfx$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return $m_Lamf_plugins_features_validation_model_ParsedValidationSpecification$().apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__scm_Map__Lamf_core_validation_core_ValidationSpecification(x$3, prfx$1)
      })
    })(this, prfx));
    return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, $f_Lamf_plugins_features_validation_model_DialectWrapper__mapEntities__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__F1__sc_Seq(this, node, "validations", f), prfx)
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedValidationProfile$: 0
}, false, "amf.plugins.features.validation.model.ParsedValidationProfile$", {
  Lamf_plugins_features_validation_model_ParsedValidationProfile$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedValidationProfile$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedValidationProfile$;
let $n_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedValidationProfile$)) {
    $n_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = new $c_Lamf_plugins_features_validation_model_ParsedValidationProfile$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedValidationProfile$
});
class $c_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ extends $c_O {
  constructor() {
    super();
    this.PARSER$undSIDE$undVALIDATION$1 = null
  };
  init___() {
    $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PARSER$undSIDE$undVALIDATION$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParserShape").iri__T();
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__scm_Map__Lamf_core_validation_core_ValidationSpecification(node, prefixes) {
    const x = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "name");
    const x$21 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "name in validation specification", x);
    const x$1 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__s_Option(this, node, "message");
    const x$22 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "message in validation specification", x$1);
    const jsx$2 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__sc_Seq(this, node, "targetClass");
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, prefixes$1) {
      return (function(x$1$2) {
        const x$1$1 = x$1$2;
        return $f_Lamf_plugins_features_validation_model_DialectWrapper__expand__T__scm_Map__T($this, x$1$1, prefixes$1)
      })
    })(this, prefixes));
    const this$1 = $m_sc_Seq$();
    const x$23 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, prefixes$2) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return $m_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$().apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__scm_Map__Lamf_core_validation_core_PropertyConstraint(x$2, prefixes$2)
      })
    })(this, prefixes));
    const x$24 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mapEntities__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T__F1__sc_Seq(this, node, "propertyConstraints", f);
    const x1 = node.definition$1.props$1.get__O__s_Option("functionConstraint");
    let x$25;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const profileProperty = x2.value$2;
      const this$3 = node.entity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(profileProperty);
      if (this$3.isEmpty__Z()) {
        x$25 = $m_s_None$()
      } else {
        const arg1 = this$3.get__O();
        const node$2 = arg1;
        x$25 = new $c_s_Some().init___O($m_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$().apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_validation_core_FunctionConstraint(node$2))
      }
    } else {
      x$25 = $m_s_None$()
    };
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$26 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$27 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$9 = new $c_scm_ListBuffer().init___();
    const x$28 = this$9.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$13 = new $c_scm_ListBuffer().init___();
    const x$29 = this$13.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$17 = new $c_scm_ListBuffer().init___();
    const x$30 = this$17.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$21 = new $c_scm_ListBuffer().init___();
    const x$31 = this$21.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$32 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$33 = $m_s_None$();
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$21, x$22, x$26, x$27, x$28, x$23, x$29, x$30, x$24, x$31, x$32, x$25, x$33)
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedValidationSpecification$: 0
}, false, "amf.plugins.features.validation.model.ParsedValidationSpecification$", {
  Lamf_plugins_features_validation_model_ParsedValidationSpecification$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedValidationSpecification$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedValidationSpecification$;
let $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$)) {
    $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = new $c_Lamf_plugins_features_validation_model_ParsedValidationSpecification$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$
});
class $c_Ljava_nio_charset_Charset extends $c_O {
  constructor() {
    super();
    this.cachedDecoder$1 = null;
    this.cachedEncoder$1 = null;
    this.canonicalName$1 = null;
    this.bitmap$0$1 = 0
  };
  cachedEncoder__p1__Ljava_nio_charset_CharsetEncoder() {
    return (((2 & this.bitmap$0$1) === 0) ? this.cachedEncoder$lzycompute__p1__Ljava_nio_charset_CharsetEncoder() : this.cachedEncoder$1)
  };
  cachedEncoder$lzycompute__p1__Ljava_nio_charset_CharsetEncoder() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.cachedEncoder$1 = this.newEncoder__Ljava_nio_charset_CharsetEncoder().onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1).onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.cachedEncoder$1
  };
  init___T__AT(canonicalName, aliases) {
    this.canonicalName$1 = canonicalName;
    return this
  };
  equals__O__Z(that) {
    if ($is_Ljava_nio_charset_Charset(that)) {
      const x2 = that;
      return (this.canonicalName$1 === x2.canonicalName$1)
    } else {
      return false
    }
  };
  compareTo__O__I(x$1) {
    const that = x$1;
    return $m_sjsr_RuntimeString$().compareToIgnoreCase__T__T__I(this.canonicalName$1, that.canonicalName$1)
  };
  toString__T() {
    return this.canonicalName$1
  };
  encode__T__Ljava_nio_ByteBuffer(str) {
    const this$1 = $m_Ljava_nio_CharBuffer$();
    const cb = this$1.wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(str, 0, (str.length | 0));
    return this.cachedEncoder__p1__Ljava_nio_charset_CharsetEncoder().encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer(cb)
  };
  hashCode__I() {
    return $m_sr_Statics$().anyHash__O__I(this.canonicalName$1)
  };
}
const $is_Ljava_nio_charset_Charset = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_charset_Charset)))
});
const $isArrayOf_Ljava_nio_charset_Charset = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_charset_Charset)))
});
class $c_Lorg_mulesoft_common_io_JsBaseFile extends $c_O {
  constructor() {
    super();
    this.fileSystem$1 = null;
    this.path$1 = null;
    this.prefixLength$1 = 0
  };
  toString__T() {
    return this.path$1
  };
  init___Lorg_mulesoft_common_io_JsServerFileSystem__T(fileSystem, path) {
    this.fileSystem$1 = fileSystem;
    this.path$1 = path;
    this.prefixLength$1 = fileSystem.prefixLength__T__I(path);
    return this
  };
}
class $c_Lorg_mulesoft_common_io_JsServerFileSystem extends $c_O {
  asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(path) {
    return ((path === null) ? null : new $c_Lorg_mulesoft_common_io_JsAsyncFile().init___Lorg_mulesoft_common_io_JsServerFileSystem__T(this, path))
  };
  prefixLength__T__I(path) {
    return (((path.length | 0) === 0) ? 0 : (((65535 & (path.charCodeAt(0) | 0)) === 47) ? 1 : 0))
  };
}
class $c_Lorg_mulesoft_lexer_BaseLexer extends $c_O {
  constructor() {
    super();
    this.input$1 = null;
    this.tokenQueue$1 = null;
    this.mark$1 = null;
    this.$$undtokenData$1 = null
  };
  restoreState__T3__V(s) {
    this.tokenQueue$1.reduceTo__I__V((s.$$und1$1 | 0));
    this.mark$1 = s.$$und2$1;
    const this$1 = this.input$1;
    const mark = s.$$und3$1;
    this$1.state$1 = mark
  };
  emit__Lorg_mulesoft_lexer_Token__Z(token) {
    const this$1 = this.input$1;
    const this$2 = this$1.state$1;
    const newMark = new $c_T3().init___O__O__O(this$2.line$1, this$2.column$1, this$2.offset$1);
    this.tokenQueue$1.$$plus$eq__O__Lorg_mulesoft_lexer_Queue(new $c_Lorg_mulesoft_lexer_TokenData().init___Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_InputRange__I__I(token, $m_Lorg_mulesoft_lexer_InputRange$().apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange((this.mark$1.$$und1$1 | 0), (this.mark$1.$$und2$1 | 0), (newMark.$$und1$1 | 0), (newMark.$$und2$1 | 0)), (this.mark$1.$$und3$1 | 0), (newMark.$$und3$1 | 0)));
    this.mark$1 = newMark;
    return true
  };
  advance__V() {
    while (this.tokenQueue$1.isEmpty__Z()) {
      const this$1 = this.input$1;
      if ((this$1.state$1.current$1 !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)) {
        const this$2 = this.input$1;
        const p = this$2.state$1.offset$1;
        const this$4 = this.input$1;
        if ((p === this$4.state$1.offset$1)) {
          const this$5 = this.input$1;
          const x = new $c_s_Tuple2$mcII$sp().init___I__I(this$5.state$1.current$1, p);
          const this$7 = $m_s_Console$();
          const this$8 = this$7.outVar$2.v$1;
          this$8.java$lang$JSConsoleBasedPrintStream$$printString__T__V((x + "\n"));
          this.advance__V()
        }
      } else {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndStream$1)
      }
    };
    this.$$undtokenData$1 = this.tokenQueue$1.dequeue__O()
  };
  consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, token) {
    return ((n <= 0) || (this.input$1.consume__I__V(n), this.emit__Lorg_mulesoft_lexer_Token__Z(token)))
  };
  saveState__T3() {
    return new $c_T3().init___O__O__O(this.tokenQueue$1.size__I(), this.mark$1, this.input$1.createMark__Lorg_mulesoft_lexer_LexerInput$Mark())
  };
  check__T__I(str) {
    const len = (str.length | 0);
    let jsx$1;
    if ((len > 0)) {
      const this$5 = new $c_sci_Range().init___I__I__I(0, len, 1);
      const this$6 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$5, 0, this$5.length__I());
      let res = true;
      while ((res && this$6.hasNext__Z())) {
        const arg1 = this$6.next__O();
        const i = (arg1 | 0);
        res = ((65535 & (str.charCodeAt(i) | 0)) === this.input$1.lookAhead__I__I(i))
      };
      jsx$1 = res
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return len
    } else {
      return 0
    }
  };
  consume__T__Z(str) {
    const l = this.check__T__I(str);
    return ((l !== 0) && (this.input$1.consume__I__V(l), true))
  };
  init___Lorg_mulesoft_lexer_LexerInput(input) {
    this.input$1 = input;
    this.tokenQueue$1 = new $c_Lorg_mulesoft_lexer_Queue().init___();
    const this$1 = this.input$1;
    const this$2 = this$1.state$1;
    this.mark$1 = new $c_T3().init___O__O__O(this$2.line$1, this$2.column$1, this$2.offset$1);
    this.initialize__V();
    return this
  };
  consumeAndEmit__Lorg_mulesoft_lexer_Token__Z(token) {
    const this$1 = this.input$1;
    this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1);
    return this.emit__Lorg_mulesoft_lexer_Token__Z(token)
  };
  emit__Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_Token__Z(t1, t2) {
    this.emit__Lorg_mulesoft_lexer_Token__Z(t1);
    return this.emit__Lorg_mulesoft_lexer_Token__Z(t2)
  };
}
class $c_Lorg_mulesoft_lexer_CharSequenceLexerInput extends $c_O {
  constructor() {
    super();
    this.data$1 = null;
    this.startOffset$1 = 0;
    this.endOffset$1 = 0;
    this.sourceName$1 = null;
    this.state$1 = null
  };
  init___jl_CharSequence__I__I__T(data, startOffset, endOffset, sourceName) {
    this.data$1 = data;
    this.startOffset$1 = startOffset;
    this.endOffset$1 = endOffset;
    this.sourceName$1 = sourceName;
    const x$5 = $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1;
    this.state$1 = new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState().init___I__I__I__I__I(0, 1, startOffset, startOffset, x$5).init__jl_CharSequence__I__Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState(data, endOffset);
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    if ((((start < this.startOffset$1) || (end > this.endOffset$1)) || (end < start))) {
      throw new $c_jl_IllegalArgumentException().init___T("Invalid sub-sequence")
    };
    return $charSequenceSubSequence(this.data$1, start, end)
  };
  createMark__Lorg_mulesoft_lexer_LexerInput$Mark() {
    const qual$1 = this.state$1;
    const x$6 = qual$1.column$1;
    const x$7 = qual$1.line$1;
    const x$8 = qual$1.offset$1;
    const x$9 = qual$1.nextOffset$1;
    const x$10 = qual$1.current$1;
    return new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState().init___I__I__I__I__I(x$6, x$7, x$8, x$9, x$10)
  };
  consume__I__V(n) {
    const isEmpty$4 = (n <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + n) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        this.state$1.consume__jl_CharSequence__I__V(this.data$1, this.endOffset$1);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    }
  };
  lookAhead__I__I(i) {
    if ((i === 0)) {
      return this.state$1.current$1
    };
    const off = (((-1) + ((this.state$1.nextOffset$1 + i) | 0)) | 0);
    if (((off < 0) || (off >= this.endOffset$1))) {
      return $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1
    };
    const chr = $charSequenceCharAt(this.data$1, off);
    if ((i > 0)) {
      let jsx$1;
      if ((((64512 & chr) === 55296) && (((1 + off) | 0) < this.endOffset$1))) {
        const c = $charSequenceCharAt(this.data$1, ((1 + off) | 0));
        jsx$1 = ((64512 & c) === 56320)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const low = $charSequenceCharAt(this.data$1, ((1 + off) | 0));
        return ((65536 + ((((1023 & chr) << 10) + (1023 & low)) | 0)) | 0)
      };
      return chr
    };
    let jsx$2;
    if ((((64512 & chr) === 56320) && ((((-1) + off) | 0) > 0))) {
      const c$1 = $charSequenceCharAt(this.data$1, (((-1) + off) | 0));
      jsx$2 = ((64512 & c$1) === 55296)
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      const high = $charSequenceCharAt(this.data$1, (((-1) + off) | 0));
      return ((65536 + ((((1023 & high) << 10) + (1023 & chr)) | 0)) | 0)
    };
    return chr
  };
}
const $d_Lorg_mulesoft_lexer_CharSequenceLexerInput = new $TypeData().initClass({
  Lorg_mulesoft_lexer_CharSequenceLexerInput: 0
}, false, "org.mulesoft.lexer.CharSequenceLexerInput", {
  Lorg_mulesoft_lexer_CharSequenceLexerInput: 1,
  O: 1,
  Lorg_mulesoft_lexer_LexerInput: 1
});
$c_Lorg_mulesoft_lexer_CharSequenceLexerInput.prototype.$classData = $d_Lorg_mulesoft_lexer_CharSequenceLexerInput;
class $c_Lorg_yaml_convert_ScalarYRead extends $c_O {
  constructor() {
    super();
    this.expectedType$1 = null;
    this.dv$1 = null
  };
  init___Lorg_yaml_model_YType__O(expectedType, dv) {
    this.expectedType$1 = expectedType;
    this.dv$1 = dv;
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const tagType = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = this.expectedType$1;
    if ((!(tagType === x$2))) {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expecting ", " and ", " provided"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.expectedType$1, tagType])))
    };
    if ((!$is_Lorg_yaml_model_YScalar(node.value__Lorg_yaml_model_YValue()))) {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not an Scalar")
    };
    const v = node.value__Lorg_yaml_model_YValue().value$3;
    try {
      $m_s_package$();
      return new $c_s_util_Right().init___O(v)
    } catch (e) {
      if ($is_jl_ClassCastException(e)) {
        const e$2 = e;
        return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, e$2.getMessage__T())
      } else {
        throw e
      }
    }
  };
  defaultValue__O() {
    return this.dv$1
  };
}
class $c_Lorg_yaml_convert_YRead$$anon$1 extends $c_O {
  constructor() {
    super();
    this.reader$1$1 = null;
    this.bf$1$1 = null
  };
  mapValues__p1__sc_Seq__O(s) {
    const b = this.bf$1$1.apply__scm_Builder();
    $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, s);
    s.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(x$2) {
        const x = x$2;
        const x1 = $this.reader$1$1.read__Lorg_yaml_model_YNode__s_util_Either(x);
        if ((!$is_s_util_Right(x1))) {
          if ($is_s_util_Left(x1)) {
            const x3 = x1;
            const err = x3.value$2;
            err.throwIt__sr_Nothing$()
          };
          throw new $c_s_MatchError().init___O(x1)
        };
        const x2 = x1;
        const n = x2.value$2;
        return b$1.$$plus$eq__O__scm_Builder(n)
      })
    })(this, b)));
    return b.result__O()
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    try {
      const this$1 = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$().read__Lorg_yaml_model_YNode__s_util_Either(node);
      if ($is_s_util_Right(this$1)) {
        const x2 = this$1;
        const b = x2.value$2;
        const s = b;
        return new $c_s_util_Right().init___O(this.mapValues__p1__sc_Seq__O(s))
      } else if ($is_s_util_Left(this$1)) {
        return this$1
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } catch (e) {
      if ($is_Lorg_yaml_model_YException(e)) {
        const e$2 = e;
        $m_s_package$();
        const value = e$2.yError$4;
        return new $c_s_util_Left().init___O(value)
      } else {
        throw e
      }
    }
  };
  init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader$1, bf$1) {
    this.reader$1$1 = reader$1;
    this.bf$1$1 = bf$1;
    return this
  };
  defaultValue__O() {
    return this.bf$1$1.apply__scm_Builder().result__O()
  };
}
const $d_Lorg_yaml_convert_YRead$$anon$1 = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$$anon$1: 0
}, false, "org.yaml.convert.YRead$$anon$1", {
  Lorg_yaml_convert_YRead$$anon$1: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$$anon$1.prototype.$classData = $d_Lorg_yaml_convert_YRead$$anon$1;
class $c_Lorg_yaml_convert_YRead$SeqNodeYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x2 = x1;
      $m_s_package$();
      const value = x2.nodes$3;
      return new $c_s_util_Right().init___O(value)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YSequence")
    }
  };
  defaultValue__O() {
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    return this$4.result__sci_Vector()
  };
}
const $d_Lorg_yaml_convert_YRead$SeqNodeYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$SeqNodeYRead$: 0
}, false, "org.yaml.convert.YRead$SeqNodeYRead$", {
  Lorg_yaml_convert_YRead$SeqNodeYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$SeqNodeYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$SeqNodeYRead$;
let $n_Lorg_yaml_convert_YRead$SeqNodeYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$SeqNodeYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$SeqNodeYRead$)) {
    $n_Lorg_yaml_convert_YRead$SeqNodeYRead$ = new $c_Lorg_yaml_convert_YRead$SeqNodeYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$SeqNodeYRead$
});
class $c_Lorg_yaml_convert_YRead$YMapYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YMap(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YMap")
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YMap$().empty$1
  };
}
const $d_Lorg_yaml_convert_YRead$YMapYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$YMapYRead$: 0
}, false, "org.yaml.convert.YRead$YMapYRead$", {
  Lorg_yaml_convert_YRead$YMapYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$YMapYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$YMapYRead$;
let $n_Lorg_yaml_convert_YRead$YMapYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$YMapYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$YMapYRead$)) {
    $n_Lorg_yaml_convert_YRead$YMapYRead$ = new $c_Lorg_yaml_convert_YRead$YMapYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$YMapYRead$
});
class $c_Lorg_yaml_convert_YRead$YScalarYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YScalar")
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YScalar$().Null$1
  };
}
const $d_Lorg_yaml_convert_YRead$YScalarYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$YScalarYRead$: 0
}, false, "org.yaml.convert.YRead$YScalarYRead$", {
  Lorg_yaml_convert_YRead$YScalarYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$YScalarYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$YScalarYRead$;
let $n_Lorg_yaml_convert_YRead$YScalarYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$YScalarYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$YScalarYRead$)) {
    $n_Lorg_yaml_convert_YRead$YScalarYRead$ = new $c_Lorg_yaml_convert_YRead$YScalarYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$YScalarYRead$
});
class $c_Lorg_yaml_convert_YRead$YSeqYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YSequence")
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YSequence$().empty$1
  };
}
const $d_Lorg_yaml_convert_YRead$YSeqYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$YSeqYRead$: 0
}, false, "org.yaml.convert.YRead$YSeqYRead$", {
  Lorg_yaml_convert_YRead$YSeqYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$YSeqYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$YSeqYRead$;
let $n_Lorg_yaml_convert_YRead$YSeqYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$YSeqYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$YSeqYRead$)) {
    $n_Lorg_yaml_convert_YRead$YSeqYRead$ = new $c_Lorg_yaml_convert_YRead$YSeqYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$YSeqYRead$
});
class $c_Lorg_yaml_lexer_YamlToken extends $c_Lorg_mulesoft_lexer_Token {
  init___T__T(name, abbreviation) {
    $c_Lorg_mulesoft_lexer_Token.prototype.init___T__T.call(this, name, abbreviation);
    $m_Lorg_yaml_lexer_YamlToken$().org$yaml$lexer$YamlToken$$tokens$1.put__O__O__s_Option(this.abbreviation$1, this);
    return this
  };
}
const $is_Lorg_yaml_lexer_YamlToken = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_lexer_YamlToken)))
});
const $isArrayOf_Lorg_yaml_lexer_YamlToken = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_lexer_YamlToken)))
});
const $d_Lorg_yaml_lexer_YamlToken = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlToken: 0
}, false, "org.yaml.lexer.YamlToken", {
  Lorg_yaml_lexer_YamlToken: 1,
  Lorg_mulesoft_lexer_Token: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlToken.prototype.$classData = $d_Lorg_yaml_lexer_YamlToken;
class $c_Lorg_yaml_model_IllegalTypeHandler$$anon$1 extends $c_O {
  constructor() {
    super();
    this.f$1$1 = null
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    this.f$1$1.apply__O__O(error);
    return defaultValue
  };
  init___F1(f$1) {
    this.f$1$1 = f$1;
    return this
  };
}
const $d_Lorg_yaml_model_IllegalTypeHandler$$anon$1 = new $TypeData().initClass({
  Lorg_yaml_model_IllegalTypeHandler$$anon$1: 0
}, false, "org.yaml.model.IllegalTypeHandler$$anon$1", {
  Lorg_yaml_model_IllegalTypeHandler$$anon$1: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1
});
$c_Lorg_yaml_model_IllegalTypeHandler$$anon$1.prototype.$classData = $d_Lorg_yaml_model_IllegalTypeHandler$$anon$1;
class $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node$3, e$3) {
    (0, this.f$1)(node$3, e$3)
  };
}
const $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1 = new $TypeData().initClass({
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$1: 0
}, false, "org.yaml.model.ParseErrorHandler$$$Lambda$1", {
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$1: 1,
  O: 1,
  Lorg_yaml_model_ParseErrorHandler: 1
});
$c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1.prototype.$classData = $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1;
class $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node$4, e$4) {
    (0, this.f$1)(node$4, e$4)
  };
}
const $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2 = new $TypeData().initClass({
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$2: 0
}, false, "org.yaml.model.ParseErrorHandler$$$Lambda$2", {
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$2: 1,
  O: 1,
  Lorg_yaml_model_ParseErrorHandler: 1
});
$c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2.prototype.$classData = $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2;
class $c_Lorg_yaml_model_YDocument$PartBuilder extends $c_Lorg_yaml_model_YDocument$BaseBuilder {
  init___() {
    $c_Lorg_yaml_model_YDocument$BaseBuilder.prototype.init___.call(this);
    return this
  };
  $$plus$eq__T__V(str) {
    this.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str))
  };
}
const $is_Lorg_yaml_model_YDocument$PartBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDocument$PartBuilder)))
});
const $isArrayOf_Lorg_yaml_model_YDocument$PartBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDocument$PartBuilder)))
});
const $d_Lorg_yaml_model_YDocument$PartBuilder = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$PartBuilder: 0
}, false, "org.yaml.model.YDocument$PartBuilder", {
  Lorg_yaml_model_YDocument$PartBuilder: 1,
  Lorg_yaml_model_YDocument$BaseBuilder: 1,
  O: 1
});
$c_Lorg_yaml_model_YDocument$PartBuilder.prototype.$classData = $d_Lorg_yaml_model_YDocument$PartBuilder;
class $c_Lorg_yaml_model_YMapEntry extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.children$1 = null;
    this.range$1 = null
  };
  init___Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__sc_IndexedSeq(key, value, children) {
    this.key$1 = key;
    this.value$1 = value;
    this.children$1 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  children__sc_IndexedSeq() {
    return this.children$1
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$1 = x$1
  };
  toString__T() {
    const jsx$1 = $m_s_Predef$any2stringadd$();
    const self = this.key$1;
    return (("" + jsx$1.$$plus$extension__O__T__T(self, ": ")) + this.value$1)
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
}
const $is_Lorg_yaml_model_YMapEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YMapEntry)))
});
const $isArrayOf_Lorg_yaml_model_YMapEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YMapEntry)))
});
const $d_Lorg_yaml_model_YMapEntry = new $TypeData().initClass({
  Lorg_yaml_model_YMapEntry: 0
}, false, "org.yaml.model.YMapEntry", {
  Lorg_yaml_model_YMapEntry: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YMapEntry.prototype.$classData = $d_Lorg_yaml_model_YMapEntry;
class $c_Lorg_yaml_model_YNodeLike extends $c_Lorg_yaml_model_YValueLike {
  to__Lorg_yaml_convert_YRead__s_util_Either(conversion) {
    return conversion.read__Lorg_yaml_model_YNode__s_util_Either(this.thisNode__Lorg_yaml_model_YNode())
  };
  as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(conversion, iv) {
    const x1 = this.to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      return value
    } else if ($is_s_util_Left(x1)) {
      const x3 = x1;
      const err = x3.value$2;
      return iv.handle__Lorg_yaml_model_YError__O__O(err, conversion.defaultValue__O())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  asOption__Lorg_yaml_convert_YRead__s_Option(fjs) {
    return this.to__Lorg_yaml_convert_YRead__s_util_Either(fjs).toOption__s_Option()
  };
}
const $is_Lorg_yaml_model_YNodeLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNodeLike)))
});
const $isArrayOf_Lorg_yaml_model_YNodeLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNodeLike)))
});
class $c_Lorg_yaml_model_YTokens extends $c_O {
  constructor() {
    super();
    this.range$1 = null;
    this.tokens$1 = null
  };
  children__sc_IndexedSeq() {
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    return this$4.result__sci_Vector()
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    /*<skip>*/
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
  init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(range, tokens) {
    this.range$1 = range;
    this.tokens$1 = tokens;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
}
class $c_Lscopt_Read$ extends $c_O {
  constructor() {
    super();
    this.stringRead$1 = null;
    this.charRead$1 = null;
    this.doubleRead$1 = null;
    this.booleanRead$1 = null;
    this.intRead$1 = null;
    this.longRead$1 = null;
    this.bigIntRead$1 = null;
    this.bigDecimalRead$1 = null;
    this.durationRead$1 = null;
    this.unitRead$1 = null;
    this.sep$1 = null;
    this.uriRead$1 = null
  };
  init___() {
    $n_Lscopt_Read$ = this;
    $f_Lscopt_platform$PlatformReadInstances__$$init$__V(this);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return x
      })
    })(this));
    this.stringRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f);
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const x1 = $m_sjsr_RuntimeString$().getBytes__T__Ljava_nio_charset_Charset__AB(x$1, $m_sjs_niocharset_UTF$und8$());
        let c;
        matchEnd4: {
          const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1);
          if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(1) === 0)))) {
            const $char = (o7.get__O().apply__I__O(0) | 0);
            c = (65535 & $char);
            break matchEnd4
          };
          throw new $c_jl_IllegalArgumentException().init___T((("'" + x1) + "' is not a char."))
        };
        return new $c_jl_Character().init___C(c)
      })
    })(this));
    this.charRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$1);
    const f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$2$2$2) {
        const x$2$2 = x$2$2$2;
        const this$10 = new $c_sci_StringOps().init___T(x$2$2);
        const jsx$1 = $m_jl_Double$();
        const $$this = this$10.repr$1;
        return jsx$1.parseDouble__T__D($$this)
      })
    })(this));
    this.doubleRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$2);
    const f$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        const x1$1 = x$3.toLowerCase();
        if ((x1$1 === "true")) {
          return true
        } else if ((x1$1 !== "false")) {
          if ((x1$1 === "yes")) {
            return true
          } else if ((x1$1 !== "no")) {
            if ((x1$1 === "1")) {
              return true
            } else if ((x1$1 === "0")) {
              return false
            } else {
              throw new $c_jl_IllegalArgumentException().init___T((("'" + x1$1) + "' is not a boolean."))
            }
          } else {
            return false
          }
        } else {
          return false
        }
      })
    })(this));
    this.booleanRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$3);
    const f$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(str$2) {
        const str = str$2;
        const x1$2 = $m_Lscopt_Read$().fixedPointWithRadix__p1__T__T2(str);
        if ((x1$2 === null)) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        const s = x1$2.$$und1__O();
        const radix = x1$2.$$und2$mcI$sp__I();
        return $m_jl_Integer$().parseInt__T__I__I(s, radix)
      })
    })(this));
    this.intRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$4);
    const f$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(str$3$2) {
        const str$3 = str$3$2;
        const x1$3 = $m_Lscopt_Read$().fixedPointWithRadix__p1__T__T2(str$3);
        if ((x1$3 === null)) {
          throw new $c_s_MatchError().init___O(x1$3)
        };
        const s$1 = x1$3.$$und1__O();
        const radix$1 = x1$3.$$und2$mcI$sp__I();
        return $m_jl_Long$().parseLong__T__I__J(s$1, radix$1)
      })
    })(this));
    this.longRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$5);
    const f$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(str$4$2) {
        const str$4 = str$4$2;
        const x1$4 = $m_Lscopt_Read$().fixedPointWithRadix__p1__T__T2(str$4);
        if ((x1$4 === null)) {
          throw new $c_s_MatchError().init___O(x1$4)
        };
        const s$2 = x1$4.$$und1__O();
        const radix$2 = x1$4.$$und2$mcI$sp__I();
        return $m_s_package$().BigInt__s_math_BigInt$().apply__T__I__s_math_BigInt(s$2, radix$2)
      })
    })(this));
    this.bigIntRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$6);
    const f$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        const this$13 = $m_s_package$().BigDecimal__s_math_BigDecimal$();
        return this$13.exact__T__s_math_BigDecimal(x$7)
      })
    })(this));
    this.bigDecimalRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$7);
    const f$8 = this.liftedTree1$1__p1__F1();
    this.durationRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$8);
    this.unitRead$1 = new $c_Lscopt_Read$$anon$4().init___();
    this.sep$1 = ",";
    return this
  };
  liftedTree1$1__p1__F1() {
    try {
      return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          return $m_s_concurrent_duration_Duration$().apply__T__s_concurrent_duration_Duration(x$8)
        })
      })(this))
    } catch (e) {
      if ($is_jl_NumberFormatException(e)) {
        const e$2 = e;
        $m_Lscopt_platform$();
        const s = e$2.s$1;
        throw new $c_Lscopt_ParseException().init___T__I(s, (-1))
      } else {
        throw e
      }
    }
  };
  fixedPointWithRadix__p1__T__T2(str) {
    const x1 = str.toLowerCase();
    if ((((x1.length | 0) >= 0) && (x1.substring(0, ("0x".length | 0)) === "0x"))) {
      const this$8 = new $c_sci_StringOps().init___T(x1);
      return new $c_T2().init___O__O($f_sci_StringLike__stripPrefix__T__T(this$8, "0x"), 16)
    } else {
      return new $c_T2().init___O__O(x1, 10)
    }
  };
  seqRead__Lscopt_Read__Lscopt_Read(evidence$3) {
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, evidence$3$1) {
      return (function(s$2) {
        const s = s$2;
        const regex = $m_Lscopt_Read$().sep$1;
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(s, regex, 0);
        const f = evidence$3$1.reads__F1();
        const this$5 = $m_s_Array$();
        new $c_s_Predef$DummyImplicit().init___();
        new $c_s_FallbackArrayBuilding$$anon$1().init___s_FallbackArrayBuilding(this$5);
        const b = $m_scm_ArraySeq$().newBuilder__scm_Builder();
        const x1 = xs.u.length;
        switch (x1) {
          case (-1): {
            break
          }
          default: {
            b.sizeHint__I__V(x1)
          }
        };
        let i = 0;
        const len = xs.u.length;
        while ((i < len)) {
          const index = i;
          const arg1 = xs.u[index];
          b.$$plus$eq__O__scm_Builder(f.apply__O__O(arg1));
          i = ((1 + i) | 0)
        };
        return b.result__O()
      })
    })(this, evidence$3));
    return new $c_Lscopt_Read$$anon$2().init___F1(f$1)
  };
}
const $d_Lscopt_Read$ = new $TypeData().initClass({
  Lscopt_Read$: 0
}, false, "scopt.Read$", {
  Lscopt_Read$: 1,
  O: 1,
  Lscopt_platform$PlatformReadInstances: 1
});
$c_Lscopt_Read$.prototype.$classData = $d_Lscopt_Read$;
let $n_Lscopt_Read$ = (void 0);
const $m_Lscopt_Read$ = (function() {
  if ((!$n_Lscopt_Read$)) {
    $n_Lscopt_Read$ = new $c_Lscopt_Read$().init___()
  };
  return $n_Lscopt_Read$
});
class $c_Lscopt_Read$$anon$2 extends $c_O {
  constructor() {
    super();
    this.arity$1 = 0;
    this.reads$1 = null
  };
  arity__I() {
    return this.arity$1
  };
  reads__F1() {
    return this.reads$1
  };
  init___F1(f$1) {
    this.arity$1 = 1;
    this.reads$1 = f$1;
    return this
  };
}
const $d_Lscopt_Read$$anon$2 = new $TypeData().initClass({
  Lscopt_Read$$anon$2: 0
}, false, "scopt.Read$$anon$2", {
  Lscopt_Read$$anon$2: 1,
  O: 1,
  Lscopt_Read: 1
});
$c_Lscopt_Read$$anon$2.prototype.$classData = $d_Lscopt_Read$$anon$2;
class $c_Lscopt_Read$$anon$4 extends $c_O {
  constructor() {
    super();
    this.arity$1 = 0;
    this.reads$1 = null
  };
  init___() {
    this.arity$1 = 0;
    this.reads$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        return (void 0)
      })
    })(this));
    return this
  };
  arity__I() {
    return this.arity$1
  };
  reads__F1() {
    return this.reads$1
  };
}
const $d_Lscopt_Read$$anon$4 = new $TypeData().initClass({
  Lscopt_Read$$anon$4: 0
}, false, "scopt.Read$$anon$4", {
  Lscopt_Read$$anon$4: 1,
  O: 1,
  Lscopt_Read: 1
});
$c_Lscopt_Read$$anon$4.prototype.$classData = $d_Lscopt_Read$$anon$4;
class $c_jl_Number extends $c_O {
}
const $is_jl_Number = (function(obj) {
  return (!(!(((obj && obj.$classData) && obj.$classData.ancestors.jl_Number) || ((typeof obj) === "number"))))
});
const $isArrayOf_jl_Number = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Number)))
});
class $c_jl_StackTraceElement extends $c_O {
  constructor() {
    super();
    this.declaringClass$1 = null;
    this.methodName$1 = null;
    this.fileName$1 = null;
    this.lineNumber$1 = 0;
    this.columnNumber$1 = 0
  };
  $$js$exported$meth$getColumnNumber__O() {
    return this.columnNumber$1
  };
  init___T__T__T__I(declaringClass, methodName, fileName, lineNumber) {
    this.declaringClass$1 = declaringClass;
    this.methodName$1 = methodName;
    this.fileName$1 = fileName;
    this.lineNumber$1 = lineNumber;
    this.columnNumber$1 = (-1);
    return this
  };
  equals__O__Z(that) {
    if ($is_jl_StackTraceElement(that)) {
      const x2 = that;
      return ((((this.fileName$1 === x2.fileName$1) && (this.lineNumber$1 === x2.lineNumber$1)) && (this.declaringClass$1 === x2.declaringClass$1)) && (this.methodName$1 === x2.methodName$1))
    } else {
      return false
    }
  };
  $$js$exported$meth$setColumnNumber__I__O(columnNumber) {
    this.columnNumber$1 = columnNumber
  };
  toString__T() {
    let result = "";
    if ((this.declaringClass$1 !== "<jscode>")) {
      result = ((("" + result) + this.declaringClass$1) + ".")
    };
    result = (("" + result) + this.methodName$1);
    if ((this.fileName$1 === null)) {
      result = (result + "(Unknown Source)")
    } else {
      result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fileName$1])));
      if ((this.lineNumber$1 >= 0)) {
        result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.lineNumber$1])));
        if ((this.columnNumber$1 >= 0)) {
          result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.columnNumber$1])))
        }
      };
      result = (result + ")")
    };
    return result
  };
  hashCode__I() {
    const this$1 = this.declaringClass$1;
    const jsx$1 = $m_sjsr_RuntimeString$().hashCode__T__I(this$1);
    const this$2 = this.methodName$1;
    return (jsx$1 ^ $m_sjsr_RuntimeString$().hashCode__T__I(this$2))
  };
  "setColumnNumber"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$setColumnNumber__I__O(prep0)
  };
  "getColumnNumber"() {
    return this.$$js$exported$meth$getColumnNumber__O()
  };
}
const $is_jl_StackTraceElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_StackTraceElement)))
});
const $isArrayOf_jl_StackTraceElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_StackTraceElement)))
});
const $d_jl_StackTraceElement = new $TypeData().initClass({
  jl_StackTraceElement: 0
}, false, "java.lang.StackTraceElement", {
  jl_StackTraceElement: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StackTraceElement.prototype.$classData = $d_jl_StackTraceElement;
class $c_jl_Thread extends $c_O {
  constructor() {
    super();
    this.java$lang$Thread$$interruptedState$1 = false;
    this.name$1 = null
  };
  run__V() {
    /*<skip>*/
  };
  init___sr_BoxedUnit(dummy) {
    this.java$lang$Thread$$interruptedState$1 = false;
    this.name$1 = "main";
    return this
  };
}
const $d_jl_Thread = new $TypeData().initClass({
  jl_Thread: 0
}, false, "java.lang.Thread", {
  jl_Thread: 1,
  O: 1,
  jl_Runnable: 1
});
$c_jl_Thread.prototype.$classData = $d_jl_Thread;
class $c_jl_Throwable extends $c_O {
  constructor() {
    super();
    this.s$1 = null;
    this.e$1 = null;
    this.stackTrace$1 = null
  };
  fillInStackTrace__jl_Throwable() {
    const v = $g.Error.captureStackTrace;
    if ((v === (void 0))) {
      let e$1;
      try {
        e$1 = {}.undef()
      } catch (e) {
        const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          if ($is_sjs_js_JavaScriptException(e$2)) {
            const x5 = e$2;
            const e$3 = x5.exception$4;
            e$1 = e$3
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
          }
        } else {
          throw e
        }
      };
      this.stackdata = e$1
    } else {
      $g.Error.captureStackTrace(this);
      this.stackdata = this
    };
    return this
  };
  getMessage__T() {
    return this.s$1
  };
  toString__T() {
    const className = $objectGetClass(this).getName__T();
    const message = this.getMessage__T();
    return ((message === null) ? className : ((className + ": ") + message))
  };
  getStackTrace__Ajl_StackTraceElement() {
    if ((this.stackTrace$1 === null)) {
      this.stackTrace$1 = $m_sjsr_StackTrace$().extract__jl_Throwable__Ajl_StackTraceElement(this)
    };
    return this.stackTrace$1
  };
  init___T__jl_Throwable(s, e) {
    this.s$1 = s;
    this.e$1 = e;
    this.fillInStackTrace__jl_Throwable();
    return this
  };
  printStackTrace__Ljava_io_PrintStream__V(s) {
    const f = (function($this, s$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        s$1.println__T__V(x$1)
      })
    })(this, s);
    this.getStackTrace__Ajl_StackTraceElement();
    const arg1 = this.toString__T();
    f(arg1);
    if ((this.stackTrace$1.u.length !== 0)) {
      let i = 0;
      while ((i < this.stackTrace$1.u.length)) {
        const arg1$1 = ("  at " + this.stackTrace$1.u[i]);
        f(arg1$1);
        i = ((1 + i) | 0)
      }
    } else {
      f("  <no stack trace available>")
    };
    let wCause = this;
    while (true) {
      const jsx$2 = wCause;
      const this$1 = wCause;
      let jsx$1;
      if ((jsx$2 !== this$1.e$1)) {
        const this$2 = wCause;
        jsx$1 = (this$2.e$1 !== null)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const parentTrace = wCause.getStackTrace__Ajl_StackTraceElement();
        const this$3 = wCause;
        wCause = this$3.e$1;
        const thisTrace = wCause.getStackTrace__Ajl_StackTraceElement();
        const thisLength = thisTrace.u.length;
        const parentLength = parentTrace.u.length;
        const arg1$2 = ("Caused by: " + wCause.toString__T());
        f(arg1$2);
        if ((thisLength !== 0)) {
          let sameFrameCount = 0;
          while (true) {
            let jsx$3;
            if (((sameFrameCount < thisLength) && (sameFrameCount < parentLength))) {
              const x = thisTrace.u[(((-1) + ((thisLength - sameFrameCount) | 0)) | 0)];
              const x$2 = parentTrace.u[(((-1) + ((parentLength - sameFrameCount) | 0)) | 0)];
              jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
            } else {
              jsx$3 = false
            };
            if (jsx$3) {
              sameFrameCount = ((1 + sameFrameCount) | 0)
            } else {
              break
            }
          };
          if ((sameFrameCount > 0)) {
            sameFrameCount = (((-1) + sameFrameCount) | 0)
          };
          const lengthToPrint = ((thisLength - sameFrameCount) | 0);
          let i$2 = 0;
          while ((i$2 < lengthToPrint)) {
            const arg1$3 = ("  at " + thisTrace.u[i$2]);
            f(arg1$3);
            i$2 = ((1 + i$2) | 0)
          };
          if ((sameFrameCount > 0)) {
            const arg1$4 = (("  ... " + sameFrameCount) + " more");
            f(arg1$4)
          }
        } else {
          f("  <no stack trace available>")
        }
      } else {
        break
      }
    }
  };
}
const $is_jl_Throwable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Throwable)))
});
const $isArrayOf_jl_Throwable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Throwable)))
});
class $c_ju_regex_Matcher extends $c_O {
  constructor() {
    super();
    this.pattern0$1 = null;
    this.input0$1 = null;
    this.regionStart0$1 = 0;
    this.regionEnd0$1 = 0;
    this.regexp$1 = null;
    this.inputstr$1 = null;
    this.lastMatch$1 = null;
    this.lastMatchIsValid$1 = false;
    this.canStillFind$1 = false;
    this.appendPos$1 = 0
  };
  find__Z() {
    if (this.canStillFind$1) {
      this.lastMatchIsValid$1 = true;
      this.lastMatch$1 = this.regexp$1.exec(this.inputstr$1);
      if ((this.lastMatch$1 !== null)) {
        const value = this.lastMatch$1[0];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const thiz = value;
        if ((thiz === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        if ((thiz === "")) {
          const ev$1 = this.regexp$1;
          ev$1.lastIndex = ((1 + (ev$1.lastIndex | 0)) | 0)
        }
      } else {
        this.canStillFind$1 = false
      };
      return (this.lastMatch$1 !== null)
    } else {
      return false
    }
  };
  ensureLastMatch__p1__sjs_js_RegExp$ExecResult() {
    if ((this.lastMatch$1 === null)) {
      throw new $c_jl_IllegalStateException().init___T("No match available")
    };
    return this.lastMatch$1
  };
  group__I__T(group) {
    const value = this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult()[group];
    return ((value === (void 0)) ? null : value)
  };
  start__I__I(group) {
    if ((group === 0)) {
      return this.start__I()
    } else {
      const last = this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult();
      const value = last[group];
      if ((value === (void 0))) {
        return (-1)
      } else {
        const groupStr = value;
        const thiz = this.inputstr$1;
        const fromIndex = (last.index | 0);
        return (thiz.indexOf(groupStr, fromIndex) | 0)
      }
    }
  };
  matches__Z() {
    this.reset__ju_regex_Matcher();
    this.find__Z();
    let jsx$1;
    if ((this.lastMatch$1 !== null)) {
      if ((this.start__I() !== 0)) {
        jsx$1 = true
      } else {
        const jsx$2 = this.end__I();
        const thiz = this.inputstr$1;
        jsx$1 = (jsx$2 !== (thiz.length | 0))
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      this.reset__ju_regex_Matcher()
    };
    return (this.lastMatch$1 !== null)
  };
  groupCount__I() {
    return (((-1) + (this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult().length | 0)) | 0)
  };
  appendTail__jl_StringBuffer__jl_StringBuffer(sb) {
    const thiz = this.inputstr$1;
    const beginIndex = this.appendPos$1;
    sb.append__T__jl_StringBuffer(thiz.substring(beginIndex));
    const thiz$1 = this.inputstr$1;
    this.appendPos$1 = (thiz$1.length | 0);
    return sb
  };
  end__I() {
    const jsx$1 = this.start__I();
    const thiz = this.group__T();
    return ((jsx$1 + (thiz.length | 0)) | 0)
  };
  init___ju_regex_Pattern__jl_CharSequence__I__I(pattern0, input0, regionStart0, regionEnd0) {
    this.pattern0$1 = pattern0;
    this.input0$1 = input0;
    this.regionStart0$1 = regionStart0;
    this.regionEnd0$1 = regionEnd0;
    this.regexp$1 = this.pattern0$1.newJSRegExp__sjs_js_RegExp();
    this.inputstr$1 = $objectToString($charSequenceSubSequence(this.input0$1, this.regionStart0$1, this.regionEnd0$1));
    this.lastMatch$1 = null;
    this.lastMatchIsValid$1 = false;
    this.canStillFind$1 = true;
    this.appendPos$1 = 0;
    return this
  };
  appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(sb, replacement) {
    const thiz = this.inputstr$1;
    const beginIndex = this.appendPos$1;
    const endIndex = this.start__I();
    sb.append__T__jl_StringBuffer(thiz.substring(beginIndex, endIndex));
    const len = (replacement.length | 0);
    let i = 0;
    while ((i < len)) {
      const index = i;
      const x1 = (65535 & (replacement.charCodeAt(index) | 0));
      switch (x1) {
        case 36: {
          i = ((1 + i) | 0);
          const j = i;
          while (true) {
            let jsx$1;
            if ((i < len)) {
              const index$1 = i;
              const c = (65535 & (replacement.charCodeAt(index$1) | 0));
              jsx$1 = ((c >= 48) && (c <= 57))
            } else {
              jsx$1 = false
            };
            if (jsx$1) {
              i = ((1 + i) | 0)
            } else {
              break
            }
          };
          const this$8 = $m_jl_Integer$();
          const endIndex$1 = i;
          const s = replacement.substring(j, endIndex$1);
          const group = this$8.parseInt__T__I__I(s, 10);
          sb.append__T__jl_StringBuffer(this.group__I__T(group));
          break
        }
        case 92: {
          i = ((1 + i) | 0);
          if ((i < len)) {
            const index$2 = i;
            sb.append__C__jl_StringBuffer((65535 & (replacement.charCodeAt(index$2) | 0)))
          };
          i = ((1 + i) | 0);
          break
        }
        default: {
          sb.append__C__jl_StringBuffer(x1);
          i = ((1 + i) | 0)
        }
      }
    };
    this.appendPos$1 = this.end__I();
    return this
  };
  replaceFirst__T__T(replacement) {
    this.reset__ju_regex_Matcher();
    if (this.find__Z()) {
      const sb = new $c_jl_StringBuffer().init___();
      this.appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(sb, replacement);
      this.appendTail__jl_StringBuffer__jl_StringBuffer(sb);
      return sb.content$1
    } else {
      return this.inputstr$1
    }
  };
  replaceAll__T__T(replacement) {
    this.reset__ju_regex_Matcher();
    const sb = new $c_jl_StringBuffer().init___();
    while (this.find__Z()) {
      this.appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(sb, replacement)
    };
    this.appendTail__jl_StringBuffer__jl_StringBuffer(sb);
    return sb.content$1
  };
  group__T() {
    const value = this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult()[0];
    if ((value === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    return value
  };
  start__I() {
    return (this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult().index | 0)
  };
  end__I__I(group) {
    const s = this.start__I__I(group);
    if ((s === (-1))) {
      return (-1)
    } else {
      const thiz = this.group__I__T(group);
      return ((s + (thiz.length | 0)) | 0)
    }
  };
  reset__ju_regex_Matcher() {
    this.regexp$1.lastIndex = 0;
    this.lastMatch$1 = null;
    this.lastMatchIsValid$1 = false;
    this.canStillFind$1 = true;
    this.appendPos$1 = 0;
    return this
  };
}
const $d_ju_regex_Matcher = new $TypeData().initClass({
  ju_regex_Matcher: 0
}, false, "java.util.regex.Matcher", {
  ju_regex_Matcher: 1,
  O: 1,
  ju_regex_MatchResult: 1
});
$c_ju_regex_Matcher.prototype.$classData = $d_ju_regex_Matcher;
class $c_s_FallbackArrayBuilding$$anon$1 extends $c_O {
  apply__scm_Builder() {
    return $m_scm_ArraySeq$().newBuilder__scm_Builder()
  };
  init___s_FallbackArrayBuilding($$outer) {
    return this
  };
  apply__O__scm_Builder(from) {
    return $m_scm_ArraySeq$().newBuilder__scm_Builder()
  };
}
const $d_s_FallbackArrayBuilding$$anon$1 = new $TypeData().initClass({
  s_FallbackArrayBuilding$$anon$1: 0
}, false, "scala.FallbackArrayBuilding$$anon$1", {
  s_FallbackArrayBuilding$$anon$1: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_FallbackArrayBuilding$$anon$1.prototype.$classData = $d_s_FallbackArrayBuilding$$anon$1;
class $c_s_LowPriorityImplicits$$anon$4 extends $c_O {
  apply__scm_Builder() {
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
  apply__O__scm_Builder(from) {
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
  init___s_LowPriorityImplicits($$outer) {
    return this
  };
}
const $d_s_LowPriorityImplicits$$anon$4 = new $TypeData().initClass({
  s_LowPriorityImplicits$$anon$4: 0
}, false, "scala.LowPriorityImplicits$$anon$4", {
  s_LowPriorityImplicits$$anon$4: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_LowPriorityImplicits$$anon$4.prototype.$classData = $d_s_LowPriorityImplicits$$anon$4;
class $c_s_Predef$$anon$3 extends $c_O {
  init___() {
    return this
  };
  apply__scm_Builder() {
    return new $c_scm_StringBuilder().init___()
  };
  apply__O__scm_Builder(from) {
    return new $c_scm_StringBuilder().init___()
  };
}
const $d_s_Predef$$anon$3 = new $TypeData().initClass({
  s_Predef$$anon$3: 0
}, false, "scala.Predef$$anon$3", {
  s_Predef$$anon$3: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_Predef$$anon$3.prototype.$classData = $d_s_Predef$$anon$3;
class $c_s_Predef$ArrayCharSequence extends $c_O {
  constructor() {
    super();
    this.$$und$undarrayOfChars$1 = null
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    return new $c_sr_ArrayCharSequence().init___AC__I__I(this.$$und$undarrayOfChars$1, start, end)
  };
  toString__T() {
    const xs = this.$$und$undarrayOfChars$1;
    const b = new $c_scm_StringBuilder().init___();
    let elem$1 = false;
    elem$1 = true;
    b.append__T__scm_StringBuilder("");
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const idx = i;
      const c = xs.u[idx];
      const arg1 = new $c_jl_Character().init___C(c);
      if (elem$1) {
        b.append__O__scm_StringBuilder(arg1);
        elem$1 = false
      } else {
        b.append__T__scm_StringBuilder("");
        b.append__O__scm_StringBuilder(arg1)
      };
      i = ((1 + i) | 0)
    };
    b.append__T__scm_StringBuilder("");
    const this$7 = b.underlying$5;
    return this$7.content$1
  };
  init___AC(__arrayOfChars) {
    this.$$und$undarrayOfChars$1 = __arrayOfChars;
    return this
  };
  length__I() {
    return this.$$und$undarrayOfChars$1.u.length
  };
  charAt__I__C(index) {
    return this.$$und$undarrayOfChars$1.u[index]
  };
}
const $d_s_Predef$ArrayCharSequence = new $TypeData().initClass({
  s_Predef$ArrayCharSequence: 0
}, false, "scala.Predef$ArrayCharSequence", {
  s_Predef$ArrayCharSequence: 1,
  O: 1,
  jl_CharSequence: 1
});
$c_s_Predef$ArrayCharSequence.prototype.$classData = $d_s_Predef$ArrayCharSequence;
const $f_s_Product2__productElement__I__O = (function($thiz, n) {
  switch (n) {
    case 0: {
      return $thiz.$$und1__O();
      break
    }
    case 1: {
      return $thiz.$$und2__O();
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    }
  }
});
const $f_s_Product3__productElement__I__O = (function($thiz, n) {
  switch (n) {
    case 0: {
      return $thiz.$$und1$1;
      break
    }
    case 1: {
      return $thiz.$$und2$1;
      break
    }
    case 2: {
      return $thiz.$$und3$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    }
  }
});
class $c_s_concurrent_BlockContext$DefaultBlockContext$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_concurrent_BlockContext$DefaultBlockContext$ = new $TypeData().initClass({
  s_concurrent_BlockContext$DefaultBlockContext$: 0
}, false, "scala.concurrent.BlockContext$DefaultBlockContext$", {
  s_concurrent_BlockContext$DefaultBlockContext$: 1,
  O: 1,
  s_concurrent_BlockContext: 1
});
$c_s_concurrent_BlockContext$DefaultBlockContext$.prototype.$classData = $d_s_concurrent_BlockContext$DefaultBlockContext$;
let $n_s_concurrent_BlockContext$DefaultBlockContext$ = (void 0);
const $m_s_concurrent_BlockContext$DefaultBlockContext$ = (function() {
  if ((!$n_s_concurrent_BlockContext$DefaultBlockContext$)) {
    $n_s_concurrent_BlockContext$DefaultBlockContext$ = new $c_s_concurrent_BlockContext$DefaultBlockContext$().init___()
  };
  return $n_s_concurrent_BlockContext$DefaultBlockContext$
});
class $c_s_package$$anon$1 extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "object AnyRef"
  };
}
const $d_s_package$$anon$1 = new $TypeData().initClass({
  s_package$$anon$1: 0
}, false, "scala.package$$anon$1", {
  s_package$$anon$1: 1,
  O: 1,
  s_Specializable: 1
});
$c_s_package$$anon$1.prototype.$classData = $d_s_package$$anon$1;
class $c_s_util_hashing_MurmurHash3$ extends $c_s_util_hashing_MurmurHash3 {
  constructor() {
    super();
    this.seqSeed$2 = 0;
    this.mapSeed$2 = 0;
    this.setSeed$2 = 0
  };
  init___() {
    $n_s_util_hashing_MurmurHash3$ = this;
    this.seqSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Seq");
    this.mapSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Map");
    this.setSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Set");
    return this
  };
  seqHash__sc_Seq__I(xs) {
    if ($is_sci_List(xs)) {
      const x2 = xs;
      return this.listHash__sci_List__I__I(x2, this.seqSeed$2)
    } else {
      return this.orderedHash__sc_TraversableOnce__I__I(xs, this.seqSeed$2)
    }
  };
}
const $d_s_util_hashing_MurmurHash3$ = new $TypeData().initClass({
  s_util_hashing_MurmurHash3$: 0
}, false, "scala.util.hashing.MurmurHash3$", {
  s_util_hashing_MurmurHash3$: 1,
  s_util_hashing_MurmurHash3: 1,
  O: 1
});
$c_s_util_hashing_MurmurHash3$.prototype.$classData = $d_s_util_hashing_MurmurHash3$;
let $n_s_util_hashing_MurmurHash3$ = (void 0);
const $m_s_util_hashing_MurmurHash3$ = (function() {
  if ((!$n_s_util_hashing_MurmurHash3$)) {
    $n_s_util_hashing_MurmurHash3$ = new $c_s_util_hashing_MurmurHash3$().init___()
  };
  return $n_s_util_hashing_MurmurHash3$
});
class $c_s_util_matching_Regex$Match extends $c_O {
  constructor() {
    super();
    this.starts$1 = null;
    this.ends$1 = null;
    this.source$1 = null;
    this.matcher$1 = null;
    this.groupNames$1 = null;
    this.start$1 = 0;
    this.end$1 = 0;
    this.scala$util$matching$Regex$MatchData$$nameToIndex$1 = null;
    this.bitmap$0$1 = 0
  };
  force__s_util_matching_Regex$Match() {
    this.starts__p1__AI();
    this.ends__p1__AI();
    return this
  };
  init___jl_CharSequence__ju_regex_Matcher__sc_Seq(source, matcher, groupNames) {
    this.source$1 = source;
    this.matcher$1 = matcher;
    this.groupNames$1 = groupNames;
    this.start$1 = matcher.start__I();
    this.end$1 = matcher.end__I();
    return this
  };
  start__I__I(i) {
    return this.starts__p1__AI().u[i]
  };
  toString__T() {
    return $f_s_util_matching_Regex$MatchData__matched__T(this)
  };
  end__I() {
    return this.end$1
  };
  ends$lzycompute__p1__AI() {
    if (((2 & this.bitmap$0$1) === 0)) {
      const end = this.matcher$1.groupCount__I();
      const isEmpty$4 = (end < 0);
      let scala$collection$immutable$Range$$numRangeElements$4;
      if (isEmpty$4) {
        scala$collection$immutable$Range$$numRangeElements$4 = 0
      } else {
        const hi = (end >> 31);
        const lo = ((1 + end) | 0);
        const hi$1 = ((lo === 0) ? ((1 + hi) | 0) : hi);
        scala$collection$immutable$Range$$numRangeElements$4 = (((hi$1 === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi$1 > 0)) ? (-1) : lo)
      };
      $m_sci_IndexedSeq$();
      $m_sc_IndexedSeq$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const b = new $c_sci_VectorBuilder().init___();
      if ((scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
        $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(0, end, 1, true)
      };
      switch (scala$collection$immutable$Range$$numRangeElements$4) {
        case (-1): {
          break
        }
      };
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const arg1 = i;
          const elem = this.matcher$1.end__I__I(arg1);
          b.$$plus$eq__O__sci_VectorBuilder(elem);
          if ((i === end)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      const this$10 = b.result__sci_Vector();
      const len = this$10.length__I();
      const result = $newArrayObject($d_I.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$10, result, 0);
      this.ends$1 = result;
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.ends$1
  };
  ends__p1__AI() {
    return (((2 & this.bitmap$0$1) === 0) ? this.ends$lzycompute__p1__AI() : this.ends$1)
  };
  source__jl_CharSequence() {
    return this.source$1
  };
  start__I() {
    return this.start$1
  };
  end__I__I(i) {
    return this.ends__p1__AI().u[i]
  };
  starts__p1__AI() {
    return (((1 & this.bitmap$0$1) === 0) ? this.starts$lzycompute__p1__AI() : this.starts$1)
  };
  starts$lzycompute__p1__AI() {
    if (((1 & this.bitmap$0$1) === 0)) {
      const end = this.matcher$1.groupCount__I();
      const isEmpty$4 = (end < 0);
      let scala$collection$immutable$Range$$numRangeElements$4;
      if (isEmpty$4) {
        scala$collection$immutable$Range$$numRangeElements$4 = 0
      } else {
        const hi = (end >> 31);
        const lo = ((1 + end) | 0);
        const hi$1 = ((lo === 0) ? ((1 + hi) | 0) : hi);
        scala$collection$immutable$Range$$numRangeElements$4 = (((hi$1 === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi$1 > 0)) ? (-1) : lo)
      };
      $m_sci_IndexedSeq$();
      $m_sc_IndexedSeq$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const b = new $c_sci_VectorBuilder().init___();
      if ((scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
        $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(0, end, 1, true)
      };
      switch (scala$collection$immutable$Range$$numRangeElements$4) {
        case (-1): {
          break
        }
      };
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const arg1 = i;
          const elem = this.matcher$1.start__I__I(arg1);
          b.$$plus$eq__O__sci_VectorBuilder(elem);
          if ((i === end)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      const this$10 = b.result__sci_Vector();
      const len = this$10.length__I();
      const result = $newArrayObject($d_I.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$10, result, 0);
      this.starts$1 = result;
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.starts$1
  };
}
const $is_s_util_matching_Regex$Match = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_matching_Regex$Match)))
});
const $isArrayOf_s_util_matching_Regex$Match = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_matching_Regex$Match)))
});
const $d_s_util_matching_Regex$Match = new $TypeData().initClass({
  s_util_matching_Regex$Match: 0
}, false, "scala.util.matching.Regex$Match", {
  s_util_matching_Regex$Match: 1,
  O: 1,
  s_util_matching_Regex$MatchData: 1
});
$c_s_util_matching_Regex$Match.prototype.$classData = $d_s_util_matching_Regex$Match;
const $f_sc_Iterator__exists__F1__Z = (function($thiz, p) {
  let res = false;
  while (((!res) && $thiz.hasNext__Z())) {
    res = (!(!p.apply__O__O($thiz.next__O())))
  };
  return res
});
const $f_sc_Iterator__isEmpty__Z = (function($thiz) {
  return (!$thiz.hasNext__Z())
});
const $f_sc_Iterator__take__I__sc_Iterator = (function($thiz, n) {
  return $thiz.sliceIterator__I__I__sc_Iterator(0, ((n > 0) ? n : 0))
});
const $f_sc_Iterator__forall__F1__Z = (function($thiz, p) {
  let res = true;
  while ((res && $thiz.hasNext__Z())) {
    res = (!(!p.apply__O__O($thiz.next__O())))
  };
  return res
});
const $f_sc_Iterator__toString__T = (function($thiz) {
  return (($thiz.hasNext__Z() ? "non-empty" : "empty") + " iterator")
});
const $f_sc_Iterator__sliceIterator__I__I__sc_Iterator = (function($thiz, from, until) {
  const lo = ((from > 0) ? from : 0);
  const rest = ((until < 0) ? (-1) : ((until <= lo) ? 0 : ((until - lo) | 0)));
  return ((rest === 0) ? $m_sc_Iterator$().empty$1 : new $c_sc_Iterator$SliceIterator().init___sc_Iterator__I__I($thiz, lo, rest))
});
const $f_sc_Iterator__foreach__F1__V = (function($thiz, f) {
  while ($thiz.hasNext__Z()) {
    f.apply__O__O($thiz.next__O())
  }
});
const $f_sc_Iterator__$$plus$plus__F0__sc_Iterator = (function($thiz, that) {
  return new $c_sc_Iterator$ConcatIterator().init___sc_Iterator($thiz).$$plus$plus__F0__sc_Iterator(that)
});
const $f_sc_Iterator__find__F1__s_Option = (function($thiz, p) {
  while ($thiz.hasNext__Z()) {
    const a = $thiz.next__O();
    if ((!(!p.apply__O__O(a)))) {
      return new $c_s_Some().init___O(a)
    }
  };
  return $m_s_None$()
});
const $f_sc_Iterator__toStream__sci_Stream = (function($thiz) {
  if ($thiz.hasNext__Z()) {
    const hd = $thiz.next__O();
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.toStream__sci_Stream()
      })
    })($thiz));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  } else {
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  }
});
const $f_sc_Iterator__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  let i = start;
  const y = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const end = ((start + ((len < y) ? len : y)) | 0);
  while (((i < end) && $thiz.hasNext__Z())) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, i, $thiz.next__O());
    i = ((1 + i) | 0)
  }
});
const $f_sc_Iterator__drop__I__sc_Iterator = (function($thiz, n) {
  let j = 0;
  while (((j < n) && $thiz.hasNext__Z())) {
    $thiz.next__O();
    j = ((1 + j) | 0)
  };
  return $thiz
});
const $is_sc_Iterator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Iterator)))
});
const $isArrayOf_sc_Iterator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Iterator)))
});
class $c_sc_SeqView$$anon$1 extends $c_O {
  init___() {
    return this
  };
  apply__scm_Builder() {
    return new $c_sc_TraversableView$NoBuilder().init___()
  };
  apply__O__scm_Builder(from) {
    return new $c_sc_TraversableView$NoBuilder().init___()
  };
}
const $d_sc_SeqView$$anon$1 = new $TypeData().initClass({
  sc_SeqView$$anon$1: 0
}, false, "scala.collection.SeqView$$anon$1", {
  sc_SeqView$$anon$1: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sc_SeqView$$anon$1.prototype.$classData = $d_sc_SeqView$$anon$1;
class $c_sc_TraversableLike$WithFilter extends $c_O {
  constructor() {
    super();
    this.p$1 = null;
    this.$$outer$1 = null
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    const b = bf.apply__O__scm_Builder(this.$$outer$1.repr__O());
    this.$$outer$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, b$1) {
      return (function(x$2) {
        return ((!(!$this.p$1.apply__O__O(x$2))) ? b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(f$1.apply__O__O(x$2).seq__sc_TraversableOnce()) : (void 0))
      })
    })(this, f, b)));
    return b.result__O()
  };
  foreach__F1__V(f) {
    this.$$outer$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
      return (function(x$2) {
        return ((!(!$this.p$1.apply__O__O(x$2))) ? f$1.apply__O__O(x$2) : (void 0))
      })
    })(this, f)))
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    const b = bf.apply__O__scm_Builder(this.$$outer$1.repr__O());
    this.$$outer$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, b$1) {
      return (function(x$2) {
        return ((!(!$this.p$1.apply__O__O(x$2))) ? b$1.$$plus$eq__O__scm_Builder(f$1.apply__O__O(x$2)) : (void 0))
      })
    })(this, f, b)));
    return b.result__O()
  };
  init___sc_TraversableLike__F1($$outer, p) {
    this.p$1 = p;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_sc_TraversableLike$WithFilter = new $TypeData().initClass({
  sc_TraversableLike$WithFilter: 0
}, false, "scala.collection.TraversableLike$WithFilter", {
  sc_TraversableLike$WithFilter: 1,
  O: 1,
  scg_FilterMonadic: 1
});
$c_sc_TraversableLike$WithFilter.prototype.$classData = $d_sc_TraversableLike$WithFilter;
class $c_scg_GenMapFactory$MapCanBuildFrom extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__scm_Builder() {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  apply__O__scm_Builder(from) {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  init___scg_GenMapFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_scg_GenMapFactory$MapCanBuildFrom = new $TypeData().initClass({
  scg_GenMapFactory$MapCanBuildFrom: 0
}, false, "scala.collection.generic.GenMapFactory$MapCanBuildFrom", {
  scg_GenMapFactory$MapCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.$classData = $d_scg_GenMapFactory$MapCanBuildFrom;
class $c_scg_GenSetFactory extends $c_scg_GenericCompanion {
}
class $c_scg_GenSetFactory$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__scm_Builder() {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  apply__O__scm_Builder(from) {
    return this.apply__sc_GenSet__scm_Builder(from)
  };
  init___scg_GenSetFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__sc_GenSet__scm_Builder(from) {
    return ($is_sc_Set(from) ? from.companion__scg_GenericCompanion().newBuilder__scm_Builder() : this.$$outer$1.newBuilder__scm_Builder())
  };
}
const $d_scg_GenSetFactory$$anon$1 = new $TypeData().initClass({
  scg_GenSetFactory$$anon$1: 0
}, false, "scala.collection.generic.GenSetFactory$$anon$1", {
  scg_GenSetFactory$$anon$1: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenSetFactory$$anon$1.prototype.$classData = $d_scg_GenSetFactory$$anon$1;
class $c_scg_GenTraversableFactory extends $c_scg_GenericCompanion {
  constructor() {
    super();
    this.ReusableCBFInstance$2 = null
  };
  init___() {
    this.ReusableCBFInstance$2 = new $c_scg_GenTraversableFactory$$anon$1().init___scg_GenTraversableFactory(this);
    return this
  };
}
class $c_scg_GenTraversableFactory$GenericCanBuildFrom extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__scm_Builder() {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  apply__O__scm_Builder(from) {
    const from$1 = from;
    return from$1.companion__scg_GenericCompanion().newBuilder__scm_Builder()
  };
  init___scg_GenTraversableFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
class $c_scg_MapFactory extends $c_scg_GenMapFactory {
}
class $c_sci_HashMap$$anon$2 extends $c_sci_HashMap$Merger {
  constructor() {
    super();
    this.invert$2 = null;
    this.mergef$1$f = null
  };
  init___F2(mergef$1) {
    this.mergef$1$f = mergef$1;
    this.invert$2 = new $c_sci_HashMap$$anon$2$$anon$3().init___sci_HashMap$$anon$2(this);
    return this
  };
  apply__T2__T2__T2(kv1, kv2) {
    return this.mergef$1$f.apply__O__O__O(kv1, kv2)
  };
}
const $d_sci_HashMap$$anon$2 = new $TypeData().initClass({
  sci_HashMap$$anon$2: 0
}, false, "scala.collection.immutable.HashMap$$anon$2", {
  sci_HashMap$$anon$2: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2.prototype.$classData = $d_sci_HashMap$$anon$2;
class $c_sci_HashMap$$anon$2$$anon$3 extends $c_sci_HashMap$Merger {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  apply__T2__T2__T2(kv1, kv2) {
    return this.$$outer$2.mergef$1$f.apply__O__O__O(kv2, kv1)
  };
  init___sci_HashMap$$anon$2($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
}
const $d_sci_HashMap$$anon$2$$anon$3 = new $TypeData().initClass({
  sci_HashMap$$anon$2$$anon$3: 0
}, false, "scala.collection.immutable.HashMap$$anon$2$$anon$3", {
  sci_HashMap$$anon$2$$anon$3: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2$$anon$3.prototype.$classData = $d_sci_HashMap$$anon$2$$anon$3;
class $c_sci_List$$anon$1 extends $c_O {
  init___() {
    return this
  };
  apply__O__O(x) {
    return this
  };
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this))
  };
}
const $d_sci_List$$anon$1 = new $TypeData().initClass({
  sci_List$$anon$1: 0
}, false, "scala.collection.immutable.List$$anon$1", {
  sci_List$$anon$1: 1,
  O: 1,
  F1: 1
});
$c_sci_List$$anon$1.prototype.$classData = $d_sci_List$$anon$1;
const $f_scm_Builder__sizeHint__sc_TraversableLike__V = (function($thiz, coll) {
  const x1 = coll.sizeHintIfCheap__I();
  switch (x1) {
    case (-1): {
      break
    }
    default: {
      $thiz.sizeHint__I__V(x1)
    }
  }
});
const $f_scm_Builder__sizeHint__sc_TraversableLike__I__V = (function($thiz, coll, delta) {
  const x1 = coll.sizeHintIfCheap__I();
  switch (x1) {
    case (-1): {
      break
    }
    default: {
      $thiz.sizeHint__I__V(((x1 + delta) | 0))
    }
  }
});
const $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V = (function($thiz, size, boundingColl) {
  const x1 = boundingColl.sizeHintIfCheap__I();
  switch (x1) {
    case (-1): {
      break
    }
    default: {
      $thiz.sizeHint__I__V(((size < x1) ? size : x1))
    }
  }
});
const $is_scm_Builder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Builder)))
});
const $isArrayOf_scm_Builder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Builder)))
});
class $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Decoder extends $c_Ljava_nio_charset_CharsetDecoder {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  init___sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    $c_Ljava_nio_charset_CharsetDecoder.prototype.init___Ljava_nio_charset_Charset__F__F.call(this, $$outer, 1.0, 1.0);
    return this
  };
  decodeLoop__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out) {
    const maxValue = this.$$outer$2.scala$scalajs$niocharset$ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$$maxValue$2;
    const inRemaining = (($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0);
    if ((inRemaining === 0)) {
      return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
    } else {
      const outRemaining = ((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0);
      const overflow = (outRemaining < inRemaining);
      const rem = (overflow ? outRemaining : inRemaining);
      if (((($in.$$undarray$2 !== null) && (!$in.$$undreadOnly$3)) && ((out.$$undarray$2 !== null) && (!out.isReadOnly__Z())))) {
        const a = $in.$$undarray$2;
        if ((a === null)) {
          throw new $c_jl_UnsupportedOperationException().init___()
        };
        if ($in.$$undreadOnly$3) {
          throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
        };
        const o = $in.$$undarrayOffset$2;
        if ((o === (-1))) {
          throw new $c_jl_UnsupportedOperationException().init___()
        };
        if ($in.$$undreadOnly$3) {
          throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
        };
        const inStart = (($in.java$nio$Buffer$$$undposition$1 + o) | 0);
        const inEnd = ((inStart + rem) | 0);
        const a$1 = out.$$undarray$2;
        if ((a$1 === null)) {
          throw new $c_jl_UnsupportedOperationException().init___()
        };
        if (out.isReadOnly__Z()) {
          throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
        };
        const o$1 = out.$$undarrayOffset$2;
        if ((o$1 === (-1))) {
          throw new $c_jl_UnsupportedOperationException().init___()
        };
        if (out.isReadOnly__Z()) {
          throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
        };
        const outStart = ((out.java$nio$Buffer$$$undposition$1 + o$1) | 0);
        let inPos = inStart;
        let outPos = outStart;
        while ((inPos !== inEnd)) {
          const c = (255 & a.u[inPos]);
          if ((c > maxValue)) {
            $in.position__I__Ljava_nio_Buffer(((inPos - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos - o$1) | 0));
            const this$13 = $m_Ljava_nio_charset_CoderResult$();
            return this$13.java$nio$charset$CoderResult$$Malformed1$1
          };
          a$1.u[outPos] = (65535 & c);
          inPos = ((1 + inPos) | 0);
          outPos = ((1 + outPos) | 0)
        };
        $in.position__I__Ljava_nio_Buffer(((inPos - o) | 0));
        out.position__I__Ljava_nio_Buffer(((outPos - o$1) | 0))
      } else {
        let i = 0;
        while ((i !== rem)) {
          const c$2 = (255 & $in.get__B());
          if ((c$2 > maxValue)) {
            $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
            const this$14 = $m_Ljava_nio_charset_CoderResult$();
            return this$14.java$nio$charset$CoderResult$$Malformed1$1
          };
          out.put__C__Ljava_nio_CharBuffer((65535 & c$2));
          i = ((1 + i) | 0)
        }
      };
      return (overflow ? $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1 : $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1)
    }
  };
}
const $d_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Decoder = new $TypeData().initClass({
  sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Decoder: 0
}, false, "scala.scalajs.niocharset.ISO_8859_1_And_US_ASCII_Common$Decoder", {
  sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Decoder: 1,
  Ljava_nio_charset_CharsetDecoder: 1,
  O: 1
});
$c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Decoder.prototype.$classData = $d_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Decoder;
class $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Encoder extends $c_Ljava_nio_charset_CharsetEncoder {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  init___sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    $c_Ljava_nio_charset_CharsetEncoder.prototype.init___Ljava_nio_charset_Charset__F__F.call(this, $$outer, 1.0, 1.0);
    return this
  };
  encodeLoop__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out) {
    const maxValue = this.$$outer$2.scala$scalajs$niocharset$ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$$maxValue$2;
    const inRemaining = (($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0);
    if ((inRemaining === 0)) {
      return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
    } else if (((($in.$$undarray$2 !== null) && (!$in.isReadOnly__Z())) && ((out.$$undarray$2 !== null) && (!out.$$undreadOnly$3)))) {
      const outRemaining = ((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0);
      const overflow = (outRemaining < inRemaining);
      const rem = (overflow ? outRemaining : inRemaining);
      const a = $in.$$undarray$2;
      if ((a === null)) {
        throw new $c_jl_UnsupportedOperationException().init___()
      };
      if ($in.isReadOnly__Z()) {
        throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
      };
      const o = $in.$$undarrayOffset$2;
      if ((o === (-1))) {
        throw new $c_jl_UnsupportedOperationException().init___()
      };
      if ($in.isReadOnly__Z()) {
        throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
      };
      const inStart = (($in.java$nio$Buffer$$$undposition$1 + o) | 0);
      const inEnd = ((inStart + rem) | 0);
      const a$1 = out.$$undarray$2;
      if ((a$1 === null)) {
        throw new $c_jl_UnsupportedOperationException().init___()
      };
      if (out.$$undreadOnly$3) {
        throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
      };
      const o$1 = out.$$undarrayOffset$2;
      if ((o$1 === (-1))) {
        throw new $c_jl_UnsupportedOperationException().init___()
      };
      if (out.$$undreadOnly$3) {
        throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
      };
      const outStart = ((out.java$nio$Buffer$$$undposition$1 + o$1) | 0);
      let inPos = inStart;
      let outPos = outStart;
      _loop: while (true) {
        if ((inPos === inEnd)) {
          const result = (overflow ? $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1 : $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1);
          const inPos$1 = inPos;
          const outPos$1 = outPos;
          $in.position__I__Ljava_nio_Buffer(((inPos$1 - o) | 0));
          out.position__I__Ljava_nio_Buffer(((outPos$1 - o$1) | 0));
          return result
        } else {
          const c = a.u[inPos];
          if ((c <= maxValue)) {
            a$1.u[outPos] = ((c << 24) >> 24);
            const temp$inPos = ((1 + inPos) | 0);
            const temp$outPos = ((1 + outPos) | 0);
            inPos = temp$inPos;
            outPos = temp$outPos;
            continue _loop
          } else {
            let result$1;
            if (((64512 & c) === 56320)) {
              const this$14 = $m_Ljava_nio_charset_CoderResult$();
              result$1 = this$14.java$nio$charset$CoderResult$$Malformed1$1
            } else if (((64512 & c) === 55296)) {
              if ((((1 + inPos) | 0) < $in.$$undlimit$1)) {
                const c2 = a.u[((1 + inPos) | 0)];
                if (((64512 & c2) === 56320)) {
                  const this$17 = $m_Ljava_nio_charset_CoderResult$();
                  result$1 = this$17.java$nio$charset$CoderResult$$Unmappable2$1
                } else {
                  const this$18 = $m_Ljava_nio_charset_CoderResult$();
                  result$1 = this$18.java$nio$charset$CoderResult$$Malformed1$1
                }
              } else {
                result$1 = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
              }
            } else {
              const this$19 = $m_Ljava_nio_charset_CoderResult$();
              result$1 = this$19.java$nio$charset$CoderResult$$Unmappable1$1
            };
            const inPos$1$1 = inPos;
            const outPos$1$1 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$1$1 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$1$1 - o$1) | 0));
            return result$1
          }
        }
      }
    } else {
      _loop$1: while (true) {
        if (($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1)) {
          return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
        } else if ((out.java$nio$Buffer$$$undposition$1 === out.$$undlimit$1)) {
          return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
        } else {
          const c$1 = $in.get__C();
          if ((c$1 <= maxValue)) {
            out.put__B__Ljava_nio_ByteBuffer(((c$1 << 24) >> 24));
            continue _loop$1
          } else if (((64512 & c$1) === 56320)) {
            $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
            const this$21 = $m_Ljava_nio_charset_CoderResult$();
            return this$21.java$nio$charset$CoderResult$$Malformed1$1
          } else if (((64512 & c$1) === 55296)) {
            if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
              const c2$1 = $in.get__C();
              $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
              if (((64512 & c2$1) === 56320)) {
                const this$24 = $m_Ljava_nio_charset_CoderResult$();
                return this$24.java$nio$charset$CoderResult$$Unmappable2$1
              } else {
                const this$25 = $m_Ljava_nio_charset_CoderResult$();
                return this$25.java$nio$charset$CoderResult$$Malformed1$1
              }
            } else {
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
            }
          } else {
            $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
            const this$26 = $m_Ljava_nio_charset_CoderResult$();
            return this$26.java$nio$charset$CoderResult$$Unmappable1$1
          }
        }
      }
    }
  };
}
const $d_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Encoder = new $TypeData().initClass({
  sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Encoder: 0
}, false, "scala.scalajs.niocharset.ISO_8859_1_And_US_ASCII_Common$Encoder", {
  sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Encoder: 1,
  Ljava_nio_charset_CharsetEncoder: 1,
  O: 1
});
$c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Encoder.prototype.$classData = $d_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Encoder;
class $c_sjs_niocharset_UTF$und16$undCommon$Decoder extends $c_Ljava_nio_charset_CharsetDecoder {
  constructor() {
    super();
    this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 = 0;
    this.$$outer$2 = null
  };
  init___sjs_niocharset_UTF$und16$undCommon($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    $c_Ljava_nio_charset_CharsetDecoder.prototype.init___Ljava_nio_charset_Charset__F__F.call(this, $$outer, 0.5, 1.0);
    this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 = $$outer.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2;
    return this
  };
  decodeLoop__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out) {
    _loop: while (true) {
      if (((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
        return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
      } else {
        const b1 = (255 & $in.get__B());
        const b2 = (255 & $in.get__B());
        let wasBOM;
        if ((this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 === 0)) {
          if (((b1 === 254) && (b2 === 255))) {
            this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 = 1;
            wasBOM = true
          } else if (((b1 === 255) && (b2 === 254))) {
            this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 = 2;
            wasBOM = true
          } else {
            this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 = 1;
            wasBOM = false
          }
        } else {
          wasBOM = false
        };
        if (wasBOM) {
          continue _loop
        } else {
          const bigEndian = (this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 === 1);
          const c1 = (65535 & (bigEndian ? ((b1 << 8) | b2) : ((b2 << 8) | b1)));
          if (((64512 & c1) === 56320)) {
            $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
            const this$2 = $m_Ljava_nio_charset_CoderResult$();
            return this$2.java$nio$charset$CoderResult$$Malformed2$1
          } else if (((64512 & c1) !== 55296)) {
            if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) === 0)) {
              $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
            } else {
              out.put__C__Ljava_nio_CharBuffer(c1);
              continue _loop
            }
          } else if (((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
            $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
            return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
          } else {
            const b3 = (255 & $in.get__B());
            const b4 = (255 & $in.get__B());
            const c2 = (65535 & (bigEndian ? ((b3 << 8) | b4) : ((b4 << 8) | b3)));
            if (((64512 & c2) !== 56320)) {
              $in.position__I__Ljava_nio_Buffer((((-4) + $in.java$nio$Buffer$$$undposition$1) | 0));
              const this$5 = $m_Ljava_nio_charset_CoderResult$();
              return this$5.java$nio$charset$CoderResult$$Malformed2$1
            } else if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
              $in.position__I__Ljava_nio_Buffer((((-4) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
            } else {
              out.put__C__Ljava_nio_CharBuffer(c1);
              out.put__C__Ljava_nio_CharBuffer(c2);
              continue _loop
            }
          }
        }
      }
    }
  };
  implReset__V() {
    this.scala$scalajs$niocharset$UTF$und16$undCommon$Decoder$$endianness$2 = this.$$outer$2.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2
  };
}
const $d_sjs_niocharset_UTF$und16$undCommon$Decoder = new $TypeData().initClass({
  sjs_niocharset_UTF$und16$undCommon$Decoder: 0
}, false, "scala.scalajs.niocharset.UTF_16_Common$Decoder", {
  sjs_niocharset_UTF$und16$undCommon$Decoder: 1,
  Ljava_nio_charset_CharsetDecoder: 1,
  O: 1
});
$c_sjs_niocharset_UTF$und16$undCommon$Decoder.prototype.$classData = $d_sjs_niocharset_UTF$und16$undCommon$Decoder;
class $c_sjs_niocharset_UTF$und16$undCommon$Encoder extends $c_Ljava_nio_charset_CharsetEncoder {
  constructor() {
    super();
    this.needToWriteBOM$2 = false;
    this.$$outer$2 = null
  };
  encodeLoop__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out) {
    if (this.needToWriteBOM$2) {
      if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
        return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
      } else {
        out.put__B__Ljava_nio_ByteBuffer((-2));
        out.put__B__Ljava_nio_ByteBuffer((-1));
        this.needToWriteBOM$2 = false
      }
    };
    const bigEndian = (this.$$outer$2.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2 !== 2);
    _loop: while (true) {
      if (((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0) === 0)) {
        return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
      } else {
        const c1 = $in.get__C();
        if (((64512 & c1) === 56320)) {
          $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
          const this$2 = $m_Ljava_nio_charset_CoderResult$();
          return this$2.java$nio$charset$CoderResult$$Malformed1$1
        } else if (((64512 & c1) !== 55296)) {
          if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
            $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
            return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
          } else {
            if (bigEndian) {
              out.put__B__Ljava_nio_ByteBuffer((((c1 >> 8) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer(((c1 << 24) >> 24))
            } else {
              out.put__B__Ljava_nio_ByteBuffer(((c1 << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((c1 >> 8) << 24) >> 24))
            };
            continue _loop
          }
        } else if (((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0) < 1)) {
          $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
          return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
        } else {
          const c2 = $in.get__C();
          if (((64512 & c2) !== 56320)) {
            $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
            const this$5 = $m_Ljava_nio_charset_CoderResult$();
            return this$5.java$nio$charset$CoderResult$$Malformed1$1
          } else if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 4)) {
            $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
            return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
          } else {
            if (bigEndian) {
              out.put__B__Ljava_nio_ByteBuffer((((c1 >> 8) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer(((c1 << 24) >> 24))
            } else {
              out.put__B__Ljava_nio_ByteBuffer(((c1 << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((c1 >> 8) << 24) >> 24))
            };
            if (bigEndian) {
              out.put__B__Ljava_nio_ByteBuffer((((c2 >> 8) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer(((c2 << 24) >> 24))
            } else {
              out.put__B__Ljava_nio_ByteBuffer(((c2 << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((c2 >> 8) << 24) >> 24))
            };
            continue _loop
          }
        }
      }
    }
  };
  init___sjs_niocharset_UTF$und16$undCommon($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    let jsx$1;
    if (($$outer.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2 === 2)) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-3), (-1)]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_B.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = (arg1 | 0);
        elem$1 = ((1 + elem$1) | 0)
      };
      jsx$1 = array
    } else {
      const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-1), (-3)]);
      const len$1 = (xs$1.array$6.length | 0);
      const array$1 = $newArrayObject($d_B.getArrayOf(), [len$1]);
      let elem$1$1 = 0;
      elem$1$1 = 0;
      const this$10 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs$1, 0, (xs$1.array$6.length | 0));
      while (this$10.hasNext__Z()) {
        const arg1$1 = this$10.next__O();
        array$1.u[elem$1$1] = (arg1$1 | 0);
        elem$1$1 = ((1 + elem$1$1) | 0)
      };
      jsx$1 = array$1
    };
    $c_Ljava_nio_charset_CharsetEncoder.prototype.init___Ljava_nio_charset_Charset__F__F__AB.call(this, $$outer, 2.0, 2.0, jsx$1);
    this.needToWriteBOM$2 = ($$outer.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2 === 0);
    return this
  };
  implReset__V() {
    this.needToWriteBOM$2 = (this.$$outer$2.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2 === 0)
  };
}
const $d_sjs_niocharset_UTF$und16$undCommon$Encoder = new $TypeData().initClass({
  sjs_niocharset_UTF$und16$undCommon$Encoder: 0
}, false, "scala.scalajs.niocharset.UTF_16_Common$Encoder", {
  sjs_niocharset_UTF$und16$undCommon$Encoder: 1,
  Ljava_nio_charset_CharsetEncoder: 1,
  O: 1
});
$c_sjs_niocharset_UTF$und16$undCommon$Encoder.prototype.$classData = $d_sjs_niocharset_UTF$und16$undCommon$Encoder;
class $c_sjs_niocharset_UTF$und8$Decoder extends $c_Ljava_nio_charset_CharsetDecoder {
  init___() {
    $c_Ljava_nio_charset_CharsetDecoder.prototype.init___Ljava_nio_charset_Charset__F__F.call(this, $m_sjs_niocharset_UTF$und8$(), 1.0, 1.0);
    return this
  };
  decodeLoop__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out) {
    if (((($in.$$undarray$2 !== null) && (!$in.$$undreadOnly$3)) && ((out.$$undarray$2 !== null) && (!out.isReadOnly__Z())))) {
      return this.decodeLoopArray__p2__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out)
    } else {
      _loop: while (true) {
        if (($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1)) {
          return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
        } else {
          const leading = $in.get__B();
          if ((leading >= 0)) {
            if ((out.java$nio$Buffer$$$undposition$1 === out.$$undlimit$1)) {
              const result = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result
            } else {
              out.put__C__Ljava_nio_CharBuffer((65535 & leading));
              continue _loop
            }
          } else {
            const length = $m_sjs_niocharset_UTF$und8$().scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2.u[(127 & leading)];
            if ((length === (-1))) {
              const this$5 = $m_Ljava_nio_charset_CoderResult$();
              const result$1 = this$5.java$nio$charset$CoderResult$$Malformed1$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$1
            } else {
              let elem$1 = 0;
              elem$1 = 1;
              let decoded_$_failure$1;
              let decoded_$_high$1;
              let decoded_$_low$1;
              if ((length === 2)) {
                let b2;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b2 = $in.get__B()
                } else {
                  b2 = 0
                };
                if (((192 & b2) !== 128)) {
                  const this$7 = $m_Ljava_nio_charset_CoderResult$();
                  const failure = this$7.java$nio$charset$CoderResult$$Malformed1$1;
                  const jsx$1_$_failure$1 = failure;
                  const jsx$1_$_high$1 = 0;
                  const jsx$1_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$1_$_failure$1;
                  decoded_$_high$1 = jsx$1_$_high$1;
                  decoded_$_low$1 = jsx$1_$_low$1
                } else {
                  const codePoint = (((31 & leading) << 6) | (63 & b2));
                  if ((codePoint < 128)) {
                    const this$9 = $m_Ljava_nio_charset_CoderResult$();
                    const failure$1 = this$9.java$nio$charset$CoderResult$$Malformed2$1;
                    const jsx$2_$_failure$1 = failure$1;
                    const jsx$2_$_high$1 = 0;
                    const jsx$2_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$2_$_failure$1;
                    decoded_$_high$1 = jsx$2_$_high$1;
                    decoded_$_low$1 = jsx$2_$_low$1
                  } else {
                    const single = (65535 & codePoint);
                    const jsx$3_$_failure$1 = null;
                    const jsx$3_$_high$1 = single;
                    const jsx$3_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$3_$_failure$1;
                    decoded_$_high$1 = jsx$3_$_high$1;
                    decoded_$_low$1 = jsx$3_$_low$1
                  }
                }
              } else if ((length === 3)) {
                let b2$1;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b2$1 = $in.get__B()
                } else {
                  b2$1 = 0
                };
                let b3;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b3 = $in.get__B()
                } else {
                  b3 = 0
                };
                if (((192 & b2$1) !== 128)) {
                  const this$12 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$2 = this$12.java$nio$charset$CoderResult$$Malformed1$1;
                  const jsx$4_$_failure$1 = failure$2;
                  const jsx$4_$_high$1 = 0;
                  const jsx$4_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$4_$_failure$1;
                  decoded_$_high$1 = jsx$4_$_high$1;
                  decoded_$_low$1 = jsx$4_$_low$1
                } else if (((192 & b3) !== 128)) {
                  const this$14 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$3 = this$14.java$nio$charset$CoderResult$$Malformed2$1;
                  const jsx$5_$_failure$1 = failure$3;
                  const jsx$5_$_high$1 = 0;
                  const jsx$5_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$5_$_failure$1;
                  decoded_$_high$1 = jsx$5_$_high$1;
                  decoded_$_low$1 = jsx$5_$_low$1
                } else {
                  const codePoint$1 = ((((15 & leading) << 12) | ((63 & b2$1) << 6)) | (63 & b3));
                  if (((codePoint$1 < 2048) || ((codePoint$1 >= 55296) && (codePoint$1 <= 57343)))) {
                    const this$16 = $m_Ljava_nio_charset_CoderResult$();
                    const failure$4 = this$16.java$nio$charset$CoderResult$$Malformed3$1;
                    const jsx$6_$_failure$1 = failure$4;
                    const jsx$6_$_high$1 = 0;
                    const jsx$6_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$6_$_failure$1;
                    decoded_$_high$1 = jsx$6_$_high$1;
                    decoded_$_low$1 = jsx$6_$_low$1
                  } else {
                    const single$1 = (65535 & codePoint$1);
                    const jsx$7_$_failure$1 = null;
                    const jsx$7_$_high$1 = single$1;
                    const jsx$7_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$7_$_failure$1;
                    decoded_$_high$1 = jsx$7_$_high$1;
                    decoded_$_low$1 = jsx$7_$_low$1
                  }
                }
              } else {
                let b2$2;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b2$2 = $in.get__B()
                } else {
                  b2$2 = 0
                };
                let b3$1;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b3$1 = $in.get__B()
                } else {
                  b3$1 = 0
                };
                let b4;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b4 = $in.get__B()
                } else {
                  b4 = 0
                };
                if (((192 & b2$2) !== 128)) {
                  const this$19 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$5 = this$19.java$nio$charset$CoderResult$$Malformed1$1;
                  const jsx$8_$_failure$1 = failure$5;
                  const jsx$8_$_high$1 = 0;
                  const jsx$8_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$8_$_failure$1;
                  decoded_$_high$1 = jsx$8_$_high$1;
                  decoded_$_low$1 = jsx$8_$_low$1
                } else if (((192 & b3$1) !== 128)) {
                  const this$21 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$6 = this$21.java$nio$charset$CoderResult$$Malformed2$1;
                  const jsx$9_$_failure$1 = failure$6;
                  const jsx$9_$_high$1 = 0;
                  const jsx$9_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$9_$_failure$1;
                  decoded_$_high$1 = jsx$9_$_high$1;
                  decoded_$_low$1 = jsx$9_$_low$1
                } else if (((192 & b4) !== 128)) {
                  const this$23 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$7 = this$23.java$nio$charset$CoderResult$$Malformed3$1;
                  const jsx$10_$_failure$1 = failure$7;
                  const jsx$10_$_high$1 = 0;
                  const jsx$10_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$10_$_failure$1;
                  decoded_$_high$1 = jsx$10_$_high$1;
                  decoded_$_low$1 = jsx$10_$_low$1
                } else {
                  const codePoint$2 = (((((7 & leading) << 18) | ((63 & b2$2) << 12)) | ((63 & b3$1) << 6)) | (63 & b4));
                  if (((codePoint$2 < 65536) || (codePoint$2 > 1114111))) {
                    const this$25 = $m_Ljava_nio_charset_CoderResult$();
                    const failure$8 = this$25.java$nio$charset$CoderResult$$Malformed4$1;
                    const jsx$11_$_failure$1 = failure$8;
                    const jsx$11_$_high$1 = 0;
                    const jsx$11_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$11_$_failure$1;
                    decoded_$_high$1 = jsx$11_$_high$1;
                    decoded_$_low$1 = jsx$11_$_low$1
                  } else {
                    const offsetCodePoint = (((-65536) + codePoint$2) | 0);
                    const high = (65535 & (55296 | (offsetCodePoint >> 10)));
                    const low = (65535 & (56320 | (1023 & offsetCodePoint)));
                    const jsx$12_$_failure$1 = null;
                    const jsx$12_$_high$1 = high;
                    const jsx$12_$_low$1 = low;
                    decoded_$_failure$1 = jsx$12_$_failure$1;
                    decoded_$_high$1 = jsx$12_$_high$1;
                    decoded_$_low$1 = jsx$12_$_low$1
                  }
                }
              };
              if ((decoded_$_failure$1 !== null)) {
                const read = elem$1;
                const result$2 = decoded_$_failure$1;
                $in.position__I__Ljava_nio_Buffer((($in.java$nio$Buffer$$$undposition$1 - read) | 0));
                return result$2
              } else if ((decoded_$_low$1 === 0)) {
                if ((out.java$nio$Buffer$$$undposition$1 === out.$$undlimit$1)) {
                  const read$1 = elem$1;
                  const result$3 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                  $in.position__I__Ljava_nio_Buffer((($in.java$nio$Buffer$$$undposition$1 - read$1) | 0));
                  return result$3
                } else {
                  out.put__C__Ljava_nio_CharBuffer(decoded_$_high$1);
                  continue _loop
                }
              } else if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
                const read$2 = elem$1;
                const result$4 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                $in.position__I__Ljava_nio_Buffer((($in.java$nio$Buffer$$$undposition$1 - read$2) | 0));
                return result$4
              } else {
                out.put__C__Ljava_nio_CharBuffer(decoded_$_high$1);
                out.put__C__Ljava_nio_CharBuffer(decoded_$_low$1);
                continue _loop
              }
            }
          }
        }
      }
    }
  };
  decodeLoopArray__p2__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out) {
    const a = $in.$$undarray$2;
    if ((a === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o = $in.$$undarrayOffset$2;
    if ((o === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const inStart = (($in.java$nio$Buffer$$$undposition$1 + o) | 0);
    const inEnd = (($in.$$undlimit$1 + o) | 0);
    const a$1 = out.$$undarray$2;
    if ((a$1 === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o$1 = out.$$undarrayOffset$2;
    if ((o$1 === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const outStart = ((out.java$nio$Buffer$$$undposition$1 + o$1) | 0);
    const outEnd = ((out.$$undlimit$1 + o$1) | 0);
    let inPos = inStart;
    let outPos = outStart;
    _loop: while (true) {
      if ((inPos === inEnd)) {
        const result = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        const inPos$1 = inPos;
        const outPos$1 = outPos;
        $in.position__I__Ljava_nio_Buffer(((inPos$1 - o) | 0));
        out.position__I__Ljava_nio_Buffer(((outPos$1 - o$1) | 0));
        return result
      } else {
        const leading = a.u[inPos];
        if ((leading >= 0)) {
          if ((outPos === outEnd)) {
            const result$1 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$1$1 = inPos;
            const outPos$1$1 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$1$1 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$1$1 - o$1) | 0));
            return result$1
          } else {
            a$1.u[outPos] = (65535 & leading);
            const temp$inPos = ((1 + inPos) | 0);
            const temp$outPos = ((1 + outPos) | 0);
            inPos = temp$inPos;
            outPos = temp$outPos;
            continue _loop
          }
        } else {
          const length = $m_sjs_niocharset_UTF$und8$().scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2.u[(127 & leading)];
          if ((length === (-1))) {
            const this$9 = $m_Ljava_nio_charset_CoderResult$();
            const result$2 = this$9.java$nio$charset$CoderResult$$Malformed1$1;
            const inPos$1$2 = inPos;
            const outPos$1$2 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$1$2 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$1$2 - o$1) | 0));
            return result$2
          } else {
            const inPos$1$3 = inPos;
            const b2 = ((((1 + inPos$1$3) | 0) < inEnd) ? a.u[((1 + inPos$1$3) | 0)] : 0);
            let decoded_$_failure$1;
            let decoded_$_high$1;
            let decoded_$_low$1;
            if ((length === 2)) {
              if (((192 & b2) !== 128)) {
                const this$10 = $m_Ljava_nio_charset_CoderResult$();
                const failure = this$10.java$nio$charset$CoderResult$$Malformed1$1;
                const jsx$1_$_failure$1 = failure;
                const jsx$1_$_high$1 = 0;
                const jsx$1_$_low$1 = 0;
                decoded_$_failure$1 = jsx$1_$_failure$1;
                decoded_$_high$1 = jsx$1_$_high$1;
                decoded_$_low$1 = jsx$1_$_low$1
              } else {
                const codePoint = (((31 & leading) << 6) | (63 & b2));
                if ((codePoint < 128)) {
                  const this$12 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$1 = this$12.java$nio$charset$CoderResult$$Malformed2$1;
                  const jsx$2_$_failure$1 = failure$1;
                  const jsx$2_$_high$1 = 0;
                  const jsx$2_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$2_$_failure$1;
                  decoded_$_high$1 = jsx$2_$_high$1;
                  decoded_$_low$1 = jsx$2_$_low$1
                } else {
                  const single = (65535 & codePoint);
                  const jsx$3_$_failure$1 = null;
                  const jsx$3_$_high$1 = single;
                  const jsx$3_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$3_$_failure$1;
                  decoded_$_high$1 = jsx$3_$_high$1;
                  decoded_$_low$1 = jsx$3_$_low$1
                }
              }
            } else if ((length === 3)) {
              const inPos$1$4 = inPos;
              const b3 = ((((2 + inPos$1$4) | 0) < inEnd) ? a.u[((2 + inPos$1$4) | 0)] : 0);
              if (((192 & b2) !== 128)) {
                const this$15 = $m_Ljava_nio_charset_CoderResult$();
                const failure$2 = this$15.java$nio$charset$CoderResult$$Malformed1$1;
                const jsx$4_$_failure$1 = failure$2;
                const jsx$4_$_high$1 = 0;
                const jsx$4_$_low$1 = 0;
                decoded_$_failure$1 = jsx$4_$_failure$1;
                decoded_$_high$1 = jsx$4_$_high$1;
                decoded_$_low$1 = jsx$4_$_low$1
              } else if (((192 & b3) !== 128)) {
                const this$17 = $m_Ljava_nio_charset_CoderResult$();
                const failure$3 = this$17.java$nio$charset$CoderResult$$Malformed2$1;
                const jsx$5_$_failure$1 = failure$3;
                const jsx$5_$_high$1 = 0;
                const jsx$5_$_low$1 = 0;
                decoded_$_failure$1 = jsx$5_$_failure$1;
                decoded_$_high$1 = jsx$5_$_high$1;
                decoded_$_low$1 = jsx$5_$_low$1
              } else {
                const codePoint$1 = ((((15 & leading) << 12) | ((63 & b2) << 6)) | (63 & b3));
                if (((codePoint$1 < 2048) || ((codePoint$1 >= 55296) && (codePoint$1 <= 57343)))) {
                  const this$19 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$4 = this$19.java$nio$charset$CoderResult$$Malformed3$1;
                  const jsx$6_$_failure$1 = failure$4;
                  const jsx$6_$_high$1 = 0;
                  const jsx$6_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$6_$_failure$1;
                  decoded_$_high$1 = jsx$6_$_high$1;
                  decoded_$_low$1 = jsx$6_$_low$1
                } else {
                  const single$1 = (65535 & codePoint$1);
                  const jsx$7_$_failure$1 = null;
                  const jsx$7_$_high$1 = single$1;
                  const jsx$7_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$7_$_failure$1;
                  decoded_$_high$1 = jsx$7_$_high$1;
                  decoded_$_low$1 = jsx$7_$_low$1
                }
              }
            } else {
              const inPos$1$5 = inPos;
              const b3$1 = ((((2 + inPos$1$5) | 0) < inEnd) ? a.u[((2 + inPos$1$5) | 0)] : 0);
              const inPos$1$6 = inPos;
              const b4 = ((((3 + inPos$1$6) | 0) < inEnd) ? a.u[((3 + inPos$1$6) | 0)] : 0);
              if (((192 & b2) !== 128)) {
                const this$22 = $m_Ljava_nio_charset_CoderResult$();
                const failure$5 = this$22.java$nio$charset$CoderResult$$Malformed1$1;
                const jsx$8_$_failure$1 = failure$5;
                const jsx$8_$_high$1 = 0;
                const jsx$8_$_low$1 = 0;
                decoded_$_failure$1 = jsx$8_$_failure$1;
                decoded_$_high$1 = jsx$8_$_high$1;
                decoded_$_low$1 = jsx$8_$_low$1
              } else if (((192 & b3$1) !== 128)) {
                const this$24 = $m_Ljava_nio_charset_CoderResult$();
                const failure$6 = this$24.java$nio$charset$CoderResult$$Malformed2$1;
                const jsx$9_$_failure$1 = failure$6;
                const jsx$9_$_high$1 = 0;
                const jsx$9_$_low$1 = 0;
                decoded_$_failure$1 = jsx$9_$_failure$1;
                decoded_$_high$1 = jsx$9_$_high$1;
                decoded_$_low$1 = jsx$9_$_low$1
              } else if (((192 & b4) !== 128)) {
                const this$26 = $m_Ljava_nio_charset_CoderResult$();
                const failure$7 = this$26.java$nio$charset$CoderResult$$Malformed3$1;
                const jsx$10_$_failure$1 = failure$7;
                const jsx$10_$_high$1 = 0;
                const jsx$10_$_low$1 = 0;
                decoded_$_failure$1 = jsx$10_$_failure$1;
                decoded_$_high$1 = jsx$10_$_high$1;
                decoded_$_low$1 = jsx$10_$_low$1
              } else {
                const codePoint$2 = (((((7 & leading) << 18) | ((63 & b2) << 12)) | ((63 & b3$1) << 6)) | (63 & b4));
                if (((codePoint$2 < 65536) || (codePoint$2 > 1114111))) {
                  const this$28 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$8 = this$28.java$nio$charset$CoderResult$$Malformed4$1;
                  const jsx$11_$_failure$1 = failure$8;
                  const jsx$11_$_high$1 = 0;
                  const jsx$11_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$11_$_failure$1;
                  decoded_$_high$1 = jsx$11_$_high$1;
                  decoded_$_low$1 = jsx$11_$_low$1
                } else {
                  const offsetCodePoint = (((-65536) + codePoint$2) | 0);
                  const high = (65535 & (55296 | (offsetCodePoint >> 10)));
                  const low = (65535 & (56320 | (1023 & offsetCodePoint)));
                  const jsx$12_$_failure$1 = null;
                  const jsx$12_$_high$1 = high;
                  const jsx$12_$_low$1 = low;
                  decoded_$_failure$1 = jsx$12_$_failure$1;
                  decoded_$_high$1 = jsx$12_$_high$1;
                  decoded_$_low$1 = jsx$12_$_low$1
                }
              }
            };
            if ((decoded_$_failure$1 !== null)) {
              const result$3 = decoded_$_failure$1;
              const inPos$1$7 = inPos;
              const outPos$1$3 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$1$7 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$1$3 - o$1) | 0));
              return result$3
            } else if ((decoded_$_low$1 === 0)) {
              if ((outPos === outEnd)) {
                const result$4 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                const inPos$1$8 = inPos;
                const outPos$1$4 = outPos;
                $in.position__I__Ljava_nio_Buffer(((inPos$1$8 - o) | 0));
                out.position__I__Ljava_nio_Buffer(((outPos$1$4 - o$1) | 0));
                return result$4
              } else {
                a$1.u[outPos] = decoded_$_high$1;
                const temp$inPos$2 = ((inPos + length) | 0);
                const temp$outPos$2 = ((1 + outPos) | 0);
                inPos = temp$inPos$2;
                outPos = temp$outPos$2;
                continue _loop
              }
            } else if ((((2 + outPos) | 0) > outEnd)) {
              const result$5 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              const inPos$1$9 = inPos;
              const outPos$1$5 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$1$9 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$1$5 - o$1) | 0));
              return result$5
            } else {
              a$1.u[outPos] = decoded_$_high$1;
              a$1.u[((1 + outPos) | 0)] = decoded_$_low$1;
              const temp$inPos$3 = ((inPos + length) | 0);
              const temp$outPos$3 = ((2 + outPos) | 0);
              inPos = temp$inPos$3;
              outPos = temp$outPos$3;
              continue _loop
            }
          }
        }
      }
    }
  };
}
const $d_sjs_niocharset_UTF$und8$Decoder = new $TypeData().initClass({
  sjs_niocharset_UTF$und8$Decoder: 0
}, false, "scala.scalajs.niocharset.UTF_8$Decoder", {
  sjs_niocharset_UTF$und8$Decoder: 1,
  Ljava_nio_charset_CharsetDecoder: 1,
  O: 1
});
$c_sjs_niocharset_UTF$und8$Decoder.prototype.$classData = $d_sjs_niocharset_UTF$und8$Decoder;
class $c_sjs_niocharset_UTF$und8$Encoder extends $c_Ljava_nio_charset_CharsetEncoder {
  init___() {
    $c_Ljava_nio_charset_CharsetEncoder.prototype.init___Ljava_nio_charset_Charset__F__F.call(this, $m_sjs_niocharset_UTF$und8$(), 1.100000023841858, 4.0);
    return this
  };
  encodeLoop__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out) {
    if (((($in.$$undarray$2 !== null) && (!$in.isReadOnly__Z())) && ((out.$$undarray$2 !== null) && (!out.$$undreadOnly$3)))) {
      return this.encodeLoopArray__p2__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out)
    } else {
      _loop: while (true) {
        if (($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1)) {
          return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
        } else {
          const c1 = $in.get__C();
          if ((c1 < 128)) {
            if ((out.java$nio$Buffer$$$undposition$1 === out.$$undlimit$1)) {
              const result = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result
            } else {
              out.put__B__Ljava_nio_ByteBuffer(((c1 << 24) >> 24));
              continue _loop
            }
          } else if ((c1 < 2048)) {
            if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
              const result$1 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$1
            } else {
              out.put__B__Ljava_nio_ByteBuffer((((192 | (c1 >> 6)) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & c1)) << 24) >> 24));
              continue _loop
            }
          } else if ((!($m_sjs_niocharset_UTF$und8$(), ((63488 & c1) === 55296)))) {
            if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 3)) {
              const result$2 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$2
            } else {
              out.put__B__Ljava_nio_ByteBuffer((((224 | (c1 >> 12)) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & (c1 >> 6))) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & c1)) << 24) >> 24));
              continue _loop
            }
          } else if (((64512 & c1) === 55296)) {
            if (($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1)) {
              const result$3 = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$3
            } else {
              const c2 = $in.get__C();
              if (((64512 & c2) !== 56320)) {
                const this$8 = $m_Ljava_nio_charset_CoderResult$();
                const result$4 = this$8.java$nio$charset$CoderResult$$Malformed1$1;
                $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
                return result$4
              } else if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 4)) {
                const result$5 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
                return result$5
              } else {
                const cp = ((65536 + ((((1023 & c1) << 10) + (1023 & c2)) | 0)) | 0);
                out.put__B__Ljava_nio_ByteBuffer((((240 | (cp >> 18)) << 24) >> 24));
                out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & (cp >> 12))) << 24) >> 24));
                out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & (cp >> 6))) << 24) >> 24));
                out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & cp)) << 24) >> 24));
                continue _loop
              }
            }
          } else {
            const this$10 = $m_Ljava_nio_charset_CoderResult$();
            const result$6 = this$10.java$nio$charset$CoderResult$$Malformed1$1;
            $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
            return result$6
          }
        }
      }
    }
  };
  encodeLoopArray__p2__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out) {
    const a = $in.$$undarray$2;
    if ((a === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o = $in.$$undarrayOffset$2;
    if ((o === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const inStart = (($in.java$nio$Buffer$$$undposition$1 + o) | 0);
    const inEnd = (($in.$$undlimit$1 + o) | 0);
    const a$1 = out.$$undarray$2;
    if ((a$1 === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o$1 = out.$$undarrayOffset$2;
    if ((o$1 === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const outStart = ((out.java$nio$Buffer$$$undposition$1 + o$1) | 0);
    const outEnd = ((out.$$undlimit$1 + o$1) | 0);
    let inPos = inStart;
    let outPos = outStart;
    _loop: while (true) {
      if ((inPos === inEnd)) {
        const result = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        const inPos$2 = inPos;
        const outPos$2 = outPos;
        $in.position__I__Ljava_nio_Buffer(((inPos$2 - o) | 0));
        out.position__I__Ljava_nio_Buffer(((outPos$2 - o$1) | 0));
        return result
      } else {
        const c1 = a.u[inPos];
        if ((c1 < 128)) {
          if ((outPos === outEnd)) {
            const result$1 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$2$1 = inPos;
            const outPos$2$1 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$1 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$1 - o$1) | 0));
            return result$1
          } else {
            a$1.u[outPos] = ((c1 << 24) >> 24);
            const temp$inPos = ((1 + inPos) | 0);
            const temp$outPos = ((1 + outPos) | 0);
            inPos = temp$inPos;
            outPos = temp$outPos;
            continue _loop
          }
        } else if ((c1 < 2048)) {
          if ((((2 + outPos) | 0) > outEnd)) {
            const result$2 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$2$2 = inPos;
            const outPos$2$2 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$2 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$2 - o$1) | 0));
            return result$2
          } else {
            a$1.u[outPos] = (((192 | (c1 >> 6)) << 24) >> 24);
            a$1.u[((1 + outPos) | 0)] = (((128 | (63 & c1)) << 24) >> 24);
            const temp$inPos$2 = ((1 + inPos) | 0);
            const temp$outPos$2 = ((2 + outPos) | 0);
            inPos = temp$inPos$2;
            outPos = temp$outPos$2;
            continue _loop
          }
        } else if ((!($m_sjs_niocharset_UTF$und8$(), ((63488 & c1) === 55296)))) {
          if ((((3 + outPos) | 0) > outEnd)) {
            const result$3 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$2$3 = inPos;
            const outPos$2$3 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$3 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$3 - o$1) | 0));
            return result$3
          } else {
            a$1.u[outPos] = (((224 | (c1 >> 12)) << 24) >> 24);
            a$1.u[((1 + outPos) | 0)] = (((128 | (63 & (c1 >> 6))) << 24) >> 24);
            a$1.u[((2 + outPos) | 0)] = (((128 | (63 & c1)) << 24) >> 24);
            const temp$inPos$3 = ((1 + inPos) | 0);
            const temp$outPos$3 = ((3 + outPos) | 0);
            inPos = temp$inPos$3;
            outPos = temp$outPos$3;
            continue _loop
          }
        } else if (((64512 & c1) === 55296)) {
          if ((((1 + inPos) | 0) === inEnd)) {
            const result$4 = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
            const inPos$2$4 = inPos;
            const outPos$2$4 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$4 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$4 - o$1) | 0));
            return result$4
          } else {
            const c2 = a.u[((1 + inPos) | 0)];
            if (((64512 & c2) !== 56320)) {
              const this$12 = $m_Ljava_nio_charset_CoderResult$();
              const result$5 = this$12.java$nio$charset$CoderResult$$Malformed1$1;
              const inPos$2$5 = inPos;
              const outPos$2$5 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$2$5 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$2$5 - o$1) | 0));
              return result$5
            } else if ((((4 + outPos) | 0) > outEnd)) {
              const result$6 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              const inPos$2$6 = inPos;
              const outPos$2$6 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$2$6 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$2$6 - o$1) | 0));
              return result$6
            } else {
              const cp = ((65536 + ((((1023 & c1) << 10) + (1023 & c2)) | 0)) | 0);
              a$1.u[outPos] = (((240 | (cp >> 18)) << 24) >> 24);
              a$1.u[((1 + outPos) | 0)] = (((128 | (63 & (cp >> 12))) << 24) >> 24);
              a$1.u[((2 + outPos) | 0)] = (((128 | (63 & (cp >> 6))) << 24) >> 24);
              a$1.u[((3 + outPos) | 0)] = (((128 | (63 & cp)) << 24) >> 24);
              const temp$inPos$4 = ((2 + inPos) | 0);
              const temp$outPos$4 = ((4 + outPos) | 0);
              inPos = temp$inPos$4;
              outPos = temp$outPos$4;
              continue _loop
            }
          }
        } else {
          const this$14 = $m_Ljava_nio_charset_CoderResult$();
          const result$7 = this$14.java$nio$charset$CoderResult$$Malformed1$1;
          const inPos$2$7 = inPos;
          const outPos$2$7 = outPos;
          $in.position__I__Ljava_nio_Buffer(((inPos$2$7 - o) | 0));
          out.position__I__Ljava_nio_Buffer(((outPos$2$7 - o$1) | 0));
          return result$7
        }
      }
    }
  };
}
const $d_sjs_niocharset_UTF$und8$Encoder = new $TypeData().initClass({
  sjs_niocharset_UTF$und8$Encoder: 0
}, false, "scala.scalajs.niocharset.UTF_8$Encoder", {
  sjs_niocharset_UTF$und8$Encoder: 1,
  Ljava_nio_charset_CharsetEncoder: 1,
  O: 1
});
$c_sjs_niocharset_UTF$und8$Encoder.prototype.$classData = $d_sjs_niocharset_UTF$und8$Encoder;
class $c_sr_AbstractFunction0 extends $c_O {
  toString__T() {
    return "<function0>"
  };
}
class $c_sr_AbstractFunction1 extends $c_O {
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
}
class $c_sr_AbstractFunction2 extends $c_O {
  toString__T() {
    return "<function2>"
  };
}
class $c_sr_AbstractFunction3 extends $c_O {
  toString__T() {
    return "<function3>"
  };
}
class $c_sr_AbstractFunction4 extends $c_O {
  toString__T() {
    return "<function4>"
  };
}
class $c_sr_AbstractFunction5 extends $c_O {
  toString__T() {
    return "<function5>"
  };
}
class $c_sr_AbstractFunction6 extends $c_O {
  toString__T() {
    return "<function6>"
  };
}
class $c_sr_ArrayCharSequence extends $c_O {
  constructor() {
    super();
    this.xs$1 = null;
    this.start$1 = 0;
    this.end$1 = 0
  };
  subSequence__I__I__jl_CharSequence(start0, end0) {
    if ((start0 < 0)) {
      throw new $c_jl_ArrayIndexOutOfBoundsException().init___I(start0)
    } else if ((end0 > this.length__I())) {
      throw new $c_jl_ArrayIndexOutOfBoundsException().init___I(end0)
    } else if ((end0 <= start0)) {
      return new $c_sr_ArrayCharSequence().init___AC__I__I(this.xs$1, 0, 0)
    } else {
      const newlen = ((end0 - start0) | 0);
      const start1 = ((this.start$1 + start0) | 0);
      return new $c_sr_ArrayCharSequence().init___AC__I__I(this.xs$1, start1, ((start1 + newlen) | 0))
    }
  };
  toString__T() {
    const x = this.start$1;
    const start = ((x > 0) ? x : 0);
    const x$1 = this.xs$1.u.length;
    const y = ((start + this.length__I()) | 0);
    const end = ((x$1 < y) ? x$1 : y);
    return ((start >= end) ? "" : $m_sjsr_RuntimeString$().newString__AC__I__I__T(this.xs$1, start, ((end - start) | 0)))
  };
  length__I() {
    const y = ((this.end$1 - this.start$1) | 0);
    return ((y < 0) ? 0 : y)
  };
  init___AC__I__I(xs, start, end) {
    this.xs$1 = xs;
    this.start$1 = start;
    this.end$1 = end;
    return this
  };
  charAt__I__C(index) {
    if (((index >= 0) && (index < this.length__I()))) {
      return this.xs$1.u[((this.start$1 + index) | 0)]
    } else {
      throw new $c_jl_ArrayIndexOutOfBoundsException().init___I(index)
    }
  };
}
const $d_sr_ArrayCharSequence = new $TypeData().initClass({
  sr_ArrayCharSequence: 0
}, false, "scala.runtime.ArrayCharSequence", {
  sr_ArrayCharSequence: 1,
  O: 1,
  jl_CharSequence: 1
});
$c_sr_ArrayCharSequence.prototype.$classData = $d_sr_ArrayCharSequence;
class $c_sr_BooleanRef extends $c_O {
  constructor() {
    super();
    this.elem$1 = false
  };
  toString__T() {
    const value = this.elem$1;
    return ("" + value)
  };
  init___Z(elem) {
    this.elem$1 = elem;
    return this
  };
}
const $d_sr_BooleanRef = new $TypeData().initClass({
  sr_BooleanRef: 0
}, false, "scala.runtime.BooleanRef", {
  sr_BooleanRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_BooleanRef.prototype.$classData = $d_sr_BooleanRef;
const $isArrayOf_sr_BoxedUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_BoxedUnit)))
});
const $d_sr_BoxedUnit = new $TypeData().initClass({
  sr_BoxedUnit: 0
}, false, "scala.runtime.BoxedUnit", {
  sr_BoxedUnit: 1,
  O: 1,
  Ljava_io_Serializable: 1
}, (void 0), (void 0), (function(x) {
  return (x === (void 0))
}));
class $c_sr_IntRef extends $c_O {
  constructor() {
    super();
    this.elem$1 = 0
  };
  toString__T() {
    const value = this.elem$1;
    return ("" + value)
  };
  init___I(elem) {
    this.elem$1 = elem;
    return this
  };
}
const $d_sr_IntRef = new $TypeData().initClass({
  sr_IntRef: 0
}, false, "scala.runtime.IntRef", {
  sr_IntRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_IntRef.prototype.$classData = $d_sr_IntRef;
class $c_sr_ObjectRef extends $c_O {
  constructor() {
    super();
    this.elem$1 = null
  };
  toString__T() {
    return $m_sjsr_RuntimeString$().valueOf__O__T(this.elem$1)
  };
  init___O(elem) {
    this.elem$1 = elem;
    return this
  };
}
const $d_sr_ObjectRef = new $TypeData().initClass({
  sr_ObjectRef: 0
}, false, "scala.runtime.ObjectRef", {
  sr_ObjectRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_ObjectRef.prototype.$classData = $d_sr_ObjectRef;
class $c_Lamf_client_commands_ParseCommand extends $c_Lamf_client_commands_TranslateCommand {
  init___Lamf_core_remote_Platform(platform) {
    $c_Lamf_client_commands_TranslateCommand.prototype.init___Lamf_core_remote_Platform.call(this, platform);
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  run__Lamf_core_client_ParserConfig__s_concurrent_Future(origConfig) {
    const x$1 = new $c_s_Some().init___O("AMF Graph");
    const x$2 = new $c_s_Some().init___O("application/ld+json");
    const x$3 = origConfig.mode$1;
    const x$4 = origConfig.input$1;
    const x$5 = origConfig.inputFormat$1;
    const x$6 = origConfig.inputMediaType$1;
    const x$7 = origConfig.output$1;
    const x$8 = origConfig.withSourceMaps$1;
    const x$9 = origConfig.validate$1;
    const x$10 = origConfig.validationProfile$1;
    const x$11 = origConfig.customProfile$1;
    const x$12 = origConfig.dialects$1;
    const x$13 = origConfig.stdout$1;
    const x$14 = origConfig.stderr$1;
    const x$15 = origConfig.proc$1;
    const config = new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$3, x$4, x$5, x$6, x$7, x$1, x$2, x$8, x$9, x$10, x$11, x$12, x$13, x$14, x$15);
    const res = $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future(this).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, config$1) {
      return (function(_$2) {
        return $f_Lamf_client_commands_CommandHelper__processDialects__Lamf_core_client_ParserConfig__s_concurrent_Future($this, config$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$1$1) {
          return (function(_$2$2) {
            return $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future($this$1, config$1$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, config$1$2) {
              return (function(model$2) {
                const model = model$2;
                return $this$2.checkValidation__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future(config$1$2, model).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, config$1$3, model$1) {
                  return (function(_$2$3) {
                    return $f_Lamf_client_commands_CommandHelper__generateOutput__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future($this$3, config$1$3, model$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4) {
                      return (function(generated$2) {
                        return (void 0)
                      })
                    })($this$3)), $this$3.executionContext$1)
                  })
                })($this$2, config$1$2, model)), $this$2.executionContext$1)
              })
            })($this$1, config$1$1)), $this$1.executionContext$1)
          })
        })($this, config$1)), $this.executionContext$1)
      })
    })(this, config)), this.executionContext$1);
    res.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, config$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        matchEnd6: {
          if ($is_s_util_Failure(x0$1)) {
            const x2 = x0$1;
            const ex = x2.exception$2;
            if ((ex !== null)) {
              config$2.stderr$1.print__jl_Throwable__V(ex);
              const statusCode = $m_Lamf_core_client_ExitCodes$().Exception$1;
              $m_jl_System$();
              const this$4 = $m_jl_Runtime$();
              const this$5 = this$4.currentRuntime$1;
              this$5.halt__I__V(statusCode);
              break matchEnd6
            }
          };
          if ($is_s_util_Success(x0$1)) {
            const x3 = x0$1;
            const other = x3.value$2;
            break matchEnd6
          };
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, config)), this.executionContext$1);
    return res
  };
}
const $d_Lamf_client_commands_ParseCommand = new $TypeData().initClass({
  Lamf_client_commands_ParseCommand: 0
}, false, "amf.client.commands.ParseCommand", {
  Lamf_client_commands_ParseCommand: 1,
  Lamf_client_commands_TranslateCommand: 1,
  O: 1,
  Lamf_client_commands_CommandHelper: 1
});
$c_Lamf_client_commands_ParseCommand.prototype.$classData = $d_Lamf_client_commands_ParseCommand;
class $c_Lamf_core_client_Generator extends $c_Lamf_core_client_PlatformGenerator {
  constructor() {
    super();
    this.UnitHandlerAdapter$module$2 = null;
    this.StringHandlerAdapter$module$2 = null;
    this.vendor$2 = null;
    this.mediaType$2 = null
  };
  init___T__T(vendor, mediaType) {
    this.vendor$2 = vendor;
    this.mediaType$2 = mediaType;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$generateString__Lamf_model_document_BaseUnit__O(unit) {
    return this.generate__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__T(unit.element__Lamf_core_model_document_BaseUnit(), new $c_Lamf_core_client_GenerationOptions().init___())
  };
  generateFile__Lamf_model_document_BaseUnit__T__sjs_js_Promise(unit, url) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = this.generate__Lamf_core_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__s_concurrent_Future(unit.element__Lamf_core_model_document_BaseUnit(), url, new $c_Lamf_core_client_GenerationOptions().init___());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  generateString__Lamf_model_document_BaseUnit__Lamf_core_client_StringHandler__V(unit, handler) {
    this.generate__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lamf_core_client_Handler__V(unit.element__Lamf_core_model_document_BaseUnit(), new $c_Lamf_core_client_GenerationOptions().init___(), new $c_Lamf_core_client_Generator$StringHandlerAdapter().init___Lamf_core_client_Generator__Lamf_core_client_StringHandler(this, handler))
  };
  generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_FileHandler__V(unit, url, handler) {
    this.generate__Lamf_core_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__Lamf_core_client_Handler__V(unit.element__Lamf_core_model_document_BaseUnit(), url, new $c_Lamf_core_client_GenerationOptions().init___(), new $c_Lamf_core_client_Generator$UnitHandlerAdapter().init___Lamf_core_client_Generator__Lamf_core_client_FileHandler(this, handler))
  };
  $$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_FileHandler__O(unit, url, handler) {
    this.generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_FileHandler__V(unit, url, handler)
  };
  $$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__O(unit, url) {
    return this.generateFile__Lamf_model_document_BaseUnit__T__sjs_js_Promise(unit, url)
  };
  $$js$exported$meth$generateString__Lamf_model_document_BaseUnit__Lamf_core_client_StringHandler__O(unit, handler) {
    this.generateString__Lamf_model_document_BaseUnit__Lamf_core_client_StringHandler__V(unit, handler)
  };
  "generateString"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$generateString__Lamf_model_document_BaseUnit__O(prep0);
        break
      }
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        return this.$$js$exported$meth$generateString__Lamf_model_document_BaseUnit__Lamf_core_client_StringHandler__O(prep0, prep1);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "generateFile"(arg$1, arg$2, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        const prep2 = arg$rest[0];
        return this.$$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_FileHandler__O(prep0, prep1, prep2);
        break
      }
      case 0: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        return this.$$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__O(prep0, prep1);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
}
const $d_Lamf_core_client_Generator = new $TypeData().initClass({
  Lamf_core_client_Generator: 0
}, false, "amf.core.client.Generator", {
  Lamf_core_client_Generator: 1,
  Lamf_core_client_PlatformGenerator: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_core_client_Generator.prototype.$classData = $d_Lamf_core_client_Generator;
class $c_Lamf_core_client_Parser extends $c_Lamf_core_client_PlatformParser {
  constructor() {
    super();
    this.BaseUnitHandlerAdapter$module$2 = null;
    this.vendor$2 = null;
    this.mediaType$2 = null;
    this.DEFAULT$undDOCUMENT$undURL$2 = null
  };
  $$js$exported$meth$parseFileAsync__T__O(url) {
    return this.parseFileAsync__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$reportCustomValidation__T__T__O(profileName, customProfilePath) {
    return this.reportCustomValidation__T__T__sjs_js_Promise(profileName, customProfilePath)
  };
  init___T__T(vendor, mediaType) {
    this.vendor$2 = vendor;
    this.mediaType$2 = mediaType;
    $c_Lamf_core_client_PlatformParser.prototype.init___.call(this);
    this.DEFAULT$undDOCUMENT$undURL$2 = "http://raml.org/amf/default_document";
    return this
  };
  $$js$exported$meth$reportValidation__T__T__O(profileName, messageStyle) {
    return this.reportValidation__T__T__sjs_js_Promise(profileName, messageStyle)
  };
  parseString__T__Lamf_core_client_JsHandler__V(stream, handler) {
    $c_Lamf_core_client_PlatformParser.prototype.parse__T__Lamf_core_client_Handler__s_Option__V.call(this, this.DEFAULT$undDOCUMENT$undURL$2, new $c_Lamf_core_client_Parser$BaseUnitHandlerAdapter().init___Lamf_core_client_Parser__Lamf_core_client_JsHandler(this, handler), new $c_s_Some().init___O(new $c_Lamf_core_remote_StringContentPlatform().init___T__T__Lamf_core_remote_Platform(this.DEFAULT$undDOCUMENT$undURL$2, stream, this.platform$1)))
  };
  parseString__T__T__Lamf_core_client_JsHandler__V(baseUrl, stream, handler) {
    $c_Lamf_core_client_PlatformParser.prototype.parse__T__Lamf_core_client_Handler__s_Option__V.call(this, baseUrl, new $c_Lamf_core_client_Parser$BaseUnitHandlerAdapter().init___Lamf_core_client_Parser__Lamf_core_client_JsHandler(this, handler), new $c_s_Some().init___O(new $c_Lamf_core_remote_StringContentPlatform().init___T__T__Lamf_core_remote_Platform(baseUrl, stream, this.platform$1)))
  };
  parseStringAsync__T__T__Lamf_core_remote_Platform__sjs_js_Promise(textUrl, stream, platform) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $c_Lamf_core_client_PlatformParser.prototype.parseAsync__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future.call(this, textUrl, new $c_s_Some().init___O(new $c_Lamf_core_remote_StringContentPlatform().init___T__T__Lamf_core_remote_Platform(textUrl, stream, platform)), new $c_Lamf_core_client_ParsingOptions().init___()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(unit$2) {
        const unit = unit$2;
        const this$2 = $this.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, unit)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  reportCustomValidation__T__T__sjs_js_Promise(profileName, customProfilePath) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $c_Lamf_core_client_PlatformParser.prototype.reportCustomValidationImplementation__T__T__s_concurrent_Future.call(this, profileName, customProfilePath);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$parseStringAsync__T__T__O(baseUrl, stream) {
    return this.parseStringAsync__T__T__sjs_js_Promise(baseUrl, stream)
  };
  parseStringAsync__T__T__sjs_js_Promise(baseUrl, stream) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $c_Lamf_core_client_PlatformParser.prototype.parseAsync__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future.call(this, baseUrl, new $c_s_Some().init___O(new $c_Lamf_core_remote_StringContentPlatform().init___T__T__Lamf_core_remote_Platform(baseUrl, stream, this.platform$1)), new $c_Lamf_core_client_ParsingOptions().init___()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(unit$2) {
        const unit = unit$2;
        const this$2 = $this.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, unit)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$parseString__T__Lamf_core_client_JsHandler__O(stream, handler) {
    this.parseString__T__Lamf_core_client_JsHandler__V(stream, handler)
  };
  parseStringAsync__T__sjs_js_Promise(stream) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $c_Lamf_core_client_PlatformParser.prototype.parseAsync__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future.call(this, this.DEFAULT$undDOCUMENT$undURL$2, new $c_s_Some().init___O(new $c_Lamf_core_remote_StringContentPlatform().init___T__T__Lamf_core_remote_Platform(this.DEFAULT$undDOCUMENT$undURL$2, stream, this.platform$1)), new $c_Lamf_core_client_ParsingOptions().init___()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(unit$2) {
        const unit = unit$2;
        const this$2 = $this.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, unit)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  parseFileAsync__T__sjs_js_Promise(url) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $c_Lamf_core_client_PlatformParser.prototype.parseAsync__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future.call(this, url, $m_s_None$(), new $c_Lamf_core_client_ParsingOptions().init___()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(unit$2) {
        const unit = unit$2;
        const this$2 = $this.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, unit)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$parseString__T__T__Lamf_core_client_JsHandler__O(baseUrl, stream, handler) {
    this.parseString__T__T__Lamf_core_client_JsHandler__V(baseUrl, stream, handler)
  };
  $$js$exported$meth$parseStringAsync__T__O(stream) {
    return this.parseStringAsync__T__sjs_js_Promise(stream)
  };
  reportValidation__T__T__sjs_js_Promise(profileName, messageStyle) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = $c_Lamf_core_client_PlatformParser.prototype.reportValidationImplementation__T__T__s_concurrent_Future.call(this, profileName, messageStyle);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$parseStringAsync__T__T__Lamf_core_remote_Platform__O(textUrl, stream, platform) {
    return this.parseStringAsync__T__T__Lamf_core_remote_Platform__sjs_js_Promise(textUrl, stream, platform)
  };
  parseFile__T__Lamf_core_client_JsHandler__V(url, handler) {
    $c_Lamf_core_client_PlatformParser.prototype.parse__T__Lamf_core_client_Handler__s_Option__V.call(this, url, new $c_Lamf_core_client_Parser$BaseUnitHandlerAdapter().init___Lamf_core_client_Parser__Lamf_core_client_JsHandler(this, handler), $m_s_None$())
  };
  $$js$exported$meth$parseFile__T__Lamf_core_client_JsHandler__O(url, handler) {
    this.parseFile__T__Lamf_core_client_JsHandler__V(url, handler)
  };
  "reportCustomValidation"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$reportCustomValidation__T__T__O(prep0, prep1)
  };
  "reportValidation"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$reportValidation__T__T__O(prep0, prep1)
  };
  "parseStringAsync"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$parseStringAsync__T__O(prep0);
        break
      }
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        return this.$$js$exported$meth$parseStringAsync__T__T__O(prep0, prep1);
        break
      }
      case 2: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        const prep2 = arg$rest[1];
        return this.$$js$exported$meth$parseStringAsync__T__T__Lamf_core_remote_Platform__O(prep0, prep1, prep2);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "parseFileAsync"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$parseFileAsync__T__O(prep0)
  };
  "parseString"(arg$1, arg$2, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        const prep2 = arg$rest[0];
        return this.$$js$exported$meth$parseString__T__T__Lamf_core_client_JsHandler__O(prep0, prep1, prep2);
        break
      }
      case 0: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        return this.$$js$exported$meth$parseString__T__Lamf_core_client_JsHandler__O(prep0, prep1);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "parseFile"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$parseFile__T__Lamf_core_client_JsHandler__O(prep0, prep1)
  };
}
const $d_Lamf_core_client_Parser = new $TypeData().initClass({
  Lamf_core_client_Parser: 0
}, false, "amf.core.client.Parser", {
  Lamf_core_client_Parser: 1,
  Lamf_core_client_PlatformParser: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_core_client_Parser.prototype.$classData = $d_Lamf_core_client_Parser;
class $c_Lamf_core_client_ParserConfig$ extends $c_O {
  constructor() {
    super();
    this.PARSE$1 = null;
    this.TRANSLATE$1 = null;
    this.REPL$1 = null;
    this.VALIDATE$1 = null
  };
  init___() {
    this.PARSE$1 = "parse";
    this.TRANSLATE$1 = "translate";
    this.REPL$1 = "repl";
    this.VALIDATE$1 = "validate";
    return this
  };
}
const $d_Lamf_core_client_ParserConfig$ = new $TypeData().initClass({
  Lamf_core_client_ParserConfig$: 0
}, false, "amf.core.client.ParserConfig$", {
  Lamf_core_client_ParserConfig$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_client_ParserConfig$.prototype.$classData = $d_Lamf_core_client_ParserConfig$;
let $n_Lamf_core_client_ParserConfig$ = (void 0);
const $m_Lamf_core_client_ParserConfig$ = (function() {
  if ((!$n_Lamf_core_client_ParserConfig$)) {
    $n_Lamf_core_client_ParserConfig$ = new $c_Lamf_core_client_ParserConfig$().init___()
  };
  return $n_Lamf_core_client_ParserConfig$
});
class $c_Lamf_core_client_Resolver extends $c_Lamf_core_client_PlatformResolver {
  constructor() {
    super();
    this.platform$2 = null
  };
  $$js$exported$meth$resolve__Lamf_model_document_BaseUnit__O(unit) {
    return this.resolve__Lamf_model_document_BaseUnit__Lamf_model_document_BaseUnit(unit)
  };
  init___T(vendor) {
    $c_Lamf_core_client_PlatformResolver.prototype.init___T.call(this, vendor);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  resolve__Lamf_model_document_BaseUnit__Lamf_model_document_BaseUnit(unit) {
    const resolved = $c_Lamf_core_client_PlatformResolver.prototype.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit.call(this, unit.element__Lamf_core_model_document_BaseUnit());
    const x = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["RESOLVED ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([resolved]));
    const this$2 = $m_s_Console$();
    const this$3 = this$2.outVar$2.v$1;
    this$3.java$lang$JSConsoleBasedPrintStream$$printString__T__V((x + "\n"));
    const this$4 = this.platform$2;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$4, resolved)
  };
  "resolve"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolve__Lamf_model_document_BaseUnit__O(prep0)
  };
}
const $d_Lamf_core_client_Resolver = new $TypeData().initClass({
  Lamf_core_client_Resolver: 0
}, false, "amf.core.client.Resolver", {
  Lamf_core_client_Resolver: 1,
  Lamf_core_client_PlatformResolver: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_core_client_Resolver.prototype.$classData = $d_Lamf_core_client_Resolver;
class $c_Lamf_core_client_StdOutWriter$ extends $c_Lamf_core_client_ProcWriter {
  constructor() {
    super();
    this.platform$2 = null
  };
  init___() {
    $n_Lamf_core_client_StdOutWriter$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  print__T__V(s) {
    $m_jl_System$().out$1.println__T__V(s)
  };
  print__jl_Throwable__V(e) {
    const this$2 = $m_jl_System$().out$1;
    this$2.java$lang$JSConsoleBasedPrintStream$$printString__T__V((e + "\n"))
  };
}
const $d_Lamf_core_client_StdOutWriter$ = new $TypeData().initClass({
  Lamf_core_client_StdOutWriter$: 0
}, false, "amf.core.client.StdOutWriter$", {
  Lamf_core_client_StdOutWriter$: 1,
  Lamf_core_client_ProcWriter: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_core_client_StdOutWriter$.prototype.$classData = $d_Lamf_core_client_StdOutWriter$;
let $n_Lamf_core_client_StdOutWriter$ = (void 0);
const $m_Lamf_core_client_StdOutWriter$ = (function() {
  if ((!$n_Lamf_core_client_StdOutWriter$)) {
    $n_Lamf_core_client_StdOutWriter$ = new $c_Lamf_core_client_StdOutWriter$().init___()
  };
  return $n_Lamf_core_client_StdOutWriter$
});
class $c_Lamf_core_emitter_SpecOrdering$ extends $c_O {
  init___() {
    return this
  };
  ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering(target, annotations) {
    const x1 = annotations.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const p3 = x2.value$2;
      if ((p3 !== null)) {
        const source = p3.vendor$1;
        const x$2 = $m_Lamf_core_remote_Amf$();
        if ((((source !== null) && (source === x$2)) || source.isSameWithoutVersion__Lamf_core_remote_Vendor__Z(target))) {
          return $m_Lamf_core_emitter_SpecOrdering$Lexical$()
        }
      }
    };
    return $m_Lamf_core_emitter_SpecOrdering$Default$()
  };
}
const $d_Lamf_core_emitter_SpecOrdering$ = new $TypeData().initClass({
  Lamf_core_emitter_SpecOrdering$: 0
}, false, "amf.core.emitter.SpecOrdering$", {
  Lamf_core_emitter_SpecOrdering$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_SpecOrdering$.prototype.$classData = $d_Lamf_core_emitter_SpecOrdering$;
let $n_Lamf_core_emitter_SpecOrdering$ = (void 0);
const $m_Lamf_core_emitter_SpecOrdering$ = (function() {
  if ((!$n_Lamf_core_emitter_SpecOrdering$)) {
    $n_Lamf_core_emitter_SpecOrdering$ = new $c_Lamf_core_emitter_SpecOrdering$().init___()
  };
  return $n_Lamf_core_emitter_SpecOrdering$
});
class $c_Lamf_core_lexer_CharSequenceStream extends $c_Lamf_core_lexer_CharStream {
  constructor() {
    super();
    this.data$2 = null;
    this.startOffset$2 = 0;
    this.endOffset$2 = 0;
    this.sourceName$2 = null;
    this.column$und$2 = 0;
    this.line$2 = 0;
    this.pointer$2 = 0
  };
  init___jl_CharSequence__I__I__T(data, startOffset, endOffset, sourceName) {
    this.data$2 = data;
    this.startOffset$2 = startOffset;
    this.endOffset$2 = endOffset;
    this.sourceName$2 = sourceName;
    this.column$und$2 = 0;
    this.line$2 = 1;
    this.pointer$2 = startOffset;
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    if ((!(((start >= this.startOffset$2) && (end <= this.endOffset$2)) && (start <= end)))) {
      throw new $c_jl_IllegalArgumentException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid sub-sequence start: ", ", end: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([start, end])))
    };
    return $charSequenceSubSequence(this.data$2, start, end)
  };
  init___jl_CharSequence(data) {
    $c_Lamf_core_lexer_CharSequenceStream.prototype.init___jl_CharSequence__I__I__T.call(this, data, 0, $charSequenceLength(data), "");
    return this
  };
  toString__T() {
    return $objectToString(this.data$2)
  };
  length__I() {
    return ((this.endOffset$2 - this.startOffset$2) | 0)
  };
  charAt__I__C(index) {
    return $charSequenceCharAt(this.data$2, index)
  };
  init___T__jl_CharSequence(sourceName, data) {
    $c_Lamf_core_lexer_CharSequenceStream.prototype.init___jl_CharSequence__I__I__T.call(this, data, 0, $charSequenceLength(data), sourceName);
    return this
  };
}
const $d_Lamf_core_lexer_CharSequenceStream = new $TypeData().initClass({
  Lamf_core_lexer_CharSequenceStream: 0
}, false, "amf.core.lexer.CharSequenceStream", {
  Lamf_core_lexer_CharSequenceStream: 1,
  Lamf_core_lexer_CharStream: 1,
  O: 1,
  jl_CharSequence: 1
});
$c_Lamf_core_lexer_CharSequenceStream.prototype.$classData = $d_Lamf_core_lexer_CharSequenceStream;
class $c_Lamf_core_metamodel_Type$ObjType$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_Type$ObjType$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    this.type$1 = $m_sci_Nil$();
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $m_sci_Nil$()
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_Type$ObjType$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$ObjType$: 0
}, false, "amf.core.metamodel.Type$ObjType$", {
  Lamf_core_metamodel_Type$ObjType$: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_Type$ObjType$.prototype.$classData = $d_Lamf_core_metamodel_Type$ObjType$;
let $n_Lamf_core_metamodel_Type$ObjType$ = (void 0);
const $m_Lamf_core_metamodel_Type$ObjType$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$ObjType$)) {
    $n_Lamf_core_metamodel_Type$ObjType$ = new $c_Lamf_core_metamodel_Type$ObjType$().init___()
  };
  return $n_Lamf_core_metamodel_Type$ObjType$
});
const $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "location"), true));
  const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_document_BaseUnitModel$());
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "references"), true));
  const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "usage"), true));
  const jsx$4 = $m_Lamf_core_metamodel_Type$Iri$();
  const ns = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(ns, "describedBy"), true))
});
const $is_Lamf_core_metamodel_document_BaseUnitModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_document_BaseUnitModel)))
});
const $isArrayOf_Lamf_core_metamodel_document_BaseUnitModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_document_BaseUnitModel)))
});
class $c_Lamf_core_metamodel_document_SourceMapModel$ extends $c_O {
  constructor() {
    super();
    this.Element$1 = null;
    this.Value$1 = null;
    this.fields$1 = null;
    this.type$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_SourceMapModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
    this.Element$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "element"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
    this.Value$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "value"), true);
    this.fields$1 = $m_sci_Nil$();
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "SourceMap")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_document_SourceMapModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_SourceMapModel$: 0
}, false, "amf.core.metamodel.document.SourceMapModel$", {
  Lamf_core_metamodel_document_SourceMapModel$: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_document_SourceMapModel$.prototype.$classData = $d_Lamf_core_metamodel_document_SourceMapModel$;
let $n_Lamf_core_metamodel_document_SourceMapModel$ = (void 0);
const $m_Lamf_core_metamodel_document_SourceMapModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_SourceMapModel$)) {
    $n_Lamf_core_metamodel_document_SourceMapModel$ = new $c_Lamf_core_metamodel_document_SourceMapModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_SourceMapModel$
});
const $f_Lamf_core_metamodel_domain_DomainElementModel__Extends__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_DomainElementModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "extends"), true)
});
const $f_Lamf_core_metamodel_domain_DomainElementModel__CustomDomainProperties__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "customDomainProperties"), true)
});
const $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_document_SourceMapModel$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
  $thiz.amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "sources"), true))
});
const $is_Lamf_core_metamodel_domain_DomainElementModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_DomainElementModel)))
});
const $isArrayOf_Lamf_core_metamodel_domain_DomainElementModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_DomainElementModel)))
});
const $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, elements, first, acc, cycles) {
  _findModelByConditionInSeq: while (true) {
    if (elements.isEmpty__Z()) {
      return acc
    } else {
      let rc6 = false;
      let x2 = null;
      const x1 = elements.head__O();
      if ($is_Lamf_core_model_domain_DomainElement(x1)) {
        rc6 = true;
        x2 = x1;
        if ((!cycles.contains__O__Z(x2.id__T()))) {
          const element = x2;
          const acc$1 = acc;
          const res = $f_Lamf_core_model_document_BaseUnit__findModelByCondition__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_domain_DomainElement__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, element, first, acc$1, cycles);
          if ((first && res.nonEmpty__Z())) {
            return res
          } else {
            const temp$elements = elements.tail__O();
            elements = temp$elements;
            acc = res;
            continue _findModelByConditionInSeq
          }
        }
      };
      if (rc6) {
        elements = elements.tail__O();
        continue _findModelByConditionInSeq
      };
      if ($is_Lamf_core_model_domain_AmfArray(x1)) {
        const x4 = x1;
        let elements$1 = x4.values$1;
        let acc$2 = acc;
        const res$2 = $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, elements$1, first, acc$2, cycles);
        if ((first && res$2.nonEmpty__Z())) {
          return res$2
        } else {
          const temp$elements$3 = elements.tail__O();
          elements = temp$elements$3;
          acc = res$2;
          continue _findModelByConditionInSeq
        }
      };
      elements = elements.tail__O();
      continue _findModelByConditionInSeq
    }
  }
});
const $f_Lamf_core_model_document_BaseUnit__findByType__T__sci_Set__sc_Seq = (function($thiz, shapeType, cycles) {
  const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shapeType$1) {
    return (function(element$2) {
      const element = element$2;
      let types;
      if ($is_Lamf_core_model_domain_DynamicDomainElement(element)) {
        const x2 = element;
        const this$2 = x2.dynamicType__sci_List();
        const f = (function($this$1) {
          return (function(t$2) {
            const t = t$2;
            return t.iri__T()
          })
        })($this);
        const this$1 = $m_sci_List$();
        const bf = this$1.ReusableCBFInstance$2;
        let jsx$4;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$2 === $m_sci_Nil$())) {
            jsx$4 = $m_sci_Nil$()
          } else {
            const arg1 = this$2.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            let t$1 = h;
            let rest = this$2.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$1 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t$1.tl$5 = nx;
              t$1 = nx;
              rest = rest.tail__O()
            };
            jsx$4 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
          let these = this$2;
          while ((!these.isEmpty__Z())) {
            const arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            these = these.tail__O()
          };
          jsx$4 = b.result__O()
        };
        const jsx$3 = element.dynamicTypes__sc_Seq();
        const this$3 = $m_sci_List$();
        const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
        const this$5 = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj($this, element).type__sci_List();
        const f$1 = (function(this$2$1) {
          return (function(t$3$2) {
            const t$3 = t$3$2;
            return t$3.iri__T()
          })
        })($this);
        const this$4 = $m_sci_List$();
        const bf$1 = this$4.ReusableCBFInstance$2;
        let jsx$1;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$5 === $m_sci_Nil$())) {
            jsx$1 = $m_sci_Nil$()
          } else {
            const arg1$3 = this$5.head__O();
            const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
            let t$4 = h$1;
            let rest$1 = this$5.tail__O();
            while ((rest$1 !== $m_sci_Nil$())) {
              const arg1$4 = rest$1.head__O();
              const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
              t$4.tl$5 = nx$1;
              t$4 = nx$1;
              rest$1 = rest$1.tail__O()
            };
            jsx$1 = h$1
          }
        } else {
          const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
          let these$1 = this$5;
          while ((!these$1.isEmpty__Z())) {
            const arg1$5 = these$1.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
            these$1 = these$1.tail__O()
          };
          jsx$1 = b$1.result__O()
        };
        const this$6 = $m_sci_List$();
        types = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
      } else {
        const jsx$6 = element.dynamicTypes__sc_Seq();
        const this$8 = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj($this, element).type__sci_List();
        const f$2 = (function(this$3$1) {
          return (function(t$4$2) {
            const t$4$1 = t$4$2;
            return t$4$1.iri__T()
          })
        })($this);
        const this$7 = $m_sci_List$();
        const bf$2 = this$7.ReusableCBFInstance$2;
        let jsx$5;
        if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$8 === $m_sci_Nil$())) {
            jsx$5 = $m_sci_Nil$()
          } else {
            const arg1$6 = this$8.head__O();
            const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$6), $m_sci_Nil$());
            let t$5 = h$2;
            let rest$2 = this$8.tail__O();
            while ((rest$2 !== $m_sci_Nil$())) {
              const arg1$7 = rest$2.head__O();
              const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$7), $m_sci_Nil$());
              t$5.tl$5 = nx$2;
              t$5 = nx$2;
              rest$2 = rest$2.tail__O()
            };
            jsx$5 = h$2
          }
        } else {
          const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$8, bf$2);
          let these$2 = this$8;
          while ((!these$2.isEmpty__Z())) {
            const arg1$8 = these$2.head__O();
            b$2.$$plus$eq__O__scm_Builder(f$2(arg1$8));
            these$2 = these$2.tail__O()
          };
          jsx$5 = b$2.result__O()
        };
        const this$9 = $m_sc_Seq$();
        types = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$9.ReusableCBFInstance$2)
      };
      return types.contains__O__Z(shapeType$1)
    })
  })($thiz, shapeType));
  $m_scm_ListBuffer$();
  const this$11 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc = this$11.elems$1;
  const this$14 = $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc, cycles);
  $m_scm_ListBuffer$();
  const this$13 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc$1 = this$13.elems$1;
  const xs = $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc$1, cycles);
  const this$15 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$14);
  return this$15.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
});
const $f_Lamf_core_model_document_BaseUnit__transformByCondition__pLamf_core_model_document_BaseUnit__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__Lamf_core_model_domain_AmfObject = (function($thiz, element, predicate, transformation, cycles) {
  if ((!cycles.contains__O__Z(element.id__T()))) {
    if ((!(!predicate.apply__O__O(element)))) {
      const this$1 = transformation.apply__O__O__O(element, false);
      return (this$1.isEmpty__Z() ? null : this$1.get__O())
    } else {
      if ($is_Lamf_core_model_domain_ObjectNode(element)) {
        const x2 = element;
        x2.properties$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, element$1, predicate$1, transformation$1, cycles$1, x2$1) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ((x0$2 !== null)) {
              const prop = x0$2.$$und1__O();
              const value = x0$2.$$und2__O();
              let rc7 = false;
              let x2$2 = null;
              const jsx$1 = $m_s_Option$();
              const cycles$2 = cycles$1.$$plus__O__sc_Set(element$1.id__T());
              const x1$2 = jsx$1.apply__O__s_Option($f_Lamf_core_model_document_BaseUnit__transformByCondition__pLamf_core_model_document_BaseUnit__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__Lamf_core_model_domain_AmfObject($this, value, predicate$1, transformation$1, cycles$2));
              if ($is_s_Some(x1$2)) {
                rc7 = true;
                x2$2 = x1$2;
                const transformed = x2$2.value$2;
                if ($is_Lamf_core_model_domain_DataNode(transformed)) {
                  const x5 = transformed;
                  x2$1.properties$2.put__O__O__s_Option(prop, x5);
                  return x2$1
                }
              };
              if (rc7) {
                return x2$1
              };
              x2$1.properties$2.remove__O__s_Option(prop);
              return x2$1
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })($thiz, element, predicate, transformation, cycles, x2)))
      } else if ($is_Lamf_core_model_domain_ArrayNode(element)) {
        const x3 = element;
        const this$3 = x3.members$2;
        $m_scm_ListBuffer$();
        $m_scm_ListBuffer$();
        const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
        const this$5 = this$3.scala$collection$mutable$ListBuffer$$start$6;
        let these = this$5;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const elem = arg1;
          const jsx$5 = $m_s_Option$();
          const cycles$3 = cycles.$$plus__O__sc_Set(element.id__T());
          const xo = jsx$5.apply__O__s_Option($f_Lamf_core_model_document_BaseUnit__transformByCondition__pLamf_core_model_document_BaseUnit__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__Lamf_core_model_domain_AmfObject($thiz, elem, predicate, transformation, cycles$3));
          const this$7 = xo.toList__sci_List();
          $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, this$7);
          these = these.tail__O()
        };
        const jsx$6 = b.elems$1;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, x3$1) {
          return (function(x$6$2) {
            const x$6 = x$6$2;
            return x$6.adopted__T__Lamf_core_model_domain_AmfObject(x3$1.id$1)
          })
        })($thiz, x3));
        const this$8 = $m_scm_ListBuffer$();
        const jsx$3 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$4, this$8.ReusableCBFInstance$2);
        const jsx$2 = new $c_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11().init___Lamf_core_model_document_BaseUnit($thiz);
        const this$9 = $m_scm_ListBuffer$();
        x3.members$2 = jsx$3.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$9.ReusableCBFInstance$2)
      } else {
        let effectiveFields;
        if ($is_Lamf_core_model_document_DeclaresModel(element)) {
          const x2$2$1 = element;
          const this$10 = x2$2$1.fields__Lamf_core_parser_Fields();
          const this$13 = this$10.fs$1;
          const this$11 = $m_Lamf_core_parser_FieldEntry$();
          const f = $f_F2__tupled__F1(this$11);
          const this$12 = $m_sci_Iterable$();
          const bf$1 = this$12.ReusableCBFInstance$2;
          const jsx$8 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$13, f, bf$1).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
            return (function(f$2) {
              const f$1 = f$2;
              const x = f$1.field$1;
              const x$2 = $m_Lamf_core_metamodel_document_DocumentModel$().Declares$1;
              return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
            })
          })($thiz)));
          const this$14 = x2$2$1.fields__Lamf_core_parser_Fields();
          const this$17 = this$14.fs$1;
          const this$15 = $m_Lamf_core_parser_FieldEntry$();
          const f$3 = $f_F2__tupled__F1(this$15);
          const this$16 = $m_sci_Iterable$();
          const bf$2 = this$16.ReusableCBFInstance$2;
          const jsx$7 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$17, f$3, bf$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
            return (function(f$3$2) {
              const f$3$1 = f$3$2;
              const x$1 = f$3$1.field$1;
              const x$2$1 = $m_Lamf_core_metamodel_document_DocumentModel$().Declares$1;
              return (!((x$1 === null) ? (x$2$1 === null) : x$1.equals__O__Z(x$2$1)))
            })
          })($thiz)));
          const this$18 = $m_sc_Iterable$();
          effectiveFields = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$18.ReusableCBFInstance$2)
        } else {
          const this$19 = element.fields__Lamf_core_parser_Fields();
          const this$22 = this$19.fs$1;
          const this$20 = $m_Lamf_core_parser_FieldEntry$();
          const f$4 = $f_F2__tupled__F1(this$20);
          const this$21 = $m_sci_Iterable$();
          const bf$3 = this$21.ReusableCBFInstance$2;
          effectiveFields = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$22, f$4, bf$3)
        };
        const jsx$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
          return (function(entry$2) {
            const entry = entry$2;
            return new $c_T2().init___O__O(entry.field$1, entry.value$1)
          })
        })($thiz));
        const this$23 = $m_sc_Iterable$();
        effectiveFields.map__F1__scg_CanBuildFrom__O(jsx$9, this$23.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, element$2, predicate$2, transformation$2, cycles$4) {
          return (function(x0$3$2) {
            const x0$3 = x0$3$2;
            if ((x0$3 !== null)) {
              const f$5 = x0$3.$$und1__O();
              const v = x0$3.$$und2__O();
              if ((v !== null)) {
                if ($is_Lamf_core_model_domain_AmfObject(v.value$1)) {
                  let rc8 = false;
                  let x2$2$2 = null;
                  const jsx$10 = $m_s_Option$();
                  const element$3 = v.value$1;
                  const cycles$5 = cycles$4.$$plus__O__sc_Set(element$2.id__T());
                  const x1$2$1 = jsx$10.apply__O__s_Option($f_Lamf_core_model_document_BaseUnit__transformByCondition__pLamf_core_model_document_BaseUnit__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__Lamf_core_model_domain_AmfObject(this$7$1, element$3, predicate$2, transformation$2, cycles$5));
                  if ($is_s_Some(x1$2$1)) {
                    rc8 = true;
                    x2$2$2 = x1$2$1;
                    const transformedValue = x2$2$2.value$2;
                    if ((transformedValue !== null)) {
                      return element$2.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(f$5, transformedValue, (element$2.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()))
                    }
                  };
                  if (rc8) {
                    return (void 0)
                  };
                  const x$3 = $m_s_None$();
                  if ((x$3 === x1$2$1)) {
                    return element$2.fields__Lamf_core_parser_Fields().remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(f$5)
                  };
                  throw new $c_s_MatchError().init___O(x1$2$1)
                }
              }
            };
            if ((x0$3 !== null)) {
              const f$2$1 = x0$3.$$und1__O();
              const v$2 = x0$3.$$und2__O();
              if ((v$2 !== null)) {
                if ($is_Lamf_core_model_domain_AmfArray(v$2.value$1)) {
                  const jsx$15 = v$2.value$1.values$1;
                  const jsx$13 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, element$1$1, predicate$2$1, transformation$2$1, cycles$2$1) {
                    return (function(x0$4$2) {
                      const x0$4 = x0$4$2;
                      if ($is_Lamf_core_model_domain_AmfObject(x0$4)) {
                        const x2$3 = x0$4;
                        const jsx$14 = $m_s_Option$();
                        const cycles$6 = cycles$2$1.$$plus__O__sc_Set(element$1$1.id__T());
                        return jsx$14.apply__O__s_Option($f_Lamf_core_model_document_BaseUnit__transformByCondition__pLamf_core_model_document_BaseUnit__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__Lamf_core_model_domain_AmfObject($this$1, x2$3, predicate$2$1, transformation$2$1, cycles$6))
                      } else {
                        return new $c_s_Some().init___O(x0$4)
                      }
                    })
                  })(this$7$1, element$2, predicate$2, transformation$2, cycles$4));
                  const this$26 = $m_sc_Seq$();
                  const jsx$12 = jsx$15.map__F1__scg_CanBuildFrom__O(jsx$13, this$26.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
                    return (function(x$7$2) {
                      const x$7 = x$7$2;
                      return x$7.isDefined__Z()
                    })
                  })(this$7$1)));
                  const jsx$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2) {
                    return (function(x$8$2) {
                      const x$8 = x$8$2;
                      return x$8.get__O()
                    })
                  })(this$7$1));
                  const this$27 = $m_sc_Seq$();
                  const newElements = jsx$12.map__F1__scg_CanBuildFrom__O(jsx$11, this$27.ReusableCBFInstance$2);
                  return element$2.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(f$2$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newElements, new $c_Lamf_core_parser_Annotations().init___()), v$2.annotations$1)
                }
              }
            }
          })
        })($thiz, element, predicate, transformation, cycles)))
      };
      return element
    }
  } else {
    if ($is_Lamf_core_model_domain_Linkable(element)) {
      const x2$3$1 = element;
      if (x2$3$1.linkTarget__s_Option().isDefined__Z()) {
        if ((!(!predicate.apply__O__O(element)))) {
          const this$29 = transformation.apply__O__O__O(element, true);
          return (this$29.isEmpty__Z() ? null : this$29.get__O())
        } else {
          return element
        }
      }
    };
    return element
  }
});
const $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit = (function($thiz, raw) {
  $thiz.raw$und$eq__s_Option__V(new $c_s_Some().init___O(raw));
  return $thiz
});
const $f_Lamf_core_model_document_BaseUnit__findModelByCondition__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_domain_DomainElement__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, element, first, acc, cycles) {
  if ((!cycles.contains__O__Z(element.id__T()))) {
    const found = (!(!predicate.apply__O__O(element)));
    if (found) {
      acc.$$plus$eq__O__scm_ListBuffer(element)
    };
    if ((found && first)) {
      return acc
    } else {
      let elements;
      if ($is_Lamf_core_model_domain_DynamicDomainElement(element)) {
        const x2 = element;
        const this$2 = x2.dynamicFields__sci_List();
        const f$1 = (function($this, x2$1) {
          return (function(f$2) {
            const f = f$2;
            return x2$1.valueForField__Lamf_core_metamodel_Field__s_Option(f)
          })
        })($thiz, x2);
        const this$1 = $m_sci_List$();
        const bf = this$1.ReusableCBFInstance$2;
        let jsx$1;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$2 === $m_sci_Nil$())) {
            jsx$1 = $m_sci_Nil$()
          } else {
            const arg1 = this$2.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1), $m_sci_Nil$());
            let t = h;
            let rest = this$2.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$1 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              rest = rest.tail__O()
            };
            jsx$1 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
          let these = this$2;
          while ((!these.isEmpty__Z())) {
            const arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f$1(arg1$2));
            these = these.tail__O()
          };
          jsx$1 = b.result__O()
        };
        const this$5 = jsx$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            return x$2.isDefined__Z()
          })
        })($thiz)));
        const f$3 = (function(this$3) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return x$3.get__O()
          })
        })($thiz);
        const this$4 = $m_sci_List$();
        const bf$1 = this$4.ReusableCBFInstance$2;
        let values;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$5 === $m_sci_Nil$())) {
            values = $m_sci_Nil$()
          } else {
            const arg1$3 = this$5.head__O();
            const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$3), $m_sci_Nil$());
            let t$1 = h$1;
            let rest$1 = this$5.tail__O();
            while ((rest$1 !== $m_sci_Nil$())) {
              const arg1$4 = rest$1.head__O();
              const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$4), $m_sci_Nil$());
              t$1.tl$5 = nx$1;
              t$1 = nx$1;
              rest$1 = rest$1.tail__O()
            };
            values = h$1
          }
        } else {
          const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
          let these$1 = this$5;
          while ((!these$1.isEmpty__Z())) {
            const arg1$5 = these$1.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$3(arg1$5));
            these$1 = these$1.tail__O()
          };
          values = b$1.result__O()
        };
        const f$4 = (function(this$4$1) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ($is_Lamf_core_model_domain_DomainElement(x0$1)) {
              const x2$2 = x0$1;
              return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$2]))
            } else if ($is_Lamf_core_model_domain_AmfArray(x0$1)) {
              const x3 = x0$1;
              return x3.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
                return (function(x$4$2) {
                  const x$4 = x$4$2;
                  return $is_Lamf_core_model_domain_DomainElement(x$4)
                })
              })(this$4$1)))
            } else {
              return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
            }
          })
        })($thiz);
        const this$6 = $m_sci_List$();
        const bf$2 = this$6.ReusableCBFInstance$2;
        let effectiveValues;
        if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((values === $m_sci_Nil$())) {
            effectiveValues = $m_sci_Nil$()
          } else {
            const arg1$6 = values.head__O();
            const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$4(arg1$6), $m_sci_Nil$());
            let t$2 = h$2;
            let rest$2 = values.tail__O();
            while ((rest$2 !== $m_sci_Nil$())) {
              const arg1$7 = rest$2.head__O();
              const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$4(arg1$7), $m_sci_Nil$());
              t$2.tl$5 = nx$2;
              t$2 = nx$2;
              rest$2 = rest$2.tail__O()
            };
            effectiveValues = h$2
          }
        } else {
          const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(values, bf$2);
          let these$2 = values;
          while ((!these$2.isEmpty__Z())) {
            const arg1$8 = these$2.head__O();
            b$2.$$plus$eq__O__scm_Builder(f$4(arg1$8));
            these$2 = these$2.tail__O()
          };
          effectiveValues = b$2.result__O()
        };
        $m_sci_List$();
        const b$3 = new $c_scm_ListBuffer().init___();
        let these$3 = effectiveValues;
        while ((!these$3.isEmpty__Z())) {
          const arg1$9 = these$3.head__O();
          const xs = arg1$9.seq__sc_TraversableOnce();
          b$3.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
          these$3 = these$3.tail__O()
        };
        elements = b$3.toList__sci_List()
      } else {
        const this$8 = element.fields__Lamf_core_parser_Fields();
        const this$11 = this$8.fs$1;
        const this$9 = $m_Lamf_core_parser_FieldEntry$();
        const f$5 = $f_F2__tupled__F1(this$9);
        const this$10 = $m_sci_Iterable$();
        const bf$3 = this$10.ReusableCBFInstance$2;
        const jsx$3 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$11, f$5, bf$3);
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            return x$5.value$1.value$1
          })
        })($thiz));
        const this$12 = $m_sc_Iterable$();
        elements = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$12.ReusableCBFInstance$2).toSeq__sc_Seq()
      };
      let elements$1 = elements;
      let acc$1 = acc;
      const cycles$1 = cycles.$$plus__O__sc_Set(element.id__T());
      return $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, elements$1, first, acc$1, cycles$1)
    }
  } else {
    return acc
  }
});
const $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, encoder, first, acc, cycles) {
  if (cycles.contains__O__Z(encoder.id__T())) {
    $m_scm_ListBuffer$();
    const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    return this$2.elems$1
  } else if ($is_Lamf_core_model_document_DeclaresModel(encoder)) {
    let elements = encoder.declares__sc_Seq();
    let acc$1 = acc;
    const cycles$1 = cycles.$$plus__O__sc_Set(encoder.id__T());
    return $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, elements, first, acc$1, cycles$1)
  } else {
    $m_scm_ListBuffer$();
    const this$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    return this$4.elems$1
  }
});
const $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option = (function($thiz, id) {
  const cycles = $m_sci_Set$EmptySet$();
  return $f_Lamf_core_model_document_BaseUnit__findById__T__sci_Set__s_Option($thiz, id, cycles)
});
const $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, encoder, first, acc, cycles) {
  if (cycles.contains__O__Z(encoder.id__T())) {
    $m_scm_ListBuffer$();
    const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    return this$2.elems$1
  };
  if ($is_Lamf_core_model_document_EncodesModel(encoder)) {
    if ($m_s_Option$().apply__O__s_Option(encoder.encodes__Lamf_core_model_domain_DomainElement()).isDefined__Z()) {
      const element = encoder.encodes__Lamf_core_model_domain_DomainElement();
      const cycles$1 = cycles.$$plus__O__sc_Set(encoder.id__T());
      return $f_Lamf_core_model_document_BaseUnit__findModelByCondition__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_domain_DomainElement__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, element, first, acc, cycles$1)
    }
  };
  $m_scm_ListBuffer$();
  const this$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  return this$4.elems$1
});
const $f_Lamf_core_model_document_BaseUnit__findInReferencedModels__pLamf_core_model_document_BaseUnit__T__sc_Seq__sci_Set__scm_ListBuffer = (function($thiz, id, units, cycles) {
  _findInReferencedModels: while (true) {
    if (units.isEmpty__Z()) {
      $m_scm_ListBuffer$();
      const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
      return this$2.elems$1
    } else if (cycles.contains__O__Z(units.head__O().id__T())) {
      units = units.tail__O();
      continue _findInReferencedModels
    } else {
      const this$3 = units.head__O();
      const cycles$1 = cycles;
      const x1 = $f_Lamf_core_model_document_BaseUnit__findById__T__sci_Set__s_Option(this$3, id, cycles$1);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const element = x2.value$2;
        $m_scm_ListBuffer$();
        const array = [element];
        if (((array.length | 0) === 0)) {
          const this$5 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
          return this$5.elems$1
        } else {
          const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_GrowingBuilder(arg1);
            i = ((1 + i) | 0)
          };
          return b.elems$1
        }
      } else {
        const x$2 = $m_s_None$();
        if ((x$2 === x1)) {
          const temp$units$2 = units.tail__O();
          const temp$cycles = cycles.$$plus__O__sc_Set(units.head__O().id__T());
          units = temp$units$2;
          cycles = temp$cycles;
          continue _findInReferencedModels
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  }
});
const $f_Lamf_core_model_document_BaseUnit__findBy__F1__sci_Set__sc_Seq = (function($thiz, predicate, cycles) {
  $m_scm_ListBuffer$();
  const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc = this$2.elems$1;
  const this$5 = $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc, cycles);
  $m_scm_ListBuffer$();
  const this$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc$1 = this$4.elems$1;
  const xs = $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc$1, cycles);
  const this$6 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$5);
  return this$6.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
});
const $f_Lamf_core_model_document_BaseUnit__findInReferences__T__s_Option = (function($thiz, id) {
  return $thiz.references__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return (x$1.id__T() === id$1)
    })
  })($thiz, id)))
});
const $f_Lamf_core_model_document_BaseUnit__findById__T__sci_Set__s_Option = (function($thiz, id, cycles) {
  const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
    return (function(element$2) {
      const element = element$2;
      return (element.id__T() === id$1)
    })
  })($thiz, id));
  $m_scm_ListBuffer$();
  const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc = this$2.elems$1;
  const this$3 = $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, true, acc, cycles);
  const this$4 = this$3.scala$collection$mutable$ListBuffer$$start$6;
  const this$5 = $f_sc_TraversableLike__headOption__s_Option(this$4);
  if (this$5.isEmpty__Z()) {
    $m_scm_ListBuffer$();
    const this$7 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const acc$1 = this$7.elems$1;
    const this$8 = $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, true, acc$1, cycles);
    const this$9 = this$8.scala$collection$mutable$ListBuffer$$start$6;
    const this$10 = $f_sc_TraversableLike__headOption__s_Option(this$9);
    if (this$10.isEmpty__Z()) {
      let units = $thiz.references__sc_Seq();
      let cycles$1 = cycles;
      const this$11 = $f_Lamf_core_model_document_BaseUnit__findInReferencedModels__pLamf_core_model_document_BaseUnit__T__sc_Seq__sci_Set__scm_ListBuffer($thiz, id, units, cycles$1);
      const this$12 = this$11.scala$collection$mutable$ListBuffer$$start$6;
      return $f_sc_TraversableLike__headOption__s_Option(this$12)
    } else {
      return this$10
    }
  } else {
    return this$5
  }
});
const $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit = (function($thiz, selector, transformation) {
  const domainElementAdapter = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, selector$1) {
    return (function(o$2) {
      const o = o$2;
      if ($is_Lamf_core_model_domain_DomainElement(o)) {
        const x2 = o;
        return (!(!selector$1.apply__O__O(x2)))
      } else {
        return false
      }
    })
  })($thiz, selector));
  const transformationAdapter = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2, transformation$1) {
    return (function(o$3$2, isCycle$2) {
      const o$3 = o$3$2;
      const isCycle = (!(!isCycle$2));
      if ($is_Lamf_core_model_domain_DomainElement(o$3)) {
        const x2$1 = o$3;
        return transformation$1.apply__O__O__O(x2$1, isCycle)
      } else {
        return new $c_s_Some().init___O(o$3)
      }
    })
  })($thiz, transformation));
  const cycles = $m_sci_Set$EmptySet$();
  $f_Lamf_core_model_document_BaseUnit__transformByCondition__pLamf_core_model_document_BaseUnit__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__Lamf_core_model_domain_AmfObject($thiz, $thiz, domainElementAdapter, transformationAdapter, cycles);
  return $thiz
});
const $is_Lamf_core_model_document_BaseUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_BaseUnit)))
});
const $isArrayOf_Lamf_core_model_document_BaseUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_BaseUnit)))
});
const $is_Lamf_core_model_domain_DynamicDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_DynamicDomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_DynamicDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_DynamicDomainElement)))
});
class $c_Lamf_core_model_domain_extensions_CustomDomainProperty$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_CustomDomainProperty(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_core_model_domain_extensions_CustomDomainProperty$ = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_CustomDomainProperty$: 0
}, false, "amf.core.model.domain.extensions.CustomDomainProperty$", {
  Lamf_core_model_domain_extensions_CustomDomainProperty$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_CustomDomainProperty$.prototype.$classData = $d_Lamf_core_model_domain_extensions_CustomDomainProperty$;
let $n_Lamf_core_model_domain_extensions_CustomDomainProperty$ = (void 0);
const $m_Lamf_core_model_domain_extensions_CustomDomainProperty$ = (function() {
  if ((!$n_Lamf_core_model_domain_extensions_CustomDomainProperty$)) {
    $n_Lamf_core_model_domain_extensions_CustomDomainProperty$ = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty$().init___()
  };
  return $n_Lamf_core_model_domain_extensions_CustomDomainProperty$
});
class $c_Lamf_core_model_domain_extensions_ShapeExtension$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_ShapeExtension(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_core_model_domain_extensions_ShapeExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_core_model_domain_extensions_ShapeExtension$ = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_ShapeExtension$: 0
}, false, "amf.core.model.domain.extensions.ShapeExtension$", {
  Lamf_core_model_domain_extensions_ShapeExtension$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_ShapeExtension$.prototype.$classData = $d_Lamf_core_model_domain_extensions_ShapeExtension$;
let $n_Lamf_core_model_domain_extensions_ShapeExtension$ = (void 0);
const $m_Lamf_core_model_domain_extensions_ShapeExtension$ = (function() {
  if ((!$n_Lamf_core_model_domain_extensions_ShapeExtension$)) {
    $n_Lamf_core_model_domain_extensions_ShapeExtension$ = new $c_Lamf_core_model_domain_extensions_ShapeExtension$().init___()
  };
  return $n_Lamf_core_model_domain_extensions_ShapeExtension$
});
class $c_Lamf_core_model_domain_templates_VariableValue$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_VariableValue(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_core_model_domain_templates_VariableValue().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_core_model_domain_templates_VariableValue$ = new $TypeData().initClass({
  Lamf_core_model_domain_templates_VariableValue$: 0
}, false, "amf.core.model.domain.templates.VariableValue$", {
  Lamf_core_model_domain_templates_VariableValue$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_templates_VariableValue$.prototype.$classData = $d_Lamf_core_model_domain_templates_VariableValue$;
let $n_Lamf_core_model_domain_templates_VariableValue$ = (void 0);
const $m_Lamf_core_model_domain_templates_VariableValue$ = (function() {
  if ((!$n_Lamf_core_model_domain_templates_VariableValue$)) {
    $n_Lamf_core_model_domain_templates_VariableValue$ = new $c_Lamf_core_model_domain_templates_VariableValue$().init___()
  };
  return $n_Lamf_core_model_domain_templates_VariableValue$
});
class $c_Lamf_core_parser_ErrorHandler extends $c_O {
  violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node, property, message, ast) {
    this.violation__T__T__s_Option__T__s_Option__V(id, node, property, message, this.lexical__p1__Lorg_yaml_model_YPart__s_Option(ast))
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    this.violation__T__T__Lorg_yaml_model_YPart__V("", error.error__T(), this.part__p1__Lorg_yaml_model_YError__Lorg_yaml_model_YPart(error));
    return defaultValue
  };
  violation__T__T__Lorg_yaml_model_YPart__V(node, message, ast) {
    const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
    this.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node, $m_s_None$(), message, ast)
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    const level = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, id, node, property, message, lexical)
  };
  violation__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, id, node, property, message, lexical)
  };
  warning__T__s_Option__V(message, ast) {
    const jsx$3 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingWarningSpecification$1.id__T();
    const jsx$2 = $m_s_None$();
    let jsx$1;
    if (ast.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = ast.get__O();
      const ast$2 = arg1;
      jsx$1 = this.lexical__p1__Lorg_yaml_model_YPart__s_Option(ast$2)
    };
    this.warning__T__T__s_Option__T__s_Option__V(jsx$3, "", jsx$2, message, jsx$1)
  };
  part__p1__Lorg_yaml_model_YError__Lorg_yaml_model_YPart(error) {
    _part: while (true) {
      const x1 = error.node$1;
      if ($is_Lorg_yaml_model_YDocument(x1)) {
        const x2 = x1;
        return x2
      } else if ($is_Lorg_yaml_model_YNode(x1)) {
        const x3 = x1;
        return x3
      } else if ($is_Lorg_yaml_model_YSuccess(x1)) {
        const x4 = x1;
        return x4.node$4
      } else if ($is_Lorg_yaml_model_YFail(x1)) {
        const x5 = x1;
        error = x5.error$4;
        continue _part
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  lexical__p1__Lorg_yaml_model_YPart__s_Option(ast) {
    const x1 = ast.range__Lorg_mulesoft_lexer_InputRange();
    const x = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
    if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
      return $m_s_None$()
    } else {
      return new $c_s_Some().init___O(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(x1)))
    }
  };
  violation__T__s_Option__V(message, ast) {
    const jsx$3 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
    const jsx$2 = $m_s_None$();
    let jsx$1;
    if (ast.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = ast.get__O();
      const ast$2 = arg1;
      jsx$1 = this.lexical__p1__Lorg_yaml_model_YPart__s_Option(ast$2)
    };
    this.violation__T__T__s_Option__T__s_Option__V(jsx$3, "", jsx$2, message, jsx$1)
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    this.violation__T__s_Option__V(e.s$1, new $c_s_Some().init___O(node))
  };
}
const $is_Lamf_core_parser_ErrorHandler = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ErrorHandler)))
});
const $isArrayOf_Lamf_core_parser_ErrorHandler = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ErrorHandler)))
});
class $c_Lamf_core_parser_Range$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_parser_Range(serialized) {
    const this$2 = new $c_sci_StringOps().init___T("\\[\\(([0-9]*),([0-9]*)\\)-\\(([0-9]*),([0-9]*)\\)\\]");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    const Pattern = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const o7 = Pattern.unapplySeq__jl_CharSequence__s_Option(serialized);
    let jsx$1;
    if ((!o7.isEmpty__Z())) {
      if ((o7.get__O() !== null)) {
        const this$4 = o7.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$4, 4) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$5 = o7.get__O();
      const l1 = $f_sc_LinearSeqOptimized__apply__I__O(this$5, 0);
      const this$6 = o7.get__O();
      const c1 = $f_sc_LinearSeqOptimized__apply__I__O(this$6, 1);
      const this$7 = o7.get__O();
      const l2 = $f_sc_LinearSeqOptimized__apply__I__O(this$7, 2);
      const this$8 = o7.get__O();
      const c2 = $f_sc_LinearSeqOptimized__apply__I__O(this$8, 3);
      const this$10 = new $c_sci_StringOps().init___T(l1);
      const this$12 = $m_jl_Integer$();
      const $$this$1 = this$10.repr$1;
      const _1$mcI$sp = this$12.parseInt__T__I__I($$this$1, 10);
      const this$14 = new $c_sci_StringOps().init___T(c1);
      const this$16 = $m_jl_Integer$();
      const $$this$2 = this$14.repr$1;
      const _2$mcI$sp = this$16.parseInt__T__I__I($$this$2, 10);
      const this$18 = new $c_sci_StringOps().init___T(l2);
      const this$20 = $m_jl_Integer$();
      const $$this$3 = this$18.repr$1;
      const _1$mcI$sp$1 = this$20.parseInt__T__I__I($$this$3, 10);
      const this$22 = new $c_sci_StringOps().init___T(c2);
      const this$24 = $m_jl_Integer$();
      const $$this$4 = this$22.repr$1;
      const _2$mcI$sp$1 = this$24.parseInt__T__I__I($$this$4, 10);
      return new $c_Lamf_core_parser_Range().init___Lamf_core_parser_Position__Lamf_core_parser_Position(new $c_Lamf_core_parser_Position().init___I__I(_1$mcI$sp, _2$mcI$sp), new $c_Lamf_core_parser_Position().init___I__I(_1$mcI$sp$1, _2$mcI$sp$1))
    };
    throw new $c_s_MatchError().init___O(serialized)
  };
  apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(r) {
    return new $c_Lamf_core_parser_Range().init___Lamf_core_parser_Position__Lamf_core_parser_Position(new $c_Lamf_core_parser_Position().init___I__I(r.lineFrom$1, r.columnFrom$1), new $c_Lamf_core_parser_Position().init___I__I(r.lineTo$1, r.columnTo$1))
  };
}
const $d_Lamf_core_parser_Range$ = new $TypeData().initClass({
  Lamf_core_parser_Range$: 0
}, false, "amf.core.parser.Range$", {
  Lamf_core_parser_Range$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Range$.prototype.$classData = $d_Lamf_core_parser_Range$;
let $n_Lamf_core_parser_Range$ = (void 0);
const $m_Lamf_core_parser_Range$ = (function() {
  if ((!$n_Lamf_core_parser_Range$)) {
    $n_Lamf_core_parser_Range$ = new $c_Lamf_core_parser_Range$().init___()
  };
  return $n_Lamf_core_parser_Range$
});
class $c_Lamf_core_remote_Raml$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Raml$ = this;
    $f_Lamf_core_remote_Raml__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  version__T() {
    return ""
  };
  amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Raml$ = new $TypeData().initClass({
  Lamf_core_remote_Raml$: 0
}, false, "amf.core.remote.Raml$", {
  Lamf_core_remote_Raml$: 1,
  O: 1,
  Lamf_core_remote_Raml: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Raml$.prototype.$classData = $d_Lamf_core_remote_Raml$;
let $n_Lamf_core_remote_Raml$ = (void 0);
const $m_Lamf_core_remote_Raml$ = (function() {
  if ((!$n_Lamf_core_remote_Raml$)) {
    $n_Lamf_core_remote_Raml$ = new $c_Lamf_core_remote_Raml$().init___()
  };
  return $n_Lamf_core_remote_Raml$
});
class $c_Lamf_core_remote_Raml08$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Raml08$ = this;
    $f_Lamf_core_remote_Raml__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  version__T() {
    return "0.8"
  };
  amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Raml08$ = new $TypeData().initClass({
  Lamf_core_remote_Raml08$: 0
}, false, "amf.core.remote.Raml08$", {
  Lamf_core_remote_Raml08$: 1,
  O: 1,
  Lamf_core_remote_Raml: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Raml08$.prototype.$classData = $d_Lamf_core_remote_Raml08$;
let $n_Lamf_core_remote_Raml08$ = (void 0);
const $m_Lamf_core_remote_Raml08$ = (function() {
  if ((!$n_Lamf_core_remote_Raml08$)) {
    $n_Lamf_core_remote_Raml08$ = new $c_Lamf_core_remote_Raml08$().init___()
  };
  return $n_Lamf_core_remote_Raml08$
});
class $c_Lamf_core_remote_Raml10$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Raml10$ = this;
    $f_Lamf_core_remote_Raml__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  version__T() {
    return "1.0"
  };
  amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Raml10$ = new $TypeData().initClass({
  Lamf_core_remote_Raml10$: 0
}, false, "amf.core.remote.Raml10$", {
  Lamf_core_remote_Raml10$: 1,
  O: 1,
  Lamf_core_remote_Raml: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Raml10$.prototype.$classData = $d_Lamf_core_remote_Raml10$;
let $n_Lamf_core_remote_Raml10$ = (void 0);
const $m_Lamf_core_remote_Raml10$ = (function() {
  if ((!$n_Lamf_core_remote_Raml10$)) {
    $n_Lamf_core_remote_Raml10$ = new $c_Lamf_core_remote_Raml10$().init___()
  };
  return $n_Lamf_core_remote_Raml10$
});
class $c_Lamf_core_remote_browser_JsBrowserPlatform extends $c_O {
  constructor() {
    super();
    this.fs$1 = null;
    this.testingCommandLine$1 = false;
    this.wrappersRegistry$1 = null;
    this.wrappersRegistryFn$1 = null;
    this.resourceCache$1 = null
  };
  init___() {
    $f_Lamf_core_remote_Platform__$$init$__V(this);
    this.fs$1 = $m_Lamf_core_remote_UnsupportedFileSystem$();
    return this
  };
  resolve__T__s_Option__s_concurrent_Future(url, context) {
    return $f_Lamf_core_remote_Platform__resolve__T__s_Option__s_concurrent_Future(this, url, context)
  };
  fs__Lorg_mulesoft_common_io_FileSystem() {
    return this.fs$1
  };
  amf$core$remote$Platform$$undsetter$und$resourceCache$und$eq__scm_Map__V(x$1) {
    this.resourceCache$1 = x$1
  };
  resourceCache__scm_Map() {
    return this.resourceCache$1
  };
  fetchFile__T__s_concurrent_Future(url) {
    return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["File protocol unsupported for: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url]))))
  };
  testingCommandLine$und$eq__Z__V(x$1) {
    this.testingCommandLine$1 = x$1
  };
  wrappersRegistry__scm_HashMap() {
    return this.wrappersRegistry$1
  };
  writeFile__T__T__s_concurrent_Future(path, content) {
    return $f_Lamf_core_remote_Platform__writeFile__T__T__s_concurrent_Future(this, path, content)
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistry$1 = x$1
  };
  fetchHttp__T__s_concurrent_Future(url) {
    const this$3 = $m_Lorg_scalajs_dom_ext_Ajax$();
    const headers = $m_sci_Map$EmptyMap$();
    return this$3.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("GET", url, null, 0, headers, false, "").flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
      return (function(xhr$2) {
        const x1 = (xhr$2.status | 0);
        switch (x1) {
          case 200: {
            return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, url$1$1, xhr) {
              return (function() {
                return new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(new $c_Lamf_core_lexer_CharSequenceStream().init___jl_CharSequence(xhr.responseText), url$1$1, $m_s_None$())
              })
            })($this, url$1, xhr$2)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
            break
          }
          default: {
            return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_Lamf_core_remote_FileNotFound().init___jl_Exception(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unhandled status code ", " with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1, xhr$2.statusText])))))
          }
        }
      })
    })(this, url)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  wrappersRegistryFn__scm_HashMap() {
    return this.wrappersRegistryFn$1
  };
  resolvePath__T__T(path) {
    return path
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistryFn$1 = x$1
  };
}
const $d_Lamf_core_remote_browser_JsBrowserPlatform = new $TypeData().initClass({
  Lamf_core_remote_browser_JsBrowserPlatform: 0
}, false, "amf.core.remote.browser.JsBrowserPlatform", {
  Lamf_core_remote_browser_JsBrowserPlatform: 1,
  O: 1,
  Lamf_core_remote_Platform: 1,
  Lamf_core_remote_FileMediaType: 1
});
$c_Lamf_core_remote_browser_JsBrowserPlatform.prototype.$classData = $d_Lamf_core_remote_browser_JsBrowserPlatform;
class $c_Lamf_core_remote_server_JsServerPlatform extends $c_O {
  constructor() {
    super();
    this.fs$1 = null;
    this.testingCommandLine$1 = false;
    this.wrappersRegistry$1 = null;
    this.wrappersRegistryFn$1 = null;
    this.resourceCache$1 = null
  };
  init___() {
    $f_Lamf_core_remote_Platform__$$init$__V(this);
    this.fs$1 = $m_Lorg_mulesoft_common_io_Fs$();
    return this
  };
  resolve__T__s_Option__s_concurrent_Future(url, context) {
    return $f_Lamf_core_remote_Platform__resolve__T__s_Option__s_concurrent_Future(this, url, context)
  };
  fs__Lorg_mulesoft_common_io_FileSystem() {
    return this.fs$1
  };
  amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$4__sjs_js_Dynamic__T__s_concurrent_Promise__O(response, url$1, promise$1) {
    const str = new $c_sr_ObjectRef().init___O("");
    const dataCb = (function(arg$outer, str$2) {
      return (function(arg1$2) {
        return arg$outer.amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$5__O__sr_ObjectRef__O(arg1$2, str$2)
      })
    })(this, str);
    response.on("data", dataCb);
    const completedCb = (function($this, url$1$1, promise$1$1, str$1, response$1) {
      return (function() {
        let mediaType;
        try {
          const dict = response$1.headers;
          let jsx$1;
          if ((!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, "content-type")))) {
            jsx$1 = dict["content-type"]
          } else {
            throw new $c_ju_NoSuchElementException().init___T("key not found: content-type")
          };
          mediaType = new $c_s_Some().init___O(jsx$1)
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            mediaType = $m_s_None$()
          } else {
            throw e
          }
        };
        const value = new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(url$1$1, str$1.elem$1), url$1$1, mediaType);
        return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1$1, value)
      })
    })(this, url$1, promise$1, str, response);
    return response.on("end", completedCb)
  };
  amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$5__O__sr_ObjectRef__O(res, str$2) {
    str$2.elem$1 = (("" + str$2.elem$1) + $objectToString(res))
  };
  amf$core$remote$Platform$$undsetter$und$resourceCache$und$eq__scm_Map__V(x$1) {
    this.resourceCache$1 = x$1
  };
  resourceCache__scm_Map() {
    return this.resourceCache$1
  };
  withTrailingSlash__p1__T__T(path) {
    return (((!(((path.length | 0) >= 0) && (path.substring(0, ("/".length | 0)) === "/"))) ? "/" : "") + path)
  };
  fetchFile__T__s_concurrent_Future(path) {
    const qual$1 = this.fs$1.asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(path);
    return qual$1.read__T__s_concurrent_Future("UTF-8").map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, path$1) {
      return (function(content$2) {
        const content = content$2;
        const jsx$3 = new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(path$1, content);
        const jsx$2 = $f_Lamf_core_remote_Platform__ensureFileAuthority__T__T($this, path$1);
        const this$1 = $f_Lamf_core_remote_FileMediaType__extension__T__s_Option($this, path$1);
        let jsx$1;
        if (this$1.isEmpty__Z()) {
          jsx$1 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const extension = arg1;
          jsx$1 = $f_Lamf_core_remote_FileMediaType__mimeFromExtension__T__s_Option($this, extension)
        };
        return new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(jsx$3, jsx$2, jsx$1)
      })
    })(this, path)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_core_remote_server_JsServerPlatform$$anonfun$fetchFile$3().init___Lamf_core_remote_server_JsServerPlatform(this), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$1__sjs_js_Dynamic__T__s_concurrent_Promise__O(response, url$1, promise$1) {
    const str = new $c_sr_ObjectRef().init___O("");
    const dataCb = (function(arg$outer, str$1) {
      return (function(arg1$2) {
        return arg$outer.amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$2__O__sr_ObjectRef__O(arg1$2, str$1)
      })
    })(this, str);
    response.on("data", dataCb);
    const completedCb = (function($this, url$1$1, promise$1$1, str$2, response$1) {
      return (function() {
        let mediaType;
        try {
          const dict = response$1.headers;
          let jsx$1;
          if ((!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, "content-type")))) {
            jsx$1 = dict["content-type"]
          } else {
            throw new $c_ju_NoSuchElementException().init___T("key not found: content-type")
          };
          mediaType = new $c_s_Some().init___O(jsx$1)
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            mediaType = $m_s_None$()
          } else {
            throw e
          }
        };
        const value = new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(url$1$1, str$2.elem$1), url$1$1, mediaType);
        return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1$1, value)
      })
    })(this, url$1, promise$1, str, response);
    return response.on("end", completedCb)
  };
  testingCommandLine$und$eq__Z__V(x$1) {
    this.testingCommandLine$1 = x$1
  };
  wrappersRegistry__scm_HashMap() {
    return this.wrappersRegistry$1
  };
  writeFile__T__T__s_concurrent_Future(path, content) {
    return $f_Lamf_core_remote_Platform__writeFile__T__T__s_concurrent_Future(this, path, content)
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistry$1 = x$1
  };
  fetchHttp__T__s_concurrent_Future(url) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    if ((((url.length | 0) >= 0) && (url.substring(0, ("https:".length | 0)) === "https:"))) {
      $i_https.get(url, (function(arg$outer, url$1, promise$1) {
        return (function(arg1$2) {
          return arg$outer.amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$1__sjs_js_Dynamic__T__s_concurrent_Promise__O(arg1$2, url$1, promise$1)
        })
      })(this, url, promise))
    } else {
      $i_http.get(url, (function(arg$outer$1, url$1$1, promise$1$1) {
        return (function(arg1$2$1) {
          return arg$outer$1.amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$4__sjs_js_Dynamic__T__s_concurrent_Promise__O(arg1$2$1, url$1$1, promise$1$1)
        })
      })(this, url, promise))
    };
    return promise
  };
  amf$core$remote$server$JsServerPlatform$$$anonfun$fetchHttp$2__O__sr_ObjectRef__O(res, str$1) {
    str$1.elem$1 = (("" + str$1.elem$1) + $objectToString(res))
  };
  wrappersRegistryFn__scm_HashMap() {
    return this.wrappersRegistryFn$1
  };
  resolvePath__T__T(uri) {
    const o8 = $m_Lamf_core_remote_File$().unapply__T__s_Option(uri);
    if ((!o8.isEmpty__Z())) {
      const path = o8.get__O();
      if ((((path.length | 0) >= 0) && (path.substring(0, ("/".length | 0)) === "/"))) {
        return (("" + $m_Lamf_core_remote_File$().FILE$undPROTOCOL$1) + $i_path.resolve(path))
      } else {
        const jsx$2 = $m_Lamf_core_remote_File$().FILE$undPROTOCOL$1;
        const jsx$1 = $i_path;
        const s = this.withTrailingSlash__p1__T__T(path);
        const thiz = jsx$1.resolve(s);
        return (("" + jsx$2) + thiz.substring(1))
      }
    };
    const o10 = $m_Lamf_core_remote_Http$().unapply__T__s_Option(uri);
    if ((!o10.isEmpty__Z())) {
      const protocol = o10.get__O().$$und1$1;
      const host = o10.get__O().$$und2$1;
      const path$2 = o10.get__O().$$und3$1;
      const jsx$4 = $i_path;
      const s$1 = this.withTrailingSlash__p1__T__T(path$2);
      const jsx$3 = jsx$4.resolve(s$1);
      return ((("" + protocol) + host) + jsx$3)
    };
    throw new $c_s_MatchError().init___O(uri)
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistryFn$1 = x$1
  };
}
const $d_Lamf_core_remote_server_JsServerPlatform = new $TypeData().initClass({
  Lamf_core_remote_server_JsServerPlatform: 0
}, false, "amf.core.remote.server.JsServerPlatform", {
  Lamf_core_remote_server_JsServerPlatform: 1,
  O: 1,
  Lamf_core_remote_Platform: 1,
  Lamf_core_remote_FileMediaType: 1
});
$c_Lamf_core_remote_server_JsServerPlatform.prototype.$classData = $d_Lamf_core_remote_server_JsServerPlatform;
class $c_Lamf_core_utils_package$QName$ extends $c_O {
  constructor() {
    super();
    this.Empty$1 = null
  };
  init___() {
    $n_Lamf_core_utils_package$QName$ = this;
    this.Empty$1 = new $c_Lamf_core_utils_package$QName().init___T__T("", "");
    return this
  };
  apply__T__Lamf_core_utils_package$QName(fqn) {
    const thiz = $m_Lamf_core_utils_package$Strings$().notNull$extension__T__T(fqn);
    const x = thiz.trim();
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      const x1 = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(fqn, 46);
      switch (x1) {
        case (-1): {
          return new $c_Lamf_core_utils_package$QName().init___T__T("", fqn);
          break
        }
        default: {
          const jsx$1 = fqn.substring(0, x1);
          const beginIndex = ((1 + x1) | 0);
          return new $c_Lamf_core_utils_package$QName().init___T__T(jsx$1, fqn.substring(beginIndex))
        }
      }
    } else {
      return this.Empty$1
    }
  };
}
const $d_Lamf_core_utils_package$QName$ = new $TypeData().initClass({
  Lamf_core_utils_package$QName$: 0
}, false, "amf.core.utils.package$QName$", {
  Lamf_core_utils_package$QName$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_utils_package$QName$.prototype.$classData = $d_Lamf_core_utils_package$QName$;
let $n_Lamf_core_utils_package$QName$ = (void 0);
const $m_Lamf_core_utils_package$QName$ = (function() {
  if ((!$n_Lamf_core_utils_package$QName$)) {
    $n_Lamf_core_utils_package$QName$ = new $c_Lamf_core_utils_package$QName$().init___()
  };
  return $n_Lamf_core_utils_package$QName$
});
class $c_Lamf_core_validation_AMFValidationResult$ extends $c_O {
  init___() {
    return this
  };
  fromSHACLValidation__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_AMFValidationResult(model, message, level, validation) {
    const id = validation.focusNode__T();
    const x1 = $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option(model, id);
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node with validation error ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.focusNode__T()]))))
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const node = x2.value$2;
      const position = this.findPosition__Lamf_core_model_domain_DomainElement__Lamf_core_validation_core_ValidationResult__s_Option(node, validation);
      return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, level, node.id__T(), $m_s_Option$().apply__O__s_Option(validation.path__T()), validation.sourceShape__T(), position, validation)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  findPosition__Lamf_core_model_domain_DomainElement__Lamf_core_validation_core_ValidationResult__s_Option(node, validation) {
    if (($m_s_Option$().apply__O__s_Option(validation.path__T()).isDefined__Z() && (validation.path__T() !== ""))) {
      const this$1 = node.fields__Lamf_core_parser_Fields();
      const this$4 = this$1.fs$1;
      const this$2 = $m_Lamf_core_parser_FieldEntry$();
      const f = $f_F2__tupled__F1(this$2);
      const this$3 = $m_sci_Iterable$();
      const bf = this$3.ReusableCBFInstance$2;
      const x1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validation$1) {
        return (function(f$2) {
          const f$1 = f$2;
          return (f$1.field$1.value$1.iri__T() === validation$1.path__T())
        })
      })(this, validation)));
      let foundPosition;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const f$3 = x2.value$2;
        const this$5 = f$3.value$1.value$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$5.isEmpty__Z()) {
          const this$6 = f$3.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
          if (this$6.isEmpty__Z()) {
            const x1$1 = f$3.value$1.value$1;
            matchEnd4: {
              if ($is_Lamf_core_model_domain_AmfArray(x1$1)) {
                const x2$1 = x1$1;
                if (x2$1.values$1.nonEmpty__Z()) {
                  foundPosition = x2$1.values$1.head__O().annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
                  break matchEnd4
                }
              };
              foundPosition = node.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
            }
          } else {
            foundPosition = this$6
          }
        } else {
          foundPosition = this$5
        }
      } else {
        foundPosition = node.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
      };
      return foundPosition
    } else {
      return node.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
    }
  };
}
const $d_Lamf_core_validation_AMFValidationResult$ = new $TypeData().initClass({
  Lamf_core_validation_AMFValidationResult$: 0
}, false, "amf.core.validation.AMFValidationResult$", {
  Lamf_core_validation_AMFValidationResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_AMFValidationResult$.prototype.$classData = $d_Lamf_core_validation_AMFValidationResult$;
let $n_Lamf_core_validation_AMFValidationResult$ = (void 0);
const $m_Lamf_core_validation_AMFValidationResult$ = (function() {
  if ((!$n_Lamf_core_validation_AMFValidationResult$)) {
    $n_Lamf_core_validation_AMFValidationResult$ = new $c_Lamf_core_validation_AMFValidationResult$().init___()
  };
  return $n_Lamf_core_validation_AMFValidationResult$
});
class $c_Lamf_core_validation_core_ValidationSpecification$ extends $c_O {
  constructor() {
    super();
    this.PARSER$undSIDE$undVALIDATION$1 = null
  };
  init___() {
    $n_Lamf_core_validation_core_ValidationSpecification$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PARSER$undSIDE$undVALIDATION$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParserShape").iri__T();
    return this
  };
}
const $d_Lamf_core_validation_core_ValidationSpecification$ = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationSpecification$: 0
}, false, "amf.core.validation.core.ValidationSpecification$", {
  Lamf_core_validation_core_ValidationSpecification$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_ValidationSpecification$.prototype.$classData = $d_Lamf_core_validation_core_ValidationSpecification$;
let $n_Lamf_core_validation_core_ValidationSpecification$ = (void 0);
const $m_Lamf_core_validation_core_ValidationSpecification$ = (function() {
  if ((!$n_Lamf_core_validation_core_ValidationSpecification$)) {
    $n_Lamf_core_validation_core_ValidationSpecification$ = new $c_Lamf_core_validation_core_ValidationSpecification$().init___()
  };
  return $n_Lamf_core_validation_core_ValidationSpecification$
});
class $c_Lamf_core_vocabulary_Namespace$ extends $c_O {
  constructor() {
    super();
    this.Document$1 = null;
    this.Http$1 = null;
    this.Security$1 = null;
    this.Shapes$1 = null;
    this.Data$1 = null;
    this.SourceMaps$1 = null;
    this.Shacl$1 = null;
    this.Schema$1 = null;
    this.Hydra$1 = null;
    this.Xsd$1 = null;
    this.AnonShapes$1 = null;
    this.Rdf$1 = null;
    this.WihtoutNamespace$1 = null;
    this.Meta$1 = null;
    this.Owl$1 = null;
    this.Rdfs$1 = null;
    this.AmfParser$1 = null;
    this.ns$1 = null
  };
  init___() {
    $n_Lamf_core_vocabulary_Namespace$ = this;
    this.Document$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/document#");
    this.Http$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/http#");
    this.Security$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/security#");
    this.Shapes$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/shapes#");
    this.Data$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/data#");
    this.SourceMaps$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/document-source-maps#");
    this.Shacl$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/ns/shacl#");
    this.Schema$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://schema.org/");
    this.Hydra$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/ns/hydra/core#");
    this.Xsd$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/2001/XMLSchema#");
    this.AnonShapes$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/shapes/anon#");
    this.Rdf$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/1999/02/22-rdf-syntax-ns#");
    this.WihtoutNamespace$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("");
    this.Meta$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/meta#");
    this.Owl$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/2002/07/owl#");
    this.Rdfs$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/2000/01/rdf-schema#");
    this.AmfParser$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/amf/parser#");
    const y = this.Rdf$1;
    const jsx$17 = new $c_T2().init___O__O("rdf", y);
    const y$1 = this.Shacl$1;
    const jsx$16 = new $c_T2().init___O__O("sh", y$1);
    const y$2 = this.Shacl$1;
    const jsx$15 = new $c_T2().init___O__O("shacl", y$2);
    const y$3 = this.Schema$1;
    const jsx$14 = new $c_T2().init___O__O("schema-org", y$3);
    const y$4 = this.Schema$1;
    const jsx$13 = new $c_T2().init___O__O("schema", y$4);
    const y$5 = this.Http$1;
    const jsx$12 = new $c_T2().init___O__O("raml-http", y$5);
    const y$6 = this.Http$1;
    const jsx$11 = new $c_T2().init___O__O("http", y$6);
    const y$7 = this.Document$1;
    const jsx$10 = new $c_T2().init___O__O("raml-doc", y$7);
    const y$8 = this.Document$1;
    const jsx$9 = new $c_T2().init___O__O("doc", y$8);
    const y$9 = this.Xsd$1;
    const jsx$8 = new $c_T2().init___O__O("xsd", y$9);
    const y$10 = this.AmfParser$1;
    const jsx$7 = new $c_T2().init___O__O("amf-parser", y$10);
    const y$11 = this.Hydra$1;
    const jsx$6 = new $c_T2().init___O__O("hydra", y$11);
    const y$12 = this.Shapes$1;
    const jsx$5 = new $c_T2().init___O__O("raml-shapes", y$12);
    const y$13 = this.Data$1;
    const jsx$4 = new $c_T2().init___O__O("data", y$13);
    const y$14 = this.SourceMaps$1;
    const jsx$3 = new $c_T2().init___O__O("sourcemaps", y$14);
    const y$15 = this.Meta$1;
    const jsx$2 = new $c_T2().init___O__O("meta", y$15);
    const y$16 = this.Owl$1;
    const jsx$1 = new $c_T2().init___O__O("owl", y$16);
    const y$17 = this.Rdfs$1;
    const array = [jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("rdfs", y$17)];
    const this$38 = new $c_scm_HashMap().init___();
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$38.$$plus$eq__T2__scm_HashMap(arg1);
      i = ((1 + i) | 0)
    };
    this.ns$1 = this$38;
    return this
  };
  uri__T__Lamf_core_vocabulary_ValueType(s) {
    if (((s.indexOf(":") | 0) > (-1))) {
      return this.expand__T__Lamf_core_vocabulary_ValueType(s)
    } else {
      const this$3 = this.ns$1;
      const this$4 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$3);
      const this$5 = this$4.$$outer$3.valuesIterator__sc_Iterator();
      let x1;
      inlinereturn$7: {
        while (this$5.hasNext__Z()) {
          const a = this$5.next__O();
          const n = a;
          const str = n.base$1;
          if (((s.indexOf(str) | 0) === 0)) {
            x1 = new $c_s_Some().init___O(a);
            break inlinereturn$7
          }
        };
        x1 = $m_s_None$()
      };
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const foundNs = x2.value$2;
        const regex = foundNs.base$1;
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(s, regex, 0);
        const this$10 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        const name = $f_sc_IndexedSeqOptimized__last__O(this$10);
        return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(foundNs, name)
      } else {
        return new $c_Lamf_core_vocabulary_UriType().init___T(s)
      }
    }
  };
  registerNamespace__T__T__s_Option(alias, prefix) {
    return this.ns$1.put__O__O__s_Option(alias, new $c_Lamf_core_vocabulary_Namespace().init___T(prefix))
  };
  expand__T__Lamf_core_vocabulary_ValueType(uri) {
    if ((((uri.length | 0) >= 0) && (uri.substring(0, ("http://".length | 0)) === "http://"))) {
      return new $c_Lamf_core_vocabulary_UriType().init___T(uri)
    } else {
      const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(uri, ":", 0);
      const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1);
      if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(2) === 0)))) {
        const prefix = o7.get__O().apply__I__O(0);
        const postfix = o7.get__O().apply__I__O(1);
        const x1$2 = this.ns$1.get__O__s_Option(prefix);
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const n = x2.value$2;
          return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(n, postfix)
        } else {
          return new $c_Lamf_core_vocabulary_UriType().init___T(uri)
        }
      };
      return new $c_Lamf_core_vocabulary_UriType().init___T(uri)
    }
  };
  find__T__Lamf_core_vocabulary_Namespace(uri) {
    if ((uri === "http://raml.org/vocabularies/document")) {
      return this.Document$1
    } else if ((uri === "http://raml.org/vocabularies/http")) {
      return this.Http$1
    } else if ((uri === "http://raml.org/vocabularies/security")) {
      return this.Security$1
    } else if ((uri === "http://raml.org/vocabularies/shapes")) {
      return this.Shapes$1
    } else if ((uri === "http://raml.org/vocabularies/data")) {
      return this.Data$1
    } else if ((uri === "http://raml.org/vocabularies/document-source-maps")) {
      return this.SourceMaps$1
    } else if ((uri === "http://www.w3.org/ns/shacl")) {
      return this.Shacl$1
    } else if ((uri === "http://schema.org/")) {
      return this.Schema$1
    } else if ((uri === "http://www.w3.org/ns/hydra/core")) {
      return this.Hydra$1
    } else if ((uri === "http://www.w3.org/2001/XMLSchema")) {
      return this.Xsd$1
    } else if ((uri === "http://raml.org/vocabularies/shapes/anon")) {
      return this.AnonShapes$1
    } else if ((uri === "http://www.w3.org/1999/02/22-rdf-syntax-ns")) {
      return this.Rdf$1
    } else if ((uri === "")) {
      return this.WihtoutNamespace$1
    } else if ((uri === "http://raml.org/vocabularies/meta")) {
      return this.Meta$1
    } else if ((uri === "http://www.w3.org/2002/07/owl")) {
      return this.Owl$1
    } else if ((uri === "http://www.w3.org/2000/01/rdf-schema")) {
      return this.Rdfs$1
    } else if ((uri === "http://raml.org/vocabularies/amf/parser")) {
      return this.AmfParser$1
    } else {
      throw new $c_s_MatchError().init___O(uri)
    }
  };
}
const $d_Lamf_core_vocabulary_Namespace$ = new $TypeData().initClass({
  Lamf_core_vocabulary_Namespace$: 0
}, false, "amf.core.vocabulary.Namespace$", {
  Lamf_core_vocabulary_Namespace$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_Namespace$.prototype.$classData = $d_Lamf_core_vocabulary_Namespace$;
let $n_Lamf_core_vocabulary_Namespace$ = (void 0);
const $m_Lamf_core_vocabulary_Namespace$ = (function() {
  if ((!$n_Lamf_core_vocabulary_Namespace$)) {
    $n_Lamf_core_vocabulary_Namespace$ = new $c_Lamf_core_vocabulary_Namespace$().init___()
  };
  return $n_Lamf_core_vocabulary_Namespace$
});
class $c_Lamf_model_document_BaseUnit extends $c_Lamf_core_remote_AmfObjectWrapper {
  constructor() {
    super();
    this.element$2 = null;
    this.platform$2 = null
  };
  element__Lamf_core_model_document_BaseUnit() {
    return this.element$2
  };
  raw__T() {
    const this$1 = this.element__Lamf_core_model_document_BaseUnit().raw__s_Option();
    return (this$1.isEmpty__Z() ? null : this$1.get__O())
  };
  init___() {
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.element$2 = null;
    return this
  };
  withReferences__sjs_js_Iterable__Lamf_core_model_document_BaseUnit(newReferences) {
    $m_sc_Iterable$();
    $m_sc_Iterable$();
    $m_sci_Iterable$();
    const b = new $c_scm_ListBuffer().init___();
    const __self = newReferences[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      const x$1 = value;
      const elem = x$1.element__Lamf_core_model_document_BaseUnit();
      b.$$plus$eq__O__scm_ListBuffer(elem)
    };
    const this$7 = b.toList__sci_List();
    const this$8 = this.element__Lamf_core_model_document_BaseUnit();
    const field = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
    return $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$8, field, this$7)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return this.withRaw__T__Lamf_model_document_BaseUnit(raw)
  };
  $$js$exported$meth$findById__T__O(id) {
    return this.findById__T__Lamf_model_domain_DomainElement(id)
  };
  $$js$exported$meth$references__O() {
    return this.references__sjs_js_Iterable()
  };
  $$js$exported$prop$location__O() {
    return this.element__Lamf_core_model_document_BaseUnit().location__T()
  };
  references__sjs_js_Iterable() {
    const jsx$2 = this.element__Lamf_core_model_document_BaseUnit().references__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        const this$1 = $this.platform$2;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$1, e)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const units = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(units)) {
      const x2 = units;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(units)) {
      const x3 = units;
      return x3.array$6
    } else {
      const result = [];
      units.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  findByType__T__sjs_js_Iterable(typeId) {
    const this$3 = this.element__Lamf_core_model_document_BaseUnit();
    const shapeType = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(typeId).iri__T();
    this.element__Lamf_core_model_document_BaseUnit();
    const cycles = $m_sci_Set$EmptySet$();
    const jsx$2 = $f_Lamf_core_model_document_BaseUnit__findByType__T__sci_Set__sc_Seq(this$3, shapeType, cycles);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        const this$4 = $this.platform$2;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$4, e)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const __self = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return new ($a_sjs_js_JSConverters$IterableAdapter())(__self)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return this.findByType__T__sjs_js_Iterable(typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return this.withLocation__T__Lamf_model_document_BaseUnit(location)
  };
  withLocation__T__Lamf_model_document_BaseUnit(location) {
    const this$1 = this.element__Lamf_core_model_document_BaseUnit();
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, location);
    return this
  };
  $$js$exported$prop$raw__O() {
    return this.raw__T()
  };
  findById__T__Lamf_model_domain_DomainElement(id) {
    const this$1 = this.element__Lamf_core_model_document_BaseUnit();
    const id$1 = $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(id).iri__T();
    const x1 = $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option(this$1, id$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const e = x2.value$2;
      if ((e !== null)) {
        const this$2 = this.platform$2;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, e)
      }
    };
    return null
  };
  $$js$exported$meth$withReferences__sjs_js_Iterable__O(newReferences) {
    return this.withReferences__sjs_js_Iterable__Lamf_core_model_document_BaseUnit(newReferences)
  };
  withRaw__T__Lamf_model_document_BaseUnit(raw) {
    const this$1 = this.element__Lamf_core_model_document_BaseUnit();
    $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit(this$1, raw);
    return this
  };
  $$js$exported$prop$usage__O() {
    return this.element__Lamf_core_model_document_BaseUnit().usage__T()
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Iterable__O(prep0)
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
}
const $is_Lamf_model_document_BaseUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_BaseUnit)))
});
const $isArrayOf_Lamf_model_document_BaseUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_BaseUnit)))
});
const $d_Lamf_model_document_BaseUnit = new $TypeData().initClass({
  Lamf_model_document_BaseUnit: 0
}, false, "amf.model.document.BaseUnit", {
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_document_BaseUnit.prototype.$classData = $d_Lamf_model_document_BaseUnit;
class $c_Lamf_model_domain_DomainElement extends $c_Lamf_core_remote_AmfObjectWrapper {
  constructor() {
    super();
    this.platform$2 = null
  };
  extendsNode__sjs_js_Array() {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    const jsx$2 = this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const this$2 = $this.platform$2;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, x$2)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2$1) {
          return (result$1.push(x$2$1) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Iterable__O(extend) {
    return this.withExtendsNode__sjs_js_Iterable__Lamf_model_domain_DomainElement(extend)
  };
  init___() {
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  getPropertyIds__sjs_js_Iterable() {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    const col = $f_Lamf_core_model_domain_DomainElement__getPropertyIds__sci_List(this$1);
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      let these = col;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        (result.push(arg1) | 0);
        these = these.tail__O()
      };
      return result
    }
  };
  $$js$exported$meth$getId__O() {
    return this.getId__T()
  };
  getId__T() {
    return this.element__Lamf_core_model_domain_DomainElement().id__T()
  };
  withId__T__Lamf_model_domain_DomainElement(id) {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, id);
    return this
  };
  customDomainProperties__sjs_js_Array() {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    const jsx$2 = this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$2 = $this.platform$2;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, x$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$meth$getTypeIds__O() {
    return this.getTypeIds__sjs_js_Iterable()
  };
  $$js$exported$meth$withId__T__O(id) {
    return this.withId__T__Lamf_model_domain_DomainElement(id)
  };
  position__Lamf_core_parser_Range() {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    const x1 = $f_Lamf_core_model_domain_DomainElement__position__s_Option(this$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pos = x2.value$2;
      return pos
    } else {
      return null
    }
  };
  $$js$exported$meth$position__O() {
    return this.position__Lamf_core_parser_Range()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return this.customDomainProperties__sjs_js_Array()
  };
  getScalarByPropertyId__T__sjs_js_Iterable(propertyId) {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    const this$3 = $f_Lamf_core_model_domain_DomainElement__getScalarByPropertyId__T__sci_List(this$1, propertyId);
    const f = (function($this) {
      return (function(x$5$2) {
        return x$5$2
      })
    })(this);
    const this$2 = $m_sci_List$();
    const bf = this$2.ReusableCBFInstance$2;
    let col;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$3 === $m_sci_Nil$())) {
        col = $m_sci_Nil$()
      } else {
        const arg1 = this$3.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$3.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        col = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
      let these = this$3;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      col = b.result__O()
    };
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$prop$extendsNode__O() {
    return this.extendsNode__sjs_js_Array()
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Iterable__O(customProperties) {
    return this.withCustomDomainProperties__sjs_js_Iterable__Lamf_model_domain_DomainElement(customProperties)
  };
  $$js$exported$meth$getPropertyIds__O() {
    return this.getPropertyIds__sjs_js_Iterable()
  };
  $$js$exported$meth$getObjectByPropertyId__T__O(propertyId) {
    return this.getObjectByPropertyId__T__sjs_js_Iterable(propertyId)
  };
  getObjectByPropertyId__T__sjs_js_Iterable(propertyId) {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    const jsx$2 = $f_Lamf_core_model_domain_DomainElement__getObjectByPropertyId__T__sc_Seq(this$1, propertyId);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(d$2) {
        const d = d$2;
        const this$2 = $m_Lamf_model_domain_DomainElement$();
        const this$3 = this$2.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$3, d)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    const this$7 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$7, result)));
      return result
    }
  };
  getTypeIds__sjs_js_Iterable() {
    const this$1 = this.element__Lamf_core_model_domain_DomainElement();
    const col = $f_Lamf_core_model_domain_DomainElement__getTypeIds__sci_List(this$1);
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      let these = col;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        (result.push(arg1) | 0);
        these = these.tail__O()
      };
      return result
    }
  };
  $$js$exported$meth$getScalarByPropertyId__T__O(propertyId) {
    return this.getScalarByPropertyId__T__sjs_js_Iterable(propertyId)
  };
  withCustomDomainProperties__sjs_js_Iterable__Lamf_model_domain_DomainElement(customProperties) {
    const this$8 = this.element__Lamf_core_model_domain_DomainElement();
    $m_sc_Iterable$();
    $m_sc_Iterable$();
    $m_sci_Iterable$();
    const b = new $c_scm_ListBuffer().init___();
    const __self = customProperties[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      const x$3 = value;
      const elem = x$3.domainExtension$3;
      b.$$plus$eq__O__scm_ListBuffer(elem)
    };
    const this$7 = b.toList__sci_List();
    const field = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$8, field, this$7);
    return this
  };
  withExtendsNode__sjs_js_Iterable__Lamf_model_domain_DomainElement(extend) {
    const this$8 = this.element__Lamf_core_model_domain_DomainElement();
    $m_sc_Iterable$();
    $m_sc_Iterable$();
    $m_sci_Iterable$();
    const b = new $c_scm_ListBuffer().init___();
    const __self = extend[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      const x$4 = value;
      const elem = x$4.element__Lamf_core_model_domain_templates_ParametrizedDeclaration();
      b.$$plus$eq__O__scm_ListBuffer(elem)
    };
    const this$7 = b.toList__sci_List();
    const field = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$8, field, this$7);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DomainElement is abstract"))
  };
  "getObjectByPropertyId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$getObjectByPropertyId__T__O(prep0)
  };
  "getScalarByPropertyId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$getScalarByPropertyId__T__O(prep0)
  };
  "getPropertyIds"() {
    return this.$$js$exported$meth$getPropertyIds__O()
  };
  "getTypeIds"() {
    return this.$$js$exported$meth$getTypeIds__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "getId"() {
    return this.$$js$exported$meth$getId__O()
  };
  "position"() {
    return this.$$js$exported$meth$position__O()
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Iterable__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Iterable__O(prep0)
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
}
const $is_Lamf_model_domain_DomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_DomainElement)))
});
const $isArrayOf_Lamf_model_domain_DomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_DomainElement)))
});
const $d_Lamf_model_domain_DomainElement = new $TypeData().initClass({
  Lamf_model_domain_DomainElement: 0
}, false, "amf.model.domain.DomainElement", {
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_DomainElement.prototype.$classData = $d_Lamf_model_domain_DomainElement;
class $c_Lamf_plugins_document_graph_AMFGraphPlugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.vendors$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_graph_AMFGraphPlugin$ = this;
    this.ID$2 = "AMF Graph";
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMF JSON-LD", "AMF Graph"]));
    return this
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    return true
  };
  modelEntities__sc_Seq() {
    return $m_sci_Nil$()
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/ld+json", "application/json", "application/amf+json"]))
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return $m_Lamf_core_parser_SimpleReferenceHandler$()
  };
  ID__T() {
    return this.ID$2
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(root, ctx, platform) {
    return new $c_s_Some().init___O($m_Lamf_plugins_document_graph_parser_GraphParser$().apply__Lamf_core_remote_Platform__Lamf_plugins_document_graph_parser_GraphParser(platform).parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(root.parsed$1.document$1, root.location$1))
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Option(unit, options) {
    return this.unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Some(unit, options)
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  canParse__Lamf_core_Root__Z(root) {
    const node = root.parsed$1.document$1.node$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node);
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$3 = $m_sc_IndexedSeq$();
    const bf = this$3.ReusableCBF$6;
    const maybeMaps = jsx$1.toOption__Lorg_yaml_convert_YRead__s_Option(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf));
    let maybeMap;
    if (maybeMaps.isEmpty__Z()) {
      maybeMap = $m_s_None$()
    } else {
      const arg1 = maybeMaps.get__O();
      const s = arg1;
      maybeMap = s.headOption__s_Option()
    };
    if ($is_s_Some(maybeMap)) {
      const x2 = maybeMap;
      const m = x2.value$2;
      if ((m !== null)) {
        const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m);
        const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
        return jsx$2.key__T__s_Option(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "encodes").iri__T()).isDefined__Z()
      }
    };
    return false
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, ctx, platform) {
    return this.parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(document, ctx, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  serializableAnnotations__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    return new $c_Lamf_core_resolution_pipelines_BasicResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Some(unit, options) {
    return new $c_s_Some().init___O($m_Lamf_plugins_document_graph_parser_GraphEmitter$().emit__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lorg_yaml_model_YDocument(unit, options))
  };
}
const $d_Lamf_plugins_document_graph_AMFGraphPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_AMFGraphPlugin$: 0
}, false, "amf.plugins.document.graph.AMFGraphPlugin$", {
  Lamf_plugins_document_graph_AMFGraphPlugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_document_graph_AMFGraphPlugin$.prototype.$classData = $d_Lamf_plugins_document_graph_AMFGraphPlugin$;
let $n_Lamf_plugins_document_graph_AMFGraphPlugin$ = (void 0);
const $m_Lamf_plugins_document_graph_AMFGraphPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_AMFGraphPlugin$)) {
    $n_Lamf_plugins_document_graph_AMFGraphPlugin$ = new $c_Lamf_plugins_document_graph_AMFGraphPlugin$().init___()
  };
  return $n_Lamf_plugins_document_graph_AMFGraphPlugin$
});
class $c_Lamf_plugins_document_vocabularies_core_NamespaceMap$ extends $c_O {
  init___() {
    return this
  };
  apply__T__s_Option(s) {
    const a = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(s, 47);
    const b = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(s, 35);
    const ind = ((a > b) ? a : b);
    if ((ind > 0)) {
      const endIndex = ((1 + ind) | 0);
      const namespace = new $c_Lamf_core_vocabulary_Namespace().init___T(s.substring(0, endIndex));
      const beginIndex = ((1 + ind) | 0);
      const str1 = s.substring(beginIndex);
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_core_NamespaceMap().init___Lamf_core_vocabulary_Namespace__T(namespace, str1))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_core_NamespaceMap$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_NamespaceMap$: 0
}, false, "amf.plugins.document.vocabularies.core.NamespaceMap$", {
  Lamf_plugins_document_vocabularies_core_NamespaceMap$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_NamespaceMap$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_NamespaceMap$;
let $n_Lamf_plugins_document_vocabularies_core_NamespaceMap$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_NamespaceMap$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_NamespaceMap$)) {
    $n_Lamf_plugins_document_vocabularies_core_NamespaceMap$ = new $c_Lamf_plugins_document_vocabularies_core_NamespaceMap$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_NamespaceMap$
});
class $c_Lamf_plugins_document_vocabularies_core_ValidationIssue$ extends $c_O {
  constructor() {
    super();
    this.ERROR$1 = 0;
    this.WARNING$1 = 0
  };
  init___() {
    this.ERROR$1 = 2;
    this.WARNING$1 = 1;
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_ValidationIssue$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_ValidationIssue$: 0
}, false, "amf.plugins.document.vocabularies.core.ValidationIssue$", {
  Lamf_plugins_document_vocabularies_core_ValidationIssue$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_ValidationIssue$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_ValidationIssue$;
let $n_Lamf_plugins_document_vocabularies_core_ValidationIssue$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_ValidationIssue$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_ValidationIssue$)) {
    $n_Lamf_plugins_document_vocabularies_core_ValidationIssue$ = new $c_Lamf_plugins_document_vocabularies_core_ValidationIssue$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_ValidationIssue$
});
class $c_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$ extends $c_Lamf_plugins_document_vocabularies_registries_DialectRegistry {
  constructor() {
    super();
    this.platform$2 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_registries_DialectRegistry.prototype.init___.call(this);
    $n_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.add__Lamf_plugins_document_vocabularies_spec_Dialect__Lamf_plugins_document_vocabularies_registries_DialectRegistry($m_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$());
    this.add__Lamf_plugins_document_vocabularies_spec_Dialect__Lamf_plugins_document_vocabularies_registries_DialectRegistry($m_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$());
    return this
  };
  registerDialect__T__T__s_concurrent_Future(url, dialectCode) {
    const this$2 = this.platform$2;
    const mimeType = $m_s_None$();
    $f_Lamf_core_remote_Platform__cacheResourceText__T__T__s_Option__V(this$2, url, dialectCode, mimeType);
    const res = this.registerDialect__T__s_concurrent_Future(url);
    const this$3 = this.platform$2;
    this$3.resourceCache__scm_Map().remove__O__s_Option(url);
    return res
  };
  registerDialect__T__s_concurrent_Future(uri) {
    const this$5 = $m_Lamf_core_services_RuntimeValidator$();
    const f = (function($this, uri$1) {
      return (function(reenableValidations$2) {
        const reenableValidations = reenableValidations$2;
        return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(uri$1, $m_s_Option$().apply__O__s_Option("application/yaml"), $m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$().ID$2, $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context($this.platform$2), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_core_parser_UnspecifiedReference$()), ($m_Lamf_core_services_RuntimeCompiler$(), new $c_Lamf_core_remote_Cache().init___()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_s_None$())).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, reenableValidations$1) {
          return (function(compiled$2) {
            const compiled = compiled$2;
            reenableValidations$1.apply__O();
            const dialect = new $c_Lamf_plugins_document_vocabularies_core_DialectLoader().init___Lamf_core_model_document_BaseUnit(compiled).loadDialect__Lamf_plugins_document_vocabularies_spec_Dialect();
            $this$1.add__Lamf_plugins_document_vocabularies_spec_Dialect__Lamf_plugins_document_vocabularies_registries_DialectRegistry(dialect);
            return dialect
          })
        })($this, reenableValidations)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      })
    })(this, uri);
    const x1 = this$5.validator$1;
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    const x2 = x1;
    const runtimeValidator = x2.value$2;
    if (runtimeValidator.enabled$1) {
      runtimeValidator.enabled$1 = false;
      try {
        const arg1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$2) {
          return (function() {
            $this$2.enabled$1 = true
          })
        })(runtimeValidator));
        return f(arg1)
      } catch (e) {
        const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ($is_jl_Exception(e$2)) {
          const e$3 = e$2;
          runtimeValidator.enabled$1 = true;
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$3)
        } else {
          throw e
        }
      }
    } else {
      const arg1$1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1) {
        return (function() {
          return (void 0)
        })
      })(runtimeValidator));
      return f(arg1$1)
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$: 0
}, false, "amf.plugins.document.vocabularies.registries.PlatformDialectRegistry$", {
  Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$: 1,
  Lamf_plugins_document_vocabularies_registries_DialectRegistry: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$;
let $n_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$)) {
    $n_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$ = new $c_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$
});
class $c_Lamf_plugins_document_vocabularies_spec_Dialect$ extends $c_O {
  init___() {
    return this
  };
  retrieveDomainEntity__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(unit) {
    if ($is_Lamf_core_model_document_EncodesModel(unit)) {
      const x1$2 = unit.encodes__Lamf_core_model_domain_DomainElement();
      if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x1$2)) {
        const x2$2 = x1$2;
        return x2$2
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Encoded domain element is not a dialect domain entity ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1$2]))))
      }
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot extract domain entity from unit: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([unit]))))
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_Dialect$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_Dialect$: 0
}, false, "amf.plugins.document.vocabularies.spec.Dialect$", {
  Lamf_plugins_document_vocabularies_spec_Dialect$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_Dialect$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_Dialect$;
let $n_Lamf_plugins_document_vocabularies_spec_Dialect$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_Dialect$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_Dialect$)) {
    $n_Lamf_plugins_document_vocabularies_spec_Dialect$ = new $c_Lamf_plugins_document_vocabularies_spec_Dialect$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_Dialect$
});
class $c_Lamf_plugins_document_vocabularies_spec_DialectNode extends $c_O {
  constructor() {
    super();
    this.shortName$1 = null;
    this.namespace$1 = null;
    this.dynamicType$1 = false;
    this.typeCalculator$1 = null;
    this.extraTypes$1 = null;
    this.type$1 = null;
    this.keyProperty$1 = null;
    this.nameProvider$1 = null;
    this.props$1 = null;
    this.$$unddialect$1 = null;
    this.id$1 = null;
    this.hasProps$1 = false;
    this.hasClazz$1 = false;
    this.dynamic$1 = false
  };
  add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(p) {
    const mapping = p.adopt__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(this);
    this.props$1.put__O__O__s_Option(mapping.name$1, mapping);
    return mapping
  };
  dialect__s_Option() {
    return this.$$unddialect$1
  };
  mappings__sci_List() {
    return this.props$1.values__sc_Iterable().toList__sci_List()
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  str$default$2__F1() {
    return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return x
      })
    })(this))
  };
  fieldValueDiscriminator__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator(prop) {
    const discriminator = $m_Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator$().apply__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator(prop);
    this.typeCalculator$1 = new $c_s_Some().init___O(discriminator);
    return discriminator
  };
  calcTypes__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__sci_List(domainEntity) {
    if ((!this.hasClazz$1)) {
      return $m_sci_Nil$()
    } else {
      const x1 = this.typeCalculator$1;
      let calculated;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const calculator = x2.value$2;
        const jsx$2 = this.extraTypes$1.toList__sci_List();
        const jsx$1 = calculator.calcTypes__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__sci_List(domainEntity);
        const this$1 = $m_sci_List$();
        calculated = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        calculated = this.extraTypes$1.toList__sci_List()
      };
      const jsx$3 = domainEntity.definition$1.type$1;
      const this$2 = $m_sci_List$();
      return calculated.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2).distinct__O()
    }
  };
  init___T__Lamf_core_vocabulary_Namespace(shortName, namespace) {
    this.shortName$1 = shortName;
    this.namespace$1 = namespace;
    this.dynamic$1 = false;
    this.dynamicType$1 = true;
    this.typeCalculator$1 = $m_s_None$();
    this.extraTypes$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(namespace, shortName)]);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    this.keyProperty$1 = $m_s_None$();
    this.nameProvider$1 = $m_s_None$();
    this.props$1 = new $c_scm_LinkedHashMap().init___();
    this.$$unddialect$1 = $m_s_None$();
    this.id$1 = $m_s_None$();
    this.hasProps$1 = false;
    this.hasClazz$1 = true;
    return this
  };
  fields__sci_List() {
    const this$2 = this.props$1.values__sc_Iterable().toList__sci_List();
    const f = (function($this) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return x$8.field__Lamf_core_metamodel_Field()
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        return h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      return b.result__O()
    }
  };
  map__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectNode__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(propertyMapping, hash, node, adapter) {
    const x$83 = new $c_s_Some().init___O(hash);
    const x$84 = $m_s_None$();
    const x$87 = $m_s_None$();
    const x$90 = $m_s_None$();
    const x$94 = $m_s_None$();
    const x$95 = $m_s_None$();
    const x$97 = $m_s_None$();
    const x$98 = $m_s_None$();
    const x$100 = $m_s_None$();
    const x$101 = $m_s_None$();
    const x$102 = $m_s_None$();
    const x$103 = $m_s_None$();
    const x$104 = $m_s_None$();
    return this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(adapter.apply__O__O(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(propertyMapping, node, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104)))
  };
  withType__T__V(t) {
    this.extraTypes$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_vocabulary_UriType().init___T(t))
  };
  keyProperty__s_Option() {
    return this.keyProperty$1
  };
  ref$default$3__F1() {
    return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return x
      })
    })(this))
  };
  map$default$4__F1() {
    return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return x
      })
    })(this))
  };
  namespace__Lamf_core_vocabulary_Namespace() {
    return this.namespace$1
  };
  str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(propertyMapping, adapter) {
    return this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(adapter.apply__O__O(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(propertyMapping, $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$())))
  };
  type__sci_List() {
    return this.type$1
  };
  shortName__T() {
    return this.shortName$1
  };
  ref__T__Lamf_plugins_document_vocabularies_spec_DialectNode__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(propertyMapping, dialectNode, adapter) {
    const x$58 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59 = new $c_s_Some().init___O(dialectNode);
    const x$60 = $m_s_None$();
    const x$65 = $m_s_None$();
    const x$66 = $m_s_None$();
    const x$70 = $m_s_None$();
    const x$71 = $m_s_None$();
    const x$73 = $m_s_None$();
    const x$74 = $m_s_None$();
    const x$76 = $m_s_None$();
    const x$77 = $m_s_None$();
    const x$78 = $m_s_None$();
    const x$79 = $m_s_None$();
    const x$80 = $m_s_None$();
    return this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(adapter.apply__O__O(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(propertyMapping, x$58, x$60, false, false, x$59, false, false, x$65, x$66, false, false, false, x$70, x$71, true, x$73, x$74, false, x$76, x$77, x$78, x$79, x$80)))
  };
  bool$default$2__F1() {
    return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return x
      })
    })(this))
  };
  bool__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(propertyMapping, adapter) {
    return this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(adapter.apply__O__O(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(propertyMapping, $m_Lamf_core_metamodel_Type$Bool$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$())))
  };
  withGlobalIdField__T__Lamf_plugins_document_vocabularies_spec_DialectNode(field) {
    this.id$1 = new $c_s_Some().init___O(field);
    return this
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectNode)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectNode)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectNode = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectNode: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectNode", {
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectNode.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectNode;
class $c_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_vocabularies_spec_DialectContext__Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations(ctx) {
    const references = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return new $c_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations().init___scm_Map__Lamf_plugins_document_vocabularies_spec_DialectContext(references, ctx)
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$: 0
}, false, "amf.plugins.document.vocabularies.spec.ReferenceDeclarations$", {
  Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$;
let $n_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$)) {
    $n_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$ = new $c_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$
});
const $f_Lamf_plugins_document_vocabularies_spec_TypeBuiltins__$$init$__V = (function($thiz) {
  const id = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().STRING$1;
  const t = $m_Lamf_core_metamodel_Type$Str$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id, "string", t);
  const id$1 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().INTEGER$1;
  const t$1 = $m_Lamf_core_metamodel_Type$Int$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$1, "integer", t$1);
  const id$2 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().NUMBER$1;
  const t$2 = $m_Lamf_core_metamodel_Type$Int$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$2, "number", t$2);
  const id$3 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().FLOAT$1;
  const t$3 = $m_Lamf_core_metamodel_Type$Int$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$3, "number", t$3);
  const id$4 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().BOOLEAN$1;
  const t$4 = $m_Lamf_core_metamodel_Type$Bool$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$4, "boolean", t$4);
  const id$5 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().DATE$1;
  const t$5 = $m_Lamf_core_metamodel_Type$Str$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$5, "date", t$5);
  const id$6 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().DATE$undTIME$1;
  const t$6 = $m_Lamf_core_metamodel_Type$Str$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$6, "dateTime", t$6);
  const id$7 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().TIME$1;
  const t$7 = $m_Lamf_core_metamodel_Type$Str$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$7, "time", t$7);
  const id$8 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().URI$1;
  const t$8 = $m_Lamf_core_metamodel_Type$Iri$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$8, "uri", t$8);
  const id$9 = $m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().ANY$1;
  const t$9 = $m_Lamf_core_metamodel_Type$Any$();
  $f_Lamf_plugins_document_vocabularies_spec_Builtins__add__T__T__Lamf_core_metamodel_Type__Lamf_plugins_document_vocabularies_spec_Builtins($thiz, id$9, "any", t$9)
});
class $c_Lamf_plugins_document_webapi_PayloadPlugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.vendors$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_PayloadPlugin$ = this;
    this.ID$2 = "AMF Payload";
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMF Payload"]));
    return this
  };
  notRAML__p2__Lamf_core_Root__Z(root) {
    if (root.parsed$1.comment$1.isEmpty__Z()) {
      return true
    } else {
      const thiz = root.parsed$1.comment$1.get__O().metaText$3;
      return (!(((thiz.length | 0) >= 0) && (thiz.substring(0, ("%".length | 0)) === "%")))
    }
  };
  notOAS__p2__Lamf_core_Root__Z(root) {
    const x1 = root.parsed$1.document$1.node$3.value__Lorg_yaml_model_YValue();
    if ((!$is_Lorg_yaml_model_YMap(x1))) {
      return true
    } else {
      const x2 = x1;
      return (!x2.entries$3.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          const thiz = x$1.key$1.value__Lorg_yaml_model_YValue().text$3;
          return (((thiz.length | 0) >= 0) && (thiz.substring(0, ("swagger".length | 0)) === "swagger"))
        })
      })(this))))
    }
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    return false
  };
  modelEntities__sc_Seq() {
    return $m_sci_Nil$()
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/amf+json", "application/amf+yaml"]))
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return $m_Lamf_core_parser_SimpleReferenceHandler$()
  };
  ID__T() {
    return this.ID$2
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(root, parentContext, platform) {
    const document = root.parsed$1.document$1;
    const location = root.location$1;
    return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_PayloadParser().init___Lorg_yaml_model_YDocument__T__Lamf_core_parser_ParserContext(document, location, parentContext).parseUnit__Lamf_core_model_document_Document())
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Option(unit, options) {
    return $m_s_None$()
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$(), $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$()]))
  };
  canParse__Lamf_core_Root__Z(root) {
    return (this.notRAML__p2__Lamf_core_Root__Z(root) && this.notOAS__p2__Lamf_core_Root__Z(root))
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, ctx, platform) {
    return this.parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(document, ctx, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    return new $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  serializableAnnotations__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
}
const $d_Lamf_plugins_document_webapi_PayloadPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_PayloadPlugin$: 0
}, false, "amf.plugins.document.webapi.PayloadPlugin$", {
  Lamf_plugins_document_webapi_PayloadPlugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_document_webapi_PayloadPlugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_PayloadPlugin$;
let $n_Lamf_plugins_document_webapi_PayloadPlugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_PayloadPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_PayloadPlugin$)) {
    $n_Lamf_plugins_document_webapi_PayloadPlugin$ = new $c_Lamf_plugins_document_webapi_PayloadPlugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_PayloadPlugin$
});
class $c_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory extends $c_O {
  constructor() {
    super();
    this.spec$1 = null;
    this.typesKey$1 = null
  };
  typesEmitter__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(shape$2, ordering$2, annotations$2, ignored$2, references$2) {
        const shape = shape$2;
        const ordering = ordering$2;
        const annotations = annotations$2;
        const ignored = ignored$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, annotations, ignored, references, $this.spec$1)
      })
    })(this))
  };
  parameterEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(parameter$2, ordering$2, references$2) {
        const parameter = parameter$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parameter, ordering, references, $this.spec$1)
      })
    })(this))
  };
  tagToReferenceEmitter__F3() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3(this)
  };
  payloadsEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, f$2, ordering$2, references$2) {
        const key = key$2;
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, references, $this.spec$1)
      })
    })(this))
  };
  namedSecurityEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$1)
      })
    })(this))
  };
  endpointEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(endpoint$2, ordering$2, children$2, references$2) {
        const endpoint = endpoint$2;
        const ordering = ordering$2;
        const children = children$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter().init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, $this.spec$1)
      })
    })(this))
  };
  facetsInstanceEmitter__F2() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Facerts not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  annotationTypeEmitter__F2() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Annotation types not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  annotationEmitter__F2() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Annotations not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  rootLevelEmitters__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(document$2, ordering$2) {
        const document = document$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, $this.spec$1)
      })
    })(this))
  };
  customFacetsEmitter__F3() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Custom facets not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(spec) {
    this.spec$1 = spec;
    this.typesKey$1 = "schemas";
    return this
  };
  parametrizedSecurityEmitter__F2() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__parametrizedSecurityEmitter__F2(this)
  };
  typesKey__T() {
    return this.typesKey$1
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  responseEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(response$2, ordering$2, references$2) {
        const response = response$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, $this.spec$1)
      })
    })(this))
  };
  operationEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(operation$2, ordering$2, references$2) {
        const operation = operation$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter().init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, $this.spec$1)
      })
    })(this))
  };
  retrieveHeader__Lamf_core_model_document_BaseUnit__T(document) {
    if ($is_Lamf_core_model_document_Document(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$().text$1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Document has no header."))
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08EmitterVersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory;
class $c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext {
  constructor() {
    super();
    this.factory$3 = null;
    this.vendor$3 = null
  };
  init___() {
    const refEmitter = $m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$();
    $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.factory$3 = new $c_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this);
    this.vendor$3 = $m_Lamf_core_remote_Raml08$();
    return this
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory() {
    return this.factory$3
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$3
  };
  factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory() {
    return this.factory$3
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08SpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null
  };
  requestParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(map$2, producer$2, parseOptional$2) {
        const map = map$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser().init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  parameterParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  endPointParser__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(entry$2, producer$2, parent$2, collector$2, parseOptionalOperations$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parent = parent$2;
        const collector = collector$2;
        const parseOptionalOperations = (!(!parseOptionalOperations$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser().init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, $this.ctx$1)
      })
    })(this))
  };
  payloadParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  responseParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  operationParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.ctx$1 = ctx;
    return this
  };
  typeParser__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(ast$2, adopt$2, isAnnotation$2, defaultType$2) {
        const ast = ast$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(ast, adopt, isAnnotation, defaultType, $this.ctx$1)
      })
    })(this))
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08VersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08VersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml08VersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecVersionFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory;
class $c_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory extends $c_O {
  constructor() {
    super();
    this.spec$1 = null;
    this.typesKey$1 = null
  };
  typesEmitter__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(shape$2, ordering$2, annotations$2, ignored$2, references$2) {
        const shape = shape$2;
        const ordering = ordering$2;
        const annotations = annotations$2;
        const ignored = ignored$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, annotations, ignored, references, $this.spec$1)
      })
    })(this))
  };
  parameterEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(parameter$2, ordering$2, references$2) {
        const parameter = parameter$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parameter, ordering, references, $this.spec$1)
      })
    })(this))
  };
  tagToReferenceEmitter__F3() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3(this)
  };
  payloadsEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, f$2, ordering$2, references$2) {
        const key = key$2;
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, references, $this.spec$1)
      })
    })(this))
  };
  namedSecurityEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$1)
      })
    })(this))
  };
  endpointEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(endpoint$2, ordering$2, children$2, references$2) {
        const endpoint = endpoint$2;
        const ordering = ordering$2;
        const children = children$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter().init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, $this.spec$1)
      })
    })(this))
  };
  facetsInstanceEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(shapeExtension$2, ordering$2) {
        const shapeExtension = shapeExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter().init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, $this.spec$1)
      })
    })(this))
  };
  annotationTypeEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(property$2, ordering$2) {
        const property = property$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter().init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(property, ordering, $this.spec$1)
      })
    })(this))
  };
  annotationEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(domainExtension$2, ordering$2) {
        const domainExtension = domainExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter().init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, $this.spec$1)
      })
    })(this))
  };
  rootLevelEmitters__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(document$2, ordering$2) {
        const document = document$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, $this.spec$1)
      })
    })(this))
  };
  customFacetsEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(f$2, ordering$2, references$2) {
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, references, $this.spec$1)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(spec) {
    this.spec$1 = spec;
    this.typesKey$1 = "types";
    return this
  };
  parametrizedSecurityEmitter__F2() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__parametrizedSecurityEmitter__F2(this)
  };
  typesKey__T() {
    return this.typesKey$1
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  responseEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(response$2, ordering$2, references$2) {
        const response = response$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, $this.spec$1)
      })
    })(this))
  };
  operationEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(operation$2, ordering$2, references$2) {
        const operation = operation$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter().init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, $this.spec$1)
      })
    })(this))
  };
  retrieveHeader__Lamf_core_model_document_BaseUnit__T(document) {
    if ($is_Lamf_plugins_document_webapi_model_Extension(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().text$1
    } else if ($is_Lamf_plugins_document_webapi_model_Overlay(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().text$1
    } else if ($is_Lamf_core_model_document_Document(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$().text$1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Document has no header."))
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10EmitterVersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory;
class $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext {
  constructor() {
    super();
    this.factory$3 = null;
    this.vendor$3 = null
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory() {
    return this.factory$3
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$3
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.factory$3 = new $c_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this);
    this.vendor$3 = $m_Lamf_core_remote_Raml10$();
    return this
  };
  factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory() {
    return this.factory$3
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10SpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null
  };
  requestParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(map$2, producer$2, parseOptional$2) {
        const map = map$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser().init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  parameterParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  endPointParser__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(entry$2, producer$2, parent$2, collector$2, parseOptionalOperations$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parent = parent$2;
        const collector = collector$2;
        const parseOptionalOperations = (!(!parseOptionalOperations$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser().init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, $this.ctx$1)
      })
    })(this))
  };
  payloadParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  responseParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  operationParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.ctx$1 = ctx;
    return this
  };
  typeParser__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(ast$2, adopt$2, isAnnotation$2, defaultType$2) {
        const ast = ast$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(ast, adopt, isAnnotation, defaultType, $this.ctx$1)
      })
    })(this))
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10VersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10VersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml10VersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecVersionFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory;
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$ extends $c_O {
  init___() {
    return this
  };
  fromText__T__s_Option(text) {
    if ((text === $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$().text$1)) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$())
    };
    if ((text === $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$().text$1)) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$())
    };
    if ((text === $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$().text$1)) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$())
    };
    if ((text === $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().text$1)) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$())
    };
    if ((text === $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().text$1)) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$())
    };
    const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$();
    const o12 = this$1.fromText__p1__T__s_Option(text);
    if ((!o12.isEmpty__Z())) {
      const fragment = o12.get__O();
      return new $c_s_Some().init___O(fragment)
    };
    if ((((text.length | 0) >= 0) && (text.substring(0, ("%".length | 0)) === "%"))) {
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_RamlHeader().init___T(text))
    };
    return $m_s_None$()
  };
  apply__Lamf_core_Root__s_Option(root) {
    const this$1 = root.parsed$1.comment$1;
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const c = arg1;
      x1 = this.fromText__T__s_Option(c.metaText$3)
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const header = x2.value$2;
      return $m_s_Option$().apply__O__s_Option(header)
    } else {
      const this$2 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$();
      return this$2.fromRoot__Lamf_core_Root__s_Option(root)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ extends $c_O {
  init___() {
    return this
  };
  parseExtensions__T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(parent, map, ctx) {
    const jsx$2 = map.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1, ctx$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const key = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), ctx$1).text$3;
        const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().resolveAnnotation__T__s_Option(key);
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$1 = arg1;
          const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser().init___T__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(x$1, parent$1, entry, ctx$1).parse__Lamf_core_model_domain_extensions_DomainExtension();
          const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
          xo = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other))
        };
        return xo.toList__sci_List()
      })
    })(this, parent, ctx));
    const this$4 = $m_sc_IndexedSeq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBF$6)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.AnnotationParser$", {
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser(declaration, parent, entry, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const node = entry.key$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(declaration, parent, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), entry.value$1, ctx)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter extends $c_O {
  constructor() {
    super();
    this.domainExtension$1 = null;
    this.ordering$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    k.$$plus$eq__T__V(this.name__T());
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_s_Option$();
    const this$1 = this.domainExtension$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const x$2 = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(x$2, this.ordering$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$3 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$3, 0);
    const this$4 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$4, 0))
  };
  init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, spec) {
    this.domainExtension$1 = domainExtension;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.domainExtension$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return $this.shapeEmitter__F3().apply__O__O__O__O(v$1, $this.ordering$1, $this.references$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.securityScheme$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f, this.ordering$1, this.references$1, this.spec$1))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("queryParameters", f$3, this.ordering$1, this.references$1, this.spec$1))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("responses", f$4, this.ordering$1, this.references$1, this.spec$1))
    };
    return results
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.securityScheme$1.fields$1;
    const results = this.entries__Lamf_core_parser_Fields__sc_Seq(fs);
    if (results.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(results), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$7 = v.builder$1;
      const array = [key];
      if ((this$7.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$7.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
      const len$1 = this$7.size0$6;
      const src = this$7.array$6;
      const dest = this$7.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$7.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$7.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, spec) {
    this.key$1 = key;
    this.securityScheme$1 = securityScheme;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.securityScheme$1;
    const jsx$4 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1);
    const this$2 = this.securityScheme$1;
    const jsx$3 = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1);
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const this$4 = this.securityScheme$1;
    const jsx$1 = this$4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1);
    const this$5 = $m_sc_Seq$();
    const this$6 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).headOption__s_Option();
    let this$7;
    if (this$6.isEmpty__Z()) {
      this$7 = $m_s_None$()
    } else {
      const arg1 = this$6.get__O();
      const h = arg1;
      this$7 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(h.annotations__Lamf_core_parser_Annotations()))
    };
    return (this$7.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$7.get__O())
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter extends $c_O {
  constructor() {
    super();
    this.shapeExtension$1 = null;
    this.ordering$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    k.$$plus$eq__T__V(this.name__T());
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_s_Option$();
    const this$1 = this.shapeExtension$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().Extension$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const x$3 = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(x$3, this.ordering$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$3 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$3, 0);
    const this$4 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$4, 0))
  };
  init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, spec) {
    this.shapeExtension$1 = shapeExtension;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.shapeExtension$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ extends $c_O {
  init___() {
    return this
  };
  parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), ctx).parse__Lamf_plugins_domain_shapes_models_CreativeWork()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, adopt, oasNode, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry, entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), ctx).text$3, entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), adopt, oasNode, new $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext().init___Lamf_core_parser_ParserContext__s_Option(ctx, new $c_s_Some().init___O(ctx.declarations$3)))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.x5$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = this.x5$1$1;
    const jsx$2 = this$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2(this);
    const this$3 = $m_sc_Seq$();
    jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(s$2) {
        const s = s$2;
        $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().apply__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(s, $this.$$outer$1.ordering$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter__Lamf_plugins_domain_shapes_models_UnionShape($$outer, x5$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.x5$1$1 = x5$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.x5$1$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.annotations$2)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeEmitter$$anon$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(ast, adopt, isAnnotation, defaultType, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), ctx).text$3, ast.value$1, adopt, isAnnotation, defaultType, new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(ctx, new $c_s_Some().init___O(ctx.declarations$3)))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(shape, ordering, references, spec) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), spec)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypePartEmitter$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2$$anon$1 extends $c_O {
  constructor() {
    super();
    this.x3$1$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2__Lamf_core_emitter_PartEmitter($$outer, x3$1) {
    this.x3$1$1 = x3$1;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.x3$1$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$1 = v.builder$1;
    const array = [key];
    if ((this$1.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$1.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$1, newSize);
    const len$1 = this$1.size0$6;
    const src = this$1.array$6;
    const dest = this$1.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$1.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$1.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    return this.x3$1$1.position__Lamf_core_parser_Position()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeEmitter$$anonfun$entries$2$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(ast, adopt, isAnnotation, defaultType, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const node = ast.key$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), ast.value$1, adopt, isAnnotation, defaultType, new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(ctx, new $c_s_Some().init___O(ctx.declarations$3)))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.securityScheme$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1));
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare security scheme without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.securityScheme$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.securityScheme$1;
    let vf_$_f$2;
    if (this$4.linkTarget$1.isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$2_$_f$2 = f;
      vf_$_f$2 = jsx$2_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$3_$_f$2 = f$1;
      vf_$_f$2 = jsx$3_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.securityScheme$1.linkTarget$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const l = arg1;
      const this$2 = this.securityScheme$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$2), this.references$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.securitySchemeEmitter__F3().apply__O__O__O__O(this.securityScheme$1, this.references$1, this.ordering$1).emitters__sc_Seq()), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.references$1 = references;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.securityScheme$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__Lamf_plugins_domain_shapes_models_UnionShape__Lorg_yaml_model_YNode__Lamf_core_parser_ParserContext__s_Option(union, part, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_parser_ParserContext(this.$$outer$1, union, ctx).matchUnionFather__Lorg_yaml_model_YPart__s_Option(part)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.emitter$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    if (($m_s_Option$().apply__O__s_Option(this.shape$1).isDefined__Z() && this.shape$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))) {
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, "", $m_Lorg_yaml_model_YType$().Null$1)
    } else {
      const x1 = this.emitter$1;
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const p = x2.value$2;
        p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
      } else if ($is_s_util_Right(x1)) {
        const x3 = x1;
        const entries = x3.value$2;
        const jsx$1 = b.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(entries), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, annotations, ignored, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    const x1 = this.emitters__sc_Seq();
    let jsx$1;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_s_package$();
          jsx$1 = new $c_s_util_Left().init___O(x3);
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$5)
        })
      })(this)))) {
        $m_s_package$();
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter(this);
        const this$3 = $m_sc_Seq$();
        const value = x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
        jsx$1 = new $c_s_util_Right().init___O(value);
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    };
    this.emitter$1 = jsx$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.emitters__sc_Seq().headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      this$2 = new $c_s_Some().init___O(x$4.position__Lamf_core_parser_Position())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(ctx) {
    const references = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations().init___scm_Map__Lamf_plugins_document_webapi_contexts_WebApiContext(references, ctx)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ReferenceDeclarations$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ extends $c_O {
  init___() {
    return this
  };
  parse__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_XMLSerializer(defaultName, node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(defaultName, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), ctx).parse__Lamf_plugins_domain_shapes_models_XMLSerializer()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.XMLSerializerParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(ast) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload($m_Lamf_plugins_domain_webapi_models_Parameter$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_Parameter(ast), $m_Lamf_plugins_domain_webapi_models_Payload$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Payload(ast))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParameter$", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ extends $c_O {
  init___() {
    return this
  };
  defaultPayload__sc_Seq__s_Option(payloads) {
    const this$2 = payloads.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        if ($m_s_Option$().apply__O__s_Option(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1)).isEmpty__Z()) {
          return true
        } else {
          const thiz = p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
          if ((thiz === null)) {
            throw new $c_jl_NullPointerException().init___()
          };
          return (thiz === "")
        }
      })
    })(this)));
    const this$3 = (this$2.isEmpty__Z() ? payloads.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return (x$5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1) === "application/json")
      })
    })(this))) : this$2);
    return (this$3.isEmpty__Z() ? payloads.headOption__s_Option() : this$3)
  };
  apply__sc_Seq__Z__Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(payloads, endpointPayloadEmitted) {
    const clean = payloads.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return (!x$2.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_EndPointBodyParameter.getClassOf()))
      })
    })(this)));
    const elem = clean.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DefaultPayload.getClassOf())
      })
    })(this)));
    const $default = new $c_sr_ObjectRef().init___O(elem);
    let jsx$1;
    if (endpointPayloadEmitted) {
      jsx$1 = $default.elem$1
    } else {
      const this$3 = $default.elem$1;
      jsx$1 = (this$3.isEmpty__Z() ? this.defaultPayload__sc_Seq__s_Option(clean) : this$3)
    };
    $default.elem$1 = jsx$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads().init___s_Option__sc_Seq($default.elem$1, clean.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, $default$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const this$5 = $default$1.elem$1;
        const x$2$1 = (this$5.isEmpty__Z() ? null : this$5.get__O());
        return (!((x$4 === null) ? (x$2$1 === null) : x$4.equals__O__Z(x$2$1)))
      })
    })(this, $default))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloads$", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ extends $c_O {
  init___() {
    return this
  };
  classified__sc_Seq__s_Option__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(params, payload) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(params.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.isQuery__Z()
      })
    })(this))), params.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.isPath__Z()
      })
    })(this))), params.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        return x$7.isHeader__Z()
      })
    })(this))), payload)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Parameters$", {
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(producer, node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, node$1, ctx$1) {
      return (function(key$2, scope$2) {
        const key = key$2;
        const scope = scope$2;
        return ctx$1.declarations$3.findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(node$1, key, scope)
      })
    })(this, node, ctx)), ctx).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedDeclarationParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter extends $c_O {
}
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.$$outer$1.payload$1;
    const str = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x1 = this.$$outer$1.typeEmitters$1;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const pe = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(pe)) {
          const x3 = pe;
          x3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$8)
        })
      })(this)))) {
        const jsx$4 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$2 = this.$$outer$1.ordering$1;
        const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1(this);
        const this$5 = $m_sc_Seq$();
        jsx$3.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$2.sorted__sc_Seq__sc_Seq(x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    };
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.$$outer$1.payload$1.annotations$1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2 extends $c_O {
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const map = $m_Lorg_yaml_model_YMap$().empty$1;
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter($$outer) {
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter$$anon$2", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter extends $c_O {
  constructor() {
    super();
    this.ordering$1 = null;
    this.children$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().fields$1;
    this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint();
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().parent__s_Option();
    if (this$2.isEmpty__Z()) {
      const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1).get__O();
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$3.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k)
    } else {
      const arg1 = this$2.get__O();
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().relativePath__T(), new $c_Lamf_core_parser_Annotations().init___()), $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k)
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$12 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$12, 0);
    const this$13 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$13, 0))
  };
  init___Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(ordering, children, references, spec) {
    this.ordering$1 = ordering;
    this.children$1 = children;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f, this.spec$1)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$3, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("", f$4, this.ordering$1).emitters__sc_Seq()))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$3 = this$4.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(f$5, this.ordering$1)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$4 = this$5.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("securedBy", f$6, this.ordering$1, this.spec$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint(), this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.children$1);
    return result
  };
  operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(f, ordering) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1) {
      return (function(e$2) {
        const e = e$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().operationEmitter__F3().apply__O__O__O__O(e, ordering$1, $this.references$1)
      })
    })(this, ordering));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().annotations$1)
  };
  $$plus$eq__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__V(child) {
    this.children$1.$$plus$eq__O__scm_ListBuffer(child)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter extends $c_O {
  constructor() {
    super();
    this.operation$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("displayName", f)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$3, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(deprecated)", f$4)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$3 = this$4.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(summary)", f$5)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$4 = this$5.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("(externalDocs)", f$6.value$1.value$1, this.ordering$1, this.spec$1)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$5 = this$6.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("protocols", f$7, this.ordering$1, false)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$6 = this$7.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("(consumes)", f$8, this.ordering$1, false)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$7 = this$8.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("(produces)", f$9, this.ordering$1, false)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$9.isEmpty__Z())) {
      const arg1$8 = this$9.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("", f$10, this.ordering$1).emitters__sc_Seq()))
    };
    const jsx$1 = $m_s_Option$();
    const this$10 = this.operation$1;
    const this$11 = jsx$1.apply__O__s_Option(this$10.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    if ((!this$11.isEmpty__Z())) {
      const arg1$9 = this$11.get__O();
      const req = arg1$9;
      const fields = req.fields$1;
      const this$12 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1);
      if ((!this$12.isEmpty__Z())) {
        const arg1$10 = this$12.get__O();
        const f$1 = arg1$10;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("queryParameters", f$1, this.ordering$1, this.references$1, this.spec$1)))
      };
      const this$13 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
      if ((!this$13.isEmpty__Z())) {
        const arg1$11 = this$13.get__O();
        const f$3$1 = arg1$11;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f$3$1, this.ordering$1, this.references$1, this.spec$1)))
      };
      const this$14 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1);
      if ((!this$14.isEmpty__Z())) {
        const arg1$12 = this$14.get__O();
        const f$4$1 = arg1$12;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().payloadsEmitter__F4().apply__O__O__O__O__O("body", f$4$1, this.ordering$1, this.references$1)))
      };
      const this$15 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1);
      if ((!this$15.isEmpty__Z())) {
        const arg1$13 = this$15.get__O();
        const f$5$1 = arg1$13;
        new $c_s_Some().init___O((f$5$1.value$1.value$1.values$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(f$2$2) {
            const f$2 = f$2$2;
            return (!f$2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
          })
        })(this))) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.baseUriParameterKey__T(), f$5$1, this.ordering$1, this.references$1, this.spec$1)) : (void 0)))
      }
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$14 = this$16.get__O();
      const f$11 = arg1$14;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("responses", f$11, this.ordering$1, this.references$1, this.spec$1)))
    };
    const this$17 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1);
    if ((!this$17.isEmpty__Z())) {
      const arg1$15 = this$17.get__O();
      const f$12 = arg1$15;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("securedBy", f$12, this.ordering$1, this.spec$1)))
    };
    return result
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.operation$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.entries__Lamf_core_parser_Fields__sc_Seq(fs)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$9, 0);
    const this$10 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$10, 0))
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.operation$1.annotations$1)
  };
  init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, spec) {
    this.operation$1 = operation;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$2 = this.parameter$1;
    if (this$2.linkTarget$1.isDefined__Z()) {
      this.emitLink__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      this.emitParameter__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    }
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$1 = parameter;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.parameter$1.annotations$1)
  };
  emitLink__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.parameter$1.linkTarget$1.get__O().fields__Lamf_core_parser_Fields();
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$1 = this.parameter$1.linkTarget$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const l = arg1;
      const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
      const this$2 = this.parameter$1;
      jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$2), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$3 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$3, 0);
    const this$4 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$4, 0))
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, ctx) {
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(producer, node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser().init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, ctx).parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametrizedSecuritySchemeParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter extends $c_O {
  constructor() {
    super();
    this.response$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.response$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.response$1;
    if (this$4.linkTarget$1.isDefined__Z()) {
      const reference = this.response$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter().init___Lamf_core_model_domain_Linkable(reference).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    };
    const this$11 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$11, 0);
    const this$12 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$12, 0))
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, spec) {
    this.response$1 = response;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f, this.spec$1)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f$3, this.ordering$1, this.references$1, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().payloadsEmitter__F4().apply__O__O__O__O__O("body", f$4, this.ordering$1, this.references$1)))
    };
    return result
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.response$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ extends $c_O {
  init___() {
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_Settings(scheme, node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser().init___Lorg_yaml_model_YMap__T__Lamf_plugins_domain_webapi_models_security_WithSettings__Lamf_plugins_document_webapi_contexts_WebApiContext(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), scheme.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1), scheme, ctx).parse__Lamf_plugins_domain_webapi_models_security_Settings()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSecuritySettingsParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser extends $c_O {
  constructor() {
    super();
    this.UsageParser$module$1 = null;
    this.AnnotationTypesParser$module$1 = null;
    this.LinkedAnnotationTypeParser$module$1 = null;
    this.UserDocumentationParser$module$1 = null;
    this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parseParameterDeclarations__Lorg_yaml_model_YMap__T__V(map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("parameters");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$1) {
        return (function(e$2) {
          const e = e$2;
          const typeName = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
          const this$4 = e.value$1;
          const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
          const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
          let oasParameter;
          if ($is_s_util_Right(x1)) {
            const x2 = x1;
            const m = x2.value$2;
            oasParameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser().init___Lorg_yaml_model_YMap__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(m, parentPath$1, new $c_s_Some().init___O(typeName), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter()
          } else {
            const parameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser().init___Lorg_yaml_model_YMap__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext($m_Lorg_yaml_model_YMap$().empty$1, parentPath$1, new $c_s_Some().init___O(typeName), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter();
            $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(parameter.parameter$1.id$1, "Map needed to parse a parameter declaration", e);
            oasParameter = parameter
          };
          const this$5 = oasParameter.parameter$1;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          const parameter$2 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, annotation);
          parameter$2.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1).annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
          $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3.registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(parameter$2, oasParameter.payload$1)
        })
      })(this, parentPath)))
    }
  };
  parseSecuritySchemeDeclarations__p1__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("securityDefinitions");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const jsx$1 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3;
          const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$1$1, entry$1) {
            return (function(scheme$2) {
              const scheme = scheme$2;
              $m_Lorg_yaml_model_YNode$();
              const node = entry$1.key$1;
              const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(scheme, field, name).adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$1$1)
            })
          })($this, parent$1, entry)), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, annotation))
        })
      })(this, parent)))
    };
    const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$8 = this$7.key__T__s_Option("x-securitySchemes");
    if ((!this$8.isEmpty__Z())) {
      const arg1$1 = this$8.get__O();
      const e$3 = arg1$1;
      e$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, parent$1$2) {
        return (function(entry$2$1) {
          const entry$3 = entry$2$1;
          const jsx$2 = $this$2.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3;
          const this$10 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, parent$1$3, entry$4) {
            return (function(scheme$2$1) {
              const scheme$1 = scheme$2$1;
              $m_Lorg_yaml_model_YNode$();
              const node$1 = entry$4.key$1;
              const name$1 = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
              const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(scheme$1, field$1, name$1).adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$1$3)
            })
          })($this$2, parent$1$2, entry$3)), $this$2.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
          const annotation$1 = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$10, annotation$1))
        })
      })(this, parent)))
    }
  };
  parseTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, typesPrefix) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("definitions");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, typesPrefix$1) {
        return (function(e$2) {
          const e = e$2;
          const typeName = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
          const x1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, typesPrefix$1$1, typeName$1) {
            return (function(shape$2) {
              const shape = shape$2;
              const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field, typeName$1).adopted__T__Lamf_core_model_domain_AmfObject(typesPrefix$1$1)
            })
          })($this, typesPrefix$1, typeName)), "schema", $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__s_Option();
          if ($is_s_Some(x1)) {
            const x2 = x1;
            const shape$3 = x2.value$2;
            const jsx$1 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3;
            const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
            return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape$3, annotation))
          } else {
            const x = $m_s_None$();
            if ((x === x1)) {
              const jsx$2 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              jsx$2.violation__T__T__Lorg_yaml_model_YPart__V(new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations).adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(typesPrefix$1).id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing shape at ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([typeName])), e);
              return (void 0)
            } else {
              throw new $c_s_MatchError().init___O(x1)
            }
          }
        })
      })(this, typesPrefix)))
    }
  };
  AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$lzycompute$1__p1__V()
    };
    return this.AnnotationTypesParser$module$1
  };
  parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option(key);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$2) {
        return (function(e$2) {
          const e = e$2;
          const jsx$1 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3;
          const this$8 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$2$1) {
            return (function(name$2) {
              const name = name$2;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$7 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, name).adopted__T__Lamf_plugins_domain_webapi_models_Response(parentPath$2$1)
            })
          })($this, parentPath$2)), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_webapi_models_Response();
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$8, annotation))
        })
      })(this, parentPath)))
    }
  };
  parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(root, map) {
    const parent = (root.location$1 + "#/declarations");
    this.parseTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext("x-resourceTypes", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry)
      })
    })(this)), map, parent, this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__V();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext("x-traits", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(entry$3$2) {
        const entry$3 = entry$3$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(entry$3)
      })
    })(this)), map, parent, this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__V();
    this.parseSecuritySchemeDeclarations__p1__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseParameterDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V("responses", map, parent);
    const this$1 = this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.futureDeclarations$2;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$1)
  };
  AnnotationTypesParser$lzycompute$1__p1__V() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser(this)
    }
  };
  init___Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx) {
    this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f = ctx;
    return this
  };
  parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, customProperties) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("x-annotationTypes");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const jsx$3 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, customProperties$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const typeName = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
          const customProperty$3 = $this.AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, customProperties$1$1, typeName$1) {
            return (function(customProperty$2) {
              const customProperty = customProperty$2;
              const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(customProperty, field, typeName$1).adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(customProperties$1$1)
            })
          })($this, customProperties$1, typeName)));
          const jsx$2 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(customProperty$3, annotation))
        })
      })(this, customProperties));
      const this$4 = $m_sc_IndexedSeq$();
      jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBF$6)
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(ast, adopt) {
    const this$1 = ast.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const map = ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f);
      const x1$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const reference = x2.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YScalar__F1(this.$$outer$1, ast, reference.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3, reference.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, ast, ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3, ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const this$6 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        const name = ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
        const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
        const customDomainProperty = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field, name);
        adopt.apply__O__O(customDomainProperty);
        this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(customDomainProperty.id$1, "Invalid value node type for annotation types parser, expected map or scalar reference", ast.value$1);
        return customDomainProperty
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YScalar__F1(this.$$outer$1, ast, ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3, ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$AnnotationTypesParser$", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.commonNodes$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = this;
    $f_Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax__$$init$__V(this);
    const jsx$7 = this.commonNodes$1;
    const array = ["title", "description", "version", "baseUri", "baseUriParameters", "protocols", "mediaType", "documentation", "schemas", "traits", "resourceTypes", "securitySchemes", "securedBy"];
    let y;
    if (((array.length | 0) === 0)) {
      y = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      y = b.elems$1
    };
    const jsx$6 = new $c_T2().init___O__O("webApi", y);
    const array$1 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat"];
    let y$1;
    if (((array$1.length | 0) === 0)) {
      y$1 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      y$1 = b$1.elems$1
    };
    const jsx$5 = new $c_T2().init___O__O("shape", y$1);
    const array$2 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat", "pattern", "minLength", "maxLength", "required"];
    let y$2;
    if (((array$2.length | 0) === 0)) {
      y$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$2 = 0;
      const len$2 = (array$2.length | 0);
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = array$2[index$2];
        b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
        i$2 = ((1 + i$2) | 0)
      };
      y$2 = b$2.elems$1
    };
    const jsx$4 = new $c_T2().init___O__O("stringScalarShape", y$2);
    const array$3 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat", "format"];
    let y$3;
    if (((array$3.length | 0) === 0)) {
      y$3 = $m_sci_Set$EmptySet$()
    } else {
      const b$3 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$3 = 0;
      const len$3 = (array$3.length | 0);
      while ((i$3 < len$3)) {
        const index$3 = i$3;
        const arg1$3 = array$3[index$3];
        b$3.$$plus$eq__O__scm_SetBuilder(arg1$3);
        i$3 = ((1 + i$3) | 0)
      };
      y$3 = b$3.elems$1
    };
    const jsx$3 = new $c_T2().init___O__O("dateScalarShape", y$3);
    const array$4 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat", "minimum", "maximum", "format", "multipleOf"];
    let y$4;
    if (((array$4.length | 0) === 0)) {
      y$4 = $m_sci_Set$EmptySet$()
    } else {
      const b$4 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$4 = 0;
      const len$4 = (array$4.length | 0);
      while ((i$4 < len$4)) {
        const index$4 = i$4;
        const arg1$4 = array$4[index$4];
        b$4.$$plus$eq__O__scm_SetBuilder(arg1$4);
        i$4 = ((1 + i$4) | 0)
      };
      y$4 = b$4.elems$1
    };
    const jsx$2 = new $c_T2().init___O__O("numberScalarShape", y$4);
    const array$5 = ["displayName", "description", "get", "patch", "put", "post", "delete", "options", "head", "get?", "patch?", "put?", "post?", "delete?", "options?", "head?", "is", "type", "securedBy", "baseUriParameters", "uriParameters", "usage"];
    let y$5;
    if (((array$5.length | 0) === 0)) {
      y$5 = $m_sci_Set$EmptySet$()
    } else {
      const b$5 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$5 = 0;
      const len$5 = (array$5.length | 0);
      while ((i$5 < len$5)) {
        const index$5 = i$5;
        const arg1$5 = array$5[index$5];
        b$5.$$plus$eq__O__scm_SetBuilder(arg1$5);
        i$5 = ((1 + i$5) | 0)
      };
      y$5 = b$5.elems$1
    };
    const jsx$1 = new $c_T2().init___O__O("endPoint", y$5);
    const array$6 = ["displayName", "description", "queryParameters", "headers", "responses", "body", "protocols", "is", "securedBy", "baseUriParameters", "usage"];
    let y$6;
    if (((array$6.length | 0) === 0)) {
      y$6 = $m_sci_Set$EmptySet$()
    } else {
      const b$6 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$6 = 0;
      const len$6 = (array$6.length | 0);
      while ((i$6 < len$6)) {
        const index$6 = i$6;
        const arg1$6 = array$6[index$6];
        b$6.$$plus$eq__O__scm_SetBuilder(arg1$6);
        i$6 = ((1 + i$6) | 0)
      };
      y$6 = b$6.elems$1
    };
    const array$7 = [jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("operation", y$6)];
    const this$23 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$7 = 0;
    const len$7 = (array$7.length | 0);
    while ((i$7 < len$7)) {
      const index$7 = i$7;
      const arg1$7 = array$7[index$7];
      this$23.$$plus$eq__T2__scm_MapBuilder(arg1$7);
      i$7 = ((1 + i$7) | 0)
    };
    this.nodes$1 = jsx$7.$$plus$plus__sc_GenTraversableOnce__sci_Map(this$23.elems$1);
    return this
  };
  amf$plugins$document$webapi$parser$spec$raml$RamlSyntax$$undsetter$und$commonNodes$und$eq__sci_Map__V(x$1) {
    this.commonNodes$1 = x$1
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml08Syntax$", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$;
let $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.commonNodes$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = this;
    $f_Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax__$$init$__V(this);
    const jsx$14 = this.commonNodes$1;
    const array = ["title", "description", "version", "baseUri", "baseUriParameters", "protocols", "mediaType", "documentation", "schemas", "types", "traits", "resourceTypes", "annotationTypes", "securitySchemes", "securedBy", "usage", "extends", "uses"];
    let y;
    if (((array.length | 0) === 0)) {
      y = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      y = b.elems$1
    };
    const jsx$13 = new $c_T2().init___O__O("webApi", y);
    const array$1 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "required"];
    let y$1;
    if (((array$1.length | 0) === 0)) {
      y$1 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      y$1 = b$1.elems$1
    };
    const jsx$12 = new $c_T2().init___O__O("shape", y$1);
    const array$2 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "required", "anyOf"];
    let y$2;
    if (((array$2.length | 0) === 0)) {
      y$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$2 = 0;
      const len$2 = (array$2.length | 0);
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = array$2[index$2];
        b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
        i$2 = ((1 + i$2) | 0)
      };
      y$2 = b$2.elems$1
    };
    const jsx$11 = new $c_T2().init___O__O("unionShape", y$2);
    const array$3 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "properties", "minProperties", "maxProperties", "discriminator", "discriminatorValue", "required", "additionalProperties"];
    let y$3;
    if (((array$3.length | 0) === 0)) {
      y$3 = $m_sci_Set$EmptySet$()
    } else {
      const b$3 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$3 = 0;
      const len$3 = (array$3.length | 0);
      while ((i$3 < len$3)) {
        const index$3 = i$3;
        const arg1$3 = array$3[index$3];
        b$3.$$plus$eq__O__scm_SetBuilder(arg1$3);
        i$3 = ((1 + i$3) | 0)
      };
      y$3 = b$3.elems$1
    };
    const jsx$10 = new $c_T2().init___O__O("nodeShape", y$3);
    const array$4 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "uniqueItems", "items", "minItems", "maxItems", "required"];
    let y$4;
    if (((array$4.length | 0) === 0)) {
      y$4 = $m_sci_Set$EmptySet$()
    } else {
      const b$4 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$4 = 0;
      const len$4 = (array$4.length | 0);
      while ((i$4 < len$4)) {
        const index$4 = i$4;
        const arg1$4 = array$4[index$4];
        b$4.$$plus$eq__O__scm_SetBuilder(arg1$4);
        i$4 = ((1 + i$4) | 0)
      };
      y$4 = b$4.elems$1
    };
    const jsx$9 = new $c_T2().init___O__O("arrayShape", y$4);
    const array$5 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "pattern", "minLength", "maxLength", "required"];
    let y$5;
    if (((array$5.length | 0) === 0)) {
      y$5 = $m_sci_Set$EmptySet$()
    } else {
      const b$5 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$5 = 0;
      const len$5 = (array$5.length | 0);
      while ((i$5 < len$5)) {
        const index$5 = i$5;
        const arg1$5 = array$5[index$5];
        b$5.$$plus$eq__O__scm_SetBuilder(arg1$5);
        i$5 = ((1 + i$5) | 0)
      };
      y$5 = b$5.elems$1
    };
    const jsx$8 = new $c_T2().init___O__O("stringScalarShape", y$5);
    const array$6 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "minimum", "maximum", "format", "multipleOf", "required"];
    let y$6;
    if (((array$6.length | 0) === 0)) {
      y$6 = $m_sci_Set$EmptySet$()
    } else {
      const b$6 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$6 = 0;
      const len$6 = (array$6.length | 0);
      while ((i$6 < len$6)) {
        const index$6 = i$6;
        const arg1$6 = array$6[index$6];
        b$6.$$plus$eq__O__scm_SetBuilder(arg1$6);
        i$6 = ((1 + i$6) | 0)
      };
      y$6 = b$6.elems$1
    };
    const jsx$7 = new $c_T2().init___O__O("numberScalarShape", y$6);
    const array$7 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "required", "format"];
    let y$7;
    if (((array$7.length | 0) === 0)) {
      y$7 = $m_sci_Set$EmptySet$()
    } else {
      const b$7 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$7 = 0;
      const len$7 = (array$7.length | 0);
      while ((i$7 < len$7)) {
        const index$7 = i$7;
        const arg1$7 = array$7[index$7];
        b$7.$$plus$eq__O__scm_SetBuilder(arg1$7);
        i$7 = ((1 + i$7) | 0)
      };
      y$7 = b$7.elems$1
    };
    const jsx$6 = new $c_T2().init___O__O("dateScalarShape", y$7);
    const array$8 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "fileTypes", "minLength", "maxLength", "required"];
    let y$8;
    if (((array$8.length | 0) === 0)) {
      y$8 = $m_sci_Set$EmptySet$()
    } else {
      const b$8 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$8 = 0;
      const len$8 = (array$8.length | 0);
      while ((i$8 < len$8)) {
        const index$8 = i$8;
        const arg1$8 = array$8[index$8];
        b$8.$$plus$eq__O__scm_SetBuilder(arg1$8);
        i$8 = ((1 + i$8) | 0)
      };
      y$8 = b$8.elems$1
    };
    const jsx$5 = new $c_T2().init___O__O("fileShape", y$8);
    const array$9 = ["displayName", "description", "value", "strict"];
    let y$9;
    if (((array$9.length | 0) === 0)) {
      y$9 = $m_sci_Set$EmptySet$()
    } else {
      const b$9 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$9 = 0;
      const len$9 = (array$9.length | 0);
      while ((i$9 < len$9)) {
        const index$9 = i$9;
        const arg1$9 = array$9[index$9];
        b$9.$$plus$eq__O__scm_SetBuilder(arg1$9);
        i$9 = ((1 + i$9) | 0)
      };
      y$9 = b$9.elems$1
    };
    const jsx$4 = new $c_T2().init___O__O("example", y$9);
    const array$10 = ["attribute", "wrapped", "name", "namespace", "prefix"];
    let y$10;
    if (((array$10.length | 0) === 0)) {
      y$10 = $m_sci_Set$EmptySet$()
    } else {
      const b$10 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$10 = 0;
      const len$10 = (array$10.length | 0);
      while ((i$10 < len$10)) {
        const index$10 = i$10;
        const arg1$10 = array$10[index$10];
        b$10.$$plus$eq__O__scm_SetBuilder(arg1$10);
        i$10 = ((1 + i$10) | 0)
      };
      y$10 = b$10.elems$1
    };
    const jsx$3 = new $c_T2().init___O__O("xmlSerialization", y$10);
    const array$11 = ["displayName", "description", "get", "patch", "put", "post", "delete", "options", "head", "get?", "patch?", "put?", "post?", "delete?", "options?", "head?", "is", "type", "securedBy", "uriParameters", "usage"];
    let y$11;
    if (((array$11.length | 0) === 0)) {
      y$11 = $m_sci_Set$EmptySet$()
    } else {
      const b$11 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$11 = 0;
      const len$11 = (array$11.length | 0);
      while ((i$11 < len$11)) {
        const index$11 = i$11;
        const arg1$11 = array$11[index$11];
        b$11.$$plus$eq__O__scm_SetBuilder(arg1$11);
        i$11 = ((1 + i$11) | 0)
      };
      y$11 = b$11.elems$1
    };
    const jsx$2 = new $c_T2().init___O__O("endPoint", y$11);
    const array$12 = ["displayName", "description", "queryParameters", "headers", "queryString", "responses", "body", "protocols", "is", "securedBy", "usage"];
    let y$12;
    if (((array$12.length | 0) === 0)) {
      y$12 = $m_sci_Set$EmptySet$()
    } else {
      const b$12 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$12 = 0;
      const len$12 = (array$12.length | 0);
      while ((i$12 < len$12)) {
        const index$12 = i$12;
        const arg1$12 = array$12[index$12];
        b$12.$$plus$eq__O__scm_SetBuilder(arg1$12);
        i$12 = ((1 + i$12) | 0)
      };
      y$12 = b$12.elems$1
    };
    const jsx$1 = new $c_T2().init___O__O("operation", y$12);
    const array$13 = ["displayName", "description", "allowedTargets"];
    let y$13;
    if (((array$13.length | 0) === 0)) {
      y$13 = $m_sci_Set$EmptySet$()
    } else {
      const b$13 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$13 = 0;
      const len$13 = (array$13.length | 0);
      while ((i$13 < len$13)) {
        const index$13 = i$13;
        const arg1$13 = array$13[index$13];
        b$13.$$plus$eq__O__scm_SetBuilder(arg1$13);
        i$13 = ((1 + i$13) | 0)
      };
      y$13 = b$13.elems$1
    };
    const array$14 = [jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("annotation", y$13)];
    const this$44 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$14 = 0;
    const len$14 = (array$14.length | 0);
    while ((i$14 < len$14)) {
      const index$14 = i$14;
      const arg1$14 = array$14[index$14];
      this$44.$$plus$eq__T2__scm_MapBuilder(arg1$14);
      i$14 = ((1 + i$14) | 0)
    };
    this.nodes$1 = jsx$14.$$plus$plus__sc_GenTraversableOnce__sci_Map(this$44.elems$1);
    return this
  };
  amf$plugins$document$webapi$parser$spec$raml$RamlSyntax$$undsetter$und$commonNodes$und$eq__sci_Map__V(x$1) {
    this.commonNodes$1 = x$1
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10Syntax$", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$;
let $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser extends $c_O {
  constructor() {
    super();
    this.UsageParser$module$1 = null;
    this.UserDocumentationsParser$module$1 = null;
    this.AnnotationTypesParser$module$1 = null;
    this.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$lzycompute$1__p1__V()
    };
    return this.AnnotationTypesParser$module$1
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f = ctx;
    return this
  };
  AnnotationTypesParser$lzycompute$1__p1__V() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser(this)
    }
  };
}
class $c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline {
  constructor() {
    super();
    this.parameters$3 = null;
    this.mediaTypes$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.init___.call(this);
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().OAS$1);
    this.mediaTypes$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage().init___T($m_Lamf_ProfileNames$().OAS$1);
    return this
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  mediaTypes__Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage() {
    return this.mediaTypes$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.OasResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline {
  constructor() {
    super();
    this.parameters$3 = null;
    this.mediaTypes$3 = null;
    this.extensions$3 = null;
    this.shapes$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.init___.call(this);
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().RAML08$1);
    this.mediaTypes$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage().init___T($m_Lamf_ProfileNames$().RAML08$1);
    this.extensions$3 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T($m_Lamf_ProfileNames$().RAML08$1);
    this.shapes$3 = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage().init___T($m_Lamf_ProfileNames$().RAML08$1);
    return this
  };
  extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage() {
    return this.extensions$3
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  shapes__Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage() {
    return this.shapes$3
  };
  mediaTypes__Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage() {
    return this.mediaTypes$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.Raml08ResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline {
  constructor() {
    super();
    this.parameters$3 = null;
    this.mediaTypes$3 = null;
    this.examples$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.init___.call(this);
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().RAML$1);
    this.mediaTypes$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage().init___T($m_Lamf_ProfileNames$().RAML$1);
    this.examples$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage().init___T($m_Lamf_ProfileNames$().RAML$1);
    return this
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  mediaTypes__Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage() {
    return this.mediaTypes$3
  };
  examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage() {
    return this.examples$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.Raml10ResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline;
class $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ extends $c_O {
  init___() {
    return this
  };
  merge__sc_Seq__sc_Seq__sc_Seq(left, right) {
    const jsx$1 = right.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, left$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return left$1.contains__O__Z(x$5)
      })
    })(this, left)));
    const this$1 = $m_sc_Seq$();
    return left.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer$: 0
}, false, "amf.plugins.document.webapi.resolution.stages.BranchContainer$", {
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$;
let $n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = (void 0);
const $m_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$)) {
    $n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$().init___()
  };
  return $n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$
});
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.Branches$module$2 = null;
    this.ResourceTypeResolver$module$2 = null;
    this.TraitResolver$module$2 = null;
    this.TraitBranch$module$2 = null;
    this.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f = null;
    this.removeFromModel$2 = false;
    this.ctx$2 = null;
    this.platform$2 = null
  };
  collectResourceTypes__p2__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__scm_ListBuffer(endpoint, context) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.collectResourceTypes__p2__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__V(result, endpoint, context);
    return result
  };
  Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$() {
    if ((this.Branches$module$2 === null)) {
      this.Branches$lzycompute$1__p2__V()
    };
    return this.Branches$module$2
  };
  convert__p2__Lamf_core_model_document_BaseUnit__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_domain_webapi_models_EndPoint(model, endpoint) {
    const context = new $c_Lamf_plugins_document_webapi_resolution_stages_Context().init___Lamf_core_model_document_BaseUnit__sci_Set(model, $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())).add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context("resourcePath", $m_sjsr_RuntimeString$().replaceAll__T__T__T__T(endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1), "\\{ext\\}", "")).add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context("resourcePathName", this.resourcePathName__p2__Lamf_plugins_domain_webapi_models_EndPoint__T(endpoint));
    const resourceTypes = this.collectResourceTypes__p2__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__scm_ListBuffer(endpoint, context);
    this.apply__Lamf_plugins_domain_webapi_models_EndPoint__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint(endpoint, resourceTypes);
    const resolver = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage(this);
    endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, endpoint$1, context$1, resourceTypes$1, resolver$1) {
      return (function(operation$2) {
        const operation = operation$2;
        const local = context$1.add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context("methodName", operation.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1));
        const branches = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        branches.$$plus$eq__O__scm_ListBuffer($this.Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$().method__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver$1, operation, local));
        branches.$$plus$eq__O__scm_ListBuffer($this.Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$().endpoint__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver$1, endpoint$1, local));
        const this$2 = resourceTypes$1.scala$collection$mutable$ListBuffer$$start$6;
        let these = this$2;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const rt = arg1;
          branches.$$plus$eq__O__scm_ListBuffer($this.Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$().resourceType__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__T__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver$1, rt, local, operation.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1)));
          these = these.tail__O()
        };
        const z = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        const this$3 = branches.scala$collection$mutable$ListBuffer$$start$6;
        let acc = z;
        let these$1 = this$3;
        while ((!these$1.isEmpty__Z())) {
          const arg1$1 = acc;
          const arg2 = these$1.head__O();
          const x0$2 = arg1$1;
          const x1$2 = arg2;
          const jsx$2 = $m_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$().merge__sc_Seq__sc_Seq__sc_Seq(x0$2, x1$2.flatten__sc_Seq());
          const jsx$1 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($this);
          const this$4 = $m_sc_Seq$();
          acc = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
          these$1 = these$1.tail__O()
        };
        const traits = acc;
        traits.foldLeft__O__F2__O(operation, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1) {
          return (function(x0$3$2, x1$3$2) {
            const x0$3 = x0$3$2;
            const x1$3 = x1$3$2;
            return $m_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$().merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(x0$3, x1$3.operation$1)
          })
        })($this)));
        return ($this.removeFromModel$2 ? operation.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field()) : (void 0))
      })
    })(this, endpoint, context, resourceTypes, resolver)));
    if (this.removeFromModel$2) {
      endpoint.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field())
    };
    return endpoint
  };
  transform__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_domain_DomainElement__Z__s_Option(model, element, isCycle) {
    if ($is_Lamf_plugins_domain_webapi_models_EndPoint(element)) {
      const x2 = element;
      return new $c_s_Some().init___O(this.convert__p2__Lamf_core_model_document_BaseUnit__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_domain_webapi_models_EndPoint(model, x2))
    } else {
      return new $c_s_Some().init___O(element)
    }
  };
  resourcePathName__p2__Lamf_plugins_domain_webapi_models_EndPoint__T(endPoint) {
    const x = $m_sjsr_RuntimeString$().replaceAll__T__T__T__T(endPoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1), "\\{ext\\}", "");
    const this$2 = new $c_sci_StringOps().init___T(x);
    const xs = $f_sci_StringLike__split__C__AT(this$2, 47);
    const b = new $c_scm_ArrayBuilder$ofRef().init___s_reflect_ClassTag($m_s_reflect_ClassTag$().apply__jl_Class__s_reflect_ClassTag($objectGetClass(xs).getComponentType__jl_Class()));
    b.sizeHint__I__V(xs.u.length);
    let i = xs.u.length;
    while ((i > 0)) {
      i = (((-1) + i) | 0);
      const index = i;
      const elem = xs.u[index];
      b.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
    };
    const xs$1 = b.result__AO();
    const len = xs$1.u.length;
    let i$1 = 0;
    while (true) {
      let jsx$1;
      if ((i$1 < len)) {
        const index$1 = i$1;
        const arg1 = xs$1.u[index$1];
        const s = arg1;
        const this$12 = new $c_sci_StringOps().init___T(s);
        let jsx$2;
        if ($f_sc_TraversableOnce__nonEmpty__Z(this$12)) {
          const this$14 = new $c_sci_StringOps().init___T("\\{.*\\}");
          const groupNames = $m_sci_Nil$();
          const $$this = this$14.repr$1;
          jsx$2 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames).findFirstIn__jl_CharSequence__s_Option(s).isEmpty__Z()
        } else {
          jsx$2 = false
        };
        jsx$1 = (!jsx$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        i$1 = ((1 + i$1) | 0)
      } else {
        break
      }
    };
    const i$2 = i$1;
    const this$18 = ((i$2 < xs$1.u.length) ? new $c_s_Some().init___O(xs$1.u[i$2]) : $m_s_None$());
    return (this$18.isEmpty__Z() ? "" : this$18.get__O())
  };
  asEndPoint__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_domain_webapi_models_EndPoint(r, context) {
    const x1 = $m_s_Option$().apply__O__s_Option(r.target__Lamf_core_model_domain_templates_AbstractDeclaration());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const rt = x2.value$2;
      if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(rt)) {
        const x3 = rt;
        const node = x3.dataNode__Lamf_core_model_domain_DataNode().cloneNode__Lamf_core_model_domain_DataNode();
        node.replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(context.variables$1);
        return $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_domain_DataNode__T__s_Option__Lamf_plugins_domain_webapi_models_EndPoint(context.model$1, this.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f, node, r.name__T(), new $c_s_Some().init___O(this.ctx$2))
      }
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find target for parametrized resource type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([r.id$1]))))
  };
  Branches$lzycompute$1__p2__V() {
    if ((this.Branches$module$2 === null)) {
      this.Branches$module$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage(this)
    }
  };
  collectResourceTypes__p2__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__V(collector, endpoint, initial) {
    const this$1 = endpoint.resourceType__s_Option();
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const resourceType = arg1;
      const context = initial.add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(resourceType.variables__sc_Seq());
      const resolved = this.asEndPoint__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_domain_webapi_models_EndPoint(resourceType, context);
      collector.$$plus$eq__O__scm_ListBuffer(resolved);
      this.collectResourceTypes__p2__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__V(collector, resolved, context)
    }
  };
  apply__Lamf_plugins_domain_webapi_models_EndPoint__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint(endpoint, resourceTypes) {
    const this$1 = resourceTypes.scala$collection$mutable$ListBuffer$$start$6;
    let acc = endpoint;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = acc;
      const arg2 = these.head__O();
      const x0$1 = arg1;
      const x1$1 = arg2;
      acc = $m_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$().merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(x0$1, x1$1);
      these = these.tail__O()
    };
    return acc
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const selector = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $is_Lamf_plugins_domain_webapi_models_EndPoint(element)
      })
    })(this));
    const transformation = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2, model$1) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$2.transform__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_domain_DomainElement__Z__s_Option(model$1, element$3, isCycle)
      })
    })(this, model));
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(model, selector, transformation)
  };
  init___T__Z(profile, removeFromModel) {
    this.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f = profile;
    this.removeFromModel$2 = removeFromModel;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    let jsx$1;
    if (($m_Lamf_ProfileNames$().RAML08$1 === profile)) {
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$5 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$5.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()), $m_s_None$())
    } else {
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$12 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$12.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()), $m_s_None$())
    };
    this.ctx$2 = jsx$1;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.IriMerger$module$2 = null;
    this.profile$2 = null;
    this.ctx$2 = null;
    this.platform$2 = null
  };
  mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, main, other) {
    const jsx$2 = main.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.value$1
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const existing = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).toSet__sci_Set();
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, target$1, field$1, existing$1) {
      return (function(value$2) {
        const value = value$2;
        const scalar = value.value$1;
        if ((!existing$1.contains__O__Z(scalar))) {
          const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(scalar, new $c_Lamf_core_parser_Annotations().init___());
          return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, value$1)
        } else {
          return (void 0)
        }
      })
    })(this, target, field, existing)))
  };
  cleanSynthesizedFacets__Lamf_core_model_domain_DomainElement__V(domain) {
    if ($is_Lamf_core_model_domain_Shape(domain)) {
      const x2 = domain;
      x2.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return $is_Lamf_core_annotations_SynthesizedField(x$3)
        })
      })(this)))
    }
  };
  mergeDataNode__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__V(master, field, existing, overlay) {
    matchEnd5: {
      if ($is_Lamf_core_model_domain_DataNode(existing)) {
        const x2 = existing;
        if ($is_Lamf_core_model_domain_DataNode(overlay)) {
          const x3 = overlay;
          const x = $objectGetClass(existing);
          const x$2 = $objectGetClass(overlay);
          if ((x === x$2)) {
            $m_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$().merge__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode__V(x2, x3);
            break matchEnd5
          }
        }
      };
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(master, field, overlay)
    }
  };
  incompatibleType__p2__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Z(master, overlay) {
    if (($is_Lamf_core_model_domain_Shape(master) && $is_Lamf_core_model_domain_Shape(overlay))) {
      const x = $objectGetClass(master);
      const x$2 = $objectGetClass(overlay);
      return (!(x === x$2))
    } else {
      return false
    }
  };
  mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__V(target, field, element, main, other) {
    const m = main.value$1;
    const o = other.value$1;
    if ($is_Lamf_core_metamodel_Type$Scalar(element)) {
      this.mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, m, o)
    } else if ($is_Lamf_core_metamodel_domain_templates_KeyField(element)) {
      const x3 = element;
      this.mergeByKeyValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, element, x3, m, o)
    } else if ($is_Lamf_core_metamodel_domain_DomainElementModel(element)) {
      this.addAll__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__V(target, field, o)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "': not a KeyField nor a Scalar"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element]))))
    }
  };
  adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(id, target) {
    if ($is_Lamf_core_model_domain_AmfArray(target)) {
      const x2 = target;
      const jsx$2 = x2.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
        return (function(x$9$2) {
          const x$9 = x$9$2;
          return $this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(id$1, x$9)
        })
      })(this, id));
      const this$1 = $m_sc_Seq$();
      return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2), x2.annotations$1)
    } else if ($is_Lamf_core_model_domain_DataNode(target)) {
      const x3 = target;
      return $m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(id, x3)
    } else if ($is_Lamf_core_model_domain_DomainElement(target)) {
      const x4 = target;
      x4.adopted__T__Lamf_core_model_domain_AmfObject(id);
      const this$3 = x4.fields__Lamf_core_parser_Fields();
      const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, x4$1) {
        return (function(x0$5$2) {
          const x0$5 = x0$5$2;
          if ((x0$5 !== null)) {
            const value = x0$5.$$und2__O();
            this$2.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(x4$1.id__T(), value.value$1)
          } else {
            throw new $c_s_MatchError().init___O(x0$5)
          }
        })
      })(this, x4));
      this$3.fs$1.foreach__F1__V(fn);
      return x4
    } else {
      return target
    }
  };
  mergeByKeyValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, element, key, master, extension) {
    const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$();
    let jsx$2;
    if (((key !== null) && (key === x$2))) {
      jsx$2 = true
    } else {
      const x$4 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$();
      jsx$2 = ((key !== null) && (key === x$4))
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = true
    } else {
      const x$6 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$();
      jsx$1 = ((key !== null) && (key === x$6))
    };
    let asSimpleProperty;
    if (jsx$1) {
      asSimpleProperty = true
    } else {
      const x$8 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$();
      asSimpleProperty = ((key !== null) && (key === x$8))
    };
    const jsx$5 = $m_scm_Map$();
    const jsx$4 = master.values$1;
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
      return (function(m$2) {
        const m = m$2;
        const obj = m;
        const this$1 = obj.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$1.key__Lamf_core_metamodel_Field());
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$7 = arg1;
          const self = x$7.value$1.value$1.value$1;
          xo = new $c_s_Some().init___O(new $c_T2().init___O__O(self, obj))
        };
        return xo.toList__sci_List()
      })
    })(this, key));
    const this$5 = $m_sc_Seq$();
    const existing = jsx$5.apply__sc_Seq__sc_GenMap(jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2));
    const this$6 = master.values$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, key$2) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_core_model_domain_DomainElement(x0$3)) {
          const x2 = x0$3;
          return x2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$2.key__Lamf_core_metamodel_Field()).isEmpty__Z()
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this, key)));
    let elem;
    if (this$6.isEmpty__Z()) {
      elem = $m_s_None$()
    } else {
      const arg1$1 = this$6.get__O();
      const x$8$2 = arg1$1;
      elem = new $c_s_Some().init___O(x$8$2)
    };
    const nullKey = new $c_sr_ObjectRef().init___O(elem);
    extension.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, target$1, key$3, asSimpleProperty$1, existing$1, nullKey$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_model_domain_DomainElement(x0$4)) {
          const x2$1 = x0$4;
          const x1$2 = x2$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$3.key__Lamf_core_metamodel_Field());
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const value = x2$2.value$2;
            const keyValue = value.value$1.value$1.value$1;
            const y = this$4$1.mergeByKeyResult__p2__Lamf_core_model_domain_DomainElement__Z__s_Option__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(target$1, asSimpleProperty$1, existing$1.get__O__s_Option(keyValue), x2$1);
            return existing$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(keyValue, y))
          } else {
            nullKey$1.elem$1 = new $c_s_Some().init___O(this$4$1.mergeByKeyResult__p2__Lamf_core_model_domain_DomainElement__Z__s_Option__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(target$1, asSimpleProperty$1, nullKey$1.elem$1, x2$1));
            return (void 0)
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this, target, key, asSimpleProperty, existing, nullKey)));
    const jsx$7 = existing.values__sc_Iterable().toSeq__sc_Seq();
    const xo$1 = nullKey.elem$1;
    const jsx$6 = xo$1.toList__sci_List();
    const this$11 = $m_sc_Seq$();
    const values = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$11.ReusableCBFInstance$2);
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(target, field, values)
  };
  mergeByKeyResult__p2__Lamf_core_model_domain_DomainElement__Z__s_Option__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(target, asSimpleProperty, existing, obj) {
    if ($is_s_Some(existing)) {
      const x2 = existing;
      const e = x2.value$2;
      if ((!asSimpleProperty)) {
        return this.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(e, obj.adopted__T__Lamf_core_model_domain_AmfObject(target.id__T()))
      }
    };
    return this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(target.id__T(), obj)
  };
  resolveOverlay__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_ExtensionLike__Lamf_core_model_document_BaseUnit(model, entryPoint) {
    $m_scm_ListBuffer$();
    const array = [entryPoint];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
      jsx$1 = this$2.elems$1
    } else {
      const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_GrowingBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    const x1 = this.extensionsQueue__scm_ListBuffer__Lamf_core_model_document_BaseUnit__sci_List(jsx$1, entryPoint);
    let x$2_$_$$und1$f;
    let x$2_$_$$und2$f;
    matchEnd5: {
      if ($is_sci_$colon$colon(x1)) {
        const x2 = x1;
        const document = x2.head$5;
        const extensions = x2.tl$5;
        if ($is_Lamf_core_model_document_Document(document)) {
          const x3 = document;
          const jsx$2_$_$$und1$f = x3;
          const jsx$2_$_$$und2$f = extensions;
          x$2_$_$$und1$f = jsx$2_$_$$und1$f;
          x$2_$_$$und2$f = jsx$2_$_$$und2$f;
          break matchEnd5
        }
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    const document$2 = x$2_$_$$und1$f;
    const extensions$2 = x$2_$_$$und2$f;
    const extendsStage = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage().init___T__Z(this.profile$2, false);
    const referenceStage = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T(this.profile$2);
    referenceStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(document$2);
    extendsStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(document$2);
    const masterTree = document$2.encodes__Lamf_core_model_domain_DomainElement();
    let these = extensions$2;
    while ((!these.isEmpty__Z())) {
      const arg1$1 = these.head__O();
      const x0$1 = arg1$1;
      if ($is_Lamf_core_model_document_ExtensionLike(x0$1)) {
        const x2$1 = x0$1;
        referenceStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(x2$1);
        const iriMerger = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger().init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage__T__T(this, (document$2.id$1 + "#"), (x2$1.id$1 + "#"));
        this.mergeDeclarations__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__V(document$2, x2$1, iriMerger);
        this.mergeReferences__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__V(document$2, x2$1);
        this.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(masterTree, x2$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1));
        this.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger, masterTree);
        extendsStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(document$2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      these = these.tail__O()
    };
    return this.removeExtends__Lamf_core_model_document_Document__Lamf_core_model_document_BaseUnit(document$2)
  };
  mergeDeclarations__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__V(master, extension, iriMerger) {
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(master.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1), new $c_s_Some().init___O(this.ctx$2), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    extension.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, master$1, declarations$1) {
      return (function(declaration$2) {
        const declaration = declaration$2;
        const x1 = declarations$1.findEquivalent__Lamf_core_model_domain_DomainElement__s_Option(declaration);
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const equivalent = x2.value$2;
          return $this.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(equivalent, declaration)
        } else {
          const x = $m_s_None$();
          if ((x === x1)) {
            return declarations$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement((master$1.id$1 + "#/declarations"), declaration))
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this, master, declarations)));
    const declarables = declarations.declarables__sc_Seq();
    declarables.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, iriMerger$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        this$2.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger$1, x$4)
      })
    })(this, iriMerger)));
    const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
    $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(master, field, declarables)
  };
  addAll__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__V(target, field, other) {
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, target$1, field$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, x$5)
      })
    })(this, target, field)))
  };
  init___T(profile) {
    this.profile$2 = profile;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    let jsx$1;
    if (($m_Lamf_ProfileNames$().RAML08$1 === profile)) {
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$5 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$5.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()), $m_s_None$())
    } else {
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$12 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$12.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()), $m_s_None$())
    };
    this.ctx$2 = jsx$1;
    return this
  };
  removeExtends__Lamf_core_model_document_Document__Lamf_core_model_document_BaseUnit(document) {
    const this$1 = document.encodes__Lamf_core_model_domain_DomainElement();
    this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(endpoint$2) {
        const endpoint = endpoint$2;
        endpoint.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
        endpoint.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(operation$2) {
            const operation = operation$2;
            return operation.fields$1.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field())
          })
        })($this)))
      })
    })(this)));
    return document
  };
  mergeReferences__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__V(document, extension) {
    const jsx$4 = document.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.id__T()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([document.id$1, extension.id$1]));
    const this$2 = $m_sc_Seq$();
    const existing = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const jsx$6 = extension.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const jsx$5 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1().init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage(this);
    const this$3 = $m_sc_Seq$();
    const libs = jsx$6.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$5, this$3.ReusableCBFInstance$2);
    const jsx$8 = document.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const jsx$7 = libs.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, existing$1) {
      return (function(unit$2) {
        const unit = unit$2;
        return (!existing$1.contains__O__Z(unit.id$1))
      })
    })(this, existing)));
    const this$4 = $m_sc_Seq$();
    const refs = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$4.ReusableCBFInstance$2);
    const field = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
    $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field, refs)
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const extendsStage = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage().init___T__Z(this.profile$2, true);
    if ($is_Lamf_core_model_document_ExtensionLike(model)) {
      const x2 = model;
      return this.resolveOverlay__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_ExtensionLike__Lamf_core_model_document_BaseUnit(model, x2)
    } else {
      return extendsStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    }
  };
  adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger, target) {
    const this$3 = target.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, iriMerger$1, target$1) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ((x0$6 !== null)) {
          const field = x0$6.$$und1__O();
          const value = x0$6.$$und2__O();
          const x1$2 = field.type$1;
          matchEnd9: {
            const x = $m_Lamf_core_metamodel_Type$Iri$();
            if (x.equals__O__Z(x1$2)) {
              iriMerger$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__V(target$1, field, value.value$1);
              break matchEnd9
            };
            if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$2)) {
              const x2 = x1$2;
              const o13 = new $c_s_Some().init___O(x2.element__Lamf_core_metamodel_Type());
              if ($is_Lamf_core_metamodel_domain_DomainElementModel(o13.value$2)) {
                const jsx$2 = value.value$1.values$1;
                const jsx$1 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1().init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage($this);
                const this$2 = $m_sc_Seq$();
                jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, iriMerger$2) {
                  return (function(x$10$2) {
                    const x$10 = x$10$2;
                    $this$1.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger$2, x$10)
                  })
                })($this, iriMerger$1)));
                break matchEnd9
              }
            };
            if ($is_Lamf_core_metamodel_domain_DomainElementModel(x1$2)) {
              $this.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger$1, value.value$1);
              break matchEnd9
            }
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this, iriMerger, target));
    this$3.fs$1.foreach__F1__V(fn)
  };
  ignored__p2__Lamf_core_parser_FieldEntry__Z(entry) {
    const x1 = entry.field$1;
    const x = $m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1;
    let jsx$1;
    if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      if (((x$3 === null) ? (x1 === null) : x$3.equals__O__Z(x1))) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1;
        jsx$1 = ((x$5 === null) ? (x1 === null) : x$5.equals__O__Z(x1))
      }
    };
    return (!jsx$1)
  };
  merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(master, overlay) {
    this.cleanSynthesizedFacets__Lamf_core_model_domain_DomainElement__V(master);
    const this$1 = overlay.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $this.ignored__p2__Lamf_core_parser_FieldEntry__Z(entry)
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, master$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const field = x0$2.field$1;
          const value = x0$2.value$1;
          const x1$2 = master$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
          const x = $m_s_None$();
          if ((x === x1$2)) {
            const value$1 = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(master$1.id__T(), value.value$1);
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(master$1, field, value$1)
          } else if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const existing = x2.value$2;
            const x1$3 = field.type$1;
            if ($is_Lamf_core_metamodel_Type$Scalar(x1$3)) {
              const value$2 = value.value$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(master$1, field, value$2)
            } else if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$3)) {
              const x2$2 = x1$3;
              const o13 = new $c_s_Some().init___O(x2$2.element__Lamf_core_metamodel_Type());
              const element = o13.value$2;
              this$2$1.mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__V(master$1, field, element, existing.value$1, value);
              return (void 0)
            } else {
              const x$3 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
              if ((x$3 === x1$3)) {
                this$2$1.mergeDataNode__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__V(master$1, field, existing.value$1.value$1, value.value$1);
                return (void 0)
              } else if (($is_Lamf_core_metamodel_domain_ShapeModel(x1$3) && this$2$1.incompatibleType__p2__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Z(existing.value$1.value$1, x0$2.value$1.value$1))) {
                const value$3 = x0$2.value$1.value$1;
                return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(master$1, field, value$3)
              } else if ($is_Lamf_core_metamodel_domain_DomainElementModel(x1$3)) {
                return this$2$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(existing.value$1.value$1, x0$2.value$1.value$1)
              } else {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "':not a (Scalar|Array|Object)"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([field.type$1]))))
              }
            }
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this, master)));
    return master
  };
  extensionsQueue__scm_ListBuffer__Lamf_core_model_document_BaseUnit__sci_List(collector, model) {
    if ($is_Lamf_core_model_document_ExtensionLike(model)) {
      const x2 = model;
      const id = x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
      const x1$2 = $f_Lamf_core_model_document_BaseUnit__findInReferences__T__s_Option(model, id);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const e = x2$2.value$2;
        collector.$$plus$eq__O__scm_ListBuffer(e);
        return this.extensionsQueue__scm_ListBuffer__Lamf_core_model_document_BaseUnit__sci_List(collector, e)
      } else {
        const x = $m_s_None$();
        if ((x === x1$2)) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["BaseUnit '", "' not found in references."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1)]))))
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        }
      }
    } else {
      return $f_sc_SeqLike__reverse__O(collector).toList__sci_List()
    }
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage;
class $c_Lamf_plugins_document_webapi_validation_AMFValidation$ extends $c_O {
  init___() {
    return this
  };
  fromLine__T__s_Option(line) {
    const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(line, "\t", 0);
    const o8 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o8.isEmpty__Z()) && ((o8.get__O() !== null) && (o8.get__O().lengthCompare__I__I(12) === 0)))) {
      const uri = o8.get__O().apply__I__O(0);
      const message = o8.get__O().apply__I__O(1);
      const spec = o8.get__O().apply__I__O(2);
      const level = o8.get__O().apply__I__O(3);
      const owlClass = o8.get__O().apply__I__O(4);
      const owlProperty = o8.get__O().apply__I__O(5);
      const shape = o8.get__O().apply__I__O(6);
      const target = o8.get__O().apply__I__O(7);
      const constraint = o8.get__O().apply__I__O(8);
      const value = o8.get__O().apply__I__O(9);
      const ramlError = o8.get__O().apply__I__O(10);
      const openApiError = o8.get__O().apply__I__O(11);
      if ((spec !== null)) {
        return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_validation_AMFValidation().init___s_Option__s_Option__T__T__s_Option__s_Option__T__T__T__T__T__T(this.nonNullString__T__s_Option($m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(uri).iri__T()), this.nonNullString__T__s_Option(message), spec, level, this.nonNullString__T__s_Option($m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(owlClass).iri__T()), this.nonNullString__T__s_Option($m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(owlProperty).iri__T()), shape, $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(target).iri__T(), $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(constraint).iri__T(), $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(value).iri__T(), ramlError, openApiError))
      }
    };
    return $m_s_None$()
  };
  nonNullString__T__s_Option(s) {
    return ((s === "") ? $m_s_None$() : new $c_s_Some().init___O(s))
  };
}
const $d_Lamf_plugins_document_webapi_validation_AMFValidation$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFValidation$: 0
}, false, "amf.plugins.document.webapi.validation.AMFValidation$", {
  Lamf_plugins_document_webapi_validation_AMFValidation$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFValidation$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFValidation$;
let $n_Lamf_plugins_document_webapi_validation_AMFValidation$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_AMFValidation$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_AMFValidation$)) {
    $n_Lamf_plugins_document_webapi_validation_AMFValidation$ = new $c_Lamf_plugins_document_webapi_validation_AMFValidation$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_AMFValidation$
});
class $c_Lamf_plugins_document_webapi_validation_PayloadValidation extends $c_O {
  constructor() {
    super();
    this.profile$1 = null;
    this.aggregatedReport$1 = null;
    this.defaultValidationProfiles$1 = null
  };
  model__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit(dataNode) {
    const doc = new $c_Lamf_plugins_document_webapi_validation_PayloadFragment().init___Lamf_core_model_domain_DataNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(dataNode, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(doc, field, "http://test.com/payload");
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(doc, "http://test.com/payload");
    return doc
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$1 = x$1
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$1
  };
  processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(validation, node, validations) {
    const validationsAcc = new $c_sr_ObjectRef().init___O(validations);
    if ($is_Lamf_core_model_domain_ObjectNode(node)) {
      const x2 = node;
      x2.properties$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validation$1, validations$1, validationsAcc$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ((x0$1 !== null)) {
            const propName = x0$1.$$und1__O();
            const nodes = x0$1.$$und2__O();
            const x1$2 = validation$1.propertyConstraints$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, propName$1) {
              return (function(p$2) {
                const p = p$2;
                return $m_sjsr_RuntimeString$().endsWith__T__T__Z(p.ramlPropertyId$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["#", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propName$1])))
              })
            })($this, propName)));
            matchEnd5: {
              if ($is_s_Some(x1$2)) {
                const x2$1 = x1$2;
                const propertyConstraint = x2$1.value$2;
                if (propertyConstraint.node$1.isDefined__Z()) {
                  const x1$3 = validations$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, propertyConstraint$1) {
                    return (function(v$2) {
                      const v = v$2;
                      return (v.id__T() === propertyConstraint$1.node$1.get__O())
                    })
                  })($this, propertyConstraint)));
                  if ($is_s_Some(x1$3)) {
                    const x2$2 = x1$3;
                    const targetValidation = x2$2.value$2;
                    validationsAcc$1.elem$1 = $this.processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(targetValidation, nodes, validationsAcc$1.elem$1)
                  };
                  break matchEnd5
                }
              };
              const x$2 = $m_s_None$();
              if ((x$2 === x1$2)) {
                break matchEnd5
              };
              throw new $c_s_MatchError().init___O(x1$2)
            }
          } else {
            throw new $c_s_MatchError().init___O(x0$1)
          }
        })
      })(this, validation, validations, validationsAcc)))
    } else if ($is_Lamf_core_model_domain_ArrayNode(node)) {
      const x3 = node;
      const x1$2$1 = validation.propertyConstraints$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(p$2$1) {
          const p$1 = p$2$1;
          const jsx$1 = p$1.ramlPropertyId$1;
          const this$3 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
          return (jsx$1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "member").iri__T())
        })
      })(this)));
      matchEnd4$2: {
        if ($is_s_Some(x1$2$1)) {
          const x2$2$1 = x1$2$1;
          const memberPropertyValidation = x2$2$1.value$2;
          if (memberPropertyValidation.node$1.isDefined__Z()) {
            const itemsValidationId = memberPropertyValidation.node$1.get__O();
            const x1$3$1 = validationsAcc.elem$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, itemsValidationId$1) {
              return (function(v$2$1) {
                const v$1 = v$2$1;
                return (v$1.id__T() === itemsValidationId$1)
              })
            })(this, itemsValidationId)));
            if ($is_s_Some(x1$3$1)) {
              const x2$3 = x1$3$1;
              const itemsValidation = x2$3.value$2;
              const this$5 = x3.members$2;
              const this$6 = this$5.scala$collection$mutable$ListBuffer$$start$6;
              let these = this$6;
              while ((!these.isEmpty__Z())) {
                const arg1 = these.head__O();
                const memberShape = arg1;
                validationsAcc.elem$1 = this.processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(itemsValidation, memberShape, validationsAcc.elem$1);
                these = these.tail__O()
              }
            };
            break matchEnd4$2
          }
        }
      }
    } else if ((!$is_Lamf_core_model_domain_ScalarNode(node))) {
      throw new $c_s_MatchError().init___O(node)
    };
    const jsx$3 = validation.targetInstance$1;
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
    const this$7 = $m_sc_Seq$();
    const x$25 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$7.ReusableCBFInstance$2).distinct__O();
    const x$26 = validation.name$1;
    const x$27 = validation.message$1;
    const x$28 = validation.ramlMessage$1;
    const x$29 = validation.oasMessage$1;
    const x$30 = validation.targetClass$1;
    const x$31 = validation.targetObject$1;
    const x$32 = validation.unionConstraints$1;
    const x$33 = validation.propertyConstraints$1;
    const x$34 = validation.nodeConstraints$1;
    const x$35 = validation.closed$1;
    const x$36 = validation.functionConstraint$1;
    const x$37 = validation.custom$1;
    const newValidation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$26, x$27, x$28, x$29, x$25, x$30, x$31, x$32, x$33, x$34, x$35, x$36, x$37);
    const jsx$5 = validationsAcc.elem$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, newValidation$1) {
      return (function(v$3$2) {
        const v$3 = v$3$2;
        return (v$3.id__T() !== newValidation$1.id__T())
      })
    })(this, newValidation)));
    const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([newValidation]));
    const this$8 = $m_sc_Seq$();
    validationsAcc.elem$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$8.ReusableCBFInstance$2);
    return validationsAcc.elem$1
  };
  init___Lamf_core_remote_Platform__Lamf_core_model_domain_Shape(platform, shape) {
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    this.profile$1 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_validation_AMFShapeValidations().init___Lamf_core_model_domain_Shape(shape).profile__Lamf_core_validation_core_ValidationProfile());
    return this
  };
  addProfileTargets__Lamf_core_model_domain_DataNode__V(dataNode) {
    const this$1 = this.profile$1;
    const entryValidation = this$1.value$2.validations$1.head__O();
    const x$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([dataNode.id$1]));
    const x$5 = entryValidation.name$1;
    const x$6 = entryValidation.message$1;
    const x$7 = entryValidation.ramlMessage$1;
    const x$8 = entryValidation.oasMessage$1;
    const x$9 = entryValidation.targetClass$1;
    const x$10 = entryValidation.targetObject$1;
    const x$11 = entryValidation.unionConstraints$1;
    const x$12 = entryValidation.propertyConstraints$1;
    const x$13 = entryValidation.nodeConstraints$1;
    const x$14 = entryValidation.closed$1;
    const x$15 = entryValidation.functionConstraint$1;
    const x$16 = entryValidation.custom$1;
    const entryValdiationWithTarget = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$5, x$6, x$7, x$8, x$4, x$9, x$10, x$11, x$12, x$13, x$14, x$15, x$16);
    const this$2 = this.profile$1;
    const restValidations = this$2.value$2.validations$1.tail__O();
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entryValdiationWithTarget]));
    const this$3 = $m_sc_Seq$();
    let finalValidations = jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(restValidations, this$3.ReusableCBFInstance$2);
    finalValidations = this.processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(entryValidation, dataNode, finalValidations);
    const this$4 = this.profile$1;
    const qual$1 = this$4.value$2;
    const x$17 = finalValidations;
    const x$18 = qual$1.name$1;
    const x$19 = qual$1.baseProfileName$1;
    const x$20 = qual$1.violationLevel$1;
    const x$21 = qual$1.infoLevel$1;
    const x$22 = qual$1.warningLevel$1;
    const x$23 = qual$1.disabled$1;
    const x$24 = qual$1.prefixes$1;
    this.profile$1 = new $c_s_Some().init___O(new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(x$18, x$19, x$20, x$21, x$22, x$23, x$17, x$24))
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$1 = x$1
  };
  validate__Lamf_core_model_domain_DataNode__s_concurrent_Future(dataNode) {
    this.addProfileTargets__Lamf_core_model_domain_DataNode__V(dataNode);
    const jsx$1 = new $c_Lamf_core_validation_EffectiveValidations().init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
    const this$7 = this.profile$1;
    const validations = jsx$1.someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(this$7.value$2);
    const baseUnit = this.model__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit(dataNode);
    return $m_Lamf_core_services_RuntimeValidator$().shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(baseUnit, validations, ($m_Lamf_core_services_RuntimeValidator$(), "AMF")).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validations$1, baseUnit$1) {
      return (function(report$2) {
        const report = report$2;
        const this$9 = report.results__sci_List();
        const f = (function($this$1, validations$1$1, baseUnit$1$1) {
          return (function(r$2) {
            const r = r$2;
            return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildPayloadValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_EffectiveValidations__s_Option($this$1, baseUnit$1$1, r, validations$1$1)
          })
        })($this, validations$1, baseUnit$1);
        const this$8 = $m_sci_List$();
        const bf = this$8.ReusableCBFInstance$2;
        let jsx$2;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$9 === $m_sci_Nil$())) {
            jsx$2 = $m_sci_Nil$()
          } else {
            const arg1 = this$9.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            let t = h;
            let rest = this$9.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$1 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              rest = rest.tail__O()
            };
            jsx$2 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf);
          let these = this$9;
          while ((!these.isEmpty__Z())) {
            const arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            these = these.tail__O()
          };
          jsx$2 = b.result__O()
        };
        const this$11 = jsx$2.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return x$1.isDefined__Z()
          })
        })($this)));
        const f$1 = (function(this$3$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            return x$2.get__O()
          })
        })($this);
        const this$10 = $m_sci_List$();
        const bf$1 = this$10.ReusableCBFInstance$2;
        let results;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$11 === $m_sci_Nil$())) {
            results = $m_sci_Nil$()
          } else {
            const arg1$3 = this$11.head__O();
            const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
            let t$1 = h$1;
            let rest$1 = this$11.tail__O();
            while ((rest$1 !== $m_sci_Nil$())) {
              const arg1$4 = rest$1.head__O();
              const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
              t$1.tl$5 = nx$1;
              t$1 = nx$1;
              rest$1 = rest$1.tail__O()
            };
            results = h$1
          }
        } else {
          const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$11, bf$1);
          let these$1 = this$11;
          while ((!these$1.isEmpty__Z())) {
            const arg1$5 = these$1.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
            these$1 = these$1.tail__O()
          };
          results = b$1.result__O()
        };
        let jsx$4;
        inlinereturn$37: {
          let these$2 = results;
          while ((!these$2.isEmpty__Z())) {
            const arg1$6 = these$2.head__O();
            const x$3 = arg1$6;
            if ((x$3.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
              jsx$4 = true;
              break inlinereturn$37
            };
            these$2 = these$2.tail__O()
          };
          jsx$4 = false
        };
        const jsx$3 = baseUnit$1.id__T();
        const this$12 = $this.profile$1;
        return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$4), jsx$3, this$12.value$2.name$1, results)
      })
    })(this, validations, baseUnit)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
}
const $d_Lamf_plugins_document_webapi_validation_PayloadValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_PayloadValidation: 0
}, false, "amf.plugins.document.webapi.validation.PayloadValidation", {
  Lamf_plugins_document_webapi_validation_PayloadValidation: 1,
  O: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1
});
$c_Lamf_plugins_document_webapi_validation_PayloadValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_PayloadValidation;
class $c_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ extends $c_Lamf_core_plugins_AMFDomainPlugin {
  constructor() {
    super();
    this.ID$2 = null
  };
  init___() {
    this.ID$2 = "Data Shapes Domain";
    return this
  };
  modelEntities__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$(), $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$(), $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$(), $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$(), $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$()]))
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  serializableAnnotations__sci_Map() {
    const y = $m_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$();
    const array = [new $c_T2().init___O__O("type-expression", y)];
    const this$4 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$4.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return this$4.elems$1
  };
}
const $d_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_DataShapesDomainPlugin$: 0
}, false, "amf.plugins.domain.shapes.DataShapesDomainPlugin$", {
  Lamf_plugins_domain_shapes_DataShapesDomainPlugin$: 1,
  Lamf_core_plugins_AMFDomainPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$.prototype.$classData = $d_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$;
let $n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = (void 0);
const $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$)) {
    $n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = new $c_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$
});
class $c_Lamf_plugins_domain_shapes_models_ArrayShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_ArrayShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ArrayShape$: 0
}, false, "amf.plugins.domain.shapes.models.ArrayShape$", {
  Lamf_plugins_domain_shapes_models_ArrayShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ArrayShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ArrayShape$;
let $n_Lamf_plugins_domain_shapes_models_ArrayShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_ArrayShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_ArrayShape$)) {
    $n_Lamf_plugins_domain_shapes_models_ArrayShape$ = new $c_Lamf_plugins_domain_shapes_models_ArrayShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_ArrayShape$
});
class $c_Lamf_plugins_domain_shapes_models_CreativeWork$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_CreativeWork(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_CreativeWork$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_CreativeWork$: 0
}, false, "amf.plugins.domain.shapes.models.CreativeWork$", {
  Lamf_plugins_domain_shapes_models_CreativeWork$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_CreativeWork$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_CreativeWork$;
let $n_Lamf_plugins_domain_shapes_models_CreativeWork$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_CreativeWork$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_CreativeWork$)) {
    $n_Lamf_plugins_domain_shapes_models_CreativeWork$ = new $c_Lamf_plugins_domain_shapes_models_CreativeWork$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_CreativeWork$
});
class $c_Lamf_plugins_domain_shapes_models_Example$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_Example$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_Example$: 0
}, false, "amf.plugins.domain.shapes.models.Example$", {
  Lamf_plugins_domain_shapes_models_Example$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_Example$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_Example$;
let $n_Lamf_plugins_domain_shapes_models_Example$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_Example$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_Example$)) {
    $n_Lamf_plugins_domain_shapes_models_Example$ = new $c_Lamf_plugins_domain_shapes_models_Example$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_Example$
});
class $c_Lamf_plugins_domain_shapes_models_FileShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_FileShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_FileShape$: 0
}, false, "amf.plugins.domain.shapes.models.FileShape$", {
  Lamf_plugins_domain_shapes_models_FileShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_FileShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_FileShape$;
let $n_Lamf_plugins_domain_shapes_models_FileShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_FileShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_FileShape$)) {
    $n_Lamf_plugins_domain_shapes_models_FileShape$ = new $c_Lamf_plugins_domain_shapes_models_FileShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_FileShape$
});
class $c_Lamf_plugins_domain_shapes_models_NilShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_NilShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NilShape$: 0
}, false, "amf.plugins.domain.shapes.models.NilShape$", {
  Lamf_plugins_domain_shapes_models_NilShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NilShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NilShape$;
let $n_Lamf_plugins_domain_shapes_models_NilShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_NilShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_NilShape$)) {
    $n_Lamf_plugins_domain_shapes_models_NilShape$ = new $c_Lamf_plugins_domain_shapes_models_NilShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_NilShape$
});
class $c_Lamf_plugins_domain_shapes_models_NodeShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_NodeShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NodeShape$: 0
}, false, "amf.plugins.domain.shapes.models.NodeShape$", {
  Lamf_plugins_domain_shapes_models_NodeShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NodeShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NodeShape$;
let $n_Lamf_plugins_domain_shapes_models_NodeShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_NodeShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_NodeShape$)) {
    $n_Lamf_plugins_domain_shapes_models_NodeShape$ = new $c_Lamf_plugins_domain_shapes_models_NodeShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_NodeShape$
});
class $c_Lamf_plugins_domain_shapes_models_PropertyDependencies$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_shapes_models_PropertyDependencies(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_PropertyDependencies$: 0
}, false, "amf.plugins.domain.shapes.models.PropertyDependencies$", {
  Lamf_plugins_domain_shapes_models_PropertyDependencies$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_PropertyDependencies$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_PropertyDependencies$;
let $n_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_PropertyDependencies$)) {
    $n_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_PropertyDependencies$
});
class $c_Lamf_plugins_domain_shapes_models_ScalarShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_ScalarShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ScalarShape$: 0
}, false, "amf.plugins.domain.shapes.models.ScalarShape$", {
  Lamf_plugins_domain_shapes_models_ScalarShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ScalarShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ScalarShape$;
let $n_Lamf_plugins_domain_shapes_models_ScalarShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_ScalarShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_ScalarShape$)) {
    $n_Lamf_plugins_domain_shapes_models_ScalarShape$ = new $c_Lamf_plugins_domain_shapes_models_ScalarShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_ScalarShape$
});
class $c_Lamf_plugins_domain_shapes_models_SchemaShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_SchemaShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_SchemaShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_SchemaShape$: 0
}, false, "amf.plugins.domain.shapes.models.SchemaShape$", {
  Lamf_plugins_domain_shapes_models_SchemaShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_SchemaShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_SchemaShape$;
let $n_Lamf_plugins_domain_shapes_models_SchemaShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_SchemaShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_SchemaShape$)) {
    $n_Lamf_plugins_domain_shapes_models_SchemaShape$ = new $c_Lamf_plugins_domain_shapes_models_SchemaShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_SchemaShape$
});
class $c_Lamf_plugins_domain_shapes_models_TupleShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_TupleShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TupleShape$: 0
}, false, "amf.plugins.domain.shapes.models.TupleShape$", {
  Lamf_plugins_domain_shapes_models_TupleShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_TupleShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TupleShape$;
let $n_Lamf_plugins_domain_shapes_models_TupleShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TupleShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TupleShape$)) {
    $n_Lamf_plugins_domain_shapes_models_TupleShape$ = new $c_Lamf_plugins_domain_shapes_models_TupleShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TupleShape$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$BinaryType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$BoolType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$BoolType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$BoolType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$ByteType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$ByteType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$ByteType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DateOnlyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DateTimeOnlyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DateTimeType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DoubleType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$FileType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$FileType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$FileType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$FileType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$FileType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$FileType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$FloatType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$FloatType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$FloatType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$IntType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$IntType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$IntType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$IntType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$IntType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$IntType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$LongType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$LongType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$LongType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$LongType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$LongType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$LongType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$NilType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$NilType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$NilType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$NilType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$NilType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$NilType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$NumberType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$NumberType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$NumberType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$PasswordType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$StrType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$StrType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$StrType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$StrType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$StrType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$StrType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$TimeOnlyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$
});
class $c_Lamf_plugins_domain_shapes_models_UnionShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnionShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_UnionShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnionShape$: 0
}, false, "amf.plugins.domain.shapes.models.UnionShape$", {
  Lamf_plugins_domain_shapes_models_UnionShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnionShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnionShape$;
let $n_Lamf_plugins_domain_shapes_models_UnionShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_UnionShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_UnionShape$)) {
    $n_Lamf_plugins_domain_shapes_models_UnionShape$ = new $c_Lamf_plugins_domain_shapes_models_UnionShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_UnionShape$
});
class $c_Lamf_plugins_domain_shapes_models_UnresolvedShape$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(reference, ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T(new $c_Lamf_core_parser_Fields().init___(), annotations, reference)
  };
  apply__T__s_Option__Lamf_plugins_domain_shapes_models_UnresolvedShape(reference, ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations((ast.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().Null$1 : ast.get__O()));
    return new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T(new $c_Lamf_core_parser_Fields().init___(), annotations, reference)
  };
}
const $d_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnresolvedShape$: 0
}, false, "amf.plugins.domain.shapes.models.UnresolvedShape$", {
  Lamf_plugins_domain_shapes_models_UnresolvedShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnresolvedShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnresolvedShape$;
let $n_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_UnresolvedShape$)) {
    $n_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_UnresolvedShape$
});
class $c_Lamf_plugins_domain_shapes_models_XMLSerializer$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_XMLSerializer(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_XMLSerializer().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_XMLSerializer$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_XMLSerializer$: 0
}, false, "amf.plugins.domain.shapes.models.XMLSerializer$", {
  Lamf_plugins_domain_shapes_models_XMLSerializer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_XMLSerializer$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_XMLSerializer$;
let $n_Lamf_plugins_domain_shapes_models_XMLSerializer$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_XMLSerializer$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_XMLSerializer$)) {
    $n_Lamf_plugins_domain_shapes_models_XMLSerializer$ = new $c_Lamf_plugins_domain_shapes_models_XMLSerializer$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_XMLSerializer$
});
class $c_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ extends $c_Lamf_core_plugins_AMFDomainPlugin {
  constructor() {
    super();
    this.ID$2 = null
  };
  init___() {
    this.ID$2 = "WebAPI Domain";
    return this
  };
  modelEntities__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$(), $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$(), $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$(), $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$(), $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$(), $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$(), $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$(), $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$(), $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$(), $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$(), $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$(), $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$()]))
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$()]))
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  serializableAnnotations__sci_Map() {
    const y = $m_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$();
    const array = [new $c_T2().init___O__O("parent-end-point", y)];
    const this$4 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$4.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return this$4.elems$1
  };
}
const $d_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_WebAPIDomainPlugin$: 0
}, false, "amf.plugins.domain.webapi.WebAPIDomainPlugin$", {
  Lamf_plugins_domain_webapi_WebAPIDomainPlugin$: 1,
  Lamf_core_plugins_AMFDomainPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$.prototype.$classData = $d_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$;
let $n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = (void 0);
const $m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$)) {
    $n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = new $c_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$
});
class $c_Lamf_plugins_domain_webapi_models_License$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_License(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_License().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_License$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_License$: 0
}, false, "amf.plugins.domain.webapi.models.License$", {
  Lamf_plugins_domain_webapi_models_License$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_License$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_License$;
let $n_Lamf_plugins_domain_webapi_models_License$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_License$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_License$)) {
    $n_Lamf_plugins_domain_webapi_models_License$ = new $c_Lamf_plugins_domain_webapi_models_License$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_License$
});
class $c_Lamf_plugins_domain_webapi_models_Organization$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Organization(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_Organization().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Organization$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Organization$: 0
}, false, "amf.plugins.domain.webapi.models.Organization$", {
  Lamf_plugins_domain_webapi_models_Organization$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Organization$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Organization$;
let $n_Lamf_plugins_domain_webapi_models_Organization$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_Organization$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_Organization$)) {
    $n_Lamf_plugins_domain_webapi_models_Organization$ = new $c_Lamf_plugins_domain_webapi_models_Organization$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_Organization$
});
class $c_Lamf_plugins_domain_webapi_models_Parameter$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_Parameter(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Parameter$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Parameter$: 0
}, false, "amf.plugins.domain.webapi.models.Parameter$", {
  Lamf_plugins_domain_webapi_models_Parameter$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Parameter$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Parameter$;
let $n_Lamf_plugins_domain_webapi_models_Parameter$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_Parameter$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_Parameter$)) {
    $n_Lamf_plugins_domain_webapi_models_Parameter$ = new $c_Lamf_plugins_domain_webapi_models_Parameter$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_Parameter$
});
class $c_Lamf_plugins_domain_webapi_models_Payload$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Payload(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Payload$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Payload$: 0
}, false, "amf.plugins.domain.webapi.models.Payload$", {
  Lamf_plugins_domain_webapi_models_Payload$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Payload$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Payload$;
let $n_Lamf_plugins_domain_webapi_models_Payload$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_Payload$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_Payload$)) {
    $n_Lamf_plugins_domain_webapi_models_Payload$ = new $c_Lamf_plugins_domain_webapi_models_Payload$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_Payload$
});
class $c_Lamf_plugins_domain_webapi_models_WebApi$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_WebApi().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_WebApi$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_WebApi$: 0
}, false, "amf.plugins.domain.webapi.models.WebApi$", {
  Lamf_plugins_domain_webapi_models_WebApi$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_WebApi$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_WebApi$;
let $n_Lamf_plugins_domain_webapi_models_WebApi$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_WebApi$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_WebApi$)) {
    $n_Lamf_plugins_domain_webapi_models_WebApi$ = new $c_Lamf_plugins_domain_webapi_models_WebApi$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_WebApi$
});
class $c_Lamf_plugins_domain_webapi_models_security_Scope$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_Scope(part) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(part);
    return new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_security_Scope$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_Scope$: 0
}, false, "amf.plugins.domain.webapi.models.security.Scope$", {
  Lamf_plugins_domain_webapi_models_security_Scope$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_Scope$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_Scope$;
let $n_Lamf_plugins_domain_webapi_models_security_Scope$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_security_Scope$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_security_Scope$)) {
    $n_Lamf_plugins_domain_webapi_models_security_Scope$ = new $c_Lamf_plugins_domain_webapi_models_security_Scope$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_security_Scope$
});
class $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_SecurityScheme$: 0
}, false, "amf.plugins.domain.webapi.models.security.SecurityScheme$", {
  Lamf_plugins_domain_webapi_models_security_SecurityScheme$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_SecurityScheme$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme$;
let $n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$)) {
    $n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$
});
class $c_Lamf_plugins_domain_webapi_models_templates_ResourceType$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ResourceType$: 0
}, false, "amf.plugins.domain.webapi.models.templates.ResourceType$", {
  Lamf_plugins_domain_webapi_models_templates_ResourceType$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ResourceType$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ResourceType$;
let $n_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_templates_ResourceType$)) {
    $n_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_templates_ResourceType$
});
class $c_Lamf_plugins_domain_webapi_models_templates_Trait$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_templates_Trait$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_Trait$: 0
}, false, "amf.plugins.domain.webapi.models.templates.Trait$", {
  Lamf_plugins_domain_webapi_models_templates_Trait$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_Trait$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_Trait$;
let $n_Lamf_plugins_domain_webapi_models_templates_Trait$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_templates_Trait$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_templates_Trait$)) {
    $n_Lamf_plugins_domain_webapi_models_templates_Trait$ = new $c_Lamf_plugins_domain_webapi_models_templates_Trait$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_templates_Trait$
});
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.validationId$2$1 = null;
    this.f$1$1 = null;
    this.validatorId$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.f$1$1.functionName$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const fnName = x2.value$2;
      const jsx$8 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
      $m_Lorg_yaml_model_YNode$();
      const str = this.validatorId$1$1;
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
      $m_Lorg_yaml_model_YNode$();
      const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "JSValidator").iri__T();
      const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
      const this$8 = this.f$1$1.message$1;
      if ((!this$8.isEmpty__Z())) {
        const arg1 = this$8.get__O();
        const msg = arg1;
        $m_Lorg_yaml_model_YNode$();
        const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "message").iri__T();
        const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v, msg, $m_s_None$());
        const this$13 = v.builder$1;
        const array = [key$2];
        if ((this$13.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$13.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
        const len$1 = this$13.size0$6;
        const src = this$13.array$6;
        const dest = this$13.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$13.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$1 = j;
          const index = i;
          xs.u[jsx$1] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$13.size0$6 = newSize;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      };
      $m_Lorg_yaml_model_YNode$();
      const this$24 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$24, "jsLibrary").iri__T();
      const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$5 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.f$1$1.libraries$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3) {
        return (function(library$2) {
          const library = library$2;
          const jsx$4 = b$3.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$29 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "jsLibraryURL").iri__T();
          const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$2 = v$2.builder$1;
          const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          $m_Lorg_yaml_model_YNode$();
          const value$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(library);
          b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$2);
          $m_Lorg_yaml_model_YNode$();
          const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
          $m_Lorg_yaml_model_YNode$();
          const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("http://www.w3.org/2001/XMLSchema#anyUri");
          b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$3);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$5.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t, a, cs));
          const this$41 = v$2.builder$1;
          const array$1 = [key$4];
          if ((this$41.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$41.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$41, newSize$1);
          const len$4 = this$41.size0$6;
          const src$1 = this$41.array$6;
          const dest$1 = this$41.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$41.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$3 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$3] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$41.size0$6 = newSize$1;
          b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$1 = b$4.builder$1;
          const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$1, a$1, cs$1))
        })
      })(this, b$2)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$2 = b$2.builder$1;
      const value$6 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
      const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$2 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$2 = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$2, a$2, cs$2);
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$60 = v$1.builder$1;
      const array$2 = [key$3];
      if ((this$60.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$6 = (array$2.length | 0);
      const newSize$2 = ((this$60.size0$6 + len$6) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$60, newSize$2);
      const len$7 = this$60.size0$6;
      const src$2 = this$60.array$6;
      const dest$2 = this$60.array$6;
      $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
      const xs$2 = this$60.array$6;
      const len$8 = xs$2.u.length;
      let i$2 = 0;
      let j$2 = 0;
      const x$4 = (array$2.length | 0);
      const x$5 = ((x$4 < len$8) ? x$4 : len$8);
      const that$2 = xs$2.u.length;
      const end$2 = ((x$5 < that$2) ? x$5 : that$2);
      while ((i$2 < end$2)) {
        const jsx$6 = j$2;
        const index$2 = i$2;
        xs$2.u[jsx$6] = array$2[index$2];
        i$2 = ((1 + i$2) | 0);
        j$2 = ((1 + j$2) | 0)
      };
      this$60.size0$6 = newSize$2;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
      $m_Lorg_yaml_model_YNode$();
      const this$71 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$71, "jsFunctionName").iri__T();
      const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
      const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$3, fnName, $m_s_None$());
      const this$75 = v$3.builder$1;
      const array$3 = [key$7];
      if ((this$75.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$9 = (array$3.length | 0);
      const newSize$3 = ((this$75.size0$6 + len$9) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$75, newSize$3);
      const len$10 = this$75.size0$6;
      const src$3 = this$75.array$6;
      const dest$3 = this$75.array$6;
      $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
      const xs$3 = this$75.array$6;
      const len$11 = xs$3.u.length;
      let i$3 = 0;
      let j$3 = 0;
      const x$6 = (array$3.length | 0);
      const x$7 = ((x$6 < len$11) ? x$6 : len$11);
      const that$3 = xs$3.u.length;
      const end$3 = ((x$7 < that$3) ? x$7 : that$3);
      while ((i$3 < end$3)) {
        const jsx$7 = j$3;
        const index$3 = i$3;
        xs$3.u[jsx$7] = array$3[index$3];
        i$3 = ((1 + i$3) | 0);
        j$3 = ((1 + j$3) | 0)
      };
      this$75.size0$6 = newSize$3;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$3 = b$1.builder$1;
      const value$7 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
      const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$3 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$3 = null;
      jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$3, a$3, cs$3))
    } else {
      const x$8 = $m_s_None$();
      if ((x$8 === x1)) {
        const x1$2 = this.f$1$1.code$1;
        if ((!$is_s_Some(x1$2))) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit validator without JS code or JS function name"))
        };
        const jsx$18 = b.builder$1;
        const b$6 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
        $m_Lorg_yaml_model_YNode$();
        const str$6 = this.validatorId$1$1;
        const value$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
        b$6.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$8, value$8);
        $m_Lorg_yaml_model_YNode$();
        const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
        $m_Lorg_yaml_model_YNode$();
        const this$94 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$94, "JSValidator").iri__T();
        const value$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
        b$6.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$9, value$9);
        const this$97 = this.f$1$1.message$1;
        if ((!this$97.isEmpty__Z())) {
          const arg1$1 = this$97.get__O();
          const msg$1 = arg1$1;
          $m_Lorg_yaml_model_YNode$();
          const this$98 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$8 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$98, "message").iri__T();
          const key$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
          const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$4, msg$1, $m_s_None$());
          const this$102 = v$4.builder$1;
          const array$4 = [key$10];
          if ((this$102.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$12 = (array$4.length | 0);
          const newSize$4 = ((this$102.size0$6 + len$12) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$102, newSize$4);
          const len$13 = this$102.size0$6;
          const src$4 = this$102.array$6;
          const dest$4 = this$102.array$6;
          $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
          const xs$4 = this$102.array$6;
          const len$14 = xs$4.u.length;
          let i$4 = 0;
          let j$4 = 0;
          const x$9 = (array$4.length | 0);
          const x$10 = ((x$9 < len$14) ? x$9 : len$14);
          const that$4 = xs$4.u.length;
          const end$4 = ((x$10 < that$4) ? x$10 : that$4);
          while ((i$4 < end$4)) {
            const jsx$9 = j$4;
            const index$4 = i$4;
            xs$4.u[jsx$9] = array$4[index$4];
            i$4 = ((1 + i$4) | 0);
            j$4 = ((1 + j$4) | 0)
          };
          this$102.size0$6 = newSize$4;
          b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
        };
        $m_Lorg_yaml_model_YNode$();
        const this$113 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$9 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$113, "jsLibrary").iri__T();
        const key$11 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$9);
        const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$15 = v$5.builder$1;
        const b$7 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$11 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$().validationLibraryUrl__T()]));
        const jsx$10 = this.f$1$1.libraries$1;
        const this$117 = $m_sc_Seq$();
        jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$117.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$8) {
          return (function(library$2$1) {
            const library$1 = library$2$1;
            const jsx$14 = b$8.builder$1;
            const b$9 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$119 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$10 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$119, "jsLibraryURL").iri__T();
            const key$12 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$10);
            const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$12 = v$6.builder$1;
            const b$10 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$13 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
            $m_Lorg_yaml_model_YNode$();
            const value$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(library$1);
            b$10.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$13, value$10);
            $m_Lorg_yaml_model_YNode$();
            const key$14 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
            $m_Lorg_yaml_model_YNode$();
            const value$11 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("http://www.w3.org/2001/XMLSchema#anyUri");
            b$10.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$14, value$11);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$4 = b$10.builder$1;
            const value$12 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
            const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$4 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$4 = null;
            jsx$12.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$12, t$4, a$4, cs$4));
            const this$131 = v$6.builder$1;
            const array$5 = [key$12];
            if ((this$131.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$15 = (array$5.length | 0);
            const newSize$5 = ((this$131.size0$6 + len$15) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$131, newSize$5);
            const len$16 = this$131.size0$6;
            const src$5 = this$131.array$6;
            const dest$5 = this$131.array$6;
            $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
            const xs$5 = this$131.array$6;
            const len$17 = xs$5.u.length;
            let i$5 = 0;
            let j$5 = 0;
            const x$11 = (array$5.length | 0);
            const x$12 = ((x$11 < len$17) ? x$11 : len$17);
            const that$5 = xs$5.u.length;
            const end$5 = ((x$12 < that$5) ? x$12 : that$5);
            while ((i$5 < end$5)) {
              const jsx$13 = j$5;
              const index$5 = i$5;
              xs$5.u[jsx$13] = array$5[index$5];
              i$5 = ((1 + i$5) | 0);
              j$5 = ((1 + j$5) | 0)
            };
            this$131.size0$6 = newSize$5;
            b$9.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$5 = b$9.builder$1;
            const value$13 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
            const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$5 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$5 = null;
            jsx$14.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$13, t$5, a$5, cs$5))
          })
        })(this, b$7)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$6 = b$7.builder$1;
        const value$14 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$6);
        const tt$6 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$6 = tt$6.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$6 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$6 = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$14, t$6, a$6, cs$6);
        jsx$15.$$plus$eq__O__scm_ArrayBuffer(node$1);
        const this$150 = v$5.builder$1;
        const array$6 = [key$11];
        if ((this$150.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$18 = (array$6.length | 0);
        const newSize$6 = ((this$150.size0$6 + len$18) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$150, newSize$6);
        const len$19 = this$150.size0$6;
        const src$6 = this$150.array$6;
        const dest$6 = this$150.array$6;
        $systemArraycopy(src$6, 0, dest$6, len$18, len$19);
        const xs$6 = this$150.array$6;
        const len$20 = xs$6.u.length;
        let i$6 = 0;
        let j$6 = 0;
        const x$13 = (array$6.length | 0);
        const x$14 = ((x$13 < len$20) ? x$13 : len$20);
        const that$6 = xs$6.u.length;
        const end$6 = ((x$14 < that$6) ? x$14 : that$6);
        while ((i$6 < end$6)) {
          const jsx$16 = j$6;
          const index$6 = i$6;
          xs$6.u[jsx$16] = array$6[index$6];
          i$6 = ((1 + i$6) | 0);
          j$6 = ((1 + j$6) | 0)
        };
        this$150.size0$6 = newSize$6;
        b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
        $m_Lorg_yaml_model_YNode$();
        const this$161 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$11 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$161, "jsFunctionName").iri__T();
        const key$15 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$11);
        const v$7 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$7, this.f$1$1.computeFunctionName__T__T(this.validationId$2$1), $m_s_None$());
        const this$165 = v$7.builder$1;
        const array$7 = [key$15];
        if ((this$165.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$21 = (array$7.length | 0);
        const newSize$7 = ((this$165.size0$6 + len$21) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$165, newSize$7);
        const len$22 = this$165.size0$6;
        const src$7 = this$165.array$6;
        const dest$7 = this$165.array$6;
        $systemArraycopy(src$7, 0, dest$7, len$21, len$22);
        const xs$7 = this$165.array$6;
        const len$23 = xs$7.u.length;
        let i$7 = 0;
        let j$7 = 0;
        const x$15 = (array$7.length | 0);
        const x$16 = ((x$15 < len$23) ? x$15 : len$23);
        const that$7 = xs$7.u.length;
        const end$7 = ((x$16 < that$7) ? x$16 : that$7);
        while ((i$7 < end$7)) {
          const jsx$17 = j$7;
          const index$7 = i$7;
          xs$7.u[jsx$17] = array$7[index$7];
          i$7 = ((1 + i$7) | 0);
          j$7 = ((1 + j$7) | 0)
        };
        this$165.size0$6 = newSize$7;
        b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$7.builder$1));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$7 = b$6.builder$1;
        const value$15 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$7);
        const tt$7 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$7 = tt$7.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$7 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$7 = null;
        jsx$18.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$15, t$7, a$7, cs$7))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
  init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__Lamf_core_validation_core_FunctionConstraint__T($$outer, validationId$2, f$1, validatorId$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.validationId$2$1 = validationId$2;
    this.f$1$1 = f$1;
    this.validatorId$1$1 = validatorId$1;
    return this
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter$$anon$1", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1;
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2 extends $c_O {
  constructor() {
    super();
    this.constraintId$2$1 = null;
    this.validatorId$2$1 = null;
    this.validatorPath$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$9 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str = this.constraintId$2$1;
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ConstraintComponent").iri__T();
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
    $m_Lorg_yaml_model_YNode$();
    const this$8 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$8, "parameter").iri__T();
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const this$12 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$12, "path").iri__T();
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v$1.builder$1;
    const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$4 = this.validatorPath$1$1;
    const value$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
    b$3.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$4, value$2);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$3.builder$1;
    const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t, a, cs));
    const this$22 = v$1.builder$1;
    const array = [key$3];
    if ((this$22.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$22.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize);
    const len$1 = this$22.size0$6;
    const src = this$22.array$6;
    const dest = this$22.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$22.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$22.size0$6 = newSize;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$33 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "datatype").iri__T();
    const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
    const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v$2.builder$1;
    const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const this$38 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const str$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$38, "boolean").iri__T();
    const value$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
    b$4.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$4);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$4.builder$1;
    const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$1, a$1, cs$1));
    const this$45 = v$2.builder$1;
    const array$1 = [key$5];
    if ((this$45.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$45.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$45, newSize$1);
    const len$4 = this$45.size0$6;
    const src$1 = this$45.array$6;
    const dest$1 = this$45.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$45.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$4 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$4] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$45.size0$6 = newSize$1;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$2 = b$2.builder$1;
    const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$2, a$2, cs$2));
    const this$60 = v.builder$1;
    const array$2 = [key$2];
    if ((this$60.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$60.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$60, newSize$2);
    const len$7 = this$60.size0$6;
    const src$2 = this$60.array$6;
    const dest$2 = this$60.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$60.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$6 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$6] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$60.size0$6 = newSize$2;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$71 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$71, "validator").iri__T();
    const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$7 = v$3.builder$1;
    const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$8 = this.validatorId$2$1;
    const value$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
    b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$8, value$7);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$3 = b$5.builder$1;
    const value$8 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
    const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$3 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$3 = null;
    jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$8, t$3, a$3, cs$3));
    const this$81 = v$3.builder$1;
    const array$3 = [key$7];
    if ((this$81.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$81.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$81, newSize$3);
    const len$10 = this$81.size0$6;
    const src$3 = this$81.array$6;
    const dest$3 = this$81.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$81.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$8 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$8] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$81.size0$6 = newSize$3;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$4 = b$1.builder$1;
    const value$9 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
    const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$4 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$4 = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$9, t$4, a$4, cs$4))
  };
  init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__T__T($$outer, constraintId$2, validatorId$2, validatorPath$1) {
    this.constraintId$2$1 = constraintId$2;
    this.validatorId$2$1 = validatorId$2;
    this.validatorPath$1$1 = validatorPath$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter$$anon$2", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$ extends $c_Lamf_core_plugins_AMFSyntaxPlugin {
  constructor() {
    super();
    this.ID$2 = null
  };
  init___() {
    this.ID$2 = "SYaml";
    return this
  };
  supportedMediaTypes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/yaml", "application/x-yaml", "text/yaml", "text/x-yaml", "application/json", "text/json", "application/raml", "text/vnd.yaml"]))
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sci_Nil$()
  };
  parse__T__jl_CharSequence__Lamf_core_parser_ParserContext__s_Option(mediaType, text, ctx) {
    const parser = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(text, ctx).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include");
    const parts = parser.parse__Z__sc_IndexedSeq(true);
    if (parts.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        return $is_Lorg_yaml_model_YDocument(v)
      })
    })(this)))) {
      const pf = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4().init___();
      const this$1 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(parts, pf);
      if (this$1.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const document = arg1;
        const pf$1 = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1().init___();
        const comment = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(parts, pf$1);
        return new $c_s_Some().init___O(new $c_Lamf_core_parser_ParsedDocument().init___s_Option__Lorg_yaml_model_YDocument(comment, document))
      }
    } else {
      const pf$2 = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5().init___();
      const this$2 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(parts, pf$2);
      if (this$2.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const comment$1 = arg1$1;
        const jsx$2 = new $c_s_Some().init___O(comment$1);
        $m_s_package$();
        $m_Lorg_yaml_model_YNode$();
        const map = $m_Lorg_yaml_model_YMap$().empty$1;
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const array = [new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs)];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const this$10 = new $c_sci_VectorBuilder().init___();
          jsx$1 = this$10.result__sci_Vector()
        } else {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const b = new $c_sci_VectorBuilder().init___();
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1$2 = array[index];
            b.$$plus$eq__O__sci_VectorBuilder(arg1$2);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.result__sci_Vector()
        };
        return new $c_s_Some().init___O(new $c_Lamf_core_parser_ParsedDocument().init___s_Option__Lorg_yaml_model_YDocument(jsx$2, new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(jsx$1)))
      }
    }
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  unparse__T__Lorg_yaml_model_YDocument__s_Option(mediaType, ast) {
    const format = ((mediaType === "application/yaml") ? "yaml" : ((mediaType === "application/x-yaml") ? "yaml" : ((mediaType === "text/yaml") ? "yaml" : ((mediaType === "text/x-yaml") ? "yaml" : ((mediaType === "application/json") ? "json" : ((mediaType === "text/json") ? "json" : (((mediaType.indexOf("json") | 0) > (-1)) ? "json" : "yaml")))))));
    return ((format === "yaml") ? new $c_s_Some().init___O($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(ast, false)) : new $c_s_Some().init___O($m_Lorg_yaml_render_JsonRender$().render__Lorg_yaml_model_YDocument__T(ast)))
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$: 1,
  Lamf_core_plugins_AMFSyntaxPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$;
let $n_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = (void 0);
const $m_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = (function() {
  if ((!$n_Lamf_plugins_syntax_SYamlSyntaxPlugin$)) {
    $n_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$().init___()
  };
  return $n_Lamf_plugins_syntax_SYamlSyntaxPlugin$
});
class $c_Ljava_io_OutputStream extends $c_O {
}
class $c_Ljava_math_BigDecimal$ extends $c_O {
  constructor() {
    super();
    this.ZERO$1 = null;
    this.ONE$1 = null;
    this.TEN$1 = null;
    this.java$math$BigDecimal$$LongFivePows$1 = null;
    this.java$math$BigDecimal$$LongFivePowsBitLength$1 = null;
    this.LongTenPows$1 = null;
    this.java$math$BigDecimal$$LongTenPowsBitLength$1 = null;
    this.BigIntScaledByZero$1 = null;
    this.ZeroScaledBy$1 = null;
    this.java$math$BigDecimal$$CharZeros$1 = null
  };
  valueOf__J__I__Ljava_math_BigDecimal(unscaledVal, scale) {
    return ((scale === 0) ? this.valueOf__J__Ljava_math_BigDecimal(unscaledVal) : (((((unscaledVal.lo$2 === 0) && (unscaledVal.hi$2 === 0)) && (scale >= 0)) && (scale < this.ZeroScaledBy$1.u.length)) ? this.ZeroScaledBy$1.u[scale] : new $c_Ljava_math_BigDecimal().init___J__I(unscaledVal, scale)))
  };
  init___() {
    $n_Ljava_math_BigDecimal$ = this;
    this.ZERO$1 = new $c_Ljava_math_BigDecimal().init___I__I(0, 0);
    this.ONE$1 = new $c_Ljava_math_BigDecimal().init___I__I(1, 0);
    this.TEN$1 = new $c_Ljava_math_BigDecimal().init___I__I(10, 0);
    this.java$math$BigDecimal$$LongFivePows$1 = this.newArrayOfPows__I__I__AJ(28, 5);
    const n = this.java$math$BigDecimal$$LongFivePows$1.u.length;
    let elems$2 = null;
    elems$2 = [];
    let i = 0;
    while ((i < n)) {
      const arg1 = i;
      const elem = this.bitLength__J__I(this.java$math$BigDecimal$$LongFivePows$1.u[arg1]);
      elems$2.push(elem);
      i = ((1 + i) | 0)
    };
    this.java$math$BigDecimal$$LongFivePowsBitLength$1 = $makeNativeArrayWrapper($d_I.getArrayOf(), elems$2);
    this.LongTenPows$1 = this.newArrayOfPows__I__I__AJ(19, 10);
    const n$1 = this.LongTenPows$1.u.length;
    let elems$2$1 = null;
    elems$2$1 = [];
    let i$1 = 0;
    while ((i$1 < n$1)) {
      const arg1$1 = i$1;
      const elem$1 = this.bitLength__J__I(this.LongTenPows$1.u[arg1$1]);
      elems$2$1.push(elem$1);
      i$1 = ((1 + i$1) | 0)
    };
    this.java$math$BigDecimal$$LongTenPowsBitLength$1 = $makeNativeArrayWrapper($d_I.getArrayOf(), elems$2$1);
    let elems$2$2 = null;
    elems$2$2 = [];
    let i$2 = 0;
    while ((i$2 < 11)) {
      const arg1$2 = i$2;
      const elem$2 = new $c_Ljava_math_BigDecimal().init___I__I(arg1$2, 0);
      elems$2$2.push(elem$2);
      i$2 = ((1 + i$2) | 0)
    };
    this.BigIntScaledByZero$1 = $makeNativeArrayWrapper($d_Ljava_math_BigDecimal.getArrayOf(), elems$2$2);
    let elems$2$3 = null;
    elems$2$3 = [];
    let i$3 = 0;
    while ((i$3 < 11)) {
      const arg1$3 = i$3;
      const elem$3 = new $c_Ljava_math_BigDecimal().init___I__I(0, arg1$3);
      elems$2$3.push(elem$3);
      i$3 = ((1 + i$3) | 0)
    };
    this.ZeroScaledBy$1 = $makeNativeArrayWrapper($d_Ljava_math_BigDecimal.getArrayOf(), elems$2$3);
    let elems$2$4 = null;
    elems$2$4 = [];
    let i$4 = 0;
    while ((i$4 < 100)) {
      elems$2$4.push(48);
      i$4 = ((1 + i$4) | 0)
    };
    this.java$math$BigDecimal$$CharZeros$1 = $makeNativeArrayWrapper($d_C.getArrayOf(), elems$2$4);
    return this
  };
  java$math$BigDecimal$$longCompareTo__J__J__I(value1, value2) {
    const ahi = value1.hi$2;
    const bhi = value2.hi$2;
    if (((ahi === bhi) ? (((-2147483648) ^ value1.lo$2) > ((-2147483648) ^ value2.lo$2)) : (ahi > bhi))) {
      return 1
    } else {
      const ahi$1 = value1.hi$2;
      const bhi$1 = value2.hi$2;
      if (((ahi$1 === bhi$1) ? (((-2147483648) ^ value1.lo$2) < ((-2147483648) ^ value2.lo$2)) : (ahi$1 < bhi$1))) {
        return (-1)
      } else {
        return 0
      }
    }
  };
  java$math$BigDecimal$$roundingBehavior__I__I__Ljava_math_RoundingMode__I(parityBit, fraction, roundingMode) {
    const absFraction = ((fraction < 0) ? ((-fraction) | 0) : fraction);
    const sigFraction = ((fraction === 0) ? 0 : ((fraction < 0) ? (-1) : 1));
    const x = $m_Ljava_math_RoundingMode$().UP$1;
    if ((x === roundingMode)) {
      return sigFraction
    } else {
      const x$3 = $m_Ljava_math_RoundingMode$().DOWN$1;
      if ((x$3 === roundingMode)) {
        return 0
      } else {
        const x$5 = $m_Ljava_math_RoundingMode$().CEILING$1;
        if ((x$5 === roundingMode)) {
          return ((sigFraction > 0) ? sigFraction : 0)
        } else {
          const x$7 = $m_Ljava_math_RoundingMode$().FLOOR$1;
          if ((x$7 === roundingMode)) {
            return ((sigFraction < 0) ? sigFraction : 0)
          } else {
            const x$9 = $m_Ljava_math_RoundingMode$().HALF$undUP$1;
            if ((x$9 === roundingMode)) {
              return ((absFraction >= 5) ? sigFraction : 0)
            } else {
              const x$11 = $m_Ljava_math_RoundingMode$().HALF$undDOWN$1;
              if ((x$11 === roundingMode)) {
                return ((absFraction > 5) ? sigFraction : 0)
              } else {
                const x$13 = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
                if ((x$13 === roundingMode)) {
                  return ((((absFraction + parityBit) | 0) > 5) ? sigFraction : 0)
                } else {
                  const x$15 = $m_Ljava_math_RoundingMode$().UNNECESSARY$1;
                  if ((x$15 === roundingMode)) {
                    if ((fraction === 0)) {
                      return 0
                    } else {
                      throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
                    }
                  } else {
                    throw new $c_s_MatchError().init___O(roundingMode)
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  java$math$BigDecimal$$bitLength__I__I(sValue) {
    const smallValue = ((sValue < 0) ? (~sValue) : sValue);
    return ((32 - $clz32(smallValue)) | 0)
  };
  java$math$BigDecimal$$safeLongToInt__J__I(longValue) {
    const ahi = longValue.hi$2;
    let jsx$1;
    if (((ahi === (-1)) ? (((-2147483648) ^ longValue.lo$2) < 0) : (ahi < (-1)))) {
      jsx$1 = true
    } else {
      const ahi$1 = longValue.hi$2;
      jsx$1 = ((ahi$1 === 0) ? (((-2147483648) ^ longValue.lo$2) > (-1)) : (ahi$1 > 0))
    };
    if (jsx$1) {
      throw new $c_jl_ArithmeticException().init___T(("Out of int range: " + longValue))
    };
    return longValue.lo$2
  };
  valueOf__J__Ljava_math_BigDecimal(unscaledVal) {
    const ahi = unscaledVal.hi$2;
    let jsx$1;
    if ((ahi >= 0)) {
      const ahi$1 = unscaledVal.hi$2;
      jsx$1 = ((ahi$1 === 0) ? (((-2147483648) ^ unscaledVal.lo$2) < (-2147483637)) : (ahi$1 < 0))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.BigIntScaledByZero$1.u[unscaledVal.lo$2]
    } else {
      return new $c_Ljava_math_BigDecimal().init___J__I(unscaledVal, 0)
    }
  };
  bitLength__J__I(sValue) {
    const ahi = sValue.hi$2;
    let t;
    if ((ahi < 0)) {
      const lo = (~sValue.lo$2);
      const hi = (~sValue.hi$2);
      const x_$_lo$2 = lo;
      const x_$_hi$2 = hi;
      t = new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2)
    } else {
      t = sValue
    };
    const lo$1 = t.lo$2;
    const hi$1 = t.hi$2;
    return ((64 - ((hi$1 !== 0) ? $clz32(hi$1) : ((32 + $clz32(lo$1)) | 0))) | 0)
  };
  newArrayOfPows__I__I__AJ(len, pow) {
    const xs = $newArrayObject($d_J.getArrayOf(), [(((-1) + len) | 0)]);
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let elem$1 = null;
    elem$1 = new $c_sjsr_RuntimeLong().init___I__I(1, 0);
    const elem = elem$1;
    const unboxedElem = ((elem === null) ? null : elem);
    elems$2.push(unboxedElem);
    let i = 0;
    const len$1 = xs.u.length;
    while ((i < len$1)) {
      const idx = i;
      const t$1 = xs.u[idx];
      const lo = t$1.lo$2;
      const hi = t$1.hi$2;
      const arg1 = elem$1;
      const t$2 = $uJ(arg1);
      const lo$1 = t$2.lo$2;
      const hi$1 = t$2.hi$2;
      const t$3 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const hi$3 = (pow >> 31);
      const a0 = (65535 & lo$1);
      const a1 = ((lo$1 >>> 16) | 0);
      const b0 = (65535 & pow);
      const b1 = ((pow >>> 16) | 0);
      const a0b0 = $imul(a0, b0);
      const a1b0 = $imul(a1, b0);
      const a0b1 = $imul(a0, b1);
      const lo$3 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
      const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
      const hi$4 = (((((((($imul(lo$1, hi$3) + $imul(hi$1, pow)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
      elem$1 = new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$4);
      const elem$2 = elem$1;
      const unboxedElem$1 = ((elem$2 === null) ? null : elem$2);
      elems$2.push(unboxedElem$1);
      i = ((1 + i) | 0)
    };
    return $makeNativeArrayWrapper($d_J.getArrayOf(), elems$2)
  };
  java$math$BigDecimal$$zeroScaledBy__J__Ljava_math_BigDecimal(longScale) {
    const value = longScale.lo$2;
    const hi = (value >> 31);
    if (((longScale.lo$2 === value) && (longScale.hi$2 === hi))) {
      return this.valueOf__J__I__Ljava_math_BigDecimal($m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong(), longScale.lo$2)
    } else {
      const ahi = longScale.hi$2;
      if ((ahi >= 0)) {
        return new $c_Ljava_math_BigDecimal().init___I__I(0, 2147483647)
      } else {
        return new $c_Ljava_math_BigDecimal().init___I__I(0, (-2147483648))
      }
    }
  };
}
const $d_Ljava_math_BigDecimal$ = new $TypeData().initClass({
  Ljava_math_BigDecimal$: 0
}, false, "java.math.BigDecimal$", {
  Ljava_math_BigDecimal$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_BigDecimal$.prototype.$classData = $d_Ljava_math_BigDecimal$;
let $n_Ljava_math_BigDecimal$ = (void 0);
const $m_Ljava_math_BigDecimal$ = (function() {
  if ((!$n_Ljava_math_BigDecimal$)) {
    $n_Ljava_math_BigDecimal$ = new $c_Ljava_math_BigDecimal$().init___()
  };
  return $n_Ljava_math_BigDecimal$
});
class $c_Ljava_math_BigInteger$ extends $c_O {
  constructor() {
    super();
    this.ONE$1 = null;
    this.TEN$1 = null;
    this.ZERO$1 = null;
    this.MINUS$undONE$1 = null;
    this.SMALL$undVALUES$1 = null;
    this.TWO$undPOWS$1 = null
  };
  init___() {
    $n_Ljava_math_BigInteger$ = this;
    this.ONE$1 = new $c_Ljava_math_BigInteger().init___I__I(1, 1);
    this.TEN$1 = new $c_Ljava_math_BigInteger().init___I__I(1, 10);
    this.ZERO$1 = new $c_Ljava_math_BigInteger().init___I__I(0, 0);
    this.MINUS$undONE$1 = new $c_Ljava_math_BigInteger().init___I__I((-1), 1);
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ZERO$1, this.ONE$1, new $c_Ljava_math_BigInteger().init___I__I(1, 2), new $c_Ljava_math_BigInteger().init___I__I(1, 3), new $c_Ljava_math_BigInteger().init___I__I(1, 4), new $c_Ljava_math_BigInteger().init___I__I(1, 5), new $c_Ljava_math_BigInteger().init___I__I(1, 6), new $c_Ljava_math_BigInteger().init___I__I(1, 7), new $c_Ljava_math_BigInteger().init___I__I(1, 8), new $c_Ljava_math_BigInteger().init___I__I(1, 9), this.TEN$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    this.SMALL$undVALUES$1 = array;
    let elems$2 = null;
    elems$2 = [];
    let i = 0;
    while ((i < 32)) {
      const arg1$1 = i;
      const jsx$1 = $m_Ljava_math_BigInteger$();
      const lo = (((32 & arg1$1) === 0) ? (1 << arg1$1) : 0);
      const hi = (((32 & arg1$1) === 0) ? 0 : (1 << arg1$1));
      const elem = jsx$1.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const unboxedElem = ((elem === null) ? null : elem);
      elems$2.push(unboxedElem);
      i = ((1 + i) | 0)
    };
    this.TWO$undPOWS$1 = $makeNativeArrayWrapper($d_Ljava_math_BigInteger.getArrayOf(), elems$2);
    return this
  };
  getPowerOfTwo__I__Ljava_math_BigInteger(exp) {
    if ((exp < this.TWO$undPOWS$1.u.length)) {
      return this.TWO$undPOWS$1.u[exp]
    } else {
      const intCount = (exp >> 5);
      const bitN = (31 & exp);
      const resDigits = $newArrayObject($d_I.getArrayOf(), [((1 + intCount) | 0)]);
      resDigits.u[intCount] = (1 << bitN);
      return new $c_Ljava_math_BigInteger().init___I__I__AI(1, ((1 + intCount) | 0), resDigits)
    }
  };
  valueOf__J__Ljava_math_BigInteger(lVal) {
    const ahi = lVal.hi$2;
    if ((ahi < 0)) {
      if ((!((lVal.lo$2 === (-1)) && (lVal.hi$2 === (-1))))) {
        const lo = lVal.lo$2;
        const hi = lVal.hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
        return new $c_Ljava_math_BigInteger().init___I__J((-1), new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1))
      } else {
        return this.MINUS$undONE$1
      }
    } else {
      const ahi$1 = lVal.hi$2;
      if (((ahi$1 === 0) ? (((-2147483648) ^ lVal.lo$2) <= (-2147483638)) : (ahi$1 < 0))) {
        return this.SMALL$undVALUES$1.u[lVal.lo$2]
      } else {
        return new $c_Ljava_math_BigInteger().init___I__J(1, lVal)
      }
    }
  };
}
const $d_Ljava_math_BigInteger$ = new $TypeData().initClass({
  Ljava_math_BigInteger$: 0
}, false, "java.math.BigInteger$", {
  Ljava_math_BigInteger$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_BigInteger$.prototype.$classData = $d_Ljava_math_BigInteger$;
let $n_Ljava_math_BigInteger$ = (void 0);
const $m_Ljava_math_BigInteger$ = (function() {
  if ((!$n_Ljava_math_BigInteger$)) {
    $n_Ljava_math_BigInteger$ = new $c_Ljava_math_BigInteger$().init___()
  };
  return $n_Ljava_math_BigInteger$
});
class $c_Ljava_math_RoundingMode$ extends $c_O {
  constructor() {
    super();
    this.UP$1 = null;
    this.DOWN$1 = null;
    this.CEILING$1 = null;
    this.FLOOR$1 = null;
    this.HALF$undUP$1 = null;
    this.HALF$undDOWN$1 = null;
    this.HALF$undEVEN$1 = null;
    this.UNNECESSARY$1 = null;
    this.$$undvalues$1 = null
  };
  init___() {
    $n_Ljava_math_RoundingMode$ = this;
    this.UP$1 = new $c_Ljava_math_RoundingMode().init___T__I("UP", 0);
    this.DOWN$1 = new $c_Ljava_math_RoundingMode().init___T__I("DOWN", 1);
    this.CEILING$1 = new $c_Ljava_math_RoundingMode().init___T__I("CEILING", 2);
    this.FLOOR$1 = new $c_Ljava_math_RoundingMode().init___T__I("FLOOR", 3);
    this.HALF$undUP$1 = new $c_Ljava_math_RoundingMode().init___T__I("HALF_UP", 4);
    this.HALF$undDOWN$1 = new $c_Ljava_math_RoundingMode().init___T__I("HALF_DOWN", 5);
    this.HALF$undEVEN$1 = new $c_Ljava_math_RoundingMode().init___T__I("HALF_EVEN", 6);
    this.UNNECESSARY$1 = new $c_Ljava_math_RoundingMode().init___T__I("UNNECESSARY", 7);
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.UP$1, this.DOWN$1, this.CEILING$1, this.FLOOR$1, this.HALF$undUP$1, this.HALF$undDOWN$1, this.HALF$undEVEN$1, this.UNNECESSARY$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Ljava_math_RoundingMode.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    this.$$undvalues$1 = array;
    return this
  };
}
const $d_Ljava_math_RoundingMode$ = new $TypeData().initClass({
  Ljava_math_RoundingMode$: 0
}, false, "java.math.RoundingMode$", {
  Ljava_math_RoundingMode$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_RoundingMode$.prototype.$classData = $d_Ljava_math_RoundingMode$;
let $n_Ljava_math_RoundingMode$ = (void 0);
const $m_Ljava_math_RoundingMode$ = (function() {
  if ((!$n_Ljava_math_RoundingMode$)) {
    $n_Ljava_math_RoundingMode$ = new $c_Ljava_math_RoundingMode$().init___()
  };
  return $n_Ljava_math_RoundingMode$
});
class $c_Ljava_net_URI$ extends $c_O {
  constructor() {
    super();
    this.ipv6address$1 = null;
    this.ipv6Re$1 = null;
    this.java$net$URI$$uriRe$1 = null;
    this.quoteStr$1 = null;
    this.userInfoQuoteRe$1 = null;
    this.pathQuoteRe$1 = null;
    this.authorityQuoteRe$1 = null;
    this.illegalQuoteRe$1 = null;
    this.nonASCIIQuoteRe$1 = null
  };
  init___() {
    $n_Ljava_net_URI$ = this;
    this.ipv6address$1 = "(?:(?:[0-9a-f]{1,4}:){7}[0-9a-f]{1,4}|(?:[0-9a-f]{1,4}:){1,7}:|(?:[0-9a-f]{1,4}:){1,6}(?::[0-9a-f]{1,4})|(?:[0-9a-f]{1,4}:){1,5}(?::[0-9a-f]{1,4}){1,2}|(?:[0-9a-f]{1,4}:){1,4}(?::[0-9a-f]{1,4}){1,3}|(?:[0-9a-f]{1,4}:){1,3}(?::[0-9a-f]{1,4}){1,4}|(?:[0-9a-f]{1,4}:){1,2}(?::[0-9a-f]{1,4}){1,5}|(?:[0-9a-f]{1,4}:)(?::[0-9a-f]{1,4}){1,6}|:(?:(?::[0-9a-f]{1,4}){1,7}|:)|(?:[0-9a-f]{1,4}:){6}[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,5}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,4}(?::[0-9a-f]{1,4}):[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,3}(?::[0-9a-f]{1,4}){1,2}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,2}(?::[0-9a-f]{1,4}){1,3}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:)(?::[0-9a-f]{1,4}){1,4}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|::(?:[0-9a-f]{1,4}:){1,5}[0-9]{1,3}(?:\\.[0-9]{1,3}){3})(?:%[0-9a-z]+)?";
    this.ipv6Re$1 = new $g.RegExp((("^" + this.ipv6address$1) + "$"), "i");
    const ipv6reference = (("\\[(?:" + this.ipv6address$1) + ")\\]");
    const host = (("((?:(?:[a-z0-9]|[a-z0-9][a-z0-9-]*[a-z0-9])\\.)*(?:[a-z]|[a-z][a-z0-9-]*[a-z0-9])\\.?|[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|" + ipv6reference) + ")");
    const hostport = (host + "(?::([0-9]*))?");
    const server = (("(?:(?:((?:[a-z0-9-_.!~*'();:&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)@)?" + hostport) + ")?");
    const authority = (server + "|(?:[a-z0-9-_.!~*'()$,;:@&=+]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])+");
    const net_path = (("//(" + authority) + ")(/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*)?");
    const hier_part = (("(?:" + net_path) + "|(/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*))(?:\\?((?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))?");
    const absoluteURI = (("([a-z][a-z0-9+-.]*):(?:(" + hier_part) + ")|((?:[a-z0-9-_.!~*'();?:@&=+$,]|%[a-f0-9]{2})(?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))");
    const relativeURI = (("((?:" + net_path) + "|(/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*)|((?:[a-z0-9-_.!~*'();@&=+$,]|%[a-f0-9]{2})*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*)?))(?:\\?((?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))?)");
    const uriRef = (((("^(?:" + absoluteURI) + "|") + relativeURI) + ")(?:#((?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))?$");
    this.java$net$URI$$uriRe$1 = new $g.RegExp(uriRef, "i");
    this.quoteStr$1 = (function(arg1$2) {
      const arg1 = arg1$2;
      return $m_Ljava_net_URI$().java$net$URI$$$anonfun$quoteStr$1__T__T(arg1)
    });
    this.userInfoQuoteRe$1 = new $g.RegExp("[\u0000- \"#/<>?@\\[-\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.pathQuoteRe$1 = new $g.RegExp("[\u0000- \"#<>?\\[-\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.authorityQuoteRe$1 = new $g.RegExp("[\u0000- \"#/<>?\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.illegalQuoteRe$1 = new $g.RegExp("[\u0000- \"#<>@\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.nonASCIIQuoteRe$1 = new $g.RegExp("[^\u0000-\u007f]+", "g");
    return this
  };
  java$net$URI$$uriStr__T__T__T__T__T__T(scheme, authority, path, query, fragment) {
    let resStr = "";
    if ((scheme !== null)) {
      resStr = ((("" + resStr) + scheme) + ":")
    };
    if ((authority !== null)) {
      resStr = ((resStr + "//") + this.quoteAuthority__p1__T__T(authority))
    };
    if ((path !== null)) {
      resStr = (("" + resStr) + this.quotePath__p1__T__T(path))
    };
    if ((query !== null)) {
      resStr = ((resStr + "?") + this.quoteIllegal__p1__T__T(query))
    };
    if ((fragment !== null)) {
      resStr = ((resStr + "#") + this.quoteIllegal__p1__T__T(fragment))
    };
    return resStr
  };
  loop$2__p1__I__T__T__I(i, x$11, y$2) {
    _loop: while (true) {
      if (((i >= (x$11.length | 0)) || (i >= (y$2.length | 0)))) {
        return (((x$11.length | 0) - (y$2.length | 0)) | 0)
      } else {
        const index = i;
        const jsx$1 = x$11.charCodeAt(index);
        const index$1 = i;
        const diff = (((65535 & (jsx$1 | 0)) - (65535 & (y$2.charCodeAt(index$1) | 0))) | 0);
        if ((diff !== 0)) {
          return diff
        } else {
          const index$2 = i;
          if (((65535 & (x$11.charCodeAt(index$2) | 0)) === 37)) {
            const assertion = ((x$11.length | 0) > ((2 + i) | 0));
            if ((!assertion)) {
              throw new $c_jl_AssertionError().init___O("assertion failed: Invalid escape in URI")
            };
            const assertion$1 = ((y$2.length | 0) > ((2 + i) | 0));
            if ((!assertion$1)) {
              throw new $c_jl_AssertionError().init___O("assertion failed: Invalid escape in URI")
            };
            const jsx$3 = $m_sjsr_RuntimeString$();
            const beginIndex = ((1 + i) | 0);
            const endIndex = ((3 + i) | 0);
            const jsx$2 = x$11.substring(beginIndex, endIndex);
            const beginIndex$1 = ((1 + i) | 0);
            const endIndex$1 = ((3 + i) | 0);
            const cmp = jsx$3.compareToIgnoreCase__T__T__I(jsx$2, y$2.substring(beginIndex$1, endIndex$1));
            if ((cmp !== 0)) {
              return cmp
            } else {
              i = ((3 + i) | 0);
              continue _loop
            }
          } else {
            i = ((1 + i) | 0);
            continue _loop
          }
        }
      }
    }
  };
  quotePath__p1__T__T(str) {
    return str.replace(this.pathQuoteRe$1, this.quoteStr$1)
  };
  quoteIllegal__p1__T__T(str) {
    return str.replace(this.illegalQuoteRe$1, this.quoteStr$1)
  };
  java$net$URI$$normalizeEscapes__T__T(str) {
    let i = 0;
    let res = "";
    while ((i < (str.length | 0))) {
      const index = i;
      if (((65535 & (str.charCodeAt(index) | 0)) === 37)) {
        const assertion = ((str.length | 0) > ((2 + i) | 0));
        if ((!assertion)) {
          throw new $c_jl_AssertionError().init___O("assertion failed: Invalid escape in URI")
        };
        const jsx$1 = res;
        const beginIndex = i;
        const endIndex = ((3 + i) | 0);
        const thiz = str.substring(beginIndex, endIndex);
        res = (("" + jsx$1) + thiz.toUpperCase());
        i = ((3 + i) | 0)
      } else {
        const jsx$2 = res;
        const beginIndex$1 = i;
        const endIndex$1 = ((1 + i) | 0);
        res = (("" + jsx$2) + str.substring(beginIndex$1, endIndex$1));
        i = ((1 + i) | 0)
      }
    };
    return res
  };
  java$net$URI$$$anonfun$quoteStr$1__T__T(str) {
    const buf = $m_sjs_niocharset_UTF$und8$().encode__T__Ljava_nio_ByteBuffer(str);
    let res = "";
    while ((buf.java$nio$Buffer$$$undposition$1 !== buf.$$undlimit$1)) {
      const c = (255 & buf.get__B());
      const jsx$1 = res;
      const x = (+(c >>> 0));
      const thiz = x.toString(16);
      res = ((jsx$1 + ((c <= 15) ? "%0" : "%")) + thiz.toUpperCase())
    };
    return res
  };
  java$net$URI$$decodeComponent__T__T(str) {
    const this$2 = new $c_sci_StringOps().init___T(str);
    let i = 0;
    while (true) {
      const jsx$2 = i;
      const $$this = this$2.repr$1;
      let jsx$1;
      if ((jsx$2 < ($$this.length | 0))) {
        const arg1 = this$2.apply__I__O(i);
        let x$10;
        if ((arg1 === null)) {
          x$10 = 0
        } else {
          const this$6 = arg1;
          x$10 = this$6.value$1
        };
        jsx$1 = ((x$10 !== 37) === true)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    const jsx$3 = i;
    const $$this$1 = this$2.repr$1;
    if ((jsx$3 === ($$this$1.length | 0))) {
      return str
    } else {
      const this$9 = $m_Ljava_nio_CharBuffer$();
      const inBuf = this$9.wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(str, 0, (str.length | 0));
      const outBuf = $m_Ljava_nio_CharBuffer$().allocate__I__Ljava_nio_CharBuffer(inBuf.$$undcapacity$1);
      const byteBuf = $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(64);
      let elem$1 = false;
      elem$1 = false;
      const decoder = ($m_sjs_niocharset_UTF$und8$(), new $c_sjs_niocharset_UTF$und8$Decoder().init___()).onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1).onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1);
      while ((inBuf.java$nio$Buffer$$$undposition$1 !== inBuf.$$undlimit$1)) {
        const x1 = inBuf.get__C();
        switch (x1) {
          case 37: {
            if ((byteBuf.java$nio$Buffer$$$undposition$1 === byteBuf.$$undlimit$1)) {
              byteBuf.flip__Ljava_nio_Buffer();
              decoder.decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult(byteBuf, outBuf, false);
              byteBuf.compact__Ljava_nio_ByteBuffer()
            };
            const c = inBuf.get__C();
            const jsx$4 = $g.String.fromCharCode(c);
            const c$1 = inBuf.get__C();
            const hexStr = (("" + jsx$4) + $g.String.fromCharCode(c$1));
            const v = $m_jl_Integer$().parseInt__T__I__I(hexStr, 16);
            byteBuf.put__B__Ljava_nio_ByteBuffer(((v << 24) >> 24));
            elem$1 = true;
            break
          }
          default: {
            if (elem$1) {
              byteBuf.flip__Ljava_nio_Buffer();
              decoder.decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult(byteBuf, outBuf, true);
              decoder.reset__Ljava_nio_charset_CharsetDecoder();
              byteBuf.clear__Ljava_nio_Buffer();
              elem$1 = false
            };
            outBuf.put__C__Ljava_nio_CharBuffer(x1)
          }
        }
      };
      if (elem$1) {
        byteBuf.flip__Ljava_nio_Buffer();
        decoder.decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult(byteBuf, outBuf, true);
        decoder.reset__Ljava_nio_charset_CharsetDecoder();
        byteBuf.clear__Ljava_nio_Buffer();
        elem$1 = false
      };
      outBuf.flip__Ljava_nio_Buffer();
      return outBuf.toString__T()
    }
  };
  quoteAuthority__p1__T__T(str) {
    return str.replace(this.authorityQuoteRe$1, this.quoteStr$1)
  };
}
const $d_Ljava_net_URI$ = new $TypeData().initClass({
  Ljava_net_URI$: 0
}, false, "java.net.URI$", {
  Ljava_net_URI$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_net_URI$.prototype.$classData = $d_Ljava_net_URI$;
let $n_Ljava_net_URI$ = (void 0);
const $m_Ljava_net_URI$ = (function() {
  if ((!$n_Ljava_net_URI$)) {
    $n_Ljava_net_URI$ = new $c_Ljava_net_URI$().init___()
  };
  return $n_Ljava_net_URI$
});
class $c_Ljava_nio_ByteBuffer extends $c_Ljava_nio_Buffer {
  constructor() {
    super();
    this.$$undarray$2 = null;
    this.$$undarrayOffset$2 = 0;
    this.$$undisBigEndian$2 = false
  };
  equals__O__Z(that) {
    if ($is_Ljava_nio_ByteBuffer(that)) {
      const x2 = that;
      return (this.compareTo__Ljava_nio_ByteBuffer__I(x2) === 0)
    } else {
      return false
    }
  };
  init___I__AB__I(_capacity, _array, _arrayOffset) {
    this.$$undarray$2 = _array;
    this.$$undarrayOffset$2 = _arrayOffset;
    $c_Ljava_nio_Buffer.prototype.init___I.call(this, _capacity);
    this.$$undisBigEndian$2 = true;
    return this
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_nio_ByteBuffer__I(x$1)
  };
  compareTo__Ljava_nio_ByteBuffer__I(that) {
    if ((this === that)) {
      return 0
    } else {
      const thisStart = this.java$nio$Buffer$$$undposition$1;
      const thisRemaining = ((this.$$undlimit$1 - thisStart) | 0);
      const thatStart = that.java$nio$Buffer$$$undposition$1;
      const thatRemaining = ((that.$$undlimit$1 - thatStart) | 0);
      const shortestLength = ((thisRemaining < thatRemaining) ? thisRemaining : thatRemaining);
      let i = 0;
      while ((i !== shortestLength)) {
        const index = ((thisStart + i) | 0);
        const arg1 = (this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)] | 0);
        const index$1 = ((thatStart + i) | 0);
        const arg2 = (that.$$undarray$2.u[((that.$$undarrayOffset$2 + index$1) | 0)] | 0);
        const x$1 = (arg1 | 0);
        const x$2 = (arg2 | 0);
        const cmp = ((x$1 === x$2) ? 0 : ((x$1 < x$2) ? (-1) : 1));
        if ((cmp !== 0)) {
          return cmp
        };
        i = ((1 + i) | 0)
      };
      return ((thisRemaining === thatRemaining) ? 0 : ((thisRemaining < thatRemaining) ? (-1) : 1))
    }
  };
  put__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(src) {
    if ((src === this)) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const srcLimit = src.$$undlimit$1;
    let srcPos = src.java$nio$Buffer$$$undposition$1;
    const length = ((srcLimit - srcPos) | 0);
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    let selfPos = p;
    src.position__I__Ljava_nio_Buffer(srcLimit);
    const srcArray = src.$$undarray$2;
    if ((srcArray !== null)) {
      const startIndex = selfPos;
      const offset = ((src.$$undarrayOffset$2 + srcPos) | 0);
      $systemArraycopy(srcArray, offset, this.$$undarray$2, ((this.$$undarrayOffset$2 + startIndex) | 0), length)
    } else {
      while ((srcPos !== srcLimit)) {
        const index$1 = selfPos;
        const index = srcPos;
        const elem = (src.$$undarray$2.u[((src.$$undarrayOffset$2 + index) | 0)] | 0);
        const elem$1 = (elem | 0);
        this.$$undarray$2.u[((this.$$undarrayOffset$2 + index$1) | 0)] = (elem$1 | 0);
        srcPos = ((1 + srcPos) | 0);
        selfPos = ((1 + selfPos) | 0)
      }
    };
    return this
  };
  hashCode__I() {
    const start = this.java$nio$Buffer$$$undposition$1;
    const end = this.$$undlimit$1;
    let h = (-547316498);
    let i = start;
    while ((i !== end)) {
      const jsx$3 = $m_s_util_hashing_MurmurHash3$();
      const jsx$2 = h;
      const jsx$1 = $m_sr_Statics$();
      const index = i;
      h = jsx$3.mix__I__I__I(jsx$2, jsx$1.anyHash__O__I((this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)] | 0)));
      i = ((1 + i) | 0)
    };
    return $m_s_util_hashing_MurmurHash3$().finalizeHash__I__I__I(h, ((end - start) | 0))
  };
}
const $is_Ljava_nio_ByteBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_ByteBuffer)))
});
const $isArrayOf_Ljava_nio_ByteBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_ByteBuffer)))
});
class $c_Lorg_mulesoft_common_io_Fs$ extends $c_Lorg_mulesoft_common_io_JsServerFileSystem {
  init___() {
    return this
  };
}
const $d_Lorg_mulesoft_common_io_Fs$ = new $TypeData().initClass({
  Lorg_mulesoft_common_io_Fs$: 0
}, false, "org.mulesoft.common.io.Fs$", {
  Lorg_mulesoft_common_io_Fs$: 1,
  Lorg_mulesoft_common_io_JsServerFileSystem: 1,
  O: 1,
  Lorg_mulesoft_common_io_FileSystem: 1
});
$c_Lorg_mulesoft_common_io_Fs$.prototype.$classData = $d_Lorg_mulesoft_common_io_Fs$;
let $n_Lorg_mulesoft_common_io_Fs$ = (void 0);
const $m_Lorg_mulesoft_common_io_Fs$ = (function() {
  if ((!$n_Lorg_mulesoft_common_io_Fs$)) {
    $n_Lorg_mulesoft_common_io_Fs$ = new $c_Lorg_mulesoft_common_io_Fs$().init___()
  };
  return $n_Lorg_mulesoft_common_io_Fs$
});
class $c_Lorg_mulesoft_common_time_SimpleDateTime$ extends $c_O {
  constructor() {
    super();
    this.ZeroTime$1 = null;
    this.Epoch$1 = null;
    this.timeRegex$1 = null
  };
  init___() {
    $n_Lorg_mulesoft_common_time_SimpleDateTime$ = this;
    this.ZeroTime$1 = new $c_Lorg_mulesoft_common_time_TimeOfDay().init___I__I__I__I(0, 0, 0, 0);
    this.Epoch$1 = new $c_Lorg_mulesoft_common_time_SimpleDateTime().init___I__I__I__s_Option__s_Option(1970, 1, 1, new $c_s_Some().init___O(this.ZeroTime$1), new $c_s_Some().init___O(0));
    const this$2 = new $c_sci_StringOps().init___T("(\\d{4})-(\\d\\d?)-(\\d\\d?)(?:(?:[Tt]|[\\ \\t]+)(\\d\\d?):(\\d\\d?)(?::(\\d\\d?))?(?:\\.(\\d*))?(?:(?:[\\ \\t]*)?(Z|([-+]\\d\\d?)(?::(\\d\\d?))?))?)?");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    this.timeRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    return this
  };
  toInt__p1__T__I(s) {
    let jsx$1;
    if ((s === null)) {
      jsx$1 = true
    } else {
      if ((s === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      jsx$1 = (s === "")
    };
    if (jsx$1) {
      return 0
    } else {
      const this$2 = $m_jl_Integer$();
      return this$2.parseInt__T__I__I(s, 10)
    }
  };
  parse__T__s_Option(str) {
    const o7 = this.timeRegex$1.unapplySeq__jl_CharSequence__s_Option(str);
    let jsx$1;
    if ((!o7.isEmpty__Z())) {
      if ((o7.get__O() !== null)) {
        const this$1 = o7.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 10) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$2 = o7.get__O();
      const year = $f_sc_LinearSeqOptimized__apply__I__O(this$2, 0);
      const this$3 = o7.get__O();
      const month = $f_sc_LinearSeqOptimized__apply__I__O(this$3, 1);
      const this$4 = o7.get__O();
      const day = $f_sc_LinearSeqOptimized__apply__I__O(this$4, 2);
      const this$5 = o7.get__O();
      const hours = $f_sc_LinearSeqOptimized__apply__I__O(this$5, 3);
      const this$6 = o7.get__O();
      const minutes = $f_sc_LinearSeqOptimized__apply__I__O(this$6, 4);
      const this$7 = o7.get__O();
      const seconds = $f_sc_LinearSeqOptimized__apply__I__O(this$7, 5);
      const this$8 = o7.get__O();
      const nanos = $f_sc_LinearSeqOptimized__apply__I__O(this$8, 6);
      const this$9 = o7.get__O();
      const z = $f_sc_LinearSeqOptimized__apply__I__O(this$9, 7);
      const this$10 = o7.get__O();
      const offsetHours = $f_sc_LinearSeqOptimized__apply__I__O(this$10, 8);
      const this$11 = o7.get__O();
      const offsetMinutes = $f_sc_LinearSeqOptimized__apply__I__O(this$11, 9);
      let t;
      if ((hours === null)) {
        t = $m_s_None$()
      } else {
        const this$12 = $m_jl_Integer$();
        const jsx$5 = this$12.parseInt__T__I__I(hours, 10);
        const this$13 = $m_jl_Integer$();
        const jsx$4 = this$13.parseInt__T__I__I(minutes, 10);
        const jsx$3 = this.toInt__p1__T__I(seconds);
        let jsx$2;
        if ((nanos === null)) {
          jsx$2 = 0
        } else {
          const this$17 = $m_jl_Integer$();
          const this$16 = new $c_sci_StringOps().init___T("0");
          const n = ((9 - (nanos.length | 0)) | 0);
          const s = (("" + nanos) + $f_sci_StringLike__$$times__I__T(this$16, n));
          jsx$2 = this$17.parseInt__T__I__I(s, 10)
        };
        t = new $c_s_Some().init___O(new $c_Lorg_mulesoft_common_time_TimeOfDay().init___I__I__I__I(jsx$5, jsx$4, jsx$3, jsx$2))
      };
      let tz;
      if ((z === null)) {
        tz = $m_s_None$()
      } else if ((offsetHours === null)) {
        tz = new $c_s_Some().init___O(0)
      } else {
        const oh = $imul(3600, this.toInt__p1__T__I(offsetHours));
        const om = $imul(60, this.toInt__p1__T__I(offsetMinutes));
        tz = new $c_s_Some().init___O(((oh + ((oh < 0) ? ((-om) | 0) : om)) | 0))
      };
      return new $c_s_Some().init___O(new $c_Lorg_mulesoft_common_time_SimpleDateTime().init___I__I__I__s_Option__s_Option(this.toInt__p1__T__I(year), this.toInt__p1__T__I(month), this.toInt__p1__T__I(day), t, tz))
    };
    return $m_s_None$()
  };
}
const $d_Lorg_mulesoft_common_time_SimpleDateTime$ = new $TypeData().initClass({
  Lorg_mulesoft_common_time_SimpleDateTime$: 0
}, false, "org.mulesoft.common.time.SimpleDateTime$", {
  Lorg_mulesoft_common_time_SimpleDateTime$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_common_time_SimpleDateTime$.prototype.$classData = $d_Lorg_mulesoft_common_time_SimpleDateTime$;
let $n_Lorg_mulesoft_common_time_SimpleDateTime$ = (void 0);
const $m_Lorg_mulesoft_common_time_SimpleDateTime$ = (function() {
  if ((!$n_Lorg_mulesoft_common_time_SimpleDateTime$)) {
    $n_Lorg_mulesoft_common_time_SimpleDateTime$ = new $c_Lorg_mulesoft_common_time_SimpleDateTime$().init___()
  };
  return $n_Lorg_mulesoft_common_time_SimpleDateTime$
});
class $c_Lorg_mulesoft_lexer_InputRange$ extends $c_O {
  constructor() {
    super();
    this.Zero$1 = null;
    this.All$1 = null
  };
  init___() {
    $n_Lorg_mulesoft_lexer_InputRange$ = this;
    this.Zero$1 = new $c_Lorg_mulesoft_lexer_InputRange().init___I__I__I__I(1, 0, 1, 0);
    this.All$1 = new $c_Lorg_mulesoft_lexer_InputRange().init___I__I__I__I(1, 0, 2147483647, 2147483647);
    return this
  };
  apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange(lineFrom, columnFrom, lineTo, columnTo) {
    return (((((lineFrom <= 1) && (columnFrom <= 0)) && (lineTo <= 1)) && (columnTo <= 0)) ? this.Zero$1 : (((((lineFrom <= 1) && (columnFrom <= 0)) && (lineTo === 2147483647)) && (lineFrom === 2147483647)) ? this.All$1 : new $c_Lorg_mulesoft_lexer_InputRange().init___I__I__I__I(lineFrom, columnFrom, lineTo, columnTo)))
  };
}
const $d_Lorg_mulesoft_lexer_InputRange$ = new $TypeData().initClass({
  Lorg_mulesoft_lexer_InputRange$: 0
}, false, "org.mulesoft.lexer.InputRange$", {
  Lorg_mulesoft_lexer_InputRange$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_InputRange$.prototype.$classData = $d_Lorg_mulesoft_lexer_InputRange$;
let $n_Lorg_mulesoft_lexer_InputRange$ = (void 0);
const $m_Lorg_mulesoft_lexer_InputRange$ = (function() {
  if ((!$n_Lorg_mulesoft_lexer_InputRange$)) {
    $n_Lorg_mulesoft_lexer_InputRange$ = new $c_Lorg_mulesoft_lexer_InputRange$().init___()
  };
  return $n_Lorg_mulesoft_lexer_InputRange$
});
class $c_Lorg_yaml_convert_YRead$BooleanYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Bool$1, false);
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$BooleanYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$BooleanYRead$: 0
}, false, "org.yaml.convert.YRead$BooleanYRead$", {
  Lorg_yaml_convert_YRead$BooleanYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$BooleanYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$BooleanYRead$;
let $n_Lorg_yaml_convert_YRead$BooleanYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$BooleanYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$BooleanYRead$)) {
    $n_Lorg_yaml_convert_YRead$BooleanYRead$ = new $c_Lorg_yaml_convert_YRead$BooleanYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$BooleanYRead$
});
class $c_Lorg_yaml_convert_YRead$IntYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Int$1, 0);
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = $m_Lorg_yaml_convert_YRead$LongYRead$().read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      return x2
    };
    if ($is_s_util_Right(x1)) {
      const x4 = x1;
      const t = $uJ(x4.value$2);
      const lo = t.lo$2;
      const hi = t.hi$2;
      if ((((hi === (-1)) ? (((-2147483648) ^ lo) >= 0) : (hi > (-1))) && ((hi === 0) ? (((-2147483648) ^ lo) <= (-1)) : (hi < 0)))) {
        $m_s_package$();
        return new $c_s_util_Right().init___O(lo)
      }
    };
    return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Out of range")
  };
}
const $d_Lorg_yaml_convert_YRead$IntYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$IntYRead$: 0
}, false, "org.yaml.convert.YRead$IntYRead$", {
  Lorg_yaml_convert_YRead$IntYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$IntYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$IntYRead$;
let $n_Lorg_yaml_convert_YRead$IntYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$IntYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$IntYRead$)) {
    $n_Lorg_yaml_convert_YRead$IntYRead$ = new $c_Lorg_yaml_convert_YRead$IntYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$IntYRead$
});
class $c_Lorg_yaml_convert_YRead$LongYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Int$1, $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong());
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$LongYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$LongYRead$: 0
}, false, "org.yaml.convert.YRead$LongYRead$", {
  Lorg_yaml_convert_YRead$LongYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$LongYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$LongYRead$;
let $n_Lorg_yaml_convert_YRead$LongYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$LongYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$LongYRead$)) {
    $n_Lorg_yaml_convert_YRead$LongYRead$ = new $c_Lorg_yaml_convert_YRead$LongYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$LongYRead$
});
class $c_Lorg_yaml_convert_YRead$StringYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Str$1, "");
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$StringYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$StringYRead$: 0
}, false, "org.yaml.convert.YRead$StringYRead$", {
  Lorg_yaml_convert_YRead$StringYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$StringYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$StringYRead$;
let $n_Lorg_yaml_convert_YRead$StringYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$StringYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$StringYRead$)) {
    $n_Lorg_yaml_convert_YRead$StringYRead$ = new $c_Lorg_yaml_convert_YRead$StringYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$StringYRead$
});
class $c_Lorg_yaml_lexer_YamlLexer extends $c_Lorg_mulesoft_lexer_BaseLexer {
  constructor() {
    super();
    this.input$2 = null
  };
  blockCollection__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    const result = ((this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx) && this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)) && this.bc$1__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if (result) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const result$1 = this.bc$1__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  flowFolded__p2__I__Z(n) {
    const s = this.saveState__T3();
    this.separateInLine__p2__Z();
    const result = (this.folded__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_FlowIn$()) && this.linePrefix__p2__I__Z__Z__Z(n, true, false));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  implicitJsonKey__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    return (this.flowJsonNode__I__Lorg_yaml_lexer_YamlContext__Z(0, ctx) && (this.separateInLine__p2__Z(), true))
  };
  chompedEmpty__I__C__Z(n, t) {
    if ((t !== 43)) {
      if ((t !== 45)) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
      };
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.indentLessOrEqual__I__Z(n) && this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s)
    } else {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$2 = this.input$1;
        if ((this$2.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
    };
    this.trailComments__I__Z(n);
    return true
  };
  nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginProperties$1)) {
      let jsx$2;
      if (this.tagProperty__p2__Z()) {
        const s$1 = this.saveState__T3();
        const b1 = this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
        const result = (b1 && this.anchorProperty__p2__Z());
        if ((!result)) {
          this.restoreState__T3__V(s$1)
        };
        jsx$2 = true
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        jsx$1 = true
      } else if (this.anchorProperty__p2__Z()) {
        const s$2 = this.saveState__T3();
        const result$1 = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.tagProperty__p2__Z());
        if ((!result$1)) {
          this.restoreState__T3__V(s$2)
        };
        jsx$1 = true
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    let result$2;
    if (jsx$1) {
      result$2 = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndProperties$1)
    } else {
      result$2 = false
    };
    if ((!result$2)) {
      this.restoreState__T3__V(s)
    };
    return result$2
  };
  emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const x$2 = $m_Lorg_yaml_lexer_FlowOut$();
    let jsx$1;
    if (((ctx !== null) && (ctx === x$2))) {
      jsx$1 = true
    } else {
      const x$4 = $m_Lorg_yaml_lexer_FlowIn$();
      jsx$1 = ((ctx !== null) && (ctx === x$4))
    };
    if (this.linePrefix__p2__I__Z__Z__Z(n, jsx$1, true)) {
      return this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1)
    } else {
      return false
    }
  };
  emptyScalar__Z() {
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
    return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
  };
  mapExplicitValue__I__Z(n) {
    const s = this.saveState__T3();
    const result = ((this.indent__I__Z(n) && this.indicator__I__Z(58)) && this.blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockOut$()));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  nonEndOfDocument__p2__Z() {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 !== 0)) {
      return true
    } else {
      return ((!this.isDocumentEnd__p2__Z()) && (!this.isDirectivesEnd__p2__Z()))
    }
  };
  lineBreakSequence__I__I(offset) {
    const current = this.input$1.lookAhead__I__I(offset);
    if ((current === 10)) {
      return 1
    } else {
      let jsx$1;
      if ((current === 13)) {
        const n = ((1 + offset) | 0);
        jsx$1 = (this.input$1.lookAhead__I__I(n) === 10)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return 2
      } else {
        return 0
      }
    }
  };
  isPlainFirst__I__I__Lorg_yaml_lexer_YamlContext__Z(chr, nextChar, ctx) {
    return (($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isIndicator__I__Z(chr))) || ((((chr === 45) || (chr === 58)) || (chr === 63)) && this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(nextChar, ctx)))
  };
  literalContentLine__p2__I__Z(n) {
    if (this.nonEndOfDocument__p2__Z()) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      let jsx$1;
      if (this.indent__I__Z(n)) {
        const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const this$2 = this.input$1;
        jsx$1 = (!jsx$2.isBreakOrEof__I__Z(this$2.state$1.current$1))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const this$3 = this.input$1;
        while (true) {
          const v1 = this$3.state$1.current$1;
          if ((!$m_Lorg_yaml_lexer_YamlCharRules$().isBreakOrEof__I__Z(v1))) {
            this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1)
          } else {
            break
          }
        };
        return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(chr, ctx) {
    const x = $m_Lorg_yaml_lexer_FlowIn$();
    let jsx$1;
    if ((x === ctx)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_lexer_FlowKey$();
      jsx$1 = (x$3 === ctx)
    };
    if (jsx$1) {
      return ($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isFlowIndicator__I__Z(chr)))
    } else {
      return $m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr)
    }
  };
  indicator__I__Z(chr) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === chr)) {
      return this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)
    } else {
      return false
    }
  };
  folded__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const jsx$1 = $m_Lorg_yaml_lexer_YamlCharRules$();
    const this$1 = this.input$1;
    if (jsx$1.isBBreak__I__Z(this$1.state$1.current$1)) {
      const s = this.saveState__T3();
      const result = this.trimmed__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFold$1)
      }
    } else {
      return false
    }
  };
  blockMapEntry__I__Z(n) {
    const this$1 = this.input$1;
    const explicit = (this$1.state$1.current$1 === 63);
    const entry = (explicit || this.lineContainsMapIndicator__Z());
    if (entry) {
      const s = this.saveState__T3();
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginPair$1);
      const result = ((explicit ? this.mapExplicitEntry__I__Z(n) : this.mapImplicitEntry__I__Z(n)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndPair$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  initialize__V() {
    this.yamlStream__V();
    this.advance__V()
  };
  flowJsonContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const this$1 = this.input$1;
    const x1 = this$1.state$1.current$1;
    switch (x1) {
      case 91: {
        return this.flowSequence__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
        break
      }
      case 123: {
        return this.flowMapping__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
        break
      }
      case 39: {
        return this.quotedScalar__p2__I__Lorg_yaml_lexer_YamlContext__C__Z(n, ctx, 39);
        break
      }
      case 34: {
        return this.quotedScalar__p2__I__Lorg_yaml_lexer_YamlContext__C__Z(n, ctx, 34);
        break
      }
      default: {
        return false
      }
    }
  };
  isPlainChar__I__Lorg_yaml_lexer_YamlContext__Z(offset, ctx) {
    const x1 = this.input$1.lookAhead__I__I(offset);
    if ((x1 === 35)) {
      const n = (((-1) + offset) | 0);
      return (this.input$1.lookAhead__I__I(n) !== 32)
    } else if ((x1 === 58)) {
      const n$1 = ((1 + offset) | 0);
      return this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(n$1), ctx)
    } else {
      return ((!((x1 === 32) || ((x1 === 9) || ((x1 === 13) || ((x1 === 10) || ($m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1 === x1)))))) && this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(offset), ctx))
    }
  };
  foldedLines__p2__I__Z(n) {
    const b1 = this.foldedText__p2__I__Z(n);
    if (b1) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.folded__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()) && this.foldedText__p2__I__Z(n)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  tagHandle__p2__Z() {
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginHandle$1)) {
      let jsx$2;
      if ((((this.input$1.lookAhead__I__I(1) === 33) && this.indicator__I__Z(33)) && this.indicator__I__Z(33))) {
        jsx$2 = true
      } else if ($m_Lorg_yaml_lexer_YamlCharRules$().isWordChar__I__Z(this.input$1.lookAhead__I__I(1))) {
        const s = this.saveState__T3();
        this.indicator__I__Z(33);
        const this$1 = this.input$1;
        while (true) {
          const v1 = this$1.state$1.current$1;
          if ($m_Lorg_yaml_lexer_YamlCharRules$().isWordChar__I__Z(v1)) {
            this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
          } else {
            break
          }
        };
        const result = (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1) && this.indicator__I__Z(33));
        if ((!result)) {
          this.restoreState__T3__V(s)
        };
        jsx$2 = result
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        jsx$1 = true
      } else {
        jsx$1 = this.indicator__I__Z(33)
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndHandle$1)
    } else {
      return false
    }
  };
  directiveDocument__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if ((this$1.state$1.current$1 === 37)) {
      const f = (function($this) {
        return (function() {
          return $this.directive__p2__Z()
        })
      })(this);
      let s = this.saveState__T3();
      const result = (!(!f()));
      if (result) {
        while (true) {
          s = this.saveState__T3();
          const this$2 = this.input$1;
          if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
            /*<skip>*/
          } else {
            break
          }
        }
      };
      this.restoreState__T3__V(s);
      jsx$1 = result
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.explicitDocument__p2__Z()
    } else {
      return false
    }
  };
  flowPairEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    const b1 = this.implicitYamlKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_FlowKey$());
    const result = (b1 && this.flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if ((result || this.flowMapEmptyKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const result$1 = (this.implicitJsonKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_FlowKey$()) && this.flowMapAdjacentValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  separateInLine__p2__Z() {
    const n = this.countWhiteSpaces__I__I(0);
    if (((n > 0) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1))) {
      return true
    } else {
      const this$1 = this.input$1;
      return (this$1.state$1.column$1 === 0)
    }
  };
  literalScalar__I__Z(n) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === 124)) {
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
      this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
      const x1 = this.blockHeader__I__T2(n);
      if ((x1 === null)) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const m = x1.$$und1$mcI$sp__I();
      const t = x1.$$und2$mcC$sp__C();
      return this.literalContent__I__C__Z(((n + m) | 0), t)
    } else {
      return false
    }
  };
  commentText__Z() {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 !== 35)) {
      return false
    };
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginComment$1);
    this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
    while (true) {
      const this$3 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const this$2 = this.input$1;
      const c = this$2.state$1.current$1;
      if ((!this$3.isBreakOrEof__I__Z(c))) {
        const this$4 = this.input$1;
        this$4.state$1.consume__jl_CharSequence__I__V(this$4.data$1, this$4.endOffset$1)
      } else {
        break
      }
    };
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1);
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndComment$1);
    return this.breakComment__Z()
  };
  flowMapExplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const this$1 = this.input$1;
    let jsx$1;
    if ((this$1.state$1.current$1 === 44)) {
      jsx$1 = true
    } else {
      const this$2 = this.input$1;
      jsx$1 = (this$2.state$1.current$1 === 125)
    };
    if (((jsx$1 && this.emptyNode__p2__Z()) && this.emptyNode__p2__Z())) {
      return true
    } else {
      return this.flowMapImplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)
    }
  };
  flowSequenceEntry__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    const result = ((((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.emit__Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1, $m_Lorg_yaml_lexer_YamlToken$().BeginPair$1)) && this.flowPair__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndPair$1, $m_Lorg_yaml_lexer_YamlToken$().EndMapping$1)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if (result) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const result$1 = ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  flowMapEmptyKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    const result = (this.emptyNode__p2__Z() && this.flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  blockNode__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    const result = this.blockInBlock__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if (result) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const b1 = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), $m_Lorg_yaml_lexer_FlowOut$()) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1));
      const result$1 = (((b1 && this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), $m_Lorg_yaml_lexer_FlowOut$())) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)) && this.multilineComment__Z());
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  isDirectivesEnd__p2__Z() {
    const this$1 = this.input$1;
    if (((this$1.state$1.current$1 === 45) && (this.input$1.lookAhead__I__I(1) === 45))) {
      return (this.input$1.lookAhead__I__I(2) === 45)
    } else {
      return false
    }
  };
  flowJsonNode__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1)) {
      if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
        this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)
      };
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    if ((jsx$1 && this.flowJsonContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx))) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)
    } else {
      return false
    }
  };
  flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const this$1 = this.input$1;
    if (this.isPlainFirst__I__I__Lorg_yaml_lexer_YamlContext__Z(this$1.state$1.current$1, this.input$1.lookAhead__I__I(1), ctx)) {
      return this.plainScalar__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)
    } else {
      return false
    }
  };
  blockMapping__I__Z(n) {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 === 0)) {
      const m = this.detectMapStart__p2__I__I(n);
      let jsx$1;
      if (((m > 0) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1))) {
        const f = (function($this, n$1, m$1) {
          return (function() {
            return ($this.indent__I__Z(((n$1 + m$1) | 0)) && $this.blockMapEntry__I__Z(((n$1 + m$1) | 0)))
          })
        })(this, n, m);
        let s = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s = this.saveState__T3();
            const this$2 = this.input$1;
            if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s);
        jsx$1 = result
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndMapping$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  foldedText__p2__I__Z(n) {
    let jsx$1;
    if ((this.countSpaces__I__I__I(0, 2147483647) !== n)) {
      jsx$1 = true
    } else {
      const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const n$1 = ((1 + n) | 0);
      jsx$1 = (!jsx$2.isNsChar__I__Z(this.input$1.lookAhead__I__I(n$1)))
    };
    if ((!jsx$1)) {
      this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().Indent$1);
      const this$1 = this.input$1;
      while (true) {
        const v1 = this$1.state$1.current$1;
        if ($m_Lorg_yaml_lexer_YamlCharRules$().isNBChar__I__Z(v1)) {
          this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
    } else {
      return false
    }
  };
  blockInBlock__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    return ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && (this.blockScalar__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) || this.blockCollection__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1))
  };
  anyDocument__p2__Z() {
    const this$1 = this.input$1;
    if (this$1.state$1.nonEof__Z()) {
      const s = this.saveState__T3();
      const result = ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginDocument$1) && ((this.directiveDocument__p2__Z() || this.explicitDocument__p2__Z()) || this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z((-1), $m_Lorg_yaml_lexer_BlockIn$()))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndDocument$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  yamlStream__V() {
    while (this.documentPrefix__p2__Z()) {
      /*<skip>*/
    };
    this.anyDocument__p2__Z();
    const this$1 = this.input$2;
    let currentOffset = this$1.state$1.offset$1;
    while (true) {
      const this$2 = this.input$1;
      if (this$2.state$1.nonEof__Z()) {
        const s = this.saveState__T3();
        const f = (function($this) {
          return (function() {
            return $this.documentSuffix__p2__Z()
          })
        })(this);
        let s$1 = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s$1 = this.saveState__T3();
            const this$3 = this.input$1;
            if ((this$3.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s$1);
        let jsx$1;
        if (result) {
          let s$2 = this.saveState__T3();
          while (true) {
            const this$4 = this.input$1;
            if ((this$4.state$1.nonEof__Z() && this.documentPrefix__p2__Z())) {
              s$2 = this.saveState__T3()
            } else {
              break
            }
          };
          this.restoreState__T3__V(s$2);
          jsx$1 = true
        } else {
          jsx$1 = false
        };
        let result$1;
        if (jsx$1) {
          this.anyDocument__p2__Z();
          result$1 = true
        } else {
          result$1 = false
        };
        if ((!result$1)) {
          this.restoreState__T3__V(s)
        };
        if ((!result$1)) {
          const s$3 = this.saveState__T3();
          let s$4 = this.saveState__T3();
          while (true) {
            const this$5 = this.input$1;
            if ((this$5.state$1.nonEof__Z() && this.documentPrefix__p2__Z())) {
              s$4 = this.saveState__T3()
            } else {
              break
            }
          };
          this.restoreState__T3__V(s$4);
          const result$2 = ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginDocument$1) && this.explicitDocument__p2__Z()) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndDocument$1));
          if ((!result$2)) {
            this.restoreState__T3__V(s$3)
          }
        };
        const this$6 = this.input$2;
        if ((this$6.state$1.offset$1 === currentOffset)) {
          const this$7 = this.input$1;
          while (true) {
            const v1 = this$7.state$1.current$1;
            if ((v1 !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)) {
              this$7.state$1.consume__jl_CharSequence__I__V(this$7.data$1, this$7.endOffset$1)
            } else {
              break
            }
          };
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
        };
        const this$8 = this.input$2;
        currentOffset = this$8.state$1.offset$1
      } else {
        break
      }
    };
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndStream$1)
  };
  compactMapping__I__Z(n) {
    let jsx$1;
    if ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1) && this.blockMapEntry__I__Z(n))) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.indent__I__Z(n) && this.blockMapEntry__I__Z(n)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndMapping$1)
    } else {
      return false
    }
  };
  countWhiteSpaces__I__I(offset) {
    let i = 0;
    while (true) {
      const v1 = i;
      const jsx$1 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const n = ((v1 + offset) | 0);
      if (jsx$1.isWhite__I__Z(this.input$1.lookAhead__I__I(n))) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    return i
  };
  mapImplicitEntry__I__Z(n) {
    const s = this.saveState__T3();
    const s$1 = this.saveState__T3();
    const result = this.implicitJsonKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_BlockKey$());
    if ((!result)) {
      this.restoreState__T3__V(s$1)
    };
    let jsx$1;
    if (result) {
      jsx$1 = true
    } else {
      const s$2 = this.saveState__T3();
      const result$1 = this.implicitYamlKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_BlockKey$());
      if ((!result$1)) {
        this.restoreState__T3__V(s$2)
      };
      jsx$1 = result$1
    };
    let result$2;
    if ((jsx$1 || this.emptyNode__p2__Z())) {
      result$2 = this.mapImplicitValue__I__Z(n)
    } else {
      result$2 = false
    };
    if ((!result$2)) {
      this.restoreState__T3__V(s)
    };
    return result$2
  };
  lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z(t) {
    const n = this.lineBreakSequence__I__I(0);
    return ((n !== 0) && (this.input$1.consume__I__V(n), this.emit__Lorg_mulesoft_lexer_Token__Z(t)))
  };
  isInvalid$1__p2__I__Z(chr) {
    return (((chr !== 93) && (chr !== 44)) && (chr !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1))
  };
  linePrefix__p2__I__Z__Z__Z(n, flow, emptyLine) {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 === 0)) {
      if ((this.isDirectivesEnd__p2__Z() || this.isDocumentEnd__p2__Z())) {
        return false
      };
      const spaces = this.countSpaces__I__I__I(0, n);
      if (((!emptyLine) && (spaces < n))) {
        return false
      };
      const whiteSpaces = (flow ? this.countWhiteSpaces__I__I(spaces) : 0);
      let jsx$1;
      if (emptyLine) {
        const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const n$1 = ((spaces + whiteSpaces) | 0);
        jsx$1 = (!jsx$2.isBBreak__I__Z(this.input$1.lookAhead__I__I(n$1)))
      } else {
        jsx$1 = false
      };
      if ((!jsx$1)) {
        this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(spaces, $m_Lorg_yaml_lexer_YamlToken$().Indent$1);
        return this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(whiteSpaces, $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  nameOrParameter$1__p2__Z() {
    const jsx$1 = $m_Lorg_yaml_lexer_YamlCharRules$();
    const this$1 = this.input$1;
    if (jsx$1.isNsChar__I__Z(this$1.state$1.current$1)) {
      while (true) {
        const this$2 = this.input$1;
        this$2.state$1.consume__jl_CharSequence__I__V(this$2.data$1, this$2.endOffset$1);
        const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const this$3 = this.input$1;
        if (jsx$2.isNsChar__I__Z(this$3.state$1.current$1)) {
          /*<skip>*/
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
    } else {
      return false
    }
  };
  error__Z() {
    const this$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
    const this$1 = this.input$1;
    const c = this$1.state$1.current$1;
    if (this$2.isBreakOrEof__I__Z(c)) {
      return true
    } else {
      while (true) {
        const this$3 = this.input$1;
        this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1);
        const this$5 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const this$4 = this.input$1;
        const c$1 = this$4.state$1.current$1;
        if ((!this$5.isBreakOrEof__I__Z(c$1))) {
          /*<skip>*/
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
    }
  };
  flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const this$1 = this.input$1;
    if ((((this$1.state$1.current$1 === 58) && (!this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(1), c))) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
      const s = this.saveState__T3();
      this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1);
      const result = (this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.emptyNode__p2__Z()
      }
    } else {
      return false
    }
  };
  plainInLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    while (true) {
      const spaces = this.countWhiteSpaces__I__I(0);
      let jsx$1;
      if (this.isPlainChar__I__Lorg_yaml_lexer_YamlContext__Z(spaces, ctx)) {
        const n = ((1 + spaces) | 0);
        this.input$1.consume__I__V(n);
        jsx$1 = true
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        /*<skip>*/
      } else {
        break
      }
    };
    return true
  };
  spacedText__p2__I__Z(n) {
    const m = this.countSpaces__I__I__I(0, 2147483647);
    if ((!((m < n) || ((m === n) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isWhite__I__Z(this.input$1.lookAhead__I__I(n))))))) {
      this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().Indent$1);
      const this$1 = this.input$1;
      while (true) {
        const v1 = this$1.state$1.current$1;
        if ($m_Lorg_yaml_lexer_YamlCharRules$().isNBChar__I__Z(v1)) {
          this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
    } else {
      return false
    }
  };
  inFlow__p2__Lorg_yaml_lexer_YamlContext__Lorg_yaml_lexer_YamlContext(ctx) {
    const x$2 = $m_Lorg_yaml_lexer_BlockKey$();
    let jsx$1;
    if (((ctx !== null) && (ctx === x$2))) {
      jsx$1 = true
    } else {
      const x$4 = $m_Lorg_yaml_lexer_FlowKey$();
      jsx$1 = ((ctx !== null) && (ctx === x$4))
    };
    if (jsx$1) {
      return $m_Lorg_yaml_lexer_FlowKey$()
    } else {
      return $m_Lorg_yaml_lexer_FlowIn$()
    }
  };
  indentLess__I__Z(n) {
    const m = this.countSpaces__I__I__I(0, 2147483647);
    return ((m < n) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(m, $m_Lorg_yaml_lexer_YamlToken$().Indent$1))
  };
  literalContent__I__C__Z(n, t) {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.literalContentLine__p2__I__Z(n)) {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1) && this.literalContentLine__p2__I__Z(n)))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    let result;
    if (jsx$1) {
      result = this.chompedLast__C__Z(t)
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if ((!result)) {
      if ((t === 45)) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
      }
    };
    return this.chompedEmpty__I__C__Z(n, t)
  };
  detectMapStart__p2__I__I(n) {
    const spaces = this.countSpaces__I__I__I(0, 2147483647);
    return ((((spaces > n) && (this.input$1.lookAhead__I__I(spaces) === 63)) || this.lineContainsMapIndicator__Z()) ? ((spaces - n) | 0) : 0)
  };
  detectSequenceStart__p2__I__I(n) {
    const spaces = this.countSpaces__I__I__I(0, 2147483647);
    let jsx$1;
    if (((spaces > n) && (this.input$1.lookAhead__I__I(spaces) === 45))) {
      const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const n$1 = ((1 + spaces) | 0);
      jsx$1 = (!jsx$2.isNsChar__I__Z(this.input$1.lookAhead__I__I(n$1)))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return ((spaces - n) | 0)
    } else {
      return 0
    }
  };
  flowMapImplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    const b1 = (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.flowYamlNode__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
    let result$1;
    if ((b1 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1))) {
      const s$1 = this.saveState__T3();
      const result = ((this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c), true) && this.flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      if (result) {
        result$1 = true
      } else {
        result$1 = this.emptyNode__p2__Z()
      }
    } else {
      result$1 = false
    };
    if ((!result$1)) {
      this.restoreState__T3__V(s)
    };
    if ((result$1 || this.flowMapEmptyKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) {
      return true
    } else {
      return this.flowMapJsonKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)
    }
  };
  blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const m = ((this.detectSequenceStart__p2__I__I(n) + n) | 0);
    let jsx$2;
    if ((m > 0)) {
      const s = this.saveState__T3();
      const result = (((this.indent__I__Z(m) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1)) && this.compactSequence__p2__I__Z(((((1 + n) | 0) + m) | 0))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      jsx$2 = result
    } else {
      jsx$2 = false
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = true
    } else {
      const m$2 = ((this.detectMapStart__p2__I__I(n) + n) | 0);
      if ((m$2 > 0)) {
        const s$1 = this.saveState__T3();
        const result$1 = (((this.indent__I__Z(m$2) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1)) && this.compactMapping__I__Z(((((1 + n) | 0) + m$2) | 0))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
        if ((!result$1)) {
          this.restoreState__T3__V(s$1)
        };
        jsx$1 = result$1
      } else {
        jsx$1 = false
      }
    };
    if (jsx$1) {
      return true
    } else if (this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
      return true
    } else {
      const s$2 = this.saveState__T3();
      const result$2 = (this.emptyNode__p2__Z() && this.multilineComment__Z());
      if ((!result$2)) {
        this.restoreState__T3__V(s$2)
      };
      return result$2
    }
  };
  flowYamlNode__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    if ((this.aliasNode__p2__Z() || this.flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) {
      return true
    } else if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) {
      const s = this.saveState__T3();
      const result = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.emptyScalar__Z()
      }
    } else {
      return false
    }
  };
  documentSuffix__p2__Z() {
    if (this.isDocumentEnd__p2__Z()) {
      const s = this.saveState__T3();
      const result = (this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(3, $m_Lorg_yaml_lexer_YamlToken$().DocumentEnd$1) && this.multilineComment__Z());
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  indent__I__Z(n) {
    return ((n <= 0) || ((n === this.countSpaces__I__I__I(0, n)) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().Indent$1)))
  };
  quotedScalar__p2__I__Lorg_yaml_lexer_YamlContext__C__Z(n, c, quoteChar) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === quoteChar)) {
      let elem$1 = false;
      elem$1 = false;
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
      this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
      let done = false;
      while ((!done)) {
        const this$3 = this.input$1;
        const x1 = this$3.state$1.current$1;
        if (((x1 === 34) && (quoteChar === 34))) {
          done = true
        } else if (((x1 === 39) && (quoteChar === 39))) {
          if ((this.input$1.lookAhead__I__I(1) !== 39)) {
            done = true
          } else {
            if (elem$1) {
              this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
              elem$1 = false
            };
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginEscape$1);
            this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
            this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1);
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndEscape$1)
          }
        } else if (((x1 === 13) || (x1 === 10))) {
          const x$2 = $m_Lorg_yaml_lexer_BlockKey$();
          let jsx$1;
          if ((!((c !== null) && (c === x$2)))) {
            const x$4 = $m_Lorg_yaml_lexer_FlowKey$();
            jsx$1 = (!((c !== null) && (c === x$4)))
          } else {
            jsx$1 = false
          };
          if (jsx$1) {
            if (elem$1) {
              this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
              elem$1 = false
            };
            const s = this.saveState__T3();
            const result = (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1) && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
            if ((!result)) {
              this.restoreState__T3__V(s)
            };
            if ((!result)) {
              this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().LineFold$1)
            };
            this.indent__I__Z(n);
            this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(this.countWhiteSpaces__I__I(0), $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
          } else {
            elem$1 = false;
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1);
            done = true
          }
        } else if (((x1 === 92) && (quoteChar === 34))) {
          if (elem$1) {
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
            elem$1 = false
          };
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginEscape$1);
          this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
          const this$4 = this.input$1;
          const nl = (this$4.state$1.current$1 === 10);
          if (nl) {
            this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)
          } else {
            const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
            const this$5 = this.input$1;
            const x1$2 = jsx$2.escapeSeq__I__I(this$5.state$1.current$1);
            switch (x1$2) {
              case (-1): {
                this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1);
                break
              }
              case 120: {
                this.processHexa$1__p2__I__Z(2);
                break
              }
              case 117: {
                this.processHexa$1__p2__I__Z(4);
                break
              }
              case 85: {
                this.processHexa$1__p2__I__Z(8);
                break
              }
              default: {
                this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
              }
            }
          };
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndEscape$1);
          if (nl) {
            this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(this.countWhiteSpaces__I__I(0), $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
          }
        } else if (((x1 === 32) || (x1 === 9))) {
          const spaces = this.countWhiteSpaces__I__I(0);
          if ($m_Lorg_yaml_lexer_YamlCharRules$().isBBreak__I__Z(this.input$1.lookAhead__I__I(spaces))) {
            if (elem$1) {
              this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
              elem$1 = false
            };
            this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(spaces, $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
          } else {
            elem$1 = true;
            this.input$1.consume__I__V(spaces)
          }
        } else if (($m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1 === x1)) {
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1);
          done = true
        } else {
          elem$1 = true;
          const this$6 = this.input$1;
          this$6.state$1.consume__jl_CharSequence__I__V(this$6.data$1, this$6.endOffset$1)
        }
      };
      if (elem$1) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
        elem$1 = false
      };
      this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
    } else {
      return false
    }
  };
  flowSequence__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === 91)) {
      const s = this.saveState__T3();
      let jsx$1;
      if ((((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx), true)) && (this.flowSequenceEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, this.inFlow__p2__Lorg_yaml_lexer_YamlContext__Lorg_yaml_lexer_YamlContext(ctx)), true))) {
        const this$2 = this.input$1;
        jsx$1 = (this$2.state$1.current$1 === 93)
      } else {
        jsx$1 = false
      };
      let result;
      if ((jsx$1 && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
        result = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndSequence$1)
      } else {
        result = false
      };
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  isNsAnchorChar__p2__I__Z(c) {
    return ($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(c) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isFlowIndicator__I__Z(c)))
  };
  separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const x = $m_Lorg_yaml_lexer_FlowKey$();
    let jsx$1;
    if ((x === ctx)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_lexer_BlockKey$();
      jsx$1 = (x$3 === ctx)
    };
    if (jsx$1) {
      return this.separateInLine__p2__Z()
    } else {
      const s = this.saveState__T3();
      const result = (this.multilineComment__Z() && this.linePrefix__p2__I__Z__Z__Z(n, true, false));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.separateInLine__p2__Z()
      }
    }
  };
  aliasNode__p2__Z() {
    const this$1 = this.input$1;
    if ((((((this$1.state$1.current$1 === 42) && this.isNsAnchorChar__p2__I__Z(this.input$1.lookAhead__I__I(1))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginAlias$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && this.anchorName__p2__Z())) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndAlias$1)
    } else {
      return false
    }
  };
  tagProperty__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if (((this$1.state$1.current$1 === 33) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginTag$1))) {
      let jsx$2;
      if (((this.input$1.lookAhead__I__I(1) === 32) && this.indicator__I__Z(33))) {
        jsx$2 = true
      } else {
        const s = this.saveState__T3();
        let jsx$3;
        if ((this.indicator__I__Z(33) && this.indicator__I__Z(60))) {
          const f = (function($this) {
            return (function() {
              return $this.uriChar__p2__Z()
            })
          })(this);
          let s$1 = this.saveState__T3();
          const result = (!(!f()));
          if (result) {
            while (true) {
              s$1 = this.saveState__T3();
              const this$2 = this.input$1;
              if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
                /*<skip>*/
              } else {
                break
              }
            }
          };
          this.restoreState__T3__V(s$1);
          jsx$3 = result
        } else {
          jsx$3 = false
        };
        let result$1;
        if ((jsx$3 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1))) {
          result$1 = this.indicator__I__Z(62)
        } else {
          result$1 = false
        };
        if ((!result$1)) {
          this.restoreState__T3__V(s)
        };
        jsx$2 = result$1
      };
      if (jsx$2) {
        jsx$1 = true
      } else {
        const s$2 = this.saveState__T3();
        let result$3;
        if (this.tagHandle__p2__Z()) {
          const s$3 = this.saveState__T3();
          let result$2;
          if (this.tagChar__p2__Z()) {
            while (this.tagChar__p2__Z()) {
              /*<skip>*/
            };
            result$2 = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
          } else {
            result$2 = false
          };
          if ((!result$2)) {
            this.restoreState__T3__V(s$3)
          };
          if (result$2) {
            result$3 = true
          } else {
            result$3 = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
          }
        } else {
          result$3 = false
        };
        if ((!result$3)) {
          this.restoreState__T3__V(s$2)
        };
        jsx$1 = result$3
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndTag$1)
    } else {
      return false
    }
  };
  flowMapAdjacentValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    if (this.indicator__I__Z(58)) {
      const s = this.saveState__T3();
      this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1);
      const result = (this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.emptyNode__p2__Z()
      }
    } else {
      return false
    }
  };
  multilineComment__Z() {
    const this$1 = this.input$1;
    if (((this$1.state$1.column$1 === 0) || this.spaceBreakComment__Z())) {
      let s = this.saveState__T3();
      while (true) {
        const this$2 = this.input$1;
        if ((this$2.state$1.nonEof__Z() && this.lineComment__Z())) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  spacedLines__p2__I__Z(n) {
    const b = this.spacedText__p2__I__Z(n);
    if (b) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        let jsx$1;
        if (this$1.state$1.nonEof__Z()) {
          let jsx$2;
          if (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1)) {
            let s$1 = this.saveState__T3();
            while (true) {
              const this$2 = this.input$1;
              if ((this$2.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
                s$1 = this.saveState__T3()
              } else {
                break
              }
            };
            this.restoreState__T3__V(s$1);
            jsx$2 = true
          } else {
            jsx$2 = false
          };
          if (jsx$2) {
            jsx$1 = this.spacedText__p2__I__Z(n)
          } else {
            jsx$1 = false
          }
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  mapImplicitValue__I__Z(n) {
    if (this.indicator__I__Z(58)) {
      if (this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockOut$())) {
        return true
      } else if (this.emptyNode__p2__Z()) {
        const s = this.saveState__T3();
        const result = this.multilineComment__Z();
        if ((!result)) {
          this.restoreState__T3__V(s)
        };
        if (result) {
          return true
        } else {
          const s$1 = this.saveState__T3();
          const result$1 = (this.error__Z() && this.multilineComment__Z());
          if ((!result$1)) {
            this.restoreState__T3__V(s$1)
          };
          return result$1
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  flowMapEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    _flowMapEntries: while (true) {
      const this$1 = this.input$1;
      if ((this$1.state$1.current$1 !== 125)) {
        if (this.flowMapEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
          this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
          if (this.indicator__I__Z(44)) {
            this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
            continue _flowMapEntries
          } else {
            return false
          }
        } else {
          return false
        }
      } else {
        return false
      }
    }
  };
  sameLines__p2__I__Z(n) {
    if (this.nonEndOfDocument__p2__Z()) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      const s$1 = this.saveState__T3();
      const result = this.foldedLines__p2__I__Z(n);
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      if (result) {
        return true
      } else {
        const s$2 = this.saveState__T3();
        const result$1 = this.spacedLines__p2__I__Z(n);
        if ((!result$1)) {
          this.restoreState__T3__V(s$2)
        };
        return result$1
      }
    } else {
      return false
    }
  };
  plainChar__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    const result = this.isPlainChar__I__Lorg_yaml_lexer_YamlContext__Z(0, ctx);
    if (result) {
      const this$1 = this.input$1;
      this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
    };
    return result
  };
  countSpaces__I__I__I(offset, max) {
    let i = 0;
    while (true) {
      const v1 = i;
      const n = ((offset + v1) | 0);
      if (((this.input$1.lookAhead__I__I(n) === 32) && (v1 < max))) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    return i
  };
  emptyNode__p2__Z() {
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1);
    this.emptyScalar__Z();
    return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)
  };
  foldedContent__p2__I__C__Z(n, t) {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.sameLines__p2__I__Z(n)) {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1) && this.sameLines__p2__I__Z(n)))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    let result;
    if (jsx$1) {
      result = this.chompedLast__C__Z(t)
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if ((!result)) {
      if ((t === 45)) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
      }
    };
    return this.chompedEmpty__I__C__Z(n, t)
  };
  indentLessOrEqual__I__Z(n) {
    const m = this.countSpaces__I__I__I(0, 2147483647);
    return ((m <= n) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(m, $m_Lorg_yaml_lexer_YamlToken$().Indent$1))
  };
  reservedDirective__p2__Z() {
    if (this.nameOrParameter$1__p2__Z()) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.separateInLine__p2__Z() && this.nameOrParameter$1__p2__Z()))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  uriChar__p2__Z() {
    const jsx$2 = $m_sjsr_RuntimeString$();
    const this$1 = this.input$1;
    let jsx$1;
    if ((jsx$2.indexOf__T__I__I("#;/?:@&=+$,_.!~*'()[]", this$1.state$1.current$1) !== (-1))) {
      jsx$1 = true
    } else {
      const jsx$3 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const this$2 = this.input$1;
      jsx$1 = jsx$3.isWordChar__I__Z(this$2.state$1.current$1)
    };
    if (jsx$1) {
      const this$3 = this.input$1;
      this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1);
      return true
    } else {
      const this$4 = this.input$1;
      let jsx$5;
      if ((this$4.state$1.current$1 === 37)) {
        const c = this.input$1.lookAhead__I__I(1);
        jsx$5 = ((((c >= 48) && (c <= 57)) || ((c >= 65) && (c <= 70))) || ((c >= 97) && (c <= 102)))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const c$1 = this.input$1.lookAhead__I__I(2);
        jsx$4 = ((((c$1 >= 48) && (c$1 <= 57)) || ((c$1 >= 65) && (c$1 <= 70))) || ((c$1 >= 97) && (c$1 <= 102)))
      } else {
        jsx$4 = false
      };
      if (jsx$4) {
        this.input$1.consume__I__V(3);
        return true
      } else {
        return false
      }
    }
  };
  flowMapEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    return ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginPair$1) && (((this.indicator__I__Z(63) && this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) && this.flowMapExplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) || this.flowMapImplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndPair$1))
  };
  plainFirst__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    const this$1 = this.input$1;
    const chr = this$1.state$1.current$1;
    const result = (($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isIndicator__I__Z(chr))) || ((((chr === 45) || (chr === 58)) || (chr === 63)) && this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(1), ctx)));
    if (result) {
      const this$2 = this.input$1;
      this$2.state$1.consume__jl_CharSequence__I__V(this$2.data$1, this$2.endOffset$1)
    };
    return result
  };
  blockSequence__I__Z(n) {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 === 0)) {
      const m = this.detectSequenceStart__p2__I__I(n);
      let jsx$1;
      if (((m > 0) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1))) {
        const f = (function($this, n$1, m$1) {
          return (function() {
            const b1 = $this.indent__I__Z(((n$1 + m$1) | 0));
            return (b1 && $this.blockSeqEntry__p2__I__Z(((n$1 + m$1) | 0)))
          })
        })(this, n, m);
        let s = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s = this.saveState__T3();
            const this$2 = this.input$1;
            if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s);
        jsx$1 = result
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndSequence$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  flowPair__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    return (((this.indicator__I__Z(63) && this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) && this.flowMapExplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) || this.flowPairEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))
  };
  chompedLast__C__Z(t) {
    const this$1 = this.input$1;
    if (((this$1.state$1.current$1 === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1) || ((t !== 45) && this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1)))) {
      return true
    } else {
      return (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1) && this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1))
    }
  };
  plainMultiline__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    if (this.plainOneLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx)) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        let jsx$1;
        if (this$1.state$1.nonEof__Z()) {
          const b1 = this.flowFolded__p2__I__Z(n);
          if (b1) {
            const b2 = this.plainChar__p2__Lorg_yaml_lexer_YamlContext__Z(ctx);
            if (b2) {
              const b3 = this.plainInLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx);
              if (b3) {
                this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
              };
              jsx$1 = b3
            } else {
              jsx$1 = false
            }
          } else {
            jsx$1 = false
          }
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  compactSequence__p2__I__Z(n) {
    let jsx$1;
    if ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1) && this.blockSeqEntry__p2__I__Z(n))) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.indent__I__Z(n) && this.blockSeqEntry__p2__I__Z(n)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndSequence$1)
    } else {
      return false
    }
  };
  chompingIndicator$1__p2__C() {
    const this$1 = this.input$1;
    const x1 = this$1.state$1.current$1;
    switch (x1) {
      case 43: {
        this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
        return 43;
        break
      }
      case 45: {
        this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
        return 45;
        break
      }
      default: {
        return 32
      }
    }
  };
  breakComment__Z() {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)) {
      return true
    } else {
      return this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)
    }
  };
  spaceBreakComment__Z() {
    return (this.breakComment__Z() || this.lineComment__Z())
  };
  directive__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if ((((this$1.state$1.current$1 === 37) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginDirective$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
      const s = this.saveState__T3();
      const result = this.yamlDirective__p2__Z();
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      let jsx$2;
      if (result) {
        jsx$2 = true
      } else {
        const s$1 = this.saveState__T3();
        const result$1 = this.tagDirective__p2__Z();
        if ((!result$1)) {
          this.restoreState__T3__V(s$1)
        };
        jsx$2 = result$1
      };
      if (jsx$2) {
        jsx$1 = true
      } else {
        const s$2 = this.saveState__T3();
        const result$2 = this.reservedDirective__p2__Z();
        if ((!result$2)) {
          this.restoreState__T3__V(s$2)
        };
        jsx$1 = result$2
      }
    } else {
      jsx$1 = false
    };
    if ((jsx$1 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndDirective$1))) {
      return this.multilineComment__Z()
    } else {
      return false
    }
  };
  mapExplicitEntry__I__Z(n) {
    const b = this.indicator__I__Z(63);
    if ((b && this.blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockOut$()))) {
      const s = this.saveState__T3();
      const result = (this.mapExplicitValue__I__Z(n) || this.emptyNode__p2__Z());
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  plainScalar__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
    const x = $m_Lorg_yaml_lexer_FlowKey$();
    let jsx$1;
    if ((x === ctx)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_lexer_BlockKey$();
      jsx$1 = (x$3 === ctx)
    };
    if (jsx$1) {
      this.plainOneLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx)
    } else {
      this.plainMultiline__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)
    };
    const result = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1);
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  documentPrefix__p2__Z() {
    const this$1 = this.input$1;
    if (this$1.state$1.nonEof__Z()) {
      const this$2 = this.input$1;
      let jsx$2;
      if (((this$2.state$1.current$1 === 65279) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Bom$1))) {
        if (this.breakComment__Z()) {
          /*<skip>*/
        } else {
          this.commentText__Z()
        };
        jsx$2 = true
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        let s = this.saveState__T3();
        while (true) {
          const this$3 = this.input$1;
          if ((this$3.state$1.nonEof__Z() && this.lineComment__Z())) {
            s = this.saveState__T3()
          } else {
            break
          }
        };
        this.restoreState__T3__V(s);
        jsx$1 = true
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return true
      } else {
        const f = (function(this$2$1) {
          return (function() {
            return this$2$1.lineComment__Z()
          })
        })(this);
        let s$1 = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s$1 = this.saveState__T3();
            const this$4 = this.input$1;
            if ((this$4.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s$1);
        return result
      }
    } else {
      return false
    }
  };
  implicitYamlKey__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    return (((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.flowYamlNode__I__Lorg_yaml_lexer_YamlContext__Z(0, ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)) && (this.separateInLine__p2__Z(), true))
  };
  blockHeader__I__T2(n) {
    let t = this.chompingIndicator$1__p2__C();
    const this$1 = this.input$1;
    const c = this$1.state$1.current$1;
    let m = (((!((c >= 48) && (c <= 57))) || (c === 48)) ? (-1) : (this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1), (((-48) + c) | 0)));
    if ((t === 32)) {
      t = this.chompingIndicator$1__p2__C()
    };
    if ((!this.spaceBreakComment__Z())) {
      this.error__Z();
      this.breakComment__Z()
    };
    if ((m === (-1))) {
      const s = this.saveState__T3();
      let s$1 = this.saveState__T3();
      while (true) {
        const this$3 = this.input$1;
        if ((this$3.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      const n1 = this.countSpaces__I__I__I(0, 2147483647);
      const that = ((n1 - n) | 0);
      m = ((that < 1) ? 1 : that);
      this.restoreState__T3__V(s)
    };
    return new $c_s_Tuple2$mcIC$sp().init___I__C(m, t)
  };
  explicitDocument__p2__Z() {
    if (this.isDirectivesEnd__p2__Z()) {
      const s = this.saveState__T3();
      this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(3, $m_Lorg_yaml_lexer_YamlToken$().DirectivesEnd$1);
      const s$1 = this.saveState__T3();
      const result = this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z((-1), $m_Lorg_yaml_lexer_BlockIn$());
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      let result$2;
      if (result) {
        result$2 = true
      } else {
        const s$2 = this.saveState__T3();
        const result$1 = (this.emptyNode__p2__Z() && this.multilineComment__Z());
        if ((!result$1)) {
          this.restoreState__T3__V(s$2)
        };
        result$2 = result$1
      };
      if ((!result$2)) {
        this.restoreState__T3__V(s)
      };
      return result$2
    } else {
      return false
    }
  };
  flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    let jsx$1;
    if (this.aliasNode__p2__Z()) {
      jsx$1 = true
    } else {
      const s = this.saveState__T3();
      const result = this.flowContent__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      jsx$1 = result
    };
    if (jsx$1) {
      return true
    } else if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) {
      const s$1 = this.saveState__T3();
      const result$1 = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.flowContent__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      if (result$1) {
        return true
      } else {
        return this.emptyScalar__Z()
      }
    } else {
      return false
    }
  };
  lineComment__Z() {
    const s = this.saveState__T3();
    const result = (this.separateInLine__p2__Z() && (this.breakComment__Z() || this.commentText__Z()));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  flowMapping__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === 123)) {
      const s = this.saveState__T3();
      let jsx$1;
      if ((((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c), true)) && (this.flowMapEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, this.inFlow__p2__Lorg_yaml_lexer_YamlContext__Lorg_yaml_lexer_YamlContext(c)), true))) {
        const this$2 = this.input$1;
        jsx$1 = (this$2.state$1.current$1 === 125)
      } else {
        jsx$1 = false
      };
      let result;
      if ((jsx$1 && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
        result = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndMapping$1)
      } else {
        result = false
      };
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  trailComments__I__Z(n) {
    const s = this.saveState__T3();
    let result;
    if ((this.indentLess__I__Z(n) && this.commentText__Z())) {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && this.lineComment__Z())) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      result = true
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  blockSeqEntry__p2__I__Z(n) {
    return (this.indicator__I__Z(45) && this.blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))
  };
  isDocumentEnd__p2__Z() {
    const this$1 = this.input$1;
    if (((this$1.state$1.current$1 === 46) && (this.input$1.lookAhead__I__I(1) === 46))) {
      return (this.input$1.lookAhead__I__I(2) === 46)
    } else {
      return false
    }
  };
  lineContainsMapIndicator__Z() {
    const i = new $c_sr_IntRef().init___I(0);
    let chr = 0;
    let charStack = $m_sci_Nil$();
    while (true) {
      const n = i.elem$1;
      chr = this.input$1.lookAhead__I__I(n);
      const this$2 = charStack;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
        if ((chr === (charStack.head__O() | 0))) {
          let jsx$1;
          if ((chr === 39)) {
            const n$1 = ((1 + i.elem$1) | 0);
            jsx$1 = (this.input$1.lookAhead__I__I(n$1) === 39)
          } else {
            jsx$1 = false
          };
          if (jsx$1) {
            i.elem$1 = ((1 + i.elem$1) | 0)
          } else {
            let jsx$2;
            if ((chr !== 34)) {
              jsx$2 = true
            } else {
              const n$2 = (((-1) + i.elem$1) | 0);
              jsx$2 = (this.input$1.lookAhead__I__I(n$2) !== 92)
            };
            if (jsx$2) {
              charStack = charStack.tail__O()
            }
          }
        }
      } else if (((chr === 34) || (chr === 39))) {
        const x$5 = chr;
        const this$3 = charStack;
        charStack = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$3)
      } else if ((chr === 123)) {
        const this$4 = charStack;
        charStack = new $c_sci_$colon$colon().init___O__sci_List(125, this$4)
      } else if ((chr === 91)) {
        const this$5 = charStack;
        charStack = new $c_sci_$colon$colon().init___O__sci_List(93, this$5)
      } else {
        const this$6 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const c1 = chr;
        const f = (function($this, i$1) {
          return (function() {
            const n$3 = ((1 + i$1.elem$1) | 0);
            return $this.input$1.lookAhead__I__I(n$3)
          })
        })(this, i);
        let jsx$3;
        if ((c1 === 58)) {
          if (this$6.isWhite__I__Z((f() | 0))) {
            jsx$3 = true
          } else {
            const c = (f() | 0);
            jsx$3 = this$6.isBreakOrEof__I__Z(c)
          }
        } else {
          jsx$3 = false
        };
        if (jsx$3) {
          return true
        }
      };
      i.elem$1 = ((1 + i.elem$1) | 0);
      const this$7 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const c$1 = chr;
      if ((!this$7.isBreakOrEof__I__Z(c$1))) {
        /*<skip>*/
      } else {
        break
      }
    };
    return false
  };
  blockScalar__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    let result;
    if (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)) {
      if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)) {
        this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)
      };
      result = (this.literalScalar__I__Z(n) || this.foldedScalar__I__Z(n))
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  flowContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    return (this.flowJsonContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) || this.flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx))
  };
  tagPrefix__p2__Z() {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginTag$1)) {
      let jsx$2;
      if (this.indicator__I__Z(33)) {
        let s$1 = this.saveState__T3();
        while (true) {
          const this$1 = this.input$1;
          if ((this$1.state$1.nonEof__Z() && this.uriChar__p2__Z())) {
            s$1 = this.saveState__T3()
          } else {
            break
          }
        };
        this.restoreState__T3__V(s$1);
        jsx$2 = true
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        jsx$1 = true
      } else if (this.tagChar__p2__Z()) {
        let s$2 = this.saveState__T3();
        while (true) {
          const this$2 = this.input$1;
          if ((this$2.state$1.nonEof__Z() && this.uriChar__p2__Z())) {
            s$2 = this.saveState__T3()
          } else {
            break
          }
        };
        this.restoreState__T3__V(s$2);
        jsx$1 = true
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    let result;
    if ((jsx$1 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1))) {
      result = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndTag$1)
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  flowSequenceEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    _flowSequenceEntries: while (true) {
      const this$1 = this.input$1;
      if ((this$1.state$1.current$1 !== 93)) {
        if (this.flowSequenceEntry__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
          this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
          const this$2 = this.input$1;
          if (this.isInvalid$1__p2__I__Z(this$2.state$1.current$1)) {
            const this$3 = this.input$1;
            while (true) {
              const v1 = this$3.state$1.current$1;
              if (this.isInvalid$1__p2__I__Z(v1)) {
                this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1)
              } else {
                break
              }
            };
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
          };
          const this$4 = this.input$1;
          const c = this$4.state$1.current$1;
          if (((c === 93) || (c === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1))) {
            return true
          } else {
            this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
            this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
            continue _flowSequenceEntries
          }
        } else {
          return false
        }
      } else {
        return false
      }
    }
  };
  anchorName__p2__Z() {
    const this$1 = this.input$1;
    while (true) {
      const v1 = this$1.state$1.current$1;
      if (this.isNsAnchorChar__p2__I__Z(v1)) {
        this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
      } else {
        break
      }
    };
    return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
  };
  processHexa$1__p2__I__Z(chars) {
    return (this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(chars, (this.allHexa$1__p2__I__Z(chars) ? $m_Lorg_yaml_lexer_YamlToken$().MetaText$1 : $m_Lorg_yaml_lexer_YamlToken$().Error$1)))
  };
  init___Lorg_mulesoft_lexer_LexerInput(input) {
    this.input$2 = input;
    $c_Lorg_mulesoft_lexer_BaseLexer.prototype.init___Lorg_mulesoft_lexer_LexerInput.call(this, input);
    return this
  };
  trimmed__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    let result$1;
    if (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)) {
      const f = (function($this, n$1, ctx$1) {
        return (function() {
          return $this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n$1, ctx$1)
        })
      })(this, n, ctx);
      let s$1 = this.saveState__T3();
      const result = (!(!f()));
      if (result) {
        while (true) {
          s$1 = this.saveState__T3();
          const this$1 = this.input$1;
          if ((this$1.state$1.nonEof__Z() && (!(!f())))) {
            /*<skip>*/
          } else {
            break
          }
        }
      };
      this.restoreState__T3__V(s$1);
      result$1 = result
    } else {
      result$1 = false
    };
    if ((!result$1)) {
      this.restoreState__T3__V(s)
    };
    return result$1
  };
  tagChar__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if ((this$1.state$1.current$1 !== 124)) {
      const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const this$2 = this.input$1;
      jsx$1 = (!jsx$2.isFlowIndicator__I__Z(this$2.state$1.current$1))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.uriChar__p2__Z()
    } else {
      return false
    }
  };
  flowMapJsonKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    let result$1;
    if (this.flowJsonNode__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) {
      const s$1 = this.saveState__T3();
      this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      const result = this.flowMapAdjacentValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      if (result) {
        result$1 = true
      } else {
        result$1 = this.emptyNode__p2__Z()
      }
    } else {
      result$1 = false
    };
    if ((!result$1)) {
      this.restoreState__T3__V(s)
    };
    return result$1
  };
  bc$1__p2__I__Lorg_yaml_lexer_YamlContext__Z(n$40, ctx$9) {
    if (this.multilineComment__Z()) {
      const x$2 = $m_Lorg_yaml_lexer_BlockOut$();
      if (this.blockSequence__I__Z((((ctx$9 !== null) && (ctx$9 === x$2)) ? (((-1) + n$40) | 0) : n$40))) {
        return true
      } else {
        return this.blockMapping__I__Z(n$40)
      }
    } else {
      return false
    }
  };
  plainOneLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    return ((this.plainFirst__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) && this.plainInLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1))
  };
  tagDirective__p2__Z() {
    return (this.consume__T__Z("TAG") && (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1), (((this.separateInLine__p2__Z() && this.tagHandle__p2__Z()) && this.separateInLine__p2__Z()) && this.tagPrefix__p2__Z())))
  };
  yamlDirective__p2__Z() {
    if (this.consume__T__Z("YAML")) {
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1);
      let jsx$1;
      if ((!this.separateInLine__p2__Z())) {
        jsx$1 = true
      } else {
        const this$1 = this.input$1;
        const c = this$1.state$1.current$1;
        jsx$1 = (!((c >= 48) && (c <= 57)))
      };
      if ((!jsx$1)) {
        const this$3 = this.input$1;
        while (true) {
          const v1 = this$3.state$1.current$1;
          if (((v1 >= 48) && (v1 <= 57))) {
            this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1)
          } else {
            break
          }
        };
        const this$5 = this.input$1;
        let jsx$2;
        if ((this$5.state$1.current$1 !== 46)) {
          jsx$2 = true
        } else {
          const c$1 = this.input$1.lookAhead__I__I(1);
          jsx$2 = (!((c$1 >= 48) && (c$1 <= 57)))
        };
        if ((!jsx$2)) {
          const this$7 = this.input$1;
          this$7.state$1.consume__jl_CharSequence__I__V(this$7.data$1, this$7.endOffset$1);
          const this$8 = this.input$1;
          while (true) {
            const v1$1 = this$8.state$1.current$1;
            if (((v1$1 >= 48) && (v1$1 <= 57))) {
              this$8.state$1.consume__jl_CharSequence__I__V(this$8.data$1, this$8.endOffset$1)
            } else {
              break
            }
          };
          return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
        } else {
          return false
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  anchorProperty__p2__Z() {
    const this$1 = this.input$1;
    if ((((((this$1.state$1.current$1 === 38) && this.isNsAnchorChar__p2__I__Z(this.input$1.lookAhead__I__I(1))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginAnchor$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && this.anchorName__p2__Z())) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndAnchor$1)
    } else {
      return false
    }
  };
  foldedScalar__I__Z(n) {
    const this$1 = this.input$1;
    if ((((this$1.state$1.current$1 === 62) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
      const x1 = this.blockHeader__I__T2(n);
      if ((x1 === null)) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const m = x1.$$und1$mcI$sp__I();
      const t = x1.$$und2$mcC$sp__C();
      return this.foldedContent__p2__I__C__Z(((n + m) | 0), t)
    } else {
      return false
    }
  };
  allHexa$1__p2__I__Z(chars) {
    let i = 0;
    while (true) {
      const v1 = i;
      const c = this.input$1.lookAhead__I__I(v1);
      if (((((c >= 48) && (c <= 57)) || ((c >= 65) && (c <= 70))) || ((c >= 97) && (c <= 102)))) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    const i$1 = i;
    return (i$1 >= chars)
  };
}
const $d_Lorg_yaml_lexer_YamlLexer = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlLexer: 0
}, false, "org.yaml.lexer.YamlLexer", {
  Lorg_yaml_lexer_YamlLexer: 1,
  Lorg_mulesoft_lexer_BaseLexer: 1,
  O: 1,
  Lorg_mulesoft_lexer_Lexer: 1
});
$c_Lorg_yaml_lexer_YamlLexer.prototype.$classData = $d_Lorg_yaml_lexer_YamlLexer;
class $c_Lorg_yaml_model_YAnchor extends $c_Lorg_yaml_model_YTokens {
  constructor() {
    super();
    this.name$2 = null
  };
  toString__T() {
    return ("&" + this.name$2)
  };
  init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(name, range, ts) {
    this.name$2 = name;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, ts);
    return this
  };
}
const $is_Lorg_yaml_model_YAnchor = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YAnchor)))
});
const $isArrayOf_Lorg_yaml_model_YAnchor = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YAnchor)))
});
const $d_Lorg_yaml_model_YAnchor = new $TypeData().initClass({
  Lorg_yaml_model_YAnchor: 0
}, false, "org.yaml.model.YAnchor", {
  Lorg_yaml_model_YAnchor: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YAnchor.prototype.$classData = $d_Lorg_yaml_model_YAnchor;
class $c_Lorg_yaml_model_YDocument$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_yaml_model_YDocument$WithComment(headComment) {
    return new $c_Lorg_yaml_model_YDocument$WithComment().init___T(((headComment === null) ? "" : headComment))
  };
  apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(mainNode) {
    const this$1 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    return this$1.org$yaml$model$YDocument$WithComment$$createDoc__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(mainNode)
  };
}
const $d_Lorg_yaml_model_YDocument$ = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$: 0
}, false, "org.yaml.model.YDocument$", {
  Lorg_yaml_model_YDocument$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument$.prototype.$classData = $d_Lorg_yaml_model_YDocument$;
let $n_Lorg_yaml_model_YDocument$ = (void 0);
const $m_Lorg_yaml_model_YDocument$ = (function() {
  if ((!$n_Lorg_yaml_model_YDocument$)) {
    $n_Lorg_yaml_model_YDocument$ = new $c_Lorg_yaml_model_YDocument$().init___()
  };
  return $n_Lorg_yaml_model_YDocument$
});
class $c_Lorg_yaml_model_YDocument$EntryBuilder extends $c_Lorg_yaml_model_YDocument$BaseBuilder {
  init___() {
    $c_Lorg_yaml_model_YDocument$BaseBuilder.prototype.init___.call(this);
    return this
  };
  updateDynamic__T__Lorg_yaml_model_YNode__V(name, value) {
    this.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name), value)
  };
  addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(k, v) {
    const jsx$3 = this.builder$1;
    const jsx$2 = $m_Lorg_yaml_model_YMapEntry$();
    const jsx$1 = $m_s_Predef$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([k, v]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(jsx$2.apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(jsx$1.wrapRefArray__AO__scm_WrappedArray(array)))
  };
}
const $is_Lorg_yaml_model_YDocument$EntryBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDocument$EntryBuilder)))
});
const $isArrayOf_Lorg_yaml_model_YDocument$EntryBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDocument$EntryBuilder)))
});
const $d_Lorg_yaml_model_YDocument$EntryBuilder = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$EntryBuilder: 0
}, false, "org.yaml.model.YDocument$EntryBuilder", {
  Lorg_yaml_model_YDocument$EntryBuilder: 1,
  Lorg_yaml_model_YDocument$BaseBuilder: 1,
  O: 1,
  s_Dynamic: 1
});
$c_Lorg_yaml_model_YDocument$EntryBuilder.prototype.$classData = $d_Lorg_yaml_model_YDocument$EntryBuilder;
class $c_Lorg_yaml_model_YFail$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNodeLike__F0__Lorg_yaml_model_YFail(node, err) {
    return new $c_Lorg_yaml_model_YFail().init___Lorg_yaml_model_YError(new $c_Lorg_yaml_model_YError().init___Lorg_yaml_model_YNodeLike__F0(node, err))
  };
}
const $d_Lorg_yaml_model_YFail$ = new $TypeData().initClass({
  Lorg_yaml_model_YFail$: 0
}, false, "org.yaml.model.YFail$", {
  Lorg_yaml_model_YFail$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YFail$.prototype.$classData = $d_Lorg_yaml_model_YFail$;
let $n_Lorg_yaml_model_YFail$ = (void 0);
const $m_Lorg_yaml_model_YFail$ = (function() {
  if ((!$n_Lorg_yaml_model_YFail$)) {
    $n_Lorg_yaml_model_YFail$ = new $c_Lorg_yaml_model_YFail$().init___()
  };
  return $n_Lorg_yaml_model_YFail$
});
class $c_Lorg_yaml_model_YIgnorable extends $c_Lorg_yaml_model_YTokens {
}
class $c_Lorg_yaml_model_YTag$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq__Lorg_yaml_model_YTag(tag, range, ts) {
    return new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(tag, $m_Lorg_yaml_model_YType$().apply__T__Lorg_yaml_model_YType(tag), range, ts)
  };
}
const $d_Lorg_yaml_model_YTag$ = new $TypeData().initClass({
  Lorg_yaml_model_YTag$: 0
}, false, "org.yaml.model.YTag$", {
  Lorg_yaml_model_YTag$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YTag$.prototype.$classData = $d_Lorg_yaml_model_YTag$;
let $n_Lorg_yaml_model_YTag$ = (void 0);
const $m_Lorg_yaml_model_YTag$ = (function() {
  if ((!$n_Lorg_yaml_model_YTag$)) {
    $n_Lorg_yaml_model_YTag$ = new $c_Lorg_yaml_model_YTag$().init___()
  };
  return $n_Lorg_yaml_model_YTag$
});
class $c_Lorg_yaml_model_YValue extends $c_Lorg_yaml_model_YValueLike {
  constructor() {
    super();
    this.children$2 = null;
    this.range$2 = null
  };
  children__sc_IndexedSeq() {
    return this.children$2
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$2 = x$1
  };
  init___sc_IndexedSeq(children) {
    this.children$2 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$2
  };
}
const $is_Lorg_yaml_model_YValue = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YValue)))
});
const $isArrayOf_Lorg_yaml_model_YValue = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YValue)))
});
const $d_Lorg_yaml_model_YValue = new $TypeData().initClass({
  Lorg_yaml_model_YValue: 0
}, false, "org.yaml.model.YValue", {
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YValue.prototype.$classData = $d_Lorg_yaml_model_YValue;
const $isArrayOf_jl_Boolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Boolean)))
});
const $d_jl_Boolean = new $TypeData().initClass({
  jl_Boolean: 0
}, false, "java.lang.Boolean", {
  jl_Boolean: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "boolean")
}));
class $c_jl_Character extends $c_O {
  constructor() {
    super();
    this.value$1 = 0
  };
  equals__O__Z(that) {
    if ($is_jl_Character(that)) {
      const jsx$1 = this.value$1;
      const this$1 = that;
      return (jsx$1 === this$1.value$1)
    } else {
      return false
    }
  };
  compareTo__O__I(o) {
    const that = o;
    const x = this.value$1;
    const y = that.value$1;
    return ((x - y) | 0)
  };
  toString__T() {
    const c = this.value$1;
    return $g.String.fromCharCode(c)
  };
  init___C(value) {
    this.value$1 = value;
    return this
  };
  hashCode__I() {
    return this.value$1
  };
}
const $is_jl_Character = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Character)))
});
const $isArrayOf_jl_Character = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Character)))
});
const $d_jl_Character = new $TypeData().initClass({
  jl_Character: 0
}, false, "java.lang.Character", {
  jl_Character: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_jl_Character.prototype.$classData = $d_jl_Character;
class $c_jl_Character$ extends $c_O {
  constructor() {
    super();
    this.java$lang$Character$$charTypesFirst256$1 = null;
    this.charTypeIndices$1 = null;
    this.charTypes$1 = null;
    this.isMirroredIndices$1 = null;
    this.bitmap$0$1 = 0
  };
  toLowerCase__C__C(c) {
    const thiz = $g.String.fromCharCode(c);
    const x = thiz.toLowerCase();
    return (65535 & (x.charCodeAt(0) | 0))
  };
  init___() {
    return this
  };
  toChars__I__AC(codePoint) {
    if ((!((codePoint >= 0) && (codePoint <= 1114111)))) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    if (((codePoint >= 65536) && (codePoint <= 1114111))) {
      const dst = $newArrayObject($d_C.getArrayOf(), [2]);
      const cpPrime = (((-65536) + codePoint) | 0);
      const high = (55296 | (1023 & (cpPrime >> 10)));
      const low = (56320 | (1023 & cpPrime));
      dst.u[0] = (65535 & high);
      dst.u[1] = (65535 & low);
      return dst
    } else {
      return $m_s_Array$().apply__C__sc_Seq__AC((65535 & codePoint), new $c_sjs_js_WrappedArray().init___sjs_js_Array([]))
    }
  };
  isLetter__I__Z(cp) {
    const tpe = this.getType__I__I(cp);
    return (((((tpe === 1) || (tpe === 2)) || (tpe === 3)) || (tpe === 4)) || (tpe === 5))
  };
  getType__I__I(codePoint) {
    return ((codePoint < 0) ? 0 : ((codePoint < 256) ? this.java$lang$Character$$charTypesFirst256__AB().u[codePoint] : this.getTypeGE256__p1__I__B(codePoint)))
  };
  charTypeIndices__p1__AI() {
    return (((2 & this.bitmap$0$1) === 0) ? this.charTypeIndices$lzycompute__p1__AI() : this.charTypeIndices$1)
  };
  charTypeIndices$lzycompute__p1__AI() {
    if (((2 & this.bitmap$0$1) === 0)) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([257, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 3, 2, 1, 1, 1, 2, 1, 3, 2, 4, 1, 2, 1, 3, 3, 2, 1, 2, 1, 1, 1, 1, 1, 2, 1, 1, 2, 1, 1, 2, 1, 3, 1, 1, 1, 2, 2, 1, 1, 3, 4, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 7, 2, 1, 2, 2, 1, 1, 4, 1, 1, 1, 1, 1, 1, 1, 1, 69, 1, 27, 18, 4, 12, 14, 5, 7, 1, 1, 1, 17, 112, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 3, 1, 5, 2, 1, 1, 3, 1, 1, 1, 2, 1, 17, 1, 9, 35, 1, 2, 3, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 1, 1, 1, 1, 1, 2, 2, 51, 48, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 9, 38, 2, 1, 6, 1, 39, 1, 1, 1, 4, 1, 1, 45, 1, 1, 1, 2, 1, 2, 1, 1, 8, 27, 5, 3, 2, 11, 5, 1, 3, 2, 1, 2, 2, 11, 1, 2, 2, 32, 1, 10, 21, 10, 4, 2, 1, 99, 1, 1, 7, 1, 1, 6, 2, 2, 1, 4, 2, 10, 3, 2, 1, 14, 1, 1, 1, 1, 30, 27, 2, 89, 11, 1, 14, 10, 33, 9, 2, 1, 3, 1, 5, 22, 4, 1, 9, 1, 3, 1, 5, 2, 15, 1, 25, 3, 2, 1, 65, 1, 1, 11, 55, 27, 1, 3, 1, 54, 1, 1, 1, 1, 3, 8, 4, 1, 2, 1, 7, 10, 2, 2, 10, 1, 1, 6, 1, 7, 1, 1, 2, 1, 8, 2, 2, 2, 22, 1, 7, 1, 1, 3, 4, 2, 1, 1, 3, 4, 2, 2, 2, 2, 1, 1, 8, 1, 4, 2, 1, 3, 2, 2, 10, 2, 2, 6, 1, 1, 5, 2, 1, 1, 6, 4, 2, 2, 22, 1, 7, 1, 2, 1, 2, 1, 2, 2, 1, 1, 3, 2, 4, 2, 2, 3, 3, 1, 7, 4, 1, 1, 7, 10, 2, 3, 1, 11, 2, 1, 1, 9, 1, 3, 1, 22, 1, 7, 1, 2, 1, 5, 2, 1, 1, 3, 5, 1, 2, 1, 1, 2, 1, 2, 1, 15, 2, 2, 2, 10, 1, 1, 15, 1, 2, 1, 8, 2, 2, 2, 22, 1, 7, 1, 2, 1, 5, 2, 1, 1, 1, 1, 1, 4, 2, 2, 2, 2, 1, 8, 1, 1, 4, 2, 1, 3, 2, 2, 10, 1, 1, 6, 10, 1, 1, 1, 6, 3, 3, 1, 4, 3, 2, 1, 1, 1, 2, 3, 2, 3, 3, 3, 12, 4, 2, 1, 2, 3, 3, 1, 3, 1, 2, 1, 6, 1, 14, 10, 3, 6, 1, 1, 6, 3, 1, 8, 1, 3, 1, 23, 1, 10, 1, 5, 3, 1, 3, 4, 1, 3, 1, 4, 7, 2, 1, 2, 6, 2, 2, 2, 10, 8, 7, 1, 2, 2, 1, 8, 1, 3, 1, 23, 1, 10, 1, 5, 2, 1, 1, 1, 1, 5, 1, 1, 2, 1, 2, 2, 7, 2, 7, 1, 1, 2, 2, 2, 10, 1, 2, 15, 2, 1, 8, 1, 3, 1, 41, 2, 1, 3, 4, 1, 3, 1, 3, 1, 1, 8, 1, 8, 2, 2, 2, 10, 6, 3, 1, 6, 2, 2, 1, 18, 3, 24, 1, 9, 1, 1, 2, 7, 3, 1, 4, 3, 3, 1, 1, 1, 8, 18, 2, 1, 12, 48, 1, 2, 7, 4, 1, 6, 1, 8, 1, 10, 2, 37, 2, 1, 1, 2, 2, 1, 1, 2, 1, 6, 4, 1, 7, 1, 3, 1, 1, 1, 1, 2, 2, 1, 4, 1, 2, 6, 1, 2, 1, 2, 5, 1, 1, 1, 6, 2, 10, 2, 4, 32, 1, 3, 15, 1, 1, 3, 2, 6, 10, 10, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 8, 1, 36, 4, 14, 1, 5, 1, 2, 5, 11, 1, 36, 1, 8, 1, 6, 1, 2, 5, 4, 2, 37, 43, 2, 4, 1, 6, 1, 2, 2, 2, 1, 10, 6, 6, 2, 2, 4, 3, 1, 3, 2, 7, 3, 4, 13, 1, 2, 2, 6, 1, 1, 1, 10, 3, 1, 2, 38, 1, 1, 5, 1, 2, 43, 1, 1, 332, 1, 4, 2, 7, 1, 1, 1, 4, 2, 41, 1, 4, 2, 33, 1, 4, 2, 7, 1, 1, 1, 4, 2, 15, 1, 57, 1, 4, 2, 67, 2, 3, 9, 20, 3, 16, 10, 6, 85, 11, 1, 620, 2, 17, 1, 26, 1, 1, 3, 75, 3, 3, 15, 13, 1, 4, 3, 11, 18, 3, 2, 9, 18, 2, 12, 13, 1, 3, 1, 2, 12, 52, 2, 1, 7, 8, 1, 2, 11, 3, 1, 3, 1, 1, 1, 2, 10, 6, 10, 6, 6, 1, 4, 3, 1, 1, 10, 6, 35, 1, 52, 8, 41, 1, 1, 5, 70, 10, 29, 3, 3, 4, 2, 3, 4, 2, 1, 6, 3, 4, 1, 3, 2, 10, 30, 2, 5, 11, 44, 4, 17, 7, 2, 6, 10, 1, 3, 34, 23, 2, 3, 2, 2, 53, 1, 1, 1, 7, 1, 1, 1, 1, 2, 8, 6, 10, 2, 1, 10, 6, 10, 6, 7, 1, 6, 82, 4, 1, 47, 1, 1, 5, 1, 1, 5, 1, 2, 7, 4, 10, 7, 10, 9, 9, 3, 2, 1, 30, 1, 4, 2, 2, 1, 1, 2, 2, 10, 44, 1, 1, 2, 3, 1, 1, 3, 2, 8, 4, 36, 8, 8, 2, 2, 3, 5, 10, 3, 3, 10, 30, 6, 2, 64, 8, 8, 3, 1, 13, 1, 7, 4, 1, 4, 2, 1, 2, 9, 44, 63, 13, 1, 34, 37, 39, 21, 4, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 9, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 9, 8, 6, 2, 6, 2, 8, 8, 8, 8, 6, 2, 6, 2, 8, 1, 1, 1, 1, 1, 1, 1, 1, 8, 8, 14, 2, 8, 8, 8, 8, 8, 8, 5, 1, 2, 4, 1, 1, 1, 3, 3, 1, 2, 4, 1, 3, 4, 2, 2, 4, 1, 3, 8, 5, 3, 2, 3, 1, 2, 4, 1, 2, 1, 11, 5, 6, 2, 1, 1, 1, 2, 1, 1, 1, 8, 1, 1, 5, 1, 9, 1, 1, 4, 2, 3, 1, 1, 1, 11, 1, 1, 1, 10, 1, 5, 5, 6, 1, 1, 2, 6, 3, 1, 1, 1, 10, 3, 1, 1, 1, 13, 3, 27, 21, 13, 4, 1, 3, 12, 15, 2, 1, 4, 1, 2, 1, 3, 2, 3, 1, 1, 1, 2, 1, 5, 6, 1, 1, 1, 1, 1, 1, 4, 1, 1, 4, 1, 4, 1, 2, 2, 2, 5, 1, 4, 1, 1, 2, 1, 1, 16, 35, 1, 1, 4, 1, 6, 5, 5, 2, 4, 1, 2, 1, 2, 1, 7, 1, 31, 2, 2, 1, 1, 1, 31, 268, 8, 4, 20, 2, 7, 1, 1, 81, 1, 30, 25, 40, 6, 18, 12, 39, 25, 11, 21, 60, 78, 22, 183, 1, 9, 1, 54, 8, 111, 1, 144, 1, 103, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 30, 44, 5, 1, 1, 31, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 16, 256, 131, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 63, 1, 1, 1, 1, 32, 1, 1, 258, 48, 21, 2, 6, 3, 10, 166, 47, 1, 47, 1, 1, 1, 3, 2, 1, 1, 1, 1, 1, 1, 4, 1, 1, 2, 1, 6, 2, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 6, 1, 1, 1, 1, 3, 1, 1, 5, 4, 1, 2, 38, 1, 1, 5, 1, 2, 56, 7, 1, 1, 14, 1, 23, 9, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 32, 2, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 9, 1, 2, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 1, 10, 2, 68, 26, 1, 89, 12, 214, 26, 12, 4, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 9, 4, 2, 1, 5, 2, 3, 1, 1, 1, 2, 1, 86, 2, 2, 2, 2, 1, 1, 90, 1, 3, 1, 5, 41, 3, 94, 1, 2, 4, 10, 27, 5, 36, 12, 16, 31, 1, 10, 30, 8, 1, 15, 32, 10, 39, 15, 63, 1, 256, 6582, 10, 64, 20941, 51, 21, 1, 1143, 3, 55, 9, 40, 6, 2, 268, 1, 3, 16, 10, 2, 20, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 10, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 7, 1, 70, 10, 2, 6, 8, 23, 9, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 8, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 12, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 77, 2, 1, 7, 1, 3, 1, 4, 1, 23, 2, 2, 1, 4, 4, 6, 2, 1, 1, 6, 52, 4, 8, 2, 50, 16, 1, 9, 2, 10, 6, 18, 6, 3, 1, 4, 10, 28, 8, 2, 23, 11, 2, 11, 1, 29, 3, 3, 1, 47, 1, 2, 4, 2, 1, 4, 13, 1, 1, 10, 4, 2, 32, 41, 6, 2, 2, 2, 2, 9, 3, 1, 8, 1, 1, 2, 10, 2, 4, 16, 1, 6, 3, 1, 1, 4, 48, 1, 1, 3, 2, 2, 5, 2, 1, 1, 1, 24, 2, 1, 2, 11, 1, 2, 2, 2, 1, 2, 1, 1, 10, 6, 2, 6, 2, 6, 9, 7, 1, 7, 145, 35, 2, 1, 2, 1, 2, 1, 1, 1, 2, 10, 6, 11172, 12, 23, 4, 49, 4, 2048, 6400, 366, 2, 106, 38, 7, 12, 5, 5, 1, 1, 10, 1, 13, 1, 5, 1, 1, 1, 2, 1, 2, 1, 108, 16, 17, 363, 1, 1, 16, 64, 2, 54, 40, 12, 1, 1, 2, 16, 7, 1, 1, 1, 6, 7, 9, 1, 2, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 4, 3, 3, 1, 4, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 3, 1, 1, 1, 2, 4, 5, 1, 135, 2, 1, 1, 3, 1, 3, 1, 1, 1, 1, 1, 1, 2, 10, 2, 3, 2, 26, 1, 1, 1, 1, 1, 1, 26, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 10, 1, 45, 2, 31, 3, 6, 2, 6, 2, 6, 2, 3, 3, 2, 1, 1, 1, 2, 1, 1, 4, 2, 10, 3, 2, 2, 12, 1, 26, 1, 19, 1, 2, 1, 15, 2, 14, 34, 123, 5, 3, 4, 45, 3, 9, 53, 4, 17, 1, 5, 12, 52, 45, 1, 130, 29, 3, 49, 47, 31, 1, 4, 12, 17, 1, 8, 1, 53, 30, 1, 1, 36, 4, 8, 1, 5, 42, 40, 40, 78, 2, 10, 854, 6, 2, 1, 1, 44, 1, 2, 3, 1, 2, 23, 1, 1, 8, 160, 22, 6, 3, 1, 26, 5, 1, 64, 56, 6, 2, 64, 1, 3, 1, 2, 5, 4, 4, 1, 3, 1, 27, 4, 3, 4, 1, 8, 8, 9, 7, 29, 2, 1, 128, 54, 3, 7, 22, 2, 8, 19, 5, 8, 128, 73, 535, 31, 385, 1, 1, 1, 53, 15, 7, 4, 20, 10, 16, 2, 1, 45, 3, 4, 2, 2, 2, 1, 4, 14, 25, 7, 10, 6, 3, 36, 5, 1, 8, 1, 10, 4, 60, 2, 1, 48, 3, 9, 2, 4, 4, 7, 10, 1190, 43, 1, 1, 1, 2, 6, 1, 1, 8, 10, 2358, 879, 145, 99, 13, 4, 2956, 1071, 13265, 569, 1223, 69, 11, 1, 46, 16, 4, 13, 16480, 2, 8190, 246, 10, 39, 2, 60, 2, 3, 3, 6, 8, 8, 2, 7, 30, 4, 48, 34, 66, 3, 1, 186, 87, 9, 18, 142, 26, 26, 26, 7, 1, 18, 26, 26, 1, 1, 2, 2, 1, 2, 2, 2, 4, 1, 8, 4, 1, 1, 1, 7, 1, 11, 26, 26, 2, 1, 4, 2, 8, 1, 7, 1, 26, 2, 1, 4, 1, 5, 1, 1, 3, 7, 1, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 28, 2, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 1, 1, 2, 50, 5632, 4, 1, 27, 1, 2, 1, 1, 2, 1, 1, 10, 1, 4, 1, 1, 1, 1, 6, 1, 4, 1, 1, 1, 1, 1, 1, 3, 1, 2, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 2, 4, 1, 7, 1, 4, 1, 4, 1, 1, 1, 10, 1, 17, 5, 3, 1, 5, 1, 17, 52, 2, 270, 44, 4, 100, 12, 15, 2, 14, 2, 15, 1, 15, 32, 11, 5, 31, 1, 60, 4, 43, 75, 29, 13, 43, 5, 9, 7, 2, 174, 33, 15, 6, 1, 70, 3, 20, 12, 37, 1, 5, 21, 17, 15, 63, 1, 1, 1, 182, 1, 4, 3, 62, 2, 4, 12, 24, 147, 70, 4, 11, 48, 70, 58, 116, 2188, 42711, 41, 4149, 11, 222, 16354, 542, 722403, 1, 30, 96, 128, 240, 65040, 65534, 2, 65534]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_I.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = (arg1 | 0);
        elem$1 = ((1 + elem$1) | 0)
      };
      this.charTypeIndices$1 = this.uncompressDeltas__p1__AI__AI(array);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.charTypeIndices$1
  };
  digit__C__I__I(c, radix) {
    return (((radix > 36) || (radix < 2)) ? (-1) : ((((c >= 48) && (c <= 57)) && ((((-48) + c) | 0) < radix)) ? (((-48) + c) | 0) : ((((c >= 65) && (c <= 90)) && ((((-65) + c) | 0) < (((-10) + radix) | 0))) ? (((-55) + c) | 0) : ((((c >= 97) && (c <= 122)) && ((((-97) + c) | 0) < (((-10) + radix) | 0))) ? (((-87) + c) | 0) : ((((c >= 65313) && (c <= 65338)) && ((((-65313) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : ((((c >= 65345) && (c <= 65370)) && ((((-65345) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : (-1)))))))
  };
  isWhitespace__I__Z(codePoint) {
    return ((codePoint < 256) ? (((((((codePoint === 9) || (codePoint === 10)) || (codePoint === 11)) || (codePoint === 12)) || (codePoint === 13)) || ((codePoint >= 28) && (codePoint <= 31))) || ((codePoint !== 160) && this.isSeparator$1__p1__I__Z(this.java$lang$Character$$charTypesFirst256__AB().u[codePoint]))) : (((codePoint !== 8199) && (codePoint !== 8239)) && this.isSeparator$1__p1__I__Z(this.getTypeGE256__p1__I__B(codePoint))))
  };
  charTypes$lzycompute__p1__AB() {
    if (((4 & this.bitmap$0$1) === 0)) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 1, 2, 5, 1, 3, 2, 1, 3, 2, 1, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 4, 27, 4, 27, 4, 27, 4, 27, 4, 27, 6, 1, 2, 1, 2, 4, 27, 1, 2, 0, 4, 2, 24, 0, 27, 1, 24, 1, 0, 1, 0, 1, 2, 1, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 25, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 28, 6, 7, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 0, 4, 24, 0, 2, 0, 24, 20, 0, 26, 0, 6, 20, 6, 24, 6, 24, 6, 24, 6, 0, 5, 0, 5, 24, 0, 16, 0, 25, 24, 26, 24, 28, 6, 24, 0, 24, 5, 4, 5, 6, 9, 24, 5, 6, 5, 24, 5, 6, 16, 28, 6, 4, 6, 28, 6, 5, 9, 5, 28, 5, 24, 0, 16, 5, 6, 5, 6, 0, 5, 6, 5, 0, 9, 5, 6, 4, 28, 24, 4, 0, 5, 6, 4, 6, 4, 6, 4, 6, 0, 24, 0, 5, 6, 0, 24, 0, 5, 0, 5, 0, 6, 0, 6, 8, 5, 6, 8, 6, 5, 8, 6, 8, 6, 8, 5, 6, 5, 6, 24, 9, 24, 4, 5, 0, 5, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 0, 8, 0, 8, 6, 5, 0, 8, 0, 5, 0, 5, 6, 0, 9, 5, 26, 11, 28, 26, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 0, 8, 6, 0, 6, 0, 6, 0, 6, 0, 5, 0, 5, 0, 9, 6, 5, 6, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 0, 6, 8, 0, 8, 6, 0, 5, 0, 5, 6, 0, 9, 24, 26, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 8, 6, 0, 8, 0, 8, 6, 0, 6, 8, 0, 5, 0, 5, 6, 0, 9, 28, 5, 11, 0, 6, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 8, 6, 8, 0, 8, 0, 8, 6, 0, 5, 0, 8, 0, 9, 11, 28, 26, 28, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 6, 8, 0, 6, 0, 6, 0, 6, 0, 5, 0, 5, 6, 0, 9, 0, 11, 28, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 8, 0, 6, 8, 0, 8, 6, 0, 8, 0, 5, 0, 5, 6, 0, 9, 0, 5, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 8, 6, 0, 8, 0, 8, 6, 5, 0, 8, 0, 5, 6, 0, 9, 11, 0, 28, 5, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 0, 8, 6, 0, 6, 0, 8, 0, 8, 24, 0, 5, 6, 5, 6, 0, 26, 5, 4, 6, 24, 9, 24, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 6, 5, 6, 0, 6, 5, 0, 5, 0, 4, 0, 6, 0, 9, 0, 5, 0, 5, 28, 24, 28, 24, 28, 6, 28, 9, 11, 28, 6, 28, 6, 28, 6, 21, 22, 21, 22, 8, 5, 0, 5, 0, 6, 8, 6, 24, 6, 5, 6, 0, 6, 0, 28, 6, 28, 0, 28, 24, 28, 24, 0, 5, 8, 6, 8, 6, 8, 6, 8, 6, 5, 9, 24, 5, 8, 6, 5, 6, 5, 8, 5, 8, 5, 6, 5, 6, 8, 6, 8, 6, 5, 8, 9, 8, 6, 28, 1, 0, 1, 0, 1, 0, 5, 24, 4, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 24, 11, 0, 5, 28, 0, 5, 0, 20, 5, 24, 5, 12, 5, 21, 22, 0, 5, 24, 10, 0, 5, 0, 5, 6, 0, 5, 6, 24, 0, 5, 6, 0, 5, 0, 5, 0, 6, 0, 5, 6, 8, 6, 8, 6, 8, 6, 24, 4, 24, 26, 5, 6, 0, 9, 0, 11, 0, 24, 20, 24, 6, 12, 0, 9, 0, 5, 4, 5, 0, 5, 6, 5, 0, 5, 0, 5, 0, 6, 8, 6, 8, 0, 8, 6, 8, 6, 0, 28, 0, 24, 9, 5, 0, 5, 0, 5, 0, 8, 5, 8, 0, 9, 11, 0, 28, 5, 6, 8, 0, 24, 5, 8, 6, 8, 6, 0, 6, 8, 6, 8, 6, 8, 6, 0, 6, 9, 0, 9, 0, 24, 4, 24, 0, 6, 8, 5, 6, 8, 6, 8, 6, 8, 6, 8, 5, 0, 9, 24, 28, 6, 28, 0, 6, 8, 5, 8, 6, 8, 6, 8, 6, 8, 5, 9, 5, 6, 8, 6, 8, 6, 8, 6, 8, 0, 24, 5, 8, 6, 8, 6, 0, 24, 9, 0, 5, 9, 5, 4, 24, 0, 24, 0, 6, 24, 6, 8, 6, 5, 6, 5, 8, 6, 5, 0, 2, 4, 2, 4, 2, 4, 6, 0, 6, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 0, 2, 1, 2, 1, 2, 0, 1, 0, 2, 0, 1, 0, 1, 0, 1, 0, 1, 2, 1, 2, 0, 2, 3, 2, 3, 2, 3, 2, 0, 2, 1, 3, 27, 2, 27, 2, 0, 2, 1, 3, 27, 2, 0, 2, 1, 0, 27, 2, 1, 27, 0, 2, 0, 2, 1, 3, 27, 0, 12, 16, 20, 24, 29, 30, 21, 29, 30, 21, 29, 24, 13, 14, 16, 12, 24, 29, 30, 24, 23, 24, 25, 21, 22, 24, 25, 24, 23, 24, 12, 16, 0, 16, 11, 4, 0, 11, 25, 21, 22, 4, 11, 25, 21, 22, 0, 4, 0, 26, 0, 6, 7, 6, 7, 6, 0, 28, 1, 28, 1, 28, 2, 1, 2, 1, 2, 28, 1, 28, 25, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 2, 1, 2, 5, 2, 28, 2, 1, 25, 1, 2, 28, 25, 28, 2, 28, 11, 10, 1, 2, 10, 11, 0, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 21, 22, 28, 25, 28, 25, 28, 25, 28, 0, 28, 0, 28, 0, 11, 28, 11, 28, 25, 28, 25, 28, 25, 28, 25, 28, 0, 28, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 11, 28, 25, 21, 22, 25, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 25, 28, 25, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 25, 21, 22, 21, 22, 25, 21, 22, 25, 28, 25, 28, 25, 0, 28, 0, 1, 0, 2, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 28, 1, 2, 1, 2, 6, 1, 2, 0, 24, 11, 24, 2, 0, 2, 0, 2, 0, 5, 0, 4, 24, 0, 6, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 24, 29, 30, 29, 30, 24, 29, 30, 24, 29, 30, 24, 20, 24, 20, 24, 29, 30, 24, 29, 30, 21, 22, 21, 22, 21, 22, 21, 22, 24, 4, 24, 20, 0, 28, 0, 28, 0, 28, 0, 28, 0, 12, 24, 28, 4, 5, 10, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 28, 21, 22, 21, 22, 21, 22, 21, 22, 20, 21, 22, 28, 10, 6, 8, 20, 4, 28, 10, 4, 5, 24, 28, 0, 5, 0, 6, 27, 4, 5, 20, 5, 24, 4, 5, 0, 5, 0, 5, 0, 28, 11, 28, 5, 0, 28, 0, 5, 28, 0, 11, 28, 11, 28, 11, 28, 11, 28, 11, 28, 0, 28, 5, 0, 28, 5, 0, 5, 4, 5, 0, 28, 0, 5, 4, 24, 5, 4, 24, 5, 9, 5, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 6, 7, 24, 6, 24, 4, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 6, 5, 10, 6, 24, 0, 27, 4, 27, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 27, 1, 2, 1, 2, 0, 1, 2, 1, 2, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 0, 4, 2, 5, 6, 5, 6, 5, 6, 5, 8, 6, 8, 28, 0, 11, 28, 26, 28, 0, 5, 24, 0, 8, 5, 8, 6, 0, 24, 9, 0, 6, 5, 24, 5, 0, 9, 5, 6, 24, 5, 6, 8, 0, 24, 5, 0, 6, 8, 5, 6, 8, 6, 8, 6, 8, 24, 0, 4, 9, 0, 24, 0, 5, 6, 8, 6, 8, 6, 0, 5, 6, 5, 6, 8, 0, 9, 0, 24, 5, 4, 5, 28, 5, 8, 0, 5, 6, 5, 6, 5, 6, 5, 6, 5, 6, 5, 0, 5, 4, 24, 5, 8, 6, 8, 24, 5, 4, 8, 6, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 8, 6, 8, 6, 8, 24, 8, 6, 0, 9, 0, 5, 0, 5, 0, 5, 0, 19, 18, 5, 0, 5, 0, 2, 0, 2, 0, 5, 6, 5, 25, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 27, 0, 5, 21, 22, 0, 5, 0, 5, 0, 5, 26, 28, 0, 6, 24, 21, 22, 24, 0, 6, 0, 24, 20, 23, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 24, 21, 22, 24, 23, 24, 0, 24, 20, 21, 22, 21, 22, 21, 22, 24, 25, 20, 25, 0, 24, 26, 24, 0, 5, 0, 5, 0, 16, 0, 24, 26, 24, 21, 22, 24, 25, 24, 20, 24, 9, 24, 25, 24, 1, 21, 24, 22, 27, 23, 27, 2, 21, 25, 22, 25, 21, 22, 24, 21, 22, 24, 5, 4, 5, 4, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 26, 25, 27, 28, 26, 0, 28, 25, 28, 0, 16, 28, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 24, 0, 11, 0, 28, 10, 11, 28, 11, 0, 28, 0, 28, 6, 0, 5, 0, 5, 0, 5, 0, 11, 0, 5, 10, 5, 10, 0, 5, 0, 24, 5, 0, 5, 24, 10, 0, 1, 2, 5, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 24, 11, 0, 5, 11, 0, 24, 5, 0, 24, 0, 5, 0, 5, 0, 5, 6, 0, 6, 0, 6, 5, 0, 5, 0, 5, 0, 6, 0, 6, 11, 0, 24, 0, 5, 11, 24, 0, 5, 0, 24, 5, 0, 11, 5, 0, 11, 0, 5, 0, 11, 0, 8, 6, 8, 5, 6, 24, 0, 11, 9, 0, 6, 8, 5, 8, 6, 8, 6, 24, 16, 24, 0, 5, 0, 9, 0, 6, 5, 6, 8, 6, 0, 9, 24, 0, 6, 8, 5, 8, 6, 8, 5, 24, 0, 9, 0, 5, 6, 8, 6, 8, 6, 8, 6, 0, 9, 0, 5, 0, 10, 0, 24, 0, 5, 0, 5, 0, 5, 0, 5, 8, 0, 6, 4, 0, 5, 0, 28, 0, 28, 0, 28, 8, 6, 28, 8, 16, 6, 28, 6, 28, 6, 28, 0, 28, 6, 28, 0, 28, 0, 11, 0, 1, 2, 1, 2, 0, 2, 1, 2, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 2, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 25, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 11, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 5, 0, 5, 0, 5, 0, 5, 0, 16, 0, 16, 0, 6, 0, 18, 0, 18, 0]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_B.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = (arg1 | 0);
        elem$1 = ((1 + elem$1) | 0)
      };
      this.charTypes$1 = array;
      this.bitmap$0$1 = (((4 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.charTypes$1
  };
  getTypeGE256__p1__I__B(codePoint) {
    const idx = ((1 + $m_ju_Arrays$().binarySearch__AI__I__I(this.charTypeIndices__p1__AI(), codePoint)) | 0);
    return this.charTypes__p1__AB().u[((idx < 0) ? ((-idx) | 0) : idx)]
  };
  charTypes__p1__AB() {
    return (((4 & this.bitmap$0$1) === 0) ? this.charTypes$lzycompute__p1__AB() : this.charTypes$1)
  };
  java$lang$Character$$charTypesFirst256__AB() {
    return (((1 & this.bitmap$0$1) === 0) ? this.java$lang$Character$$charTypesFirst256$lzycompute__p1__AB() : this.java$lang$Character$$charTypesFirst256$1)
  };
  isUpperCase__I__Z(c) {
    return ((((c >= 8544) && (c <= 8559)) || ((c >= 9398) && (c <= 9423))) || (this.getType__I__I(c) === 1))
  };
  java$lang$Character$$charTypesFirst256$lzycompute__p1__AB() {
    if (((1 & this.bitmap$0$1) === 0)) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 12, 24, 24, 24, 26, 24, 24, 24, 21, 22, 24, 25, 24, 20, 24, 24, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 24, 24, 25, 25, 25, 24, 24, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 21, 24, 22, 27, 23, 27, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 21, 25, 22, 25, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 12, 24, 26, 26, 26, 26, 28, 24, 27, 28, 5, 29, 25, 16, 28, 27, 28, 25, 11, 11, 27, 2, 24, 24, 27, 11, 5, 30, 11, 11, 11, 24, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 25, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 25, 2, 2, 2, 2, 2, 2, 2, 2]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_B.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = (arg1 | 0);
        elem$1 = ((1 + elem$1) | 0)
      };
      this.java$lang$Character$$charTypesFirst256$1 = array;
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.java$lang$Character$$charTypesFirst256$1
  };
  toUpperCase__C__C(c) {
    const thiz = $g.String.fromCharCode(c);
    const x = thiz.toUpperCase();
    return (65535 & (x.charCodeAt(0) | 0))
  };
  uncompressDeltas__p1__AI__AI(deltas) {
    const end = deltas.u.length;
    const isEmpty$4 = (end <= 1);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
    if ((!isEmpty$4)) {
      let i = 1;
      while (true) {
        const v1 = i;
        deltas.u[v1] = ((deltas.u[v1] + deltas.u[(((-1) + v1) | 0)]) | 0);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return deltas
  };
  isSeparator$1__p1__I__Z(tpe) {
    return (((tpe === 12) || (tpe === 13)) || (tpe === 14))
  };
}
const $d_jl_Character$ = new $TypeData().initClass({
  jl_Character$: 0
}, false, "java.lang.Character$", {
  jl_Character$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Character$.prototype.$classData = $d_jl_Character$;
let $n_jl_Character$ = (void 0);
const $m_jl_Character$ = (function() {
  if ((!$n_jl_Character$)) {
    $n_jl_Character$ = new $c_jl_Character$().init___()
  };
  return $n_jl_Character$
});
class $c_jl_Double$ extends $c_O {
  constructor() {
    super();
    this.doubleStrPat$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    return this
  };
  doubleStrPat__p1__sjs_js_RegExp() {
    return ((!this.bitmap$0$1) ? this.doubleStrPat$lzycompute__p1__sjs_js_RegExp() : this.doubleStrPat$1)
  };
  doubleStrPat$lzycompute__p1__sjs_js_RegExp() {
    if ((!this.bitmap$0$1)) {
      this.doubleStrPat$1 = new $g.RegExp("^[\\x00-\\x20]*[+-]?(NaN|Infinity|(\\d+\\.?\\d*|\\.\\d+)([eE][+-]?\\d+)?)[fFdD]?[\\x00-\\x20]*$");
      this.bitmap$0$1 = true
    };
    return this.doubleStrPat$1
  };
  compare__D__D__I(a, b) {
    if ((a !== a)) {
      return ((b !== b) ? 0 : 1)
    } else if ((b !== b)) {
      return (-1)
    } else if ((a === b)) {
      if ((a === 0.0)) {
        const ainf = (1.0 / a);
        return ((ainf === (1.0 / b)) ? 0 : ((ainf < 0) ? (-1) : 1))
      } else {
        return 0
      }
    } else {
      return ((a < b) ? (-1) : 1)
    }
  };
  parseDouble__T__D(s) {
    if ((!(!this.doubleStrPat__p1__sjs_js_RegExp().test(s)))) {
      return (+$g.parseFloat(s))
    } else {
      throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s])))
    }
  };
}
const $d_jl_Double$ = new $TypeData().initClass({
  jl_Double$: 0
}, false, "java.lang.Double$", {
  jl_Double$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Double$.prototype.$classData = $d_jl_Double$;
let $n_jl_Double$ = (void 0);
const $m_jl_Double$ = (function() {
  if ((!$n_jl_Double$)) {
    $n_jl_Double$ = new $c_jl_Double$().init___()
  };
  return $n_jl_Double$
});
class $c_jl_Enum extends $c_O {
  constructor() {
    super();
    this.$$undname$1 = null;
    this.$$undordinal$1 = 0
  };
  equals__O__Z(that) {
    return (this === that)
  };
  compareTo__O__I(o) {
    return this.compareTo__jl_Enum__I(o)
  };
  toString__T() {
    return this.$$undname$1
  };
  compareTo__jl_Enum__I(o) {
    const x = this.$$undordinal$1;
    const x$1 = o.$$undordinal$1;
    return ((x === x$1) ? 0 : ((x < x$1) ? (-1) : 1))
  };
  init___T__I(_name, _ordinal) {
    this.$$undname$1 = _name;
    this.$$undordinal$1 = _ordinal;
    return this
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
}
const $is_jl_Enum = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Enum)))
});
const $isArrayOf_jl_Enum = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Enum)))
});
class $c_jl_Error extends $c_jl_Throwable {
  init___jl_Throwable(e) {
    const s = ((e === null) ? null : e.toString__T());
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_jl_Error = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Error)))
});
const $isArrayOf_jl_Error = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Error)))
});
const $d_jl_Error = new $TypeData().initClass({
  jl_Error: 0
}, false, "java.lang.Error", {
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Error.prototype.$classData = $d_jl_Error;
class $c_jl_Exception extends $c_jl_Throwable {
  init___jl_Throwable(e) {
    const s = ((e === null) ? null : e.toString__T());
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_jl_Exception = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Exception)))
});
const $isArrayOf_jl_Exception = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Exception)))
});
const $d_jl_Exception = new $TypeData().initClass({
  jl_Exception: 0
}, false, "java.lang.Exception", {
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Exception.prototype.$classData = $d_jl_Exception;
class $c_jl_Integer$ extends $c_O {
  init___() {
    return this
  };
  fail$1__p1__T__sr_Nothing$(s$1) {
    throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$1])))
  };
  parseInt__T__I__I(s, radix) {
    let jsx$1;
    if ((s === null)) {
      jsx$1 = true
    } else {
      const this$2 = new $c_sci_StringOps().init___T(s);
      const $$this = this$2.repr$1;
      jsx$1 = (($$this.length | 0) === 0)
    };
    if (((jsx$1 || (radix < 2)) || (radix > 36))) {
      this.fail$1__p1__T__sr_Nothing$(s)
    } else {
      let i = ((((65535 & (s.charCodeAt(0) | 0)) === 45) || ((65535 & (s.charCodeAt(0) | 0)) === 43)) ? 1 : 0);
      const this$12 = new $c_sci_StringOps().init___T(s);
      const $$this$1 = this$12.repr$1;
      if ((($$this$1.length | 0) <= i)) {
        this.fail$1__p1__T__sr_Nothing$(s)
      } else {
        while (true) {
          const jsx$2 = i;
          const this$16 = new $c_sci_StringOps().init___T(s);
          const $$this$2 = this$16.repr$1;
          if ((jsx$2 < ($$this$2.length | 0))) {
            const jsx$3 = $m_jl_Character$();
            const index = i;
            if ((jsx$3.digit__C__I__I((65535 & (s.charCodeAt(index) | 0)), radix) < 0)) {
              this.fail$1__p1__T__sr_Nothing$(s)
            };
            i = ((1 + i) | 0)
          } else {
            break
          }
        };
        const res = (+$g.parseInt(s, radix));
        return (((res !== res) || ((res > 2147483647) || (res < (-2147483648)))) ? this.fail$1__p1__T__sr_Nothing$(s) : $doubleToInt(res))
      }
    }
  };
  bitCount__I__I(i) {
    const t1 = ((i - (1431655765 & (i >> 1))) | 0);
    const t2 = (((858993459 & t1) + (858993459 & (t1 >> 2))) | 0);
    return ($imul(16843009, (252645135 & ((t2 + (t2 >> 4)) | 0))) >> 24)
  };
  reverseBytes__I__I(i) {
    const byte3 = ((i >>> 24) | 0);
    const byte2 = (65280 & ((i >>> 8) | 0));
    const byte1 = (16711680 & (i << 8));
    const byte0 = (i << 24);
    return (((byte0 | byte1) | byte2) | byte3)
  };
}
const $d_jl_Integer$ = new $TypeData().initClass({
  jl_Integer$: 0
}, false, "java.lang.Integer$", {
  jl_Integer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Integer$.prototype.$classData = $d_jl_Integer$;
let $n_jl_Integer$ = (void 0);
const $m_jl_Integer$ = (function() {
  if ((!$n_jl_Integer$)) {
    $n_jl_Integer$ = new $c_jl_Integer$().init___()
  };
  return $n_jl_Integer$
});
class $c_jl_Long$ extends $c_O {
  constructor() {
    super();
    this.StringRadixInfos$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    return this
  };
  StringRadixInfos__p1__sjs_js_Array() {
    return ((!this.bitmap$0$1) ? this.StringRadixInfos$lzycompute__p1__sjs_js_Array() : this.StringRadixInfos$1)
  };
  parseLong__T__I__J(s, radix) {
    if ((s === "")) {
      this.parseLongError__p1__T__sr_Nothing$(s)
    };
    let start = 0;
    let neg = false;
    const x1 = (65535 & (s.charCodeAt(0) | 0));
    switch (x1) {
      case 43: {
        start = 1;
        break
      }
      case 45: {
        start = 1;
        neg = true;
        break
      }
    };
    const t = this.parseUnsignedLongInternal__T__I__I__J(s, radix, start);
    const lo = t.lo$2;
    const hi = t.hi$2;
    if (neg) {
      const lo$1 = ((-lo) | 0);
      const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
      if (((hi$1 === 0) ? (lo$1 !== 0) : (hi$1 > 0))) {
        this.parseLongError__p1__T__sr_Nothing$(s)
      };
      return new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1)
    } else {
      if ((hi < 0)) {
        this.parseLongError__p1__T__sr_Nothing$(s)
      };
      return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
    }
  };
  parseLongError__p1__T__sr_Nothing$(s) {
    throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s])))
  };
  parseUnsignedLongInternal__T__I__I__J(s, radix, start) {
    const length = (s.length | 0);
    if ((((start >= length) || (radix < 2)) || (radix > 36))) {
      this.parseLongError__p1__T__sr_Nothing$(s)
    } else {
      const radixInfo = this.StringRadixInfos__p1__sjs_js_Array()[radix];
      const chunkLen = radixInfo.chunkLength$1;
      let firstChunkStart = start;
      while (true) {
        let jsx$1;
        if ((firstChunkStart < length)) {
          const index = firstChunkStart;
          jsx$1 = ((65535 & (s.charCodeAt(index) | 0)) === 48)
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          firstChunkStart = ((1 + firstChunkStart) | 0)
        } else {
          break
        }
      };
      if ((((length - firstChunkStart) | 0) > $imul(3, chunkLen))) {
        this.parseLongError__p1__T__sr_Nothing$(s)
      };
      let i = firstChunkStart;
      while ((i < length)) {
        const jsx$2 = $m_jl_Character$();
        const index$1 = i;
        if ((jsx$2.digit__C__I__I((65535 & (s.charCodeAt(index$1) | 0)), radix) < 0)) {
          this.parseLongError__p1__T__sr_Nothing$(s)
        };
        i = ((1 + i) | 0)
      };
      const firstChunkLength = ((1 + (((((-1) + ((length - firstChunkStart) | 0)) | 0) % chunkLen) | 0)) | 0);
      const firstChunkEnd = ((firstChunkStart + firstChunkLength) | 0);
      const chunkStart = firstChunkStart;
      const chunk = s.substring(chunkStart, firstChunkEnd);
      const chunkValueDouble = (+$g.parseInt(chunk, radix));
      const x = $doubleToInt(chunkValueDouble);
      if ((firstChunkEnd === length)) {
        return new $c_sjsr_RuntimeLong().init___I__I(x, 0)
      } else {
        const t = radixInfo.radixPowLength$1;
        const lo = t.lo$2;
        const hi$1 = t.hi$2;
        const secondChunkEnd = ((firstChunkEnd + chunkLen) | 0);
        const a0 = (65535 & x);
        const a1 = ((x >>> 16) | 0);
        const b0 = (65535 & lo);
        const b1 = ((lo >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$2 = (((((($imul(x, hi$1) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const chunk$1 = s.substring(firstChunkEnd, secondChunkEnd);
        const chunkValueDouble$1 = (+$g.parseInt(chunk$1, radix));
        const x$1 = $doubleToInt(chunkValueDouble$1);
        const lo$2 = ((lo$1 + x$1) | 0);
        const hi$4 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + hi$2) | 0) : hi$2);
        if ((secondChunkEnd === length)) {
          return new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)
        } else {
          $m_s_Predef$().assert__Z__V((((secondChunkEnd + chunkLen) | 0) === length));
          const t$1 = radixInfo.overflowBarrier$1;
          const lo$3 = t$1.lo$2;
          const hi$5 = t$1.hi$2;
          const chunk$2 = s.substring(secondChunkEnd, length);
          const chunkValueDouble$2 = (+$g.parseInt(chunk$2, radix));
          const x$2 = $doubleToInt(chunkValueDouble$2);
          if (((hi$4 === hi$5) ? (((-2147483648) ^ lo$2) > ((-2147483648) ^ lo$3)) : (hi$4 > hi$5))) {
            this.parseLongError__p1__T__sr_Nothing$(s)
          };
          const a0$1 = (65535 & lo$2);
          const a1$1 = ((lo$2 >>> 16) | 0);
          const b0$1 = (65535 & lo);
          const b1$1 = ((lo >>> 16) | 0);
          const a0b0$1 = $imul(a0$1, b0$1);
          const a1b0$1 = $imul(a1$1, b0$1);
          const a0b1$1 = $imul(a0$1, b1$1);
          const lo$4 = ((a0b0$1 + (((a1b0$1 + a0b1$1) | 0) << 16)) | 0);
          const c1part$1 = ((((a0b0$1 >>> 16) | 0) + a0b1$1) | 0);
          const hi$7 = (((((((($imul(lo$2, hi$1) + $imul(hi$4, lo)) | 0) + $imul(a1$1, b1$1)) | 0) + ((c1part$1 >>> 16) | 0)) | 0) + (((((65535 & c1part$1) + a1b0$1) | 0) >>> 16) | 0)) | 0);
          const lo$5 = ((lo$4 + x$2) | 0);
          const hi$8 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + hi$7) | 0) : hi$7);
          const hi$9 = ((-2147483648) ^ hi$8);
          if (((hi$9 === (-2147483648)) && (((-2147483648) ^ lo$5) < ((-2147483648) ^ x$2)))) {
            this.parseLongError__p1__T__sr_Nothing$(s)
          };
          return new $c_sjsr_RuntimeLong().init___I__I(lo$5, hi$8)
        }
      }
    }
  };
  StringRadixInfos$lzycompute__p1__sjs_js_Array() {
    if ((!this.bitmap$0$1)) {
      const r = [];
      let i = 0;
      while (true) {
        const arg1 = i;
        r.push(null);
        if ((i === 1)) {
          break
        };
        i = ((1 + i) | 0)
      };
      let i$1 = 2;
      while (true) {
        const arg1$1 = i$1;
        const barrier = ((2147483647 / arg1$1) | 0);
        let radixPowLength = arg1$1;
        let chunkLength = 1;
        let paddingZeros = "0";
        while ((radixPowLength <= barrier)) {
          radixPowLength = $imul(radixPowLength, arg1$1);
          chunkLength = ((1 + chunkLength) | 0);
          paddingZeros = (paddingZeros + "0")
        };
        const value = radixPowLength;
        const hi = (value >> 31);
        const this$8 = $m_sjsr_RuntimeLong$();
        const lo = this$8.divideUnsignedImpl__I__I__I__I__I((-1), (-1), value, hi);
        const hi$1 = this$8.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const elem = new $c_jl_Long$StringRadixInfo().init___I__J__T__J(chunkLength, new $c_sjsr_RuntimeLong().init___I__I(value, hi), paddingZeros, new $c_sjsr_RuntimeLong().init___I__I(lo, hi$1));
        r.push(elem);
        if ((i$1 === 36)) {
          break
        };
        i$1 = ((1 + i$1) | 0)
      };
      this.StringRadixInfos$1 = r;
      this.bitmap$0$1 = true
    };
    return this.StringRadixInfos$1
  };
}
const $d_jl_Long$ = new $TypeData().initClass({
  jl_Long$: 0
}, false, "java.lang.Long$", {
  jl_Long$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Long$.prototype.$classData = $d_jl_Long$;
let $n_jl_Long$ = (void 0);
const $m_jl_Long$ = (function() {
  if ((!$n_jl_Long$)) {
    $n_jl_Long$ = new $c_jl_Long$().init___()
  };
  return $n_jl_Long$
});
class $c_ju_concurrent_TimeUnit$ extends $c_O {
  constructor() {
    super();
    this.NANOSECONDS$1 = null;
    this.MICROSECONDS$1 = null;
    this.MILLISECONDS$1 = null;
    this.SECONDS$1 = null;
    this.MINUTES$1 = null;
    this.HOURS$1 = null;
    this.DAYS$1 = null;
    this.$$undvalues$1 = null
  };
  init___() {
    $n_ju_concurrent_TimeUnit$ = this;
    this.NANOSECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$1().init___();
    this.MICROSECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$2().init___();
    this.MILLISECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$3().init___();
    this.SECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$4().init___();
    this.MINUTES$1 = new $c_ju_concurrent_TimeUnit$$anon$5().init___();
    this.HOURS$1 = new $c_ju_concurrent_TimeUnit$$anon$6().init___();
    this.DAYS$1 = new $c_ju_concurrent_TimeUnit$$anon$7().init___();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.NANOSECONDS$1, this.MICROSECONDS$1, this.MILLISECONDS$1, this.SECONDS$1, this.MINUTES$1, this.HOURS$1, this.DAYS$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_ju_concurrent_TimeUnit.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    this.$$undvalues$1 = array;
    return this
  };
  java$util$concurrent$TimeUnit$$x__J__J__J__J(a, b, max) {
    const ahi = a.hi$2;
    const bhi = max.hi$2;
    if (((ahi === bhi) ? (((-2147483648) ^ a.lo$2) > ((-2147483648) ^ max.lo$2)) : (ahi > bhi))) {
      return new $c_sjsr_RuntimeLong().init___I__I((-1), 2147483647)
    } else {
      const lo = max.lo$2;
      const hi = max.hi$2;
      const lo$1 = ((-lo) | 0);
      const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
      const ahi$1 = a.hi$2;
      if (((ahi$1 === hi$1) ? (((-2147483648) ^ a.lo$2) < ((-2147483648) ^ lo$1)) : (ahi$1 < hi$1))) {
        return new $c_sjsr_RuntimeLong().init___I__I(1, (-2147483648))
      } else {
        const alo = a.lo$2;
        const blo = b.lo$2;
        const a0 = (65535 & alo);
        const a1 = ((alo >>> 16) | 0);
        const b0 = (65535 & blo);
        const b1 = ((blo >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo$2 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$2 = (((((((($imul(alo, b.hi$2) + $imul(a.hi$2, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        return new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$2)
      }
    }
  };
}
const $d_ju_concurrent_TimeUnit$ = new $TypeData().initClass({
  ju_concurrent_TimeUnit$: 0
}, false, "java.util.concurrent.TimeUnit$", {
  ju_concurrent_TimeUnit$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$.prototype.$classData = $d_ju_concurrent_TimeUnit$;
let $n_ju_concurrent_TimeUnit$ = (void 0);
const $m_ju_concurrent_TimeUnit$ = (function() {
  if ((!$n_ju_concurrent_TimeUnit$)) {
    $n_ju_concurrent_TimeUnit$ = new $c_ju_concurrent_TimeUnit$().init___()
  };
  return $n_ju_concurrent_TimeUnit$
});
class $c_ju_concurrent_atomic_AtomicReference extends $c_O {
  constructor() {
    super();
    this.value$1 = null
  };
  compareAndSet__O__O__Z(expect, update) {
    if ((expect === this.value$1)) {
      this.value$1 = update;
      return true
    } else {
      return false
    }
  };
  init___O(value) {
    this.value$1 = value;
    return this
  };
}
class $c_ju_regex_Pattern extends $c_O {
  constructor() {
    super();
    this.jsRegExp$1 = null;
    this.$$undpattern$1 = null;
    this.$$undflags$1 = 0
  };
  init___sjs_js_RegExp__T__I(jsRegExp, _pattern, _flags) {
    this.jsRegExp$1 = jsRegExp;
    this.$$undpattern$1 = _pattern;
    this.$$undflags$1 = _flags;
    return this
  };
  toString__T() {
    return this.$$undpattern$1
  };
  split__jl_CharSequence__I__AT(input, limit) {
    const inputStr = $objectToString(input);
    if ((inputStr === "")) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([""]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_T.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$4.hasNext__Z()) {
        const arg1 = this$4.next__O();
        array.u[elem$1] = arg1;
        elem$1 = ((1 + elem$1) | 0)
      };
      return array
    } else {
      const lim = ((limit > 0) ? limit : 2147483647);
      const matcher = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this, inputStr, 0, (inputStr.length | 0));
      let elems$2 = null;
      elems$2 = [];
      let prevEnd = 0;
      let size = 0;
      while (((size < (((-1) + lim) | 0)) && matcher.find__Z())) {
        if ((matcher.end__I() !== 0)) {
          const beginIndex = prevEnd;
          const endIndex = matcher.start__I();
          const elem = inputStr.substring(beginIndex, endIndex);
          const unboxedElem = ((elem === null) ? null : elem);
          elems$2.push(unboxedElem);
          size = ((1 + size) | 0)
        };
        prevEnd = matcher.end__I()
      };
      const beginIndex$1 = prevEnd;
      const elem$2 = inputStr.substring(beginIndex$1);
      const unboxedElem$1 = ((elem$2 === null) ? null : elem$2);
      elems$2.push(unboxedElem$1);
      const result = $makeNativeArrayWrapper($d_T.getArrayOf(), elems$2);
      if ((limit !== 0)) {
        return result
      } else {
        let actualLength = result.u.length;
        while (((actualLength !== 0) && (result.u[(((-1) + actualLength) | 0)] === ""))) {
          actualLength = (((-1) + actualLength) | 0)
        };
        if ((actualLength === result.u.length)) {
          return result
        } else {
          const actualResult = $newArrayObject($d_T.getArrayOf(), [actualLength]);
          $systemArraycopy(result, 0, actualResult, 0, actualLength);
          return actualResult
        }
      }
    }
  };
  newJSRegExp__sjs_js_RegExp() {
    const r = new $g.RegExp(this.jsRegExp$1);
    if ((r !== this.jsRegExp$1)) {
      return r
    } else {
      const jsFlags = ((((!(!this.jsRegExp$1.global)) ? "g" : "") + ((!(!this.jsRegExp$1.ignoreCase)) ? "i" : "")) + ((!(!this.jsRegExp$1.multiline)) ? "m" : ""));
      return new $g.RegExp(this.jsRegExp$1.source, jsFlags)
    }
  };
}
const $d_ju_regex_Pattern = new $TypeData().initClass({
  ju_regex_Pattern: 0
}, false, "java.util.regex.Pattern", {
  ju_regex_Pattern: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_regex_Pattern.prototype.$classData = $d_ju_regex_Pattern;
class $c_ju_regex_Pattern$ extends $c_O {
  constructor() {
    super();
    this.java$util$regex$Pattern$$splitHackPat$1 = null;
    this.java$util$regex$Pattern$$flagHackPat$1 = null
  };
  init___() {
    $n_ju_regex_Pattern$ = this;
    this.java$util$regex$Pattern$$splitHackPat$1 = new $g.RegExp("^\\\\Q(.|\\n|\\r)\\\\E$");
    this.java$util$regex$Pattern$$flagHackPat$1 = new $g.RegExp("^\\(\\?([idmsuxU]*)(?:-([idmsuxU]*))?\\)");
    return this
  };
  matches__T__jl_CharSequence__Z(regex, input) {
    const this$1 = this.compile__T__I__ju_regex_Pattern(regex, 0);
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, input, 0, $charSequenceLength(input)).matches__Z()
  };
  compile__T__I__ju_regex_Pattern(regex, flags) {
    let x1;
    if (((16 & flags) !== 0)) {
      x1 = new $c_T2().init___O__O(this.quote__T__T(regex), flags)
    } else {
      const m = this.java$util$regex$Pattern$$splitHackPat$1.exec(regex);
      let this$5;
      if ((m !== null)) {
        const value = m[1];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        this$5 = new $c_s_Some().init___O(new $c_T2().init___O__O(this.quote__T__T(value), flags))
      } else {
        this$5 = $m_s_None$()
      };
      let this$35;
      if (this$5.isEmpty__Z()) {
        const m$1 = this.java$util$regex$Pattern$$flagHackPat$1.exec(regex);
        if ((m$1 !== null)) {
          const value$1 = m$1[0];
          if ((value$1 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const thiz = value$1;
          const beginIndex = (thiz.length | 0);
          const newPat = regex.substring(beginIndex);
          const value$2 = m$1[1];
          let flags1;
          if ((value$2 === (void 0))) {
            flags1 = flags
          } else {
            const chars = value$2;
            const this$19 = new $c_sci_StringOps().init___T(chars);
            let start = 0;
            const $$this = this$19.repr$1;
            const end = ($$this.length | 0);
            let z = flags;
            let start$1 = start;
            let z$1 = z;
            let jsx$1;
            _foldl: while (true) {
              if ((start$1 !== end)) {
                const temp$start = ((1 + start$1) | 0);
                const arg1 = z$1;
                const arg2 = this$19.apply__I__O(start$1);
                const f = (arg1 | 0);
                let c;
                if ((arg2 === null)) {
                  c = 0
                } else {
                  const this$23 = arg2;
                  c = this$23.value$1
                };
                const temp$z = (f | this.java$util$regex$Pattern$$charToFlag__C__I(c));
                start$1 = temp$start;
                z$1 = temp$z;
                continue _foldl
              };
              jsx$1 = z$1;
              break
            };
            flags1 = (jsx$1 | 0)
          };
          const value$3 = m$1[2];
          let flags2;
          if ((value$3 === (void 0))) {
            flags2 = flags1
          } else {
            const chars$3 = value$3;
            const this$30 = new $c_sci_StringOps().init___T(chars$3);
            let start$2 = 0;
            const $$this$1 = this$30.repr$1;
            const end$1 = ($$this$1.length | 0);
            let z$2 = flags1;
            let start$3 = start$2;
            let z$3 = z$2;
            let jsx$2;
            _foldl$1: while (true) {
              if ((start$3 !== end$1)) {
                const temp$start$1 = ((1 + start$3) | 0);
                const arg1$1 = z$3;
                const arg2$1 = this$30.apply__I__O(start$3);
                const f$1 = (arg1$1 | 0);
                let c$1;
                if ((arg2$1 === null)) {
                  c$1 = 0
                } else {
                  const this$34 = arg2$1;
                  c$1 = this$34.value$1
                };
                const temp$z$1 = (f$1 & (~this.java$util$regex$Pattern$$charToFlag__C__I(c$1)));
                start$3 = temp$start$1;
                z$3 = temp$z$1;
                continue _foldl$1
              };
              jsx$2 = z$3;
              break
            };
            flags2 = (jsx$2 | 0)
          };
          this$35 = new $c_s_Some().init___O(new $c_T2().init___O__O(newPat, flags2))
        } else {
          this$35 = $m_s_None$()
        }
      } else {
        this$35 = this$5
      };
      x1 = (this$35.isEmpty__Z() ? new $c_T2().init___O__O(regex, flags) : this$35.get__O())
    };
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const jsPattern = x1.$$und1__O();
    const flags1$1 = x1.$$und2$mcI$sp__I();
    const jsFlags = (("g" + (((2 & flags1$1) !== 0) ? "i" : "")) + (((8 & flags1$1) !== 0) ? "m" : ""));
    const jsRegExp = new $g.RegExp(jsPattern, jsFlags);
    return new $c_ju_regex_Pattern().init___sjs_js_RegExp__T__I(jsRegExp, regex, flags1$1)
  };
  quote__T__T(s) {
    let result = "";
    let i = 0;
    while ((i < (s.length | 0))) {
      const index = i;
      const c = (65535 & (s.charCodeAt(index) | 0));
      const jsx$2 = result;
      let jsx$1;
      switch (c) {
        case 92:
        case 46:
        case 40:
        case 41:
        case 91:
        case 93:
        case 123:
        case 125:
        case 124:
        case 63:
        case 42:
        case 43:
        case 94:
        case 36: {
          jsx$1 = ("\\" + new $c_jl_Character().init___C(c));
          break
        }
        default: {
          jsx$1 = new $c_jl_Character().init___C(c)
        }
      };
      result = (("" + jsx$2) + jsx$1);
      i = ((1 + i) | 0)
    };
    return result
  };
  java$util$regex$Pattern$$charToFlag__C__I(c) {
    switch (c) {
      case 105: {
        return 2;
        break
      }
      case 100: {
        return 1;
        break
      }
      case 109: {
        return 8;
        break
      }
      case 115: {
        return 32;
        break
      }
      case 117: {
        return 64;
        break
      }
      case 120: {
        return 4;
        break
      }
      case 85: {
        return 256;
        break
      }
      default: {
        throw new $c_jl_IllegalArgumentException().init___T("bad in-pattern flag")
      }
    }
  };
}
const $d_ju_regex_Pattern$ = new $TypeData().initClass({
  ju_regex_Pattern$: 0
}, false, "java.util.regex.Pattern$", {
  ju_regex_Pattern$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_regex_Pattern$.prototype.$classData = $d_ju_regex_Pattern$;
let $n_ju_regex_Pattern$ = (void 0);
const $m_ju_regex_Pattern$ = (function() {
  if ((!$n_ju_regex_Pattern$)) {
    $n_ju_regex_Pattern$ = new $c_ju_regex_Pattern$().init___()
  };
  return $n_ju_regex_Pattern$
});
class $c_s_Console$ extends $c_s_DeprecatedConsole {
  constructor() {
    super();
    this.outVar$2 = null;
    this.errVar$2 = null;
    this.inVar$2 = null
  };
  init___() {
    $n_s_Console$ = this;
    this.outVar$2 = new $c_s_util_DynamicVariable().init___O($m_jl_System$().out$1);
    this.errVar$2 = new $c_s_util_DynamicVariable().init___O($m_jl_System$().err$1);
    this.inVar$2 = new $c_s_util_DynamicVariable().init___O(null);
    return this
  };
  print__O__V(obj) {
    this.outVar$2.v$1.print__T__V(((obj === null) ? "null" : $objectToString(obj)))
  };
}
const $d_s_Console$ = new $TypeData().initClass({
  s_Console$: 0
}, false, "scala.Console$", {
  s_Console$: 1,
  s_DeprecatedConsole: 1,
  O: 1,
  s_io_AnsiColor: 1
});
$c_s_Console$.prototype.$classData = $d_s_Console$;
let $n_s_Console$ = (void 0);
const $m_s_Console$ = (function() {
  if ((!$n_s_Console$)) {
    $n_s_Console$ = new $c_s_Console$().init___()
  };
  return $n_s_Console$
});
class $c_s_Option$ extends $c_O {
  init___() {
    return this
  };
  apply__O__s_Option(x) {
    return ((x === null) ? $m_s_None$() : new $c_s_Some().init___O(x))
  };
}
const $d_s_Option$ = new $TypeData().initClass({
  s_Option$: 0
}, false, "scala.Option$", {
  s_Option$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Option$.prototype.$classData = $d_s_Option$;
let $n_s_Option$ = (void 0);
const $m_s_Option$ = (function() {
  if ((!$n_s_Option$)) {
    $n_s_Option$ = new $c_s_Option$().init___()
  };
  return $n_s_Option$
});
class $c_s_Predef$ extends $c_s_LowPriorityImplicits {
  constructor() {
    super();
    this.Map$2 = null;
    this.Set$2 = null;
    this.ClassManifest$2 = null;
    this.Manifest$2 = null;
    this.NoManifest$2 = null;
    this.StringCanBuildFrom$2 = null;
    this.singleton$und$less$colon$less$2 = null;
    this.scala$Predef$$singleton$und$eq$colon$eq$f = null
  };
  assert__Z__V(assertion) {
    if ((!assertion)) {
      throw new $c_jl_AssertionError().init___O("assertion failed")
    }
  };
  init___() {
    $n_s_Predef$ = this;
    $m_s_package$();
    $m_sci_List$();
    this.Map$2 = $m_sci_Map$();
    this.Set$2 = $m_sci_Set$();
    this.ClassManifest$2 = $m_s_reflect_package$().ClassManifest$1;
    this.Manifest$2 = $m_s_reflect_package$().Manifest$1;
    this.NoManifest$2 = $m_s_reflect_NoManifest$();
    this.StringCanBuildFrom$2 = new $c_s_Predef$$anon$3().init___();
    this.singleton$und$less$colon$less$2 = new $c_s_Predef$$anon$1().init___();
    this.scala$Predef$$singleton$und$eq$colon$eq$f = new $c_s_Predef$$anon$2().init___();
    return this
  };
  genericArrayOps__O__scm_ArrayOps(xs) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      return new $c_scm_ArrayOps$ofRef().init___AO(x2)
    } else if ($isArrayOf_Z(xs, 1)) {
      const x3 = xs;
      return new $c_scm_ArrayOps$ofBoolean().init___AZ(x3)
    } else if ($isArrayOf_B(xs, 1)) {
      const x4 = xs;
      return new $c_scm_ArrayOps$ofByte().init___AB(x4)
    } else if ($isArrayOf_C(xs, 1)) {
      const x5 = xs;
      return new $c_scm_ArrayOps$ofChar().init___AC(x5)
    } else if ($isArrayOf_D(xs, 1)) {
      const x6 = xs;
      return new $c_scm_ArrayOps$ofDouble().init___AD(x6)
    } else if ($isArrayOf_F(xs, 1)) {
      const x7 = xs;
      return new $c_scm_ArrayOps$ofFloat().init___AF(x7)
    } else if ($isArrayOf_I(xs, 1)) {
      const x8 = xs;
      return new $c_scm_ArrayOps$ofInt().init___AI(x8)
    } else if ($isArrayOf_J(xs, 1)) {
      const x9 = xs;
      return new $c_scm_ArrayOps$ofLong().init___AJ(x9)
    } else if ($isArrayOf_S(xs, 1)) {
      const x10 = xs;
      return new $c_scm_ArrayOps$ofShort().init___AS(x10)
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      return new $c_scm_ArrayOps$ofUnit().init___Asr_BoxedUnit(x11)
    } else if ((xs === null)) {
      return null
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
  require__Z__V(requirement) {
    if ((!requirement)) {
      throw new $c_jl_IllegalArgumentException().init___T("requirement failed")
    }
  };
}
const $d_s_Predef$ = new $TypeData().initClass({
  s_Predef$: 0
}, false, "scala.Predef$", {
  s_Predef$: 1,
  s_LowPriorityImplicits: 1,
  O: 1,
  s_DeprecatedPredef: 1
});
$c_s_Predef$.prototype.$classData = $d_s_Predef$;
let $n_s_Predef$ = (void 0);
const $m_s_Predef$ = (function() {
  if ((!$n_s_Predef$)) {
    $n_s_Predef$ = new $c_s_Predef$().init___()
  };
  return $n_s_Predef$
});
class $c_s_StringContext$ extends $c_O {
  init___() {
    return this
  };
  treatEscapes0__p1__T__Z__T(str, strict) {
    const len = (str.length | 0);
    const x1 = $m_sjsr_RuntimeString$().indexOf__T__I__I(str, 92);
    switch (x1) {
      case (-1): {
        return str;
        break
      }
      default: {
        return this.replace$1__p1__I__T__Z__I__T(x1, str, strict, len)
      }
    }
  };
  loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T(i, next, str$1, strict$1, len$1, b$1) {
    _loop: while (true) {
      if ((next >= 0)) {
        if ((next > i)) {
          b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, next)
        };
        let idx = ((1 + next) | 0);
        if ((idx >= len$1)) {
          throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
        };
        const index = idx;
        const x1 = (65535 & (str$1.charCodeAt(index) | 0));
        let c;
        switch (x1) {
          case 98: {
            c = 8;
            break
          }
          case 116: {
            c = 9;
            break
          }
          case 110: {
            c = 10;
            break
          }
          case 102: {
            c = 12;
            break
          }
          case 114: {
            c = 13;
            break
          }
          case 34: {
            c = 34;
            break
          }
          case 39: {
            c = 39;
            break
          }
          case 92: {
            c = 92;
            break
          }
          default: {
            if (((x1 >= 48) && (x1 <= 55))) {
              if (strict$1) {
                throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
              };
              const index$1 = idx;
              const leadch = (65535 & (str$1.charCodeAt(index$1) | 0));
              let oct = (((-48) + leadch) | 0);
              idx = ((1 + idx) | 0);
              let jsx$2;
              if ((idx < len$1)) {
                const index$2 = idx;
                jsx$2 = ((65535 & (str$1.charCodeAt(index$2) | 0)) >= 48)
              } else {
                jsx$2 = false
              };
              let jsx$1;
              if (jsx$2) {
                const index$3 = idx;
                jsx$1 = ((65535 & (str$1.charCodeAt(index$3) | 0)) <= 55)
              } else {
                jsx$1 = false
              };
              if (jsx$1) {
                const jsx$3 = oct;
                const index$4 = idx;
                oct = (((-48) + (((jsx$3 << 3) + (65535 & (str$1.charCodeAt(index$4) | 0))) | 0)) | 0);
                idx = ((1 + idx) | 0);
                let jsx$5;
                if (((idx < len$1) && (leadch <= 51))) {
                  const index$5 = idx;
                  jsx$5 = ((65535 & (str$1.charCodeAt(index$5) | 0)) >= 48)
                } else {
                  jsx$5 = false
                };
                let jsx$4;
                if (jsx$5) {
                  const index$6 = idx;
                  jsx$4 = ((65535 & (str$1.charCodeAt(index$6) | 0)) <= 55)
                } else {
                  jsx$4 = false
                };
                if (jsx$4) {
                  const jsx$6 = oct;
                  const index$7 = idx;
                  oct = (((-48) + (((jsx$6 << 3) + (65535 & (str$1.charCodeAt(index$7) | 0))) | 0)) | 0);
                  idx = ((1 + idx) | 0)
                }
              };
              idx = (((-1) + idx) | 0);
              c = (65535 & oct)
            } else {
              throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
            }
          }
        };
        idx = ((1 + idx) | 0);
        b$1.append__C__jl_StringBuilder(c);
        const temp$i = idx;
        const temp$next = $m_sjsr_RuntimeString$().indexOf__T__I__I__I(str$1, 92, idx);
        i = temp$i;
        next = temp$next;
        continue _loop
      } else {
        if ((i < len$1)) {
          b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, len$1)
        };
        return b$1.content$1
      }
    }
  };
  replace$1__p1__I__T__Z__I__T(first, str$1, strict$1, len$1) {
    const b = new $c_jl_StringBuilder().init___();
    return this.loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T(0, first, str$1, strict$1, len$1, b)
  };
}
const $d_s_StringContext$ = new $TypeData().initClass({
  s_StringContext$: 0
}, false, "scala.StringContext$", {
  s_StringContext$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$.prototype.$classData = $d_s_StringContext$;
let $n_s_StringContext$ = (void 0);
const $m_s_StringContext$ = (function() {
  if ((!$n_s_StringContext$)) {
    $n_s_StringContext$ = new $c_s_StringContext$().init___()
  };
  return $n_s_StringContext$
});
class $c_s_concurrent_BatchingExecutor$Batch extends $c_O {
  constructor() {
    super();
    this.initial$1 = null;
    this.parentBlockContext$1 = null;
    this.$$outer$1 = null
  };
  init___s_concurrent_BatchingExecutor__sci_List($$outer, initial) {
    this.initial$1 = initial;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  processBatch$1__p1__sci_List__V(batch) {
    _processBatch: while (true) {
      const x1 = batch;
      const x$2 = $m_sci_Nil$();
      if ((!x$2.equals__O__Z(x1))) {
        if ($is_sci_$colon$colon(x1)) {
          const x2 = x1;
          const head = x2.head$5;
          const tail = x2.tl$5;
          this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V(tail);
          try {
            head.run__V()
          } catch (e) {
            const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
            if ((e$2 !== null)) {
              const remaining = this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O();
              this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V($m_sci_Nil$());
              const r = new $c_s_concurrent_BatchingExecutor$Batch().init___s_concurrent_BatchingExecutor__sci_List(this.$$outer$1, remaining);
              r.run__V();
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
            } else {
              throw e
            }
          };
          batch = this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O();
          continue _processBatch
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      break
    }
  };
  run__V() {
    $m_s_Predef$().require__Z__V((this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O() === null));
    const prevBlockContext = $m_s_concurrent_BlockContext$().current__s_concurrent_BlockContext();
    const this$1 = $m_s_concurrent_BlockContext$();
    const old = this$1.contextLocal$1.get__O();
    try {
      this$1.contextLocal$1.set__O__V(this);
      try {
        this.parentBlockContext$1 = prevBlockContext;
        this.processBatch$1__p1__sci_List__V(this.initial$1)
      } finally {
        this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.remove__V();
        this.parentBlockContext$1 = null
      }
    } finally {
      this$1.contextLocal$1.set__O__V(old)
    }
  };
}
const $d_s_concurrent_BatchingExecutor$Batch = new $TypeData().initClass({
  s_concurrent_BatchingExecutor$Batch: 0
}, false, "scala.concurrent.BatchingExecutor$Batch", {
  s_concurrent_BatchingExecutor$Batch: 1,
  O: 1,
  jl_Runnable: 1,
  s_concurrent_BlockContext: 1
});
$c_s_concurrent_BatchingExecutor$Batch.prototype.$classData = $d_s_concurrent_BatchingExecutor$Batch;
class $c_s_concurrent_duration_Duration$ extends $c_O {
  constructor() {
    super();
    this.timeUnitLabels$1 = null;
    this.timeUnitName$1 = null;
    this.timeUnit$1 = null;
    this.Zero$1 = null;
    this.Undefined$1 = null;
    this.Inf$1 = null;
    this.MinusInf$1 = null
  };
  init___() {
    $n_s_concurrent_duration_Duration$ = this;
    $m_sci_List$();
    const self = $m_ju_concurrent_TimeUnit$().DAYS$1;
    const jsx$6 = new $c_T2().init___O__O(self, "d day");
    const self$1 = $m_ju_concurrent_TimeUnit$().HOURS$1;
    const jsx$5 = new $c_T2().init___O__O(self$1, "h hour");
    const self$2 = $m_ju_concurrent_TimeUnit$().MINUTES$1;
    const jsx$4 = new $c_T2().init___O__O(self$2, "min minute");
    const self$3 = $m_ju_concurrent_TimeUnit$().SECONDS$1;
    const jsx$3 = new $c_T2().init___O__O(self$3, "s sec second");
    const self$4 = $m_ju_concurrent_TimeUnit$().MILLISECONDS$1;
    const jsx$2 = new $c_T2().init___O__O(self$4, "ms milli millisecond");
    const self$5 = $m_ju_concurrent_TimeUnit$().MICROSECONDS$1;
    const jsx$1 = new $c_T2().init___O__O(self$5, "\u00b5s micro microsecond");
    const self$6 = $m_ju_concurrent_TimeUnit$().NANOSECONDS$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O(self$6, "ns nano nanosecond")]);
    const this$16 = $m_sci_List$();
    const cbf = this$16.ReusableCBFInstance$2;
    this.timeUnitLabels$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$17 = this.timeUnitLabels$1;
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let these = this$17;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      these = these.tail__O()
    };
    const this$20 = b.elems$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        const this$19 = $this.words__p1__T__sci_List(s);
        return $f_sc_LinearSeqOptimized__last__O(this$19)
      })
    })(this));
    const this$21 = new $c_sci_MapLike$$anon$2().init___sci_MapLike__F1(this$20, f);
    this.timeUnitName$1 = this$21;
    const this$27 = this.timeUnitLabels$1;
    const f$2 = (function(this$2$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const unit = x0$1.$$und1__O();
          const names = x0$1.$$und2__O();
          const this$25 = this$2$1.expandLabels__p1__T__sci_List(names);
          const f$1 = (function($this$1, unit$1) {
            return (function(x$5$2) {
              const x$5 = x$5$2;
              return new $c_T2().init___O__O(x$5, unit$1)
            })
          })(this$2$1, unit);
          const this$24 = $m_sci_List$();
          const bf = this$24.ReusableCBFInstance$2;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$25 === $m_sci_Nil$())) {
              return $m_sci_Nil$()
            } else {
              const arg1$1 = this$25.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$1), $m_sci_Nil$());
              let t = h;
              let rest = this$25.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$2 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$2), $m_sci_Nil$());
                t.tl$5 = nx;
                t = nx;
                rest = rest.tail__O()
              };
              return h
            }
          } else {
            const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$25, bf);
            let these$1 = this$25;
            while ((!these$1.isEmpty__Z())) {
              const arg1$3 = these$1.head__O();
              b$1.$$plus$eq__O__scm_Builder(f$1(arg1$3));
              these$1 = these$1.tail__O()
            };
            return b$1.result__O()
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this);
    const this$26 = $m_sci_List$();
    const bf$1 = this$26.ReusableCBFInstance$2;
    let jsx$7;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$27 === $m_sci_Nil$())) {
        jsx$7 = $m_sci_Nil$()
      } else {
        let rest$1 = this$27;
        const found = new $c_sr_BooleanRef().init___Z(false);
        const h$1 = new $c_sr_ObjectRef().init___O(null);
        const t$1 = new $c_sr_ObjectRef().init___O(null);
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$4 = rest$1.head__O();
          f$2(arg1$4).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, found$1, h$2, t$2) {
            return (function(b$2) {
              if ((!found$1.elem$1)) {
                h$2.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$2.elem$1 = h$2.elem$1;
                found$1.elem$1 = true
              } else {
                const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$2.elem$1.tl$5 = nx$1;
                t$2.elem$1 = nx$1
              }
            })
          })(this$27, found, h$1, t$1)));
          rest$1 = rest$1.tail__O()
        };
        jsx$7 = ((!found.elem$1) ? $m_sci_Nil$() : h$1.elem$1)
      }
    } else {
      $m_sci_List$();
      const b$3 = new $c_scm_ListBuffer().init___();
      let these$2 = this$27;
      while ((!these$2.isEmpty__Z())) {
        const arg1$5 = these$2.head__O();
        const xs$1 = f$2(arg1$5).seq__sc_TraversableOnce();
        b$3.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs$1);
        these$2 = these$2.tail__O()
      };
      jsx$7 = b$3.toList__sci_List()
    };
    this.timeUnit$1 = jsx$7.toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    this.Zero$1 = new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit($m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong(), $m_ju_concurrent_TimeUnit$().DAYS$1);
    this.Undefined$1 = new $c_s_concurrent_duration_Duration$$anon$1().init___();
    this.Inf$1 = new $c_s_concurrent_duration_Duration$$anon$2().init___();
    this.MinusInf$1 = new $c_s_concurrent_duration_Duration$$anon$3().init___();
    return this
  };
  apply__D__ju_concurrent_TimeUnit__s_concurrent_duration_Duration(length, unit) {
    const t = unit.toNanos__J__J(new $c_sjsr_RuntimeLong().init___I__I(1, 0));
    const lo = t.lo$2;
    const hi = t.hi$2;
    return this.fromNanos__D__s_concurrent_duration_Duration(($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) * length))
  };
  fromNanos__J__s_concurrent_duration_FiniteDuration(nanos) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-1857093632), 20116);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    if (((lo === 0) && (hi === 0))) {
      $m_s_concurrent_duration_Duration$();
      const this$2 = $m_sjsr_RuntimeLong$();
      const lo$1 = this$2.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-1857093632), 20116);
      const hi$1 = this$2.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      const unit = $m_ju_concurrent_TimeUnit$().DAYS$1;
      return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1), unit)
    } else {
      const this$4 = $m_sjsr_RuntimeLong$();
      const lo$2 = this$4.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 817405952, 838);
      const hi$2 = this$4.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      if (((lo$2 === 0) && (hi$2 === 0))) {
        $m_s_concurrent_duration_Duration$();
        const this$5 = $m_sjsr_RuntimeLong$();
        const lo$3 = this$5.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 817405952, 838);
        const hi$3 = this$5.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const unit$1 = $m_ju_concurrent_TimeUnit$().HOURS$1;
        return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$3), unit$1)
      } else {
        const this$7 = $m_sjsr_RuntimeLong$();
        const lo$4 = this$7.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-129542144), 13);
        const hi$4 = this$7.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        if (((lo$4 === 0) && (hi$4 === 0))) {
          $m_s_concurrent_duration_Duration$();
          const this$8 = $m_sjsr_RuntimeLong$();
          const lo$5 = this$8.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-129542144), 13);
          const hi$5 = this$8.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
          const unit$2 = $m_ju_concurrent_TimeUnit$().MINUTES$1;
          return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$5, hi$5), unit$2)
        } else {
          const this$10 = $m_sjsr_RuntimeLong$();
          const lo$6 = this$10.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000000, 0);
          const hi$6 = this$10.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
          if (((lo$6 === 0) && (hi$6 === 0))) {
            $m_s_concurrent_duration_Duration$();
            const this$11 = $m_sjsr_RuntimeLong$();
            const lo$7 = this$11.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000000, 0);
            const hi$7 = this$11.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
            const unit$3 = $m_ju_concurrent_TimeUnit$().SECONDS$1;
            return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$7, hi$7), unit$3)
          } else {
            const this$13 = $m_sjsr_RuntimeLong$();
            const lo$8 = this$13.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000, 0);
            const hi$8 = this$13.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
            if (((lo$8 === 0) && (hi$8 === 0))) {
              $m_s_concurrent_duration_Duration$();
              const this$14 = $m_sjsr_RuntimeLong$();
              const lo$9 = this$14.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000, 0);
              const hi$9 = this$14.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
              const unit$4 = $m_ju_concurrent_TimeUnit$().MILLISECONDS$1;
              return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$9, hi$9), unit$4)
            } else {
              const this$16 = $m_sjsr_RuntimeLong$();
              const lo$10 = this$16.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000, 0);
              const hi$10 = this$16.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
              if (((lo$10 === 0) && (hi$10 === 0))) {
                $m_s_concurrent_duration_Duration$();
                const this$17 = $m_sjsr_RuntimeLong$();
                const lo$11 = this$17.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000, 0);
                const hi$11 = this$17.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
                const unit$5 = $m_ju_concurrent_TimeUnit$().MICROSECONDS$1;
                return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$11, hi$11), unit$5)
              } else {
                $m_s_concurrent_duration_Duration$();
                const unit$6 = $m_ju_concurrent_TimeUnit$().NANOSECONDS$1;
                return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(nanos, unit$6)
              }
            }
          }
        }
      }
    }
  };
  words__p1__T__sci_List(s) {
    const thiz = s.trim();
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "\\s+", 0);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const b = cbf.apply__scm_Builder();
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
      default: {
        b.sizeHint__I__V(x1)
      }
    };
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs));
    return b.result__O()
  };
  apply__T__s_concurrent_duration_Duration(s) {
    const this$2 = new $c_sci_StringOps().init___T(s);
    const b = new $c_scm_StringBuilder().init___();
    let i = 0;
    const $$this$1 = this$2.repr$1;
    const len = ($$this$1.length | 0);
    while ((i < len)) {
      const arg1 = this$2.apply__I__O(i);
      let x$1;
      if ((arg1 === null)) {
        x$1 = 0
      } else {
        const this$8 = arg1;
        x$1 = this$8.value$1
      };
      const this$11 = $m_jl_Character$();
      if ((this$11.isWhitespace__I__Z(x$1) !== true)) {
        let jsx$1;
        if ((arg1 === null)) {
          jsx$1 = 0
        } else {
          const this$13 = arg1;
          jsx$1 = this$13.value$1
        };
        b.$$plus$eq__C__scm_StringBuilder(jsx$1)
      };
      i = ((1 + i) | 0)
    };
    const this$14 = b.underlying$5;
    const s1 = this$14.content$1;
    if (((s1 === "Inf") || ((s1 === "PlusInf") || (s1 === "+Inf")))) {
      return this.Inf$1
    } else if (((s1 === "MinusInf") || (s1 === "-Inf"))) {
      return this.MinusInf$1
    } else {
      const this$16 = new $c_sci_StringOps().init___T(s1);
      const x = $f_sc_IndexedSeqOptimized__reverse__O(this$16);
      const this$18 = new $c_sci_StringOps().init___T(x);
      const $$this$2 = this$18.repr$1;
      const len$1 = ($$this$2.length | 0);
      let i$1 = 0;
      while (true) {
        let jsx$2;
        if ((i$1 < len$1)) {
          const arg1$1 = this$18.apply__I__O(i$1);
          let x$2;
          if ((arg1$1 === null)) {
            x$2 = 0
          } else {
            const this$22 = arg1$1;
            x$2 = this$22.value$1
          };
          const this$25 = $m_jl_Character$();
          jsx$2 = this$25.isLetter__I__Z(x$2)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          i$1 = ((1 + i$1) | 0)
        } else {
          break
        }
      };
      const n = i$1;
      const x$3 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$18.repr$1, 0, n);
      const this$27 = new $c_sci_StringOps().init___T(x$3);
      const unitName = $f_sc_IndexedSeqOptimized__reverse__O(this$27);
      const x1$2 = this.timeUnit$1.get__O__s_Option(unitName);
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const unit = x2.value$2;
        const this$30 = new $c_sci_StringOps().init___T(s1);
        const n$1 = (unitName.length | 0);
        const valueStr = $f_sc_IndexedSeqOptimized__dropRight__I__O(this$30, n$1);
        const valueD = $m_jl_Double$().parseDouble__T__D(valueStr);
        if (((valueD >= (-9.007199254740992E15)) && (valueD <= 9.007199254740992E15))) {
          return $m_s_concurrent_duration_Duration$().apply__D__ju_concurrent_TimeUnit__s_concurrent_duration_Duration(valueD, unit)
        } else {
          $m_s_concurrent_duration_Duration$();
          const this$31 = $m_jl_Long$();
          const t = this$31.parseLong__T__I__J(valueStr, 10);
          const lo = t.lo$2;
          const hi = t.hi$2;
          return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo, hi), unit)
        }
      } else {
        throw new $c_jl_NumberFormatException().init___T(("format error " + s))
      }
    }
  };
  expandLabels__p1__T__sci_List(labels) {
    const x1 = this.words__p1__T__sci_List(labels);
    if ((!$is_sci_$colon$colon(x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const x2 = x1;
    const hd = x2.head$5;
    const rest = x2.tl$5;
    const f = (function($this) {
      return (function(s$2) {
        const s = s$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([s, (s + "s")]);
        const this$2 = $m_sci_List$();
        const cbf = this$2.ReusableCBFInstance$2;
        return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
      })
    })(this);
    const this$3 = $m_sci_List$();
    const bf = this$3.ReusableCBFInstance$2;
    let this$8;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((rest === $m_sci_Nil$())) {
        this$8 = $m_sci_Nil$()
      } else {
        let rest$1 = rest;
        const found = new $c_sr_BooleanRef().init___Z(false);
        const h = new $c_sr_ObjectRef().init___O(null);
        const t = new $c_sr_ObjectRef().init___O(null);
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1 = rest$1.head__O();
          f(arg1).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, found$1, h$1, t$1) {
            return (function(b$2) {
              if ((!found$1.elem$1)) {
                h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1 = h$1.elem$1;
                found$1.elem$1 = true
              } else {
                const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1.tl$5 = nx;
                t$1.elem$1 = nx
              }
            })
          })(rest, found, h, t)));
          rest$1 = rest$1.tail__O()
        };
        this$8 = ((!found.elem$1) ? $m_sci_Nil$() : h.elem$1)
      }
    } else {
      $m_sci_List$();
      const b = new $c_scm_ListBuffer().init___();
      let these = rest;
      while ((!these.isEmpty__Z())) {
        const arg1$1 = these.head__O();
        const xs$1 = f(arg1$1).seq__sc_TraversableOnce();
        b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs$1);
        these = these.tail__O()
      };
      this$8 = b.toList__sci_List()
    };
    return new $c_sci_$colon$colon().init___O__sci_List(hd, this$8)
  };
  fromNanos__D__s_concurrent_duration_Duration(nanos) {
    if (((nanos === Infinity) || (nanos === (-Infinity)))) {
      return ((nanos > 0) ? this.Inf$1 : this.MinusInf$1)
    } else if ((nanos !== nanos)) {
      return this.Undefined$1
    } else if (((nanos > 9.223372036854776E18) || (nanos < (-9.223372036854776E18)))) {
      throw new $c_jl_IllegalArgumentException().init___T((("trying to construct too large duration with " + nanos) + "ns"))
    } else {
      const this$4 = $m_sjsr_RuntimeLong$();
      const value = (0.5 + nanos);
      const lo = this$4.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value);
      const hi = this$4.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      return this.fromNanos__J__s_concurrent_duration_FiniteDuration(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
    }
  };
}
const $d_s_concurrent_duration_Duration$ = new $TypeData().initClass({
  s_concurrent_duration_Duration$: 0
}, false, "scala.concurrent.duration.Duration$", {
  s_concurrent_duration_Duration$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_concurrent_duration_Duration$.prototype.$classData = $d_s_concurrent_duration_Duration$;
let $n_s_concurrent_duration_Duration$ = (void 0);
const $m_s_concurrent_duration_Duration$ = (function() {
  if ((!$n_s_concurrent_duration_Duration$)) {
    $n_s_concurrent_duration_Duration$ = new $c_s_concurrent_duration_Duration$().init___()
  };
  return $n_s_concurrent_duration_Duration$
});
class $c_s_concurrent_impl_CallbackRunnable extends $c_O {
  constructor() {
    super();
    this.executor$1 = null;
    this.onComplete$1 = null;
    this.value$1 = null
  };
  run__V() {
    $m_s_Predef$().require__Z__V((this.value$1 !== null));
    try {
      this.onComplete$1.apply__O__O(this.value$1)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        matchEnd8: {
          const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            const e$3 = o11.get__O();
            this.executor$1.reportFailure__jl_Throwable__V(e$3);
            break matchEnd8
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
  init___s_concurrent_ExecutionContext__F1(executor, onComplete) {
    this.executor$1 = executor;
    this.onComplete$1 = onComplete;
    this.value$1 = null;
    return this
  };
  executeWithValue__s_util_Try__V(v) {
    $m_s_Predef$().require__Z__V((this.value$1 === null));
    this.value$1 = v;
    try {
      this.executor$1.execute__jl_Runnable__V(this)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        matchEnd8: {
          const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            const t = o11.get__O();
            this.executor$1.reportFailure__jl_Throwable__V(t);
            break matchEnd8
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
}
const $is_s_concurrent_impl_CallbackRunnable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_CallbackRunnable)))
});
const $isArrayOf_s_concurrent_impl_CallbackRunnable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_CallbackRunnable)))
});
const $d_s_concurrent_impl_CallbackRunnable = new $TypeData().initClass({
  s_concurrent_impl_CallbackRunnable: 0
}, false, "scala.concurrent.impl.CallbackRunnable", {
  s_concurrent_impl_CallbackRunnable: 1,
  O: 1,
  jl_Runnable: 1,
  s_concurrent_OnCompleteRunnable: 1
});
$c_s_concurrent_impl_CallbackRunnable.prototype.$classData = $d_s_concurrent_impl_CallbackRunnable;
const $f_s_concurrent_impl_Promise__transformWith__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $thiz.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, p$1) {
    return (function(v$2) {
      const v = v$2;
      try {
        const x1 = f$1.apply__O__O(v);
        if ((x1 === $this)) {
          return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise(p$1, v)
        } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
          const x2 = x1;
          x2.link__p2__s_concurrent_impl_Promise$DefaultPromise__V(p$1.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise());
          return (void 0)
        } else {
          return $f_s_concurrent_Promise__tryCompleteWith__s_concurrent_Future__s_concurrent_Promise(p$1, x1)
        }
      } catch (e) {
        const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            const t = o11.get__O();
            return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(p$1, t)
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        } else {
          throw e
        }
      }
    })
  })($thiz, f, p)), executor);
  return p
});
const $f_s_concurrent_impl_Promise__toString__T = (function($thiz) {
  const x1 = $thiz.value__s_Option();
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const result = x2.value$2;
    return (("Future(" + result) + ")")
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return "Future(<not completed>)"
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $thiz.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, p$1) {
    return (function(result$2) {
      const result = result$2;
      const result$1 = $f_s_concurrent_impl_Promise__liftedTree1$1__ps_concurrent_impl_Promise__F1__s_util_Try__s_util_Try($this, f$1, result);
      return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise(p$1, result$1)
    })
  })($thiz, f, p)), executor);
  return p
});
const $f_s_concurrent_impl_Promise__liftedTree1$1__ps_concurrent_impl_Promise__F1__s_util_Try__s_util_Try = (function($thiz, f$1, result$1) {
  try {
    return f$1.apply__O__O(result$1)
  } catch (e) {
    const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
      if ((!o11.isEmpty__Z())) {
        const t = o11.get__O();
        return new $c_s_util_Failure().init___jl_Throwable(t)
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
    } else {
      throw e
    }
  }
});
class $c_s_math_BigDecimal$ extends $c_O {
  constructor() {
    super();
    this.cache$1 = null;
    this.minCached$1 = 0;
    this.maxCached$1 = 0;
    this.defaultMathContext$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    $n_s_math_BigDecimal$ = this;
    this.minCached$1 = (-512);
    this.maxCached$1 = 512;
    this.defaultMathContext$1 = $m_Ljava_math_MathContext$().DECIMAL128$1;
    return this
  };
  decimal__D__Ljava_math_MathContext__s_math_BigDecimal(d, mc) {
    return new $c_s_math_BigDecimal().init___Ljava_math_BigDecimal__Ljava_math_MathContext(new $c_Ljava_math_BigDecimal().init___T__Ljava_math_MathContext(("" + d), mc), mc)
  };
  exact__T__s_math_BigDecimal(s) {
    return this.exact__Ljava_math_BigDecimal__s_math_BigDecimal(new $c_Ljava_math_BigDecimal().init___T(s))
  };
  exact__Ljava_math_BigDecimal__s_math_BigDecimal(repr) {
    const jsx$1 = repr.precision__I();
    const this$1 = this.defaultMathContext$1;
    let mc;
    if ((jsx$1 <= this$1.precision$1)) {
      mc = this.defaultMathContext$1
    } else {
      mc = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(repr.precision__I(), $m_Ljava_math_RoundingMode$().HALF$undEVEN$1)
    };
    return new $c_s_math_BigDecimal().init___Ljava_math_BigDecimal__Ljava_math_MathContext(repr, mc)
  };
}
const $d_s_math_BigDecimal$ = new $TypeData().initClass({
  s_math_BigDecimal$: 0
}, false, "scala.math.BigDecimal$", {
  s_math_BigDecimal$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_BigDecimal$.prototype.$classData = $d_s_math_BigDecimal$;
let $n_s_math_BigDecimal$ = (void 0);
const $m_s_math_BigDecimal$ = (function() {
  if ((!$n_s_math_BigDecimal$)) {
    $n_s_math_BigDecimal$ = new $c_s_math_BigDecimal$().init___()
  };
  return $n_s_math_BigDecimal$
});
class $c_s_math_BigInt$ extends $c_O {
  constructor() {
    super();
    this.minCached$1 = 0;
    this.maxCached$1 = 0;
    this.cache$1 = null;
    this.scala$math$BigInt$$minusOne$1 = null
  };
  init___() {
    $n_s_math_BigInt$ = this;
    this.minCached$1 = (-1024);
    this.maxCached$1 = 1024;
    this.cache$1 = $newArrayObject($d_s_math_BigInt.getArrayOf(), [((1 + ((this.maxCached$1 - this.minCached$1) | 0)) | 0)]);
    this.scala$math$BigInt$$minusOne$1 = $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I((-1), (-1)));
    return this
  };
  apply__I__s_math_BigInt(i) {
    if (((this.minCached$1 <= i) && (i <= this.maxCached$1))) {
      const offset = ((i - this.minCached$1) | 0);
      let n = this.cache$1.u[offset];
      if ((n === null)) {
        const jsx$1 = $m_Ljava_math_BigInteger$();
        const hi = (i >> 31);
        n = new $c_s_math_BigInt().init___Ljava_math_BigInteger(jsx$1.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(i, hi)));
        this.cache$1.u[offset] = n
      };
      return n
    } else {
      const jsx$2 = $m_Ljava_math_BigInteger$();
      const hi$1 = (i >> 31);
      return new $c_s_math_BigInt().init___Ljava_math_BigInteger(jsx$2.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(i, hi$1)))
    }
  };
  apply__T__I__s_math_BigInt(x, radix) {
    return new $c_s_math_BigInt().init___Ljava_math_BigInteger(new $c_Ljava_math_BigInteger().init___T__I(x, radix))
  };
  apply__J__s_math_BigInt(l) {
    const value = this.minCached$1;
    const hi = (value >> 31);
    const bhi = l.hi$2;
    let jsx$1;
    if (((hi === bhi) ? (((-2147483648) ^ value) <= ((-2147483648) ^ l.lo$2)) : (hi < bhi))) {
      const value$1 = this.maxCached$1;
      const hi$1 = (value$1 >> 31);
      const ahi = l.hi$2;
      jsx$1 = ((ahi === hi$1) ? (((-2147483648) ^ l.lo$2) <= ((-2147483648) ^ value$1)) : (ahi < hi$1))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.apply__I__s_math_BigInt(l.lo$2)
    } else {
      return new $c_s_math_BigInt().init___Ljava_math_BigInteger($m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(l))
    }
  };
}
const $d_s_math_BigInt$ = new $TypeData().initClass({
  s_math_BigInt$: 0
}, false, "scala.math.BigInt$", {
  s_math_BigInt$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_BigInt$.prototype.$classData = $d_s_math_BigInt$;
let $n_s_math_BigInt$ = (void 0);
const $m_s_math_BigInt$ = (function() {
  if ((!$n_s_math_BigInt$)) {
    $n_s_math_BigInt$ = new $c_s_math_BigInt$().init___()
  };
  return $n_s_math_BigInt$
});
class $c_s_math_Fractional$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Fractional$ = new $TypeData().initClass({
  s_math_Fractional$: 0
}, false, "scala.math.Fractional$", {
  s_math_Fractional$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Fractional$.prototype.$classData = $d_s_math_Fractional$;
let $n_s_math_Fractional$ = (void 0);
const $m_s_math_Fractional$ = (function() {
  if ((!$n_s_math_Fractional$)) {
    $n_s_math_Fractional$ = new $c_s_math_Fractional$().init___()
  };
  return $n_s_math_Fractional$
});
class $c_s_math_Integral$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Integral$ = new $TypeData().initClass({
  s_math_Integral$: 0
}, false, "scala.math.Integral$", {
  s_math_Integral$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Integral$.prototype.$classData = $d_s_math_Integral$;
let $n_s_math_Integral$ = (void 0);
const $m_s_math_Integral$ = (function() {
  if ((!$n_s_math_Integral$)) {
    $n_s_math_Integral$ = new $c_s_math_Integral$().init___()
  };
  return $n_s_math_Integral$
});
class $c_s_math_Numeric$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Numeric$ = new $TypeData().initClass({
  s_math_Numeric$: 0
}, false, "scala.math.Numeric$", {
  s_math_Numeric$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Numeric$.prototype.$classData = $d_s_math_Numeric$;
let $n_s_math_Numeric$ = (void 0);
const $m_s_math_Numeric$ = (function() {
  if ((!$n_s_math_Numeric$)) {
    $n_s_math_Numeric$ = new $c_s_math_Numeric$().init___()
  };
  return $n_s_math_Numeric$
});
class $c_s_math_ScalaNumber extends $c_jl_Number {
}
const $is_s_math_ScalaNumber = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_ScalaNumber)))
});
const $isArrayOf_s_math_ScalaNumber = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_ScalaNumber)))
});
class $c_s_reflect_ClassTag$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_Class__s_reflect_ClassTag(runtimeClass1) {
    return ((runtimeClass1 === $d_B.getClassOf()) ? $m_s_reflect_ManifestFactory$ByteManifest$() : ((runtimeClass1 === $d_S.getClassOf()) ? $m_s_reflect_ManifestFactory$ShortManifest$() : ((runtimeClass1 === $d_C.getClassOf()) ? $m_s_reflect_ManifestFactory$CharManifest$() : ((runtimeClass1 === $d_I.getClassOf()) ? $m_s_reflect_ManifestFactory$IntManifest$() : ((runtimeClass1 === $d_J.getClassOf()) ? $m_s_reflect_ManifestFactory$LongManifest$() : ((runtimeClass1 === $d_F.getClassOf()) ? $m_s_reflect_ManifestFactory$FloatManifest$() : ((runtimeClass1 === $d_D.getClassOf()) ? $m_s_reflect_ManifestFactory$DoubleManifest$() : ((runtimeClass1 === $d_Z.getClassOf()) ? $m_s_reflect_ManifestFactory$BooleanManifest$() : ((runtimeClass1 === $d_V.getClassOf()) ? $m_s_reflect_ManifestFactory$UnitManifest$() : ((runtimeClass1 === $d_O.getClassOf()) ? $m_s_reflect_ManifestFactory$ObjectManifest$() : ((runtimeClass1 === $d_sr_Nothing$.getClassOf()) ? $m_s_reflect_ManifestFactory$NothingManifest$() : ((runtimeClass1 === $d_sr_Null$.getClassOf()) ? $m_s_reflect_ManifestFactory$NullManifest$() : new $c_s_reflect_ClassTag$GenericClassTag().init___jl_Class(runtimeClass1)))))))))))))
  };
}
const $d_s_reflect_ClassTag$ = new $TypeData().initClass({
  s_reflect_ClassTag$: 0
}, false, "scala.reflect.ClassTag$", {
  s_reflect_ClassTag$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_reflect_ClassTag$.prototype.$classData = $d_s_reflect_ClassTag$;
let $n_s_reflect_ClassTag$ = (void 0);
const $m_s_reflect_ClassTag$ = (function() {
  if ((!$n_s_reflect_ClassTag$)) {
    $n_s_reflect_ClassTag$ = new $c_s_reflect_ClassTag$().init___()
  };
  return $n_s_reflect_ClassTag$
});
class $c_s_util_Either$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_util_Either$ = new $TypeData().initClass({
  s_util_Either$: 0
}, false, "scala.util.Either$", {
  s_util_Either$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Either$.prototype.$classData = $d_s_util_Either$;
let $n_s_util_Either$ = (void 0);
const $m_s_util_Either$ = (function() {
  if ((!$n_s_util_Either$)) {
    $n_s_util_Either$ = new $c_s_util_Either$().init___()
  };
  return $n_s_util_Either$
});
class $c_s_util_Left$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "Left"
  };
}
const $d_s_util_Left$ = new $TypeData().initClass({
  s_util_Left$: 0
}, false, "scala.util.Left$", {
  s_util_Left$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left$.prototype.$classData = $d_s_util_Left$;
let $n_s_util_Left$ = (void 0);
const $m_s_util_Left$ = (function() {
  if ((!$n_s_util_Left$)) {
    $n_s_util_Left$ = new $c_s_util_Left$().init___()
  };
  return $n_s_util_Left$
});
class $c_s_util_Right$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "Right"
  };
}
const $d_s_util_Right$ = new $TypeData().initClass({
  s_util_Right$: 0
}, false, "scala.util.Right$", {
  s_util_Right$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right$.prototype.$classData = $d_s_util_Right$;
let $n_s_util_Right$ = (void 0);
const $m_s_util_Right$ = (function() {
  if ((!$n_s_util_Right$)) {
    $n_s_util_Right$ = new $c_s_util_Right$().init___()
  };
  return $n_s_util_Right$
});
class $c_s_util_control_NoStackTrace$ extends $c_O {
  constructor() {
    super();
    this.$$undnoSuppression$1 = false
  };
  init___() {
    this.$$undnoSuppression$1 = false;
    return this
  };
}
const $d_s_util_control_NoStackTrace$ = new $TypeData().initClass({
  s_util_control_NoStackTrace$: 0
}, false, "scala.util.control.NoStackTrace$", {
  s_util_control_NoStackTrace$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_control_NoStackTrace$.prototype.$classData = $d_s_util_control_NoStackTrace$;
let $n_s_util_control_NoStackTrace$ = (void 0);
const $m_s_util_control_NoStackTrace$ = (function() {
  if ((!$n_s_util_control_NoStackTrace$)) {
    $n_s_util_control_NoStackTrace$ = new $c_s_util_control_NoStackTrace$().init___()
  };
  return $n_s_util_control_NoStackTrace$
});
class $c_s_util_matching_Regex extends $c_O {
  constructor() {
    super();
    this.pattern$1 = null;
    this.scala$util$matching$Regex$$groupNames$f = null
  };
  init___T__sc_Seq(regex, groupNames) {
    const this$1 = $m_ju_regex_Pattern$();
    $c_s_util_matching_Regex.prototype.init___ju_regex_Pattern__sc_Seq.call(this, this$1.compile__T__I__ju_regex_Pattern(regex, 0), groupNames);
    return this
  };
  findFirstIn__jl_CharSequence__s_Option(source) {
    const this$1 = this.pattern$1;
    const m = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, source, 0, $charSequenceLength(source));
    return (m.find__Z() ? new $c_s_Some().init___O(m.group__T()) : $m_s_None$())
  };
  init___ju_regex_Pattern__sc_Seq(pattern, groupNames) {
    this.pattern$1 = pattern;
    this.scala$util$matching$Regex$$groupNames$f = groupNames;
    return this
  };
  toString__T() {
    return this.pattern$1.$$undpattern$1
  };
  unapplySeq__jl_CharSequence__s_Option(s) {
    if ((s === null)) {
      return $m_s_None$()
    } else {
      const this$1 = this.pattern$1;
      const m = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, s, 0, $charSequenceLength(s));
      if (m.matches__Z()) {
        const end = m.groupCount__I();
        const this$5 = new $c_sci_Range$Inclusive().init___I__I__I(1, end, 1);
        const this$6 = $m_sci_List$();
        const cbf = this$6.ReusableCBFInstance$2;
        const this$8 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$5, cbf);
        const f = (function($this, m$1) {
          return (function(x$1$2) {
            const x$1 = (x$1$2 | 0);
            return m$1.group__I__T(x$1)
          })
        })(this, m);
        const this$7 = $m_sci_List$();
        const bf = this$7.ReusableCBFInstance$2;
        let jsx$1;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$8 === $m_sci_Nil$())) {
            jsx$1 = $m_sci_Nil$()
          } else {
            const arg1 = this$8.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            let t = h;
            let rest = this$8.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$1 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              rest = rest.tail__O()
            };
            jsx$1 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$8, bf);
          let these = this$8;
          while ((!these.isEmpty__Z())) {
            const arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            these = these.tail__O()
          };
          jsx$1 = b.result__O()
        };
        return new $c_s_Some().init___O(jsx$1)
      } else {
        return $m_s_None$()
      }
    }
  };
  findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(source) {
    return new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(source, this, this.scala$util$matching$Regex$$groupNames$f)
  };
  findAllMatchIn__jl_CharSequence__sc_Iterator(source) {
    const matchIterator = this.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(source);
    return new $c_s_util_matching_Regex$$anon$4().init___s_util_matching_Regex__s_util_matching_Regex$MatchIterator(this, matchIterator)
  };
}
const $d_s_util_matching_Regex = new $TypeData().initClass({
  s_util_matching_Regex: 0
}, false, "scala.util.matching.Regex", {
  s_util_matching_Regex: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_matching_Regex.prototype.$classData = $d_s_util_matching_Regex;
class $c_sc_IndexedSeq$$anon$1 extends $c_scg_GenTraversableFactory$GenericCanBuildFrom {
  init___() {
    $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sc_IndexedSeq$());
    return this
  };
  apply__scm_Builder() {
    $m_sc_IndexedSeq$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sc_IndexedSeq$$anon$1 = new $TypeData().initClass({
  sc_IndexedSeq$$anon$1: 0
}, false, "scala.collection.IndexedSeq$$anon$1", {
  sc_IndexedSeq$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sc_IndexedSeq$$anon$1.prototype.$classData = $d_sc_IndexedSeq$$anon$1;
class $c_sc_Map$ extends $c_scg_MapFactory {
  init___() {
    return this
  };
  empty__sc_GenMap() {
    return $m_sci_Map$EmptyMap$()
  };
}
const $d_sc_Map$ = new $TypeData().initClass({
  sc_Map$: 0
}, false, "scala.collection.Map$", {
  sc_Map$: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_sc_Map$.prototype.$classData = $d_sc_Map$;
let $n_sc_Map$ = (void 0);
const $m_sc_Map$ = (function() {
  if ((!$n_sc_Map$)) {
    $n_sc_Map$ = new $c_sc_Map$().init___()
  };
  return $n_sc_Map$
});
class $c_sc_TraversableOnce$$anon$2 extends $c_sr_AbstractFunction1 {
  apply__O__O(v1) {
    return this
  };
  init___sc_TraversableOnce($$outer) {
    return this
  };
}
const $d_sc_TraversableOnce$$anon$2 = new $TypeData().initClass({
  sc_TraversableOnce$$anon$2: 0
}, false, "scala.collection.TraversableOnce$$anon$2", {
  sc_TraversableOnce$$anon$2: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1
});
$c_sc_TraversableOnce$$anon$2.prototype.$classData = $d_sc_TraversableOnce$$anon$2;
class $c_scg_GenSeqFactory extends $c_scg_GenTraversableFactory {
}
class $c_scg_GenTraversableFactory$$anon$1 extends $c_scg_GenTraversableFactory$GenericCanBuildFrom {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  apply__scm_Builder() {
    return this.$$outer$2.newBuilder__scm_Builder()
  };
  init___scg_GenTraversableFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $$outer);
    return this
  };
}
const $d_scg_GenTraversableFactory$$anon$1 = new $TypeData().initClass({
  scg_GenTraversableFactory$$anon$1: 0
}, false, "scala.collection.generic.GenTraversableFactory$$anon$1", {
  scg_GenTraversableFactory$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenTraversableFactory$$anon$1.prototype.$classData = $d_scg_GenTraversableFactory$$anon$1;
class $c_scg_ImmutableMapFactory extends $c_scg_MapFactory {
}
class $c_scg_MutableMapFactory extends $c_scg_MapFactory {
  newBuilder__scm_Builder() {
    return this.empty__sc_Map()
  };
}
class $c_sci_$colon$colon$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "::"
  };
}
const $d_sci_$colon$colon$ = new $TypeData().initClass({
  sci_$colon$colon$: 0
}, false, "scala.collection.immutable.$colon$colon$", {
  sci_$colon$colon$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_$colon$colon$.prototype.$classData = $d_sci_$colon$colon$;
let $n_sci_$colon$colon$ = (void 0);
const $m_sci_$colon$colon$ = (function() {
  if ((!$n_sci_$colon$colon$)) {
    $n_sci_$colon$colon$ = new $c_sci_$colon$colon$().init___()
  };
  return $n_sci_$colon$colon$
});
class $c_sci_Range$ extends $c_O {
  constructor() {
    super();
    this.MAX$undPRINT$1 = 0
  };
  init___() {
    this.MAX$undPRINT$1 = 512;
    return this
  };
  description__p1__I__I__I__Z__T(start, end, step, isInclusive) {
    return ((((start + (isInclusive ? " to " : " until ")) + end) + " by ") + step)
  };
  scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(start, end, step, isInclusive) {
    throw new $c_jl_IllegalArgumentException().init___T((this.description__p1__I__I__I__Z__T(start, end, step, isInclusive) + ": seqs cannot contain more than Int.MaxValue elements."))
  };
}
const $d_sci_Range$ = new $TypeData().initClass({
  sci_Range$: 0
}, false, "scala.collection.immutable.Range$", {
  sci_Range$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range$.prototype.$classData = $d_sci_Range$;
let $n_sci_Range$ = (void 0);
const $m_sci_Range$ = (function() {
  if ((!$n_sci_Range$)) {
    $n_sci_Range$ = new $c_sci_Range$().init___()
  };
  return $n_sci_Range$
});
class $c_sci_Stream$StreamCanBuildFrom extends $c_scg_GenTraversableFactory$GenericCanBuildFrom {
  init___() {
    $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sci_Stream$());
    return this
  };
}
const $d_sci_Stream$StreamCanBuildFrom = new $TypeData().initClass({
  sci_Stream$StreamCanBuildFrom: 0
}, false, "scala.collection.immutable.Stream$StreamCanBuildFrom", {
  sci_Stream$StreamCanBuildFrom: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sci_Stream$StreamCanBuildFrom.prototype.$classData = $d_sci_Stream$StreamCanBuildFrom;
class $c_scm_StringBuilder$ extends $c_O {
  init___() {
    return this
  };
}
const $d_scm_StringBuilder$ = new $TypeData().initClass({
  scm_StringBuilder$: 0
}, false, "scala.collection.mutable.StringBuilder$", {
  scm_StringBuilder$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder$.prototype.$classData = $d_scm_StringBuilder$;
let $n_scm_StringBuilder$ = (void 0);
const $m_scm_StringBuilder$ = (function() {
  if ((!$n_scm_StringBuilder$)) {
    $n_scm_StringBuilder$ = new $c_scm_StringBuilder$().init___()
  };
  return $n_scm_StringBuilder$
});
class $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon extends $c_Ljava_nio_charset_Charset {
  constructor() {
    super();
    this.scala$scalajs$niocharset$ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$$maxValue$2 = 0
  };
  newDecoder__Ljava_nio_charset_CharsetDecoder() {
    return new $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Decoder().init___sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon(this)
  };
  init___T__AT__I(name, aliases, maxValue) {
    this.scala$scalajs$niocharset$ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$$maxValue$2 = maxValue;
    $c_Ljava_nio_charset_Charset.prototype.init___T__AT.call(this, name, aliases);
    return this
  };
  newEncoder__Ljava_nio_charset_CharsetEncoder() {
    return new $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon$Encoder().init___sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon(this)
  };
}
class $c_sjs_niocharset_UTF$und16$undCommon extends $c_Ljava_nio_charset_Charset {
  constructor() {
    super();
    this.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2 = 0
  };
  newDecoder__Ljava_nio_charset_CharsetDecoder() {
    return new $c_sjs_niocharset_UTF$und16$undCommon$Decoder().init___sjs_niocharset_UTF$und16$undCommon(this)
  };
  init___T__AT__I(name, aliases, endianness) {
    this.scala$scalajs$niocharset$UTF$und16$undCommon$$endianness$2 = endianness;
    $c_Ljava_nio_charset_Charset.prototype.init___T__AT.call(this, name, aliases);
    return this
  };
  newEncoder__Ljava_nio_charset_CharsetEncoder() {
    return new $c_sjs_niocharset_UTF$und16$undCommon$Encoder().init___sjs_niocharset_UTF$und16$undCommon(this)
  };
}
class $c_sjs_niocharset_UTF$und8$ extends $c_Ljava_nio_charset_Charset {
  constructor() {
    super();
    this.scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2 = null
  };
  init___() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["UTF8", "unicode-1-1-utf-8"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    $c_Ljava_nio_charset_Charset.prototype.init___T__AT.call(this, "UTF-8", array);
    $n_sjs_niocharset_UTF$und8$ = this;
    this.scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2 = $m_s_Array$().apply__I__sc_Seq__AI((-1), new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1)]));
    return this
  };
  newDecoder__Ljava_nio_charset_CharsetDecoder() {
    return new $c_sjs_niocharset_UTF$und8$Decoder().init___()
  };
  newEncoder__Ljava_nio_charset_CharsetEncoder() {
    return new $c_sjs_niocharset_UTF$und8$Encoder().init___()
  };
}
const $d_sjs_niocharset_UTF$und8$ = new $TypeData().initClass({
  sjs_niocharset_UTF$und8$: 0
}, false, "scala.scalajs.niocharset.UTF_8$", {
  sjs_niocharset_UTF$und8$: 1,
  Ljava_nio_charset_Charset: 1,
  O: 1,
  jl_Comparable: 1
});
$c_sjs_niocharset_UTF$und8$.prototype.$classData = $d_sjs_niocharset_UTF$und8$;
let $n_sjs_niocharset_UTF$und8$ = (void 0);
const $m_sjs_niocharset_UTF$und8$ = (function() {
  if ((!$n_sjs_niocharset_UTF$und8$)) {
    $n_sjs_niocharset_UTF$und8$ = new $c_sjs_niocharset_UTF$und8$().init___()
  };
  return $n_sjs_niocharset_UTF$und8$
});
class $c_sjsr_AnonFunction0 extends $c_sr_AbstractFunction0 {
  constructor() {
    super();
    this.f$2 = null
  };
  apply__O() {
    return (0, this.f$2)()
  };
  init___sjs_js_Function0(f) {
    this.f$2 = f;
    return this
  };
}
const $d_sjsr_AnonFunction0 = new $TypeData().initClass({
  sjsr_AnonFunction0: 0
}, false, "scala.scalajs.runtime.AnonFunction0", {
  sjsr_AnonFunction0: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1
});
$c_sjsr_AnonFunction0.prototype.$classData = $d_sjsr_AnonFunction0;
class $c_sjsr_AnonFunction1 extends $c_sr_AbstractFunction1 {
  constructor() {
    super();
    this.f$2 = null
  };
  apply__O__O(arg1) {
    return (0, this.f$2)(arg1)
  };
  init___sjs_js_Function1(f) {
    this.f$2 = f;
    return this
  };
}
const $d_sjsr_AnonFunction1 = new $TypeData().initClass({
  sjsr_AnonFunction1: 0
}, false, "scala.scalajs.runtime.AnonFunction1", {
  sjsr_AnonFunction1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1
});
$c_sjsr_AnonFunction1.prototype.$classData = $d_sjsr_AnonFunction1;
class $c_sjsr_AnonFunction2 extends $c_sr_AbstractFunction2 {
  constructor() {
    super();
    this.f$2 = null
  };
  init___sjs_js_Function2(f) {
    this.f$2 = f;
    return this
  };
  apply__O__O__O(arg1, arg2) {
    return (0, this.f$2)(arg1, arg2)
  };
}
const $d_sjsr_AnonFunction2 = new $TypeData().initClass({
  sjsr_AnonFunction2: 0
}, false, "scala.scalajs.runtime.AnonFunction2", {
  sjsr_AnonFunction2: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1
});
$c_sjsr_AnonFunction2.prototype.$classData = $d_sjsr_AnonFunction2;
class $c_sjsr_AnonFunction3 extends $c_sr_AbstractFunction3 {
  constructor() {
    super();
    this.f$2 = null
  };
  init___sjs_js_Function3(f) {
    this.f$2 = f;
    return this
  };
  apply__O__O__O__O(arg1, arg2, arg3) {
    return (0, this.f$2)(arg1, arg2, arg3)
  };
}
const $d_sjsr_AnonFunction3 = new $TypeData().initClass({
  sjsr_AnonFunction3: 0
}, false, "scala.scalajs.runtime.AnonFunction3", {
  sjsr_AnonFunction3: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1
});
$c_sjsr_AnonFunction3.prototype.$classData = $d_sjsr_AnonFunction3;
class $c_sjsr_AnonFunction4 extends $c_sr_AbstractFunction4 {
  constructor() {
    super();
    this.f$2 = null
  };
  apply__O__O__O__O__O(arg1, arg2, arg3, arg4) {
    return (0, this.f$2)(arg1, arg2, arg3, arg4)
  };
  init___sjs_js_Function4(f) {
    this.f$2 = f;
    return this
  };
}
const $d_sjsr_AnonFunction4 = new $TypeData().initClass({
  sjsr_AnonFunction4: 0
}, false, "scala.scalajs.runtime.AnonFunction4", {
  sjsr_AnonFunction4: 1,
  sr_AbstractFunction4: 1,
  O: 1,
  F4: 1
});
$c_sjsr_AnonFunction4.prototype.$classData = $d_sjsr_AnonFunction4;
class $c_sjsr_AnonFunction5 extends $c_sr_AbstractFunction5 {
  constructor() {
    super();
    this.f$2 = null
  };
  init___sjs_js_Function5(f) {
    this.f$2 = f;
    return this
  };
  apply__O__O__O__O__O__O(arg1, arg2, arg3, arg4, arg5) {
    return (0, this.f$2)(arg1, arg2, arg3, arg4, arg5)
  };
}
const $d_sjsr_AnonFunction5 = new $TypeData().initClass({
  sjsr_AnonFunction5: 0
}, false, "scala.scalajs.runtime.AnonFunction5", {
  sjsr_AnonFunction5: 1,
  sr_AbstractFunction5: 1,
  O: 1,
  F5: 1
});
$c_sjsr_AnonFunction5.prototype.$classData = $d_sjsr_AnonFunction5;
class $c_sjsr_AnonFunction6 extends $c_sr_AbstractFunction6 {
  constructor() {
    super();
    this.f$2 = null
  };
  apply__O__O__O__O__O__O__O(arg1, arg2, arg3, arg4, arg5, arg6) {
    return (0, this.f$2)(arg1, arg2, arg3, arg4, arg5, arg6)
  };
  init___sjs_js_Function6(f) {
    this.f$2 = f;
    return this
  };
}
const $d_sjsr_AnonFunction6 = new $TypeData().initClass({
  sjsr_AnonFunction6: 0
}, false, "scala.scalajs.runtime.AnonFunction6", {
  sjsr_AnonFunction6: 1,
  sr_AbstractFunction6: 1,
  O: 1,
  F6: 1
});
$c_sjsr_AnonFunction6.prototype.$classData = $d_sjsr_AnonFunction6;
class $c_sjsr_RuntimeLong$ extends $c_O {
  constructor() {
    super();
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
    this.Zero$1 = null
  };
  init___() {
    $n_sjsr_RuntimeLong$ = this;
    this.Zero$1 = new $c_sjsr_RuntimeLong().init___I__I(0, 0);
    return this
  };
  Zero__sjsr_RuntimeLong() {
    return this.Zero$1
  };
  toUnsignedString__p1__I__I__T(lo, hi) {
    if ((((-2097152) & hi) === 0)) {
      const this$5 = ((4.294967296E9 * hi) + (+(lo >>> 0)));
      return ("" + this$5)
    } else {
      return this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(lo, hi, 1000000000, 0, 2)
    }
  };
  divideImpl__I__I__I__I__I(alo, ahi, blo, bhi) {
    if (((blo | bhi) === 0)) {
      throw new $c_jl_ArithmeticException().init___T("/ by zero")
    };
    if ((ahi === (alo >> 31))) {
      if ((bhi === (blo >> 31))) {
        if (((alo === (-2147483648)) && (blo === (-1)))) {
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
          return (-2147483648)
        } else {
          const lo = ((alo / blo) | 0);
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
          return lo
        }
      } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-1);
        return (-1)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else {
      const neg = (ahi < 0);
      let abs_$_lo$2;
      let abs_$_hi$2;
      if (neg) {
        const lo$1 = ((-alo) | 0);
        const hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi;
        abs_$_lo$2 = jsx$1_$_lo$2;
        abs_$_hi$2 = jsx$1_$_hi$2
      } else {
        const jsx$2_$_lo$2 = alo;
        const jsx$2_$_hi$2 = ahi;
        abs_$_lo$2 = jsx$2_$_lo$2;
        abs_$_hi$2 = jsx$2_$_hi$2
      };
      const neg$1 = (bhi < 0);
      let abs$1_$_lo$2;
      let abs$1_$_hi$2;
      if (neg$1) {
        const lo$2 = ((-blo) | 0);
        const hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
        const jsx$3_$_lo$2 = lo$2;
        const jsx$3_$_hi$2 = hi$1;
        abs$1_$_lo$2 = jsx$3_$_lo$2;
        abs$1_$_hi$2 = jsx$3_$_hi$2
      } else {
        const jsx$4_$_lo$2 = blo;
        const jsx$4_$_hi$2 = bhi;
        abs$1_$_lo$2 = jsx$4_$_lo$2;
        abs$1_$_hi$2 = jsx$4_$_hi$2
      };
      const absRLo = this.unsigned$und$div__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
      if ((neg === neg$1)) {
        return absRLo
      } else {
        const hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        return ((-absRLo) | 0)
      }
    }
  };
  scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) {
    if ((hi < 0)) {
      const x = ((lo !== 0) ? (~hi) : ((-hi) | 0));
      const x$1 = ((-lo) | 0);
      return (-((4.294967296E9 * (+(x >>> 0))) + (+(x$1 >>> 0))))
    } else {
      return ((4.294967296E9 * hi) + (+(lo >>> 0)))
    }
  };
  fromDouble__D__sjsr_RuntimeLong(value) {
    const lo = this.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
  };
  scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value) {
    if ((value < (-9.223372036854776E18))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-2147483648);
      return 0
    } else if ((value >= 9.223372036854776E18)) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 2147483647;
      return (-1)
    } else {
      const rawLo = ((value | 0) | 0);
      const x = (value / 4.294967296E9);
      const rawHi = ((x | 0) | 0);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (((value < 0) && (rawLo !== 0)) ? (((-1) + rawHi) | 0) : rawHi);
      return rawLo
    }
  };
  unsigned$und$div__p1__I__I__I__I__I(alo, ahi, blo, bhi) {
    if ((((-2097152) & ahi) === 0)) {
      if ((((-2097152) & bhi) === 0)) {
        const aDouble = ((4.294967296E9 * ahi) + (+(alo >>> 0)));
        const bDouble = ((4.294967296E9 * bhi) + (+(blo >>> 0)));
        const rDouble = (aDouble / bDouble);
        const x = (rDouble / 4.294967296E9);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((x | 0) | 0);
        return ((rDouble | 0) | 0)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
      const pow = ((31 - $clz32(blo)) | 0);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((ahi >>> pow) | 0);
      return (((alo >>> pow) | 0) | ((ahi << 1) << ((31 - pow) | 0)))
    } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
      const pow$2 = ((31 - $clz32(bhi)) | 0);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return ((ahi >>> pow$2) | 0)
    } else {
      return (this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 0) | 0)
    }
  };
  divideUnsignedImpl__I__I__I__I__I(alo, ahi, blo, bhi) {
    if (((blo | bhi) === 0)) {
      throw new $c_jl_ArithmeticException().init___T("/ by zero")
    };
    if ((ahi === 0)) {
      if ((bhi === 0)) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        const x = ((+(alo >>> 0)) / (+(blo >>> 0)));
        return ((x | 0) | 0)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else {
      return this.unsigned$und$div__p1__I__I__I__I__I(alo, ahi, blo, bhi)
    }
  };
  scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(lo, hi) {
    return ((hi === (lo >> 31)) ? ("" + lo) : ((hi < 0) ? ("-" + this.toUnsignedString__p1__I__I__T(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))) : this.toUnsignedString__p1__I__I__T(lo, hi)))
  };
  scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(alo, ahi, blo, bhi) {
    return ((ahi === bhi) ? ((alo === blo) ? 0 : ((((-2147483648) ^ alo) < ((-2147483648) ^ blo)) ? (-1) : 1)) : ((ahi < bhi) ? (-1) : 1))
  };
  unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, ask) {
    let shift = ((((bhi !== 0) ? $clz32(bhi) : ((32 + $clz32(blo)) | 0)) - ((ahi !== 0) ? $clz32(ahi) : ((32 + $clz32(alo)) | 0))) | 0);
    const n = shift;
    const lo = (((32 & n) === 0) ? (blo << n) : 0);
    const hi = (((32 & n) === 0) ? (((((blo >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (bhi << n)) : (blo << n));
    let bShiftLo = lo;
    let bShiftHi = hi;
    let remLo = alo;
    let remHi = ahi;
    let quotLo = 0;
    let quotHi = 0;
    while (((shift >= 0) && (((-2097152) & remHi) !== 0))) {
      const alo$1 = remLo;
      const ahi$1 = remHi;
      const blo$1 = bShiftLo;
      const bhi$1 = bShiftHi;
      if (((ahi$1 === bhi$1) ? (((-2147483648) ^ alo$1) >= ((-2147483648) ^ blo$1)) : (((-2147483648) ^ ahi$1) >= ((-2147483648) ^ bhi$1)))) {
        const lo$1 = remLo;
        const hi$1 = remHi;
        const lo$2 = bShiftLo;
        const hi$2 = bShiftHi;
        const lo$3 = ((lo$1 - lo$2) | 0);
        const hi$3 = ((((-2147483648) ^ lo$3) > ((-2147483648) ^ lo$1)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
        remLo = lo$3;
        remHi = hi$3;
        if ((shift < 32)) {
          quotLo = (quotLo | (1 << shift))
        } else {
          quotHi = (quotHi | (1 << shift))
        }
      };
      shift = (((-1) + shift) | 0);
      const lo$4 = bShiftLo;
      const hi$4 = bShiftHi;
      const lo$5 = (((lo$4 >>> 1) | 0) | (hi$4 << 31));
      const hi$5 = ((hi$4 >>> 1) | 0);
      bShiftLo = lo$5;
      bShiftHi = hi$5
    };
    const alo$2 = remLo;
    const ahi$2 = remHi;
    if (((ahi$2 === bhi) ? (((-2147483648) ^ alo$2) >= ((-2147483648) ^ blo)) : (((-2147483648) ^ ahi$2) >= ((-2147483648) ^ bhi)))) {
      const lo$6 = remLo;
      const hi$6 = remHi;
      const remDouble = ((4.294967296E9 * hi$6) + (+(lo$6 >>> 0)));
      const bDouble = ((4.294967296E9 * bhi) + (+(blo >>> 0)));
      if ((ask !== 1)) {
        const x = (remDouble / bDouble);
        const lo$7 = ((x | 0) | 0);
        const x$1 = (x / 4.294967296E9);
        const hi$7 = ((x$1 | 0) | 0);
        const lo$8 = quotLo;
        const hi$8 = quotHi;
        const lo$9 = ((lo$8 + lo$7) | 0);
        const hi$9 = ((((-2147483648) ^ lo$9) < ((-2147483648) ^ lo$8)) ? ((1 + ((hi$8 + hi$7) | 0)) | 0) : ((hi$8 + hi$7) | 0));
        quotLo = lo$9;
        quotHi = hi$9
      };
      if ((ask !== 0)) {
        const rem_mod_bDouble = (remDouble % bDouble);
        remLo = ((rem_mod_bDouble | 0) | 0);
        const x$2 = (rem_mod_bDouble / 4.294967296E9);
        remHi = ((x$2 | 0) | 0)
      }
    };
    if ((ask === 0)) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = quotHi;
      const a = quotLo;
      return a
    } else if ((ask === 1)) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = remHi;
      const a$1 = remLo;
      return a$1
    } else {
      const lo$10 = quotLo;
      const hi$10 = quotHi;
      const quot = ((4.294967296E9 * hi$10) + (+(lo$10 >>> 0)));
      const this$25 = remLo;
      const remStr = ("" + this$25);
      const a$2 = ((("" + quot) + "000000000".substring((remStr.length | 0))) + remStr);
      return a$2
    }
  };
  remainderImpl__I__I__I__I__I(alo, ahi, blo, bhi) {
    if (((blo | bhi) === 0)) {
      throw new $c_jl_ArithmeticException().init___T("/ by zero")
    };
    if ((ahi === (alo >> 31))) {
      if ((bhi === (blo >> 31))) {
        if ((blo !== (-1))) {
          const lo = ((alo % blo) | 0);
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
          return lo
        } else {
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
          return 0
        }
      } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
        return alo
      }
    } else {
      const neg = (ahi < 0);
      let abs_$_lo$2;
      let abs_$_hi$2;
      if (neg) {
        const lo$1 = ((-alo) | 0);
        const hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi;
        abs_$_lo$2 = jsx$1_$_lo$2;
        abs_$_hi$2 = jsx$1_$_hi$2
      } else {
        const jsx$2_$_lo$2 = alo;
        const jsx$2_$_hi$2 = ahi;
        abs_$_lo$2 = jsx$2_$_lo$2;
        abs_$_hi$2 = jsx$2_$_hi$2
      };
      const neg$1 = (bhi < 0);
      let abs$1_$_lo$2;
      let abs$1_$_hi$2;
      if (neg$1) {
        const lo$2 = ((-blo) | 0);
        const hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
        const jsx$3_$_lo$2 = lo$2;
        const jsx$3_$_hi$2 = hi$1;
        abs$1_$_lo$2 = jsx$3_$_lo$2;
        abs$1_$_hi$2 = jsx$3_$_hi$2
      } else {
        const jsx$4_$_lo$2 = blo;
        const jsx$4_$_hi$2 = bhi;
        abs$1_$_lo$2 = jsx$4_$_lo$2;
        abs$1_$_hi$2 = jsx$4_$_hi$2
      };
      const absRLo = this.unsigned$und$percent__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
      if (neg) {
        const hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        return ((-absRLo) | 0)
      } else {
        return absRLo
      }
    }
  };
  unsigned$und$percent__p1__I__I__I__I__I(alo, ahi, blo, bhi) {
    if ((((-2097152) & ahi) === 0)) {
      if ((((-2097152) & bhi) === 0)) {
        const aDouble = ((4.294967296E9 * ahi) + (+(alo >>> 0)));
        const bDouble = ((4.294967296E9 * bhi) + (+(blo >>> 0)));
        const rDouble = (aDouble % bDouble);
        const x = (rDouble / 4.294967296E9);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((x | 0) | 0);
        return ((rDouble | 0) | 0)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
        return alo
      }
    } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return (alo & (((-1) + blo) | 0))
    } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (ahi & (((-1) + bhi) | 0));
      return alo
    } else {
      return (this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 1) | 0)
    }
  };
}
const $d_sjsr_RuntimeLong$ = new $TypeData().initClass({
  sjsr_RuntimeLong$: 0
}, false, "scala.scalajs.runtime.RuntimeLong$", {
  sjsr_RuntimeLong$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sjsr_RuntimeLong$.prototype.$classData = $d_sjsr_RuntimeLong$;
let $n_sjsr_RuntimeLong$ = (void 0);
const $m_sjsr_RuntimeLong$ = (function() {
  if ((!$n_sjsr_RuntimeLong$)) {
    $n_sjsr_RuntimeLong$ = new $c_sjsr_RuntimeLong$().init___()
  };
  return $n_sjsr_RuntimeLong$
});
class $c_sr_AbstractPartialFunction extends $c_O {
  apply__O__O(x) {
    return this.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().empty$undpf$1)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(x) {
    return (!(!this.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().empty$undpf$1)))
  };
}
const $d_sr_Nothing$ = new $TypeData().initClass({
  sr_Nothing$: 0
}, false, "scala.runtime.Nothing$", {
  sr_Nothing$: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
class $c_Lamf_AmfGraphGenerator extends $c_Lamf_core_client_Generator {
  init___() {
    $c_Lamf_core_client_Generator.prototype.init___T__T.call(this, "AMF Graph", "application/ld+json");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_graph_AMFGraphPlugin$());
    return this
  };
  $$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__Lamf_core_client_FileHandler__O(unit, url, options, handler) {
    this.generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__Lamf_core_client_FileHandler__V(unit, url, options, handler)
  };
  generateString__Lamf_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lamf_core_client_StringHandler__V(unit, options, handler) {
    this.generate__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lamf_core_client_Handler__V(unit.element__Lamf_core_model_document_BaseUnit(), options, new $c_Lamf_core_client_Generator$StringHandlerAdapter().init___Lamf_core_client_Generator__Lamf_core_client_StringHandler(this, handler))
  };
  generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__Lamf_core_client_FileHandler__V(unit, url, options, handler) {
    this.generate__Lamf_core_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__Lamf_core_client_Handler__V(unit.element__Lamf_core_model_document_BaseUnit(), url, options, new $c_Lamf_core_client_Generator$UnitHandlerAdapter().init___Lamf_core_client_Generator__Lamf_core_client_FileHandler(this, handler))
  };
  generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__sjs_js_Promise(unit, url, options) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = this.generate__Lamf_core_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__s_concurrent_Future(unit.element__Lamf_core_model_document_BaseUnit(), url, options);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__O(unit, url, options) {
    return this.generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__sjs_js_Promise(unit, url, options)
  };
  $$js$exported$meth$generateString__Lamf_model_document_BaseUnit__Lamf_core_client_GenerationOptions__O(unit, options) {
    return this.generate__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__T(unit.element__Lamf_core_model_document_BaseUnit(), options)
  };
  $$js$exported$meth$generateString__Lamf_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lamf_core_client_StringHandler__O(unit, options, handler) {
    this.generateString__Lamf_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lamf_core_client_StringHandler__V(unit, options, handler)
  };
  "generateString"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        if ($is_Lamf_core_client_GenerationOptions(arg$rest[0])) {
          const prep0 = arg$1;
          const prep1 = arg$rest[0];
          return this.$$js$exported$meth$generateString__Lamf_model_document_BaseUnit__Lamf_core_client_GenerationOptions__O(prep0, prep1)
        } else {
          const prep0 = arg$1;
          const prep1 = arg$rest[0];
          return this.$$js$exported$meth$generateString__Lamf_model_document_BaseUnit__Lamf_core_client_StringHandler__O(prep0, prep1)
        };
        break
      }
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$generateString__Lamf_model_document_BaseUnit__O(prep0);
        break
      }
      case 2: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        const prep2 = arg$rest[1];
        return this.$$js$exported$meth$generateString__Lamf_model_document_BaseUnit__Lamf_core_client_GenerationOptions__Lamf_core_client_StringHandler__O(prep0, prep1, prep2);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "generateFile"(arg$1, arg$2, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        if ($is_Lamf_core_client_GenerationOptions(arg$rest[0])) {
          const prep0 = arg$1;
          const prep1 = arg$2;
          const prep2 = arg$rest[0];
          return this.$$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__O(prep0, prep1, prep2)
        } else {
          const prep0 = arg$1;
          const prep1 = arg$2;
          const prep2 = arg$rest[0];
          return this.$$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_FileHandler__O(prep0, prep1, prep2)
        };
        break
      }
      case 0: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        return this.$$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__O(prep0, prep1);
        break
      }
      case 2: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        const prep2 = arg$rest[0];
        const prep3 = arg$rest[1];
        return this.$$js$exported$meth$generateFile__Lamf_model_document_BaseUnit__T__Lamf_core_client_GenerationOptions__Lamf_core_client_FileHandler__O(prep0, prep1, prep2, prep3);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
}
const $d_Lamf_AmfGraphGenerator = new $TypeData().initClass({
  Lamf_AmfGraphGenerator: 0
}, false, "amf.AmfGraphGenerator", {
  Lamf_AmfGraphGenerator: 1,
  Lamf_core_client_Generator: 1,
  Lamf_core_client_PlatformGenerator: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_AmfGraphGenerator.prototype.$classData = $d_Lamf_AmfGraphGenerator;
class $c_Lamf_AmfGraphParser extends $c_Lamf_core_client_Parser {
  init___() {
    $c_Lamf_core_client_Parser.prototype.init___T__T.call(this, "AMF Graph", "application/ld+json");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_graph_AMFGraphPlugin$());
    return this
  };
}
const $d_Lamf_AmfGraphParser = new $TypeData().initClass({
  Lamf_AmfGraphParser: 0
}, false, "amf.AmfGraphParser", {
  Lamf_AmfGraphParser: 1,
  Lamf_core_client_Parser: 1,
  Lamf_core_client_PlatformParser: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_AmfGraphParser.prototype.$classData = $d_Lamf_AmfGraphParser;
class $c_Lamf_AmfGraphResolver extends $c_Lamf_core_client_Resolver {
  init___() {
    $c_Lamf_core_client_Resolver.prototype.init___T.call(this, "AMF Graph");
    return this
  };
}
const $d_Lamf_AmfGraphResolver = new $TypeData().initClass({
  Lamf_AmfGraphResolver: 0
}, false, "amf.AmfGraphResolver", {
  Lamf_AmfGraphResolver: 1,
  Lamf_core_client_Resolver: 1,
  Lamf_core_client_PlatformResolver: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_AmfGraphResolver.prototype.$classData = $d_Lamf_AmfGraphResolver;
class $c_Lamf_Oas20Generator extends $c_Lamf_core_client_Generator {
  init___() {
    $c_Lamf_core_client_Generator.prototype.init___T__T.call(this, "OAS 2.0", "application/json");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_OAS20Plugin$());
    return this
  };
}
const $d_Lamf_Oas20Generator = new $TypeData().initClass({
  Lamf_Oas20Generator: 0
}, false, "amf.Oas20Generator", {
  Lamf_Oas20Generator: 1,
  Lamf_core_client_Generator: 1,
  Lamf_core_client_PlatformGenerator: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Oas20Generator.prototype.$classData = $d_Lamf_Oas20Generator;
class $c_Lamf_Oas20Parser extends $c_Lamf_core_client_Parser {
  init___() {
    $c_Lamf_core_client_Parser.prototype.init___T__T.call(this, "OAS 2.0", "application/json");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_OAS20Plugin$());
    return this
  };
}
const $d_Lamf_Oas20Parser = new $TypeData().initClass({
  Lamf_Oas20Parser: 0
}, false, "amf.Oas20Parser", {
  Lamf_Oas20Parser: 1,
  Lamf_core_client_Parser: 1,
  Lamf_core_client_PlatformParser: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Oas20Parser.prototype.$classData = $d_Lamf_Oas20Parser;
class $c_Lamf_Oas20Resolver extends $c_Lamf_core_client_Resolver {
  init___() {
    $c_Lamf_core_client_Resolver.prototype.init___T.call(this, "OAS 2.0");
    return this
  };
}
const $d_Lamf_Oas20Resolver = new $TypeData().initClass({
  Lamf_Oas20Resolver: 0
}, false, "amf.Oas20Resolver", {
  Lamf_Oas20Resolver: 1,
  Lamf_core_client_Resolver: 1,
  Lamf_core_client_PlatformResolver: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Oas20Resolver.prototype.$classData = $d_Lamf_Oas20Resolver;
class $c_Lamf_Raml08Generator extends $c_Lamf_core_client_Generator {
  init___() {
    $c_Lamf_core_client_Generator.prototype.init___T__T.call(this, "RAML 0.8", "application/yaml");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
    return this
  };
}
const $d_Lamf_Raml08Generator = new $TypeData().initClass({
  Lamf_Raml08Generator: 0
}, false, "amf.Raml08Generator", {
  Lamf_Raml08Generator: 1,
  Lamf_core_client_Generator: 1,
  Lamf_core_client_PlatformGenerator: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Raml08Generator.prototype.$classData = $d_Lamf_Raml08Generator;
class $c_Lamf_Raml08Parser extends $c_Lamf_core_client_Parser {
  init___() {
    $c_Lamf_core_client_Parser.prototype.init___T__T.call(this, "RAML 0.8", "application/yaml");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
    return this
  };
}
const $d_Lamf_Raml08Parser = new $TypeData().initClass({
  Lamf_Raml08Parser: 0
}, false, "amf.Raml08Parser", {
  Lamf_Raml08Parser: 1,
  Lamf_core_client_Parser: 1,
  Lamf_core_client_PlatformParser: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Raml08Parser.prototype.$classData = $d_Lamf_Raml08Parser;
class $c_Lamf_Raml08Resolver extends $c_Lamf_core_client_Resolver {
  init___() {
    $c_Lamf_core_client_Resolver.prototype.init___T.call(this, "RAML 0.8");
    return this
  };
}
const $d_Lamf_Raml08Resolver = new $TypeData().initClass({
  Lamf_Raml08Resolver: 0
}, false, "amf.Raml08Resolver", {
  Lamf_Raml08Resolver: 1,
  Lamf_core_client_Resolver: 1,
  Lamf_core_client_PlatformResolver: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Raml08Resolver.prototype.$classData = $d_Lamf_Raml08Resolver;
class $c_Lamf_Raml10Generator extends $c_Lamf_core_client_Generator {
  init___() {
    $c_Lamf_core_client_Generator.prototype.init___T__T.call(this, "RAML 1.0", "application/yaml");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
    return this
  };
}
const $d_Lamf_Raml10Generator = new $TypeData().initClass({
  Lamf_Raml10Generator: 0
}, false, "amf.Raml10Generator", {
  Lamf_Raml10Generator: 1,
  Lamf_core_client_Generator: 1,
  Lamf_core_client_PlatformGenerator: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Raml10Generator.prototype.$classData = $d_Lamf_Raml10Generator;
class $c_Lamf_Raml10Parser extends $c_Lamf_core_client_Parser {
  init___() {
    $c_Lamf_core_client_Parser.prototype.init___T__T.call(this, "RAML 1.0", "application/yaml");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
    return this
  };
}
const $d_Lamf_Raml10Parser = new $TypeData().initClass({
  Lamf_Raml10Parser: 0
}, false, "amf.Raml10Parser", {
  Lamf_Raml10Parser: 1,
  Lamf_core_client_Parser: 1,
  Lamf_core_client_PlatformParser: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Raml10Parser.prototype.$classData = $d_Lamf_Raml10Parser;
class $c_Lamf_Raml10Resolver extends $c_Lamf_core_client_Resolver {
  init___() {
    $c_Lamf_core_client_Resolver.prototype.init___T.call(this, "RAML 1.0");
    return this
  };
}
const $d_Lamf_Raml10Resolver = new $TypeData().initClass({
  Lamf_Raml10Resolver: 0
}, false, "amf.Raml10Resolver", {
  Lamf_Raml10Resolver: 1,
  Lamf_core_client_Resolver: 1,
  Lamf_core_client_PlatformResolver: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Raml10Resolver.prototype.$classData = $d_Lamf_Raml10Resolver;
class $c_Lamf_RamlParser extends $c_Lamf_core_client_Parser {
  init___() {
    $c_Lamf_core_client_Parser.prototype.init___T__T.call(this, "RAML", "application/yaml");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
    return this
  };
}
const $d_Lamf_RamlParser = new $TypeData().initClass({
  Lamf_RamlParser: 0
}, false, "amf.RamlParser", {
  Lamf_RamlParser: 1,
  Lamf_core_client_Parser: 1,
  Lamf_core_client_PlatformParser: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_RamlParser.prototype.$classData = $d_Lamf_RamlParser;
class $c_Lamf_core_annotations_Aliases$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_annotations_Aliases(annotatedValue, objects) {
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(annotatedValue, ",", 0);
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      const x$1 = arg1;
      const x1$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(x$1, "->", 0);
      let elem;
      matchEnd4$1: {
        const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1$1);
        if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(2) === 0)))) {
          const alias = o7.get__O().apply__I__O(0);
          const url = o7.get__O().apply__I__O(1);
          elem = new $c_T2().init___O__O(alias, url);
          break matchEnd4$1
        };
        throw new $c_s_MatchError().init___O(x1$1)
      };
      const unboxedElem = ((elem === null) ? null : elem);
      elems$2.push(unboxedElem);
      i = ((1 + i) | 0)
    };
    const xs$1 = $makeNativeArrayWrapper($d_T2.getArrayOf(), elems$2);
    const this$14 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$14);
    const b = cbf.apply__scm_Builder();
    const x1$2 = xs$1.u.length;
    switch (x1$2) {
      case (-1): {
        break
      }
      default: {
        b.sizeHint__I__V(x1$2)
      }
    };
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs$1));
    return new $c_Lamf_core_annotations_Aliases().init___sci_Set(b.result__O())
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_core_annotations_Aliases(annotatedValue, objects)
  };
}
const $d_Lamf_core_annotations_Aliases$ = new $TypeData().initClass({
  Lamf_core_annotations_Aliases$: 0
}, false, "amf.core.annotations.Aliases$", {
  Lamf_core_annotations_Aliases$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_Aliases$.prototype.$classData = $d_Lamf_core_annotations_Aliases$;
let $n_Lamf_core_annotations_Aliases$ = (void 0);
const $m_Lamf_core_annotations_Aliases$ = (function() {
  if ((!$n_Lamf_core_annotations_Aliases$)) {
    $n_Lamf_core_annotations_Aliases$ = new $c_Lamf_core_annotations_Aliases$().init___()
  };
  return $n_Lamf_core_annotations_Aliases$
});
class $c_Lamf_core_annotations_DefaultNode$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_DefaultNode().init___()
  };
}
const $d_Lamf_core_annotations_DefaultNode$ = new $TypeData().initClass({
  Lamf_core_annotations_DefaultNode$: 0
}, false, "amf.core.annotations.DefaultNode$", {
  Lamf_core_annotations_DefaultNode$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DefaultNode$.prototype.$classData = $d_Lamf_core_annotations_DefaultNode$;
let $n_Lamf_core_annotations_DefaultNode$ = (void 0);
const $m_Lamf_core_annotations_DefaultNode$ = (function() {
  if ((!$n_Lamf_core_annotations_DefaultNode$)) {
    $n_Lamf_core_annotations_DefaultNode$ = new $c_Lamf_core_annotations_DefaultNode$().init___()
  };
  return $n_Lamf_core_annotations_DefaultNode$
});
class $c_Lamf_core_annotations_LexicalInformation$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_core_annotations_LexicalInformation(annotatedValue, objects)
  };
  unparse__T__sci_Map__Lamf_core_annotations_LexicalInformation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__T__Lamf_core_parser_Range(annotatedValue))
  };
}
const $d_Lamf_core_annotations_LexicalInformation$ = new $TypeData().initClass({
  Lamf_core_annotations_LexicalInformation$: 0
}, false, "amf.core.annotations.LexicalInformation$", {
  Lamf_core_annotations_LexicalInformation$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_LexicalInformation$.prototype.$classData = $d_Lamf_core_annotations_LexicalInformation$;
let $n_Lamf_core_annotations_LexicalInformation$ = (void 0);
const $m_Lamf_core_annotations_LexicalInformation$ = (function() {
  if ((!$n_Lamf_core_annotations_LexicalInformation$)) {
    $n_Lamf_core_annotations_LexicalInformation$ = new $c_Lamf_core_annotations_LexicalInformation$().init___()
  };
  return $n_Lamf_core_annotations_LexicalInformation$
});
class $c_Lamf_core_annotations_SingleValueArray$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_SingleValueArray().init___()
  };
}
const $d_Lamf_core_annotations_SingleValueArray$ = new $TypeData().initClass({
  Lamf_core_annotations_SingleValueArray$: 0
}, false, "amf.core.annotations.SingleValueArray$", {
  Lamf_core_annotations_SingleValueArray$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SingleValueArray$.prototype.$classData = $d_Lamf_core_annotations_SingleValueArray$;
let $n_Lamf_core_annotations_SingleValueArray$ = (void 0);
const $m_Lamf_core_annotations_SingleValueArray$ = (function() {
  if ((!$n_Lamf_core_annotations_SingleValueArray$)) {
    $n_Lamf_core_annotations_SingleValueArray$ = new $c_Lamf_core_annotations_SingleValueArray$().init___()
  };
  return $n_Lamf_core_annotations_SingleValueArray$
});
class $c_Lamf_core_annotations_SourceVendor$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    const o7 = $m_Lamf_core_remote_Vendor$().unapply__T__s_Option(annotatedValue);
    if ((!o7.isEmpty__Z())) {
      const vendor = o7.get__O();
      return new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor(vendor)
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Illegal vendor: '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([annotatedValue]))))
  };
  apply__T__Lamf_core_annotations_SourceVendor(vendor) {
    return (($m_Lamf_core_remote_Raml$().name$1 === vendor) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml$()) : ((($m_Lamf_core_remote_Raml08$().name$1 === vendor) || (vendor === "RAML 0.8")) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml08$()) : ((($m_Lamf_core_remote_Raml10$().name$1 === vendor) || (vendor === "RAML 1.0")) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml10$()) : (($m_Lamf_core_remote_Oas$().name$1 === vendor) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Oas$()) : (($m_Lamf_core_remote_Amf$().name$1 === vendor) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Amf$()) : ((vendor === "OAS 2.0") ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Oas$()) : ((vendor === "AMF Graph") ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Amf$()) : new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Unknown$()))))))))
  };
}
const $d_Lamf_core_annotations_SourceVendor$ = new $TypeData().initClass({
  Lamf_core_annotations_SourceVendor$: 0
}, false, "amf.core.annotations.SourceVendor$", {
  Lamf_core_annotations_SourceVendor$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SourceVendor$.prototype.$classData = $d_Lamf_core_annotations_SourceVendor$;
let $n_Lamf_core_annotations_SourceVendor$ = (void 0);
const $m_Lamf_core_annotations_SourceVendor$ = (function() {
  if ((!$n_Lamf_core_annotations_SourceVendor$)) {
    $n_Lamf_core_annotations_SourceVendor$ = new $c_Lamf_core_annotations_SourceVendor$().init___()
  };
  return $n_Lamf_core_annotations_SourceVendor$
});
class $c_Lamf_core_annotations_SynthesizedField$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_SynthesizedField().init___()
  };
}
const $d_Lamf_core_annotations_SynthesizedField$ = new $TypeData().initClass({
  Lamf_core_annotations_SynthesizedField$: 0
}, false, "amf.core.annotations.SynthesizedField$", {
  Lamf_core_annotations_SynthesizedField$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SynthesizedField$.prototype.$classData = $d_Lamf_core_annotations_SynthesizedField$;
let $n_Lamf_core_annotations_SynthesizedField$ = (void 0);
const $m_Lamf_core_annotations_SynthesizedField$ = (function() {
  if ((!$n_Lamf_core_annotations_SynthesizedField$)) {
    $n_Lamf_core_annotations_SynthesizedField$ = new $c_Lamf_core_annotations_SynthesizedField$().init___()
  };
  return $n_Lamf_core_annotations_SynthesizedField$
});
const $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "encodes"), true))
});
const $f_Lamf_core_metamodel_document_FragmentModel__modelInstance__Lamf_core_model_domain_AmfObject = (function($thiz) {
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Fragment is abstract instances cannot be created directly"))
});
const $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_DomainElementModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "declares"), true))
});
class $c_Lamf_core_metamodel_domain_LinkableElementModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.fields$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_domain_LinkableElementModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Linkable")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    $m_sci_List$();
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.TargetId$1, this.Label$1]);
    const this$6 = $m_sci_List$();
    const cbf$1 = this$6.ReusableCBFInstance$2;
    this.fields$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_LinkableElementModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_LinkableElementModel$: 0
}, false, "amf.core.metamodel.domain.LinkableElementModel$", {
  Lamf_core_metamodel_domain_LinkableElementModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_domain_LinkableElementModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_LinkableElementModel$;
let $n_Lamf_core_metamodel_domain_LinkableElementModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_LinkableElementModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_LinkableElementModel$)) {
    $n_Lamf_core_metamodel_domain_LinkableElementModel$ = new $c_Lamf_core_metamodel_domain_LinkableElementModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_LinkableElementModel$
});
class $c_Lamf_core_model_domain_templates_ParametrizedDeclaration extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  adopted__T__Lamf_core_model_domain_templates_ParametrizedDeclaration(parent) {
    const value = ((parent + "/") + this.name__T());
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  name__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1)
  };
  variables__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Variables$1)
  };
  target__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_templates_ParametrizedDeclaration(parent)
  };
}
const $is_Lamf_core_model_domain_templates_ParametrizedDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_ParametrizedDeclaration)))
});
const $isArrayOf_Lamf_core_model_domain_templates_ParametrizedDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_ParametrizedDeclaration)))
});
class $c_Lamf_model_domain_DataNode extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.dataNode$3 = null
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.dataNode$3;
    return this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1)
  };
  canEqual__O__Z(other) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DataNode is abstract"))
  };
  withName__T__Lamf_model_domain_DataNode(name) {
    const this$1 = this.dataNode$3;
    const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$canEqual__O__O(other) {
    return this.canEqual__O__Z(other)
  };
  init___Lamf_core_model_domain_DataNode(dataNode) {
    this.dataNode$3 = dataNode;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_DataNode(name)
  };
  element__Lamf_core_model_domain_DataNode() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DataNode is abstract"))
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.element__Lamf_core_model_domain_DataNode()
  };
  "canEqual"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$canEqual__O__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_DataNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_DataNode)))
});
const $isArrayOf_Lamf_model_domain_DataNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_DataNode)))
});
const $d_Lamf_model_domain_DataNode = new $TypeData().initClass({
  Lamf_model_domain_DataNode: 0
}, false, "amf.model.domain.DataNode", {
  Lamf_model_domain_DataNode: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_DataNode.prototype.$classData = $d_Lamf_model_domain_DataNode;
class $c_Lamf_model_domain_DomainEntity extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.entity$3 = null;
    this.definition$3 = null
  };
  element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity() {
    return this.entity$3
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(entity) {
    this.entity$3 = entity;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.definition$3 = entity.definition$1;
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity()
  };
  $$js$exported$prop$definition__O() {
    return this.definition$3
  };
  get "definition"() {
    return this.$$js$exported$prop$definition__O()
  };
}
const $is_Lamf_model_domain_DomainEntity = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_DomainEntity)))
});
const $isArrayOf_Lamf_model_domain_DomainEntity = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_DomainEntity)))
});
const $d_Lamf_model_domain_DomainEntity = new $TypeData().initClass({
  Lamf_model_domain_DomainEntity: 0
}, false, "amf.model.domain.DomainEntity", {
  Lamf_model_domain_DomainEntity: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_DomainEntity.prototype.$classData = $d_Lamf_model_domain_DomainEntity;
class $c_Lamf_model_domain_ParametrizedDeclaration extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.declaration$3 = null;
    this.name$3 = null;
    this.target$3 = null;
    this.variables$3 = null
  };
  $$js$exported$prop$name__O() {
    return this.name$3
  };
  $$js$exported$prop$target__O() {
    return this.target$3
  };
  element__Lamf_core_model_domain_templates_ParametrizedDeclaration() {
    return this.declaration$3
  };
  withTarget__Lamf_model_domain_AbstractDeclaration__Lamf_model_domain_ParametrizedDeclaration(target) {
    const this$1 = this.declaration$3;
    const target$1 = target.decl$3;
    const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, target$1);
    return this
  };
  withName__T__Lamf_model_domain_ParametrizedDeclaration(name) {
    const this$1 = this.declaration$3;
    const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withVariables__sjs_js_Iterable__Lamf_model_domain_ParametrizedDeclaration(variables) {
    const this$8 = this.declaration$3;
    $m_sc_Iterable$();
    $m_sc_Iterable$();
    $m_sci_Iterable$();
    const b = new $c_scm_ListBuffer().init___();
    const __self = variables[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      const x$1 = value;
      const elem = x$1.variable$3;
      b.$$plus$eq__O__scm_ListBuffer(elem)
    };
    const this$7 = b.toList__sci_List();
    const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Variables$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$8, field, this$7);
    return this
  };
  init___Lamf_core_model_domain_templates_ParametrizedDeclaration(declaration) {
    this.declaration$3 = declaration;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.name$3 = declaration.name__T();
    const this$2 = this.platform$2;
    const entity = declaration.target__Lamf_core_model_domain_templates_AbstractDeclaration();
    this.target$3 = $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, entity);
    const this$3 = $m_s_Option$().apply__O__s_Option(declaration.variables__sc_Seq());
    const jsx$2 = (this$3.isEmpty__Z() ? $m_sci_Nil$() : this$3.get__O());
    const jsx$1 = $m_Lamf_model_domain_VariableValue$();
    const this$4 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    const this$7 = $m_sjsr_package$();
    let jsx$3;
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      jsx$3 = x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      jsx$3 = x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$7, result)));
      jsx$3 = result
    };
    this.variables$3 = jsx$3;
    return this
  };
  $$js$exported$prop$variables__O() {
    return this.variables$3
  };
  $$js$exported$meth$withTarget__Lamf_model_domain_AbstractDeclaration__O(target) {
    return this.withTarget__Lamf_model_domain_AbstractDeclaration__Lamf_model_domain_ParametrizedDeclaration(target)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_ParametrizedDeclaration(name)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.element__Lamf_core_model_domain_templates_ParametrizedDeclaration()
  };
  $$js$exported$meth$withVariables__sjs_js_Iterable__O(variables) {
    return this.withVariables__sjs_js_Iterable__Lamf_model_domain_ParametrizedDeclaration(variables)
  };
  "withVariables"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVariables__sjs_js_Iterable__O(prep0)
  };
  "withTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTarget__Lamf_model_domain_AbstractDeclaration__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "variables"() {
    return this.$$js$exported$prop$variables__O()
  };
  get "target"() {
    return this.$$js$exported$prop$target__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_ParametrizedDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ParametrizedDeclaration)))
});
const $isArrayOf_Lamf_model_domain_ParametrizedDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ParametrizedDeclaration)))
});
const $d_Lamf_model_domain_ParametrizedDeclaration = new $TypeData().initClass({
  Lamf_model_domain_ParametrizedDeclaration: 0
}, false, "amf.model.domain.ParametrizedDeclaration", {
  Lamf_model_domain_ParametrizedDeclaration: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_ParametrizedDeclaration.prototype.$classData = $d_Lamf_model_domain_ParametrizedDeclaration;
class $c_Lamf_model_domain_Settings extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.settings$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  additionalProperties__Lamf_model_domain_DataNode() {
    const jsx$1 = $m_Lamf_model_domain_DataNode$();
    const this$1 = this.settings__Lamf_plugins_domain_webapi_models_security_Settings();
    return jsx$1.apply__Lamf_core_model_domain_DataNode__Lamf_model_domain_DataNode(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1))
  };
  $$js$exported$meth$withAdditionalProperties__Lamf_model_domain_DataNode__O(additionalProperties) {
    return this.withAdditionalProperties__Lamf_model_domain_DataNode__Lamf_model_domain_Settings(additionalProperties)
  };
  element__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings__Lamf_plugins_domain_webapi_models_security_Settings()
  };
  withAdditionalProperties__Lamf_model_domain_DataNode__Lamf_model_domain_Settings(additionalProperties) {
    const this$1 = this.settings__Lamf_plugins_domain_webapi_models_security_Settings();
    const additionalProperties$1 = additionalProperties.dataNode$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, additionalProperties$1);
    return this
  };
  settings__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings$3
  };
  $$js$exported$prop$additionalProperties__O() {
    return this.additionalProperties__Lamf_model_domain_DataNode()
  };
  init___Lamf_plugins_domain_webapi_models_security_Settings(settings) {
    this.settings$3 = settings;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.element__Lamf_plugins_domain_webapi_models_security_Settings()
  };
  "withAdditionalProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAdditionalProperties__Lamf_model_domain_DataNode__O(prep0)
  };
  get "additionalProperties"() {
    return this.$$js$exported$prop$additionalProperties__O()
  };
}
const $is_Lamf_model_domain_Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Settings)))
});
const $isArrayOf_Lamf_model_domain_Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Settings)))
});
const $d_Lamf_model_domain_Settings = new $TypeData().initClass({
  Lamf_model_domain_Settings: 0
}, false, "amf.model.domain.Settings", {
  Lamf_model_domain_Settings: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_model_domain_Settings.prototype.$classData = $d_Lamf_model_domain_Settings;
class $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode extends $c_Lamf_plugins_document_vocabularies_spec_DialectNode {
  dialect__s_Option() {
    return new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$())
  };
  init___T__Lamf_core_vocabulary_Namespace(shortName, namespace) {
    $c_Lamf_plugins_document_vocabularies_spec_DialectNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, shortName, namespace);
    const this$1 = this.namespace$1;
    this.id$1 = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, shortName).iri__T());
    return this
  };
  refMap__T__Z__Z__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(name, isDeclaration, required) {
    const hash = $m_Lamf_plugins_document_vocabularies_core_NodeReference$().idProperty$3;
    const node = $m_Lamf_plugins_document_vocabularies_core_NodeReference$();
    const x$83 = new $c_s_Some().init___O(hash);
    const x$84 = $m_s_None$();
    const x$87 = $m_s_None$();
    const x$90 = $m_s_None$();
    const x$94 = $m_s_None$();
    const x$95 = $m_s_None$();
    const x$97 = $m_s_None$();
    const x$98 = $m_s_None$();
    const x$100 = $m_s_None$();
    const x$101 = $m_s_None$();
    const x$102 = $m_s_None$();
    const x$103 = $m_s_None$();
    const x$104 = $m_s_None$();
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(name, node, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104);
    const x$35 = arg1.name$1;
    const x$36 = arg1.range$1;
    const x$37 = arg1.unionTypes$1;
    const x$38 = arg1.collection$1;
    const x$39 = arg1.referenceTarget$1;
    const x$40 = arg1.noRAML$1;
    const x$41 = arg1.noLastSegmentTrimInMaps$1;
    const x$42 = arg1.hash$1;
    const x$43 = arg1.hashValue$1;
    const x$44 = arg1.fromVal$1;
    const x$45 = arg1.isDocumentDeclaration$1;
    const x$46 = arg1.namespace$1;
    const x$47 = arg1.rdfName$1;
    const x$48 = arg1.jsonld$1;
    const x$49 = arg1.owningNode$1;
    const x$50 = arg1.scalaNameOverride$1;
    const x$51 = arg1.allowInplace$1;
    const x$52 = arg1.pattern$1;
    const x$53 = arg1.enum$1;
    const x$54 = arg1.minimum$1;
    const x$55 = arg1.maximum$1;
    const x$56 = arg1.defaultValue$1;
    return this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$35, x$36, x$37, required, x$38, x$39, x$40, x$41, x$42, x$43, x$44, isDeclaration, x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$52, x$53, x$54, x$55, x$56))
  };
  shortName__T() {
    return this.shortName$1
  };
}
class $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect extends $c_Lamf_plugins_document_vocabularies_spec_DialectNode {
  dialect__s_Option() {
    return new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$())
  };
  init___T__Lamf_core_vocabulary_Namespace(shortName, namespace) {
    $c_Lamf_plugins_document_vocabularies_spec_DialectNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, shortName, namespace);
    const this$1 = this.namespace$1;
    this.id$1 = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, shortName).iri__T());
    return this
  };
  shortName__T() {
    return this.shortName$1
  };
}
class $c_Lamf_plugins_document_webapi_annotations_DeclaredElement$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___()
  };
}
const $d_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_DeclaredElement$: 0
}, false, "amf.plugins.document.webapi.annotations.DeclaredElement$", {
  Lamf_plugins_document_webapi_annotations_DeclaredElement$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_DeclaredElement$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_DeclaredElement$;
let $n_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_DeclaredElement$)) {
    $n_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_DeclaredElement$
});
class $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_LocalLinkPath$: 0
}, false, "amf.plugins.document.webapi.annotations.LocalLinkPath$", {
  Lamf_plugins_document_webapi_annotations_LocalLinkPath$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_LocalLinkPath$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath$;
let $n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$)) {
    $n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = new $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$
});
class $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$: 0
}, false, "amf.plugins.document.webapi.annotations.ParsedJSONSchema$", {
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$;
let $n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$)) {
    $n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = new $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser {
  constructor() {
    super();
    this.ctx$2 = null
  };
  parseTypeDeclarations__p2__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$1 = this.typeOrSchema__p2__Lorg_yaml_model_YMap__s_Option(map);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const e = arg1;
      const this$2 = e.value$1;
      const x1 = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$2) {
          return (function(entry$2) {
            const entry = entry$2;
            const x1$1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$2$1, entry$1) {
              return (function(shape$2) {
                const shape = shape$2;
                $m_Lorg_yaml_model_YNode$();
                const node = entry$1.key$1;
                const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
                const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field, name).adopted__T__Lamf_core_model_domain_AmfObject(parent$2$1)
              })
            })($this, parent$2, entry)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), $this.ctx$2).parse__s_Option();
            if ($is_s_Some(x1$1)) {
              const x2 = x1$1;
              const shape$3 = x2.value$2;
              const this$5 = entry.value$1;
              const x$1 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
              const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
              if ((x$1 === x$2)) {
                shape$3.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___())
              };
              const jsx$1 = $this.ctx$2.declarations$3;
              const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
              return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape$3, annotation))
            } else {
              const x$3 = $m_s_None$();
              if ((x$3 === x1$1)) {
                $this.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(parent$2, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing shape '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry])), entry);
                return (void 0)
              } else {
                throw new $c_s_MatchError().init___O(x1$1)
              }
            }
          })
        })(this, parent)))
      } else {
        const x$3$1 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3$1 === x1))) {
          this.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(parent, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'types' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])), e.value$1)
        }
      }
    }
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
  parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(root, map) {
    const parent = (root.location$1 + "#/declarations");
    this.parseTypeDeclarations__p2__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext("traits", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(entry)
      })
    })(this)), map, parent, this.ctx$2).parse__V();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext("resourceTypes", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(entry$3$2) {
        const entry$3 = entry$3$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry$3)
      })
    })(this)), map, parent, this.ctx$2).parse__V();
    this.parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V("(parameters)", map, (root.location$1 + "#/parameters"));
    this.parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V("(responses)", map, (root.location$1 + "#/responses"))
  };
  parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option(key);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$2) {
        return (function(e$2) {
          const e = e$2;
          const jsx$1 = $this.ctx$2.declarations$3;
          const this$8 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$2$1) {
            return (function(name$2) {
              const name = name$2;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$7 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, name).adopted__T__Lamf_plugins_domain_webapi_models_Response(parentPath$2$1)
            })
          })($this, parentPath$2)), $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext($this.ctx$2)).parse__Lamf_plugins_domain_webapi_models_Response();
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$8, annotation))
        })
      })(this, parentPath)))
    }
  };
  typeOrSchema__p2__Lorg_yaml_model_YMap__s_Option(map) {
    const types = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("types");
    const schemas = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schemas");
    if ((!types.isEmpty__Z())) {
      const arg1 = types.get__O();
      if ((!schemas.isEmpty__Z())) {
        const arg1$1 = schemas.get__O();
        const s = arg1$1;
        this.ctx$2.violation__T__s_Option__V("'schemas' and 'types' properties are mutually exclusive", new $c_s_Some().init___O(s.key$1))
      }
    };
    if ((!schemas.isEmpty__Z())) {
      const arg1$2 = schemas.get__O();
      const s$1 = arg1$2;
      this.ctx$2.warning__T__s_Option__V("'schemas' keyword it's deprecated for 1.0 version, should use 'types' instead", new $c_s_Some().init___O(s$1.key$1))
    };
    return (types.isEmpty__Z() ? schemas : types)
  };
  parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, customProperties) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("annotationTypes");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const this$4 = e.value$1;
      const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        const jsx$3 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2).entries$3;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, customProperties$1) {
          return (function(entry$2) {
            const entry = entry$2;
            const typeName = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$2);
            const customProperty$3 = $this.AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, customProperties$1$1, typeName$1) {
              return (function(customProperty$2) {
                const customProperty = customProperty$2;
                const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(customProperty, field, typeName$1).adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(customProperties$1$1)
              })
            })($this, customProperties$1, typeName)));
            const jsx$2 = $this.ctx$2.declarations$3;
            const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
            return jsx$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(customProperty$3, annotation))
          })
        })(this, customProperties));
        const this$5 = $m_sc_IndexedSeq$();
        jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBF$6)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3 === x1))) {
          this.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(customProperties, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'annotationTypes' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])), e.value$1)
        }
      }
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(ast, adopt) {
    const this$1 = ast.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, ast, ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).text$3, ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const domainProp = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        adopt.apply__O__O(domainProp);
        this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(domainProp.id$1, "Invalid value type for annotation types parser, expected map or scalar reference", ast.value$1);
        return domainProp
      } else {
        const key = ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).text$3;
        const scalar = ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f);
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const domainProp$2 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        adopt.apply__O__O(domainProp$2);
        const x1$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.declarations$3.findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option(scalar.text$3, $m_Lamf_core_parser_SearchScope$All$());
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const a = x2.value$2;
          const label = scalar.text$3;
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
          const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(a, label, annotations$2);
          copied.id$1 = null;
          const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
          adopt.apply__O__O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, key));
          return copied
        } else {
          const x1$3 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(ast, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, domainProp$2$1) {
            return (function(shape$2) {
              const shape = shape$2;
              return shape.adopted__T__Lamf_core_model_domain_AmfObject(domainProp$2$1.id$1)
            })
          })(this, domainProp$2)), true, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__s_Option();
          if ($is_s_Some(x1$3)) {
            const x2$2 = x1$3;
            const schema = x2$2.value$2;
            const field$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(domainProp$2, field$1, schema)
          } else {
            this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(domainProp$2.id$1, "Could not find declared annotation link in references", scalar);
            return domainProp$2
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$AnnotationTypesParser$", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$;
class $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$: 0
}, false, "amf.plugins.domain.shapes.annotations.ParsedFromTypeExpression$", {
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$;
let $n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = (void 0);
const $m_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$)) {
    $n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = new $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$
});
class $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_ParentEndPoint(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(objects.apply__O__O(annotatedValue))
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_ParentEndPoint(annotatedValue, objects)
  };
}
const $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint$: 0
}, false, "amf.plugins.domain.webapi.annotations.ParentEndPoint$", {
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$;
let $n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = (void 0);
const $m_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$)) {
    $n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = new $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$
});
class $c_Lamf_plugins_domain_webapi_models_security_Settings extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  cloneSettings__T__Lamf_plugins_domain_webapi_models_security_Settings(parent) {
    let cloned;
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(this)) {
      const annotations = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(this)) {
      const annotations$1 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(this)) {
      const annotations$2 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2)
    } else {
      const annotations$3 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3)
    };
    cloned.adopted__T__Lamf_plugins_domain_webapi_models_security_Settings(parent);
    const this$10 = this.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
            const x2 = x1$2;
            const jsx$2 = x2.values$1;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x0$2)) {
                  const x2$1 = x0$2;
                  return x2$1.cloneScope__Lamf_plugins_domain_webapi_models_security_Scope()
                } else {
                  return x0$2
                }
              })
            })($this));
            const this$9 = $m_sc_Seq$();
            clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$9.ReusableCBFInstance$2), x2.annotations$1)
          } else {
            clonedValue = x1$2
          };
          const annotations$4 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$10.fs$1.foreach__F1__V(fn);
    return cloned
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_Settings(parent) {
    const value = (parent + "/settings/default");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_Settings(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_Settings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_Settings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_Settings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_Settings: 0
}, false, "amf.plugins.domain.webapi.models.security.Settings", {
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_Settings;
class $c_Ljava_io_FilterOutputStream extends $c_Ljava_io_OutputStream {
  constructor() {
    super();
    this.out$2 = null
  };
  init___Ljava_io_OutputStream(out) {
    this.out$2 = out;
    return this
  };
}
class $c_Ljava_io_IOException extends $c_jl_Exception {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Ljava_io_IOException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_io_IOException)))
});
const $isArrayOf_Ljava_io_IOException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_io_IOException)))
});
const $d_Ljava_io_IOException = new $TypeData().initClass({
  Ljava_io_IOException: 0
}, false, "java.io.IOException", {
  Ljava_io_IOException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_io_IOException.prototype.$classData = $d_Ljava_io_IOException;
class $c_Ljava_math_BigDecimal extends $c_jl_Number {
  constructor() {
    super();
    this.$$undtoStringImage$2 = null;
    this.$$undhashCode$2 = 0;
    this.$$undintVal$2 = null;
    this.java$math$BigDecimal$$$undbitLength$2 = 0;
    this.java$math$BigDecimal$$$undsmallValue$2 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.java$math$BigDecimal$$$undscale$2 = 0;
    this.$$undprecision$2 = 0
  };
  longValue__J() {
    return (((this.java$math$BigDecimal$$$undscale$2 <= (-64)) || (this.java$math$BigDecimal$$$undscale$2 > this.approxPrecision__p2__I())) ? $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong() : this.toBigInteger__Ljava_math_BigInteger().longValue__J())
  };
  init___() {
    this.$$undtoStringImage$2 = null;
    this.$$undhashCode$2 = 0;
    this.java$math$BigDecimal$$$undbitLength$2 = 0;
    this.java$math$BigDecimal$$$undsmallValue$2 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.java$math$BigDecimal$$$undscale$2 = 0;
    this.$$undprecision$2 = 0;
    return this
  };
  valueExact__p2__I__J(bitLengthOfType) {
    const value = this.java$math$BigDecimal$$$undscale$2;
    const hi = (value >> 31);
    const lo = ((-value) | 0);
    const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
    const value$1 = this.approxPrecision__p2__I();
    const hi$2 = (value$1 >> 31);
    const lo$1 = ((lo + value$1) | 0);
    const hi$3 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + ((hi$1 + hi$2) | 0)) | 0) : ((hi$1 + hi$2) | 0));
    if (((hi$3 === 0) ? (((-2147483648) ^ lo$1) > (-2147483629)) : (hi$3 > 0))) {
      throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
    };
    const bigInteger = this.toBigIntegerExact__Ljava_math_BigInteger();
    if (($m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(bigInteger) < bitLengthOfType)) {
      return bigInteger.longValue__J()
    } else {
      throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
    }
  };
  equals__O__Z(x) {
    if ($is_Ljava_math_BigDecimal(x)) {
      const x2 = x;
      if ((x2.java$math$BigDecimal$$$undscale$2 === this.java$math$BigDecimal$$$undscale$2)) {
        if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
          const t = x2.java$math$BigDecimal$$$undsmallValue$2;
          const lo = t.lo$2;
          const hi = t.hi$2;
          const b = this.java$math$BigDecimal$$$undsmallValue$2;
          return ((lo === b.lo$2) && (hi === b.hi$2))
        } else {
          return $m_sr_BoxesRunTime$().equalsNumNum__jl_Number__jl_Number__Z(this.$$undintVal$2, x2.$$undintVal$2)
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  intValueExact__I() {
    const t = this.valueExact__p2__I__J(32);
    const lo = t.lo$2;
    return lo
  };
  isZero__p2__Z() {
    if ((this.java$math$BigDecimal$$$undbitLength$2 === 0)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const lo = t.lo$2;
      const hi = t.hi$2;
      return (!((lo === (-1)) && (hi === (-1))))
    } else {
      return false
    }
  };
  stripTrailingZeros__Ljava_math_BigDecimal() {
    if (this.isZero__p2__Z()) {
      return this
    } else {
      const lastPow = (((-1) + $m_Ljava_math_Multiplication$().BigTenPows$1.u.length) | 0);
      let i = 1;
      let strippedBI = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      let scale_$_lo$2 = value;
      let scale_$_hi$2 = hi;
      let x1_$_$$und1$f;
      let x1_$_$$und2$f;
      _loop: while (true) {
        if ((!strippedBI.testBit__I__Z(0))) {
          const qr = strippedBI.divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem($m_Ljava_math_Multiplication$().BigTenPows$1.u[i]);
          const this$1 = qr.rem$1;
          if ((this$1.sign$2 === 0)) {
            const temp$i = ((i < lastPow) ? ((1 + i) | 0) : i);
            const temp$strippedBI = qr.quot$1;
            const this$2_$_lo$2 = scale_$_lo$2;
            const this$2_$_hi$2 = scale_$_hi$2;
            const value$1 = i;
            const hi$1 = (value$1 >> 31);
            const alo = this$2_$_lo$2;
            const ahi = this$2_$_hi$2;
            const lo = ((alo - value$1) | 0);
            const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - hi$1) | 0)) | 0) : ((ahi - hi$1) | 0));
            i = temp$i;
            strippedBI = temp$strippedBI;
            const jsx$1_$_lo$2 = lo;
            const jsx$1_$_hi$2 = hi$2;
            scale_$_lo$2 = jsx$1_$_lo$2;
            scale_$_hi$2 = jsx$1_$_hi$2;
            continue _loop
          };
          if ((i !== 1)) {
            i = 1;
            continue _loop
          };
          const _1 = strippedBI;
          const _2_$_lo$2 = scale_$_lo$2;
          const _2_$_hi$2 = scale_$_hi$2;
          const jsx$2_$_$$und1$f = _1;
          const jsx$2_$_$$und2$f = new $c_sjsr_RuntimeLong().init___I__I(_2_$_lo$2, _2_$_hi$2);
          x1_$_$$und1$f = jsx$2_$_$$und1$f;
          x1_$_$$und2$f = jsx$2_$_$$und2$f;
          break
        } else {
          const _1$1 = strippedBI;
          const _2$1_$_lo$2 = scale_$_lo$2;
          const _2$1_$_hi$2 = scale_$_hi$2;
          const jsx$3_$_$$und1$f = _1$1;
          const jsx$3_$_$$und2$f = new $c_sjsr_RuntimeLong().init___I__I(_2$1_$_lo$2, _2$1_$_hi$2);
          x1_$_$$und1$f = jsx$3_$_$$und1$f;
          x1_$_$$und2$f = jsx$3_$_$$und2$f;
          break
        }
      };
      const strippedBI$1 = x1_$_$$und1$f;
      const t = $uJ(x1_$_$$und2$f);
      const lo$1 = t.lo$2;
      const hi$3 = t.hi$2;
      const t$1 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$3));
      const lo$2 = t$1.lo$2;
      const hi$4 = t$1.hi$2;
      return new $c_Ljava_math_BigDecimal().init___Ljava_math_BigInteger__I(strippedBI$1, $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)))
    }
  };
  inplaceRound__p2__Ljava_math_MathContext__V(mc) {
    const mcPrecision = mc.precision$1;
    const discardedPrecision = ((this.precision__I() - mcPrecision) | 0);
    const mcPrecGood = ((this.approxPrecision__p2__I() < mcPrecision) || (mcPrecision === 0));
    if ((!(mcPrecGood || (discardedPrecision <= 0)))) {
      if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
        this.smallRound__p2__Ljava_math_MathContext__I__V(mc, discardedPrecision)
      } else {
        const jsx$1 = $m_Ljava_math_Multiplication$();
        const hi = (discardedPrecision >> 31);
        const sizeOfFraction = jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(discardedPrecision, hi));
        const integerAndFraction = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger().divideAndRemainder__Ljava_math_BigInteger__ALjava_math_BigInteger(sizeOfFraction);
        const value = this.java$math$BigDecimal$$$undscale$2;
        const hi$1 = (value >> 31);
        const hi$2 = (discardedPrecision >> 31);
        const lo = ((value - discardedPrecision) | 0);
        const hi$3 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
        const this$2 = integerAndFraction.u[1];
        let newScale_$_lo$2;
        let newScale_$_hi$2;
        if ((this$2.sign$2 !== 0)) {
          const absBi = integerAndFraction.u[1].abs__Ljava_math_BigInteger();
          const compRem = absBi.shiftLeftOneBit__Ljava_math_BigInteger().compareTo__Ljava_math_BigInteger__I(sizeOfFraction);
          const parityBit = (integerAndFraction.u[0].testBit__I__Z(0) ? 1 : 0);
          const this$3 = integerAndFraction.u[1];
          const frac = $imul(this$3.sign$2, ((5 + compRem) | 0));
          const carry = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$roundingBehavior__I__I__Ljava_math_RoundingMode__I(parityBit, frac, mc.roundingMode$1);
          if ((carry !== 0)) {
            const jsx$2 = $m_Ljava_math_BigInteger$();
            const hi$4 = (carry >> 31);
            const bi = jsx$2.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(carry, hi$4));
            const this$4 = integerAndFraction.u[0];
            integerAndFraction.u[0] = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$4, bi)
          };
          const tempBD = new $c_Ljava_math_BigDecimal().init___Ljava_math_BigInteger(integerAndFraction.u[0]);
          if ((tempBD.precision__I() > mcPrecision)) {
            integerAndFraction.u[0] = integerAndFraction.u[0].divide__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().TEN$1);
            const lo$1 = (((-1) + lo) | 0);
            const hi$5 = ((lo$1 !== (-1)) ? hi$3 : (((-1) + hi$3) | 0));
            const jsx$3_$_lo$2 = lo$1;
            const jsx$3_$_hi$2 = hi$5;
            newScale_$_lo$2 = jsx$3_$_lo$2;
            newScale_$_hi$2 = jsx$3_$_hi$2
          } else {
            const jsx$4_$_lo$2 = lo;
            const jsx$4_$_hi$2 = hi$3;
            newScale_$_lo$2 = jsx$4_$_lo$2;
            newScale_$_hi$2 = jsx$4_$_hi$2
          }
        } else {
          const jsx$5_$_lo$2 = lo;
          const jsx$5_$_hi$2 = hi$3;
          newScale_$_lo$2 = jsx$5_$_lo$2;
          newScale_$_hi$2 = jsx$5_$_hi$2
        };
        this.java$math$BigDecimal$$$undscale$2 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(newScale_$_lo$2, newScale_$_hi$2));
        this.$$undprecision$2 = mcPrecision;
        this.setUnscaledValue__p2__Ljava_math_BigInteger__V(integerAndFraction.u[0])
      }
    }
  };
  init___Ljava_math_BigInteger__I(unscaledVal, scale) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    if ((unscaledVal === null)) {
      throw new $c_jl_NullPointerException().init___T("unscaledVal == null")
    };
    this.java$math$BigDecimal$$$undscale$2 = scale;
    this.setUnscaledValue__p2__Ljava_math_BigInteger__V(unscaledVal);
    return this
  };
  toString__T() {
    if ((this.$$undtoStringImage$2 !== null)) {
      return this.$$undtoStringImage$2
    } else if ((this.java$math$BigDecimal$$$undbitLength$2 < 32)) {
      this.$$undtoStringImage$2 = $m_Ljava_math_Conversion$().toDecimalScaledString__J__I__T(this.java$math$BigDecimal$$$undsmallValue$2, this.java$math$BigDecimal$$$undscale$2);
      return this.$$undtoStringImage$2
    } else {
      const this$1 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const intString = $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1);
      if ((this.java$math$BigDecimal$$$undscale$2 === 0)) {
        return intString
      } else {
        const this$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
        let begin;
        if ((this$2.sign$2 < 0)) {
          begin = 2
        } else {
          begin = 1
        };
        const end = (intString.length | 0);
        const value = this.java$math$BigDecimal$$$undscale$2;
        const hi = (value >> 31);
        const lo = ((-value) | 0);
        const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
        const hi$2 = (end >> 31);
        const lo$1 = ((lo + end) | 0);
        const hi$3 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + ((hi$1 + hi$2) | 0)) | 0) : ((hi$1 + hi$2) | 0));
        const hi$4 = (begin >> 31);
        const lo$2 = ((lo$1 - begin) | 0);
        const hi$5 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ lo$1)) ? (((-1) + ((hi$3 - hi$4) | 0)) | 0) : ((hi$3 - hi$4) | 0));
        let result;
        if (((this.java$math$BigDecimal$$$undscale$2 > 0) && ((hi$5 === (-1)) ? (((-2147483648) ^ lo$2) >= 2147483642) : (hi$5 > (-1))))) {
          if ((hi$5 >= 0)) {
            $m_Ljava_math_BigDecimal$();
            const pos = ((end - this.java$math$BigDecimal$$$undscale$2) | 0);
            $m_Ljava_math_BigDecimal$();
            result = ((intString.substring(0, pos) + ".") + intString.substring(pos))
          } else {
            $m_Ljava_math_BigDecimal$();
            $m_Ljava_math_BigDecimal$();
            const pos$1 = (((-1) + begin) | 0);
            $m_Ljava_math_BigDecimal$();
            const s = ((intString.substring(0, pos$1) + "0.") + intString.substring(pos$1));
            const pos$2 = ((1 + begin) | 0);
            const xs = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$CharZeros$1;
            const b = new $c_scm_StringBuilder().init___();
            let elem$1 = false;
            elem$1 = true;
            b.append__T__scm_StringBuilder("");
            let i = 0;
            const len = xs.u.length;
            while ((i < len)) {
              const idx = i;
              const c = xs.u[idx];
              const arg1 = new $c_jl_Character().init___C(c);
              if (elem$1) {
                b.append__O__scm_StringBuilder(arg1);
                elem$1 = false
              } else {
                b.append__T__scm_StringBuilder("");
                b.append__O__scm_StringBuilder(arg1)
              };
              i = ((1 + i) | 0)
            };
            b.append__T__scm_StringBuilder("");
            const this$29 = b.underlying$5;
            const s2 = this$29.content$1;
            const s2Len = (((-1) - lo$2) | 0);
            $m_Ljava_math_BigDecimal$();
            const s2$1 = s2.substring(0, s2Len);
            result = ((("" + s.substring(0, pos$2)) + s2$1) + s.substring(pos$2))
          }
        } else {
          const r0 = ((((end - begin) | 0) >= 1) ? ($m_Ljava_math_BigDecimal$(), $m_Ljava_math_BigDecimal$(), ((intString.substring(0, begin) + ".") + intString.substring(begin))) : intString);
          const r1 = (r0 + "E");
          const r2 = (((hi$5 === 0) ? (lo$2 !== 0) : (hi$5 > 0)) ? (r1 + "+") : r1);
          result = (r2 + $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(lo$2, hi$5))
        };
        this.$$undtoStringImage$2 = result;
        return this.$$undtoStringImage$2
      }
    }
  };
  signum__I() {
    if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const hi = t.hi$2;
      if ((hi < 0)) {
        return (-1)
      } else {
        const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
        const lo$1 = t$1.lo$2;
        const hi$1 = t$1.hi$2;
        if (((hi$1 === 0) ? (lo$1 !== 0) : (hi$1 > 0))) {
          return 1
        } else {
          return 0
        }
      }
    } else {
      const this$1 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      return this$1.sign$2
    }
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_math_BigDecimal__I(x$1)
  };
  init___I__I(smallValue, scale) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    const hi = (smallValue >> 31);
    this.java$math$BigDecimal$$$undsmallValue$2 = new $c_sjsr_RuntimeLong().init___I__I(smallValue, hi);
    this.java$math$BigDecimal$$$undscale$2 = scale;
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$bitLength__I__I(smallValue);
    return this
  };
  toBigInteger__Ljava_math_BigInteger() {
    if (((this.java$math$BigDecimal$$$undscale$2 === 0) || this.isZero__p2__Z())) {
      return this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger()
    } else if ((this.java$math$BigDecimal$$$undscale$2 < 0)) {
      const jsx$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$1 = $m_Ljava_math_Multiplication$();
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      const lo = ((-value) | 0);
      const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
      return jsx$2.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$1)))
    } else {
      const jsx$4 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$3 = $m_Ljava_math_Multiplication$();
      const value$1 = this.java$math$BigDecimal$$$undscale$2;
      const hi$2 = (value$1 >> 31);
      return jsx$4.divide__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$3.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$1, hi$2)))
    }
  };
  init___T__Ljava_math_MathContext(sVal, mc) {
    $c_Ljava_math_BigDecimal.prototype.init___AC__I__I.call(this, $m_sjsr_RuntimeString$().toCharArray__T__AC(sVal), 0, (sVal.length | 0));
    this.inplaceRound__p2__Ljava_math_MathContext__V(mc);
    return this
  };
  scaleByPowerOfTen__I__Ljava_math_BigDecimal(n) {
    const value = this.java$math$BigDecimal$$$undscale$2;
    const hi = (value >> 31);
    const hi$1 = (n >> 31);
    const lo = ((value - n) | 0);
    const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const lo$1 = t.lo$2;
      const hi$3 = t.hi$2;
      if (((lo$1 === 0) && (hi$3 === 0))) {
        return $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$zeroScaledBy__J__Ljava_math_BigDecimal(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2))
      } else {
        return $m_Ljava_math_BigDecimal$().valueOf__J__I__Ljava_math_BigDecimal(this.java$math$BigDecimal$$$undsmallValue$2, $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2)))
      }
    } else {
      return new $c_Ljava_math_BigDecimal().init___Ljava_math_BigInteger__I(this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger(), $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2)))
    }
  };
  precision__I() {
    if ((this.$$undprecision$2 === 0)) {
      let jsx$1;
      if ((this.java$math$BigDecimal$$$undbitLength$2 === 0)) {
        jsx$1 = 1
      } else if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
        jsx$1 = this.decimalDigitsInLong__p2__J__I(this.java$math$BigDecimal$$$undsmallValue$2)
      } else {
        const decimalDigits = ((1 + $doubleToInt((0.3010299956639812 * (((-1) + this.java$math$BigDecimal$$$undbitLength$2) | 0)))) | 0);
        const jsx$3 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
        const jsx$2 = $m_Ljava_math_Multiplication$();
        const hi = (decimalDigits >> 31);
        const this$1 = jsx$3.divide__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$2.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(decimalDigits, hi)));
        if ((this$1.sign$2 !== 0)) {
          jsx$1 = ((1 + decimalDigits) | 0)
        } else {
          jsx$1 = decimalDigits
        }
      };
      this.$$undprecision$2 = jsx$1
    };
    return this.$$undprecision$2
  };
  toBigIntegerExact__Ljava_math_BigInteger() {
    if (((this.java$math$BigDecimal$$$undscale$2 === 0) || this.isZero__p2__Z())) {
      return this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger()
    } else if ((this.java$math$BigDecimal$$$undscale$2 < 0)) {
      const jsx$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$1 = $m_Ljava_math_Multiplication$();
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      const lo = ((-value) | 0);
      const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
      return jsx$2.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$1)))
    } else {
      if (((this.java$math$BigDecimal$$$undscale$2 > this.approxPrecision__p2__I()) || (this.java$math$BigDecimal$$$undscale$2 > this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger().getLowestSetBit__I()))) {
        throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
      };
      const jsx$4 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$3 = $m_Ljava_math_Multiplication$();
      const value$1 = this.java$math$BigDecimal$$$undscale$2;
      const hi$2 = (value$1 >> 31);
      const integerAndFraction = jsx$4.divideAndRemainder__Ljava_math_BigInteger__ALjava_math_BigInteger(jsx$3.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$1, hi$2)));
      const this$3 = integerAndFraction.u[1];
      if ((this$3.sign$2 !== 0)) {
        throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
      };
      return integerAndFraction.u[0]
    }
  };
  shortValueExact__S() {
    const t = this.valueExact__p2__I__J(16);
    const lo = t.lo$2;
    return ((lo << 16) >> 16)
  };
  setUnscaledValue__p2__Ljava_math_BigInteger__V(unscaledVal) {
    this.$$undintVal$2 = unscaledVal;
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(unscaledVal);
    if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      this.java$math$BigDecimal$$$undsmallValue$2 = unscaledVal.longValue__J()
    }
  };
  byteValueExact__B() {
    const t = this.valueExact__p2__I__J(8);
    const lo = t.lo$2;
    return ((lo << 24) >> 24)
  };
  smallRound__p2__Ljava_math_MathContext__I__V(mc, discardedPrecision) {
    const t = $m_Ljava_math_BigDecimal$().LongTenPows$1.u[discardedPrecision];
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.java$math$BigDecimal$$$undscale$2;
    const hi$1 = (value >> 31);
    const hi$2 = (discardedPrecision >> 31);
    const lo$1 = ((value - discardedPrecision) | 0);
    const hi$3 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
    const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
    const lo$2 = t$1.lo$2;
    const hi$4 = t$1.hi$2;
    const this$2 = $m_sjsr_RuntimeLong$();
    const lo$3 = this$2.divideImpl__I__I__I__I__I(lo$2, hi$4, lo, hi);
    const hi$5 = this$2.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const this$3 = $m_sjsr_RuntimeLong$();
    const lo$4 = this$3.remainderImpl__I__I__I__I__I(lo$2, hi$4, lo, hi);
    const hi$6 = this$3.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    let x1_$_$$und1$f;
    let x1_$_$$und2$f;
    let x1_$_$$und1$mcJ$sp$f;
    let x1_$_$$und2$mcJ$sp$f;
    if ((!((lo$4 === 0) && (hi$6 === 0)))) {
      const jsx$3 = $m_Ljava_math_BigDecimal$();
      let this$7_$_lo$2;
      let this$7_$_hi$2;
      if ((hi$6 < 0)) {
        const lo$5 = ((-lo$4) | 0);
        const hi$7 = ((lo$4 !== 0) ? (~hi$6) : ((-hi$6) | 0));
        const jsx$1_$_lo$2 = lo$5;
        const jsx$1_$_hi$2 = hi$7;
        this$7_$_lo$2 = jsx$1_$_lo$2;
        this$7_$_hi$2 = jsx$1_$_hi$2
      } else {
        const jsx$2_$_lo$2 = lo$4;
        const jsx$2_$_hi$2 = hi$6;
        this$7_$_lo$2 = jsx$2_$_lo$2;
        this$7_$_hi$2 = jsx$2_$_hi$2
      };
      const lo$6 = (this$7_$_lo$2 << 1);
      const hi$8 = (((this$7_$_lo$2 >>> 31) | 0) | (this$7_$_hi$2 << 1));
      const compRem = jsx$3.java$math$BigDecimal$$longCompareTo__J__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$6, hi$8), new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const frac = $imul(((hi$6 < 0) ? (-1) : (((hi$6 === 0) && (lo$4 === 0)) ? 0 : 1)), ((5 + compRem) | 0));
      const value$1 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$roundingBehavior__I__I__Ljava_math_RoundingMode__I((1 & lo$3), frac, mc.roundingMode$1);
      const hi$9 = (value$1 >> 31);
      const lo$7 = ((lo$3 + value$1) | 0);
      const hi$10 = ((((-2147483648) ^ lo$7) < ((-2147483648) ^ lo$3)) ? ((1 + ((hi$5 + hi$9) | 0)) | 0) : ((hi$5 + hi$9) | 0));
      let this$13_$_lo$2;
      let this$13_$_hi$2;
      if ((hi$10 < 0)) {
        const lo$8 = ((-lo$7) | 0);
        const hi$11 = ((lo$7 !== 0) ? (~hi$10) : ((-hi$10) | 0));
        const jsx$4_$_lo$2 = lo$8;
        const jsx$4_$_hi$2 = hi$11;
        this$13_$_lo$2 = jsx$4_$_lo$2;
        this$13_$_hi$2 = jsx$4_$_hi$2
      } else {
        const jsx$5_$_lo$2 = lo$7;
        const jsx$5_$_hi$2 = hi$10;
        this$13_$_lo$2 = jsx$5_$_lo$2;
        this$13_$_hi$2 = jsx$5_$_hi$2
      };
      const a = $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this$13_$_lo$2, this$13_$_hi$2);
      if (((+$g.Math.log10(a)) >= mc.precision$1)) {
        const lo$9 = (((-1) + lo$1) | 0);
        const hi$12 = ((lo$9 !== (-1)) ? hi$3 : (((-1) + hi$3) | 0));
        const this$17 = $m_sjsr_RuntimeLong$();
        const lo$10 = this$17.divideImpl__I__I__I__I__I(lo$7, hi$10, 10, 0);
        const hi$13 = this$17.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const jsx$6_$_$$und1$f = null;
        const jsx$6_$_$$und2$f = null;
        const jsx$6_$_$$und1$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$9, hi$12);
        const jsx$6_$_$$und2$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$10, hi$13);
        x1_$_$$und1$f = jsx$6_$_$$und1$f;
        x1_$_$$und2$f = jsx$6_$_$$und2$f;
        x1_$_$$und1$mcJ$sp$f = jsx$6_$_$$und1$mcJ$sp$f;
        x1_$_$$und2$mcJ$sp$f = jsx$6_$_$$und2$mcJ$sp$f
      } else {
        const jsx$7_$_$$und1$f = null;
        const jsx$7_$_$$und2$f = null;
        const jsx$7_$_$$und1$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$3);
        const jsx$7_$_$$und2$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$7, hi$10);
        x1_$_$$und1$f = jsx$7_$_$$und1$f;
        x1_$_$$und2$f = jsx$7_$_$$und2$f;
        x1_$_$$und1$mcJ$sp$f = jsx$7_$_$$und1$mcJ$sp$f;
        x1_$_$$und2$mcJ$sp$f = jsx$7_$_$$und2$mcJ$sp$f
      }
    } else {
      const jsx$8_$_$$und1$f = null;
      const jsx$8_$_$$und2$f = null;
      const jsx$8_$_$$und1$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$3);
      const jsx$8_$_$$und2$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$5);
      x1_$_$$und1$f = jsx$8_$_$$und1$f;
      x1_$_$$und2$f = jsx$8_$_$$und2$f;
      x1_$_$$und1$mcJ$sp$f = jsx$8_$_$$und1$mcJ$sp$f;
      x1_$_$$und2$mcJ$sp$f = jsx$8_$_$$und2$mcJ$sp$f
    };
    const t$2 = x1_$_$$und1$mcJ$sp$f;
    const lo$11 = t$2.lo$2;
    const hi$14 = t$2.hi$2;
    const t$3 = x1_$_$$und2$mcJ$sp$f;
    const lo$12 = t$3.lo$2;
    const hi$15 = t$3.hi$2;
    this.java$math$BigDecimal$$$undscale$2 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$11, hi$14));
    this.$$undprecision$2 = mc.precision$1;
    this.java$math$BigDecimal$$$undsmallValue$2 = new $c_sjsr_RuntimeLong().init___I__I(lo$12, hi$15);
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().bitLength__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$12, hi$15));
    this.$$undintVal$2 = null
  };
  approxPrecision__p2__I() {
    return ((this.$$undprecision$2 > 0) ? this.$$undprecision$2 : ((1 + $doubleToInt((0.3010299956639812 * (((-1) + this.java$math$BigDecimal$$$undbitLength$2) | 0)))) | 0))
  };
  doubleValue__D() {
    const sign = this.signum__I();
    const value = this.java$math$BigDecimal$$$undbitLength$2;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const value$1 = (this.java$math$BigDecimal$$$undscale$2 / 0.3010299956639812);
    const lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value$1);
    const hi$1 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const lo$1 = ((value - lo) | 0);
    const hi$2 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    if ((((hi$2 === (-1)) ? (((-2147483648) ^ lo$1) < 2147482574) : (hi$2 < (-1))) || (sign === 0))) {
      return (0.0 * sign)
    } else if (((hi$2 === 0) ? (((-2147483648) ^ lo$1) > (-2147482623)) : (hi$2 > 0))) {
      return (Infinity * sign)
    } else {
      const mantissa0 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger().abs__Ljava_math_BigInteger();
      let exponent = 1076;
      let mantissa;
      if ((this.java$math$BigDecimal$$$undscale$2 <= 0)) {
        const jsx$1 = $m_Ljava_math_Multiplication$();
        const value$2 = ((-this.java$math$BigDecimal$$$undscale$2) | 0);
        const hi$3 = (value$2 >> 31);
        mantissa = mantissa0.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$2, hi$3)))
      } else {
        const jsx$2 = $m_Ljava_math_Multiplication$();
        const value$3 = this.java$math$BigDecimal$$$undscale$2;
        const hi$4 = (value$3 >> 31);
        const powerOfTen = jsx$2.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$3, hi$4));
        const k = ((100 - lo$1) | 0);
        let m;
        if ((k > 0)) {
          exponent = ((exponent - k) | 0);
          m = mantissa0.shiftLeft__I__Ljava_math_BigInteger(k)
        } else {
          m = mantissa0
        };
        const qr = m.divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem(powerOfTen);
        const compRem = qr.rem$1.shiftLeftOneBit__Ljava_math_BigInteger().compareTo__Ljava_math_BigInteger__I(powerOfTen);
        exponent = (((-2) + exponent) | 0);
        const this$3 = qr.quot$1.shiftLeft__I__Ljava_math_BigInteger(2);
        const jsx$3 = $m_Ljava_math_BigInteger$();
        const value$4 = ((1 + (($imul(compRem, ((3 + compRem) | 0)) / 2) | 0)) | 0);
        const hi$5 = (value$4 >> 31);
        const bi = jsx$3.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$4, hi$5));
        mantissa = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$3, bi)
      };
      const lowestSetBit = mantissa.getLowestSetBit__I();
      const discardedSize = (((-54) + $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(mantissa)) | 0);
      let bits_$_lo$2 = 0;
      let bits_$_hi$2 = 0;
      let tempBits_$_lo$2 = 0;
      let tempBits_$_hi$2 = 0;
      if ((discardedSize > 0)) {
        const t = mantissa.shiftRight__I__Ljava_math_BigInteger(discardedSize).longValue__J();
        const lo$2 = t.lo$2;
        const hi$6 = t.hi$2;
        const jsx$4_$_lo$2 = lo$2;
        const jsx$4_$_hi$2 = hi$6;
        bits_$_lo$2 = jsx$4_$_lo$2;
        bits_$_hi$2 = jsx$4_$_hi$2;
        tempBits_$_lo$2 = bits_$_lo$2;
        tempBits_$_hi$2 = bits_$_hi$2;
        const b_$_lo$2 = bits_$_lo$2;
        const b_$_hi$2 = bits_$_hi$2;
        const lo$3 = (1 & b_$_lo$2);
        let jsx$5;
        if (((lo$3 === 1) && (lowestSetBit < discardedSize))) {
          jsx$5 = true
        } else {
          const b$1_$_lo$2 = bits_$_lo$2;
          const b$1_$_hi$2 = bits_$_hi$2;
          const lo$4 = (3 & b$1_$_lo$2);
          jsx$5 = (lo$4 === 3)
        };
        if (jsx$5) {
          const b$2_$_lo$2 = bits_$_lo$2;
          const b$2_$_hi$2 = bits_$_hi$2;
          const bhi = b$2_$_hi$2;
          const lo$5 = ((2 + b$2_$_lo$2) | 0);
          const hi$7 = ((((-2147483648) ^ lo$5) < (-2147483646)) ? ((1 + bhi) | 0) : bhi);
          const jsx$6_$_lo$2 = lo$5;
          const jsx$6_$_hi$2 = hi$7;
          bits_$_lo$2 = jsx$6_$_lo$2;
          bits_$_hi$2 = jsx$6_$_hi$2
        }
      } else {
        const t$1 = mantissa.longValue__J();
        const lo$6 = t$1.lo$2;
        const hi$8 = t$1.hi$2;
        const n = ((-discardedSize) | 0);
        const lo$7 = (((32 & n) === 0) ? (lo$6 << n) : 0);
        const hi$9 = (((32 & n) === 0) ? (((((lo$6 >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (hi$8 << n)) : (lo$6 << n));
        const jsx$7_$_lo$2 = lo$7;
        const jsx$7_$_hi$2 = hi$9;
        bits_$_lo$2 = jsx$7_$_lo$2;
        bits_$_hi$2 = jsx$7_$_hi$2;
        tempBits_$_lo$2 = bits_$_lo$2;
        tempBits_$_hi$2 = bits_$_hi$2;
        const b$3_$_lo$2 = bits_$_lo$2;
        const b$3_$_hi$2 = bits_$_hi$2;
        const lo$8 = (3 & b$3_$_lo$2);
        if ((lo$8 === 3)) {
          const b$4_$_lo$2 = bits_$_lo$2;
          const b$4_$_hi$2 = bits_$_hi$2;
          const bhi$1 = b$4_$_hi$2;
          const lo$9 = ((2 + b$4_$_lo$2) | 0);
          const hi$10 = ((((-2147483648) ^ lo$9) < (-2147483646)) ? ((1 + bhi$1) | 0) : bhi$1);
          const jsx$8_$_lo$2 = lo$9;
          const jsx$8_$_hi$2 = hi$10;
          bits_$_lo$2 = jsx$8_$_lo$2;
          bits_$_hi$2 = jsx$8_$_hi$2
        }
      };
      const b$5_$_lo$2 = bits_$_lo$2;
      const b$5_$_hi$2 = bits_$_hi$2;
      const hi$11 = (4194304 & b$5_$_hi$2);
      if ((hi$11 === 0)) {
        const this$6_$_lo$2 = bits_$_lo$2;
        const this$6_$_hi$2 = bits_$_hi$2;
        const lo$10 = (((this$6_$_lo$2 >>> 1) | 0) | (this$6_$_hi$2 << 31));
        const hi$12 = (this$6_$_hi$2 >> 1);
        const jsx$9_$_lo$2 = lo$10;
        const jsx$9_$_hi$2 = hi$12;
        bits_$_lo$2 = jsx$9_$_lo$2;
        bits_$_hi$2 = jsx$9_$_hi$2;
        exponent = ((exponent + discardedSize) | 0)
      } else {
        const this$7_$_lo$2 = bits_$_lo$2;
        const this$7_$_hi$2 = bits_$_hi$2;
        const lo$11 = (((this$7_$_lo$2 >>> 2) | 0) | (this$7_$_hi$2 << 30));
        const hi$13 = (this$7_$_hi$2 >> 2);
        const jsx$10_$_lo$2 = lo$11;
        const jsx$10_$_hi$2 = hi$13;
        bits_$_lo$2 = jsx$10_$_lo$2;
        bits_$_hi$2 = jsx$10_$_hi$2;
        exponent = ((exponent + ((1 + discardedSize) | 0)) | 0)
      };
      if ((exponent > 2046)) {
        return (Infinity * sign)
      } else if ((exponent < (-53))) {
        return (0.0 * sign)
      } else {
        if ((exponent <= 0)) {
          const this$8_$_lo$2 = tempBits_$_lo$2;
          const this$8_$_hi$2 = tempBits_$_hi$2;
          const lo$12 = (((this$8_$_lo$2 >>> 1) | 0) | (this$8_$_hi$2 << 31));
          const hi$14 = (this$8_$_hi$2 >> 1);
          const jsx$11_$_lo$2 = lo$12;
          const jsx$11_$_hi$2 = hi$14;
          bits_$_lo$2 = jsx$11_$_lo$2;
          bits_$_hi$2 = jsx$11_$_hi$2;
          const this$9_$_lo$2 = bits_$_lo$2;
          const this$9_$_hi$2 = bits_$_hi$2;
          const n$1 = ((63 + exponent) | 0);
          const lo$13 = (((32 & n$1) === 0) ? ((((-1) >>> n$1) | 0) | ((-2) << ((31 - n$1) | 0))) : (((-1) >>> n$1) | 0));
          const hi$15 = (((32 & n$1) === 0) ? (((-1) >>> n$1) | 0) : 0);
          const lo$14 = (this$9_$_lo$2 & lo$13);
          const hi$16 = (this$9_$_hi$2 & hi$15);
          const jsx$12_$_lo$2 = lo$14;
          const jsx$12_$_hi$2 = hi$16;
          tempBits_$_lo$2 = jsx$12_$_lo$2;
          tempBits_$_hi$2 = jsx$12_$_hi$2;
          const this$10_$_lo$2 = bits_$_lo$2;
          const this$10_$_hi$2 = bits_$_hi$2;
          const n$2 = ((-exponent) | 0);
          const lo$15 = (((32 & n$2) === 0) ? (((this$10_$_lo$2 >>> n$2) | 0) | ((this$10_$_hi$2 << 1) << ((31 - n$2) | 0))) : (this$10_$_hi$2 >> n$2));
          const hi$17 = (((32 & n$2) === 0) ? (this$10_$_hi$2 >> n$2) : (this$10_$_hi$2 >> 31));
          const jsx$13_$_lo$2 = lo$15;
          const jsx$13_$_hi$2 = hi$17;
          bits_$_lo$2 = jsx$13_$_lo$2;
          bits_$_hi$2 = jsx$13_$_hi$2;
          const b$6_$_lo$2 = bits_$_lo$2;
          const b$6_$_hi$2 = bits_$_hi$2;
          const lo$16 = (3 & b$6_$_lo$2);
          let jsx$14;
          if ((lo$16 === 3)) {
            jsx$14 = true
          } else {
            const b$7_$_lo$2 = bits_$_lo$2;
            const b$7_$_hi$2 = bits_$_hi$2;
            const lo$17 = (1 & b$7_$_lo$2);
            let jsx$15;
            if ((lo$17 === 1)) {
              const this$11_$_lo$2 = tempBits_$_lo$2;
              const this$11_$_hi$2 = tempBits_$_hi$2;
              jsx$15 = (!((this$11_$_lo$2 === 0) && (this$11_$_hi$2 === 0)))
            } else {
              jsx$15 = false
            };
            if (jsx$15) {
              jsx$14 = (lowestSetBit < discardedSize)
            } else {
              jsx$14 = false
            }
          };
          if (jsx$14) {
            const b$8_$_lo$2 = bits_$_lo$2;
            const b$8_$_hi$2 = bits_$_hi$2;
            const bhi$2 = b$8_$_hi$2;
            const lo$18 = ((1 + b$8_$_lo$2) | 0);
            const hi$18 = ((lo$18 === 0) ? ((1 + bhi$2) | 0) : bhi$2);
            const jsx$16_$_lo$2 = lo$18;
            const jsx$16_$_hi$2 = hi$18;
            bits_$_lo$2 = jsx$16_$_lo$2;
            bits_$_hi$2 = jsx$16_$_hi$2
          };
          exponent = 0;
          const this$13_$_lo$2 = bits_$_lo$2;
          const this$13_$_hi$2 = bits_$_hi$2;
          const lo$19 = (((this$13_$_lo$2 >>> 1) | 0) | (this$13_$_hi$2 << 31));
          const hi$19 = (this$13_$_hi$2 >> 1);
          const jsx$17_$_lo$2 = lo$19;
          const jsx$17_$_hi$2 = hi$19;
          bits_$_lo$2 = jsx$17_$_lo$2;
          bits_$_hi$2 = jsx$17_$_hi$2
        };
        const hi$20 = (sign >> 31);
        const hi$21 = ((-2147483648) & hi$20);
        const value$5 = exponent;
        const hi$23 = (value$5 << 20);
        const hi$24 = (hi$21 | hi$23);
        const b$9_$_lo$2 = bits_$_lo$2;
        const b$9_$_hi$2 = bits_$_hi$2;
        const lo$20 = b$9_$_lo$2;
        const hi$25 = (1048575 & b$9_$_hi$2);
        const hi$26 = (hi$24 | hi$25);
        return $m_sjsr_Bits$().longBitsToDouble__J__D(new $c_sjsr_RuntimeLong().init___I__I(lo$20, hi$26))
      }
    }
  };
  init___J__I(smallValue, scale) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    this.java$math$BigDecimal$$$undsmallValue$2 = smallValue;
    this.java$math$BigDecimal$$$undscale$2 = scale;
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().bitLength__J__I(smallValue);
    return this
  };
  hashCode__I() {
    if ((this.$$undhashCode$2 !== 0)) {
      return this.$$undhashCode$2
    } else if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const lo = t.lo$2;
      this.$$undhashCode$2 = lo;
      const jsx$1 = this.$$undhashCode$2;
      const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
      const hi$1 = t$1.hi$2;
      this.$$undhashCode$2 = (($imul(33, jsx$1) + hi$1) | 0);
      this.$$undhashCode$2 = (($imul(17, this.$$undhashCode$2) + this.java$math$BigDecimal$$$undscale$2) | 0);
      return this.$$undhashCode$2
    } else {
      this.$$undhashCode$2 = (($imul(17, this.$$undintVal$2.hashCode__I()) + this.java$math$BigDecimal$$$undscale$2) | 0);
      return this.$$undhashCode$2
    }
  };
  init___T(sVal) {
    $c_Ljava_math_BigDecimal.prototype.init___AC__I__I.call(this, $m_sjsr_RuntimeString$().toCharArray__T__AC(sVal), 0, (sVal.length | 0));
    return this
  };
  intValue__I() {
    return (((this.java$math$BigDecimal$$$undscale$2 <= (-32)) || (this.java$math$BigDecimal$$$undscale$2 > this.approxPrecision__p2__I())) ? 0 : this.toBigInteger__Ljava_math_BigInteger().intValue__I())
  };
  init___Ljava_math_BigInteger(bi) {
    $c_Ljava_math_BigDecimal.prototype.init___Ljava_math_BigInteger__I.call(this, bi, 0);
    return this
  };
  floatValue__F() {
    const value = this.java$math$BigDecimal$$$undbitLength$2;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const value$1 = (this.java$math$BigDecimal$$$undscale$2 / 0.3010299956639812);
    const lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value$1);
    const hi$1 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const lo$1 = ((value - lo) | 0);
    const hi$2 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    const floatResult0 = $fround(this.signum__I());
    const floatResult = ((((hi$2 === (-1)) ? (((-2147483648) ^ lo$1) < 2147483499) : (hi$2 < (-1))) || (floatResult0 === 0.0)) ? $fround((0.0 * floatResult0)) : (((hi$2 === 0) ? (((-2147483648) ^ lo$1) > (-2147483519)) : (hi$2 > 0)) ? $fround((Infinity * floatResult0)) : $fround(this.doubleValue__D())));
    return floatResult
  };
  init___AC__I__I($in, offset, len) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    const last = (((-1) + ((offset + len) | 0)) | 0);
    if (($in === null)) {
      throw new $c_jl_NullPointerException().init___T("in == null")
    };
    if (((((last >= $in.u.length) || (offset < 0)) || (len <= 0)) || (last < 0))) {
      throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Bad offset/length: offset=", " len=", " in.length=", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([offset, len, $in.u.length])))
    };
    let index = offset;
    if (((offset <= last) && ($in.u[offset] === 43))) {
      index = ((1 + index) | 0);
      let jsx$1;
      if ((index < last)) {
        $m_Ljava_math_BigDecimal$();
        const c = $in.u[index];
        const array = [new $c_jl_Character().init___C(43), new $c_jl_Character().init___C(45)];
        const elem = new $c_jl_Character().init___C(c);
        let i = 0;
        while (true) {
          let jsx$2;
          if ((i < (array.length | 0))) {
            const index$1 = i;
            const arg1 = array[index$1];
            jsx$2 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1, elem) === false)
          } else {
            jsx$2 = false
          };
          if (jsx$2) {
            i = ((1 + i) | 0)
          } else {
            break
          }
        };
        jsx$1 = (i !== (array.length | 0))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        throw new $c_jl_NumberFormatException().init___T(("For input string: " + $in.toString__T()))
      }
    } else {
      const isMinus = ((index <= last) && ($in.u[index] === 45));
      let nextIsSign;
      if ((((1 + index) | 0) < last)) {
        $m_Ljava_math_BigDecimal$();
        const c$1 = $in.u[((1 + index) | 0)];
        const array$1 = [new $c_jl_Character().init___C(43), new $c_jl_Character().init___C(45)];
        const elem$1 = new $c_jl_Character().init___C(c$1);
        let i$1 = 0;
        while (true) {
          let jsx$3;
          if ((i$1 < (array$1.length | 0))) {
            const index$2 = i$1;
            const arg1$1 = array$1[index$2];
            jsx$3 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$1, elem$1) === false)
          } else {
            jsx$3 = false
          };
          if (jsx$3) {
            i$1 = ((1 + i$1) | 0)
          } else {
            break
          }
        };
        nextIsSign = (i$1 !== (array$1.length | 0))
      } else {
        nextIsSign = false
      };
      if ((isMinus && nextIsSign)) {
        throw new $c_jl_NumberFormatException().init___T(("For input string: " + $in.toString__T()))
      }
    };
    const begin = index;
    let counter = 0;
    let wasNonZero = false;
    while (true) {
      let jsx$4;
      if ((index <= last)) {
        $m_Ljava_math_BigDecimal$();
        const c$2 = $in.u[index];
        const array$2 = [new $c_jl_Character().init___C(46), new $c_jl_Character().init___C(101), new $c_jl_Character().init___C(69)];
        const elem$2 = new $c_jl_Character().init___C(c$2);
        let i$2 = 0;
        while (true) {
          let jsx$5;
          if ((i$2 < (array$2.length | 0))) {
            const index$3 = i$2;
            const arg1$2 = array$2[index$3];
            jsx$5 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$2, elem$2) === false)
          } else {
            jsx$5 = false
          };
          if (jsx$5) {
            i$2 = ((1 + i$2) | 0)
          } else {
            break
          }
        };
        jsx$4 = (!(i$2 !== (array$2.length | 0)))
      } else {
        jsx$4 = false
      };
      if (jsx$4) {
        if ((!wasNonZero)) {
          if (($in.u[index] === 48)) {
            counter = ((1 + counter) | 0)
          } else {
            wasNonZero = true
          }
        };
        index = ((1 + index) | 0)
      } else {
        break
      }
    };
    const this$25 = new $c_s_Predef$ArrayCharSequence().init___AC($in);
    const end = index;
    const u = new $c_sr_ArrayCharSequence().init___AC__I__I(this$25.$$und$undarrayOfChars$1, begin, end).toString__T();
    const b = ((index - begin) | 0);
    let x1_$_$$und1$f;
    let x1_$_$$und2$f;
    if (((index <= last) && ($in.u[index] === 46))) {
      index = ((1 + index) | 0);
      const begin$2 = index;
      while (true) {
        let jsx$6;
        if ((index <= last)) {
          $m_Ljava_math_BigDecimal$();
          const c$3 = $in.u[index];
          const array$3 = [new $c_jl_Character().init___C(101), new $c_jl_Character().init___C(69)];
          const elem$3 = new $c_jl_Character().init___C(c$3);
          let i$3 = 0;
          while (true) {
            let jsx$7;
            if ((i$3 < (array$3.length | 0))) {
              const index$4 = i$3;
              const arg1$3 = array$3[index$4];
              jsx$7 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$3, elem$3) === false)
            } else {
              jsx$7 = false
            };
            if (jsx$7) {
              i$3 = ((1 + i$3) | 0)
            } else {
              break
            }
          };
          jsx$6 = (!(i$3 !== (array$3.length | 0)))
        } else {
          jsx$6 = false
        };
        if (jsx$6) {
          if ((!wasNonZero)) {
            if (($in.u[index] === 48)) {
              counter = ((1 + counter) | 0)
            } else {
              wasNonZero = true
            }
          };
          index = ((1 + index) | 0)
        } else {
          break
        }
      };
      this.java$math$BigDecimal$$$undscale$2 = ((index - begin$2) | 0);
      const this$34 = new $c_s_Predef$ArrayCharSequence().init___AC($in);
      const end$1 = ((begin$2 + this.java$math$BigDecimal$$$undscale$2) | 0);
      const _1 = (("" + u) + new $c_sr_ArrayCharSequence().init___AC__I__I(this$34.$$und$undarrayOfChars$1, begin$2, end$1).toString__T());
      const _2 = ((b + this.java$math$BigDecimal$$$undscale$2) | 0);
      const jsx$8_$_$$und1$f = _1;
      const jsx$8_$_$$und2$f = _2;
      x1_$_$$und1$f = jsx$8_$_$$und1$f;
      x1_$_$$und2$f = jsx$8_$_$$und2$f
    } else {
      this.java$math$BigDecimal$$$undscale$2 = 0;
      const jsx$9_$_$$und1$f = u;
      const jsx$9_$_$$und2$f = b;
      x1_$_$$und1$f = jsx$9_$_$$und1$f;
      x1_$_$$und2$f = jsx$9_$_$$und2$f
    };
    const unscaled = x1_$_$$und1$f;
    const bufLength = (x1_$_$$und2$f | 0);
    let jsx$10;
    if ((index <= last)) {
      $m_Ljava_math_BigDecimal$();
      const c$4 = $in.u[index];
      const array$4 = [new $c_jl_Character().init___C(101), new $c_jl_Character().init___C(69)];
      const elem$4 = new $c_jl_Character().init___C(c$4);
      let i$4 = 0;
      while (true) {
        let jsx$11;
        if ((i$4 < (array$4.length | 0))) {
          const index$5 = i$4;
          const arg1$4 = array$4[index$5];
          jsx$11 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$4, elem$4) === false)
        } else {
          jsx$11 = false
        };
        if (jsx$11) {
          i$4 = ((1 + i$4) | 0)
        } else {
          break
        }
      };
      jsx$10 = (i$4 !== (array$4.length | 0))
    } else {
      jsx$10 = false
    };
    if (jsx$10) {
      index = ((1 + index) | 0);
      const indexIsPlus = ((index <= last) && ($in.u[index] === 43));
      const nextIsNotMinus = ((((1 + index) | 0) <= last) && ($in.u[((1 + index) | 0)] !== 45));
      const begin$3 = ((indexIsPlus && nextIsNotMinus) ? ((1 + index) | 0) : index);
      const this$42 = $m_sjsr_RuntimeString$();
      const count = ((((1 + last) | 0) - begin$3) | 0);
      const scaleString = this$42.newString__AC__I__I__T($in, begin$3, count);
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      const this$43 = $m_jl_Integer$();
      const value$1 = this$43.parseInt__T__I__I(scaleString, 10);
      const hi$1 = (value$1 >> 31);
      const lo = ((value - value$1) | 0);
      const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
      this.java$math$BigDecimal$$$undscale$2 = lo;
      const value$2 = this.java$math$BigDecimal$$$undscale$2;
      const hi$3 = (value$2 >> 31);
      if ((!((lo === value$2) && (hi$2 === hi$3)))) {
        throw new $c_jl_NumberFormatException().init___T("Scale out of range")
      }
    };
    if ((bufLength < 19)) {
      const this$45 = $m_jl_Long$();
      this.java$math$BigDecimal$$$undsmallValue$2 = this$45.parseLong__T__I__J(unscaled, 10);
      this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().bitLength__J__I(this.java$math$BigDecimal$$$undsmallValue$2)
    } else {
      this.setUnscaledValue__p2__Ljava_math_BigInteger__V(new $c_Ljava_math_BigInteger().init___T(unscaled))
    };
    return this
  };
  decimalDigitsInLong__p2__J__I(value) {
    if (((value.lo$2 === 0) && (value.hi$2 === (-2147483648)))) {
      return 19
    } else {
      const jsx$3 = $m_ju_Arrays$();
      const jsx$2 = $m_Ljava_math_BigDecimal$().LongTenPows$1;
      const ahi = value.hi$2;
      let jsx$1;
      if ((ahi < 0)) {
        const lo = value.lo$2;
        const hi = value.hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
        const x_$_lo$2 = lo$1;
        const x_$_hi$2 = hi$1;
        jsx$1 = new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2)
      } else {
        jsx$1 = value
      };
      const index = jsx$3.binarySearch__AJ__J__I(jsx$2, jsx$1);
      return ((index < 0) ? (((-1) - index) | 0) : ((1 + index) | 0))
    }
  };
  java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger() {
    if ((this.$$undintVal$2 === null)) {
      this.$$undintVal$2 = $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(this.java$math$BigDecimal$$$undsmallValue$2)
    };
    return this.$$undintVal$2
  };
  compareTo__Ljava_math_BigDecimal__I(bi) {
    const thisSign = this.signum__I();
    const valueSign = bi.signum__I();
    if ((thisSign === valueSign)) {
      if ((((this.java$math$BigDecimal$$$undscale$2 === bi.java$math$BigDecimal$$$undscale$2) && (this.java$math$BigDecimal$$$undbitLength$2 < 64)) && (bi.java$math$BigDecimal$$$undbitLength$2 < 64))) {
        const t = this.java$math$BigDecimal$$$undsmallValue$2;
        const lo = t.lo$2;
        const hi = t.hi$2;
        const b = bi.java$math$BigDecimal$$$undsmallValue$2;
        const bhi = b.hi$2;
        if (((hi === bhi) ? (((-2147483648) ^ lo) < ((-2147483648) ^ b.lo$2)) : (hi < bhi))) {
          return (-1)
        } else {
          const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
          const lo$1 = t$1.lo$2;
          const hi$1 = t$1.hi$2;
          const b$1 = bi.java$math$BigDecimal$$$undsmallValue$2;
          const bhi$1 = b$1.hi$2;
          if (((hi$1 === bhi$1) ? (((-2147483648) ^ lo$1) > ((-2147483648) ^ b$1.lo$2)) : (hi$1 > bhi$1))) {
            return 1
          } else {
            return 0
          }
        }
      } else {
        const value = this.java$math$BigDecimal$$$undscale$2;
        const hi$2 = (value >> 31);
        const value$1 = bi.java$math$BigDecimal$$$undscale$2;
        const hi$3 = (value$1 >> 31);
        const lo$2 = ((value - value$1) | 0);
        const hi$4 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ value)) ? (((-1) + ((hi$2 - hi$3) | 0)) | 0) : ((hi$2 - hi$3) | 0));
        const diffPrecision = ((this.approxPrecision__p2__I() - bi.approxPrecision__p2__I()) | 0);
        const hi$5 = (diffPrecision >> 31);
        const lo$3 = ((1 + lo$2) | 0);
        const hi$6 = ((lo$3 === 0) ? ((1 + hi$4) | 0) : hi$4);
        if (((hi$5 === hi$6) ? (((-2147483648) ^ diffPrecision) > ((-2147483648) ^ lo$3)) : (hi$5 > hi$6))) {
          return thisSign
        } else {
          const hi$7 = (diffPrecision >> 31);
          const lo$4 = (((-1) + lo$2) | 0);
          const hi$8 = ((lo$4 !== (-1)) ? hi$4 : (((-1) + hi$4) | 0));
          if (((hi$7 === hi$8) ? (((-2147483648) ^ diffPrecision) < ((-2147483648) ^ lo$4)) : (hi$7 < hi$8))) {
            return ((-thisSign) | 0)
          } else {
            const t$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
            const v = bi.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
            let x1_$_$$und1$f;
            let x1_$_$$und2$f;
            if ((hi$4 < 0)) {
              const jsx$1 = $m_Ljava_math_Multiplication$();
              const lo$5 = ((-lo$2) | 0);
              const hi$9 = ((lo$2 !== 0) ? (~hi$4) : ((-hi$4) | 0));
              const _1 = t$2.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo$5, hi$9)));
              const jsx$2_$_$$und1$f = _1;
              const jsx$2_$_$$und2$f = v;
              x1_$_$$und1$f = jsx$2_$_$$und1$f;
              x1_$_$$und2$f = jsx$2_$_$$und2$f
            } else if (((hi$4 === 0) ? (lo$2 !== 0) : (hi$4 > 0))) {
              const _2 = v.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_Multiplication$().powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)));
              const jsx$3_$_$$und1$f = t$2;
              const jsx$3_$_$$und2$f = _2;
              x1_$_$$und1$f = jsx$3_$_$$und1$f;
              x1_$_$$und2$f = jsx$3_$_$$und2$f
            } else {
              const jsx$4_$_$$und1$f = t$2;
              const jsx$4_$_$$und2$f = v;
              x1_$_$$und1$f = jsx$4_$_$$und1$f;
              x1_$_$$und2$f = jsx$4_$_$$und2$f
            };
            const thisUnscaled = x1_$_$$und1$f;
            const valUnscaled = x1_$_$$und2$f;
            return thisUnscaled.compareTo__Ljava_math_BigInteger__I(valUnscaled)
          }
        }
      }
    } else {
      return ((thisSign < valueSign) ? (-1) : 1)
    }
  };
}
const $is_Ljava_math_BigDecimal = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_math_BigDecimal)))
});
const $isArrayOf_Ljava_math_BigDecimal = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_math_BigDecimal)))
});
const $d_Ljava_math_BigDecimal = new $TypeData().initClass({
  Ljava_math_BigDecimal: 0
}, false, "java.math.BigDecimal", {
  Ljava_math_BigDecimal: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_Ljava_math_BigDecimal.prototype.$classData = $d_Ljava_math_BigDecimal;
class $c_Ljava_math_BigInteger extends $c_jl_Number {
  constructor() {
    super();
    this.digits$2 = null;
    this.numberLength$2 = 0;
    this.sign$2 = 0;
    this.java$math$BigInteger$$firstNonzeroDigit$2 = 0;
    this.$$undhashCode$2 = 0
  };
  pow__I__Ljava_math_BigInteger(exp) {
    if ((exp < 0)) {
      throw new $c_jl_ArithmeticException().init___T("Negative exponent")
    } else if ((exp === 0)) {
      return $m_Ljava_math_BigInteger$().ONE$1
    } else if ((((exp === 1) || this.equals__O__Z($m_Ljava_math_BigInteger$().ONE$1)) || this.equals__O__Z($m_Ljava_math_BigInteger$().ZERO$1))) {
      return this
    } else if ((!this.testBit__I__Z(0))) {
      let x = 1;
      while ((!this.testBit__I__Z(x))) {
        x = ((1 + x) | 0)
      };
      return $m_Ljava_math_BigInteger$().getPowerOfTwo__I__Ljava_math_BigInteger($imul(x, exp)).multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(this.shiftRight__I__Ljava_math_BigInteger(x).pow__I__Ljava_math_BigInteger(exp))
    } else {
      return $m_Ljava_math_Multiplication$().pow__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, exp)
    }
  };
  longValue__J() {
    let value$3_$_lo$2;
    let value$3_$_hi$2;
    if ((this.numberLength$2 > 1)) {
      const value = this.digits$2.u[1];
      const value$1 = this.digits$2.u[0];
      const jsx$1_$_lo$2 = value$1;
      const jsx$1_$_hi$2 = value;
      value$3_$_lo$2 = jsx$1_$_lo$2;
      value$3_$_hi$2 = jsx$1_$_hi$2
    } else {
      const value$2 = this.digits$2.u[0];
      const jsx$2_$_lo$2 = value$2;
      const jsx$2_$_hi$2 = 0;
      value$3_$_lo$2 = jsx$2_$_lo$2;
      value$3_$_hi$2 = jsx$2_$_hi$2
    };
    const value$4 = this.sign$2;
    const hi$3 = (value$4 >> 31);
    const blo = value$3_$_lo$2;
    const a0 = (65535 & value$4);
    const a1 = ((value$4 >>> 16) | 0);
    const b0 = (65535 & blo);
    const b1 = ((blo >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi$4 = (((((((($imul(value$4, value$3_$_hi$2) + $imul(hi$3, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi$4)
  };
  init___() {
    this.java$math$BigInteger$$firstNonzeroDigit$2 = (-2);
    this.$$undhashCode$2 = 0;
    return this
  };
  divide__Ljava_math_BigInteger__Ljava_math_BigInteger(divisor) {
    if ((divisor.sign$2 === 0)) {
      throw new $c_jl_ArithmeticException().init___T("BigInteger divide by zero")
    };
    const divisorSign = divisor.sign$2;
    if (divisor.isOne__Z()) {
      return ((divisor.sign$2 > 0) ? this : this.negate__Ljava_math_BigInteger())
    } else {
      const thisSign = this.sign$2;
      const thisLen = this.numberLength$2;
      const divisorLen = divisor.numberLength$2;
      if ((((thisLen + divisorLen) | 0) === 2)) {
        const value = this.digits$2.u[0];
        const value$1 = divisor.digits$2.u[0];
        const this$1 = $m_sjsr_RuntimeLong$();
        const lo = this$1.divideImpl__I__I__I__I__I(value, 0, value$1, 0);
        const hi$2 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        let bi_$_lo$2 = lo;
        let bi_$_hi$2 = hi$2;
        if ((thisSign !== divisorSign)) {
          const this$2_$_lo$2 = bi_$_lo$2;
          const this$2_$_hi$2 = bi_$_hi$2;
          const lo$1 = this$2_$_lo$2;
          const hi$3 = this$2_$_hi$2;
          const lo$2 = ((-lo$1) | 0);
          const hi$4 = ((lo$1 !== 0) ? (~hi$3) : ((-hi$3) | 0));
          const jsx$1_$_lo$2 = lo$2;
          const jsx$1_$_hi$2 = hi$4;
          bi_$_lo$2 = jsx$1_$_lo$2;
          bi_$_hi$2 = jsx$1_$_hi$2
        };
        return $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(bi_$_lo$2, bi_$_hi$2))
      } else {
        const cmp = ((thisLen !== divisorLen) ? ((thisLen > divisorLen) ? 1 : (-1)) : $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(this.digits$2, divisor.digits$2, thisLen));
        if ((cmp === 0)) {
          return ((thisSign === divisorSign) ? $m_Ljava_math_BigInteger$().ONE$1 : $m_Ljava_math_BigInteger$().MINUS$undONE$1)
        } else if ((cmp === (-1))) {
          return $m_Ljava_math_BigInteger$().ZERO$1
        } else {
          const resLength = ((1 + ((thisLen - divisorLen) | 0)) | 0);
          const resDigits = $newArrayObject($d_I.getArrayOf(), [resLength]);
          const resSign = ((thisSign === divisorSign) ? 1 : (-1));
          if ((divisorLen === 1)) {
            $m_Ljava_math_Division$().divideArrayByInt__AI__AI__I__I__I(resDigits, this.digits$2, thisLen, divisor.digits$2.u[0])
          } else {
            $m_Ljava_math_Division$().divide__AI__I__AI__I__AI__I__AI(resDigits, resLength, this.digits$2, thisLen, divisor.digits$2, divisorLen)
          };
          const result = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resLength, resDigits);
          result.cutOffLeadingZeroes__V();
          return result
        }
      }
    }
  };
  equals__O__Z(x) {
    if ($is_Ljava_math_BigInteger(x)) {
      const x2 = x;
      return (((this.sign$2 === x2.sign$2) && (this.numberLength$2 === x2.numberLength$2)) && this.equalsArrays__AI__Z(x2.digits$2))
    } else {
      return false
    }
  };
  toString__T() {
    return $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this)
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_math_BigInteger__I(x$1)
  };
  init___I__I(sign, value) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    this.sign$2 = sign;
    this.numberLength$2 = 1;
    this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(value, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]));
    return this
  };
  getFirstNonzeroDigit__I() {
    if ((this.java$math$BigInteger$$firstNonzeroDigit$2 === (-2))) {
      let jsx$1;
      if ((this.sign$2 === 0)) {
        jsx$1 = (-1)
      } else {
        let i = 0;
        while ((this.digits$2.u[i] === 0)) {
          i = ((1 + i) | 0)
        };
        jsx$1 = i
      };
      this.java$math$BigInteger$$firstNonzeroDigit$2 = jsx$1
    };
    return this.java$math$BigInteger$$firstNonzeroDigit$2
  };
  equalsArrays__AI__Z(b) {
    const end = this.numberLength$2;
    const this$4 = new $c_sci_Range().init___I__I__I(0, end, 1);
    const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$4, 0, this$4.length__I());
    let res = true;
    while ((res && this$5.hasNext__Z())) {
      const arg1 = this$5.next__O();
      const i = (arg1 | 0);
      res = (this.digits$2.u[i] === b.u[i])
    };
    return res
  };
  abs__Ljava_math_BigInteger() {
    return ((this.sign$2 < 0) ? new $c_Ljava_math_BigInteger().init___I__I__AI(1, this.numberLength$2, this.digits$2) : this)
  };
  setFromString__p2__T__I__V(s, radix) {
    if ((((s === "") || (s === "+")) || (s === "-"))) {
      throw new $c_jl_NumberFormatException().init___T("Zero length BigInteger")
    };
    const stringLength0 = (s.length | 0);
    let x1_$_$$und1$1;
    let x1_$_$$und2$1;
    let x1_$_$$und3$1;
    if (((65535 & (s.charCodeAt(0) | 0)) === 45)) {
      const _3 = (((-1) + stringLength0) | 0);
      const jsx$1_$_$$und1$1 = (-1);
      const jsx$1_$_$$und2$1 = 1;
      const jsx$1_$_$$und3$1 = _3;
      x1_$_$$und1$1 = jsx$1_$_$$und1$1;
      x1_$_$$und2$1 = jsx$1_$_$$und2$1;
      x1_$_$$und3$1 = jsx$1_$_$$und3$1
    } else if (((65535 & (s.charCodeAt(0) | 0)) === 43)) {
      const _3$1 = (((-1) + stringLength0) | 0);
      const jsx$2_$_$$und1$1 = 1;
      const jsx$2_$_$$und2$1 = 1;
      const jsx$2_$_$$und3$1 = _3$1;
      x1_$_$$und1$1 = jsx$2_$_$$und1$1;
      x1_$_$$und2$1 = jsx$2_$_$$und2$1;
      x1_$_$$und3$1 = jsx$2_$_$$und3$1
    } else {
      const jsx$3_$_$$und1$1 = 1;
      const jsx$3_$_$$und2$1 = 0;
      const jsx$3_$_$$und3$1 = stringLength0;
      x1_$_$$und1$1 = jsx$3_$_$$und1$1;
      x1_$_$$und2$1 = jsx$3_$_$$und2$1;
      x1_$_$$und3$1 = jsx$3_$_$$und3$1
    };
    const _sign = (x1_$_$$und1$1 | 0);
    const startChar = (x1_$_$$und2$1 | 0);
    const stringLength = (x1_$_$$und3$1 | 0);
    const isEmpty$4 = (startChar >= stringLength0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + stringLength0) | 0);
    if ((!isEmpty$4)) {
      let i = startChar;
      while (true) {
        const v1 = i;
        const c = (65535 & (s.charCodeAt(v1) | 0));
        if (((c === 43) || (c === 45))) {
          throw new $c_jl_NumberFormatException().init___T("Illegal embedded sign character")
        };
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    const charsPerInt = $m_Ljava_math_Conversion$().DigitFitInInt$1.u[radix];
    let bigRadixDigitsLength = ((stringLength / charsPerInt) | 0);
    const topChars = ((stringLength % charsPerInt) | 0);
    if ((topChars !== 0)) {
      bigRadixDigitsLength = ((1 + bigRadixDigitsLength) | 0)
    };
    const _digits = $newArrayObject($d_I.getArrayOf(), [bigRadixDigitsLength]);
    const bigRadix = $m_Ljava_math_Conversion$().BigRadices$1.u[(((-2) + radix) | 0)];
    let digitIndex = 0;
    let substrEnd = ((startChar + ((topChars === 0) ? charsPerInt : topChars)) | 0);
    let newDigit = 0;
    let substrStart = startChar;
    while ((substrStart < stringLength0)) {
      const jsx$4 = $m_jl_Integer$();
      const beginIndex = substrStart;
      const endIndex = substrEnd;
      const bigRadixDigit = jsx$4.parseInt__T__I__I(s.substring(beginIndex, endIndex), radix);
      const this$13 = $m_Ljava_math_Multiplication$();
      const aSize = digitIndex;
      newDigit = this$13.multiplyByInt__p1__AI__AI__I__I__I(_digits, _digits, aSize, bigRadix);
      newDigit = ((newDigit + $m_Ljava_math_Elementary$().inplaceAdd__AI__I__I__I(_digits, digitIndex, bigRadixDigit)) | 0);
      _digits.u[digitIndex] = newDigit;
      digitIndex = ((1 + digitIndex) | 0);
      substrStart = substrEnd;
      substrEnd = ((substrStart + charsPerInt) | 0)
    };
    this.sign$2 = _sign;
    this.numberLength$2 = digitIndex;
    this.digits$2 = _digits;
    this.cutOffLeadingZeroes__V()
  };
  divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem(divisor) {
    const divisorSign = divisor.sign$2;
    if ((divisorSign === 0)) {
      throw new $c_jl_ArithmeticException().init___T("BigInteger divide by zero")
    };
    const divisorLen = divisor.numberLength$2;
    const divisorDigits = divisor.digits$2;
    if ((divisorLen === 1)) {
      return $m_Ljava_math_Division$().divideAndRemainderByInteger__Ljava_math_BigInteger__I__I__Ljava_math_BigInteger$QuotAndRem(this, divisorDigits.u[0], divisorSign)
    } else {
      const thisDigits = this.digits$2;
      const thisLen = this.numberLength$2;
      const cmp = ((thisLen !== divisorLen) ? ((thisLen > divisorLen) ? 1 : (-1)) : $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(thisDigits, divisorDigits, thisLen));
      if ((cmp < 0)) {
        return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().ZERO$1, this)
      } else {
        const thisSign = this.sign$2;
        const quotientLength = ((1 + ((thisLen - divisorLen) | 0)) | 0);
        const quotientSign = ((thisSign === divisorSign) ? 1 : (-1));
        const quotientDigits = $newArrayObject($d_I.getArrayOf(), [quotientLength]);
        const remainderDigits = $m_Ljava_math_Division$().divide__AI__I__AI__I__AI__I__AI(quotientDigits, quotientLength, thisDigits, thisLen, divisorDigits, divisorLen);
        const result0 = new $c_Ljava_math_BigInteger().init___I__I__AI(quotientSign, quotientLength, quotientDigits);
        const result1 = new $c_Ljava_math_BigInteger().init___I__I__AI(thisSign, divisorLen, remainderDigits);
        result0.cutOffLeadingZeroes__V();
        result1.cutOffLeadingZeroes__V();
        return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger(result0, result1)
      }
    }
  };
  cutOffLeadingZeroes__V() {
    _loop: while (true) {
      if ((this.numberLength$2 > 0)) {
        this.numberLength$2 = (((-1) + this.numberLength$2) | 0);
        if ((this.digits$2.u[this.numberLength$2] === 0)) {
          continue _loop
        }
      };
      break
    };
    if ((this.digits$2.u[this.numberLength$2] === 0)) {
      this.sign$2 = 0
    };
    this.numberLength$2 = ((1 + this.numberLength$2) | 0)
  };
  testBit__I__Z(n) {
    const intCount = (n >> 5);
    if ((n === 0)) {
      return ((1 & this.digits$2.u[0]) !== 0)
    } else if ((n < 0)) {
      throw new $c_jl_ArithmeticException().init___T("Negative bit address")
    } else if ((intCount >= this.numberLength$2)) {
      return (this.sign$2 < 0)
    } else if ((!((this.sign$2 < 0) && (intCount < this.getFirstNonzeroDigit__I())))) {
      let digit = this.digits$2.u[intCount];
      if ((this.sign$2 < 0)) {
        digit = ((this.getFirstNonzeroDigit__I() === intCount) ? ((-digit) | 0) : (~digit))
      };
      const i = (1 << (31 & n));
      return ((digit & i) !== 0)
    } else {
      return false
    }
  };
  getLowestSetBit__I() {
    if ((this.sign$2 === 0)) {
      return (-1)
    } else {
      const i = this.getFirstNonzeroDigit__I();
      const i$1 = this.digits$2.u[i];
      return (((i << 5) + ((i$1 === 0) ? 32 : ((31 - $clz32((i$1 & ((-i$1) | 0)))) | 0))) | 0)
    }
  };
  negate__Ljava_math_BigInteger() {
    return ((this.sign$2 === 0) ? this : new $c_Ljava_math_BigInteger().init___I__I__AI(((-this.sign$2) | 0), this.numberLength$2, this.digits$2))
  };
  init___I__I__AI(sign, numberLength, digits) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    this.sign$2 = sign;
    this.numberLength$2 = numberLength;
    this.digits$2 = digits;
    return this
  };
  shiftLeftOneBit__Ljava_math_BigInteger() {
    return ((this.sign$2 === 0) ? this : $m_Ljava_math_BitLevel$().shiftLeftOneBit__Ljava_math_BigInteger__Ljava_math_BigInteger(this))
  };
  init___T__I(s, radix) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    $m_Ljava_math_BigInteger$();
    if ((s === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    if (((radix < 2) || (radix > 36))) {
      throw new $c_jl_NumberFormatException().init___T("Radix out of range")
    };
    if ((s === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    if ((s === "")) {
      throw new $c_jl_NumberFormatException().init___T("Zero length BigInteger")
    };
    this.setFromString__p2__T__I__V(s, radix);
    return this
  };
  hashCode__I() {
    if ((this.$$undhashCode$2 !== 0)) {
      return this.$$undhashCode$2
    } else {
      const end = this.numberLength$2;
      const isEmpty$4 = (end <= 0);
      const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const v1 = i;
          this.$$undhashCode$2 = (($imul(33, this.$$undhashCode$2) + this.digits$2.u[v1]) | 0);
          if ((i === scala$collection$immutable$Range$$lastElement$4)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      this.$$undhashCode$2 = $imul(this.$$undhashCode$2, this.sign$2);
      return this.$$undhashCode$2
    }
  };
  divideAndRemainder__Ljava_math_BigInteger__ALjava_math_BigInteger(divisor) {
    return this.divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem(divisor).toArray__ALjava_math_BigInteger()
  };
  init___T(s) {
    $c_Ljava_math_BigInteger.prototype.init___T__I.call(this, s, 10);
    return this
  };
  shiftLeft__I__Ljava_math_BigInteger(n) {
    return (((n === 0) || (this.sign$2 === 0)) ? this : ((n > 0) ? $m_Ljava_math_BitLevel$().shiftLeft__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, n) : $m_Ljava_math_BitLevel$().shiftRight__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, ((-n) | 0))))
  };
  isOne__Z() {
    return ((this.numberLength$2 === 1) && (this.digits$2.u[0] === 1))
  };
  intValue__I() {
    return $imul(this.sign$2, this.digits$2.u[0])
  };
  multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(bi) {
    if (((bi.sign$2 === 0) || (this.sign$2 === 0))) {
      return $m_Ljava_math_BigInteger$().ZERO$1
    } else {
      const this$1 = $m_Ljava_math_Multiplication$();
      return this$1.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this, bi)
    }
  };
  init___I__J(sign, lVal) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    this.sign$2 = sign;
    const lo = lVal.hi$2;
    if ((lo === 0)) {
      this.numberLength$2 = 1;
      this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(lVal.lo$2, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]))
    } else {
      this.numberLength$2 = 2;
      this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(lVal.lo$2, new $c_sjs_js_WrappedArray().init___sjs_js_Array([lo]))
    };
    return this
  };
  shiftRight__I__Ljava_math_BigInteger(n) {
    return (((n === 0) || (this.sign$2 === 0)) ? this : ((n > 0) ? $m_Ljava_math_BitLevel$().shiftRight__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, n) : $m_Ljava_math_BitLevel$().shiftLeft__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, ((-n) | 0))))
  };
  init___I__AI(signum, digits) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    if ((digits.u.length === 0)) {
      this.sign$2 = 0;
      this.numberLength$2 = 1;
      this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(0, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]))
    } else {
      this.sign$2 = signum;
      this.numberLength$2 = digits.u.length;
      this.digits$2 = digits;
      this.cutOffLeadingZeroes__V()
    };
    return this
  };
  compareTo__Ljava_math_BigInteger__I(bi) {
    return ((this.sign$2 > bi.sign$2) ? 1 : ((this.sign$2 < bi.sign$2) ? (-1) : ((this.numberLength$2 > bi.numberLength$2) ? this.sign$2 : ((this.numberLength$2 < bi.numberLength$2) ? ((-bi.sign$2) | 0) : $imul(this.sign$2, $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(this.digits$2, bi.digits$2, this.numberLength$2))))))
  };
}
const $is_Ljava_math_BigInteger = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_math_BigInteger)))
});
const $isArrayOf_Ljava_math_BigInteger = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_math_BigInteger)))
});
const $d_Ljava_math_BigInteger = new $TypeData().initClass({
  Ljava_math_BigInteger: 0
}, false, "java.math.BigInteger", {
  Ljava_math_BigInteger: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_Ljava_math_BigInteger.prototype.$classData = $d_Ljava_math_BigInteger;
class $c_Ljava_math_RoundingMode extends $c_jl_Enum {
  init___T__I(name, ordinal) {
    $c_jl_Enum.prototype.init___T__I.call(this, name, ordinal);
    return this
  };
}
const $d_Ljava_math_RoundingMode = new $TypeData().initClass({
  Ljava_math_RoundingMode: 0
}, false, "java.math.RoundingMode", {
  Ljava_math_RoundingMode: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_RoundingMode.prototype.$classData = $d_Ljava_math_RoundingMode;
class $c_Ljava_net_URI extends $c_O {
  constructor() {
    super();
    this.origStr$1 = null;
    this.java$net$URI$$$undfld$f = null;
    this.java$net$URI$$$undisAbsolute$1 = false;
    this.java$net$URI$$$undisOpaque$1 = false;
    this.java$net$URI$$$undscheme$1 = null;
    this.java$net$URI$$$undschemeSpecificPart$1 = null;
    this.java$net$URI$$$undauthority$1 = null;
    this.java$net$URI$$$unduserInfo$1 = null;
    this.java$net$URI$$$undhost$1 = null;
    this.java$net$URI$$$undport$1 = 0;
    this.java$net$URI$$$undpath$1 = null;
    this.java$net$URI$$$undquery$1 = null;
    this.java$net$URI$$$undfragment$1 = null
  };
  equals__O__Z(that) {
    if ($is_Ljava_net_URI(that)) {
      const x2 = that;
      const f = (function($this) {
        return (function(x$2, y$2) {
          const x = x$2;
          const y = y$2;
          const this$1 = $m_Ljava_net_URI$();
          return this$1.loop$2__p1__I__T__T__I(0, x, y)
        })
      })(this);
      let jsx$1;
      if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undscheme$1, x2.java$net$URI$$$undscheme$1))) {
        const value = this.java$net$URI$$$undscheme$1;
        if ((value === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1 = value;
          const value$1 = x2.java$net$URI$$$undscheme$1;
          if ((value$1 === (void 0))) {
            jsx$1 = 1
          } else {
            const x$1 = value$1;
            jsx$1 = $m_sjsr_RuntimeString$().compareToIgnoreCase__T__T__I(s1, x$1)
          }
        }
      } else if ((this.java$net$URI$$$undisOpaque$1 !== x2.java$net$URI$$$undisOpaque$1)) {
        jsx$1 = (this.java$net$URI$$$undisOpaque$1 ? 1 : (-1))
      } else if (this.java$net$URI$$$undisOpaque$1) {
        const arg1 = this.java$net$URI$$$undschemeSpecificPart$1;
        const arg2 = x2.java$net$URI$$$undschemeSpecificPart$1;
        const ssp = (f(arg1, arg2) | 0);
        if ((ssp !== 0)) {
          jsx$1 = ssp
        } else {
          const x$3 = this.java$net$URI$$$undfragment$1;
          const y$1 = x2.java$net$URI$$$undfragment$1;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$3, y$1)) {
            jsx$1 = 0
          } else if ((x$3 === (void 0))) {
            jsx$1 = (-1)
          } else {
            const s1$1 = x$3;
            if ((y$1 === (void 0))) {
              jsx$1 = 1
            } else {
              const s2 = y$1;
              jsx$1 = (f(s1$1, s2) | 0)
            }
          }
        }
      } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undauthority$1, x2.java$net$URI$$$undauthority$1))) {
        const value$2 = this.java$net$URI$$$undhost$1;
        let jsx$2;
        if ((value$2 !== (void 0))) {
          const value$3 = x2.java$net$URI$$$undhost$1;
          jsx$2 = (value$3 !== (void 0))
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          const x$4 = this.java$net$URI$$$unduserInfo$1;
          const y$3 = x2.java$net$URI$$$unduserInfo$1;
          let ui;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$4, y$3)) {
            ui = 0
          } else if ((x$4 === (void 0))) {
            ui = (-1)
          } else {
            const s1$2 = x$4;
            if ((y$3 === (void 0))) {
              ui = 1
            } else {
              const s2$1 = y$3;
              ui = (f(s1$2, s2$1) | 0)
            }
          };
          if ((ui !== 0)) {
            jsx$1 = ui
          } else {
            const jsx$3 = $m_sjsr_RuntimeString$();
            const value$4 = this.java$net$URI$$$undhost$1;
            if ((value$4 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const value$5 = x2.java$net$URI$$$undhost$1;
            if ((value$5 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const hst = jsx$3.compareToIgnoreCase__T__T__I(value$4, value$5);
            jsx$1 = ((hst !== 0) ? hst : ((this.java$net$URI$$$undport$1 === x2.java$net$URI$$$undport$1) ? 0 : ((this.java$net$URI$$$undport$1 === (-1)) ? (-1) : ((x2.java$net$URI$$$undport$1 === (-1)) ? 1 : ((this.java$net$URI$$$undport$1 - x2.java$net$URI$$$undport$1) | 0)))))
          }
        } else {
          const x$5 = this.java$net$URI$$$undauthority$1;
          const y$4 = x2.java$net$URI$$$undauthority$1;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$5, y$4)) {
            jsx$1 = 0
          } else if ((x$5 === (void 0))) {
            jsx$1 = (-1)
          } else {
            const s1$3 = x$5;
            if ((y$4 === (void 0))) {
              jsx$1 = 1
            } else {
              const s2$2 = y$4;
              jsx$1 = (f(s1$3, s2$2) | 0)
            }
          }
        }
      } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undpath$1, x2.java$net$URI$$$undpath$1))) {
        const x$6 = this.java$net$URI$$$undpath$1;
        const y$5 = x2.java$net$URI$$$undpath$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$6, y$5)) {
          jsx$1 = 0
        } else if ((x$6 === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1$4 = x$6;
          if ((y$5 === (void 0))) {
            jsx$1 = 1
          } else {
            const s2$3 = y$5;
            jsx$1 = (f(s1$4, s2$3) | 0)
          }
        }
      } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undquery$1, x2.java$net$URI$$$undquery$1))) {
        const x$7 = this.java$net$URI$$$undquery$1;
        const y$6 = x2.java$net$URI$$$undquery$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$7, y$6)) {
          jsx$1 = 0
        } else if ((x$7 === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1$5 = x$7;
          if ((y$6 === (void 0))) {
            jsx$1 = 1
          } else {
            const s2$4 = y$6;
            jsx$1 = (f(s1$5, s2$4) | 0)
          }
        }
      } else {
        const x$8 = this.java$net$URI$$$undfragment$1;
        const y$7 = x2.java$net$URI$$$undfragment$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$8, y$7)) {
          jsx$1 = 0
        } else if ((x$8 === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1$6 = x$8;
          if ((y$7 === (void 0))) {
            jsx$1 = 1
          } else {
            const s2$5 = y$7;
            jsx$1 = (f(s1$6, s2$5) | 0)
          }
        }
      };
      return (jsx$1 === 0)
    } else {
      return false
    }
  };
  getQuery__T() {
    const value = this.java$net$URI$$$undquery$1;
    let value$2;
    if ((value === (void 0))) {
      value$2 = (void 0)
    } else {
      const str = value;
      const value$1 = $m_Ljava_net_URI$().java$net$URI$$decodeComponent__T__T(str);
      value$2 = value$1
    };
    return ((value$2 === (void 0)) ? null : value$2)
  };
  toString__T() {
    return this.origStr$1
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_net_URI__I(x$1)
  };
  getScheme__T() {
    const value = this.java$net$URI$$$undscheme$1;
    return ((value === (void 0)) ? null : value)
  };
  getRawAuthority__T() {
    const value = this.java$net$URI$$$undauthority$1;
    return ((value === (void 0)) ? null : value)
  };
  getFragment__T() {
    const value = this.java$net$URI$$$undfragment$1;
    let value$2;
    if ((value === (void 0))) {
      value$2 = (void 0)
    } else {
      const str = value;
      const value$1 = $m_Ljava_net_URI$().java$net$URI$$decodeComponent__T__T(str);
      value$2 = value$1
    };
    return ((value$2 === (void 0)) ? null : value$2)
  };
  okToDropFrom$1__p1__sci_List__Z(resRev) {
    let jsx$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(resRev)) {
      const x = resRev.head__O();
      jsx$1 = (!((x !== null) && $objectEquals(x, "..")))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const x$3 = resRev.head__O();
      return (!((x$3 !== null) && $objectEquals(x$3, "")))
    } else {
      return false
    }
  };
  init___T__T__T__T__T(scheme, authority, path, query, fragment) {
    $c_Ljava_net_URI.prototype.init___T.call(this, $m_Ljava_net_URI$().java$net$URI$$uriStr__T__T__T__T__T__T(scheme, authority, path, query, fragment));
    return this
  };
  compareTo__Ljava_net_URI__I(that) {
    const f = (function($this) {
      return (function(x$3$2, x$4$2) {
        const x$3 = x$3$2;
        const x$4 = x$4$2;
        return ((x$3 === x$4) ? 0 : ((!(!(x$3 < x$4))) ? (-1) : 1))
      })
    })(this);
    if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undscheme$1, that.java$net$URI$$$undscheme$1))) {
      const value = this.java$net$URI$$$undscheme$1;
      if ((value === (void 0))) {
        return (-1)
      } else {
        const s1 = value;
        const value$1 = that.java$net$URI$$$undscheme$1;
        if ((value$1 === (void 0))) {
          return 1
        } else {
          const x$1 = value$1;
          return $m_sjsr_RuntimeString$().compareToIgnoreCase__T__T__I(s1, x$1)
        }
      }
    } else if ((this.java$net$URI$$$undisOpaque$1 !== that.java$net$URI$$$undisOpaque$1)) {
      return (this.java$net$URI$$$undisOpaque$1 ? 1 : (-1))
    } else if (this.java$net$URI$$$undisOpaque$1) {
      const arg1 = this.java$net$URI$$$undschemeSpecificPart$1;
      const arg2 = that.java$net$URI$$$undschemeSpecificPart$1;
      const ssp = (f(arg1, arg2) | 0);
      if ((ssp !== 0)) {
        return ssp
      } else {
        const x = this.java$net$URI$$$undfragment$1;
        const y = that.java$net$URI$$$undfragment$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x, y)) {
          return 0
        } else if ((x === (void 0))) {
          return (-1)
        } else {
          const s1$1 = x;
          if ((y === (void 0))) {
            return 1
          } else {
            const s2 = y;
            return (f(s1$1, s2) | 0)
          }
        }
      }
    } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undauthority$1, that.java$net$URI$$$undauthority$1))) {
      const value$2 = this.java$net$URI$$$undhost$1;
      let jsx$1;
      if ((value$2 !== (void 0))) {
        const value$3 = that.java$net$URI$$$undhost$1;
        jsx$1 = (value$3 !== (void 0))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$2 = this.java$net$URI$$$unduserInfo$1;
        const y$1 = that.java$net$URI$$$unduserInfo$1;
        let ui;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$2, y$1)) {
          ui = 0
        } else if ((x$2 === (void 0))) {
          ui = (-1)
        } else {
          const s1$2 = x$2;
          if ((y$1 === (void 0))) {
            ui = 1
          } else {
            const s2$1 = y$1;
            ui = (f(s1$2, s2$1) | 0)
          }
        };
        if ((ui !== 0)) {
          return ui
        } else {
          const jsx$2 = $m_sjsr_RuntimeString$();
          const value$4 = this.java$net$URI$$$undhost$1;
          if ((value$4 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const value$5 = that.java$net$URI$$$undhost$1;
          if ((value$5 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const hst = jsx$2.compareToIgnoreCase__T__T__I(value$4, value$5);
          return ((hst !== 0) ? hst : ((this.java$net$URI$$$undport$1 === that.java$net$URI$$$undport$1) ? 0 : ((this.java$net$URI$$$undport$1 === (-1)) ? (-1) : ((that.java$net$URI$$$undport$1 === (-1)) ? 1 : ((this.java$net$URI$$$undport$1 - that.java$net$URI$$$undport$1) | 0)))))
        }
      } else {
        const x$5 = this.java$net$URI$$$undauthority$1;
        const y$2 = that.java$net$URI$$$undauthority$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$5, y$2)) {
          return 0
        } else if ((x$5 === (void 0))) {
          return (-1)
        } else {
          const s1$3 = x$5;
          if ((y$2 === (void 0))) {
            return 1
          } else {
            const s2$2 = y$2;
            return (f(s1$3, s2$2) | 0)
          }
        }
      }
    } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undpath$1, that.java$net$URI$$$undpath$1))) {
      const x$6 = this.java$net$URI$$$undpath$1;
      const y$3 = that.java$net$URI$$$undpath$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$6, y$3)) {
        return 0
      } else if ((x$6 === (void 0))) {
        return (-1)
      } else {
        const s1$4 = x$6;
        if ((y$3 === (void 0))) {
          return 1
        } else {
          const s2$3 = y$3;
          return (f(s1$4, s2$3) | 0)
        }
      }
    } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undquery$1, that.java$net$URI$$$undquery$1))) {
      const x$7 = this.java$net$URI$$$undquery$1;
      const y$4 = that.java$net$URI$$$undquery$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$7, y$4)) {
        return 0
      } else if ((x$7 === (void 0))) {
        return (-1)
      } else {
        const s1$5 = x$7;
        if ((y$4 === (void 0))) {
          return 1
        } else {
          const s2$4 = y$4;
          return (f(s1$5, s2$4) | 0)
        }
      }
    } else {
      const x$8 = this.java$net$URI$$$undfragment$1;
      const y$5 = that.java$net$URI$$$undfragment$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$8, y$5)) {
        return 0
      } else if ((x$8 === (void 0))) {
        return (-1)
      } else {
        const s1$6 = x$8;
        if ((y$5 === (void 0))) {
          return 1
        } else {
          const s2$5 = y$5;
          return (f(s1$6, s2$5) | 0)
        }
      }
    }
  };
  loop$1__p1__sci_List__sci_List__sci_List($in, resRev) {
    _loop: while (true) {
      let rc24 = false;
      let x2 = null;
      const x1 = $in;
      if ($is_sci_$colon$colon(x1)) {
        rc24 = true;
        x2 = x1;
        const p3 = x2.head$5;
        const p4 = x2.tl$5;
        let jsx$1;
        if ((p3 === ".")) {
          const x$2 = $m_sci_Nil$();
          jsx$1 = x$2.equals__O__Z(p4)
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          const temp$$in = $m_sci_Nil$();
          const this$1 = resRev;
          const temp$resRev = new $c_sci_$colon$colon().init___O__sci_List("", this$1);
          $in = temp$$in;
          resRev = temp$resRev;
          continue _loop
        }
      };
      if (rc24) {
        const p6 = x2.head$5;
        const p7 = x2.tl$5;
        let jsx$2;
        if ((p6 === "..")) {
          const x$4 = $m_sci_Nil$();
          if (x$4.equals__O__Z(p7)) {
            jsx$2 = this.okToDropFrom$1__p1__sci_List__Z(resRev)
          } else {
            jsx$2 = false
          }
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          const temp$$in$2 = $m_sci_Nil$();
          const this$2 = resRev.tail__O();
          const temp$resRev$2 = new $c_sci_$colon$colon().init___O__sci_List("", this$2);
          $in = temp$$in$2;
          resRev = temp$resRev$2;
          continue _loop
        }
      };
      if (rc24) {
        const p9 = x2.head$5;
        const xs = x2.tl$5;
        if ((p9 === ".")) {
          $in = xs;
          continue _loop
        }
      };
      if (rc24) {
        const p11 = x2.head$5;
        const xs$2 = x2.tl$5;
        if (((p11 === "") && $f_sc_TraversableOnce__nonEmpty__Z(xs$2))) {
          $in = xs$2;
          continue _loop
        }
      };
      if (rc24) {
        const p13 = x2.head$5;
        const xs$3 = x2.tl$5;
        if (((p13 === "..") && this.okToDropFrom$1__p1__sci_List__Z(resRev))) {
          const temp$resRev$3 = resRev.tail__O();
          $in = xs$3;
          resRev = temp$resRev$3;
          continue _loop
        }
      };
      if (rc24) {
        const x$7 = x2.head$5;
        const xs$4 = x2.tl$5;
        const this$3 = resRev;
        const temp$resRev$4 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$3);
        $in = xs$4;
        resRev = temp$resRev$4;
        continue _loop
      };
      const x$8 = $m_sci_Nil$();
      if (x$8.equals__O__Z(x1)) {
        return resRev.reverse__sci_List()
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    let acc = 53722356;
    acc = $m_s_util_hashing_MurmurHash3$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.java$net$URI$$$undscheme$1));
    acc = $m_s_util_hashing_MurmurHash3$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I($m_Ljava_net_URI$().java$net$URI$$normalizeEscapes__T__T(this.java$net$URI$$$undschemeSpecificPart$1)));
    const jsx$4 = $m_s_util_hashing_MurmurHash3$();
    const jsx$3 = acc;
    const jsx$2 = $m_sr_Statics$();
    const value = this.java$net$URI$$$undfragment$1;
    let jsx$1;
    if ((value === (void 0))) {
      jsx$1 = (void 0)
    } else {
      const str = value;
      const value$1 = $m_Ljava_net_URI$().java$net$URI$$normalizeEscapes__T__T(str);
      jsx$1 = value$1
    };
    acc = jsx$4.mixLast__I__I__I(jsx$3, jsx$2.anyHash__O__I(jsx$1));
    return $m_s_util_hashing_MurmurHash3$().finalizeHash__I__I__I(acc, 3)
  };
  init___T(origStr) {
    this.origStr$1 = origStr;
    const this$1 = $m_s_Option$().apply__O__s_Option($m_Ljava_net_URI$().java$net$URI$$uriRe$1.exec(origStr));
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      throw new $c_Ljava_net_URISyntaxException().init___T__T(this.origStr$1, "Malformed URI")
    } else {
      jsx$1 = this$1.get__O()
    };
    this.java$net$URI$$$undfld$f = jsx$1;
    const value = this.java$net$URI$$$undfld$f[1];
    this.java$net$URI$$$undisAbsolute$1 = (value !== (void 0));
    const value$1 = this.java$net$URI$$$undfld$f[10];
    this.java$net$URI$$$undisOpaque$1 = (value$1 !== (void 0));
    this.java$net$URI$$$undscheme$1 = this.java$net$URI$$$undfld$f[1];
    const value$2 = ((!this.java$net$URI$$$undisAbsolute$1) ? this.java$net$URI$$$undfld$f[11] : (this.java$net$URI$$$undisOpaque$1 ? this.java$net$URI$$$undfld$f[10] : this.java$net$URI$$$undfld$f[2]));
    if ((value$2 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    this.java$net$URI$$$undschemeSpecificPart$1 = value$2;
    const value$3 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[3] : this.java$net$URI$$$undfld$f[12]);
    let jsx$2;
    if ((value$3 === (void 0))) {
      jsx$2 = true
    } else {
      const x$1 = value$3;
      jsx$2 = (x$1 !== "")
    };
    this.java$net$URI$$$undauthority$1 = (jsx$2 ? value$3 : (void 0));
    this.java$net$URI$$$unduserInfo$1 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[4] : this.java$net$URI$$$undfld$f[13]);
    this.java$net$URI$$$undhost$1 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[5] : this.java$net$URI$$$undfld$f[14]);
    const value$4 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[6] : this.java$net$URI$$$undfld$f[15]);
    let jsx$3;
    if ((value$4 === (void 0))) {
      jsx$3 = (-1)
    } else {
      const x$2 = value$4;
      const this$25 = new $c_sci_StringOps().init___T(x$2);
      const this$27 = $m_jl_Integer$();
      const $$this = this$25.repr$1;
      jsx$3 = this$27.parseInt__T__I__I($$this, 10)
    };
    this.java$net$URI$$$undport$1 = jsx$3;
    const value$5 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[3] : this.java$net$URI$$$undfld$f[12]);
    const useNetPath = (value$5 !== (void 0));
    let jsx$4;
    if (useNetPath) {
      const value$6 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[7] : this.java$net$URI$$$undfld$f[16]);
      jsx$4 = ((value$6 === (void 0)) ? "" : value$6)
    } else if (this.java$net$URI$$$undisAbsolute$1) {
      jsx$4 = this.java$net$URI$$$undfld$f[8]
    } else {
      const value$7 = this.java$net$URI$$$undfld$f[17];
      jsx$4 = ((value$7 === (void 0)) ? this.java$net$URI$$$undfld$f[18] : value$7)
    };
    this.java$net$URI$$$undpath$1 = jsx$4;
    this.java$net$URI$$$undquery$1 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[9] : this.java$net$URI$$$undfld$f[19]);
    this.java$net$URI$$$undfragment$1 = this.java$net$URI$$$undfld$f[20];
    this.java$net$URI$$$undfld$f = null;
    return this
  };
  normalize__Ljava_net_URI() {
    let jsx$1;
    if (this.java$net$URI$$$undisOpaque$1) {
      jsx$1 = true
    } else {
      const value = this.java$net$URI$$$undpath$1;
      jsx$1 = (value === (void 0))
    };
    if (jsx$1) {
      return this
    } else {
      const value$1 = this.java$net$URI$$$undpath$1;
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      const origPath = value$1;
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(origPath, "/", (-1));
      const this$9 = $m_sci_List$();
      const cbf = this$9.ReusableCBFInstance$2;
      const b = cbf.apply__scm_Builder();
      const x1 = xs.u.length;
      switch (x1) {
        case (-1): {
          break
        }
        default: {
          b.sizeHint__I__V(x1)
        }
      };
      b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs));
      const segments0 = b.result__O();
      let isAbsPath;
      if ($f_sc_TraversableOnce__nonEmpty__Z(segments0)) {
        const x = segments0.head__O();
        isAbsPath = ((x !== null) && $objectEquals(x, ""))
      } else {
        isAbsPath = false
      };
      const segments1 = (isAbsPath ? segments0.tail__O() : segments0);
      const segments2 = this.loop$1__p1__sci_List__sci_List__sci_List(segments1, $m_sci_Nil$());
      let segments3;
      if (isAbsPath) {
        segments3 = new $c_sci_$colon$colon().init___O__sci_List("", segments2)
      } else {
        let jsx$2;
        if ($f_sc_TraversableOnce__nonEmpty__Z(segments2)) {
          const x$1 = segments2.head__O();
          const this$15 = new $c_sci_StringOps().init___T(x$1);
          const elem = new $c_jl_Character().init___C(58);
          jsx$2 = $f_sc_SeqLike__contains__O__Z(this$15, elem)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          segments3 = new $c_sci_$colon$colon().init___O__sci_List(".", segments2)
        } else {
          segments3 = segments2
        }
      };
      const newPath = $f_sc_TraversableOnce__mkString__T__T__T__T(segments3, "", "/", "");
      return ((newPath === origPath) ? this : new $c_Ljava_net_URI().init___T__T__T__T__T(this.getScheme__T(), this.getRawAuthority__T(), newPath, this.getQuery__T(), this.getFragment__T()))
    }
  };
}
const $is_Ljava_net_URI = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_net_URI)))
});
const $isArrayOf_Ljava_net_URI = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_net_URI)))
});
const $d_Ljava_net_URI = new $TypeData().initClass({
  Ljava_net_URI: 0
}, false, "java.net.URI", {
  Ljava_net_URI: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_Ljava_net_URI.prototype.$classData = $d_Ljava_net_URI;
class $c_Ljava_net_URISyntaxException extends $c_jl_Exception {
  constructor() {
    super();
    this.input$3 = null;
    this.reason$3 = null;
    this.index$3 = 0
  };
  init___T__T(input, reason) {
    $c_Ljava_net_URISyntaxException.prototype.init___T__T__I.call(this, input, reason, (-1));
    return this
  };
  init___T__T__I(input, reason, index) {
    this.input$3 = input;
    this.reason$3 = reason;
    this.index$3 = index;
    const s = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " in ", " at ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([reason, input, index]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_Ljava_net_URISyntaxException = new $TypeData().initClass({
  Ljava_net_URISyntaxException: 0
}, false, "java.net.URISyntaxException", {
  Ljava_net_URISyntaxException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_net_URISyntaxException.prototype.$classData = $d_Ljava_net_URISyntaxException;
class $c_Ljava_nio_HeapByteBuffer extends $c_Ljava_nio_ByteBuffer {
  constructor() {
    super();
    this.$$undreadOnly$3 = false
  };
  put__AB__I__I__Ljava_nio_ByteBuffer(src, offset, length) {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    if ((((offset < 0) || (length < 0)) || (offset > ((src.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    $systemArraycopy(src, offset, this.$$undarray$2, ((this.$$undarrayOffset$2 + p) | 0), length);
    return this
  };
  get__AB__I__I__Ljava_nio_ByteBuffer(dst, offset, length) {
    if ((((offset < 0) || (length < 0)) || (offset > ((dst.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    $systemArraycopy(this.$$undarray$2, ((this.$$undarrayOffset$2 + p) | 0), dst, offset, length);
    return this
  };
  init___I__AB__I__I__I__Z(_capacity, _array0, _arrayOffset0, _initialPosition, _initialLimit, _readOnly) {
    this.$$undreadOnly$3 = _readOnly;
    $c_Ljava_nio_ByteBuffer.prototype.init___I__AB__I.call(this, _capacity, _array0, _arrayOffset0);
    this.position__I__Ljava_nio_Buffer(_initialPosition);
    this.limit__I__Ljava_nio_Buffer(_initialLimit);
    return this
  };
  compact__Ljava_nio_ByteBuffer() {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const len = ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0);
    $systemArraycopy(this.$$undarray$2, ((this.$$undarrayOffset$2 + this.java$nio$Buffer$$$undposition$1) | 0), this.$$undarray$2, this.$$undarrayOffset$2, len);
    this.$$undmark$1 = (-1);
    this.limit__I__Ljava_nio_Buffer(this.$$undcapacity$1);
    this.position__I__Ljava_nio_Buffer(len);
    return this
  };
  get__B() {
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    return ((this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)] | 0) | 0)
  };
  put__B__Ljava_nio_ByteBuffer(b) {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    const elem = (b | 0);
    this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)] = (elem | 0);
    return this
  };
}
const $d_Ljava_nio_HeapByteBuffer = new $TypeData().initClass({
  Ljava_nio_HeapByteBuffer: 0
}, false, "java.nio.HeapByteBuffer", {
  Ljava_nio_HeapByteBuffer: 1,
  Ljava_nio_ByteBuffer: 1,
  Ljava_nio_Buffer: 1,
  O: 1,
  jl_Comparable: 1
});
$c_Ljava_nio_HeapByteBuffer.prototype.$classData = $d_Ljava_nio_HeapByteBuffer;
class $c_Ljava_nio_charset_CoderMalfunctionError extends $c_jl_Error {
  init___jl_Exception(cause) {
    $c_jl_Error.prototype.init___jl_Throwable.call(this, cause);
    return this
  };
}
const $d_Ljava_nio_charset_CoderMalfunctionError = new $TypeData().initClass({
  Ljava_nio_charset_CoderMalfunctionError: 0
}, false, "java.nio.charset.CoderMalfunctionError", {
  Ljava_nio_charset_CoderMalfunctionError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_charset_CoderMalfunctionError.prototype.$classData = $d_Ljava_nio_charset_CoderMalfunctionError;
class $c_Lorg_yaml_model_YMap extends $c_Lorg_yaml_model_YValue {
  constructor() {
    super();
    this.entries$3 = null;
    this.map$3 = null
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YMap(obj)) {
      const x2 = obj;
      const x = this.map$3;
      const x$2 = x2.map$3;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
      const x3 = obj;
      const this$1 = x3.to__Lorg_yaml_convert_YRead__s_util_Either($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_util_Right(this$1)) {
        const x2$1 = this$1;
        const b = x2$1.value$2;
        const x$1 = b;
        const x$3 = this.map$3;
        const x$2$1 = x$1.map$3;
        return ((x$3 === null) ? (x$2$1 === null) : $f_sc_GenMapLike__equals__O__Z(x$3, x$2$1))
      } else if ($is_s_util_Left(this$1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } else {
      return false
    }
  };
  init___sc_IndexedSeq(c) {
    $c_Lorg_yaml_model_YValue.prototype.init___sc_IndexedSeq.call(this, c);
    const jsx$3 = $m_s_Predef$();
    const jsx$2 = this.children$2;
    const jsx$1 = new $c_Lorg_yaml_model_YMap$$anonfun$1().init___Lorg_yaml_model_YMap(this);
    const this$1 = $m_sc_IndexedSeq$();
    this.entries$3 = jsx$3.wrapRefArray__AO__scm_WrappedArray(jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6).toArray__s_reflect_ClassTag__O(new $c_s_reflect_ClassTag$GenericClassTag().init___jl_Class($d_Lorg_yaml_model_YMapEntry.getClassOf())));
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    this.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(e$2) {
        const e = e$2;
        return b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(e.key$1, e.value$1))
      })
    })(this, b)));
    this.map$3 = b.elems$1;
    return this
  };
  toString__T() {
    return this.entries$3.mkString__T__T__T__T("{", ", ", "}")
  };
  hashCode__I() {
    const this$1 = this.map$3;
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.unorderedHash__sc_TraversableOnce__I__I(this$1, this$2.mapSeed$2)
  };
}
const $is_Lorg_yaml_model_YMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YMap)))
});
const $isArrayOf_Lorg_yaml_model_YMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YMap)))
});
const $d_Lorg_yaml_model_YMap = new $TypeData().initClass({
  Lorg_yaml_model_YMap: 0
}, false, "org.yaml.model.YMap", {
  Lorg_yaml_model_YMap: 1,
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YMap.prototype.$classData = $d_Lorg_yaml_model_YMap;
class $c_Lorg_yaml_model_YNode extends $c_Lorg_yaml_model_YNodeLike {
  constructor() {
    super();
    this.children$3 = null;
    this.range$3 = null
  };
  children__sc_IndexedSeq() {
    return this.children$3
  };
  equals__O__Z(obj) {
    if ((!$is_Lorg_yaml_model_YFail(obj))) {
      if ($is_Lorg_yaml_model_YNode(obj)) {
        const x3 = obj;
        const x = this.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = x3.tag__Lorg_yaml_model_YTag().tagType$2;
        if ((x === x$2)) {
          return this.value__Lorg_yaml_model_YValue().$$eq$eq__Lorg_yaml_model_YValueLike__Z(x3.value__Lorg_yaml_model_YValue())
        } else {
          return false
        }
      } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
        const x4 = obj;
        return this.$$eq$eq__Lorg_yaml_model_YValueLike__Z(x4.thisNode__Lorg_yaml_model_YNode())
      } else {
        return false
      }
    } else {
      return false
    }
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$3 = x$1
  };
  init___sc_IndexedSeq(children) {
    this.children$3 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  toString__T() {
    return this.value__Lorg_yaml_model_YValue().toString__T()
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  anchor__s_Option() {
    return $m_s_None$()
  };
  hashCode__I() {
    const this$1 = this.tag__Lorg_yaml_model_YTag().tagType$2;
    return (($imul(31, $systemIdentityHashCode(this$1)) + this.value__Lorg_yaml_model_YValue().hashCode__I()) | 0)
  };
  thisNode__Lorg_yaml_model_YNode() {
    return this
  };
}
const $is_Lorg_yaml_model_YNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode)))
});
const $isArrayOf_Lorg_yaml_model_YNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode)))
});
const $d_Lorg_yaml_model_YNode = new $TypeData().initClass({
  Lorg_yaml_model_YNode: 0
}, false, "org.yaml.model.YNode", {
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode.prototype.$classData = $d_Lorg_yaml_model_YNode;
class $c_Lorg_yaml_model_YObj extends $c_Lorg_yaml_model_YNodeLike {
}
class $c_Lorg_yaml_model_YScalar extends $c_Lorg_yaml_model_YValue {
  constructor() {
    super();
    this.value$3 = null;
    this.text$3 = null;
    this.plain$3 = false
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YScalar(obj)) {
      const x2 = obj;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(x2.value$3, this.value$3)
    } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
      const x3 = obj;
      const this$1 = x3.to__Lorg_yaml_convert_YRead__s_util_Either($m_Lorg_yaml_convert_YRead$YScalarYRead$());
      if ($is_s_util_Right(this$1)) {
        const x2$1 = this$1;
        const b = x2$1.value$2;
        const s = b;
        const v1 = s.value$3;
        return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$3, v1)
      } else if ($is_s_util_Left(this$1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } else {
      return false
    }
  };
  toString__T() {
    if (this.plain$3) {
      return this.text$3
    } else {
      const jsx$2 = new $c_jl_Character().init___C(34);
      const jsx$1 = $m_Lorg_mulesoft_common_core_package$Strings$();
      const str = this.text$3;
      return ((("" + jsx$2) + jsx$1.encode$extension__T__T(str)) + new $c_jl_Character().init___C(34))
    }
  };
  init___O__T__Z__sc_IndexedSeq(value, text, plain, c) {
    this.value$3 = value;
    this.text$3 = text;
    this.plain$3 = plain;
    $c_Lorg_yaml_model_YValue.prototype.init___sc_IndexedSeq.call(this, c);
    return this
  };
  hashCode__I() {
    return $objectHashCode(this.value$3)
  };
}
const $is_Lorg_yaml_model_YScalar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YScalar)))
});
const $isArrayOf_Lorg_yaml_model_YScalar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YScalar)))
});
const $d_Lorg_yaml_model_YScalar = new $TypeData().initClass({
  Lorg_yaml_model_YScalar: 0
}, false, "org.yaml.model.YScalar", {
  Lorg_yaml_model_YScalar: 1,
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YScalar.prototype.$classData = $d_Lorg_yaml_model_YScalar;
class $c_Lorg_yaml_model_YSequence extends $c_Lorg_yaml_model_YValue {
  constructor() {
    super();
    this.nodes$3 = null
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YSequence(obj)) {
      const x2 = obj;
      return this.nodes$3.equals__O__Z(x2.nodes$3)
    } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
      const x3 = obj;
      const this$1 = x3.to__Lorg_yaml_convert_YRead__s_util_Either($m_Lorg_yaml_convert_YRead$YSeqYRead$());
      if ($is_s_util_Right(this$1)) {
        const x2$1 = this$1;
        const b = x2$1.value$2;
        const x$1 = b;
        const x = this.nodes$3;
        const x$2 = x$1.nodes$3;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else if ($is_s_util_Left(this$1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } else {
      return false
    }
  };
  init___sc_IndexedSeq(c) {
    $c_Lorg_yaml_model_YValue.prototype.init___sc_IndexedSeq.call(this, c);
    const jsx$3 = $m_s_Predef$();
    const jsx$2 = this.children$2;
    const jsx$1 = new $c_Lorg_yaml_model_YSequence$$anonfun$1().init___Lorg_yaml_model_YSequence(this);
    const this$1 = $m_sc_IndexedSeq$();
    this.nodes$3 = jsx$3.wrapRefArray__AO__scm_WrappedArray(jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6).toArray__s_reflect_ClassTag__O(new $c_s_reflect_ClassTag$GenericClassTag().init___jl_Class($d_Lorg_yaml_model_YNode.getClassOf())));
    return this
  };
  toString__T() {
    return this.nodes$3.mkString__T__T__T__T("[", ", ", "]")
  };
  hashCode__I() {
    return this.nodes$3.hashCode__I()
  };
}
const $is_Lorg_yaml_model_YSequence = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YSequence)))
});
const $isArrayOf_Lorg_yaml_model_YSequence = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YSequence)))
});
const $d_Lorg_yaml_model_YSequence = new $TypeData().initClass({
  Lorg_yaml_model_YSequence: 0
}, false, "org.yaml.model.YSequence", {
  Lorg_yaml_model_YSequence: 1,
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YSequence.prototype.$classData = $d_Lorg_yaml_model_YSequence;
class $c_Lscopt_ParseException extends $c_jl_Exception {
  init___T__I(s, errorOffset) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Lscopt_ParseException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lscopt_ParseException)))
});
const $isArrayOf_Lscopt_ParseException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lscopt_ParseException)))
});
const $d_Lscopt_ParseException = new $TypeData().initClass({
  Lscopt_ParseException: 0
}, false, "scopt.ParseException", {
  Lscopt_ParseException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_ParseException.prototype.$classData = $d_Lscopt_ParseException;
const $is_T = (function(obj) {
  return ((typeof obj) === "string")
});
const $isArrayOf_T = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T)))
});
const $d_T = new $TypeData().initClass({
  T: 0
}, false, "java.lang.String", {
  T: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_CharSequence: 1,
  jl_Comparable: 1
}, (void 0), (void 0), $is_T);
class $c_jl_AssertionError extends $c_jl_Error {
  init___O(o) {
    const s = $objectToString(o);
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_AssertionError = new $TypeData().initClass({
  jl_AssertionError: 0
}, false, "java.lang.AssertionError", {
  jl_AssertionError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_AssertionError.prototype.$classData = $d_jl_AssertionError;
const $isArrayOf_jl_Byte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Byte)))
});
const $d_jl_Byte = new $TypeData().initClass({
  jl_Byte: 0
}, false, "java.lang.Byte", {
  jl_Byte: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isByte(x)
}));
class $c_jl_CloneNotSupportedException extends $c_jl_Exception {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_jl_CloneNotSupportedException = new $TypeData().initClass({
  jl_CloneNotSupportedException: 0
}, false, "java.lang.CloneNotSupportedException", {
  jl_CloneNotSupportedException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_CloneNotSupportedException.prototype.$classData = $d_jl_CloneNotSupportedException;
const $isArrayOf_jl_Double = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Double)))
});
const $d_jl_Double = new $TypeData().initClass({
  jl_Double: 0
}, false, "java.lang.Double", {
  jl_Double: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "number")
}));
const $isArrayOf_jl_Float = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Float)))
});
const $d_jl_Float = new $TypeData().initClass({
  jl_Float: 0
}, false, "java.lang.Float", {
  jl_Float: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isFloat(x)
}));
const $isArrayOf_jl_Integer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Integer)))
});
const $d_jl_Integer = new $TypeData().initClass({
  jl_Integer: 0
}, false, "java.lang.Integer", {
  jl_Integer: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isInt(x)
}));
const $is_jl_InterruptedException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_InterruptedException)))
});
const $isArrayOf_jl_InterruptedException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_InterruptedException)))
});
class $c_jl_JSConsoleBasedPrintStream$DummyOutputStream extends $c_Ljava_io_OutputStream {
  init___() {
    return this
  };
}
const $d_jl_JSConsoleBasedPrintStream$DummyOutputStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream$DummyOutputStream", {
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1
});
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream$DummyOutputStream;
const $is_jl_LinkageError = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_LinkageError)))
});
const $isArrayOf_jl_LinkageError = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_LinkageError)))
});
const $isArrayOf_jl_Long = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Long)))
});
const $d_jl_Long = new $TypeData().initClass({
  jl_Long: 0
}, false, "java.lang.Long", {
  jl_Long: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $is_sjsr_RuntimeLong(x)
}));
class $c_jl_RuntimeException extends $c_jl_Exception {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
  init___T__jl_Throwable(s, e) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
}
const $d_jl_RuntimeException = new $TypeData().initClass({
  jl_RuntimeException: 0
}, false, "java.lang.RuntimeException", {
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_RuntimeException.prototype.$classData = $d_jl_RuntimeException;
const $isArrayOf_jl_Short = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Short)))
});
const $d_jl_Short = new $TypeData().initClass({
  jl_Short: 0
}, false, "java.lang.Short", {
  jl_Short: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isShort(x)
}));
class $c_jl_StringBuffer extends $c_O {
  constructor() {
    super();
    this.content$1 = null
  };
  init___() {
    $c_jl_StringBuffer.prototype.init___T.call(this, "");
    return this
  };
  insert__I__T__jl_StringBuffer(index, str) {
    const thiz = this.content$1;
    const thisLength = (thiz.length | 0);
    if (((index < 0) || (index > thisLength))) {
      throw new $c_jl_StringIndexOutOfBoundsException().init___I(index)
    } else if ((index === thisLength)) {
      this.append__T__jl_StringBuffer(str)
    } else {
      const thiz$1 = this.content$1;
      const jsx$2 = thiz$1.substring(0, index);
      const this$4 = $m_s_Option$().apply__O__s_Option(str);
      const jsx$1 = (this$4.isEmpty__Z() ? "null" : this$4.get__O());
      const thiz$2 = this.content$1;
      this.content$1 = ((("" + jsx$2) + jsx$1) + thiz$2.substring(index))
    };
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    const thiz = this.content$1;
    return thiz.substring(start, end)
  };
  toString__T() {
    return this.content$1
  };
  init___jl_CharSequence(csq) {
    $c_jl_StringBuffer.prototype.init___T.call(this, $objectToString(csq));
    return this
  };
  length__I() {
    const thiz = this.content$1;
    return (thiz.length | 0)
  };
  append__T__jl_StringBuffer(s) {
    this.content$1 = (("" + this.content$1) + ((s === null) ? "null" : s));
    return this
  };
  init___T(content) {
    this.content$1 = content;
    return this
  };
  append__C__jl_StringBuffer(c) {
    return this.append__T__jl_StringBuffer($g.String.fromCharCode(c))
  };
  charAt__I__C(index) {
    const thiz = this.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
}
const $d_jl_StringBuffer = new $TypeData().initClass({
  jl_StringBuffer: 0
}, false, "java.lang.StringBuffer", {
  jl_StringBuffer: 1,
  O: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringBuffer.prototype.$classData = $d_jl_StringBuffer;
class $c_jl_StringBuilder extends $c_O {
  constructor() {
    super();
    this.content$1 = null
  };
  setLength__I__V(newLength) {
    if ((newLength < 0)) {
      throw new $c_jl_StringIndexOutOfBoundsException().init___T(("String index out of range: " + newLength))
    };
    const thiz = this.content$1;
    const len = (thiz.length | 0);
    if ((len !== newLength)) {
      if ((len < newLength)) {
        let index = len;
        while ((index < newLength)) {
          this.append__T__jl_StringBuilder("\u0000");
          index = ((1 + index) | 0)
        }
      } else {
        const thiz$1 = this.content$1;
        this.content$1 = thiz$1.substring(0, newLength)
      }
    }
  };
  init___() {
    $c_jl_StringBuilder.prototype.init___T.call(this, "");
    return this
  };
  append__T__jl_StringBuilder(s) {
    this.content$1 = (("" + this.content$1) + ((s === null) ? "null" : s));
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    const thiz = this.content$1;
    return thiz.substring(start, end)
  };
  deleteCharAt__I__jl_StringBuilder(index) {
    let jsx$1;
    if ((index < 0)) {
      jsx$1 = true
    } else {
      const thiz = this.content$1;
      jsx$1 = (index >= (thiz.length | 0))
    };
    if (jsx$1) {
      throw new $c_jl_StringIndexOutOfBoundsException().init___T(("String index out of range: " + index))
    };
    const thiz$1 = this.content$1;
    const jsx$2 = thiz$1.substring(0, index);
    const thiz$2 = this.content$1;
    const beginIndex = ((1 + index) | 0);
    this.content$1 = (("" + jsx$2) + thiz$2.substring(beginIndex));
    return this
  };
  toString__T() {
    return this.content$1
  };
  append__O__jl_StringBuilder(obj) {
    return ((obj === null) ? this.append__T__jl_StringBuilder(null) : this.append__T__jl_StringBuilder($objectToString(obj)))
  };
  init___I(initialCapacity) {
    $c_jl_StringBuilder.prototype.init___T.call(this, "");
    return this
  };
  append__jl_CharSequence__I__I__jl_StringBuilder(csq, start, end) {
    return ((csq === null) ? this.append__jl_CharSequence__I__I__jl_StringBuilder("null", start, end) : this.append__T__jl_StringBuilder($objectToString($charSequenceSubSequence(csq, start, end))))
  };
  length__I() {
    const thiz = this.content$1;
    return (thiz.length | 0)
  };
  append__C__jl_StringBuilder(c) {
    return this.append__T__jl_StringBuilder($g.String.fromCharCode(c))
  };
  init___T(content) {
    this.content$1 = content;
    return this
  };
  charAt__I__C(index) {
    const thiz = this.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
}
const $d_jl_StringBuilder = new $TypeData().initClass({
  jl_StringBuilder: 0
}, false, "java.lang.StringBuilder", {
  jl_StringBuilder: 1,
  O: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringBuilder.prototype.$classData = $d_jl_StringBuilder;
const $is_jl_ThreadDeath = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ThreadDeath)))
});
const $isArrayOf_jl_ThreadDeath = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ThreadDeath)))
});
const $is_jl_VirtualMachineError = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_VirtualMachineError)))
});
const $isArrayOf_jl_VirtualMachineError = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_VirtualMachineError)))
});
class $c_ju_concurrent_ExecutionException extends $c_jl_Exception {
  init___T__jl_Throwable(message, cause) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
    return this
  };
}
const $d_ju_concurrent_ExecutionException = new $TypeData().initClass({
  ju_concurrent_ExecutionException: 0
}, false, "java.util.concurrent.ExecutionException", {
  ju_concurrent_ExecutionException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_ExecutionException.prototype.$classData = $d_ju_concurrent_ExecutionException;
class $c_ju_concurrent_TimeUnit extends $c_jl_Enum {
}
const $is_ju_concurrent_TimeUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.ju_concurrent_TimeUnit)))
});
const $isArrayOf_ju_concurrent_TimeUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.ju_concurrent_TimeUnit)))
});
const $d_ju_concurrent_TimeUnit = new $TypeData().initClass({
  ju_concurrent_TimeUnit: 0
}, false, "java.util.concurrent.TimeUnit", {
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit.prototype.$classData = $d_ju_concurrent_TimeUnit;
class $c_ju_concurrent_atomic_AtomicInteger extends $c_jl_Number {
  constructor() {
    super();
    this.java$util$concurrent$atomic$AtomicInteger$$value$f = 0
  };
  init___() {
    $c_ju_concurrent_atomic_AtomicInteger.prototype.init___I.call(this, 0);
    return this
  };
  toString__T() {
    const this$1 = this.java$util$concurrent$atomic$AtomicInteger$$value$f;
    return ("" + this$1)
  };
  init___I(value) {
    this.java$util$concurrent$atomic$AtomicInteger$$value$f = value;
    return this
  };
  intValue__I() {
    return this.java$util$concurrent$atomic$AtomicInteger$$value$f
  };
}
const $d_ju_concurrent_atomic_AtomicInteger = new $TypeData().initClass({
  ju_concurrent_atomic_AtomicInteger: 0
}, false, "java.util.concurrent.atomic.AtomicInteger", {
  ju_concurrent_atomic_AtomicInteger: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Serializable: 1
});
$c_ju_concurrent_atomic_AtomicInteger.prototype.$classData = $d_ju_concurrent_atomic_AtomicInteger;
class $c_s_Array$ extends $c_s_FallbackArrayBuilding {
  init___() {
    return this
  };
  unapplySeq__O__s_Option(x) {
    if ((x === null)) {
      return $m_s_None$()
    } else {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(x);
      const this$2 = $m_s_Predef$();
      const cbf = new $c_s_LowPriorityImplicits$$anon$4().init___s_LowPriorityImplicits(this$2);
      return new $c_s_Some().init___O($f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf))
    }
  };
  slowcopy__p2__O__I__O__I__I__V(src, srcPos, dest, destPos, length) {
    let i = srcPos;
    let j = destPos;
    const srcUntil = ((srcPos + length) | 0);
    while ((i < srcUntil)) {
      $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(dest, j, $m_sr_ScalaRunTime$().array$undapply__O__I__O(src, i));
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    }
  };
  apply__C__sc_Seq__AC(x, xs) {
    const array = $newArrayObject($d_C.getArrayOf(), [((1 + xs.length__I()) | 0)]);
    array.u[0] = x;
    let elem$1 = 0;
    elem$1 = 1;
    const this$2 = xs.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      let x$2;
      if ((arg1 === null)) {
        x$2 = 0
      } else {
        const this$4 = arg1;
        x$2 = this$4.value$1
      };
      array.u[elem$1] = x$2;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
  apply__I__sc_Seq__AI(x, xs) {
    const array = $newArrayObject($d_I.getArrayOf(), [((1 + xs.length__I()) | 0)]);
    array.u[0] = x;
    let elem$1 = 0;
    elem$1 = 1;
    const this$2 = xs.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      const x$2 = (arg1 | 0);
      array.u[elem$1] = x$2;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
  copy__O__I__O__I__I__V(src, srcPos, dest, destPos, length) {
    const srcClass = $objectGetClass(src);
    if ((srcClass.isArray__Z() && $objectGetClass(dest).isAssignableFrom__jl_Class__Z(srcClass))) {
      $systemArraycopy(src, srcPos, dest, destPos, length)
    } else {
      this.slowcopy__p2__O__I__O__I__I__V(src, srcPos, dest, destPos, length)
    }
  };
  apply__B__sc_Seq__AB(x, xs) {
    const array = $newArrayObject($d_B.getArrayOf(), [((1 + xs.length__I()) | 0)]);
    array.u[0] = x;
    let elem$1 = 0;
    elem$1 = 1;
    const this$2 = xs.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      const x$2 = (arg1 | 0);
      array.u[elem$1] = x$2;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
}
const $d_s_Array$ = new $TypeData().initClass({
  s_Array$: 0
}, false, "scala.Array$", {
  s_Array$: 1,
  s_FallbackArrayBuilding: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Array$.prototype.$classData = $d_s_Array$;
let $n_s_Array$ = (void 0);
const $m_s_Array$ = (function() {
  if ((!$n_s_Array$)) {
    $n_s_Array$ = new $c_s_Array$().init___()
  };
  return $n_s_Array$
});
class $c_s_Predef$$eq$colon$eq extends $c_O {
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!v1))
  };
}
class $c_s_Predef$$less$colon$less extends $c_O {
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!v1))
  };
}
class $c_s_concurrent_Future$InternalCallbackExecutor$ extends $c_O {
  constructor() {
    super();
    this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1 = null
  };
  init___() {
    $n_s_concurrent_Future$InternalCallbackExecutor$ = this;
    this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1 = new $c_jl_ThreadLocal().init___();
    return this
  };
  reportFailure__jl_Throwable__V(t) {
    throw new $c_jl_IllegalStateException().init___T__jl_Throwable("problem in scala.concurrent internal callback", t)
  };
  execute__jl_Runnable__V(runnable) {
    $f_s_concurrent_BatchingExecutor__execute__jl_Runnable__V(this, runnable)
  };
}
const $d_s_concurrent_Future$InternalCallbackExecutor$ = new $TypeData().initClass({
  s_concurrent_Future$InternalCallbackExecutor$: 0
}, false, "scala.concurrent.Future$InternalCallbackExecutor$", {
  s_concurrent_Future$InternalCallbackExecutor$: 1,
  O: 1,
  s_concurrent_ExecutionContext: 1,
  s_concurrent_BatchingExecutor: 1,
  ju_concurrent_Executor: 1
});
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype.$classData = $d_s_concurrent_Future$InternalCallbackExecutor$;
let $n_s_concurrent_Future$InternalCallbackExecutor$ = (void 0);
const $m_s_concurrent_Future$InternalCallbackExecutor$ = (function() {
  if ((!$n_s_concurrent_Future$InternalCallbackExecutor$)) {
    $n_s_concurrent_Future$InternalCallbackExecutor$ = new $c_s_concurrent_Future$InternalCallbackExecutor$().init___()
  };
  return $n_s_concurrent_Future$InternalCallbackExecutor$
});
const $f_s_concurrent_impl_Promise$KeptPromise$Kept__onComplete__F1__s_concurrent_ExecutionContext__V = (function($thiz, func, executor) {
  new $c_s_concurrent_impl_CallbackRunnable().init___s_concurrent_ExecutionContext__F1(executor, func).executeWithValue__s_util_Try__V($thiz.result__s_util_Try())
});
class $c_s_math_Equiv$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Equiv$ = new $TypeData().initClass({
  s_math_Equiv$: 0
}, false, "scala.math.Equiv$", {
  s_math_Equiv$: 1,
  O: 1,
  s_math_LowPriorityEquiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Equiv$.prototype.$classData = $d_s_math_Equiv$;
let $n_s_math_Equiv$ = (void 0);
const $m_s_math_Equiv$ = (function() {
  if ((!$n_s_math_Equiv$)) {
    $n_s_math_Equiv$ = new $c_s_math_Equiv$().init___()
  };
  return $n_s_math_Equiv$
});
class $c_s_math_Ordering$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Ordering$ = new $TypeData().initClass({
  s_math_Ordering$: 0
}, false, "scala.math.Ordering$", {
  s_math_Ordering$: 1,
  O: 1,
  s_math_LowPriorityOrderingImplicits: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$.prototype.$classData = $d_s_math_Ordering$;
let $n_s_math_Ordering$ = (void 0);
const $m_s_math_Ordering$ = (function() {
  if ((!$n_s_math_Ordering$)) {
    $n_s_math_Ordering$ = new $c_s_math_Ordering$().init___()
  };
  return $n_s_math_Ordering$
});
class $c_s_reflect_NoManifest$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "<?>"
  };
}
const $d_s_reflect_NoManifest$ = new $TypeData().initClass({
  s_reflect_NoManifest$: 0
}, false, "scala.reflect.NoManifest$", {
  s_reflect_NoManifest$: 1,
  O: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_reflect_NoManifest$.prototype.$classData = $d_s_reflect_NoManifest$;
let $n_s_reflect_NoManifest$ = (void 0);
const $m_s_reflect_NoManifest$ = (function() {
  if ((!$n_s_reflect_NoManifest$)) {
    $n_s_reflect_NoManifest$ = new $c_s_reflect_NoManifest$().init___()
  };
  return $n_s_reflect_NoManifest$
});
class $c_s_util_matching_Regex$$anon$4 extends $c_O {
  constructor() {
    super();
    this.matchIterator$1$1 = null
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  seq__sc_TraversableOnce() {
    return this
  };
  next__O() {
    return this.next__s_util_matching_Regex$Match()
  };
  toIterator__sc_Iterator() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_Iterator__isEmpty__Z(this)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  take__I__sc_Iterator(n) {
    return $f_sc_Iterator__take__I__sc_Iterator(this, n)
  };
  init___s_util_matching_Regex__s_util_matching_Regex$MatchIterator($$outer, matchIterator$1) {
    this.matchIterator$1$1 = matchIterator$1;
    return this
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    return $f_sc_Iterator__sliceIterator__I__I__sc_Iterator(this, from, until)
  };
  foreach__F1__V(f) {
    $f_sc_Iterator__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  $$plus$plus__F0__sc_Iterator(that) {
    return $f_sc_Iterator__$$plus$plus__F0__sc_Iterator(this, that)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  hasNext__Z() {
    return this.matchIterator$1$1.hasNext__Z()
  };
  toStream__sci_Stream() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  toTraversable__sc_Traversable() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toSeq__sc_Seq() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_Iterator__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return false
  };
  drop__I__sc_Iterator(n) {
    return $f_sc_Iterator__drop__I__sc_Iterator(this, n)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    while (this.hasNext__Z()) {
      const arg1 = this.next__s_util_matching_Regex$Match();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  next__s_util_matching_Regex$Match() {
    this.matchIterator$1$1.next__T();
    return new $c_s_util_matching_Regex$Match().init___jl_CharSequence__ju_regex_Matcher__sc_Seq(this.matchIterator$1$1.source$2, this.matchIterator$1$1.matcher$2, this.matchIterator$1$1.groupNames$2).force__s_util_matching_Regex$Match()
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
}
const $d_s_util_matching_Regex$$anon$4 = new $TypeData().initClass({
  s_util_matching_Regex$$anon$4: 0
}, false, "scala.util.matching.Regex$$anon$4", {
  s_util_matching_Regex$$anon$4: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_s_util_matching_Regex$$anon$4.prototype.$classData = $d_s_util_matching_Regex$$anon$4;
class $c_sc_AbstractIterator extends $c_O {
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  toIterator__sc_Iterator() {
    return this
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_Iterator__isEmpty__Z(this)
  };
  take__I__sc_Iterator(n) {
    return $f_sc_Iterator__take__I__sc_Iterator(this, n)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    return $f_sc_Iterator__sliceIterator__I__I__sc_Iterator(this, from, until)
  };
  foreach__F1__V(f) {
    $f_sc_Iterator__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$plus$plus__F0__sc_Iterator(that) {
    return $f_sc_Iterator__$$plus$plus__F0__sc_Iterator(this, that)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toStream__sci_Stream() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this.toStream__sci_Stream()
  };
  toSeq__sc_Seq() {
    return this.toStream__sci_Stream()
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  isTraversableAgain__Z() {
    return false
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_Iterator__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    while (this.hasNext__Z()) {
      const arg1 = this.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  drop__I__sc_Iterator(n) {
    return $f_sc_Iterator__drop__I__sc_Iterator(this, n)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
}
class $c_sc_Iterator$ConcatIterator extends $c_O {
  constructor() {
    super();
    this.current$1 = null;
    this.tail$1 = null;
    this.last$1 = null;
    this.currentHasNextChecked$1 = false
  };
  advance__p1__Z() {
    _advance: while (true) {
      if ((this.tail$1 === null)) {
        this.current$1 = null;
        this.last$1 = null;
        return false
      } else {
        this.current$1 = this.tail$1.headIterator__sc_Iterator();
        this.tail$1 = this.tail$1.tail$1;
        this.merge__p1__V();
        if (this.currentHasNextChecked$1) {
          return true
        } else if (this.current$1.hasNext__Z()) {
          this.currentHasNextChecked$1 = true;
          return true
        } else {
          continue _advance
        }
      }
    }
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.currentHasNextChecked$1 = false;
      return this.current$1.next__O()
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  toIterator__sc_Iterator() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_Iterator__isEmpty__Z(this)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  take__I__sc_Iterator(n) {
    return $f_sc_Iterator__take__I__sc_Iterator(this, n)
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    return $f_sc_Iterator__sliceIterator__I__I__sc_Iterator(this, from, until)
  };
  foreach__F1__V(f) {
    $f_sc_Iterator__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  $$plus$plus__F0__sc_Iterator(that) {
    const c = new $c_sc_Iterator$ConcatIteratorCell().init___F0__sc_Iterator$ConcatIteratorCell(that, null);
    if ((this.tail$1 === null)) {
      this.tail$1 = c;
      this.last$1 = c
    } else {
      this.last$1.tail$1 = c;
      this.last$1 = c
    };
    if ((this.current$1 === null)) {
      this.current$1 = $m_sc_Iterator$().empty$1
    };
    return this
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  hasNext__Z() {
    if (this.currentHasNextChecked$1) {
      return true
    } else if ((this.current$1 !== null)) {
      if (this.current$1.hasNext__Z()) {
        this.currentHasNextChecked$1 = true;
        return true
      } else {
        return this.advance__p1__Z()
      }
    } else {
      return false
    }
  };
  toStream__sci_Stream() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  toTraversable__sc_Traversable() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toSeq__sc_Seq() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  init___sc_Iterator(current) {
    this.current$1 = current;
    this.tail$1 = null;
    this.last$1 = null;
    this.currentHasNextChecked$1 = false;
    return this
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_Iterator__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return false
  };
  drop__I__sc_Iterator(n) {
    return $f_sc_Iterator__drop__I__sc_Iterator(this, n)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    while (this.hasNext__Z()) {
      const arg1 = this.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  merge__p1__V() {
    _merge: while (true) {
      if ($is_sc_Iterator$ConcatIterator(this.current$1)) {
        const c = this.current$1;
        this.current$1 = c.current$1;
        this.currentHasNextChecked$1 = c.currentHasNextChecked$1;
        if ((c.tail$1 !== null)) {
          c.last$1.tail$1 = this.tail$1;
          this.tail$1 = c.tail$1
        };
        continue _merge
      };
      break
    }
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
}
const $is_sc_Iterator$ConcatIterator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Iterator$ConcatIterator)))
});
const $isArrayOf_sc_Iterator$ConcatIterator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Iterator$ConcatIterator)))
});
const $d_sc_Iterator$ConcatIterator = new $TypeData().initClass({
  sc_Iterator$ConcatIterator: 0
}, false, "scala.collection.Iterator$ConcatIterator", {
  sc_Iterator$ConcatIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$ConcatIterator.prototype.$classData = $d_sc_Iterator$ConcatIterator;
class $c_sc_TraversableView$NoBuilder extends $c_O {
  init___() {
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this
  };
  result__O() {
    this.result__sr_Nothing$()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  result__sr_Nothing$() {
    throw new $c_jl_UnsupportedOperationException().init___T("TraversableView.Builder.result")
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_sc_TraversableView$NoBuilder = new $TypeData().initClass({
  sc_TraversableView$NoBuilder: 0
}, false, "scala.collection.TraversableView$NoBuilder", {
  sc_TraversableView$NoBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sc_TraversableView$NoBuilder.prototype.$classData = $d_sc_TraversableView$NoBuilder;
class $c_scg_SetFactory extends $c_scg_GenSetFactory {
}
class $c_sci_Map$ extends $c_scg_ImmutableMapFactory {
  init___() {
    return this
  };
  empty__sc_GenMap() {
    return $m_sci_Map$EmptyMap$()
  };
}
const $d_sci_Map$ = new $TypeData().initClass({
  sci_Map$: 0
}, false, "scala.collection.immutable.Map$", {
  sci_Map$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_sci_Map$.prototype.$classData = $d_sci_Map$;
let $n_sci_Map$ = (void 0);
const $m_sci_Map$ = (function() {
  if ((!$n_sci_Map$)) {
    $n_sci_Map$ = new $c_sci_Map$().init___()
  };
  return $n_sci_Map$
});
class $c_scm_DefaultEntry extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.next$1 = null
  };
  next__O() {
    return this.next$1
  };
  chainString__T() {
    const jsx$3 = this.key$1;
    const jsx$2 = this.value$1;
    let jsx$1;
    if ((this.next$1 !== null)) {
      const this$1 = this.next$1;
      jsx$1 = (" -> " + this$1.chainString__T())
    } else {
      jsx$1 = ""
    };
    return ((((("(kv: " + jsx$3) + ", ") + jsx$2) + ")") + jsx$1)
  };
  init___O__O(key, value) {
    this.key$1 = key;
    this.value$1 = value;
    return this
  };
  toString__T() {
    return this.chainString__T()
  };
  key__O() {
    return this.key$1
  };
  next$und$eq__O__V(x$1) {
    this.next$1 = x$1
  };
}
const $is_scm_DefaultEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_DefaultEntry)))
});
const $isArrayOf_scm_DefaultEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_DefaultEntry)))
});
const $d_scm_DefaultEntry = new $TypeData().initClass({
  scm_DefaultEntry: 0
}, false, "scala.collection.mutable.DefaultEntry", {
  scm_DefaultEntry: 1,
  O: 1,
  scm_HashEntry: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_DefaultEntry.prototype.$classData = $d_scm_DefaultEntry;
class $c_scm_GrowingBuilder extends $c_O {
  constructor() {
    super();
    this.empty$1 = null;
    this.elems$1 = null
  };
  $$plus$eq__O__scm_GrowingBuilder(x) {
    this.elems$1.$$plus$eq__O__scg_Growable(x);
    return this
  };
  init___scg_Growable(empty) {
    this.empty$1 = empty;
    this.elems$1 = empty;
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_GrowingBuilder(elem)
  };
  result__O() {
    return this.elems$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_GrowingBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_GrowingBuilder = new $TypeData().initClass({
  scm_GrowingBuilder: 0
}, false, "scala.collection.mutable.GrowingBuilder", {
  scm_GrowingBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_GrowingBuilder.prototype.$classData = $d_scm_GrowingBuilder;
class $c_scm_LinkedEntry extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.earlier$1 = null;
    this.later$1 = null;
    this.next$1 = null
  };
  next__O() {
    return this.next$1
  };
  init___O__O(key, value) {
    this.key$1 = key;
    this.value$1 = value;
    this.earlier$1 = null;
    this.later$1 = null;
    return this
  };
  key__O() {
    return this.key$1
  };
  next$und$eq__O__V(x$1) {
    this.next$1 = x$1
  };
}
const $is_scm_LinkedEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_LinkedEntry)))
});
const $isArrayOf_scm_LinkedEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_LinkedEntry)))
});
const $d_scm_LinkedEntry = new $TypeData().initClass({
  scm_LinkedEntry: 0
}, false, "scala.collection.mutable.LinkedEntry", {
  scm_LinkedEntry: 1,
  O: 1,
  scm_HashEntry: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_LinkedEntry.prototype.$classData = $d_scm_LinkedEntry;
class $c_scm_LinkedHashSet$Entry extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.earlier$1 = null;
    this.later$1 = null;
    this.next$1 = null
  };
  next__O() {
    return this.next$1
  };
  init___O(key) {
    this.key$1 = key;
    this.earlier$1 = null;
    this.later$1 = null;
    return this
  };
  key__O() {
    return this.key$1
  };
  next$und$eq__O__V(x$1) {
    this.next$1 = x$1
  };
}
const $is_scm_LinkedHashSet$Entry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_LinkedHashSet$Entry)))
});
const $isArrayOf_scm_LinkedHashSet$Entry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_LinkedHashSet$Entry)))
});
const $d_scm_LinkedHashSet$Entry = new $TypeData().initClass({
  scm_LinkedHashSet$Entry: 0
}, false, "scala.collection.mutable.LinkedHashSet$Entry", {
  scm_LinkedHashSet$Entry: 1,
  O: 1,
  scm_HashEntry: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_LinkedHashSet$Entry.prototype.$classData = $d_scm_LinkedHashSet$Entry;
class $c_scm_Map$ extends $c_scg_MutableMapFactory {
  init___() {
    return this
  };
  empty__sc_Map() {
    return new $c_scm_HashMap().init___()
  };
  empty__sc_GenMap() {
    return new $c_scm_HashMap().init___()
  };
}
const $d_scm_Map$ = new $TypeData().initClass({
  scm_Map$: 0
}, false, "scala.collection.mutable.Map$", {
  scm_Map$: 1,
  scg_MutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_scm_Map$.prototype.$classData = $d_scm_Map$;
let $n_scm_Map$ = (void 0);
const $m_scm_Map$ = (function() {
  if ((!$n_scm_Map$)) {
    $n_scm_Map$ = new $c_scm_Map$().init___()
  };
  return $n_scm_Map$
});
class $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext extends $c_O {
  constructor() {
    super();
    this.resolvedUnitPromise$1 = null
  };
  init___() {
    this.resolvedUnitPromise$1 = $g.Promise.resolve((void 0));
    return this
  };
  scala$scalajs$concurrent$QueueExecutionContext$PromisesExecutionContext$$$anonfun$execute$2__sr_BoxedUnit__jl_Runnable__sjs_js_$bar(x$1, runnable$2) {
    try {
      runnable$2.run__V()
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
      } else {
        throw e
      }
    }
  };
  reportFailure__jl_Throwable__V(t) {
    t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
  };
  execute__jl_Runnable__V(runnable) {
    this.resolvedUnitPromise$1.then((function(arg$outer, runnable$2) {
      return (function(arg1$2) {
        const arg1 = arg1$2;
        return arg$outer.scala$scalajs$concurrent$QueueExecutionContext$PromisesExecutionContext$$$anonfun$execute$2__sr_BoxedUnit__jl_Runnable__sjs_js_$bar(arg1, runnable$2)
      })
    })(this, runnable))
  };
}
const $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$PromisesExecutionContext", {
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext;
class $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext extends $c_O {
  init___() {
    return this
  };
  reportFailure__jl_Throwable__V(t) {
    t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
  };
  execute__jl_Runnable__V(runnable) {
    $g.setTimeout((function($this, runnable$1) {
      return (function() {
        try {
          runnable$1.run__V()
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
          } else {
            throw e
          }
        }
      })
    })(this, runnable), 0)
  };
}
const $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$TimeoutsExecutionContext", {
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext;
class $c_sjs_concurrent_RunNowExecutionContext$ extends $c_O {
  init___() {
    return this
  };
  reportFailure__jl_Throwable__V(t) {
    t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
  };
  execute__jl_Runnable__V(runnable) {
    try {
      runnable.run__V()
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
      } else {
        throw e
      }
    }
  };
}
const $d_sjs_concurrent_RunNowExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_RunNowExecutionContext$: 0
}, false, "scala.scalajs.concurrent.RunNowExecutionContext$", {
  sjs_concurrent_RunNowExecutionContext$: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.$classData = $d_sjs_concurrent_RunNowExecutionContext$;
let $n_sjs_concurrent_RunNowExecutionContext$ = (void 0);
const $m_sjs_concurrent_RunNowExecutionContext$ = (function() {
  if ((!$n_sjs_concurrent_RunNowExecutionContext$)) {
    $n_sjs_concurrent_RunNowExecutionContext$ = new $c_sjs_concurrent_RunNowExecutionContext$().init___()
  };
  return $n_sjs_concurrent_RunNowExecutionContext$
});
class $c_sjs_js_Iterator$WrappedIterator extends $c_O {
  constructor() {
    super();
    this.scala$scalajs$js$Iterator$WrappedIterator$$self$f = null;
    this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  seq__sc_TraversableOnce() {
    return this
  };
  next__O() {
    const value = this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
    this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = this.scala$scalajs$js$Iterator$WrappedIterator$$self$f.next();
    return value
  };
  toIterator__sc_Iterator() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_Iterator__isEmpty__Z(this)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  take__I__sc_Iterator(n) {
    return $f_sc_Iterator__take__I__sc_Iterator(this, n)
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    return $f_sc_Iterator__sliceIterator__I__I__sc_Iterator(this, from, until)
  };
  foreach__F1__V(f) {
    $f_sc_Iterator__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  $$plus$plus__F0__sc_Iterator(that) {
    return $f_sc_Iterator__$$plus$plus__F0__sc_Iterator(this, that)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  hasNext__Z() {
    return (!(!(!this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))
  };
  toStream__sci_Stream() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  toTraversable__sc_Traversable() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toSeq__sc_Seq() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  init___sjs_js_Iterator(self) {
    this.scala$scalajs$js$Iterator$WrappedIterator$$self$f = self;
    this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = self.next();
    return this
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_Iterator__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return false
  };
  drop__I__sc_Iterator(n) {
    return $f_sc_Iterator__drop__I__sc_Iterator(this, n)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    while ((!(!(!this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      this.scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = this.scala$scalajs$js$Iterator$WrappedIterator$$self$f.next();
      b.$$plus$eq__T2__scm_MapBuilder(value)
    };
    return b.elems$1
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
}
const $d_sjs_js_Iterator$WrappedIterator = new $TypeData().initClass({
  sjs_js_Iterator$WrappedIterator: 0
}, false, "scala.scalajs.js.Iterator$WrappedIterator", {
  sjs_js_Iterator$WrappedIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sjs_js_Iterator$WrappedIterator.prototype.$classData = $d_sjs_js_Iterator$WrappedIterator;
const $s_sjs_js_JSConverters$IterableAdapter__jsIterator__sjs_js_JSConverters$IterableAdapter__sjs_js_Iterator = (function($this) {
  const __self = $this.col$2.iterator__sc_Iterator();
  return new ($a_sjs_js_JSConverters$IteratorAdapter())(__self)
});
let $b_sjs_js_JSConverters$IterableAdapter = (void 0);
const $a_sjs_js_JSConverters$IterableAdapter = (function() {
  if ((!$b_sjs_js_JSConverters$IterableAdapter)) {
    class $c_sjs_js_JSConverters$IterableAdapter extends $g.Object {
      constructor(arg$1) {
        const col = arg$1;
        super();
        $g.Object.defineProperties(this, {
          col$2: {
            "configurable": true,
            "enumerable": true,
            "writable": true,
            "value": null
          }
        });
        this.col$2 = col
      };
      [$g.Symbol.iterator]() {
        return $s_sjs_js_JSConverters$IterableAdapter__jsIterator__sjs_js_JSConverters$IterableAdapter__sjs_js_Iterator(this)
      };
    }
    $b_sjs_js_JSConverters$IterableAdapter = $c_sjs_js_JSConverters$IterableAdapter
  };
  return $b_sjs_js_JSConverters$IterableAdapter
});
const $s_sjs_js_JSConverters$IteratorAdapter__next__sjs_js_JSConverters$IteratorAdapter__sjs_js_Iterator$Entry = (function($this) {
  if ($this.scala$scalajs$js$JSConverters$IteratorAdapter$$it$f.hasNext__Z()) {
    const this$2 = {};
    this$2.done = false;
    this$2.value = null;
    this$2.done = false;
    this$2.value = $this.scala$scalajs$js$JSConverters$IteratorAdapter$$it$f.next__O();
    return this$2
  } else {
    const this$3 = {};
    this$3.done = false;
    this$3.value = null;
    this$3.done = true;
    this$3.value = (void 0);
    return this$3
  }
});
let $b_sjs_js_JSConverters$IteratorAdapter = (void 0);
const $a_sjs_js_JSConverters$IteratorAdapter = (function() {
  if ((!$b_sjs_js_JSConverters$IteratorAdapter)) {
    class $c_sjs_js_JSConverters$IteratorAdapter extends $g.Object {
      constructor(arg$1) {
        const it = arg$1;
        super();
        $g.Object.defineProperties(this, {
          scala$scalajs$js$JSConverters$IteratorAdapter$$it$f: {
            "configurable": true,
            "enumerable": true,
            "writable": true,
            "value": null
          }
        });
        this.scala$scalajs$js$JSConverters$IteratorAdapter$$it$f = it
      };
      "next"() {
        return $s_sjs_js_JSConverters$IteratorAdapter__next__sjs_js_JSConverters$IteratorAdapter__sjs_js_Iterator$Entry(this)
      };
    }
    $b_sjs_js_JSConverters$IteratorAdapter = $c_sjs_js_JSConverters$IteratorAdapter
  };
  return $b_sjs_js_JSConverters$IteratorAdapter
});
class $c_sjs_niocharset_ISO$und8859$und1$ extends $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon {
  init___() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["csISOLatin1", "IBM-819", "iso-ir-100", "8859_1", "ISO_8859-1", "l1", "ISO8859-1", "ISO_8859_1", "cp819", "ISO8859_1", "latin1", "ISO_8859-1:1987", "819", "IBM819"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon.prototype.init___T__AT__I.call(this, "ISO-8859-1", array, 255);
    return this
  };
}
const $d_sjs_niocharset_ISO$und8859$und1$ = new $TypeData().initClass({
  sjs_niocharset_ISO$und8859$und1$: 0
}, false, "scala.scalajs.niocharset.ISO_8859_1$", {
  sjs_niocharset_ISO$und8859$und1$: 1,
  sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon: 1,
  Ljava_nio_charset_Charset: 1,
  O: 1,
  jl_Comparable: 1
});
$c_sjs_niocharset_ISO$und8859$und1$.prototype.$classData = $d_sjs_niocharset_ISO$und8859$und1$;
let $n_sjs_niocharset_ISO$und8859$und1$ = (void 0);
const $m_sjs_niocharset_ISO$und8859$und1$ = (function() {
  if ((!$n_sjs_niocharset_ISO$und8859$und1$)) {
    $n_sjs_niocharset_ISO$und8859$und1$ = new $c_sjs_niocharset_ISO$und8859$und1$().init___()
  };
  return $n_sjs_niocharset_ISO$und8859$und1$
});
class $c_sjs_niocharset_US$undASCII$ extends $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon {
  init___() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["cp367", "ascii7", "ISO646-US", "646", "csASCII", "us", "iso_646.irv:1983", "ISO_646.irv:1991", "IBM367", "ASCII", "default", "ANSI_X3.4-1986", "ANSI_X3.4-1968", "iso-ir-6"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    $c_sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon.prototype.init___T__AT__I.call(this, "US-ASCII", array, 127);
    return this
  };
}
const $d_sjs_niocharset_US$undASCII$ = new $TypeData().initClass({
  sjs_niocharset_US$undASCII$: 0
}, false, "scala.scalajs.niocharset.US_ASCII$", {
  sjs_niocharset_US$undASCII$: 1,
  sjs_niocharset_ISO$und8859$und1$undAnd$undUS$undASCII$undCommon: 1,
  Ljava_nio_charset_Charset: 1,
  O: 1,
  jl_Comparable: 1
});
$c_sjs_niocharset_US$undASCII$.prototype.$classData = $d_sjs_niocharset_US$undASCII$;
let $n_sjs_niocharset_US$undASCII$ = (void 0);
const $m_sjs_niocharset_US$undASCII$ = (function() {
  if ((!$n_sjs_niocharset_US$undASCII$)) {
    $n_sjs_niocharset_US$undASCII$ = new $c_sjs_niocharset_US$undASCII$().init___()
  };
  return $n_sjs_niocharset_US$undASCII$
});
class $c_sjs_niocharset_UTF$und16$ extends $c_sjs_niocharset_UTF$und16$undCommon {
  init___() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["utf16", "UTF_16", "UnicodeBig", "unicode"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    $c_sjs_niocharset_UTF$und16$undCommon.prototype.init___T__AT__I.call(this, "UTF-16", array, 0);
    return this
  };
}
const $d_sjs_niocharset_UTF$und16$ = new $TypeData().initClass({
  sjs_niocharset_UTF$und16$: 0
}, false, "scala.scalajs.niocharset.UTF_16$", {
  sjs_niocharset_UTF$und16$: 1,
  sjs_niocharset_UTF$und16$undCommon: 1,
  Ljava_nio_charset_Charset: 1,
  O: 1,
  jl_Comparable: 1
});
$c_sjs_niocharset_UTF$und16$.prototype.$classData = $d_sjs_niocharset_UTF$und16$;
let $n_sjs_niocharset_UTF$und16$ = (void 0);
const $m_sjs_niocharset_UTF$und16$ = (function() {
  if ((!$n_sjs_niocharset_UTF$und16$)) {
    $n_sjs_niocharset_UTF$und16$ = new $c_sjs_niocharset_UTF$und16$().init___()
  };
  return $n_sjs_niocharset_UTF$und16$
});
class $c_sjs_niocharset_UTF$und16BE$ extends $c_sjs_niocharset_UTF$und16$undCommon {
  init___() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["X-UTF-16BE", "UTF_16BE", "ISO-10646-UCS-2", "UnicodeBigUnmarked"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    $c_sjs_niocharset_UTF$und16$undCommon.prototype.init___T__AT__I.call(this, "UTF-16BE", array, 1);
    return this
  };
}
const $d_sjs_niocharset_UTF$und16BE$ = new $TypeData().initClass({
  sjs_niocharset_UTF$und16BE$: 0
}, false, "scala.scalajs.niocharset.UTF_16BE$", {
  sjs_niocharset_UTF$und16BE$: 1,
  sjs_niocharset_UTF$und16$undCommon: 1,
  Ljava_nio_charset_Charset: 1,
  O: 1,
  jl_Comparable: 1
});
$c_sjs_niocharset_UTF$und16BE$.prototype.$classData = $d_sjs_niocharset_UTF$und16BE$;
let $n_sjs_niocharset_UTF$und16BE$ = (void 0);
const $m_sjs_niocharset_UTF$und16BE$ = (function() {
  if ((!$n_sjs_niocharset_UTF$und16BE$)) {
    $n_sjs_niocharset_UTF$und16BE$ = new $c_sjs_niocharset_UTF$und16BE$().init___()
  };
  return $n_sjs_niocharset_UTF$und16BE$
});
class $c_sjs_niocharset_UTF$und16LE$ extends $c_sjs_niocharset_UTF$und16$undCommon {
  init___() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["UnicodeLittleUnmarked", "UTF_16LE", "X-UTF-16LE"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    $c_sjs_niocharset_UTF$und16$undCommon.prototype.init___T__AT__I.call(this, "UTF-16LE", array, 2);
    return this
  };
}
const $d_sjs_niocharset_UTF$und16LE$ = new $TypeData().initClass({
  sjs_niocharset_UTF$und16LE$: 0
}, false, "scala.scalajs.niocharset.UTF_16LE$", {
  sjs_niocharset_UTF$und16LE$: 1,
  sjs_niocharset_UTF$und16$undCommon: 1,
  Ljava_nio_charset_Charset: 1,
  O: 1,
  jl_Comparable: 1
});
$c_sjs_niocharset_UTF$und16LE$.prototype.$classData = $d_sjs_niocharset_UTF$und16LE$;
let $n_sjs_niocharset_UTF$und16LE$ = (void 0);
const $m_sjs_niocharset_UTF$und16LE$ = (function() {
  if ((!$n_sjs_niocharset_UTF$und16LE$)) {
    $n_sjs_niocharset_UTF$und16LE$ = new $c_sjs_niocharset_UTF$und16LE$().init___()
  };
  return $n_sjs_niocharset_UTF$und16LE$
});
class $c_sjsr_RuntimeLong extends $c_jl_Number {
  constructor() {
    super();
    this.lo$2 = 0;
    this.hi$2 = 0
  };
  longValue__J() {
    return $uJ(this)
  };
  $$bar__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 | b.lo$2), (this.hi$2 | b.hi$2))
  };
  $$greater$eq__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) >= ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
  };
  byteValue__B() {
    return ((this.lo$2 << 24) >> 24)
  };
  equals__O__Z(that) {
    if ($is_sjsr_RuntimeLong(that)) {
      const x2 = that;
      return ((this.lo$2 === x2.lo$2) && (this.hi$2 === x2.hi$2))
    } else {
      return false
    }
  };
  $$less__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) < ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
  };
  $$times__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const alo = this.lo$2;
    const blo = b.lo$2;
    const a0 = (65535 & alo);
    const a1 = ((alo >>> 16) | 0);
    const b0 = (65535 & blo);
    const b1 = ((blo >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi = (((((((($imul(alo, b.hi$2) + $imul(this.hi$2, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  init___I__I__I(l, m, h) {
    $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, (l | (m << 22)), ((m >> 10) | (h << 12)));
    return this
  };
  $$percent__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.remainderImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
  };
  toString__T() {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(this.lo$2, this.hi$2)
  };
  init___I__I(lo, hi) {
    this.lo$2 = lo;
    this.hi$2 = hi;
    return this
  };
  compareTo__O__I(x$1) {
    const that = x$1;
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
  };
  $$less$eq__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) <= ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
  };
  $$amp__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 & b.lo$2), (this.hi$2 & b.hi$2))
  };
  $$greater$greater$greater__I__sjsr_RuntimeLong(n) {
    return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : ((this.hi$2 >>> n) | 0)), (((32 & n) === 0) ? ((this.hi$2 >>> n) | 0) : 0))
  };
  $$greater__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) > ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
  };
  $$less$less__I__sjsr_RuntimeLong(n) {
    return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (this.lo$2 << n) : 0), (((32 & n) === 0) ? (((((this.lo$2 >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (this.hi$2 << n)) : (this.lo$2 << n)))
  };
  init___I(value) {
    $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, value, (value >> 31));
    return this
  };
  toInt__I() {
    return this.lo$2
  };
  notEquals__sjsr_RuntimeLong__Z(b) {
    return (!((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2)))
  };
  unary$und$minus__sjsr_RuntimeLong() {
    const lo = this.lo$2;
    const hi = this.hi$2;
    return new $c_sjsr_RuntimeLong().init___I__I(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))
  };
  $$plus__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const alo = this.lo$2;
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    const lo = ((alo + b.lo$2) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) < ((-2147483648) ^ alo)) ? ((1 + ((ahi + bhi) | 0)) | 0) : ((ahi + bhi) | 0)))
  };
  shortValue__S() {
    return ((this.lo$2 << 16) >> 16)
  };
  $$greater$greater__I__sjsr_RuntimeLong(n) {
    return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : (this.hi$2 >> n)), (((32 & n) === 0) ? (this.hi$2 >> n) : (this.hi$2 >> 31)))
  };
  toDouble__D() {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
  };
  $$div__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
  };
  doubleValue__D() {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
  };
  hashCode__I() {
    return (this.lo$2 ^ this.hi$2)
  };
  intValue__I() {
    return this.lo$2
  };
  unary$und$tilde__sjsr_RuntimeLong() {
    return new $c_sjsr_RuntimeLong().init___I__I((~this.lo$2), (~this.hi$2))
  };
  compareTo__jl_Long__I(that) {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
  };
  floatValue__F() {
    return $fround($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2))
  };
  $$minus__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const alo = this.lo$2;
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    const lo = ((alo - b.lo$2) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - bhi) | 0)) | 0) : ((ahi - bhi) | 0)))
  };
  $$up__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 ^ b.lo$2), (this.hi$2 ^ b.hi$2))
  };
  equals__sjsr_RuntimeLong__Z(b) {
    return ((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2))
  };
}
const $is_sjsr_RuntimeLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjsr_RuntimeLong)))
});
const $isArrayOf_sjsr_RuntimeLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjsr_RuntimeLong)))
});
const $d_sjsr_RuntimeLong = new $TypeData().initClass({
  sjsr_RuntimeLong: 0
}, false, "scala.scalajs.runtime.RuntimeLong", {
  sjsr_RuntimeLong: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_sjsr_RuntimeLong.prototype.$classData = $d_sjsr_RuntimeLong;
class $c_Lamf_core_Root extends $c_O {
  constructor() {
    super();
    this.parsed$1 = null;
    this.location$1 = null;
    this.mediatype$1 = null;
    this.references$1 = null;
    this.referenceKind$1 = null;
    this.vendor$1 = null;
    this.raw$1 = null
  };
  productPrefix__T() {
    return "Root"
  };
  productArity__I() {
    return 7
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_Root(x$1)) {
      const Root$1 = x$1;
      const x = this.parsed$1;
      const x$2 = Root$1.parsed$1;
      let jsx$2;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.location$1 === Root$1.location$1)) && (this.mediatype$1 === Root$1.mediatype$1))) {
        const x$3 = this.references$1;
        const x$4 = Root$1.references$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.referenceKind$1;
        const x$6 = Root$1.referenceKind$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.vendor$1 === Root$1.vendor$1))) {
        return (this.raw$1 === Root$1.raw$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parsed$1;
        break
      }
      case 1: {
        return this.location$1;
        break
      }
      case 2: {
        return this.mediatype$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      case 4: {
        return this.referenceKind$1;
        break
      }
      case 5: {
        return this.vendor$1;
        break
      }
      case 6: {
        return this.raw$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(parsed, location, mediatype, references, referenceKind, vendor, raw) {
    this.parsed$1 = parsed;
    this.location$1 = location;
    this.mediatype$1 = mediatype;
    this.references$1 = references;
    this.referenceKind$1 = referenceKind;
    this.vendor$1 = vendor;
    this.raw$1 = raw;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_Root = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_Root)))
});
const $isArrayOf_Lamf_core_Root = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_Root)))
});
const $d_Lamf_core_Root = new $TypeData().initClass({
  Lamf_core_Root: 0
}, false, "amf.core.Root", {
  Lamf_core_Root: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_Root.prototype.$classData = $d_Lamf_core_Root;
class $c_Lamf_core_annotations_DomainExtensionAnnotation$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const extension = v1;
    return new $c_Lamf_core_annotations_DomainExtensionAnnotation().init___Lamf_core_model_domain_extensions_DomainExtension(extension)
  };
  toString__T() {
    return "DomainExtensionAnnotation"
  };
}
const $d_Lamf_core_annotations_DomainExtensionAnnotation$ = new $TypeData().initClass({
  Lamf_core_annotations_DomainExtensionAnnotation$: 0
}, false, "amf.core.annotations.DomainExtensionAnnotation$", {
  Lamf_core_annotations_DomainExtensionAnnotation$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DomainExtensionAnnotation$.prototype.$classData = $d_Lamf_core_annotations_DomainExtensionAnnotation$;
let $n_Lamf_core_annotations_DomainExtensionAnnotation$ = (void 0);
const $m_Lamf_core_annotations_DomainExtensionAnnotation$ = (function() {
  if ((!$n_Lamf_core_annotations_DomainExtensionAnnotation$)) {
    $n_Lamf_core_annotations_DomainExtensionAnnotation$ = new $c_Lamf_core_annotations_DomainExtensionAnnotation$().init___()
  };
  return $n_Lamf_core_annotations_DomainExtensionAnnotation$
});
class $c_Lamf_core_client_ParserConfig extends $c_O {
  constructor() {
    super();
    this.mode$1 = null;
    this.input$1 = null;
    this.inputFormat$1 = null;
    this.inputMediaType$1 = null;
    this.output$1 = null;
    this.outputFormat$1 = null;
    this.outputMediaType$1 = null;
    this.withSourceMaps$1 = false;
    this.validate$1 = false;
    this.validationProfile$1 = null;
    this.customProfile$1 = null;
    this.dialects$1 = null;
    this.stdout$1 = null;
    this.stderr$1 = null;
    this.proc$1 = null
  };
  productPrefix__T() {
    return "ParserConfig"
  };
  productArity__I() {
    return 15
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_client_ParserConfig(x$1)) {
      const ParserConfig$1 = x$1;
      const x = this.mode$1;
      const x$2 = ParserConfig$1.mode$1;
      let jsx$10;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.input$1;
        const x$4 = ParserConfig$1.input$1;
        jsx$10 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$10 = false
      };
      let jsx$9;
      if (jsx$10) {
        const x$5 = this.inputFormat$1;
        const x$6 = ParserConfig$1.inputFormat$1;
        jsx$9 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$9 = false
      };
      let jsx$8;
      if (jsx$9) {
        const x$7 = this.inputMediaType$1;
        const x$8 = ParserConfig$1.inputMediaType$1;
        jsx$8 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$8 = false
      };
      let jsx$7;
      if (jsx$8) {
        const x$9 = this.output$1;
        const x$10 = ParserConfig$1.output$1;
        jsx$7 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if (jsx$7) {
        const x$11 = this.outputFormat$1;
        const x$12 = ParserConfig$1.outputFormat$1;
        jsx$6 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$13 = this.outputMediaType$1;
        const x$14 = ParserConfig$1.outputMediaType$1;
        jsx$5 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if ((((jsx$5 && (this.withSourceMaps$1 === ParserConfig$1.withSourceMaps$1)) && (this.validate$1 === ParserConfig$1.validate$1)) && (this.validationProfile$1 === ParserConfig$1.validationProfile$1))) {
        const x$15 = this.customProfile$1;
        const x$16 = ParserConfig$1.customProfile$1;
        jsx$4 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$17 = this.dialects$1;
        const x$18 = ParserConfig$1.dialects$1;
        jsx$3 = ((x$17 === null) ? (x$18 === null) : x$17.equals__O__Z(x$18))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$19 = this.stdout$1;
        const x$20 = ParserConfig$1.stdout$1;
        jsx$2 = (x$19 === x$20)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$21 = this.stderr$1;
        const x$22 = ParserConfig$1.stderr$1;
        jsx$1 = (x$21 === x$22)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$23 = this.proc$1;
        const x$24 = ParserConfig$1.proc$1;
        return (x$23 === x$24)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.mode$1;
        break
      }
      case 1: {
        return this.input$1;
        break
      }
      case 2: {
        return this.inputFormat$1;
        break
      }
      case 3: {
        return this.inputMediaType$1;
        break
      }
      case 4: {
        return this.output$1;
        break
      }
      case 5: {
        return this.outputFormat$1;
        break
      }
      case 6: {
        return this.outputMediaType$1;
        break
      }
      case 7: {
        return this.withSourceMaps$1;
        break
      }
      case 8: {
        return this.validate$1;
        break
      }
      case 9: {
        return this.validationProfile$1;
        break
      }
      case 10: {
        return this.customProfile$1;
        break
      }
      case 11: {
        return this.dialects$1;
        break
      }
      case 12: {
        return this.stdout$1;
        break
      }
      case 13: {
        return this.stderr$1;
        break
      }
      case 14: {
        return this.proc$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode, input, inputFormat, inputMediaType, output, outputFormat, outputMediaType, withSourceMaps, validate, validationProfile, customProfile, dialects, stdout, stderr, proc) {
    this.mode$1 = mode;
    this.input$1 = input;
    this.inputFormat$1 = inputFormat;
    this.inputMediaType$1 = inputMediaType;
    this.output$1 = output;
    this.outputFormat$1 = outputFormat;
    this.outputMediaType$1 = outputMediaType;
    this.withSourceMaps$1 = withSourceMaps;
    this.validate$1 = validate;
    this.validationProfile$1 = validationProfile;
    this.customProfile$1 = customProfile;
    this.dialects$1 = dialects;
    this.stdout$1 = stdout;
    this.stderr$1 = stderr;
    this.proc$1 = proc;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.mode$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.input$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.inputFormat$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.inputMediaType$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.output$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.outputFormat$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.outputMediaType$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.withSourceMaps$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.validate$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.validationProfile$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.customProfile$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.dialects$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.stdout$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.stderr$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.proc$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 15)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_client_ParserConfig = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_client_ParserConfig)))
});
const $isArrayOf_Lamf_core_client_ParserConfig = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_client_ParserConfig)))
});
const $d_Lamf_core_client_ParserConfig = new $TypeData().initClass({
  Lamf_core_client_ParserConfig: 0
}, false, "amf.core.client.ParserConfig", {
  Lamf_core_client_ParserConfig: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_client_ParserConfig.prototype.$classData = $d_Lamf_core_client_ParserConfig;
class $c_Lamf_core_exception_CyclicReferenceException extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.history$4 = null
  };
  init___sci_List(history) {
    this.history$4 = history;
    const s = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cyclic found following references ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_sc_TraversableOnce__mkString__T__T__T__T(history, "", " -> ", "")]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_Lamf_core_exception_CyclicReferenceException = new $TypeData().initClass({
  Lamf_core_exception_CyclicReferenceException: 0
}, false, "amf.core.exception.CyclicReferenceException", {
  Lamf_core_exception_CyclicReferenceException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_exception_CyclicReferenceException.prototype.$classData = $d_Lamf_core_exception_CyclicReferenceException;
class $c_Lamf_core_metamodel_Field extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.value$1 = null;
    this.jsonldField$1 = false
  };
  productPrefix__T() {
    return "Field"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Field(x$1)) {
      const Field$1 = x$1;
      const x = this.type$1;
      const x$2 = Field$1.type$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.value$1;
        const x$4 = Field$1.value$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.jsonldField$1 === Field$1.jsonldField$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.type$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      case 2: {
        return this.jsonldField$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.value$1.iri__T()
  };
  init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(type, value, jsonldField) {
    this.type$1 = type;
    this.value$1 = value;
    this.jsonldField$1 = jsonldField;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.type$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.value$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.jsonldField$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_metamodel_Field = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Field)))
});
const $isArrayOf_Lamf_core_metamodel_Field = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Field)))
});
const $d_Lamf_core_metamodel_Field = new $TypeData().initClass({
  Lamf_core_metamodel_Field: 0
}, false, "amf.core.metamodel.Field", {
  Lamf_core_metamodel_Field: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Field.prototype.$classData = $d_Lamf_core_metamodel_Field;
class $c_Lamf_core_metamodel_document_BaseUnitModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.fields$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_BaseUnitModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Unit")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    $m_sci_List$();
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.References$1, this.Usage$1, this.DescribedBy$1]);
    const this$6 = $m_sci_List$();
    const cbf$1 = this$6.ReusableCBFInstance$2;
    this.fields$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("BaseUnit is an abstract class"))
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_BaseUnitModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_BaseUnitModel$: 0
}, false, "amf.core.metamodel.document.BaseUnitModel$", {
  Lamf_core_metamodel_document_BaseUnitModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_BaseUnitModel$.prototype.$classData = $d_Lamf_core_metamodel_document_BaseUnitModel$;
let $n_Lamf_core_metamodel_document_BaseUnitModel$ = (void 0);
const $m_Lamf_core_metamodel_document_BaseUnitModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_BaseUnitModel$)) {
    $n_Lamf_core_metamodel_document_BaseUnitModel$ = new $c_Lamf_core_metamodel_document_BaseUnitModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_BaseUnitModel$
});
class $c_Lamf_core_metamodel_domain_DataNodeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.type$1 = null;
    this.dynamic$1 = false;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_DataNodeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Node");
    const this$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$5);
    this.dynamic$1 = true;
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DataNode is an abstract class and it cannot be instantiated directly"))
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_DataNodeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_DataNodeModel$: 0
}, false, "amf.core.metamodel.domain.DataNodeModel$", {
  Lamf_core_metamodel_domain_DataNodeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_DataNodeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_DataNodeModel$;
let $n_Lamf_core_metamodel_domain_DataNodeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_DataNodeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_DataNodeModel$)) {
    $n_Lamf_core_metamodel_domain_DataNodeModel$ = new $c_Lamf_core_metamodel_domain_DataNodeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_DataNodeModel$
});
class $c_Lamf_core_metamodel_domain_DomainElementModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Extends$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.Extends$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__Extends__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.Extends$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_DomainElementModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DomainElement")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return (((1 & this.bitmap$0$1) === 0) ? this.Extends$lzycompute__p1__Lamf_core_metamodel_Field() : this.Extends$1)
  };
  CustomDomainProperties__Lamf_core_metamodel_Field() {
    return (((2 & this.bitmap$0$1) === 0) ? this.CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomDomainProperties$1)
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Extends__Lamf_core_metamodel_Field()]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DomainElement is an abstract class"))
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
  CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.CustomDomainProperties$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__CustomDomainProperties__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomDomainProperties$1
  };
}
const $d_Lamf_core_metamodel_domain_DomainElementModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_DomainElementModel$: 0
}, false, "amf.core.metamodel.domain.DomainElementModel$", {
  Lamf_core_metamodel_domain_DomainElementModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_DomainElementModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_DomainElementModel$;
let $n_Lamf_core_metamodel_domain_DomainElementModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_DomainElementModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_DomainElementModel$)) {
    $n_Lamf_core_metamodel_domain_DomainElementModel$ = new $c_Lamf_core_metamodel_domain_DomainElementModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_DomainElementModel$
});
class $c_Lamf_core_metamodel_domain_ExternalDomainElementModel$ extends $c_O {
  constructor() {
    super();
    this.Raw$1 = null;
    this.MediaType$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Raw$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "raw"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "mediaType"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ExternalDomainElement");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Raw$1, this.MediaType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_ExternalDomainElementModel$: 0
}, false, "amf.core.metamodel.domain.ExternalDomainElementModel$", {
  Lamf_core_metamodel_domain_ExternalDomainElementModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_ExternalDomainElementModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_ExternalDomainElementModel$;
let $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_ExternalDomainElementModel$)) {
    $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = new $c_Lamf_core_metamodel_domain_ExternalDomainElementModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$
});
const $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__fields__sci_List = (function($thiz) {
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Name$1, $thiz.DefinedBy$1, $thiz.Extension$1, $thiz.Element$1]);
  const this$2 = $m_sci_List$();
  const cbf = this$2.ReusableCBFInstance$2;
  const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
  const this$3 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
});
const $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
  const jsx$2 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.DefinedBy$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "definedBy"), true);
  const jsx$3 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.Extension$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "extension"), true);
  const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.Element$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "element"), true);
  $thiz.key$1 = $thiz.Name$1;
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
  const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "DomainExtension");
  const this$11 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
  $thiz.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$11)
});
class $c_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ extends $c_O {
  constructor() {
    super();
    this.DefinedBy$1 = null;
    this.Extension$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.DefinedBy$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "definedBy"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Extension$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "extension"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ShapeExtension");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.DefinedBy$1, this.Extension$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_ShapeExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$: 0
}, false, "amf.core.metamodel.domain.extensions.ShapeExtensionModel$", {
  Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$;
let $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = new $c_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$
});
const $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List = (function($thiz) {
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Name__Lamf_core_metamodel_Field(), $thiz.DataNode__Lamf_core_metamodel_Field(), $thiz.Variables__Lamf_core_metamodel_Field()]);
  const this$2 = $m_sci_List$();
  const cbf = this$2.ReusableCBFInstance$2;
  const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
  const this$3 = $m_sci_List$();
  const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
  const this$4 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
});
const $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true));
  const jsx$2 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "dataNode"), true));
  const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "variable"), true));
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V($thiz.Name__Lamf_core_metamodel_Field())
});
const $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List = (function($thiz) {
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Name__Lamf_core_metamodel_Field(), $thiz.Target__Lamf_core_metamodel_Field(), $thiz.Variables__Lamf_core_metamodel_Field()]);
  const this$2 = $m_sci_List$();
  const cbf = this$2.ReusableCBFInstance$2;
  const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
  const this$3 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
});
const $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true));
  const jsx$2 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "target"), true));
  const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_templates_VariableValueModel$());
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "variable"), true));
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V($thiz.Name__Lamf_core_metamodel_Field())
});
class $c_Lamf_core_metamodel_domain_templates_VariableValueModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Value$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_templates_VariableValueModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Value$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "value"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "VariableValue");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Value$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_templates_VariableValue().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_templates_VariableValueModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_templates_VariableValueModel$: 0
}, false, "amf.core.metamodel.domain.templates.VariableValueModel$", {
  Lamf_core_metamodel_domain_templates_VariableValueModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_templates_VariableValueModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_templates_VariableValueModel$;
let $n_Lamf_core_metamodel_domain_templates_VariableValueModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_templates_VariableValueModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_templates_VariableValueModel$)) {
    $n_Lamf_core_metamodel_domain_templates_VariableValueModel$ = new $c_Lamf_core_metamodel_domain_templates_VariableValueModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_templates_VariableValueModel$
});
const $f_Lamf_core_model_document_Fragment__$$init$__V = (function($thiz) {
  $thiz.amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V($thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1))
});
const $is_Lamf_core_model_document_Fragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_Fragment)))
});
const $isArrayOf_Lamf_core_model_document_Fragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_Fragment)))
});
class $c_Lamf_core_model_domain_DataNode extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_DataNodeModel$()
  };
  forceAdopted__T__Lamf_core_model_domain_DataNode(parent) {
    let jsx$1;
    if ($m_s_Option$().apply__O__s_Option(this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1)).isDefined__Z()) {
      const jsx$2 = $m_Lamf_core_utils_package$Strings$();
      const str = this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1);
      jsx$1 = jsx$2.urlEncoded$extension__T__T(str)
    } else {
      jsx$1 = this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1)
    };
    const adoptedId = ((parent + "/") + jsx$1);
    const x1 = $m_s_Option$().apply__O__s_Option(this.id$1);
    let newId;
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const oldId = x2.value$2;
        if ((oldId !== null)) {
          if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(oldId, "/included")) {
            newId = (adoptedId + "/included");
            break matchEnd5
          }
        }
      };
      newId = adoptedId
    };
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, newId)
  };
  init___Lamf_core_parser_Annotations(annotations) {
    this.fields$1 = new $c_Lamf_core_parser_Fields().init___();
    return this
  };
  adopted__T__Lamf_core_model_domain_DataNode(parent) {
    if ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z()) {
      const jsx$1 = $m_Lamf_core_utils_package$Strings$();
      const str = this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1);
      const value = ((parent + "/") + jsx$1.urlEncoded$extension__T__T(str));
      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
    } else {
      return this
    }
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_DataNode(parent)
  };
}
const $is_Lamf_core_model_domain_DataNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_DataNode)))
});
const $isArrayOf_Lamf_core_model_domain_DataNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_DataNode)))
});
class $c_Lamf_core_model_domain_templates_Variable extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "Variable"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_templates_Variable(x$1)) {
      const Variable$1 = x$1;
      if ((this.name$1 === Variable$1.name$1)) {
        const x = this.value$1;
        const x$2 = Variable$1.value$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_model_domain_DataNode(name, value) {
    this.name$1 = name;
    this.value$1 = value;
    return this
  };
}
const $is_Lamf_core_model_domain_templates_Variable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_Variable)))
});
const $isArrayOf_Lamf_core_model_domain_templates_Variable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_Variable)))
});
const $d_Lamf_core_model_domain_templates_Variable = new $TypeData().initClass({
  Lamf_core_model_domain_templates_Variable: 0
}, false, "amf.core.model.domain.templates.Variable", {
  Lamf_core_model_domain_templates_Variable: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_templates_Variable.prototype.$classData = $d_Lamf_core_model_domain_templates_Variable;
class $c_Lamf_core_parser_DeclarationPromise extends $c_O {
  constructor() {
    super();
    this.amf$core$parser$DeclarationPromise$$success$1 = null;
    this.amf$core$parser$DeclarationPromise$$failure$1 = null;
    this.resolved$1 = false
  };
  productPrefix__T() {
    return "DeclarationPromise"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_DeclarationPromise(x$1)) {
      const DeclarationPromise$1 = x$1;
      const x = this.amf$core$parser$DeclarationPromise$$success$1;
      const x$2 = DeclarationPromise$1.amf$core$parser$DeclarationPromise$$success$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.amf$core$parser$DeclarationPromise$$failure$1;
        const x$4 = DeclarationPromise$1.amf$core$parser$DeclarationPromise$$failure$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.resolved$1 === DeclarationPromise$1.resolved$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$core$parser$DeclarationPromise$$success$1;
        break
      }
      case 1: {
        return this.amf$core$parser$DeclarationPromise$$failure$1;
        break
      }
      case 2: {
        return this.resolved$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___F1__F0__Z(success, failure, resolved) {
    this.amf$core$parser$DeclarationPromise$$success$1 = success;
    this.amf$core$parser$DeclarationPromise$$failure$1 = failure;
    this.resolved$1 = resolved;
    return this
  };
  resolve__Lamf_core_model_domain_Linkable__V(element) {
    this.resolved$1 = true;
    this.amf$core$parser$DeclarationPromise$$success$1.apply__O__O(element)
  };
  fail__V() {
    this.resolved$1 = true;
    this.amf$core$parser$DeclarationPromise$$failure$1.apply__O()
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.amf$core$parser$DeclarationPromise$$success$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.amf$core$parser$DeclarationPromise$$failure$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.resolved$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_DeclarationPromise = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_DeclarationPromise)))
});
const $isArrayOf_Lamf_core_parser_DeclarationPromise = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_DeclarationPromise)))
});
const $d_Lamf_core_parser_DeclarationPromise = new $TypeData().initClass({
  Lamf_core_parser_DeclarationPromise: 0
}, false, "amf.core.parser.DeclarationPromise", {
  Lamf_core_parser_DeclarationPromise: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_DeclarationPromise.prototype.$classData = $d_Lamf_core_parser_DeclarationPromise;
class $c_Lamf_core_parser_FieldEntry extends $c_O {
  constructor() {
    super();
    this.field$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "FieldEntry"
  };
  init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, value) {
    this.field$1 = field;
    this.value$1 = value;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_FieldEntry(x$1)) {
      const FieldEntry$1 = x$1;
      const x = this.field$1;
      const x$2 = FieldEntry$1.field$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.value$1;
        const x$4 = FieldEntry$1.value$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.field$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  negated__Lamf_core_parser_FieldEntry() {
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((!this.value$1.value$1.toBool__Z()), this.value$1.value$1.annotations__Lamf_core_parser_Annotations());
    const annotations = this.value$1.annotations$1;
    const x$6 = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations);
    const x$7 = this.field$1;
    return new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(x$7, x$6)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_FieldEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_FieldEntry)))
});
const $isArrayOf_Lamf_core_parser_FieldEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_FieldEntry)))
});
const $d_Lamf_core_parser_FieldEntry = new $TypeData().initClass({
  Lamf_core_parser_FieldEntry: 0
}, false, "amf.core.parser.FieldEntry", {
  Lamf_core_parser_FieldEntry: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_FieldEntry.prototype.$classData = $d_Lamf_core_parser_FieldEntry;
class $c_Lamf_core_parser_FieldEntry$ extends $c_sr_AbstractFunction2 {
  init___() {
    return this
  };
  toString__T() {
    return "FieldEntry"
  };
  apply__O__O__O(v1, v2) {
    const field = v1;
    const value = v2;
    return new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, value)
  };
}
const $d_Lamf_core_parser_FieldEntry$ = new $TypeData().initClass({
  Lamf_core_parser_FieldEntry$: 0
}, false, "amf.core.parser.FieldEntry$", {
  Lamf_core_parser_FieldEntry$: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_FieldEntry$.prototype.$classData = $d_Lamf_core_parser_FieldEntry$;
let $n_Lamf_core_parser_FieldEntry$ = (void 0);
const $m_Lamf_core_parser_FieldEntry$ = (function() {
  if ((!$n_Lamf_core_parser_FieldEntry$)) {
    $n_Lamf_core_parser_FieldEntry$ = new $c_Lamf_core_parser_FieldEntry$().init___()
  };
  return $n_Lamf_core_parser_FieldEntry$
});
class $c_Lamf_core_parser_ParsedDocument extends $c_O {
  constructor() {
    super();
    this.comment$1 = null;
    this.document$1 = null
  };
  productPrefix__T() {
    return "ParsedDocument"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_ParsedDocument(x$1)) {
      const ParsedDocument$1 = x$1;
      const x = this.comment$1;
      const x$2 = ParsedDocument$1.comment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.document$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ParsedDocument$1.document$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.comment$1;
        break
      }
      case 1: {
        return this.document$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___s_Option__Lorg_yaml_model_YDocument(comment, document) {
    this.comment$1 = comment;
    this.document$1 = document;
    return this
  };
}
const $is_Lamf_core_parser_ParsedDocument = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ParsedDocument)))
});
const $isArrayOf_Lamf_core_parser_ParsedDocument = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ParsedDocument)))
});
const $d_Lamf_core_parser_ParsedDocument = new $TypeData().initClass({
  Lamf_core_parser_ParsedDocument: 0
}, false, "amf.core.parser.ParsedDocument", {
  Lamf_core_parser_ParsedDocument: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ParsedDocument.prototype.$classData = $d_Lamf_core_parser_ParsedDocument;
class $c_Lamf_core_parser_ParsedReference extends $c_O {
  constructor() {
    super();
    this.unit$1 = null;
    this.origin$1 = null;
    this.ast$1 = null
  };
  productPrefix__T() {
    return "ParsedReference"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_ParsedReference(x$1)) {
      const ParsedReference$1 = x$1;
      const x = this.unit$1;
      const x$2 = ParsedReference$1.unit$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.origin$1;
        const x$4 = ParsedReference$1.origin$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ast$1;
        const x$6 = ParsedReference$1.ast$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.unit$1;
        break
      }
      case 1: {
        return this.origin$1;
        break
      }
      case 2: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(unit, origin, ast) {
    this.unit$1 = unit;
    this.origin$1 = origin;
    this.ast$1 = ast;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_ParsedReference = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ParsedReference)))
});
const $isArrayOf_Lamf_core_parser_ParsedReference = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ParsedReference)))
});
const $d_Lamf_core_parser_ParsedReference = new $TypeData().initClass({
  Lamf_core_parser_ParsedReference: 0
}, false, "amf.core.parser.ParsedReference", {
  Lamf_core_parser_ParsedReference: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ParsedReference.prototype.$classData = $d_Lamf_core_parser_ParsedReference;
class $c_Lamf_core_parser_Range extends $c_O {
  constructor() {
    super();
    this.start$1 = null;
    this.end$1 = null
  };
  productPrefix__T() {
    return "Range"
  };
  productArity__I() {
    return 2
  };
  $$js$exported$prop$end__O() {
    return this.end$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_Range(x$1)) {
      const Range$1 = x$1;
      const x = this.start$1;
      const x$2 = Range$1.start$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.end$1;
        const x$4 = Range$1.end$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return this.toString__T()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.start$1;
        break
      }
      case 1: {
        return this.end$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["[", "-", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.start$1, this.end$1]))
  };
  $$js$exported$prop$start__O() {
    return this.start$1
  };
  init___Lamf_core_parser_Position__Lamf_core_parser_Position(start, end) {
    this.start$1 = start;
    this.end$1 = end;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$extent__Lamf_core_parser_Range__O(other) {
    return this.extent__Lamf_core_parser_Range__Lamf_core_parser_Range(other)
  };
  extent__Lamf_core_parser_Range__Lamf_core_parser_Range(other) {
    return new $c_Lamf_core_parser_Range().init___Lamf_core_parser_Position__Lamf_core_parser_Position(this.start$1.min__Lamf_core_parser_Position__Lamf_core_parser_Position(other.start$1), this.end$1.max__Lamf_core_parser_Position__Lamf_core_parser_Position(other.end$1))
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  "extent"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$extent__Lamf_core_parser_Range__O(prep0)
  };
  get "end"() {
    return this.$$js$exported$prop$end__O()
  };
  get "start"() {
    return this.$$js$exported$prop$start__O()
  };
}
const $is_Lamf_core_parser_Range = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Range)))
});
const $isArrayOf_Lamf_core_parser_Range = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Range)))
});
const $d_Lamf_core_parser_Range = new $TypeData().initClass({
  Lamf_core_parser_Range: 0
}, false, "amf.core.parser.Range", {
  Lamf_core_parser_Range: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Range.prototype.$classData = $d_Lamf_core_parser_Range;
class $c_Lamf_core_parser_Reference extends $c_O {
  constructor() {
    super();
    this.url$1 = null;
    this.kind$1 = null;
    this.ast$1 = null
  };
  productPrefix__T() {
    return "Reference"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_Reference(x$1)) {
      const Reference$1 = x$1;
      let jsx$1;
      if ((this.url$1 === Reference$1.url$1)) {
        const x = this.kind$1;
        const x$2 = Reference$1.kind$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.ast$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Reference$1.ast$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.url$1;
        break
      }
      case 1: {
        return this.kind$1;
        break
      }
      case 2: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  resolve__Lamf_core_remote_Context__s_Option__T__Lamf_core_remote_Cache__Lamf_core_parser_ParserContext__s_concurrent_Future(base, mediaType, vendor, cache, ctx) {
    return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(this.url$1, mediaType, vendor, base, this.kind$1, cache, new $c_s_Some().init___O(ctx))
  };
  isRemote__Z() {
    const thiz = this.url$1;
    return (!(((thiz.length | 0) >= 0) && (thiz.substring(0, ("#".length | 0)) === "#")))
  };
  init___T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(url, kind, ast) {
    this.url$1 = url;
    this.kind$1 = kind;
    this.ast$1 = ast;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_Reference = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Reference)))
});
const $isArrayOf_Lamf_core_parser_Reference = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Reference)))
});
const $d_Lamf_core_parser_Reference = new $TypeData().initClass({
  Lamf_core_parser_Reference: 0
}, false, "amf.core.parser.Reference", {
  Lamf_core_parser_Reference: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Reference.prototype.$classData = $d_Lamf_core_parser_Reference;
class $c_Lamf_core_remote_Content extends $c_O {
  constructor() {
    super();
    this.stream$1 = null;
    this.url$1 = null;
    this.mime$1 = null
  };
  productPrefix__T() {
    return "Content"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_remote_Content(x$1)) {
      const Content$1 = x$1;
      const x = this.stream$1;
      const x$2 = Content$1.stream$1;
      if (((x === x$2) && (this.url$1 === Content$1.url$1))) {
        const x$3 = this.mime$1;
        const x$4 = Content$1.mime$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.stream$1;
        break
      }
      case 1: {
        return this.url$1;
        break
      }
      case 2: {
        return this.mime$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_lexer_CharStream__T__s_Option(stream, url, mime) {
    this.stream$1 = stream;
    this.url$1 = url;
    this.mime$1 = mime;
    return this
  };
}
const $is_Lamf_core_remote_Content = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Content)))
});
const $isArrayOf_Lamf_core_remote_Content = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Content)))
});
const $d_Lamf_core_remote_Content = new $TypeData().initClass({
  Lamf_core_remote_Content: 0
}, false, "amf.core.remote.Content", {
  Lamf_core_remote_Content: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Content.prototype.$classData = $d_Lamf_core_remote_Content;
class $c_Lamf_core_utils_InflectorBase$Container extends $c_O {
  constructor() {
    super();
    this.rule$1 = null;
    this.replacement$1 = null
  };
  init___T__T(rule, replacement) {
    this.rule$1 = rule;
    this.replacement$1 = replacement;
    return this
  };
  productPrefix__T() {
    return "Container"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_utils_InflectorBase$Container(x$1)) {
      const Container$1 = x$1;
      return ((this.rule$1 === Container$1.rule$1) && (this.replacement$1 === Container$1.replacement$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rule$1;
        break
      }
      case 1: {
        return this.replacement$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_utils_InflectorBase$Container = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_utils_InflectorBase$Container)))
});
const $isArrayOf_Lamf_core_utils_InflectorBase$Container = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_utils_InflectorBase$Container)))
});
const $d_Lamf_core_utils_InflectorBase$Container = new $TypeData().initClass({
  Lamf_core_utils_InflectorBase$Container: 0
}, false, "amf.core.utils.InflectorBase$Container", {
  Lamf_core_utils_InflectorBase$Container: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_utils_InflectorBase$Container.prototype.$classData = $d_Lamf_core_utils_InflectorBase$Container;
class $c_Lamf_core_utils_package$QName extends $c_O {
  constructor() {
    super();
    this.qualification$1 = null;
    this.name$1 = null;
    this.isQualified$1 = false;
    this.isEmpty$1 = false
  };
  init___T__T(qualification, name) {
    this.qualification$1 = qualification;
    this.name$1 = name;
    const this$2 = new $c_sci_StringOps().init___T(qualification);
    this.isQualified$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$2);
    if ((qualification === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    let jsx$1;
    if ((qualification === "")) {
      if ((name === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      jsx$1 = (name === "")
    } else {
      jsx$1 = false
    };
    this.isEmpty$1 = jsx$1;
    return this
  };
  productPrefix__T() {
    return "QName"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_utils_package$QName(x$1)) {
      const QName$1 = x$1;
      return ((this.qualification$1 === QName$1.qualification$1) && (this.name$1 === QName$1.name$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.qualification$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_utils_package$QName = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_utils_package$QName)))
});
const $isArrayOf_Lamf_core_utils_package$QName = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_utils_package$QName)))
});
const $d_Lamf_core_utils_package$QName = new $TypeData().initClass({
  Lamf_core_utils_package$QName: 0
}, false, "amf.core.utils.package$QName", {
  Lamf_core_utils_package$QName: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_utils_package$QName.prototype.$classData = $d_Lamf_core_utils_package$QName;
class $c_Lamf_core_validation_AMFValidationReport extends $c_O {
  constructor() {
    super();
    this.conforms$1 = false;
    this.model$1 = null;
    this.profile$1 = null;
    this.results$1 = null
  };
  init___Z__T__T__sc_Seq(conforms, model, profile, results) {
    this.conforms$1 = conforms;
    this.model$1 = model;
    this.profile$1 = profile;
    this.results$1 = results;
    return this
  };
  productPrefix__T() {
    return "AMFValidationReport"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_AMFValidationReport(x$1)) {
      const AMFValidationReport$1 = x$1;
      if ((((this.conforms$1 === AMFValidationReport$1.conforms$1) && (this.model$1 === AMFValidationReport$1.model$1)) && (this.profile$1 === AMFValidationReport$1.profile$1))) {
        const x = this.results$1;
        const x$2 = AMFValidationReport$1.results$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.conforms$1;
        break
      }
      case 1: {
        return this.model$1;
        break
      }
      case 2: {
        return this.profile$1;
        break
      }
      case 3: {
        return this.results$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    const elem = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Model: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.model$1]));
    const str = new $c_sr_ObjectRef().init___O(elem);
    str.elem$1 = (("" + str.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Profile: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.profile$1])));
    str.elem$1 = (("" + str.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Conforms? ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.conforms$1])));
    str.elem$1 = (("" + str.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Number of results: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.results$1.length__I()])));
    const jsx$1 = this.results$1;
    const this$2 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    jsx$1.sorted__s_math_Ordering__O(new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$2, evidence$1)).groupBy__F1__sci_Map(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.level$1
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, str$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const level = x0$1.$$und1__O();
          const results = x0$1.$$und2__O();
          str$1.elem$1 = (("" + str$1.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\nLevel: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([level])));
          results.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, str$1$1) {
            return (function(result$2) {
              const result = result$2;
              str$1$1.elem$1 = (("" + str$1$1.elem$1) + result)
            })
          })(this$2$1, str$1)))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, str)));
    return str.elem$1
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.conforms$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.model$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.profile$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.results$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_AMFValidationReport = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_AMFValidationReport)))
});
const $isArrayOf_Lamf_core_validation_AMFValidationReport = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_AMFValidationReport)))
});
const $d_Lamf_core_validation_AMFValidationReport = new $TypeData().initClass({
  Lamf_core_validation_AMFValidationReport: 0
}, false, "amf.core.validation.AMFValidationReport", {
  Lamf_core_validation_AMFValidationReport: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_AMFValidationReport.prototype.$classData = $d_Lamf_core_validation_AMFValidationReport;
class $c_Lamf_core_validation_core_FunctionConstraint extends $c_O {
  constructor() {
    super();
    this.message$1 = null;
    this.code$1 = null;
    this.libraries$1 = null;
    this.functionName$1 = null
  };
  productPrefix__T() {
    return "FunctionConstraint"
  };
  validatorId__T__T(validationId) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Validator"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId]))
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_FunctionConstraint(x$1)) {
      const FunctionConstraint$1 = x$1;
      const x = this.message$1;
      const x$2 = FunctionConstraint$1.message$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.code$1;
        const x$4 = FunctionConstraint$1.code$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.libraries$1;
        const x$6 = FunctionConstraint$1.libraries$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.functionName$1;
        const x$8 = FunctionConstraint$1.functionName$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.message$1;
        break
      }
      case 1: {
        return this.code$1;
        break
      }
      case 2: {
        return this.libraries$1;
        break
      }
      case 3: {
        return this.functionName$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  validatorPath__T__T(validationId) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Path"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId]))
  };
  computeFunctionName__T__T(validationId) {
    const x1 = this.functionName$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const fnName = x2.value$2;
      return fnName
    } else {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(validationId, "/", 0);
      const this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const thiz = $f_sc_IndexedSeqOptimized__last__O(this$3);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const localName = $f_sc_IndexedSeqOptimized__last__O(this$6);
      const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "FnName"]));
      const thiz$1 = localName.split("-").join("_");
      return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([thiz$1.split(".").join("_")]))
    }
  };
  init___s_Option__s_Option__sc_Seq__s_Option(message, code, libraries, functionName) {
    this.message$1 = message;
    this.code$1 = code;
    this.libraries$1 = libraries;
    this.functionName$1 = functionName;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  constraintId__T__T(validationId) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Constraint"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId]))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_FunctionConstraint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_FunctionConstraint)))
});
const $isArrayOf_Lamf_core_validation_core_FunctionConstraint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_FunctionConstraint)))
});
const $d_Lamf_core_validation_core_FunctionConstraint = new $TypeData().initClass({
  Lamf_core_validation_core_FunctionConstraint: 0
}, false, "amf.core.validation.core.FunctionConstraint", {
  Lamf_core_validation_core_FunctionConstraint: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_FunctionConstraint.prototype.$classData = $d_Lamf_core_validation_core_FunctionConstraint;
class $c_Lamf_core_validation_core_NodeConstraint extends $c_O {
  constructor() {
    super();
    this.constraint$1 = null;
    this.value$1 = null
  };
  init___T__T(constraint, value) {
    this.constraint$1 = constraint;
    this.value$1 = value;
    return this
  };
  productPrefix__T() {
    return "NodeConstraint"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_NodeConstraint(x$1)) {
      const NodeConstraint$1 = x$1;
      return ((this.constraint$1 === NodeConstraint$1.constraint$1) && (this.value$1 === NodeConstraint$1.value$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.constraint$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_NodeConstraint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_NodeConstraint)))
});
const $isArrayOf_Lamf_core_validation_core_NodeConstraint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_NodeConstraint)))
});
const $d_Lamf_core_validation_core_NodeConstraint = new $TypeData().initClass({
  Lamf_core_validation_core_NodeConstraint: 0
}, false, "amf.core.validation.core.NodeConstraint", {
  Lamf_core_validation_core_NodeConstraint: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_NodeConstraint.prototype.$classData = $d_Lamf_core_validation_core_NodeConstraint;
class $c_Lamf_core_validation_core_PropertyConstraint extends $c_O {
  constructor() {
    super();
    this.ramlPropertyId$1 = null;
    this.name$1 = null;
    this.message$1 = null;
    this.pattern$1 = null;
    this.maxCount$1 = null;
    this.minCount$1 = null;
    this.minLength$1 = null;
    this.maxLength$1 = null;
    this.minExclusive$1 = null;
    this.maxExclusive$1 = null;
    this.minInclusive$1 = null;
    this.maxInclusive$1 = null;
    this.node$1 = null;
    this.datatype$1 = null;
    this.class$1 = null;
    this.in$1 = null;
    this.custom$1 = null
  };
  productPrefix__T() {
    return "PropertyConstraint"
  };
  init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(ramlPropertyId, name, message, pattern, maxCount, minCount, minLength, maxLength, minExclusive, maxExclusive, minInclusive, maxInclusive, node, datatype, $class, $in, custom) {
    this.ramlPropertyId$1 = ramlPropertyId;
    this.name$1 = name;
    this.message$1 = message;
    this.pattern$1 = pattern;
    this.maxCount$1 = maxCount;
    this.minCount$1 = minCount;
    this.minLength$1 = minLength;
    this.maxLength$1 = maxLength;
    this.minExclusive$1 = minExclusive;
    this.maxExclusive$1 = maxExclusive;
    this.minInclusive$1 = minInclusive;
    this.maxInclusive$1 = maxInclusive;
    this.node$1 = node;
    this.datatype$1 = datatype;
    this.class$1 = $class;
    this.in$1 = $in;
    this.custom$1 = custom;
    return this
  };
  productArity__I() {
    return 17
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_PropertyConstraint(x$1)) {
      const PropertyConstraint$1 = x$1;
      let jsx$14;
      if (((this.ramlPropertyId$1 === PropertyConstraint$1.ramlPropertyId$1) && (this.name$1 === PropertyConstraint$1.name$1))) {
        const x = this.message$1;
        const x$2 = PropertyConstraint$1.message$1;
        jsx$14 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$14 = false
      };
      let jsx$13;
      if (jsx$14) {
        const x$3 = this.pattern$1;
        const x$4 = PropertyConstraint$1.pattern$1;
        jsx$13 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$13 = false
      };
      let jsx$12;
      if (jsx$13) {
        const x$5 = this.maxCount$1;
        const x$6 = PropertyConstraint$1.maxCount$1;
        jsx$12 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$12 = false
      };
      let jsx$11;
      if (jsx$12) {
        const x$7 = this.minCount$1;
        const x$8 = PropertyConstraint$1.minCount$1;
        jsx$11 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$11 = false
      };
      let jsx$10;
      if (jsx$11) {
        const x$9 = this.minLength$1;
        const x$10 = PropertyConstraint$1.minLength$1;
        jsx$10 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$10 = false
      };
      let jsx$9;
      if (jsx$10) {
        const x$11 = this.maxLength$1;
        const x$12 = PropertyConstraint$1.maxLength$1;
        jsx$9 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$9 = false
      };
      let jsx$8;
      if (jsx$9) {
        const x$13 = this.minExclusive$1;
        const x$14 = PropertyConstraint$1.minExclusive$1;
        jsx$8 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$8 = false
      };
      let jsx$7;
      if (jsx$8) {
        const x$15 = this.maxExclusive$1;
        const x$16 = PropertyConstraint$1.maxExclusive$1;
        jsx$7 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if (jsx$7) {
        const x$17 = this.minInclusive$1;
        const x$18 = PropertyConstraint$1.minInclusive$1;
        jsx$6 = ((x$17 === null) ? (x$18 === null) : x$17.equals__O__Z(x$18))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$19 = this.maxInclusive$1;
        const x$20 = PropertyConstraint$1.maxInclusive$1;
        jsx$5 = ((x$19 === null) ? (x$20 === null) : x$19.equals__O__Z(x$20))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$21 = this.node$1;
        const x$22 = PropertyConstraint$1.node$1;
        jsx$4 = ((x$21 === null) ? (x$22 === null) : x$21.equals__O__Z(x$22))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$23 = this.datatype$1;
        const x$24 = PropertyConstraint$1.datatype$1;
        jsx$3 = ((x$23 === null) ? (x$24 === null) : x$23.equals__O__Z(x$24))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$25 = this.class$1;
        const x$26 = PropertyConstraint$1.class$1;
        jsx$2 = ((x$25 === null) ? (x$26 === null) : x$25.equals__O__Z(x$26))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$27 = this.in$1;
        const x$28 = PropertyConstraint$1.in$1;
        jsx$1 = ((x$27 === null) ? (x$28 === null) : x$27.equals__O__Z(x$28))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$29 = this.custom$1;
        const x$30 = PropertyConstraint$1.custom$1;
        return ((x$29 === null) ? (x$30 === null) : x$29.equals__O__Z(x$30))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ramlPropertyId$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      case 2: {
        return this.message$1;
        break
      }
      case 3: {
        return this.pattern$1;
        break
      }
      case 4: {
        return this.maxCount$1;
        break
      }
      case 5: {
        return this.minCount$1;
        break
      }
      case 6: {
        return this.minLength$1;
        break
      }
      case 7: {
        return this.maxLength$1;
        break
      }
      case 8: {
        return this.minExclusive$1;
        break
      }
      case 9: {
        return this.maxExclusive$1;
        break
      }
      case 10: {
        return this.minInclusive$1;
        break
      }
      case 11: {
        return this.maxInclusive$1;
        break
      }
      case 12: {
        return this.node$1;
        break
      }
      case 13: {
        return this.datatype$1;
        break
      }
      case 14: {
        return this.class$1;
        break
      }
      case 15: {
        return this.in$1;
        break
      }
      case 16: {
        return this.custom$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_PropertyConstraint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_PropertyConstraint)))
});
const $isArrayOf_Lamf_core_validation_core_PropertyConstraint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_PropertyConstraint)))
});
const $d_Lamf_core_validation_core_PropertyConstraint = new $TypeData().initClass({
  Lamf_core_validation_core_PropertyConstraint: 0
}, false, "amf.core.validation.core.PropertyConstraint", {
  Lamf_core_validation_core_PropertyConstraint: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_PropertyConstraint.prototype.$classData = $d_Lamf_core_validation_core_PropertyConstraint;
class $c_Lamf_core_validation_core_ValidationProfile extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.baseProfileName$1 = null;
    this.violationLevel$1 = null;
    this.infoLevel$1 = null;
    this.warningLevel$1 = null;
    this.disabled$1 = null;
    this.validations$1 = null;
    this.prefixes$1 = null
  };
  productPrefix__T() {
    return "ValidationProfile"
  };
  productArity__I() {
    return 8
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_ValidationProfile(x$1)) {
      const ValidationProfile$1 = x$1;
      let jsx$6;
      if ((this.name$1 === ValidationProfile$1.name$1)) {
        const x = this.baseProfileName$1;
        const x$2 = ValidationProfile$1.baseProfileName$1;
        jsx$6 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$3 = this.violationLevel$1;
        const x$4 = ValidationProfile$1.violationLevel$1;
        jsx$5 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$5 = this.infoLevel$1;
        const x$6 = ValidationProfile$1.infoLevel$1;
        jsx$4 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$7 = this.warningLevel$1;
        const x$8 = ValidationProfile$1.warningLevel$1;
        jsx$3 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$9 = this.disabled$1;
        const x$10 = ValidationProfile$1.disabled$1;
        jsx$2 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$11 = this.validations$1;
        const x$12 = ValidationProfile$1.validations$1;
        jsx$1 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$13 = this.prefixes$1;
        const x$14 = ValidationProfile$1.prefixes$1;
        return ((x$13 === null) ? (x$14 === null) : $f_sc_GenMapLike__equals__O__Z(x$13, x$14))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.baseProfileName$1;
        break
      }
      case 2: {
        return this.violationLevel$1;
        break
      }
      case 3: {
        return this.infoLevel$1;
        break
      }
      case 4: {
        return this.warningLevel$1;
        break
      }
      case 5: {
        return this.disabled$1;
        break
      }
      case 6: {
        return this.validations$1;
        break
      }
      case 7: {
        return this.prefixes$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(name, baseProfileName, violationLevel, infoLevel, warningLevel, disabled, validations, prefixes) {
    this.name$1 = name;
    this.baseProfileName$1 = baseProfileName;
    this.violationLevel$1 = violationLevel;
    this.infoLevel$1 = infoLevel;
    this.warningLevel$1 = warningLevel;
    this.disabled$1 = disabled;
    this.validations$1 = validations;
    this.prefixes$1 = prefixes;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_ValidationProfile = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationProfile)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationProfile = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationProfile)))
});
const $d_Lamf_core_validation_core_ValidationProfile = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationProfile: 0
}, false, "amf.core.validation.core.ValidationProfile", {
  Lamf_core_validation_core_ValidationProfile: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_ValidationProfile.prototype.$classData = $d_Lamf_core_validation_core_ValidationProfile;
class $c_Lamf_core_validation_core_ValidationSpecification extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.message$1 = null;
    this.ramlMessage$1 = null;
    this.oasMessage$1 = null;
    this.targetInstance$1 = null;
    this.targetClass$1 = null;
    this.targetObject$1 = null;
    this.unionConstraints$1 = null;
    this.propertyConstraints$1 = null;
    this.nodeConstraints$1 = null;
    this.closed$1 = null;
    this.functionConstraint$1 = null;
    this.custom$1 = null
  };
  productPrefix__T() {
    return "ValidationSpecification"
  };
  productArity__I() {
    return 13
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_ValidationSpecification(x$1)) {
      const ValidationSpecification$1 = x$1;
      let jsx$10;
      if (((this.name$1 === ValidationSpecification$1.name$1) && (this.message$1 === ValidationSpecification$1.message$1))) {
        const x = this.ramlMessage$1;
        const x$2 = ValidationSpecification$1.ramlMessage$1;
        jsx$10 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$10 = false
      };
      let jsx$9;
      if (jsx$10) {
        const x$3 = this.oasMessage$1;
        const x$4 = ValidationSpecification$1.oasMessage$1;
        jsx$9 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$9 = false
      };
      let jsx$8;
      if (jsx$9) {
        const x$5 = this.targetInstance$1;
        const x$6 = ValidationSpecification$1.targetInstance$1;
        jsx$8 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$8 = false
      };
      let jsx$7;
      if (jsx$8) {
        const x$7 = this.targetClass$1;
        const x$8 = ValidationSpecification$1.targetClass$1;
        jsx$7 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if (jsx$7) {
        const x$9 = this.targetObject$1;
        const x$10 = ValidationSpecification$1.targetObject$1;
        jsx$6 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$11 = this.unionConstraints$1;
        const x$12 = ValidationSpecification$1.unionConstraints$1;
        jsx$5 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$13 = this.propertyConstraints$1;
        const x$14 = ValidationSpecification$1.propertyConstraints$1;
        jsx$4 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$15 = this.nodeConstraints$1;
        const x$16 = ValidationSpecification$1.nodeConstraints$1;
        jsx$3 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$17 = this.closed$1;
        const x$18 = ValidationSpecification$1.closed$1;
        jsx$2 = ((x$17 === null) ? (x$18 === null) : x$17.equals__O__Z(x$18))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$19 = this.functionConstraint$1;
        const x$20 = ValidationSpecification$1.functionConstraint$1;
        jsx$1 = ((x$19 === null) ? (x$20 === null) : x$19.equals__O__Z(x$20))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$21 = this.custom$1;
        const x$22 = ValidationSpecification$1.custom$1;
        return ((x$21 === null) ? (x$22 === null) : x$21.equals__O__Z(x$22))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.message$1;
        break
      }
      case 2: {
        return this.ramlMessage$1;
        break
      }
      case 3: {
        return this.oasMessage$1;
        break
      }
      case 4: {
        return this.targetInstance$1;
        break
      }
      case 5: {
        return this.targetClass$1;
        break
      }
      case 6: {
        return this.targetObject$1;
        break
      }
      case 7: {
        return this.unionConstraints$1;
        break
      }
      case 8: {
        return this.propertyConstraints$1;
        break
      }
      case 9: {
        return this.nodeConstraints$1;
        break
      }
      case 10: {
        return this.closed$1;
        break
      }
      case 11: {
        return this.functionConstraint$1;
        break
      }
      case 12: {
        return this.custom$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  isParserSide__Z() {
    if (this.targetClass$1.nonEmpty__Z()) {
      const x = this.targetClass$1.head__O();
      const x$2 = $m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1;
      return ((x === null) ? (x$2 === null) : $objectEquals(x, x$2))
    } else {
      return false
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    const thiz = this.name$1;
    let jsx$2;
    if ((((thiz.length | 0) >= 0) && (thiz.substring(0, ("http://".length | 0)) === "http://"))) {
      jsx$2 = true
    } else {
      const thiz$1 = this.name$1;
      jsx$2 = (((thiz$1.length | 0) >= 0) && (thiz$1.substring(0, ("https://".length | 0)) === "https://"))
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = true
    } else {
      const thiz$2 = this.name$1;
      jsx$1 = (((thiz$2.length | 0) >= 0) && (thiz$2.substring(0, ("file:".length | 0)) === "file:"))
    };
    if (jsx$1) {
      return this.name$1
    } else {
      const x1 = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(this.name$1).iri__T();
      if ((((((x1.length | 0) >= 0) && (x1.substring(0, ("http://".length | 0)) === "http://")) || (((x1.length | 0) >= 0) && (x1.substring(0, ("https://".length | 0)) === "https://"))) || (((x1.length | 0) >= 0) && (x1.substring(0, ("file:".length | 0)) === "file:")))) {
        return x1
      } else {
        const this$31 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, x1).iri__T()
      }
    }
  };
  init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(name, message, ramlMessage, oasMessage, targetInstance, targetClass, targetObject, unionConstraints, propertyConstraints, nodeConstraints, closed, functionConstraint, custom) {
    this.name$1 = name;
    this.message$1 = message;
    this.ramlMessage$1 = ramlMessage;
    this.oasMessage$1 = oasMessage;
    this.targetInstance$1 = targetInstance;
    this.targetClass$1 = targetClass;
    this.targetObject$1 = targetObject;
    this.unionConstraints$1 = unionConstraints;
    this.propertyConstraints$1 = propertyConstraints;
    this.nodeConstraints$1 = nodeConstraints;
    this.closed$1 = closed;
    this.functionConstraint$1 = functionConstraint;
    this.custom$1 = custom;
    return this
  };
}
const $is_Lamf_core_validation_core_ValidationSpecification = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationSpecification)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationSpecification = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationSpecification)))
});
const $d_Lamf_core_validation_core_ValidationSpecification = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationSpecification: 0
}, false, "amf.core.validation.core.ValidationSpecification", {
  Lamf_core_validation_core_ValidationSpecification: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_ValidationSpecification.prototype.$classData = $d_Lamf_core_validation_core_ValidationSpecification;
class $c_Lamf_core_vocabulary_Namespace extends $c_O {
  constructor() {
    super();
    this.base$1 = null
  };
  productPrefix__T() {
    return "Namespace"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_vocabulary_Namespace(x$1)) {
      const Namespace$1 = x$1;
      return (this.base$1 === Namespace$1.base$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.base$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(base) {
    this.base$1 = base;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_vocabulary_Namespace = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_vocabulary_Namespace)))
});
const $isArrayOf_Lamf_core_vocabulary_Namespace = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_vocabulary_Namespace)))
});
const $d_Lamf_core_vocabulary_Namespace = new $TypeData().initClass({
  Lamf_core_vocabulary_Namespace: 0
}, false, "amf.core.vocabulary.Namespace", {
  Lamf_core_vocabulary_Namespace: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_Namespace.prototype.$classData = $d_Lamf_core_vocabulary_Namespace;
class $c_Lamf_core_vocabulary_ValueType extends $c_O {
  constructor() {
    super();
    this.ns$1 = null;
    this.name$1 = null
  };
  productPrefix__T() {
    return "ValueType"
  };
  init___Lamf_core_vocabulary_Namespace__T(ns, name) {
    this.ns$1 = ns;
    this.name$1 = name;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_vocabulary_ValueType(x$1)) {
      const ValueType$1 = x$1;
      const x = this.ns$1;
      const x$2 = ValueType$1.ns$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.name$1 === ValueType$1.name$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ns$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  iri__T() {
    return (("" + this.ns$1.base$1) + this.name$1)
  };
}
const $is_Lamf_core_vocabulary_ValueType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_vocabulary_ValueType)))
});
const $isArrayOf_Lamf_core_vocabulary_ValueType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_vocabulary_ValueType)))
});
const $d_Lamf_core_vocabulary_ValueType = new $TypeData().initClass({
  Lamf_core_vocabulary_ValueType: 0
}, false, "amf.core.vocabulary.ValueType", {
  Lamf_core_vocabulary_ValueType: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_ValueType.prototype.$classData = $d_Lamf_core_vocabulary_ValueType;
class $c_Lamf_model_document_Fragment extends $c_Lamf_model_document_BaseUnit {
  constructor() {
    super();
    this.fragment$3 = null;
    this.element$3 = null
  };
  element__Lamf_core_model_document_BaseUnit() {
    return this.element$3
  };
  $$js$exported$prop$encodes__O() {
    return $f_Lamf_model_document_EncodesModel__encodes__Lamf_model_domain_DomainElement(this)
  };
  init___Lamf_core_model_document_Fragment(fragment) {
    this.fragment$3 = fragment;
    $c_Lamf_model_document_BaseUnit.prototype.init___.call(this);
    this.element$3 = fragment;
    return this
  };
  $$js$exported$meth$withEncodes__Lamf_model_domain_DomainElement__O(encodes) {
    const this$1 = this.element$3;
    const encoded = encodes.element__Lamf_core_model_domain_DomainElement();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, encoded)
  };
  element__Lamf_core_model_document_EncodesModel() {
    return this.element$3
  };
  "withEncodes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEncodes__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
}
const $d_Lamf_model_document_Fragment = new $TypeData().initClass({
  Lamf_model_document_Fragment: 0
}, false, "amf.model.document.Fragment", {
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1
});
$c_Lamf_model_document_Fragment.prototype.$classData = $d_Lamf_model_document_Fragment;
class $c_Lamf_model_domain_AbstractDeclaration extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.decl$3 = null
  };
  withName__T__Lamf_model_domain_AbstractDeclaration(name) {
    const this$1 = this.decl$3;
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("AbstractDeclaration is abstract"))
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_model_domain_Linkable__withLinkLabel__T__Lamf_model_domain_DomainElement(this, label)
  };
  variables__sjs_js_Array() {
    const col = this.decl$3.variables__sc_Seq();
    const this$3 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$3, result)));
      return result
    }
  };
  $$js$exported$meth$name__O() {
    return this.decl$3.name__T()
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  dataNode__Lamf_model_domain_DataNode() {
    const this$1 = this.platform$2;
    const entity = this.decl$3.dataNode__Lamf_core_model_domain_DataNode();
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$1, entity)
  };
  $$js$exported$meth$dataNode__O() {
    return this.dataNode__Lamf_model_domain_DataNode()
  };
  $$js$exported$prop$isLink__O() {
    return this.linkTarget__s_Option().isDefined__Z()
  };
  $$js$exported$meth$variables__O() {
    return this.variables__sjs_js_Array()
  };
  linkTarget__s_Option() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("AbstractDeclaration is abstract"))
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  $$js$exported$meth$withDatanode__Lamf_model_domain_DataNode__O(dataNode) {
    return this.withDatanode__Lamf_model_domain_DataNode__Lamf_model_domain_AbstractDeclaration(dataNode)
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_model_domain_Linkable__link__s_Option__O(this, label)
  };
  element__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.decl$3
  };
  init___Lamf_core_model_domain_templates_AbstractDeclaration(decl) {
    this.decl$3 = decl;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withVariables__sjs_js_Array__Lamf_model_domain_AbstractDeclaration(variables) {
    const this$2 = this.decl$3;
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Variables$1;
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (variables.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (variables.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = variables[index];
      const x$1 = arg1;
      const elem = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x$1, new $c_Lamf_core_parser_Annotations().init___());
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, b);
    return this
  };
  $$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(target) {
    return $f_Lamf_model_domain_Linkable__withLinkTarget__Lamf_model_domain_DomainElement__Lamf_model_domain_DomainElement(this, target)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_AbstractDeclaration(name)
  };
  $$js$exported$meth$withVariables__sjs_js_Array__O(variables) {
    return this.withVariables__sjs_js_Array__Lamf_model_domain_AbstractDeclaration(variables)
  };
  $$js$exported$prop$linkLabel__O() {
    return $f_Lamf_model_domain_Linkable__linkLabel__s_Option(this)
  };
  withDatanode__Lamf_model_domain_DataNode__Lamf_model_domain_AbstractDeclaration(dataNode) {
    const this$1 = this.decl$3;
    const dataNode$1 = dataNode.element__Lamf_core_model_domain_DataNode();
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().DataNode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, dataNode$1);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.element__Lamf_core_model_domain_templates_AbstractDeclaration()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "withVariables"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVariables__sjs_js_Array__O(prep0)
  };
  "variables"() {
    return this.$$js$exported$meth$variables__O()
  };
  "withDatanode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDatanode__Lamf_model_domain_DataNode__O(prep0)
  };
  "dataNode"() {
    return this.$$js$exported$meth$dataNode__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "name"() {
    return this.$$js$exported$meth$name__O()
  };
}
const $is_Lamf_model_domain_AbstractDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_AbstractDeclaration)))
});
const $isArrayOf_Lamf_model_domain_AbstractDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_AbstractDeclaration)))
});
const $d_Lamf_model_domain_AbstractDeclaration = new $TypeData().initClass({
  Lamf_model_domain_AbstractDeclaration: 0
}, false, "amf.model.domain.AbstractDeclaration", {
  Lamf_model_domain_AbstractDeclaration: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1
});
$c_Lamf_model_domain_AbstractDeclaration.prototype.$classData = $d_Lamf_model_domain_AbstractDeclaration;
class $c_Lamf_model_domain_CreativeWork$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const creativeWork = v1;
    return new $c_Lamf_model_domain_CreativeWork().init___Lamf_plugins_domain_shapes_models_CreativeWork(creativeWork)
  };
  toString__T() {
    return "CreativeWork"
  };
}
const $d_Lamf_model_domain_CreativeWork$ = new $TypeData().initClass({
  Lamf_model_domain_CreativeWork$: 0
}, false, "amf.model.domain.CreativeWork$", {
  Lamf_model_domain_CreativeWork$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_CreativeWork$.prototype.$classData = $d_Lamf_model_domain_CreativeWork$;
let $n_Lamf_model_domain_CreativeWork$ = (void 0);
const $m_Lamf_model_domain_CreativeWork$ = (function() {
  if ((!$n_Lamf_model_domain_CreativeWork$)) {
    $n_Lamf_model_domain_CreativeWork$ = new $c_Lamf_model_domain_CreativeWork$().init___()
  };
  return $n_Lamf_model_domain_CreativeWork$
});
class $c_Lamf_model_domain_EndPoint$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const endPoint = v1;
    return new $c_Lamf_model_domain_EndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(endPoint)
  };
  toString__T() {
    return "EndPoint"
  };
}
const $d_Lamf_model_domain_EndPoint$ = new $TypeData().initClass({
  Lamf_model_domain_EndPoint$: 0
}, false, "amf.model.domain.EndPoint$", {
  Lamf_model_domain_EndPoint$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_EndPoint$.prototype.$classData = $d_Lamf_model_domain_EndPoint$;
let $n_Lamf_model_domain_EndPoint$ = (void 0);
const $m_Lamf_model_domain_EndPoint$ = (function() {
  if ((!$n_Lamf_model_domain_EndPoint$)) {
    $n_Lamf_model_domain_EndPoint$ = new $c_Lamf_model_domain_EndPoint$().init___()
  };
  return $n_Lamf_model_domain_EndPoint$
});
class $c_Lamf_model_domain_Example$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const example = v1;
    return new $c_Lamf_model_domain_Example().init___Lamf_plugins_domain_shapes_models_Example(example)
  };
  toString__T() {
    return "Example"
  };
}
const $d_Lamf_model_domain_Example$ = new $TypeData().initClass({
  Lamf_model_domain_Example$: 0
}, false, "amf.model.domain.Example$", {
  Lamf_model_domain_Example$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Example$.prototype.$classData = $d_Lamf_model_domain_Example$;
let $n_Lamf_model_domain_Example$ = (void 0);
const $m_Lamf_model_domain_Example$ = (function() {
  if ((!$n_Lamf_model_domain_Example$)) {
    $n_Lamf_model_domain_Example$ = new $c_Lamf_model_domain_Example$().init___()
  };
  return $n_Lamf_model_domain_Example$
});
class $c_Lamf_model_domain_Operation$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const operation = v1;
    return new $c_Lamf_model_domain_Operation().init___Lamf_plugins_domain_webapi_models_Operation(operation)
  };
  toString__T() {
    return "Operation"
  };
}
const $d_Lamf_model_domain_Operation$ = new $TypeData().initClass({
  Lamf_model_domain_Operation$: 0
}, false, "amf.model.domain.Operation$", {
  Lamf_model_domain_Operation$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Operation$.prototype.$classData = $d_Lamf_model_domain_Operation$;
let $n_Lamf_model_domain_Operation$ = (void 0);
const $m_Lamf_model_domain_Operation$ = (function() {
  if ((!$n_Lamf_model_domain_Operation$)) {
    $n_Lamf_model_domain_Operation$ = new $c_Lamf_model_domain_Operation$().init___()
  };
  return $n_Lamf_model_domain_Operation$
});
class $c_Lamf_model_domain_Parameter$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const parameter = v1;
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  toString__T() {
    return "Parameter"
  };
}
const $d_Lamf_model_domain_Parameter$ = new $TypeData().initClass({
  Lamf_model_domain_Parameter$: 0
}, false, "amf.model.domain.Parameter$", {
  Lamf_model_domain_Parameter$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Parameter$.prototype.$classData = $d_Lamf_model_domain_Parameter$;
let $n_Lamf_model_domain_Parameter$ = (void 0);
const $m_Lamf_model_domain_Parameter$ = (function() {
  if ((!$n_Lamf_model_domain_Parameter$)) {
    $n_Lamf_model_domain_Parameter$ = new $c_Lamf_model_domain_Parameter$().init___()
  };
  return $n_Lamf_model_domain_Parameter$
});
class $c_Lamf_model_domain_ParametrizedSecurityScheme$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const s = v1;
    return new $c_Lamf_model_domain_ParametrizedSecurityScheme().init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(s)
  };
  toString__T() {
    return "ParametrizedSecurityScheme"
  };
}
const $d_Lamf_model_domain_ParametrizedSecurityScheme$ = new $TypeData().initClass({
  Lamf_model_domain_ParametrizedSecurityScheme$: 0
}, false, "amf.model.domain.ParametrizedSecurityScheme$", {
  Lamf_model_domain_ParametrizedSecurityScheme$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ParametrizedSecurityScheme$.prototype.$classData = $d_Lamf_model_domain_ParametrizedSecurityScheme$;
let $n_Lamf_model_domain_ParametrizedSecurityScheme$ = (void 0);
const $m_Lamf_model_domain_ParametrizedSecurityScheme$ = (function() {
  if ((!$n_Lamf_model_domain_ParametrizedSecurityScheme$)) {
    $n_Lamf_model_domain_ParametrizedSecurityScheme$ = new $c_Lamf_model_domain_ParametrizedSecurityScheme$().init___()
  };
  return $n_Lamf_model_domain_ParametrizedSecurityScheme$
});
class $c_Lamf_model_domain_Payload$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const payload = v1;
    return new $c_Lamf_model_domain_Payload().init___Lamf_plugins_domain_webapi_models_Payload(payload)
  };
  toString__T() {
    return "Payload"
  };
}
const $d_Lamf_model_domain_Payload$ = new $TypeData().initClass({
  Lamf_model_domain_Payload$: 0
}, false, "amf.model.domain.Payload$", {
  Lamf_model_domain_Payload$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Payload$.prototype.$classData = $d_Lamf_model_domain_Payload$;
let $n_Lamf_model_domain_Payload$ = (void 0);
const $m_Lamf_model_domain_Payload$ = (function() {
  if ((!$n_Lamf_model_domain_Payload$)) {
    $n_Lamf_model_domain_Payload$ = new $c_Lamf_model_domain_Payload$().init___()
  };
  return $n_Lamf_model_domain_Payload$
});
class $c_Lamf_model_domain_PropertyDependencies$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const property = v1;
    return new $c_Lamf_model_domain_PropertyDependencies().init___Lamf_plugins_domain_shapes_models_PropertyDependencies(property)
  };
  toString__T() {
    return "PropertyDependencies"
  };
}
const $d_Lamf_model_domain_PropertyDependencies$ = new $TypeData().initClass({
  Lamf_model_domain_PropertyDependencies$: 0
}, false, "amf.model.domain.PropertyDependencies$", {
  Lamf_model_domain_PropertyDependencies$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_PropertyDependencies$.prototype.$classData = $d_Lamf_model_domain_PropertyDependencies$;
let $n_Lamf_model_domain_PropertyDependencies$ = (void 0);
const $m_Lamf_model_domain_PropertyDependencies$ = (function() {
  if ((!$n_Lamf_model_domain_PropertyDependencies$)) {
    $n_Lamf_model_domain_PropertyDependencies$ = new $c_Lamf_model_domain_PropertyDependencies$().init___()
  };
  return $n_Lamf_model_domain_PropertyDependencies$
});
class $c_Lamf_model_domain_PropertyShape$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const propertyShape = v1;
    return new $c_Lamf_model_domain_PropertyShape().init___Lamf_core_model_domain_extensions_PropertyShape(propertyShape)
  };
  toString__T() {
    return "PropertyShape"
  };
}
const $d_Lamf_model_domain_PropertyShape$ = new $TypeData().initClass({
  Lamf_model_domain_PropertyShape$: 0
}, false, "amf.model.domain.PropertyShape$", {
  Lamf_model_domain_PropertyShape$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_PropertyShape$.prototype.$classData = $d_Lamf_model_domain_PropertyShape$;
let $n_Lamf_model_domain_PropertyShape$ = (void 0);
const $m_Lamf_model_domain_PropertyShape$ = (function() {
  if ((!$n_Lamf_model_domain_PropertyShape$)) {
    $n_Lamf_model_domain_PropertyShape$ = new $c_Lamf_model_domain_PropertyShape$().init___()
  };
  return $n_Lamf_model_domain_PropertyShape$
});
class $c_Lamf_model_domain_Response$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const response = v1;
    return new $c_Lamf_model_domain_Response().init___Lamf_plugins_domain_webapi_models_Response(response)
  };
  toString__T() {
    return "Response"
  };
}
const $d_Lamf_model_domain_Response$ = new $TypeData().initClass({
  Lamf_model_domain_Response$: 0
}, false, "amf.model.domain.Response$", {
  Lamf_model_domain_Response$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Response$.prototype.$classData = $d_Lamf_model_domain_Response$;
let $n_Lamf_model_domain_Response$ = (void 0);
const $m_Lamf_model_domain_Response$ = (function() {
  if ((!$n_Lamf_model_domain_Response$)) {
    $n_Lamf_model_domain_Response$ = new $c_Lamf_model_domain_Response$().init___()
  };
  return $n_Lamf_model_domain_Response$
});
class $c_Lamf_model_domain_Scope$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const scope = v1;
    return new $c_Lamf_model_domain_Scope().init___Lamf_plugins_domain_webapi_models_security_Scope(scope)
  };
  toString__T() {
    return "Scope"
  };
}
const $d_Lamf_model_domain_Scope$ = new $TypeData().initClass({
  Lamf_model_domain_Scope$: 0
}, false, "amf.model.domain.Scope$", {
  Lamf_model_domain_Scope$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Scope$.prototype.$classData = $d_Lamf_model_domain_Scope$;
let $n_Lamf_model_domain_Scope$ = (void 0);
const $m_Lamf_model_domain_Scope$ = (function() {
  if ((!$n_Lamf_model_domain_Scope$)) {
    $n_Lamf_model_domain_Scope$ = new $c_Lamf_model_domain_Scope$().init___()
  };
  return $n_Lamf_model_domain_Scope$
});
class $c_Lamf_model_domain_Shape extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.shape$3 = null
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Shape is abstract"))
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_model_domain_Linkable__withLinkLabel__T__Lamf_model_domain_DomainElement(this, label)
  };
  withDefaultValue__T__Lamf_model_domain_Shape($default) {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, $default);
    return this
  };
  $$js$exported$prop$displayName__O() {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    return this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1)
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    return this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  $$js$exported$prop$values__O() {
    return this.values__sjs_js_Iterable()
  };
  $$js$exported$prop$isLink__O() {
    return this.linkTarget__s_Option().isDefined__Z()
  };
  withDisplayName__T__Lamf_model_domain_Shape(name) {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$inherits__O() {
    return this.inherits__sjs_js_Iterable()
  };
  $$js$exported$meth$withValues__sjs_js_Iterable__O(values) {
    return this.withValues__sjs_js_Iterable__Lamf_model_domain_Shape(values)
  };
  $$js$exported$meth$withDisplayName__T__O(name) {
    return this.withDisplayName__T__Lamf_model_domain_Shape(name)
  };
  linkTarget__s_Option() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Shape is abstract"))
  };
  withInherits__sjs_js_Iterable__Lamf_model_domain_Shape(inherits) {
    const this$6 = this.shape__Lamf_core_model_domain_Shape();
    const this$2 = new $c_sjs_js_IterableOps().init___sjs_js_Iterable(inherits);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    const this$5 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf);
    const f = (function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.shape__Lamf_core_model_domain_Shape()
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf = this$4.ReusableCBFInstance$2;
    let inherits$1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        inherits$1 = $m_sci_Nil$()
      } else {
        const arg1 = this$5.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$5.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        inherits$1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      let these = this$5;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      inherits$1 = b.result__O()
    };
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, inherits$1);
    return this
  };
  withValues__sjs_js_Iterable__Lamf_model_domain_Shape(values) {
    const this$4 = this.shape__Lamf_core_model_domain_Shape();
    const this$2 = new $c_sjs_js_IterableOps().init___sjs_js_Iterable(values);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    const values$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$4, field, values$1);
    return this
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  $$js$exported$meth$withInherits__sjs_js_Iterable__O(inherits) {
    return this.withInherits__sjs_js_Iterable__Lamf_model_domain_Shape(inherits)
  };
  init___Lamf_core_model_domain_Shape(shape) {
    this.shape$3 = shape;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_Shape(description)
  };
  inherits__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$2.get__O());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$3 = $m_Lamf_model_domain_Shape$();
        const this$4 = this$3.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$4, x$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const this$8 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$8, result)));
      return result
    }
  };
  values__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Values$1));
    const col = (this$2.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    return this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Description$1)
  };
  withName__T__Lamf_model_domain_Shape(name) {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(target) {
    return $f_Lamf_model_domain_Linkable__withLinkTarget__Lamf_model_domain_DomainElement__Lamf_model_domain_DomainElement(this, target)
  };
  $$js$exported$meth$withDefaultValue__T__O($default) {
    return this.withDefaultValue__T__Lamf_model_domain_Shape($default)
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape__Lamf_core_model_domain_Shape()
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_Shape(name)
  };
  withDescription__T__Lamf_model_domain_Shape(description) {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$prop$linkLabel__O() {
    return $f_Lamf_model_domain_Linkable__linkLabel__s_Option(this)
  };
  $$js$exported$prop$defaultValue__O() {
    const this$1 = this.shape__Lamf_core_model_domain_Shape();
    return this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.element__Lamf_core_model_domain_Shape()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "withInherits"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInherits__sjs_js_Iterable__O(prep0)
  };
  "withValues"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValues__sjs_js_Iterable__O(prep0)
  };
  "withDefaultValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultValue__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "inherits"() {
    return this.$$js$exported$prop$inherits__O()
  };
  get "values"() {
    return this.$$js$exported$prop$values__O()
  };
  get "defaultValue"() {
    return this.$$js$exported$prop$defaultValue__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_Shape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Shape)))
});
const $isArrayOf_Lamf_model_domain_Shape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Shape)))
});
const $d_Lamf_model_domain_Shape = new $TypeData().initClass({
  Lamf_model_domain_Shape: 0
}, false, "amf.model.domain.Shape", {
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1
});
$c_Lamf_model_domain_Shape.prototype.$classData = $d_Lamf_model_domain_Shape;
class $c_Lamf_model_domain_Variable extends $c_O {
  constructor() {
    super();
    this.variable$1 = null
  };
  productPrefix__T() {
    return "Variable"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return this.variable$1.name$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Variable(x$1)) {
      const Variable$1 = x$1;
      const x = this.variable$1;
      const x$2 = Variable$1.variable$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.variable$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$value__O() {
    return this.variable$1.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_core_model_domain_templates_Variable(variable) {
    this.variable$1 = variable;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_Variable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Variable)))
});
const $isArrayOf_Lamf_model_domain_Variable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Variable)))
});
const $d_Lamf_model_domain_Variable = new $TypeData().initClass({
  Lamf_model_domain_Variable: 0
}, false, "amf.model.domain.Variable", {
  Lamf_model_domain_Variable: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Variable.prototype.$classData = $d_Lamf_model_domain_Variable;
class $c_Lamf_model_domain_VariableValue$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const variable = v1;
    return new $c_Lamf_model_domain_VariableValue().init___Lamf_core_model_domain_templates_VariableValue(variable)
  };
  toString__T() {
    return "VariableValue"
  };
}
const $d_Lamf_model_domain_VariableValue$ = new $TypeData().initClass({
  Lamf_model_domain_VariableValue$: 0
}, false, "amf.model.domain.VariableValue$", {
  Lamf_model_domain_VariableValue$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_VariableValue$.prototype.$classData = $d_Lamf_model_domain_VariableValue$;
let $n_Lamf_model_domain_VariableValue$ = (void 0);
const $m_Lamf_model_domain_VariableValue$ = (function() {
  if ((!$n_Lamf_model_domain_VariableValue$)) {
    $n_Lamf_model_domain_VariableValue$ = new $c_Lamf_model_domain_VariableValue$().init___()
  };
  return $n_Lamf_model_domain_VariableValue$
});
class $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter extends $c_O {
  constructor() {
    super();
    this.URLEncoder$module$1 = null;
    this.options$1 = null
  };
  URLEncoder__Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$() {
    if ((this.URLEncoder$module$1 === null)) {
      this.URLEncoder$lzycompute$1__p1__V()
    };
    return this.URLEncoder$module$1
  };
  productPrefix__T() {
    return "Emitter"
  };
  emit$1__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, content$1) {
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, this.URLEncoder__Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$().encode__T__T(content$1), $m_Lorg_yaml_model_YType$().Str$1);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 1
  };
  createSortedArray__Lorg_yaml_model_YDocument$PartBuilder__sc_Seq__T__Lamf_core_metamodel_Type__F1__s_Option__V(b, seq, parent, element, sources, v) {
    const jsx$5 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = b$1.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    if (seq.nonEmpty__Z()) {
      const id = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/list"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parent]));
      this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__V(b$2, id);
      $m_Lorg_yaml_model_YNode$();
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
      const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "first").iri__T();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v$1.builder$1;
      const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      if ($is_Lamf_core_metamodel_Obj(element)) {
        const this$7 = seq.headOption__s_Option();
        if ((!this$7.isEmpty__Z())) {
          const arg1 = this$7.get__O();
          const x0$5 = arg1;
          matchEnd4: {
            if (($is_Lamf_core_model_domain_DomainElement(x0$5) && $is_Lamf_core_model_domain_Linkable(x0$5))) {
              const x2 = x0$5;
              const this$8 = x2;
              if (this$8.linkTarget__s_Option().isDefined__Z()) {
                this.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__V(b$3, x2, true);
                break matchEnd4
              }
            };
            this.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__V(b$3, x0$5, true)
          }
        }
      } else {
        const x = $m_Lamf_core_metamodel_Type$Str$();
        if (x.equals__O__Z(element)) {
          const this$9 = seq.headOption__s_Option();
          if ((!this$9.isEmpty__Z())) {
            const arg1$1 = this$9.get__O();
            const e = arg1$1;
            const x$33 = e.toString__T();
            const x$35 = $m_Lorg_yaml_model_YType$().Str$1;
            this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$3, x$33, x$35, true)
          }
        } else {
          throw new $c_s_MatchError().init___O(element)
        }
      };
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$3.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$14 = v$1.builder$1;
      const array = [key];
      if ((this$14.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$14.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$14, newSize);
      const len$1 = this$14.size0$6;
      const src = this$14.array$6;
      const dest = this$14.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$14.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x$1 = (array.length | 0);
      const x$2 = ((x$1 < len$2) ? x$1 : len$2);
      const that = xs.u.length;
      const end = ((x$2 < that) ? x$2 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$14.size0$6 = newSize;
      b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
      $m_Lorg_yaml_model_YNode$();
      const this$25 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
      const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "rest").iri__T();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.createSortedArray__Lorg_yaml_model_YDocument$PartBuilder__sc_Seq__T__Lamf_core_metamodel_Type__F1__s_Option__V(v$2, seq.tail__O(), id, element, sources, $m_s_None$());
      const this$28 = v$2.builder$1;
      const array$1 = [key$1];
      if ((this$28.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$28.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$28, newSize$1);
      const len$4 = this$28.size0$6;
      const src$1 = this$28.array$6;
      const dest$1 = this$28.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$28.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$3 = (array$1.length | 0);
      const x$4 = ((x$3 < len$5) ? x$3 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$4 < that$1) ? x$4 : that$1);
      while ((i$1 < end$1)) {
        const jsx$3 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$3] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$28.size0$6 = newSize$1;
      b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
      if ((!v.isEmpty__Z())) {
        sources.apply__O__O(v.get__O())
      }
    } else {
      const this$39 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
      this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__V(b$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$39, "nil").iri__T())
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$2.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c$2 = b$1.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$2, a$2, cs$2);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter(x$1)) {
      const Emitter$1 = x$1;
      const x = this.options$1;
      const x$2 = Emitter$1.options$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  emit$2__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__V(b, element$4) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__V(element$4, b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  createAnnotationValueNode__p1__Lorg_yaml_model_YDocument$PartBuilder__T2__V(b, tuple) {
    if ((tuple !== null)) {
      const iri = tuple.$$und1__O();
      const v = tuple.$$und2__O();
      const jsx$3 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const str = $m_Lamf_core_metamodel_document_SourceMapModel$().Element$1.value$1.iri__T();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$1, iri, $m_Lorg_yaml_model_YType$().Str$1, false);
      const this$3 = v$1.builder$1;
      const array = [key];
      if ((this$3.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$3.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
      const len$1 = this$3.size0$6;
      const src = this$3.array$6;
      const dest = this$3.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$3.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$1 = j;
        const index = i;
        xs.u[jsx$1] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$3.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
      $m_Lorg_yaml_model_YNode$();
      const str$1 = $m_Lamf_core_metamodel_document_SourceMapModel$().Value$1.value$1.iri__T();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$2, v, $m_Lorg_yaml_model_YType$().Str$1, false);
      const this$15 = v$2.builder$1;
      const array$1 = [key$1];
      if ((this$15.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$15.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize$1);
      const len$4 = this$15.size0$6;
      const src$1 = this$15.array$6;
      const dest$1 = this$15.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$15.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$2 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$2] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$15.size0$6 = newSize$1;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      throw new $c_s_MatchError().init___O(tuple)
    }
  };
  obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__V(b, element, inArray) {
    if (inArray) {
      this.emit$2__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__V(b, element)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$2__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__V(b$1, element);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  init___Lamf_core_client_GenerationOptions(options) {
    this.options$1 = options;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  traverseStaticMetamodel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__V(id, element, sources, obj, b) {
    this.createTypeNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_metamodel_Obj__s_Option__V(b, obj, new $c_s_Some().init___O(element));
    let modelFields;
    if ($is_Lamf_core_metamodel_domain_ShapeModel(obj)) {
      const x2 = obj;
      const jsx$2 = x2.fields__sci_List();
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field(), $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field()]));
      const this$1 = $m_sci_List$();
      modelFields = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
    } else {
      modelFields = obj.fields__sci_List()
    };
    const f$1 = (function($this, element$1) {
      return (function(f$2) {
        const f = f$2;
        return element$1.fields__Lamf_core_parser_Fields().entryJsonld__Lamf_core_metamodel_Field__s_Option(f)
      })
    })(this, element);
    const this$2 = $m_sci_List$();
    const bf = this$2.ReusableCBFInstance$2;
    let this$3;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((modelFields === $m_sci_Nil$())) {
        this$3 = $m_sci_Nil$()
      } else {
        const arg1 = modelFields.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1), $m_sci_Nil$());
        let t = h;
        let rest = modelFields.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        this$3 = h
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(modelFields, bf);
      let these = modelFields;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$2));
        these = these.tail__O()
      };
      this$3 = b$1.result__O()
    };
    let these$1 = this$3;
    while ((!these$1.isEmpty__Z())) {
      const arg1$3 = these$1.head__O();
      const x0$1 = arg1$3;
      matchEnd6: {
        if ($is_s_Some(x0$1)) {
          const x2$1 = x0$1;
          const p3 = x2$1.value$2;
          if ((p3 !== null)) {
            const f$3 = p3.field$1;
            const v = p3.value$1;
            const url = f$3.value$1.iri__T();
            $m_Lorg_yaml_model_YNode$();
            const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(url);
            const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            this.value__p1__Lamf_core_metamodel_Type__Lamf_core_parser_Value__T__F1__Lorg_yaml_model_YDocument$PartBuilder__V(f$3.type$1, v, id, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, sources$1, url$1) {
              return (function(value$2) {
                const value = value$2;
                sources$1.property__T__Lamf_core_parser_Value__V(url$1, value)
              })
            })(this, sources, url)), v$1);
            const this$5 = v$1.builder$1;
            const array = [key];
            if ((this$5.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len = (array.length | 0);
            const newSize = ((this$5.size0$6 + len) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
            const len$1 = this$5.size0$6;
            const src = this$5.array$6;
            const dest = this$5.array$6;
            $systemArraycopy(src, 0, dest, len, len$1);
            const xs = this$5.array$6;
            const len$2 = xs.u.length;
            let i = 0;
            let j = 0;
            const x = (array.length | 0);
            const x$1 = ((x < len$2) ? x : len$2);
            const that = xs.u.length;
            const end = ((x$1 < that) ? x$1 : that);
            while ((i < end)) {
              const jsx$3 = j;
              const index = i;
              xs.u[jsx$3] = array[index];
              i = ((1 + i) | 0);
              j = ((1 + j) | 0)
            };
            this$5.size0$6 = newSize;
            b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
            break matchEnd6
          }
        };
        const x$2 = $m_s_None$();
        if ((x$2 === x0$1)) {
          break matchEnd6
        };
        throw new $c_s_MatchError().init___O(x0$1)
      };
      these$1 = these$1.tail__O()
    }
  };
  createAnnotationNodes__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_model_document_SourceMap__V(b, sources) {
    const this$1 = sources.annotations$1;
    const this$2 = this$1.elems$5;
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    while (this$3.hasNext__Z()) {
      const arg1 = this$3.next__O();
      const x0$7 = arg1;
      if ((x0$7 !== null)) {
        const a = x0$7.$$und1__O();
        const values = x0$7.$$und2__O();
        $m_Lorg_yaml_model_YNode$();
        const ns = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
        const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(ns, a).iri__T();
        const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$1 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const this$7 = values.elems$5;
        const this$8 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$7);
        while (this$8.hasNext__Z()) {
          const arg1$1 = this$8.next__O();
          const x$29 = arg1$1;
          this.createAnnotationValueNode__p1__Lorg_yaml_model_YDocument$PartBuilder__T2__V(b$1, x$29)
        };
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a$1, cs);
        jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
        const this$13 = v.builder$1;
        const array = [key];
        if ((this$13.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$13.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
        const len$1 = this$13.size0$6;
        const src = this$13.array$6;
        const dest = this$13.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$13.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$2 = j;
          const index = i;
          xs.u[jsx$2] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$13.size0$6 = newSize;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      } else {
        throw new $c_s_MatchError().init___O(x0$7)
      }
    }
  };
  emit$4__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content$2, tag$1) {
    const tg = this.fixTagIfNeeded__p1__Lorg_yaml_model_YType__T__Lorg_yaml_model_YType(tag$1, content$2);
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, content$2, tg);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  createCustomExtensions__p1__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__V(element, b) {
    const customProperties = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = element.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field());
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x0$2 = arg1;
      if ((x0$2 !== null)) {
        const v = x0$2.value$1;
        const x1$2 = v.value$1;
        if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
          const x2 = x1$2;
          const values = x2.values$1;
          values.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3, customProperties$1) {
            return (function(x0$3$2) {
              const x0$3 = x0$3$2;
              if ($is_Lamf_core_model_domain_extensions_DomainExtension(x0$3)) {
                const x2$1 = x0$3;
                const uri = x2$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1).id$1;
                customProperties$1.$$plus$eq__O__scm_ListBuffer(uri);
                $this.createCustomExtension__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_model_domain_extensions_DomainExtension__s_Option__V(b$3, uri, x2$1, $m_s_None$())
              } else {
                throw new $c_s_MatchError().init___O(x0$3)
              }
            })
          })(this, b, customProperties)))
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$2)
      }
    };
    const count = new $c_sr_IntRef().init___I(1);
    const this$5 = element.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, element$1, b$1, customProperties$2, count$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ((x0$4 !== null)) {
          const f = x0$4.$$und1__O();
          const v$1 = x0$4.$$und2__O();
          const this$3 = v$1.annotations$1;
          const pf = new $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1().init___Lamf_plugins_document_graph_parser_GraphEmitter$Emitter(this$2$1);
          const jsx$1 = this$3.amf$core$parser$Annotations$$annotations$1;
          const this$4 = $m_sc_Seq$();
          jsx$1.collect__s_PartialFunction__scg_CanBuildFrom__O(pf, this$4.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, element$2, b$3$1, customProperties$1$1, count$1$1, f$1) {
            return (function(e$2) {
              const e = e$2;
              const extension = e.extension$1;
              const uri$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/scalar-valued/", "/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element$2.id__T(), count$1$1.elem$1, extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1)]));
              customProperties$1$1.$$plus$eq__O__scm_ListBuffer(uri$1);
              $m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(uri$1, extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1));
              $this$1.createCustomExtension__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_model_domain_extensions_DomainExtension__s_Option__V(b$3$1, uri$1, extension, new $c_s_Some().init___O(f$1));
              count$1$1.elem$1 = ((1 + count$1$1.elem$1) | 0)
            })
          })(this$2$1, element$1, b$1, customProperties$2, count$1, f)))
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this, element, b, customProperties, count));
    this$5.fs$1.foreach__F1__V(fn);
    if (customProperties.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field().value$1.iri__T();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$2 = v$2.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$8 = customProperties.scala$collection$mutable$ListBuffer$$start$6;
      let these = this$8;
      while ((!these.isEmpty__Z())) {
        const arg1$1 = these.head__O();
        const x$8 = arg1$1;
        this.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$2, x$8, true);
        these = these.tail__O()
      };
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$13 = v$2.builder$1;
      const array = [key];
      if ((this$13.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$13.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
      const len$1 = this$13.size0$6;
      const src = this$13.array$6;
      const dest = this$13.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$13.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x$1 = (array.length | 0);
      const x$2 = ((x$1 < len$2) ? x$1 : len$2);
      const that = xs.u.length;
      const end = ((x$2 < that) ? x$2 : that);
      while ((i < end)) {
        const jsx$3 = j;
        const index = i;
        xs.u[jsx$3] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$13.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
    }
  };
  emit$3__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__V(b, elementWithLink$1) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__V(elementWithLink$1, b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b, content, inArray) {
    if (inArray) {
      this.emit$1__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, content)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$1__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$1, content);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  URLEncoder$lzycompute$1__p1__V() {
    if ((this.URLEncoder$module$1 === null)) {
      this.URLEncoder$module$1 = new $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$().init___Lamf_plugins_document_graph_parser_GraphEmitter$Emitter(this)
    }
  };
  traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__V(element, b) {
    const id = element.id__T();
    this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__V(b, id);
    const sources = $m_Lamf_core_model_document_SourceMap$().apply__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_document_SourceMap(id, element);
    const this$1 = $m_Lamf_plugins_document_graph_parser_GraphEmitter$();
    const obj = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj(this$1, element);
    if (obj.dynamic__Z()) {
      this.traverseDynamicMetaModel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__V(id, element, sources, obj, b)
    } else {
      this.traverseStaticMetamodel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__V(id, element, sources, obj, b)
    };
    this.createCustomExtensions__p1__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__V(element, b);
    this.createSourcesNode__p1__T__Lamf_core_model_document_SourceMap__Lorg_yaml_model_YDocument$EntryBuilder__V((id + "/source-map"), sources, b)
  };
  createDynamicTypeNode__p1__Lamf_core_model_domain_DynamicDomainElement__Lorg_yaml_model_YDocument$EntryBuilder__V(obj, b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = obj.dynamicType__sci_List();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const t = arg1;
      this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$1, t.iri__T(), $m_Lorg_yaml_model_YType$().Str$1);
      these = these.tail__O()
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  value__p1__Lamf_core_metamodel_Type__Lamf_core_parser_Value__T__F1__Lorg_yaml_model_YDocument$PartBuilder__V(t, v, parent, sources, b) {
    matchEnd12: {
      if (($is_Lamf_core_model_domain_DomainElement(t) && $is_Lamf_core_model_domain_Linkable(t))) {
        const this$1 = t;
        if (this$1.linkTarget__s_Option().isDefined__Z()) {
          this.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__V(b, t, false);
          sources.apply__O__O(v);
          break matchEnd12
        }
      };
      if ($is_Lamf_core_metamodel_Obj(t)) {
        this.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__V(b, v.value$1, false);
        sources.apply__O__O(v);
        break matchEnd12
      };
      const x = $m_Lamf_core_metamodel_Type$Iri$();
      if (x.equals__O__Z(t)) {
        this.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b, v.value$1.toString__T(), false);
        sources.apply__O__O(v);
        break matchEnd12
      };
      const x$3 = $m_Lamf_core_metamodel_Type$Str$();
      let jsx$1;
      if (x$3.equals__O__Z(t)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lamf_core_metamodel_Type$RegExp$();
        jsx$1 = x$5.equals__O__Z(t)
      };
      if (jsx$1) {
        const x1$2 = v.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const annotation = x2$2.value$2;
          this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__V(b, v.value$1.toString__T(), annotation.datatype$1, false)
        } else {
          const x$7 = $m_s_None$();
          if ((x$7 === x1$2)) {
            this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Str$1, false)
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        };
        sources.apply__O__O(v);
        break matchEnd12
      };
      const x$9 = $m_Lamf_core_metamodel_Type$Bool$();
      if (x$9.equals__O__Z(t)) {
        this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Bool$1, false);
        sources.apply__O__O(v);
        break matchEnd12
      };
      const x$11 = $m_Lamf_core_metamodel_Type$Int$();
      if (x$11.equals__O__Z(t)) {
        this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Int$1, false);
        sources.apply__O__O(v);
        break matchEnd12
      };
      if ($is_Lamf_core_metamodel_Type$SortedArray(t)) {
        const x9 = t;
        this.createSortedArray__Lorg_yaml_model_YDocument$PartBuilder__sc_Seq__T__Lamf_core_metamodel_Type__F1__s_Option__V(b, v.value$1.values$1, parent, x9.element$1, sources, new $c_s_Some().init___O(v));
        break matchEnd12
      };
      if ($is_Lamf_core_metamodel_Type$Array(t)) {
        const x10 = t;
        const jsx$2 = b.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const seq = v.value$1;
        sources.apply__O__O(v);
        const x1 = x10.element$1;
        if ($is_Lamf_core_metamodel_Obj(x1)) {
          seq.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
            return (function(x0$6$2) {
              const x0$6 = x0$6$2;
              matchEnd4: {
                if (($is_Lamf_core_model_domain_DomainElement(x0$6) && $is_Lamf_core_model_domain_Linkable(x0$6))) {
                  const x2 = x0$6;
                  const this$3 = x2;
                  if (this$3.linkTarget__s_Option().isDefined__Z()) {
                    $this.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__V(b$2, x2, true);
                    break matchEnd4
                  }
                };
                $this.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__V(b$2, x0$6, true)
              }
            })
          })(this, b$1)))
        } else {
          const x$1 = $m_Lamf_core_metamodel_Type$Str$();
          if (x$1.equals__O__Z(x1)) {
            seq.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, b$3) {
              return (function(e$2) {
                const e = e$2;
                const x1$1 = e.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
                if ($is_s_Some(x1$1)) {
                  const x2$1 = x1$1;
                  const annotation$1 = x2$1.value$2;
                  this$2$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__V(b$3, e.value$1.toString__T(), annotation$1.datatype$1, true)
                } else {
                  const x$2 = $m_s_None$();
                  if ((x$2 === x1$1)) {
                    const x$37 = e.toString__T();
                    const x$39 = $m_Lorg_yaml_model_YType$().Str$1;
                    this$2$1.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$3, x$37, x$39, true)
                  } else {
                    throw new $c_s_MatchError().init___O(x1$1)
                  }
                }
              })
            })(this, b$1)))
          } else {
            const x$3$1 = $m_Lamf_core_metamodel_Type$Iri$();
            if (x$3$1.equals__O__Z(x1)) {
              seq.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, b$4) {
                return (function(e$3$2) {
                  const e$3 = e$3$2;
                  this$3$1.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$4, e$3.toString__T(), true)
                })
              })(this, b$1)))
            } else {
              const x$5$1 = $m_Lamf_core_metamodel_Type$Int$();
              if (x$5$1.equals__O__Z(x1)) {
                seq.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, b$5) {
                  return (function(e$4$2) {
                    const e$4 = e$4$2;
                    this$4.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$5, e$4.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Int$1, true)
                  })
                })(this, b$1)))
              } else {
                const x$7$1 = $m_Lamf_core_metamodel_Type$Bool$();
                if (x$7$1.equals__O__Z(x1)) {
                  seq.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5, b$6) {
                    return (function(e$5$2) {
                      const e$5 = e$5$2;
                      this$5.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$6, e$5.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Bool$1, true)
                    })
                  })(this, b$1)))
                } else {
                  seq.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6, b$7) {
                    return (function(e$6$2) {
                      const e$6 = e$6$2;
                      this$6.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$7, e$6.toString__T(), true)
                    })
                  })(this, b$1)))
                }
              }
            }
          }
        };
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
        jsx$2.$$plus$eq__O__scm_ArrayBuffer(node);
        break matchEnd12
      };
      throw new $c_s_MatchError().init___O(t)
    }
  };
  link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__V(b, elementWithLink, inArray) {
    if (inArray) {
      this.emit$3__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__V(b, elementWithLink)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$3__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__V(b$1, elementWithLink);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  createTypeNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_metamodel_Obj__s_Option__V(b, obj, maybeElement) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = obj.type__sci_List();
    const f = (function($this) {
      return (function(x$24$2) {
        const x$24 = x$24$2;
        return x$24.iri__T()
      })
    })(this);
    const this$3 = $m_sci_List$();
    const bf = this$3.ReusableCBFInstance$2;
    let jsx$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$4 === $m_sci_Nil$())) {
        jsx$2 = $m_sci_Nil$()
      } else {
        const arg1 = this$4.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$4.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        jsx$2 = h
      }
    } else {
      const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
      let these = this$4;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b$2.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      jsx$2 = b$2.result__O()
    };
    let jsx$1;
    if ($is_s_Some(maybeElement)) {
      const x2 = maybeElement;
      const element = x2.value$2;
      jsx$1 = element.dynamicTypes__sc_Seq()
    } else {
      jsx$1 = $m_sci_Nil$()
    };
    const this$5 = $m_sci_List$();
    const allTypes = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const this$6 = $f_sc_SeqLike__distinct__O(allTypes);
    let these$1 = this$6;
    while ((!these$1.isEmpty__Z())) {
      const arg1$3 = these$1.head__O();
      const t$1 = arg1$3;
      this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$1, t$1, $m_Lorg_yaml_model_YType$().Str$1);
      these$1 = these$1.tail__O()
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$2, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  root__Lamf_core_model_document_BaseUnit__Lorg_yaml_model_YDocument(unit) {
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = b$1.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__V(unit, b$2);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$2.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c$1 = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(node);
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__V(b, content, dataType, inArray) {
    if (inArray) {
      this.emit$5__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__V(b, content, dataType)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$5__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__V(b$1, content, dataType);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  emit$5__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__V(b, content$3, dataType$1) {
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, content$3, $m_Lorg_yaml_model_YType$().Str$1);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, dataType$1, $m_Lorg_yaml_model_YType$().Str$1);
    const this$15 = v$1.builder$1;
    const array$1 = [key$1];
    if ((this$15.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$15.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize$1);
    const len$4 = this$15.size0$6;
    const src$1 = this$15.array$6;
    const dest$1 = this$15.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$15.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$2 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$2] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$15.size0$6 = newSize$1;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  traverseDynamicMetaModel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__V(id, element, sources, obj, b) {
    const schema = element;
    this.createDynamicTypeNode__p1__Lamf_core_model_domain_DynamicDomainElement__Lorg_yaml_model_YDocument$EntryBuilder__V(schema, b);
    const this$1 = schema.dynamicFields__sci_List();
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const f = arg1;
      const this$2 = schema.valueForField__Lamf_core_metamodel_Field__s_Option(f);
      if ((!this$2.isEmpty__Z())) {
        const arg1$1 = this$2.get__O();
        const amfElement = arg1$1;
        $m_Lorg_yaml_model_YNode$();
        const str = f.value$1.iri__T();
        const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$1 = f.type$1;
        const annotations = amfElement.annotations__Lamf_core_parser_Annotations();
        this.value__p1__Lamf_core_metamodel_Type__Lamf_core_parser_Value__T__F1__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$1, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(amfElement, annotations), id, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x$4$2) {
            return (void 0)
          })
        })(this)), v);
        const this$5 = v.builder$1;
        const array = [key];
        if ((this$5.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$5.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
        const len$1 = this$5.size0$6;
        const src = this$5.array$6;
        const dest = this$5.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$5.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$2 = j;
          const index = i;
          xs.u[jsx$2] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$5.size0$6 = newSize;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      };
      these = these.tail__O()
    }
  };
  createCustomExtension__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_model_domain_extensions_DomainExtension__s_Option__V(b, uri, extension, field) {
    const encoded = this.URLEncoder__Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$URLEncoder$().encode__T__T(uri);
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(encoded);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const str = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1.value$1.iri__T();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$1, extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1), $m_Lorg_yaml_model_YType$().Str$1, false);
    const this$4 = v$1.builder$1;
    const array = [key$1];
    if ((this$4.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$4.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
    const len$1 = this$4.size0$6;
    const src = this$4.array$6;
    const dest = this$4.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$4.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$4.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    if ((!field.isEmpty__Z())) {
      const arg1 = field.get__O();
      const f = arg1;
      $m_Lorg_yaml_model_YNode$();
      const str$1 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1.value$1.iri__T();
      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$2, f.value$1.iri__T(), $m_Lorg_yaml_model_YType$().Str$1, false);
      const this$16 = v$2.builder$1;
      const array$1 = [key$2];
      if ((this$16.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$16.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize$1);
      const len$4 = this$16.size0$6;
      const src$1 = this$16.array$6;
      const dest$1 = this$16.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$16.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$2 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$2] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$16.size0$6 = newSize$1;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
    };
    this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__V(extension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$31 = v.builder$1;
    const array$2 = [key];
    if ((this$31.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$31.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$31, newSize$2);
    const len$7 = this$31.size0$6;
    const src$2 = this$31.array$6;
    const dest$2 = this$31.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$31.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$4 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$4] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$31.size0$6 = newSize$2;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  createSourcesNode__p1__T__Lamf_core_model_document_SourceMap__Lorg_yaml_model_YDocument$EntryBuilder__V(id, sources, b) {
    const this$1 = this.options$1;
    let jsx$1;
    if (this$1.sources$1) {
      const this$2 = sources.annotations$1;
      jsx$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$2)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      $m_Lorg_yaml_model_YNode$();
      const str = $m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1.value$1.iri__T();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$2 = b$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__V(b$2, id);
      this.createTypeNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_metamodel_Obj__s_Option__V(b$2, $m_Lamf_core_metamodel_document_SourceMapModel$(), $m_s_None$());
      this.createAnnotationNodes__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_model_document_SourceMap__V(b$2, sources);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$14 = v.builder$1;
      const array = [key];
      if ((this$14.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$14.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$14, newSize);
      const len$1 = this$14.size0$6;
      const src = this$14.array$6;
      const dest = this$14.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$14.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$4 = j;
        const index = i;
        xs.u[jsx$4] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$14.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  scalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b, content, tag, inArray) {
    if (inArray) {
      this.emit$4__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content, tag)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$4__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$1, content, tag);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content, tag) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(content);
    $m_Lorg_yaml_model_YNode$();
    const t = tag.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  fixTagIfNeeded__p1__Lorg_yaml_model_YType__T__Lorg_yaml_model_YType(tag, content) {
    const x = $m_Lorg_yaml_model_YType$().Bool$1;
    let tg;
    if ((x === tag)) {
      tg = (((content !== "true") && (content !== "false")) ? $m_Lorg_yaml_model_YType$().Str$1 : tag)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Int$1;
      if ((x$3 === tag)) {
        try {
          const this$2 = new $c_sci_StringOps().init___T(content);
          const this$4 = $m_jl_Integer$();
          const $$this = this$2.repr$1;
          this$4.parseInt__T__I__I($$this, 10);
          tg = tag
        } catch (e) {
          if ($is_jl_NumberFormatException(e)) {
            tg = $m_Lorg_yaml_model_YType$().Str$1
          } else {
            throw e
          }
        }
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Float$1;
        if ((x$5 === tag)) {
          try {
            const this$6 = new $c_sci_StringOps().init___T(content);
            const jsx$1 = $m_jl_Double$();
            const $$this$1 = this$6.repr$1;
            jsx$1.parseDouble__T__D($$this$1);
            tg = tag
          } catch (e$2) {
            if ($is_jl_NumberFormatException(e$2)) {
              tg = $m_Lorg_yaml_model_YType$().Str$1
            } else {
              throw e$2
            }
          }
        } else {
          tg = tag
        }
      }
    };
    return tg
  };
  createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__V(b, id) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, id, $m_Lorg_yaml_model_YType$().Str$1);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
}
const $is_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_graph_parser_GraphEmitter$Emitter)))
});
const $isArrayOf_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_graph_parser_GraphEmitter$Emitter)))
});
const $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter: 0
}, false, "amf.plugins.document.graph.parser.GraphEmitter$Emitter", {
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter;
class $c_Lamf_plugins_document_graph_parser_GraphParser$Parser extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.unresolvedReferences$1 = null;
    this.referencesMap$1 = null;
    this.dynamicGraphParser$1 = null;
    this.$$outer$1 = null
  };
  parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(document, location) {
    const node = document.node$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node);
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$3 = $m_sc_IndexedSeq$();
    const bf = this$3.ReusableCBF$6;
    const maybeMaps = jsx$1.toOption__Lorg_yaml_convert_YRead__s_Option(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf));
    let maybeMap;
    if (maybeMaps.isEmpty__Z()) {
      maybeMap = $m_s_None$()
    } else {
      const arg1 = maybeMaps.get__O();
      const s = arg1;
      maybeMap = s.headOption__s_Option()
    };
    let maybeMaybeObject;
    if (maybeMap.isEmpty__Z()) {
      maybeMaybeObject = $m_s_None$()
    } else {
      const arg1$1 = maybeMap.get__O();
      const map = arg1$1;
      maybeMaybeObject = this.parse__p1__Lorg_yaml_model_YMap__s_Option(map)
    };
    if ($is_s_Some(maybeMaybeObject)) {
      const x2 = maybeMaybeObject;
      const unit = x2.value$2;
      if ($is_Lamf_core_model_document_BaseUnit(unit)) {
        const x3 = unit;
        const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x3, field, location)
      }
    };
    this.$$outer$1.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(location, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unable to parse ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([document])), document);
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  productPrefix__T() {
    return "Parser"
  };
  applyScalarDomainProperties__p1__Lamf_core_model_domain_DomainElement__sc_Seq__V(instance, scalars) {
    scalars.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, instance$1) {
      return (function(e$2) {
        const e = e$2;
        const this$1 = instance$1.fields__Lamf_core_parser_Fields().fieldsMeta__sci_List();
        let this$2;
        inlinereturn$2: {
          let these = this$1;
          while ((!these.isEmpty__Z())) {
            const arg1 = these.head__O();
            const x$7 = arg1;
            if ((x$7.value$1.iri__T() === e.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1))) {
              this$2 = new $c_s_Some().init___O(these.head__O());
              break inlinereturn$2
            };
            these = these.tail__O()
          };
          this$2 = $m_s_None$()
        };
        if ((!this$2.isEmpty__Z())) {
          const arg1$1 = this$2.get__O();
          const f = arg1$1;
          const this$3 = instance$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(f);
          if ((!this$3.isEmpty__Z())) {
            const arg1$2 = this$3.get__O();
            const x0$2 = arg1$2;
            if ((x0$2 !== null)) {
              const value = x0$2.value$1;
              value.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_DomainExtensionAnnotation().init___Lamf_core_model_domain_extensions_DomainExtension(e))
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          }
        }
      })
    })(this, instance)))
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_graph_parser_GraphParser$Parser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Parser$1 = x$1;
      const x = this.nodes$1;
      const x$2 = Parser$1.nodes$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.nodes$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  retrieveType__p1__T__Lorg_yaml_model_YMap__s_Option(id, map) {
    const this$1 = this.$$outer$1;
    const ctx = this.$$outer$1.ctx$1;
    const stringTypes = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__ts__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__T__sc_Seq(this$1, map, ctx, id);
    const x1 = stringTypes.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$findType__T__s_Option(x$1).isDefined__Z()
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const t = x2.value$2;
      return this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$findType__T__s_Option(t)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.$$outer$1.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(id, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing JSON-LD node, unknown @types ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([stringTypes])), map);
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkLinkables__p1__Lamf_core_model_domain_AmfObject__V(instance) {
    if (($is_Lamf_core_model_domain_DomainElement(instance) && $is_Lamf_core_model_domain_Linkable(instance))) {
      const x2 = instance;
      const jsx$1 = this.referencesMap$1;
      const self = x2.id__T();
      jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, x2));
      const this$3 = this.unresolvedReferences$1;
      const key = x2.id__T();
      const x1 = this$3.get__O__s_Option(key);
      let jsx$2;
      if ($is_s_Some(x1)) {
        const x2$1 = x1;
        const v = x2$1.value$2;
        jsx$2 = v
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        jsx$2 = $m_sci_Nil$()
      };
      jsx$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, x2$2) {
        return (function(unresolved$2) {
          const unresolved = unresolved$2;
          unresolved.linkTarget$und$eq__s_Option__V(new $c_s_Some().init___O(x2$2))
        })
      })(this, x2)));
      this.unresolvedReferences$1.update__O__O__V(x2.id__T(), $m_sci_Nil$())
    }
  };
  setLinkTarget__p1__Lamf_core_model_domain_DomainElement__T__O(instance, targetId) {
    const x1 = this.referencesMap$1.get__O__s_Option(targetId);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const target = x2.value$2;
      instance.linkTarget$und$eq__s_Option__V(new $c_s_Some().init___O(target));
      return (void 0)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$1 = this.unresolvedReferences$1;
        const x1$1 = this$1.get__O__s_Option(targetId);
        let unresolved;
        if ($is_s_Some(x1$1)) {
          const x2$1 = x1$1;
          const v = x2$1.value$2;
          unresolved = v
        } else {
          const x$1 = $m_s_None$();
          if ((!(x$1 === x1$1))) {
            throw new $c_s_MatchError().init___O(x1$1)
          };
          unresolved = $m_sci_Nil$()
        };
        const jsx$2 = this.unresolvedReferences$1;
        const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([instance]));
        const this$3 = $m_sc_Seq$();
        const y = unresolved.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
        return jsx$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(targetId, y))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  retrieveElements__p1__scm_ListBuffer__T__Lorg_yaml_model_YMap__V(buffer, id, map) {
    _retrieveElements: while (true) {
      let rc7 = false;
      let x2 = null;
      const this$1 = this.$$outer$1;
      const map$1 = map;
      const ctx = this.$$outer$1.ctx$1;
      const x1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this$1, map$1, ctx);
      matchEnd8: {
        if ($is_s_Some(x1)) {
          rc7 = true;
          x2 = x1;
          const innerId = x2.value$2;
          const this$2 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
          if ((innerId !== new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "nil").iri__T())) {
            const map$2 = map;
            const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
            const this$5 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
            const x1$2 = jsx$1.key__T__s_Option(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "first").iri__T());
            if ($is_s_Some(x1$2)) {
              const x2$2 = x1$2;
              const entry = x2$2.value$2;
              buffer.$$plus$eq__O__scm_ListBuffer(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$1).head__O())
            } else {
              const x$2 = $m_s_None$();
              if ((x$2 === x1$2)) {
                this.$$outer$1.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(id, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid first element for list in ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([map])), map)
              } else {
                throw new $c_s_MatchError().init___O(x1$2)
              }
            };
            const map$3 = map;
            const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
            const this$8 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
            const x1$3 = jsx$2.key__T__s_Option(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$8, "rest").iri__T());
            if ($is_s_Some(x1$3)) {
              const x2$3 = x1$3;
              const entry$2 = x2$3.value$2;
              const jsx$3 = entry$2.value$1;
              const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
              const this$11 = $m_sc_IndexedSeq$();
              const bf = this$11.ReusableCBF$6;
              map = jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.$$outer$1.ctx$1).head__O();
              continue _retrieveElements
            };
            const x$4 = $m_s_None$();
            if ((!(x$4 === x1$3))) {
              throw new $c_s_MatchError().init___O(x1$3)
            };
            this.$$outer$1.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(id, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid rest element for list in ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([map])), map);
            break matchEnd8
          }
        };
        if (rc7) {
          break matchEnd8
        };
        const x$7 = $m_s_None$();
        if ((x$7 === x1)) {
          this.$$outer$1.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(id, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["No @id on list node ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([map])), map);
          break matchEnd8
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      break
    }
  };
  parseCustomProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, instance) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field().value$1.iri__T());
    let this$5;
    if (this$2.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$4 = arg1;
      const jsx$2 = x$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          const this$3 = $this.$$outer$1;
          const t = $m_Lamf_core_metamodel_Type$Iri$();
          return $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$3, t, x$5).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.ctx$1).text$3
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      this$5 = new $c_s_Some().init___O(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2))
    };
    const properties = (this$5.isEmpty__Z() ? $m_sci_Nil$() : this$5.get__O());
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, map$1) {
      return (function(uri$2) {
        const uri = uri$2;
        const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option(uri);
        let xo;
        if (this$7.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1$1 = this$7.get__O();
          const entry = arg1$1;
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const extension = new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const obj = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$3$1.$$outer$1.ctx$1);
          const this$11 = this$3$1.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$parseScalarProperty__Lorg_yaml_model_YMap__Lamf_core_metamodel_Field__s_Option(obj, $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1);
          if ((!this$11.isEmpty__Z())) {
            const arg1$2 = this$11.get__O();
            const name = arg1$2;
            const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1;
            new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(extension, field, name))
          };
          const this$12 = this$3$1.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$parseScalarProperty__Lorg_yaml_model_YMap__Lamf_core_metamodel_Field__s_Option(obj, $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1);
          if ((!this$12.isEmpty__Z())) {
            const arg1$3 = this$12.get__O();
            const element = arg1$3;
            const field$1 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1;
            new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(extension, field$1, element))
          };
          const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
          const definition = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
          definition.id$1 = uri;
          const field$2 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(extension, field$2, definition);
          const this$16 = this$3$1.dynamicGraphParser$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option(obj);
          if ((!this$16.isEmpty__Z())) {
            const arg1$4 = this$16.get__O();
            const pn = arg1$4;
            const value = pn.id$1;
            $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(extension, value);
            const field$3 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(extension, field$3, pn)
          };
          xo = new $c_s_Some().init___O(extension)
        };
        return xo.toList__sci_List()
      })
    })(this, map));
    const this$18 = $m_sc_Seq$();
    const extensions = properties.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$18.ReusableCBFInstance$2);
    if (extensions.nonEmpty__Z()) {
      const x1 = extensions.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          return x$6.isScalarExtension__Z()
        })
      })(this)));
      if ((x1 !== null)) {
        const scalars = x1.$$und1__O();
        const objects = x1.$$und2__O();
        const field$4 = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field();
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(instance, field$4, objects);
        this.applyScalarDomainProperties__p1__Lamf_core_model_domain_DomainElement__sc_Seq__V(instance, scalars)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parse__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$1 = this.$$outer$1;
    const ctx = this.$$outer$1.ctx$1;
    const this$2 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this$1, map, ctx);
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const value = arg1;
      const this$3 = this.retrieveType__p1__T__Lorg_yaml_model_YMap__s_Option(value, map);
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const value2 = arg1$1;
        this$4 = new $c_s_Some().init___O(new $c_T2().init___O__O(value, value2))
      }
    };
    if (this$4.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$2 = this$4.get__O();
      const x0$1 = arg1$2;
      let jsx$1;
      if ((x0$1 !== null)) {
        const id = x0$1.$$und1__O();
        const model = x0$1.$$und2__O();
        const this$5 = this.$$outer$1;
        const sources = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap(this$5, id, map);
        const jsx$2 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$buildType__Lamf_core_metamodel_Obj__F1(model);
        const this$6 = this.$$outer$1;
        const nodes = this.nodes$1;
        const instance = jsx$2.apply__O__O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$6, nodes, sources, id));
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(instance, id);
        this.checkLinkables__p1__Lamf_core_model_domain_AmfObject__V(instance);
        let modelFields;
        if ($is_Lamf_core_metamodel_domain_ShapeModel(model)) {
          const x2 = model;
          const jsx$4 = x2.fields__sci_List();
          const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field(), $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field()]));
          const this$7 = $m_sci_List$();
          modelFields = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2)
        } else {
          modelFields = model.fields__sci_List()
        };
        let these = modelFields;
        while ((!these.isEmpty__Z())) {
          const arg1$3 = these.head__O();
          const f = arg1$3;
          const k = f.value$1.iri__T();
          const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(k);
          if ($is_s_Some(x1)) {
            const x2$1 = x1;
            const entry = x2$1.value$2;
            const this$9 = this.$$outer$1;
            const t = f.type$1;
            const node = entry.value$1;
            this.traverse__p1__Lamf_core_model_domain_AmfObject__Lamf_core_metamodel_Field__Lorg_yaml_model_YNode__Lamf_core_model_document_SourceMap__T__O(instance, f, $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$9, t, node), sources, k)
          };
          these = these.tail__O()
        };
        if (($is_Lamf_core_model_domain_DomainElement(instance) && $is_Lamf_core_model_domain_Linkable(instance))) {
          const x2$2 = instance;
          this.parseLinkableProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, x2$2)
        };
        if ($is_Lamf_core_model_domain_DomainElement(instance)) {
          const x2$3 = instance;
          this.parseCustomProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, x2$3)
        };
        this.nodes$1 = this.nodes$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(id, instance));
        jsx$1 = instance
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  parseList__p1__T__Lamf_core_metamodel_Type__Lorg_yaml_model_YMap__sc_Seq(id, listElement, node) {
    const elements = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.retrieveElements__p1__scm_ListBuffer__T__Lorg_yaml_model_YMap__V(elements, id, node);
    $m_scm_ListBuffer$();
    $m_scm_ListBuffer$();
    const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$3 = elements.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const n = arg1;
      let this$11;
      if ($is_Lamf_core_metamodel_Obj(listElement)) {
        const xo = this.parse__p1__Lorg_yaml_model_YMap__s_Option(n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
        this$11 = xo.toList__sci_List()
      } else {
        const this$5 = this.$$outer$1;
        const node$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$5, listElement, n);
        const this$7 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
        let xo$1;
        if (this$7.isEmpty__Z()) {
          xo$1 = $m_s_None$()
        } else {
          const arg1$1 = this$7.get__O();
          const s = arg1$1;
          xo$1 = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(s.text$3, new $c_Lamf_core_parser_Annotations().init___()))
        };
        this$11 = xo$1.toList__sci_List()
      };
      $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, this$11);
      these = these.tail__O()
    };
    return b.elems$1
  };
  traverse__p1__Lamf_core_model_domain_AmfObject__Lamf_core_metamodel_Field__Lorg_yaml_model_YNode__Lamf_core_model_document_SourceMap__T__O(instance, f, node, sources, key) {
    const x1 = f.type$1;
    const x = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    if ((x === x1)) {
      const x1$2 = this.dynamicGraphParser$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const parsed = x2.value$2;
        const this$1 = this.$$outer$1;
        const nodes = this.nodes$1;
        const annotations = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$1, nodes, sources, key);
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, parsed, annotations)
      } else {
        return (void 0)
      }
    } else if ($is_Lamf_core_metamodel_Obj(x1)) {
      const this$2 = this.parse__p1__Lorg_yaml_model_YMap__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
      if ((!this$2.isEmpty__Z())) {
        const arg1 = this$2.get__O();
        const n = arg1;
        const this$3 = this.$$outer$1;
        const nodes$1 = this.nodes$1;
        const annotations$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$3, nodes$1, sources, key);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, n, annotations$1)
      };
      return instance
    } else {
      const x$3 = $m_Lamf_core_metamodel_Type$Str$();
      let jsx$1;
      if (x$3.equals__O__Z(x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lamf_core_metamodel_Type$RegExp$();
        if (x$5.equals__O__Z(x1)) {
          jsx$1 = true
        } else {
          const x$7 = $m_Lamf_core_metamodel_Type$Iri$();
          jsx$1 = x$7.equals__O__Z(x1)
        }
      };
      if (jsx$1) {
        const node$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx$1);
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(node$1.text$3, new $c_Lamf_core_parser_Annotations().init___());
        const this$6 = this.$$outer$1;
        const nodes$2 = this.nodes$1;
        const annotations$2 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$6, nodes$2, sources, key);
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value, annotations$2)
      } else {
        const x$9 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$9.equals__O__Z(x1)) {
          const value$1 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$bool__Lorg_yaml_model_YScalar__Lamf_core_model_domain_AmfScalar(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx$1));
          const this$7 = this.$$outer$1;
          const nodes$3 = this.nodes$1;
          const annotations$3 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$7, nodes$3, sources, key);
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value$1, annotations$3)
        } else {
          const x$11 = $m_Lamf_core_metamodel_Type$Int$();
          if (x$11.equals__O__Z(x1)) {
            const value$2 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$int__Lorg_yaml_model_YScalar__Lamf_core_model_domain_AmfScalar(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx$1));
            const this$8 = this.$$outer$1;
            const nodes$4 = this.nodes$1;
            const annotations$4 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$8, nodes$4, sources, key);
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value$2, annotations$4)
          } else if ($is_Lamf_core_metamodel_Type$SortedArray(x1)) {
            const x9 = x1;
            const values = this.parseList__p1__T__Lamf_core_metamodel_Type__Lorg_yaml_model_YMap__sc_Seq(instance.id__T(), x9.element$1, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
            const this$9 = this.$$outer$1;
            const nodes$5 = this.nodes$1;
            const annotations$5 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$9, nodes$5, sources, key);
            return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, values, annotations$5)
          } else if ($is_Lamf_core_metamodel_Type$Array(x1)) {
            const x10 = x1;
            const items = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$1);
            const x1$3 = x10.element$1;
            let values$1;
            if ($is_Lamf_core_metamodel_Obj(x1$3)) {
              const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
                return (function(n$3$2) {
                  const n$3 = n$3$2;
                  const xo = this$2$1.parse__p1__Lorg_yaml_model_YMap__s_Option(n$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$2$1.$$outer$1.ctx$1));
                  return xo.toList__sci_List()
                })
              })(this));
              const this$11 = $m_sc_Seq$();
              values$1 = items.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2)
            } else {
              const x$13 = $m_Lamf_core_metamodel_Type$Str$();
              let jsx$3;
              if (x$13.equals__O__Z(x1$3)) {
                jsx$3 = true
              } else {
                const x$15 = $m_Lamf_core_metamodel_Type$Iri$();
                jsx$3 = x$15.equals__O__Z(x1$3)
              };
              if ((!jsx$3)) {
                throw new $c_s_MatchError().init___O(x1$3)
              };
              const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, x10$1) {
                return (function(n$4$2) {
                  const n$4 = n$4$2;
                  const this$12 = this$3$1.$$outer$1;
                  const t = x10$1.element$1;
                  const node$2 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$12, t, n$4).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$3$1.$$outer$1.ctx$1);
                  return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(node$2.text$3, new $c_Lamf_core_parser_Annotations().init___())
                })
              })(this, x10));
              const this$15 = $m_sc_Seq$();
              values$1 = items.map__F1__scg_CanBuildFrom__O(jsx$4, this$15.ReusableCBFInstance$2)
            };
            const x1$4 = x10.element$1;
            if ($is_Lamf_core_metamodel_document_BaseUnitModel(x1$4)) {
              const this$16 = this.$$outer$1;
              const nodes$6 = this.nodes$1;
              const annotations$6 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$16, nodes$6, sources, key);
              return $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, values$1, annotations$6)
            } else {
              const this$17 = this.$$outer$1;
              const nodes$7 = this.nodes$1;
              const annotations$7 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$17, nodes$7, sources, key);
              return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, values$1, annotations$7)
            }
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_graph_parser_GraphParser__sci_Map($$outer, nodes) {
    this.nodes$1 = nodes;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.unresolvedReferences$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.referencesMap$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.dynamicGraphParser$1 = new $c_Lamf_plugins_document_graph_parser_DynamicGraphParser().init___sci_Map__Lamf_core_parser_ParserContext(this.nodes$1, $$outer.ctx$1);
    return this
  };
  parseLinkableProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, instance) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_LinkableElementModel$().TargetId$1.value$1.iri__T());
    let this$6;
    if (this$2.isEmpty__Z()) {
      this$6 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$5 = this.$$outer$1;
      const jsx$1 = entry.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$4 = $m_sc_IndexedSeq$();
      const bf = this$4.ReusableCBF$6;
      const map$1 = jsx$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.$$outer$1.ctx$1).head__O();
      const ctx = this.$$outer$1.ctx$1;
      this$6 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this$5, map$1, ctx)
    };
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const targetId = arg1$1;
      this.setLinkTarget__p1__Lamf_core_model_domain_DomainElement__T__O(instance, targetId)
    };
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1.value$1.iri__T());
    let this$17;
    if (this$8.isEmpty__Z()) {
      this$17 = $m_s_None$()
    } else {
      const arg1$2 = this$8.get__O();
      const entry$3 = arg1$2;
      const node = entry$3.value$1;
      const this$10 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$SeqNodeYRead$());
      let this$12;
      if (this$10.isEmpty__Z()) {
        this$12 = $m_s_None$()
      } else {
        const arg1$3 = this$10.get__O();
        const nodes = arg1$3;
        const node$1 = nodes.head__O();
        this$12 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$())
      };
      let this$14;
      if (this$12.isEmpty__Z()) {
        this$14 = $m_s_None$()
      } else {
        const arg1$4 = this$12.get__O();
        const map$2 = arg1$4;
        this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("@value")
      };
      if (this$14.isEmpty__Z()) {
        this$17 = $m_s_None$()
      } else {
        const arg1$5 = this$14.get__O();
        const x$2 = arg1$5;
        const node$2 = x$2.value$1;
        const this$16 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$2).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
        if (this$16.isEmpty__Z()) {
          this$17 = $m_s_None$()
        } else {
          const arg1$6 = this$16.get__O();
          const x$3 = arg1$6;
          this$17 = new $c_s_Some().init___O(x$3.text$3)
        }
      }
    };
    if ((!this$17.isEmpty__Z())) {
      const arg1$7 = this$17.get__O();
      const s = arg1$7;
      const this$18 = instance;
      const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$18, field, s)
    }
  };
}
const $is_Lamf_plugins_document_graph_parser_GraphParser$Parser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_graph_parser_GraphParser$Parser)))
});
const $isArrayOf_Lamf_plugins_document_graph_parser_GraphParser$Parser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_graph_parser_GraphParser$Parser)))
});
const $d_Lamf_plugins_document_graph_parser_GraphParser$Parser = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParser$Parser: 0
}, false, "amf.plugins.document.graph.parser.GraphParser$Parser", {
  Lamf_plugins_document_graph_parser_GraphParser$Parser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParser$Parser.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParser$Parser;
class $c_Lamf_plugins_document_vocabularies_core_ClassTermMap$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.name$3 = null;
    this.label$3 = null;
    this.default$3 = null;
    this.values$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "ClassTermMap", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_ClassTermMap$ = this;
    this.name$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("name", this.str$default$2__F1());
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("label", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$298 = arg1.name$1;
    const x$299 = arg1.range$1;
    const x$300 = arg1.unionTypes$1;
    const x$301 = arg1.collection$1;
    const x$302 = arg1.referenceTarget$1;
    const x$303 = arg1.noRAML$1;
    const x$304 = arg1.noLastSegmentTrimInMaps$1;
    const x$305 = arg1.hash$1;
    const x$306 = arg1.hashValue$1;
    const x$307 = arg1.fromVal$1;
    const x$308 = arg1.isDeclaration$1;
    const x$309 = arg1.isDocumentDeclaration$1;
    const x$310 = arg1.namespace$1;
    const x$311 = arg1.rdfName$1;
    const x$312 = arg1.jsonld$1;
    const x$313 = arg1.owningNode$1;
    const x$314 = arg1.scalaNameOverride$1;
    const x$315 = arg1.allowInplace$1;
    const x$316 = arg1.pattern$1;
    const x$317 = arg1.enum$1;
    const x$318 = arg1.minimum$1;
    const x$319 = arg1.maximum$1;
    const x$320 = arg1.defaultValue$1;
    this.label$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$298, x$299, x$300, true, x$301, x$302, x$303, x$304, x$305, x$306, x$307, x$308, x$309, x$310, x$311, x$312, x$313, x$314, x$315, x$316, x$317, x$318, x$319, x$320));
    this.default$3 = this.ref__T__Lamf_plugins_document_vocabularies_spec_DialectNode__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("default", $m_Lamf_plugins_document_vocabularies_core_ClassTerm$(), this.ref$default$3__F1());
    const hash = $m_Lamf_plugins_document_vocabularies_core_ClassTermRef$().name$3;
    const node = $m_Lamf_plugins_document_vocabularies_core_ClassTermRef$();
    const x$83 = new $c_s_Some().init___O(hash);
    const x$84 = $m_s_None$();
    const x$87 = $m_s_None$();
    const x$90 = $m_s_None$();
    const x$94 = $m_s_None$();
    const x$95 = $m_s_None$();
    const x$97 = $m_s_None$();
    const x$98 = $m_s_None$();
    const x$100 = $m_s_None$();
    const x$101 = $m_s_None$();
    const x$102 = $m_s_None$();
    const x$103 = $m_s_None$();
    const x$104 = $m_s_None$();
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("values", node, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104);
    const x$322 = arg1$1.name$1;
    const x$323 = arg1$1.range$1;
    const x$324 = arg1$1.unionTypes$1;
    const x$325 = arg1$1.collection$1;
    const x$326 = arg1$1.referenceTarget$1;
    const x$327 = arg1$1.noRAML$1;
    const x$328 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$329 = arg1$1.hash$1;
    const x$330 = arg1$1.hashValue$1;
    const x$331 = arg1$1.fromVal$1;
    const x$332 = arg1$1.isDeclaration$1;
    const x$333 = arg1$1.isDocumentDeclaration$1;
    const x$334 = arg1$1.namespace$1;
    const x$335 = arg1$1.rdfName$1;
    const x$336 = arg1$1.jsonld$1;
    const x$337 = arg1$1.owningNode$1;
    const x$338 = arg1$1.scalaNameOverride$1;
    const x$339 = arg1$1.allowInplace$1;
    const x$340 = arg1$1.pattern$1;
    const x$341 = arg1$1.enum$1;
    const x$342 = arg1$1.minimum$1;
    const x$343 = arg1$1.maximum$1;
    const x$344 = arg1$1.defaultValue$1;
    this.values$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$322, x$323, x$324, true, x$325, x$326, x$327, x$328, x$329, x$330, x$331, x$332, x$333, x$334, x$335, x$336, x$337, x$338, x$339, x$340, x$341, x$342, x$343, x$344));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_ClassTermMap$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_ClassTermMap$: 0
}, false, "amf.plugins.document.vocabularies.core.ClassTermMap$", {
  Lamf_plugins_document_vocabularies_core_ClassTermMap$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_ClassTermMap$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_ClassTermMap$;
let $n_Lamf_plugins_document_vocabularies_core_ClassTermMap$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_ClassTermMap$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_ClassTermMap$)) {
    $n_Lamf_plugins_document_vocabularies_core_ClassTermMap$ = new $c_Lamf_plugins_document_vocabularies_core_ClassTermMap$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_ClassTermMap$
});
class $c_Lamf_plugins_document_vocabularies_core_ClassTermRef$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.name$3 = null;
    this.value$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "ClassTermRef", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_ClassTermRef$ = this;
    this.name$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("name", this.str$default$2__F1());
    const dialectNode = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
    const x$58 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59 = new $c_s_Some().init___O(dialectNode);
    const x$60 = $m_s_None$();
    const x$65 = $m_s_None$();
    const x$66 = $m_s_None$();
    const x$70 = $m_s_None$();
    const x$71 = $m_s_None$();
    const x$73 = $m_s_None$();
    const x$74 = $m_s_None$();
    const x$76 = $m_s_None$();
    const x$77 = $m_s_None$();
    const x$78 = $m_s_None$();
    const x$79 = $m_s_None$();
    const x$80 = $m_s_None$();
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("value", x$58, x$60, false, false, x$59, false, false, x$65, x$66, false, false, false, x$70, x$71, true, x$73, x$74, false, x$76, x$77, x$78, x$79, x$80);
    const x$274 = arg1.name$1;
    const x$275 = arg1.range$1;
    const x$276 = arg1.unionTypes$1;
    const x$277 = arg1.required$1;
    const x$278 = arg1.collection$1;
    const x$279 = arg1.referenceTarget$1;
    const x$280 = arg1.noRAML$1;
    const x$281 = arg1.noLastSegmentTrimInMaps$1;
    const x$282 = arg1.hash$1;
    const x$283 = arg1.hashValue$1;
    const x$284 = arg1.isDeclaration$1;
    const x$285 = arg1.isDocumentDeclaration$1;
    const x$286 = arg1.namespace$1;
    const x$287 = arg1.rdfName$1;
    const x$288 = arg1.jsonld$1;
    const x$289 = arg1.owningNode$1;
    const x$290 = arg1.scalaNameOverride$1;
    const x$291 = arg1.allowInplace$1;
    const x$292 = arg1.pattern$1;
    const x$293 = arg1.enum$1;
    const x$294 = arg1.minimum$1;
    const x$295 = arg1.maximum$1;
    const x$296 = arg1.defaultValue$1;
    this.value$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$274, x$275, x$276, x$277, x$278, x$279, x$280, x$281, x$282, x$283, true, x$284, x$285, x$286, x$287, x$288, x$289, x$290, x$291, x$292, x$293, x$294, x$295, x$296));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_ClassTermRef$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_ClassTermRef$: 0
}, false, "amf.plugins.document.vocabularies.core.ClassTermRef$", {
  Lamf_plugins_document_vocabularies_core_ClassTermRef$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_ClassTermRef$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_ClassTermRef$;
let $n_Lamf_plugins_document_vocabularies_core_ClassTermRef$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_ClassTermRef$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_ClassTermRef$)) {
    $n_Lamf_plugins_document_vocabularies_core_ClassTermRef$ = new $c_Lamf_plugins_document_vocabularies_core_ClassTermRef$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_ClassTermRef$
});
class $c_Lamf_plugins_document_vocabularies_core_DialectDefinition$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.dialectProperty$3 = null;
    this.version$3 = null;
    this.usage$3 = null;
    this.vocabularies$3 = null;
    this.externals$3 = null;
    this.nodeMappings$3 = null;
    this.raml$3 = null;
    this.uses$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "dialect", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_DialectDefinition$ = this;
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("dialect", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$513 = new $c_s_Some().init___O("dialectProperty");
    const x$514 = arg1.name$1;
    const x$515 = arg1.range$1;
    const x$516 = arg1.unionTypes$1;
    const x$517 = arg1.required$1;
    const x$518 = arg1.collection$1;
    const x$519 = arg1.referenceTarget$1;
    const x$520 = arg1.noRAML$1;
    const x$521 = arg1.noLastSegmentTrimInMaps$1;
    const x$522 = arg1.hash$1;
    const x$523 = arg1.hashValue$1;
    const x$524 = arg1.fromVal$1;
    const x$525 = arg1.isDeclaration$1;
    const x$526 = arg1.isDocumentDeclaration$1;
    const x$527 = arg1.namespace$1;
    const x$528 = arg1.rdfName$1;
    const x$529 = arg1.jsonld$1;
    const x$530 = arg1.owningNode$1;
    const x$531 = arg1.allowInplace$1;
    const x$532 = arg1.pattern$1;
    const x$533 = arg1.enum$1;
    const x$534 = arg1.minimum$1;
    const x$535 = arg1.maximum$1;
    const x$536 = arg1.defaultValue$1;
    this.dialectProperty$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$514, x$515, x$516, x$517, x$518, x$519, x$520, x$521, x$522, x$523, x$524, x$525, x$526, x$527, x$528, x$529, x$530, x$513, x$531, x$532, x$533, x$534, x$535, x$536));
    this.version$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("version", this.str$default$2__F1());
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("usage", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$537 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$538 = new $c_s_Some().init___O("description");
    const x$539 = arg1$1.name$1;
    const x$540 = arg1$1.range$1;
    const x$541 = arg1$1.unionTypes$1;
    const x$542 = arg1$1.required$1;
    const x$543 = arg1$1.collection$1;
    const x$544 = arg1$1.referenceTarget$1;
    const x$545 = arg1$1.noRAML$1;
    const x$546 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$547 = arg1$1.hash$1;
    const x$548 = arg1$1.hashValue$1;
    const x$549 = arg1$1.fromVal$1;
    const x$550 = arg1$1.isDeclaration$1;
    const x$551 = arg1$1.isDocumentDeclaration$1;
    const x$552 = arg1$1.jsonld$1;
    const x$553 = arg1$1.owningNode$1;
    const x$554 = arg1$1.scalaNameOverride$1;
    const x$555 = arg1$1.allowInplace$1;
    const x$556 = arg1$1.pattern$1;
    const x$557 = arg1$1.enum$1;
    const x$558 = arg1$1.minimum$1;
    const x$559 = arg1$1.maximum$1;
    const x$560 = arg1$1.defaultValue$1;
    this.usage$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$539, x$540, x$541, x$542, x$543, x$544, x$545, x$546, x$547, x$548, x$549, x$550, x$551, x$537, x$538, x$552, x$553, x$554, x$555, x$556, x$557, x$558, x$559, x$560));
    this.vocabularies$3 = this.map__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectNode__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("vocabularies", $m_Lamf_plugins_document_vocabularies_core_External$().name$3, $m_Lamf_plugins_document_vocabularies_core_External$(), this.map$default$4__F1());
    const hash = $m_Lamf_plugins_document_vocabularies_core_External$().name$3;
    const node = $m_Lamf_plugins_document_vocabularies_core_External$();
    const x$83 = new $c_s_Some().init___O(hash);
    const x$84 = $m_s_None$();
    const x$87 = $m_s_None$();
    const x$90 = $m_s_None$();
    const x$94 = $m_s_None$();
    const x$95 = $m_s_None$();
    const x$97 = $m_s_None$();
    const x$98 = $m_s_None$();
    const x$100 = $m_s_None$();
    const x$101 = $m_s_None$();
    const x$102 = $m_s_None$();
    const x$103 = $m_s_None$();
    const x$104 = $m_s_None$();
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("external", node, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104);
    const x$561 = new $c_s_Some().init___O("externals");
    const x$562 = arg1$2.name$1;
    const x$563 = arg1$2.range$1;
    const x$564 = arg1$2.unionTypes$1;
    const x$565 = arg1$2.required$1;
    const x$566 = arg1$2.collection$1;
    const x$567 = arg1$2.referenceTarget$1;
    const x$568 = arg1$2.noRAML$1;
    const x$569 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$570 = arg1$2.hash$1;
    const x$571 = arg1$2.hashValue$1;
    const x$572 = arg1$2.fromVal$1;
    const x$573 = arg1$2.isDeclaration$1;
    const x$574 = arg1$2.isDocumentDeclaration$1;
    const x$575 = arg1$2.namespace$1;
    const x$576 = arg1$2.rdfName$1;
    const x$577 = arg1$2.jsonld$1;
    const x$578 = arg1$2.owningNode$1;
    const x$579 = arg1$2.allowInplace$1;
    const x$580 = arg1$2.pattern$1;
    const x$581 = arg1$2.enum$1;
    const x$582 = arg1$2.minimum$1;
    const x$583 = arg1$2.maximum$1;
    const x$584 = arg1$2.defaultValue$1;
    this.externals$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$562, x$563, x$564, x$565, x$566, x$567, x$568, x$569, x$570, x$571, x$572, x$573, x$574, x$575, x$576, x$577, x$578, x$561, x$579, x$580, x$581, x$582, x$583, x$584));
    const hash$1 = $m_Lamf_plugins_document_vocabularies_core_NodeDefinition$().name$3;
    const node$1 = $m_Lamf_plugins_document_vocabularies_core_NodeDefinition$();
    const x$83$1 = new $c_s_Some().init___O(hash$1);
    const x$84$1 = $m_s_None$();
    const x$87$1 = $m_s_None$();
    const x$90$1 = $m_s_None$();
    const x$94$1 = $m_s_None$();
    const x$95$1 = $m_s_None$();
    const x$97$1 = $m_s_None$();
    const x$98$1 = $m_s_None$();
    const x$100$1 = $m_s_None$();
    const x$101$1 = $m_s_None$();
    const x$102$1 = $m_s_None$();
    const x$103$1 = $m_s_None$();
    const x$104$1 = $m_s_None$();
    const arg1$3 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("nodeMappings", node$1, x$84$1, false, false, x$87$1, false, false, x$83$1, x$90$1, false, false, false, x$94$1, x$95$1, true, x$97$1, x$98$1, false, x$100$1, x$101$1, x$102$1, x$103$1, x$104$1);
    const x$586 = arg1$3.name$1;
    const x$587 = arg1$3.range$1;
    const x$588 = arg1$3.unionTypes$1;
    const x$589 = arg1$3.required$1;
    const x$590 = arg1$3.collection$1;
    const x$591 = arg1$3.referenceTarget$1;
    const x$592 = arg1$3.noRAML$1;
    const x$593 = arg1$3.noLastSegmentTrimInMaps$1;
    const x$594 = arg1$3.hash$1;
    const x$595 = arg1$3.hashValue$1;
    const x$596 = arg1$3.fromVal$1;
    const x$597 = arg1$3.isDocumentDeclaration$1;
    const x$598 = arg1$3.namespace$1;
    const x$599 = arg1$3.rdfName$1;
    const x$600 = arg1$3.jsonld$1;
    const x$601 = arg1$3.owningNode$1;
    const x$602 = arg1$3.scalaNameOverride$1;
    const x$603 = arg1$3.allowInplace$1;
    const x$604 = arg1$3.pattern$1;
    const x$605 = arg1$3.enum$1;
    const x$606 = arg1$3.minimum$1;
    const x$607 = arg1$3.maximum$1;
    const x$608 = arg1$3.defaultValue$1;
    this.nodeMappings$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$586, x$587, x$588, x$589, x$590, x$591, x$592, x$593, x$594, x$595, x$596, true, x$597, x$598, x$599, x$600, x$601, x$602, x$603, x$604, x$605, x$606, x$607, x$608));
    const dialectNode = $m_Lamf_plugins_document_vocabularies_core_MainNode$();
    const arg1$4 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("raml", dialectNode, $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$610 = arg1$4.name$1;
    const x$611 = arg1$4.range$1;
    const x$612 = arg1$4.unionTypes$1;
    const x$613 = arg1$4.collection$1;
    const x$614 = arg1$4.referenceTarget$1;
    const x$615 = arg1$4.noRAML$1;
    const x$616 = arg1$4.noLastSegmentTrimInMaps$1;
    const x$617 = arg1$4.hash$1;
    const x$618 = arg1$4.hashValue$1;
    const x$619 = arg1$4.fromVal$1;
    const x$620 = arg1$4.isDeclaration$1;
    const x$621 = arg1$4.isDocumentDeclaration$1;
    const x$622 = arg1$4.namespace$1;
    const x$623 = arg1$4.rdfName$1;
    const x$624 = arg1$4.jsonld$1;
    const x$625 = arg1$4.owningNode$1;
    const x$626 = arg1$4.scalaNameOverride$1;
    const x$627 = arg1$4.allowInplace$1;
    const x$628 = arg1$4.pattern$1;
    const x$629 = arg1$4.enum$1;
    const x$630 = arg1$4.minimum$1;
    const x$631 = arg1$4.maximum$1;
    const x$632 = arg1$4.defaultValue$1;
    this.raml$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$610, x$611, x$612, true, x$613, x$614, x$615, x$616, x$617, x$618, x$619, x$620, x$621, x$622, x$623, x$624, x$625, x$626, x$627, x$628, x$629, x$630, x$631, x$632));
    const arg1$5 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("uses", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$635 = arg1$5.name$1;
    const x$636 = arg1$5.range$1;
    const x$637 = arg1$5.unionTypes$1;
    const x$638 = arg1$5.collection$1;
    const x$639 = arg1$5.referenceTarget$1;
    const x$640 = arg1$5.noRAML$1;
    const x$641 = arg1$5.noLastSegmentTrimInMaps$1;
    const x$642 = arg1$5.hash$1;
    const x$643 = arg1$5.hashValue$1;
    const x$644 = arg1$5.fromVal$1;
    const x$645 = arg1$5.isDeclaration$1;
    const x$646 = arg1$5.isDocumentDeclaration$1;
    const x$647 = arg1$5.namespace$1;
    const x$648 = arg1$5.rdfName$1;
    const x$649 = arg1$5.owningNode$1;
    const x$650 = arg1$5.scalaNameOverride$1;
    const x$651 = arg1$5.allowInplace$1;
    const x$652 = arg1$5.pattern$1;
    const x$653 = arg1$5.enum$1;
    const x$654 = arg1$5.minimum$1;
    const x$655 = arg1$5.maximum$1;
    const x$656 = arg1$5.defaultValue$1;
    this.uses$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$635, x$636, x$637, false, x$638, x$639, x$640, x$641, x$642, x$643, x$644, x$645, x$646, x$647, x$648, false, x$649, x$650, x$651, x$652, x$653, x$654, x$655, x$656));
    const localNameProvider = new $c_Lamf_plugins_document_vocabularies_core_DialectDefinition$$$Lambda$1().init___O((function(this$7$1) {
      return (function(x$27$2) {
        const x$27 = x$27$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$7$1.externals$3, this$7$1.vocabularies$3]);
        const this$79 = $m_sci_List$();
        const cbf = this$79.ReusableCBFInstance$2;
        return new $c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider().init___Lamf_core_model_document_BaseUnit__sci_List(x$27, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
      })
    })(this));
    this.nameProvider$1 = new $c_s_Some().init___O(localNameProvider);
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectDefinition$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectDefinition$: 0
}, false, "amf.plugins.document.vocabularies.core.DialectDefinition$", {
  Lamf_plugins_document_vocabularies_core_DialectDefinition$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectDefinition$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectDefinition$;
let $n_Lamf_plugins_document_vocabularies_core_DialectDefinition$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_DialectDefinition$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_DialectDefinition$)) {
    $n_Lamf_plugins_document_vocabularies_core_DialectDefinition$ = new $c_Lamf_plugins_document_vocabularies_core_DialectDefinition$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_DialectDefinition$
});
class $c_Lamf_plugins_document_vocabularies_core_DialectLoader$$anon$1 extends $c_O {
  constructor() {
    super();
    this.b2id$1 = null;
    this.id2b$1 = null;
    this.id2t$1 = null;
    this.referencedDocuments$1 = null
  };
  resolveRef__T__s_Option(ref) {
    return $m_s_None$()
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2b$und$eq__scm_HashMap__V(x$1) {
    this.id2b$1 = x$1
  };
  localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(refValue, property) {
    return $f_Lamf_plugins_document_vocabularies_spec_Builtins__localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(this, refValue, property)
  };
  b2id__scm_HashMap() {
    return this.b2id$1
  };
  id2b__scm_HashMap() {
    return this.id2b$1
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2t$und$eq__scm_HashMap__V(x$1) {
    this.id2t$1 = x$1
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$b2id$und$eq__scm_HashMap__V(x$1) {
    this.b2id$1 = x$1
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$referencedDocuments$und$eq__sci_Map__V(x$1) {
    this.referencedDocuments$1 = x$1
  };
  init___Lamf_plugins_document_vocabularies_core_DialectLoader($$outer) {
    $f_Lamf_plugins_document_vocabularies_spec_Builtins__$$init$__V(this);
    $f_Lamf_plugins_document_vocabularies_spec_TypeBuiltins__$$init$__V(this);
    return this
  };
  resolveToEntity__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    return $m_s_None$()
  };
  id2t__scm_HashMap() {
    return this.id2t$1
  };
  resolve__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    return this.b2id$1.get__O__s_Option(name)
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectLoader$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectLoader$$anon$1: 0
}, false, "amf.plugins.document.vocabularies.core.DialectLoader$$anon$1", {
  Lamf_plugins_document_vocabularies_core_DialectLoader$$anon$1: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_TypeBuiltins: 1,
  Lamf_plugins_document_vocabularies_spec_Builtins: 1,
  Lamf_plugins_document_vocabularies_spec_LocalNameProvider: 1,
  Lamf_plugins_document_vocabularies_spec_ReferenceResolver: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectLoader$$anon$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectLoader$$anon$1;
class $c_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.usage$3 = null;
    this.vocabularies$3 = null;
    this.externals$3 = null;
    this.nodeMappings$3 = null;
    this.uses$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "module", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$ = this;
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("usage", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$657 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$658 = new $c_s_Some().init___O("description");
    const x$659 = arg1.name$1;
    const x$660 = arg1.range$1;
    const x$661 = arg1.unionTypes$1;
    const x$662 = arg1.required$1;
    const x$663 = arg1.collection$1;
    const x$664 = arg1.referenceTarget$1;
    const x$665 = arg1.noRAML$1;
    const x$666 = arg1.noLastSegmentTrimInMaps$1;
    const x$667 = arg1.hash$1;
    const x$668 = arg1.hashValue$1;
    const x$669 = arg1.fromVal$1;
    const x$670 = arg1.isDeclaration$1;
    const x$671 = arg1.isDocumentDeclaration$1;
    const x$672 = arg1.jsonld$1;
    const x$673 = arg1.owningNode$1;
    const x$674 = arg1.scalaNameOverride$1;
    const x$675 = arg1.allowInplace$1;
    const x$676 = arg1.pattern$1;
    const x$677 = arg1.enum$1;
    const x$678 = arg1.minimum$1;
    const x$679 = arg1.maximum$1;
    const x$680 = arg1.defaultValue$1;
    this.usage$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$659, x$660, x$661, x$662, x$663, x$664, x$665, x$666, x$667, x$668, x$669, x$670, x$671, x$657, x$658, x$672, x$673, x$674, x$675, x$676, x$677, x$678, x$679, x$680));
    this.vocabularies$3 = this.map__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectNode__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("vocabularies", $m_Lamf_plugins_document_vocabularies_core_External$().name$3, $m_Lamf_plugins_document_vocabularies_core_External$(), this.map$default$4__F1());
    const hash = $m_Lamf_plugins_document_vocabularies_core_External$().name$3;
    const node = $m_Lamf_plugins_document_vocabularies_core_External$();
    const x$83 = new $c_s_Some().init___O(hash);
    const x$84 = $m_s_None$();
    const x$87 = $m_s_None$();
    const x$90 = $m_s_None$();
    const x$94 = $m_s_None$();
    const x$95 = $m_s_None$();
    const x$97 = $m_s_None$();
    const x$98 = $m_s_None$();
    const x$100 = $m_s_None$();
    const x$101 = $m_s_None$();
    const x$102 = $m_s_None$();
    const x$103 = $m_s_None$();
    const x$104 = $m_s_None$();
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("external", node, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104);
    const x$681 = new $c_s_Some().init___O("externals");
    const x$682 = arg1$1.name$1;
    const x$683 = arg1$1.range$1;
    const x$684 = arg1$1.unionTypes$1;
    const x$685 = arg1$1.required$1;
    const x$686 = arg1$1.collection$1;
    const x$687 = arg1$1.referenceTarget$1;
    const x$688 = arg1$1.noRAML$1;
    const x$689 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$690 = arg1$1.hash$1;
    const x$691 = arg1$1.hashValue$1;
    const x$692 = arg1$1.fromVal$1;
    const x$693 = arg1$1.isDeclaration$1;
    const x$694 = arg1$1.isDocumentDeclaration$1;
    const x$695 = arg1$1.namespace$1;
    const x$696 = arg1$1.rdfName$1;
    const x$697 = arg1$1.jsonld$1;
    const x$698 = arg1$1.owningNode$1;
    const x$699 = arg1$1.allowInplace$1;
    const x$700 = arg1$1.pattern$1;
    const x$701 = arg1$1.enum$1;
    const x$702 = arg1$1.minimum$1;
    const x$703 = arg1$1.maximum$1;
    const x$704 = arg1$1.defaultValue$1;
    this.externals$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$682, x$683, x$684, x$685, x$686, x$687, x$688, x$689, x$690, x$691, x$692, x$693, x$694, x$695, x$696, x$697, x$698, x$681, x$699, x$700, x$701, x$702, x$703, x$704));
    const hash$1 = $m_Lamf_plugins_document_vocabularies_core_NodeDefinition$().name$3;
    const node$1 = $m_Lamf_plugins_document_vocabularies_core_NodeDefinition$();
    const x$83$1 = new $c_s_Some().init___O(hash$1);
    const x$84$1 = $m_s_None$();
    const x$87$1 = $m_s_None$();
    const x$90$1 = $m_s_None$();
    const x$94$1 = $m_s_None$();
    const x$95$1 = $m_s_None$();
    const x$97$1 = $m_s_None$();
    const x$98$1 = $m_s_None$();
    const x$100$1 = $m_s_None$();
    const x$101$1 = $m_s_None$();
    const x$102$1 = $m_s_None$();
    const x$103$1 = $m_s_None$();
    const x$104$1 = $m_s_None$();
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("nodeMappings", node$1, x$84$1, false, false, x$87$1, false, false, x$83$1, x$90$1, false, false, false, x$94$1, x$95$1, true, x$97$1, x$98$1, false, x$100$1, x$101$1, x$102$1, x$103$1, x$104$1);
    const x$706 = arg1$2.name$1;
    const x$707 = arg1$2.range$1;
    const x$708 = arg1$2.unionTypes$1;
    const x$709 = arg1$2.required$1;
    const x$710 = arg1$2.collection$1;
    const x$711 = arg1$2.referenceTarget$1;
    const x$712 = arg1$2.noRAML$1;
    const x$713 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$714 = arg1$2.hash$1;
    const x$715 = arg1$2.hashValue$1;
    const x$716 = arg1$2.fromVal$1;
    const x$717 = arg1$2.isDocumentDeclaration$1;
    const x$718 = arg1$2.namespace$1;
    const x$719 = arg1$2.rdfName$1;
    const x$720 = arg1$2.jsonld$1;
    const x$721 = arg1$2.owningNode$1;
    const x$722 = arg1$2.scalaNameOverride$1;
    const x$723 = arg1$2.allowInplace$1;
    const x$724 = arg1$2.pattern$1;
    const x$725 = arg1$2.enum$1;
    const x$726 = arg1$2.minimum$1;
    const x$727 = arg1$2.maximum$1;
    const x$728 = arg1$2.defaultValue$1;
    this.nodeMappings$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$706, x$707, x$708, x$709, x$710, x$711, x$712, x$713, x$714, x$715, x$716, true, x$717, x$718, x$719, x$720, x$721, x$722, x$723, x$724, x$725, x$726, x$727, x$728));
    const arg1$3 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("uses", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$731 = arg1$3.name$1;
    const x$732 = arg1$3.range$1;
    const x$733 = arg1$3.unionTypes$1;
    const x$734 = arg1$3.collection$1;
    const x$735 = arg1$3.referenceTarget$1;
    const x$736 = arg1$3.noRAML$1;
    const x$737 = arg1$3.noLastSegmentTrimInMaps$1;
    const x$738 = arg1$3.hash$1;
    const x$739 = arg1$3.hashValue$1;
    const x$740 = arg1$3.fromVal$1;
    const x$741 = arg1$3.isDeclaration$1;
    const x$742 = arg1$3.isDocumentDeclaration$1;
    const x$743 = arg1$3.namespace$1;
    const x$744 = arg1$3.rdfName$1;
    const x$745 = arg1$3.owningNode$1;
    const x$746 = arg1$3.scalaNameOverride$1;
    const x$747 = arg1$3.allowInplace$1;
    const x$748 = arg1$3.pattern$1;
    const x$749 = arg1$3.enum$1;
    const x$750 = arg1$3.minimum$1;
    const x$751 = arg1$3.maximum$1;
    const x$752 = arg1$3.defaultValue$1;
    this.uses$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$731, x$732, x$733, false, x$734, x$735, x$736, x$737, x$738, x$739, x$740, x$741, x$742, x$743, x$744, false, x$745, x$746, x$747, x$748, x$749, x$750, x$751, x$752));
    const localNameProvider = new $c_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$$$Lambda$1().init___O((function(this$5$1) {
      return (function(x$32$2) {
        const x$32 = x$32$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$5$1.externals$3, this$5$1.vocabularies$3]);
        const this$53 = $m_sci_List$();
        const cbf = this$53.ReusableCBFInstance$2;
        return new $c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider().init___Lamf_core_model_document_BaseUnit__sci_List(x$32, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
      })
    })(this));
    this.nameProvider$1 = new $c_s_Some().init___O(localNameProvider);
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$: 0
}, false, "amf.plugins.document.vocabularies.core.DialectModuleDefinition$", {
  Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$;
let $n_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$)) {
    $n_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$ = new $c_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$
});
class $c_Lamf_plugins_document_vocabularies_core_DocumentEncode$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.declares$3 = null;
    this.encodes$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "DocumentContentDeclaration", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_DocumentEncode$ = this;
    this.declares$3 = this.refMap__T__Z__Z__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("declares", true, false);
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("encodes", $m_Lamf_core_metamodel_Type$Iri$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$417 = new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_NodeDefinition$());
    const x$420 = arg1.name$1;
    const x$421 = arg1.range$1;
    const x$422 = arg1.unionTypes$1;
    const x$423 = arg1.collection$1;
    const x$424 = arg1.noRAML$1;
    const x$425 = arg1.noLastSegmentTrimInMaps$1;
    const x$426 = arg1.hash$1;
    const x$427 = arg1.hashValue$1;
    const x$428 = arg1.fromVal$1;
    const x$429 = arg1.isDeclaration$1;
    const x$430 = arg1.isDocumentDeclaration$1;
    const x$431 = arg1.namespace$1;
    const x$432 = arg1.rdfName$1;
    const x$433 = arg1.jsonld$1;
    const x$434 = arg1.owningNode$1;
    const x$435 = arg1.scalaNameOverride$1;
    const x$436 = arg1.pattern$1;
    const x$437 = arg1.enum$1;
    const x$438 = arg1.minimum$1;
    const x$439 = arg1.maximum$1;
    const x$440 = arg1.defaultValue$1;
    this.encodes$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$420, x$421, x$422, true, x$423, x$417, x$424, x$425, x$426, x$427, x$428, x$429, x$430, x$431, x$432, x$433, x$434, x$435, true, x$436, x$437, x$438, x$439, x$440));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DocumentEncode$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DocumentEncode$: 0
}, false, "amf.plugins.document.vocabularies.core.DocumentEncode$", {
  Lamf_plugins_document_vocabularies_core_DocumentEncode$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_DocumentEncode$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DocumentEncode$;
let $n_Lamf_plugins_document_vocabularies_core_DocumentEncode$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_DocumentEncode$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_DocumentEncode$)) {
    $n_Lamf_plugins_document_vocabularies_core_DocumentEncode$ = new $c_Lamf_plugins_document_vocabularies_core_DocumentEncode$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_DocumentEncode$
});
class $c_Lamf_plugins_document_vocabularies_core_External$ extends $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect {
  constructor() {
    super();
    this.name$3 = null;
    this.uri$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "External", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_External$ = this;
    this.name$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("name", this.str$default$2__F1());
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("uri", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$313 = arg1.name$1;
    const x$314 = arg1.range$1;
    const x$315 = arg1.unionTypes$1;
    const x$316 = arg1.required$1;
    const x$317 = arg1.collection$1;
    const x$318 = arg1.referenceTarget$1;
    const x$319 = arg1.noRAML$1;
    const x$320 = arg1.noLastSegmentTrimInMaps$1;
    const x$321 = arg1.hash$1;
    const x$322 = arg1.hashValue$1;
    const x$323 = arg1.isDeclaration$1;
    const x$324 = arg1.isDocumentDeclaration$1;
    const x$325 = arg1.namespace$1;
    const x$326 = arg1.rdfName$1;
    const x$327 = arg1.jsonld$1;
    const x$328 = arg1.owningNode$1;
    const x$329 = arg1.scalaNameOverride$1;
    const x$330 = arg1.allowInplace$1;
    const x$331 = arg1.pattern$1;
    const x$332 = arg1.enum$1;
    const x$333 = arg1.minimum$1;
    const x$334 = arg1.maximum$1;
    const x$335 = arg1.defaultValue$1;
    this.uri$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$313, x$314, x$315, x$316, x$317, x$318, x$319, x$320, x$321, x$322, true, x$323, x$324, x$325, x$326, x$327, x$328, x$329, x$330, x$331, x$332, x$333, x$334, x$335));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_External$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_External$: 0
}, false, "amf.plugins.document.vocabularies.core.External$", {
  Lamf_plugins_document_vocabularies_core_External$: 1,
  Lamf_plugins_document_vocabularies_core_VocabPartDialect: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_External$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_External$;
let $n_Lamf_plugins_document_vocabularies_core_External$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_External$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_External$)) {
    $n_Lamf_plugins_document_vocabularies_core_External$ = new $c_Lamf_plugins_document_vocabularies_core_External$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_External$
});
class $c_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.encodes$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "FragmentsDeclaration", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$ = this;
    this.encodes$3 = this.refMap__T__Z__Z__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("encodes", false, true);
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_FragmentDeclaration$: 0
}, false, "amf.plugins.document.vocabularies.core.FragmentDeclaration$", {
  Lamf_plugins_document_vocabularies_core_FragmentDeclaration$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$;
let $n_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$)) {
    $n_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$ = new $c_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$
});
class $c_Lamf_plugins_document_vocabularies_core_MainNode$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.document$3 = null;
    this.module$3 = null;
    this.fragment$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "Document", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_MainNode$ = this;
    const dialectNode = $m_Lamf_plugins_document_vocabularies_core_DocumentEncode$();
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("document", dialectNode, $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$442 = arg1.name$1;
    const x$443 = arg1.range$1;
    const x$444 = arg1.unionTypes$1;
    const x$445 = arg1.collection$1;
    const x$446 = arg1.referenceTarget$1;
    const x$447 = arg1.noRAML$1;
    const x$448 = arg1.noLastSegmentTrimInMaps$1;
    const x$449 = arg1.hash$1;
    const x$450 = arg1.hashValue$1;
    const x$451 = arg1.fromVal$1;
    const x$452 = arg1.isDeclaration$1;
    const x$453 = arg1.isDocumentDeclaration$1;
    const x$454 = arg1.namespace$1;
    const x$455 = arg1.rdfName$1;
    const x$456 = arg1.jsonld$1;
    const x$457 = arg1.owningNode$1;
    const x$458 = arg1.scalaNameOverride$1;
    const x$459 = arg1.allowInplace$1;
    const x$460 = arg1.pattern$1;
    const x$461 = arg1.enum$1;
    const x$462 = arg1.minimum$1;
    const x$463 = arg1.maximum$1;
    const x$464 = arg1.defaultValue$1;
    this.document$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$442, x$443, x$444, true, x$445, x$446, x$447, x$448, x$449, x$450, x$451, x$452, x$453, x$454, x$455, x$456, x$457, x$458, x$459, x$460, x$461, x$462, x$463, x$464));
    const dialectNode$1 = $m_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$();
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("module", dialectNode$1, $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$466 = arg1$1.name$1;
    const x$467 = arg1$1.range$1;
    const x$468 = arg1$1.unionTypes$1;
    const x$469 = arg1$1.collection$1;
    const x$470 = arg1$1.referenceTarget$1;
    const x$471 = arg1$1.noRAML$1;
    const x$472 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$473 = arg1$1.hash$1;
    const x$474 = arg1$1.hashValue$1;
    const x$475 = arg1$1.fromVal$1;
    const x$476 = arg1$1.isDeclaration$1;
    const x$477 = arg1$1.isDocumentDeclaration$1;
    const x$478 = arg1$1.namespace$1;
    const x$479 = arg1$1.rdfName$1;
    const x$480 = arg1$1.jsonld$1;
    const x$481 = arg1$1.owningNode$1;
    const x$482 = arg1$1.scalaNameOverride$1;
    const x$483 = arg1$1.allowInplace$1;
    const x$484 = arg1$1.pattern$1;
    const x$485 = arg1$1.enum$1;
    const x$486 = arg1$1.minimum$1;
    const x$487 = arg1$1.maximum$1;
    const x$488 = arg1$1.defaultValue$1;
    this.module$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$466, x$467, x$468, false, x$469, x$470, x$471, x$472, x$473, x$474, x$475, x$476, x$477, x$478, x$479, x$480, x$481, x$482, x$483, x$484, x$485, x$486, x$487, x$488));
    const dialectNode$2 = $m_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$();
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("fragments", dialectNode$2, $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$490 = new $c_s_Some().init___O("fragment");
    const x$491 = arg1$2.name$1;
    const x$492 = arg1$2.range$1;
    const x$493 = arg1$2.unionTypes$1;
    const x$494 = arg1$2.collection$1;
    const x$495 = arg1$2.referenceTarget$1;
    const x$496 = arg1$2.noRAML$1;
    const x$497 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$498 = arg1$2.hash$1;
    const x$499 = arg1$2.hashValue$1;
    const x$500 = arg1$2.fromVal$1;
    const x$501 = arg1$2.isDeclaration$1;
    const x$502 = arg1$2.isDocumentDeclaration$1;
    const x$503 = arg1$2.namespace$1;
    const x$504 = arg1$2.rdfName$1;
    const x$505 = arg1$2.jsonld$1;
    const x$506 = arg1$2.owningNode$1;
    const x$507 = arg1$2.allowInplace$1;
    const x$508 = arg1$2.pattern$1;
    const x$509 = arg1$2.enum$1;
    const x$510 = arg1$2.minimum$1;
    const x$511 = arg1$2.maximum$1;
    const x$512 = arg1$2.defaultValue$1;
    this.fragment$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$491, x$492, x$493, false, x$494, x$495, x$496, x$497, x$498, x$499, x$500, x$501, x$502, x$503, x$504, x$505, x$506, x$490, x$507, x$508, x$509, x$510, x$511, x$512));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_MainNode$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_MainNode$: 0
}, false, "amf.plugins.document.vocabularies.core.MainNode$", {
  Lamf_plugins_document_vocabularies_core_MainNode$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_MainNode$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_MainNode$;
let $n_Lamf_plugins_document_vocabularies_core_MainNode$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_MainNode$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_MainNode$)) {
    $n_Lamf_plugins_document_vocabularies_core_MainNode$ = new $c_Lamf_plugins_document_vocabularies_core_MainNode$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_MainNode$
});
class $c_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.declares$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "ModuleDeclaration", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$ = this;
    this.declares$3 = this.refMap__T__Z__Z__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("declares", true, true);
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_ModuleDeclaration$: 0
}, false, "amf.plugins.document.vocabularies.core.ModuleDeclaration$", {
  Lamf_plugins_document_vocabularies_core_ModuleDeclaration$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$;
let $n_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$)) {
    $n_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$ = new $c_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$
});
class $c_Lamf_plugins_document_vocabularies_core_NameSpaceImport$ extends $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect {
  constructor() {
    super();
    this.name$3 = null;
    this.uri$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "NameSpaceImport", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_NameSpaceImport$ = this;
    this.name$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("name", this.str$default$2__F1());
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("uri", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$337 = arg1.name$1;
    const x$338 = arg1.range$1;
    const x$339 = arg1.unionTypes$1;
    const x$340 = arg1.required$1;
    const x$341 = arg1.collection$1;
    const x$342 = arg1.referenceTarget$1;
    const x$343 = arg1.noRAML$1;
    const x$344 = arg1.noLastSegmentTrimInMaps$1;
    const x$345 = arg1.hash$1;
    const x$346 = arg1.hashValue$1;
    const x$347 = arg1.isDeclaration$1;
    const x$348 = arg1.isDocumentDeclaration$1;
    const x$349 = arg1.namespace$1;
    const x$350 = arg1.rdfName$1;
    const x$351 = arg1.jsonld$1;
    const x$352 = arg1.owningNode$1;
    const x$353 = arg1.scalaNameOverride$1;
    const x$354 = arg1.allowInplace$1;
    const x$355 = arg1.pattern$1;
    const x$356 = arg1.enum$1;
    const x$357 = arg1.minimum$1;
    const x$358 = arg1.maximum$1;
    const x$359 = arg1.defaultValue$1;
    this.uri$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$337, x$338, x$339, x$340, x$341, x$342, x$343, x$344, x$345, x$346, true, x$347, x$348, x$349, x$350, x$351, x$352, x$353, x$354, x$355, x$356, x$357, x$358, x$359));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_NameSpaceImport$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_NameSpaceImport$: 0
}, false, "amf.plugins.document.vocabularies.core.NameSpaceImport$", {
  Lamf_plugins_document_vocabularies_core_NameSpaceImport$: 1,
  Lamf_plugins_document_vocabularies_core_VocabPartDialect: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_NameSpaceImport$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_NameSpaceImport$;
let $n_Lamf_plugins_document_vocabularies_core_NameSpaceImport$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_NameSpaceImport$)) {
    $n_Lamf_plugins_document_vocabularies_core_NameSpaceImport$ = new $c_Lamf_plugins_document_vocabularies_core_NameSpaceImport$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_NameSpaceImport$
});
class $c_Lamf_plugins_document_vocabularies_core_NamespaceMap extends $c_O {
  constructor() {
    super();
    this.namespace$1 = null;
    this.name$1 = null
  };
  productPrefix__T() {
    return "NamespaceMap"
  };
  init___Lamf_core_vocabulary_Namespace__T(namespace, name) {
    this.namespace$1 = namespace;
    this.name$1 = name;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_core_NamespaceMap(x$1)) {
      const NamespaceMap$1 = x$1;
      const x = this.namespace$1;
      const x$2 = NamespaceMap$1.namespace$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.name$1 === NamespaceMap$1.name$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.namespace$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_core_NamespaceMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_core_NamespaceMap)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_core_NamespaceMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_core_NamespaceMap)))
});
const $d_Lamf_plugins_document_vocabularies_core_NamespaceMap = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_NamespaceMap: 0
}, false, "amf.plugins.document.vocabularies.core.NamespaceMap", {
  Lamf_plugins_document_vocabularies_core_NamespaceMap: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_NamespaceMap.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_NamespaceMap;
class $c_Lamf_plugins_document_vocabularies_core_NodeDefinition$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.name$3 = null;
    this.classTerm$3 = null;
    this.mapping$3 = null;
    this.classTermMap$3 = null;
    this.traitProperty$3 = null;
    this.keyProperty$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "NodeDefinition", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_NodeDefinition$ = this;
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("name", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$346 = arg1.name$1;
    const x$347 = arg1.range$1;
    const x$348 = arg1.unionTypes$1;
    const x$349 = arg1.required$1;
    const x$350 = arg1.collection$1;
    const x$351 = arg1.referenceTarget$1;
    const x$352 = arg1.noLastSegmentTrimInMaps$1;
    const x$353 = arg1.hash$1;
    const x$354 = arg1.hashValue$1;
    const x$355 = arg1.fromVal$1;
    const x$356 = arg1.isDeclaration$1;
    const x$357 = arg1.isDocumentDeclaration$1;
    const x$358 = arg1.namespace$1;
    const x$359 = arg1.rdfName$1;
    const x$360 = arg1.jsonld$1;
    const x$361 = arg1.owningNode$1;
    const x$362 = arg1.scalaNameOverride$1;
    const x$363 = arg1.allowInplace$1;
    const x$364 = arg1.pattern$1;
    const x$365 = arg1.enum$1;
    const x$366 = arg1.minimum$1;
    const x$367 = arg1.maximum$1;
    const x$368 = arg1.defaultValue$1;
    this.name$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$346, x$347, x$348, x$349, x$350, x$351, true, x$352, x$353, x$354, x$355, x$356, x$357, x$358, x$359, x$360, x$361, x$362, x$363, x$364, x$365, x$366, x$367, x$368));
    const dialectNode = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
    const x$58 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59 = new $c_s_Some().init___O(dialectNode);
    const x$60 = $m_s_None$();
    const x$65 = $m_s_None$();
    const x$66 = $m_s_None$();
    const x$70 = $m_s_None$();
    const x$71 = $m_s_None$();
    const x$73 = $m_s_None$();
    const x$74 = $m_s_None$();
    const x$76 = $m_s_None$();
    const x$77 = $m_s_None$();
    const x$78 = $m_s_None$();
    const x$79 = $m_s_None$();
    const x$80 = $m_s_None$();
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("classTerm", x$58, x$60, false, false, x$59, false, false, x$65, x$66, false, false, false, x$70, x$71, true, x$73, x$74, false, x$76, x$77, x$78, x$79, x$80);
    const x$370 = arg1$1.name$1;
    const x$371 = arg1$1.range$1;
    const x$372 = arg1$1.unionTypes$1;
    const x$373 = arg1$1.collection$1;
    const x$374 = arg1$1.referenceTarget$1;
    const x$375 = arg1$1.noRAML$1;
    const x$376 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$377 = arg1$1.hash$1;
    const x$378 = arg1$1.hashValue$1;
    const x$379 = arg1$1.fromVal$1;
    const x$380 = arg1$1.isDeclaration$1;
    const x$381 = arg1$1.isDocumentDeclaration$1;
    const x$382 = arg1$1.namespace$1;
    const x$383 = arg1$1.rdfName$1;
    const x$384 = arg1$1.jsonld$1;
    const x$385 = arg1$1.owningNode$1;
    const x$386 = arg1$1.scalaNameOverride$1;
    const x$387 = arg1$1.allowInplace$1;
    const x$388 = arg1$1.pattern$1;
    const x$389 = arg1$1.enum$1;
    const x$390 = arg1$1.minimum$1;
    const x$391 = arg1$1.maximum$1;
    const x$392 = arg1$1.defaultValue$1;
    this.classTerm$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$370, x$371, x$372, true, x$373, x$374, x$375, x$376, x$377, x$378, x$379, x$380, x$381, x$382, x$383, x$384, x$385, x$386, x$387, x$388, x$389, x$390, x$391, x$392));
    this.mapping$3 = this.map__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectNode__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("mapping", $m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().name$3, $m_Lamf_plugins_document_vocabularies_core_PropertyMapping$(), this.map$default$4__F1());
    this.classTermMap$3 = this.map__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectNode__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("classTermMap", $m_Lamf_plugins_document_vocabularies_core_ClassTermMap$().name$3, $m_Lamf_plugins_document_vocabularies_core_ClassTerm$(), this.map$default$4__F1());
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("is", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$393 = new $c_s_Some().init___O("traitProperty");
    const x$394 = arg1$2.name$1;
    const x$395 = arg1$2.range$1;
    const x$396 = arg1$2.unionTypes$1;
    const x$397 = arg1$2.required$1;
    const x$398 = arg1$2.collection$1;
    const x$399 = arg1$2.referenceTarget$1;
    const x$400 = arg1$2.noRAML$1;
    const x$401 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$402 = arg1$2.hash$1;
    const x$403 = arg1$2.hashValue$1;
    const x$404 = arg1$2.fromVal$1;
    const x$405 = arg1$2.isDeclaration$1;
    const x$406 = arg1$2.isDocumentDeclaration$1;
    const x$407 = arg1$2.namespace$1;
    const x$408 = arg1$2.rdfName$1;
    const x$409 = arg1$2.jsonld$1;
    const x$410 = arg1$2.owningNode$1;
    const x$411 = arg1$2.allowInplace$1;
    const x$412 = arg1$2.pattern$1;
    const x$413 = arg1$2.enum$1;
    const x$414 = arg1$2.minimum$1;
    const x$415 = arg1$2.maximum$1;
    const x$416 = arg1$2.defaultValue$1;
    this.traitProperty$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$394, x$395, x$396, x$397, x$398, x$399, x$400, x$401, x$402, x$403, x$404, x$405, x$406, x$407, x$408, x$409, x$410, x$393, x$411, x$412, x$413, x$414, x$415, x$416));
    this.keyProperty$3 = new $c_s_Some().init___O(this.name$3);
    return this
  };
  keyProperty__s_Option() {
    return this.keyProperty$3
  };
}
const $d_Lamf_plugins_document_vocabularies_core_NodeDefinition$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_NodeDefinition$: 0
}, false, "amf.plugins.document.vocabularies.core.NodeDefinition$", {
  Lamf_plugins_document_vocabularies_core_NodeDefinition$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_NodeDefinition$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_NodeDefinition$;
let $n_Lamf_plugins_document_vocabularies_core_NodeDefinition$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_NodeDefinition$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_NodeDefinition$)) {
    $n_Lamf_plugins_document_vocabularies_core_NodeDefinition$ = new $c_Lamf_plugins_document_vocabularies_core_NodeDefinition$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_NodeDefinition$
});
class $c_Lamf_plugins_document_vocabularies_core_NodeReference$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.idProperty$3 = null;
    this.uri$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "Declaration", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_NodeReference$ = this;
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("id", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$81 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$84 = new $c_s_Some().init___O("idProperty");
    const x$85 = arg1.name$1;
    const x$86 = arg1.range$1;
    const x$87 = arg1.unionTypes$1;
    const x$88 = arg1.required$1;
    const x$89 = arg1.collection$1;
    const x$90 = arg1.referenceTarget$1;
    const x$91 = arg1.noLastSegmentTrimInMaps$1;
    const x$92 = arg1.hash$1;
    const x$93 = arg1.hashValue$1;
    const x$94 = arg1.fromVal$1;
    const x$95 = arg1.isDeclaration$1;
    const x$96 = arg1.isDocumentDeclaration$1;
    const x$97 = arg1.rdfName$1;
    const x$98 = arg1.owningNode$1;
    const x$99 = arg1.allowInplace$1;
    const x$100 = arg1.pattern$1;
    const x$101 = arg1.enum$1;
    const x$102 = arg1.minimum$1;
    const x$103 = arg1.maximum$1;
    const x$104 = arg1.defaultValue$1;
    this.idProperty$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$85, x$86, x$87, x$88, x$89, x$90, true, x$91, x$92, x$93, x$94, x$95, x$96, x$81, x$97, false, x$98, x$84, x$99, x$100, x$101, x$102, x$103, x$104));
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("declaredNode", $m_Lamf_core_metamodel_Type$Iri$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$105 = new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_NodeDefinition$());
    const x$107 = new $c_s_Some().init___O("uri");
    const x$108 = arg1$1.name$1;
    const x$109 = arg1$1.range$1;
    const x$110 = arg1$1.unionTypes$1;
    const x$111 = arg1$1.required$1;
    const x$112 = arg1$1.collection$1;
    const x$113 = arg1$1.noRAML$1;
    const x$114 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$115 = arg1$1.hash$1;
    const x$116 = arg1$1.hashValue$1;
    const x$117 = arg1$1.isDeclaration$1;
    const x$118 = arg1$1.isDocumentDeclaration$1;
    const x$119 = arg1$1.namespace$1;
    const x$120 = arg1$1.rdfName$1;
    const x$121 = arg1$1.jsonld$1;
    const x$122 = arg1$1.owningNode$1;
    const x$123 = arg1$1.allowInplace$1;
    const x$124 = arg1$1.pattern$1;
    const x$125 = arg1$1.enum$1;
    const x$126 = arg1$1.minimum$1;
    const x$127 = arg1$1.maximum$1;
    const x$128 = arg1$1.defaultValue$1;
    this.uri$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$108, x$109, x$110, x$111, x$112, x$105, x$113, x$114, x$115, x$116, true, x$117, x$118, x$119, x$120, x$121, x$122, x$107, x$123, x$124, x$125, x$126, x$127, x$128));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_NodeReference$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_NodeReference$: 0
}, false, "amf.plugins.document.vocabularies.core.NodeReference$", {
  Lamf_plugins_document_vocabularies_core_NodeReference$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_NodeReference$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_NodeReference$;
let $n_Lamf_plugins_document_vocabularies_core_NodeReference$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_NodeReference$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_NodeReference$)) {
    $n_Lamf_plugins_document_vocabularies_core_NodeReference$ = new $c_Lamf_plugins_document_vocabularies_core_NodeReference$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_NodeReference$
});
class $c_Lamf_plugins_document_vocabularies_core_PropertyMapping$ extends $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode {
  constructor() {
    super();
    this.name$3 = null;
    this.propertyTerm$3 = null;
    this.mandatory$3 = null;
    this.enum$3 = null;
    this.pattern$3 = null;
    this.minimum$3 = null;
    this.maximum$3 = null;
    this.range$3 = null;
    this.allowMultiple$3 = null;
    this.asMap$3 = null;
    this.hash$3 = null;
    this.hashValue$3 = null;
    this.defaultValue$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_DialectLanguageNode.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "PropertyMapping", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_PropertyMapping$ = this;
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("name", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$130 = arg1.name$1;
    const x$131 = arg1.range$1;
    const x$132 = arg1.unionTypes$1;
    const x$133 = arg1.required$1;
    const x$134 = arg1.collection$1;
    const x$135 = arg1.referenceTarget$1;
    const x$136 = arg1.noLastSegmentTrimInMaps$1;
    const x$137 = arg1.hash$1;
    const x$138 = arg1.hashValue$1;
    const x$139 = arg1.fromVal$1;
    const x$140 = arg1.isDeclaration$1;
    const x$141 = arg1.isDocumentDeclaration$1;
    const x$142 = arg1.namespace$1;
    const x$143 = arg1.rdfName$1;
    const x$144 = arg1.jsonld$1;
    const x$145 = arg1.owningNode$1;
    const x$146 = arg1.scalaNameOverride$1;
    const x$147 = arg1.allowInplace$1;
    const x$148 = arg1.pattern$1;
    const x$149 = arg1.enum$1;
    const x$150 = arg1.minimum$1;
    const x$151 = arg1.maximum$1;
    const x$152 = arg1.defaultValue$1;
    this.name$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$130, x$131, x$132, x$133, x$134, x$135, true, x$136, x$137, x$138, x$139, x$140, x$141, x$142, x$143, x$144, x$145, x$146, x$147, x$148, x$149, x$150, x$151, x$152));
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("propertyTerm", $m_Lamf_core_metamodel_Type$Iri$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$153 = new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$());
    const x$155 = arg1$1.name$1;
    const x$156 = arg1$1.range$1;
    const x$157 = arg1$1.unionTypes$1;
    const x$158 = arg1$1.collection$1;
    const x$159 = arg1$1.noRAML$1;
    const x$160 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$161 = arg1$1.hash$1;
    const x$162 = arg1$1.hashValue$1;
    const x$163 = arg1$1.fromVal$1;
    const x$164 = arg1$1.isDeclaration$1;
    const x$165 = arg1$1.isDocumentDeclaration$1;
    const x$166 = arg1$1.namespace$1;
    const x$167 = arg1$1.rdfName$1;
    const x$168 = arg1$1.jsonld$1;
    const x$169 = arg1$1.owningNode$1;
    const x$170 = arg1$1.scalaNameOverride$1;
    const x$171 = arg1$1.allowInplace$1;
    const x$172 = arg1$1.pattern$1;
    const x$173 = arg1$1.enum$1;
    const x$174 = arg1$1.minimum$1;
    const x$175 = arg1$1.maximum$1;
    const x$176 = arg1$1.defaultValue$1;
    this.propertyTerm$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$155, x$156, x$157, true, x$158, x$153, x$159, x$160, x$161, x$162, x$163, x$164, x$165, x$166, x$167, x$168, x$169, x$170, x$171, x$172, x$173, x$174, x$175, x$176));
    this.mandatory$3 = this.bool__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("mandatory", this.bool$default$2__F1());
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("enum", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$178 = arg1$2.name$1;
    const x$179 = arg1$2.range$1;
    const x$180 = arg1$2.unionTypes$1;
    const x$181 = arg1$2.required$1;
    const x$182 = arg1$2.referenceTarget$1;
    const x$183 = arg1$2.noRAML$1;
    const x$184 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$185 = arg1$2.hash$1;
    const x$186 = arg1$2.hashValue$1;
    const x$187 = arg1$2.fromVal$1;
    const x$188 = arg1$2.isDeclaration$1;
    const x$189 = arg1$2.isDocumentDeclaration$1;
    const x$190 = arg1$2.namespace$1;
    const x$191 = arg1$2.rdfName$1;
    const x$192 = arg1$2.jsonld$1;
    const x$193 = arg1$2.owningNode$1;
    const x$194 = arg1$2.scalaNameOverride$1;
    const x$195 = arg1$2.allowInplace$1;
    const x$196 = arg1$2.pattern$1;
    const x$197 = arg1$2.enum$1;
    const x$198 = arg1$2.minimum$1;
    const x$199 = arg1$2.maximum$1;
    const x$200 = arg1$2.defaultValue$1;
    this.enum$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$178, x$179, x$180, x$181, true, x$182, x$183, x$184, x$185, x$186, x$187, x$188, x$189, x$190, x$191, x$192, x$193, x$194, x$195, x$196, x$197, x$198, x$199, x$200));
    this.pattern$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("pattern", this.str$default$2__F1());
    this.minimum$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("minimum", this.str$default$2__F1());
    this.maximum$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("maximum", this.str$default$2__F1());
    const arg1$3 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("range", $m_Lamf_core_metamodel_Type$Iri$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$201 = new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_NodeDefinition$());
    const x$204 = arg1$3.name$1;
    const x$205 = arg1$3.range$1;
    const x$206 = arg1$3.unionTypes$1;
    const x$207 = arg1$3.required$1;
    const x$208 = arg1$3.noRAML$1;
    const x$209 = arg1$3.noLastSegmentTrimInMaps$1;
    const x$210 = arg1$3.hash$1;
    const x$211 = arg1$3.hashValue$1;
    const x$212 = arg1$3.fromVal$1;
    const x$213 = arg1$3.isDeclaration$1;
    const x$214 = arg1$3.isDocumentDeclaration$1;
    const x$215 = arg1$3.namespace$1;
    const x$216 = arg1$3.rdfName$1;
    const x$217 = arg1$3.jsonld$1;
    const x$218 = arg1$3.owningNode$1;
    const x$219 = arg1$3.scalaNameOverride$1;
    const x$220 = arg1$3.pattern$1;
    const x$221 = arg1$3.enum$1;
    const x$222 = arg1$3.minimum$1;
    const x$223 = arg1$3.maximum$1;
    const x$224 = arg1$3.defaultValue$1;
    this.range$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$204, x$205, x$206, x$207, true, x$201, x$208, x$209, x$210, x$211, x$212, x$213, x$214, x$215, x$216, x$217, x$218, x$219, true, x$220, x$221, x$222, x$223, x$224));
    this.allowMultiple$3 = this.bool__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("allowMultiple", this.bool$default$2__F1());
    this.asMap$3 = this.bool__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("asMap", this.bool$default$2__F1());
    const arg1$4 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("hash", $m_Lamf_core_metamodel_Type$Iri$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$225 = new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$());
    const x$226 = arg1$4.name$1;
    const x$227 = arg1$4.range$1;
    const x$228 = arg1$4.unionTypes$1;
    const x$229 = arg1$4.required$1;
    const x$230 = arg1$4.collection$1;
    const x$231 = arg1$4.noRAML$1;
    const x$232 = arg1$4.noLastSegmentTrimInMaps$1;
    const x$233 = arg1$4.hash$1;
    const x$234 = arg1$4.hashValue$1;
    const x$235 = arg1$4.fromVal$1;
    const x$236 = arg1$4.isDeclaration$1;
    const x$237 = arg1$4.isDocumentDeclaration$1;
    const x$238 = arg1$4.namespace$1;
    const x$239 = arg1$4.rdfName$1;
    const x$240 = arg1$4.jsonld$1;
    const x$241 = arg1$4.owningNode$1;
    const x$242 = arg1$4.scalaNameOverride$1;
    const x$243 = arg1$4.allowInplace$1;
    const x$244 = arg1$4.pattern$1;
    const x$245 = arg1$4.enum$1;
    const x$246 = arg1$4.minimum$1;
    const x$247 = arg1$4.maximum$1;
    const x$248 = arg1$4.defaultValue$1;
    this.hash$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$226, x$227, x$228, x$229, x$230, x$225, x$231, x$232, x$233, x$234, x$235, x$236, x$237, x$238, x$239, x$240, x$241, x$242, x$243, x$244, x$245, x$246, x$247, x$248));
    const arg1$5 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("hashValue", $m_Lamf_core_metamodel_Type$Iri$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$249 = new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$());
    const x$250 = arg1$5.name$1;
    const x$251 = arg1$5.range$1;
    const x$252 = arg1$5.unionTypes$1;
    const x$253 = arg1$5.required$1;
    const x$254 = arg1$5.collection$1;
    const x$255 = arg1$5.noRAML$1;
    const x$256 = arg1$5.noLastSegmentTrimInMaps$1;
    const x$257 = arg1$5.hash$1;
    const x$258 = arg1$5.hashValue$1;
    const x$259 = arg1$5.fromVal$1;
    const x$260 = arg1$5.isDeclaration$1;
    const x$261 = arg1$5.isDocumentDeclaration$1;
    const x$262 = arg1$5.namespace$1;
    const x$263 = arg1$5.rdfName$1;
    const x$264 = arg1$5.jsonld$1;
    const x$265 = arg1$5.owningNode$1;
    const x$266 = arg1$5.scalaNameOverride$1;
    const x$267 = arg1$5.allowInplace$1;
    const x$268 = arg1$5.pattern$1;
    const x$269 = arg1$5.enum$1;
    const x$270 = arg1$5.minimum$1;
    const x$271 = arg1$5.maximum$1;
    const x$272 = arg1$5.defaultValue$1;
    this.hashValue$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$250, x$251, x$252, x$253, x$254, x$249, x$255, x$256, x$257, x$258, x$259, x$260, x$261, x$262, x$263, x$264, x$265, x$266, x$267, x$268, x$269, x$270, x$271, x$272));
    this.defaultValue$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("defaultValue", this.str$default$2__F1());
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_PropertyMapping$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_PropertyMapping$: 0
}, false, "amf.plugins.document.vocabularies.core.PropertyMapping$", {
  Lamf_plugins_document_vocabularies_core_PropertyMapping$: 1,
  Lamf_plugins_document_vocabularies_core_DialectLanguageNode: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_PropertyMapping$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_PropertyMapping$;
let $n_Lamf_plugins_document_vocabularies_core_PropertyMapping$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_PropertyMapping$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_PropertyMapping$)) {
    $n_Lamf_plugins_document_vocabularies_core_PropertyMapping$ = new $c_Lamf_plugins_document_vocabularies_core_PropertyMapping$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_PropertyMapping$
});
class $c_Lamf_plugins_document_vocabularies_core_ValidationIssue extends $c_O {
  constructor() {
    super();
    this.message$1 = null;
    this.entity$1 = null;
    this.property$1 = null;
    this.severity$1 = 0
  };
  productPrefix__T() {
    return "ValidationIssue"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_core_ValidationIssue(x$1)) {
      const ValidationIssue$1 = x$1;
      let jsx$2;
      if ((this.message$1 === ValidationIssue$1.message$1)) {
        const x = this.entity$1;
        const x$2 = ValidationIssue$1.entity$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.property$1;
        const x$4 = ValidationIssue$1.property$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.severity$1 === ValidationIssue$1.severity$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.message$1;
        break
      }
      case 1: {
        return this.entity$1;
        break
      }
      case 2: {
        return this.property$1;
        break
      }
      case 3: {
        return this.severity$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__I(message, entity, property, severity) {
    this.message$1 = message;
    this.entity$1 = entity;
    this.property$1 = property;
    this.severity$1 = severity;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.message$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entity$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.property$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.severity$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_core_ValidationIssue = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_core_ValidationIssue)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_core_ValidationIssue = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_core_ValidationIssue)))
});
const $d_Lamf_plugins_document_vocabularies_core_ValidationIssue = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_ValidationIssue: 0
}, false, "amf.plugins.document.vocabularies.core.ValidationIssue", {
  Lamf_plugins_document_vocabularies_core_ValidationIssue: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_ValidationIssue.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_ValidationIssue;
class $c_Lamf_plugins_document_vocabularies_core_Vocabulary$ extends $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect {
  constructor() {
    super();
    this.base$3 = null;
    this.vocabularyProperty$3 = null;
    this.version$3 = null;
    this.usage$3 = null;
    this.externals$3 = null;
    this.uses$3 = null;
    this.classTerms$3 = null;
    this.propertyTerms$3 = null;
    this.externalTerms$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "Vocabulary", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_Vocabulary$ = this;
    this.base$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("base", this.str$default$2__F1());
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("vocabulary", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$360 = new $c_s_Some().init___O("vocabularyProperty");
    const x$361 = arg1.name$1;
    const x$362 = arg1.range$1;
    const x$363 = arg1.unionTypes$1;
    const x$364 = arg1.required$1;
    const x$365 = arg1.collection$1;
    const x$366 = arg1.referenceTarget$1;
    const x$367 = arg1.noRAML$1;
    const x$368 = arg1.noLastSegmentTrimInMaps$1;
    const x$369 = arg1.hash$1;
    const x$370 = arg1.hashValue$1;
    const x$371 = arg1.fromVal$1;
    const x$372 = arg1.isDeclaration$1;
    const x$373 = arg1.isDocumentDeclaration$1;
    const x$374 = arg1.namespace$1;
    const x$375 = arg1.rdfName$1;
    const x$376 = arg1.jsonld$1;
    const x$377 = arg1.owningNode$1;
    const x$378 = arg1.allowInplace$1;
    const x$379 = arg1.pattern$1;
    const x$380 = arg1.enum$1;
    const x$381 = arg1.minimum$1;
    const x$382 = arg1.maximum$1;
    const x$383 = arg1.defaultValue$1;
    this.vocabularyProperty$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$361, x$362, x$363, x$364, x$365, x$366, x$367, x$368, x$369, x$370, x$371, x$372, x$373, x$374, x$375, x$376, x$377, x$360, x$378, x$379, x$380, x$381, x$382, x$383));
    this.version$3 = this.str__T__F1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping("version", this.str$default$2__F1());
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("usage", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$384 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$385 = new $c_s_Some().init___O("description");
    const x$386 = arg1$1.name$1;
    const x$387 = arg1$1.range$1;
    const x$388 = arg1$1.unionTypes$1;
    const x$389 = arg1$1.required$1;
    const x$390 = arg1$1.collection$1;
    const x$391 = arg1$1.referenceTarget$1;
    const x$392 = arg1$1.noRAML$1;
    const x$393 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$394 = arg1$1.hash$1;
    const x$395 = arg1$1.hashValue$1;
    const x$396 = arg1$1.fromVal$1;
    const x$397 = arg1$1.isDeclaration$1;
    const x$398 = arg1$1.isDocumentDeclaration$1;
    const x$399 = arg1$1.jsonld$1;
    const x$400 = arg1$1.owningNode$1;
    const x$401 = arg1$1.scalaNameOverride$1;
    const x$402 = arg1$1.allowInplace$1;
    const x$403 = arg1$1.pattern$1;
    const x$404 = arg1$1.enum$1;
    const x$405 = arg1$1.minimum$1;
    const x$406 = arg1$1.maximum$1;
    const x$407 = arg1$1.defaultValue$1;
    this.usage$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$386, x$387, x$388, x$389, x$390, x$391, x$392, x$393, x$394, x$395, x$396, x$397, x$398, x$384, x$385, x$399, x$400, x$401, x$402, x$403, x$404, x$405, x$406, x$407));
    const hashKey = $m_Lamf_plugins_document_vocabularies_core_External$().name$3;
    const hashValue = $m_Lamf_plugins_document_vocabularies_core_External$().uri$3;
    const node = $m_Lamf_plugins_document_vocabularies_core_External$();
    const x$107 = new $c_s_Some().init___O(hashKey);
    const x$108 = new $c_s_Some().init___O(hashValue);
    const x$109 = $m_s_None$();
    const x$112 = $m_s_None$();
    const x$118 = $m_s_None$();
    const x$119 = $m_s_None$();
    const x$121 = $m_s_None$();
    const x$122 = $m_s_None$();
    const x$124 = $m_s_None$();
    const x$125 = $m_s_None$();
    const x$126 = $m_s_None$();
    const x$127 = $m_s_None$();
    const x$128 = $m_s_None$();
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("external", node, x$109, false, false, x$112, false, false, x$107, x$108, false, false, false, x$118, x$119, true, x$121, x$122, false, x$124, x$125, x$126, x$127, x$128);
    const x$408 = new $c_s_Some().init___O("externals");
    const x$409 = arg1$2.name$1;
    const x$410 = arg1$2.range$1;
    const x$411 = arg1$2.unionTypes$1;
    const x$412 = arg1$2.required$1;
    const x$413 = arg1$2.collection$1;
    const x$414 = arg1$2.referenceTarget$1;
    const x$415 = arg1$2.noRAML$1;
    const x$416 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$417 = arg1$2.hash$1;
    const x$418 = arg1$2.hashValue$1;
    const x$419 = arg1$2.fromVal$1;
    const x$420 = arg1$2.isDeclaration$1;
    const x$421 = arg1$2.isDocumentDeclaration$1;
    const x$422 = arg1$2.namespace$1;
    const x$423 = arg1$2.rdfName$1;
    const x$424 = arg1$2.jsonld$1;
    const x$425 = arg1$2.owningNode$1;
    const x$426 = arg1$2.allowInplace$1;
    const x$427 = arg1$2.pattern$1;
    const x$428 = arg1$2.enum$1;
    const x$429 = arg1$2.minimum$1;
    const x$430 = arg1$2.maximum$1;
    const x$431 = arg1$2.defaultValue$1;
    this.externals$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$409, x$410, x$411, x$412, x$413, x$414, x$415, x$416, x$417, x$418, x$419, x$420, x$421, x$422, x$423, x$424, x$425, x$408, x$426, x$427, x$428, x$429, x$430, x$431));
    const hashKey$1 = $m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$().name$3;
    const hashValue$1 = $m_Lamf_plugins_document_vocabularies_core_External$().uri$3;
    const node$1 = $m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$();
    const x$107$1 = new $c_s_Some().init___O(hashKey$1);
    const x$108$1 = new $c_s_Some().init___O(hashValue$1);
    const x$109$1 = $m_s_None$();
    const x$112$1 = $m_s_None$();
    const x$118$1 = $m_s_None$();
    const x$119$1 = $m_s_None$();
    const x$121$1 = $m_s_None$();
    const x$122$1 = $m_s_None$();
    const x$124$1 = $m_s_None$();
    const x$125$1 = $m_s_None$();
    const x$126$1 = $m_s_None$();
    const x$127$1 = $m_s_None$();
    const x$128$1 = $m_s_None$();
    const arg1$3 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("uses", node$1, x$109$1, false, false, x$112$1, false, false, x$107$1, x$108$1, false, false, false, x$118$1, x$119$1, true, x$121$1, x$122$1, false, x$124$1, x$125$1, x$126$1, x$127$1, x$128$1);
    const x$432 = new $c_s_Some().init___O("uses");
    const x$433 = arg1$3.name$1;
    const x$434 = arg1$3.range$1;
    const x$435 = arg1$3.unionTypes$1;
    const x$436 = arg1$3.required$1;
    const x$437 = arg1$3.collection$1;
    const x$438 = arg1$3.referenceTarget$1;
    const x$439 = arg1$3.noRAML$1;
    const x$440 = arg1$3.noLastSegmentTrimInMaps$1;
    const x$441 = arg1$3.hash$1;
    const x$442 = arg1$3.hashValue$1;
    const x$443 = arg1$3.fromVal$1;
    const x$444 = arg1$3.isDeclaration$1;
    const x$445 = arg1$3.isDocumentDeclaration$1;
    const x$446 = arg1$3.namespace$1;
    const x$447 = arg1$3.rdfName$1;
    const x$448 = arg1$3.jsonld$1;
    const x$449 = arg1$3.owningNode$1;
    const x$450 = arg1$3.allowInplace$1;
    const x$451 = arg1$3.pattern$1;
    const x$452 = arg1$3.enum$1;
    const x$453 = arg1$3.minimum$1;
    const x$454 = arg1$3.maximum$1;
    const x$455 = arg1$3.defaultValue$1;
    this.uses$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$433, x$434, x$435, x$436, x$437, x$438, x$439, x$440, x$441, x$442, x$443, x$444, x$445, x$446, x$447, x$448, x$449, x$432, x$450, x$451, x$452, x$453, x$454, x$455));
    const hash = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$().idProperty$3;
    const node$2 = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
    const x$83 = new $c_s_Some().init___O(hash);
    const x$84 = $m_s_None$();
    const x$87 = $m_s_None$();
    const x$90 = $m_s_None$();
    const x$94 = $m_s_None$();
    const x$95 = $m_s_None$();
    const x$97 = $m_s_None$();
    const x$98 = $m_s_None$();
    const x$100 = $m_s_None$();
    const x$101 = $m_s_None$();
    const x$102 = $m_s_None$();
    const x$103 = $m_s_None$();
    const x$104 = $m_s_None$();
    const arg1$4 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("classTerms", node$2, x$84, false, false, x$87, false, false, x$83, x$90, false, false, false, x$94, x$95, true, x$97, x$98, false, x$100, x$101, x$102, x$103, x$104);
    const x$456 = new $c_s_Some().init___O("classes");
    const x$458 = arg1$4.name$1;
    const x$459 = arg1$4.range$1;
    const x$460 = arg1$4.unionTypes$1;
    const x$461 = arg1$4.required$1;
    const x$462 = arg1$4.collection$1;
    const x$463 = arg1$4.referenceTarget$1;
    const x$464 = arg1$4.noRAML$1;
    const x$465 = arg1$4.hash$1;
    const x$466 = arg1$4.hashValue$1;
    const x$467 = arg1$4.fromVal$1;
    const x$468 = arg1$4.isDeclaration$1;
    const x$469 = arg1$4.isDocumentDeclaration$1;
    const x$470 = arg1$4.namespace$1;
    const x$471 = arg1$4.jsonld$1;
    const x$472 = arg1$4.owningNode$1;
    const x$473 = arg1$4.scalaNameOverride$1;
    const x$474 = arg1$4.allowInplace$1;
    const x$475 = arg1$4.pattern$1;
    const x$476 = arg1$4.enum$1;
    const x$477 = arg1$4.minimum$1;
    const x$478 = arg1$4.maximum$1;
    const x$479 = arg1$4.defaultValue$1;
    this.classTerms$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$458, x$459, x$460, x$461, x$462, x$463, x$464, true, x$465, x$466, x$467, x$468, x$469, x$470, x$456, x$471, x$472, x$473, x$474, x$475, x$476, x$477, x$478, x$479));
    const hash$1 = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().idProperty$3;
    const node$3 = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$();
    const x$83$1 = new $c_s_Some().init___O(hash$1);
    const x$84$1 = $m_s_None$();
    const x$87$1 = $m_s_None$();
    const x$90$1 = $m_s_None$();
    const x$94$1 = $m_s_None$();
    const x$95$1 = $m_s_None$();
    const x$97$1 = $m_s_None$();
    const x$98$1 = $m_s_None$();
    const x$100$1 = $m_s_None$();
    const x$101$1 = $m_s_None$();
    const x$102$1 = $m_s_None$();
    const x$103$1 = $m_s_None$();
    const x$104$1 = $m_s_None$();
    const arg1$5 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("propertyTerms", node$3, x$84$1, false, false, x$87$1, false, false, x$83$1, x$90$1, false, false, false, x$94$1, x$95$1, true, x$97$1, x$98$1, false, x$100$1, x$101$1, x$102$1, x$103$1, x$104$1);
    const x$480 = new $c_s_Some().init___O("properties");
    const x$482 = arg1$5.name$1;
    const x$483 = arg1$5.range$1;
    const x$484 = arg1$5.unionTypes$1;
    const x$485 = arg1$5.required$1;
    const x$486 = arg1$5.collection$1;
    const x$487 = arg1$5.referenceTarget$1;
    const x$488 = arg1$5.noRAML$1;
    const x$489 = arg1$5.hash$1;
    const x$490 = arg1$5.hashValue$1;
    const x$491 = arg1$5.fromVal$1;
    const x$492 = arg1$5.isDeclaration$1;
    const x$493 = arg1$5.isDocumentDeclaration$1;
    const x$494 = arg1$5.namespace$1;
    const x$495 = arg1$5.jsonld$1;
    const x$496 = arg1$5.owningNode$1;
    const x$497 = arg1$5.scalaNameOverride$1;
    const x$498 = arg1$5.allowInplace$1;
    const x$499 = arg1$5.pattern$1;
    const x$500 = arg1$5.enum$1;
    const x$501 = arg1$5.minimum$1;
    const x$502 = arg1$5.maximum$1;
    const x$503 = arg1$5.defaultValue$1;
    this.propertyTerms$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$482, x$483, x$484, x$485, x$486, x$487, x$488, true, x$489, x$490, x$491, x$492, x$493, x$494, x$480, x$495, x$496, x$497, x$498, x$499, x$500, x$501, x$502, x$503));
    const hash$2 = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().idProperty$3;
    const node$4 = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$();
    const x$83$2 = new $c_s_Some().init___O(hash$2);
    const x$84$2 = $m_s_None$();
    const x$87$2 = $m_s_None$();
    const x$90$2 = $m_s_None$();
    const x$94$2 = $m_s_None$();
    const x$95$2 = $m_s_None$();
    const x$97$2 = $m_s_None$();
    const x$98$2 = $m_s_None$();
    const x$100$2 = $m_s_None$();
    const x$101$2 = $m_s_None$();
    const x$102$2 = $m_s_None$();
    const x$103$2 = $m_s_None$();
    const x$104$2 = $m_s_None$();
    const arg1$6 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("externalTerms", node$4, x$84$2, false, false, x$87$2, false, false, x$83$2, x$90$2, false, false, false, x$94$2, x$95$2, true, x$97$2, x$98$2, false, x$100$2, x$101$2, x$102$2, x$103$2, x$104$2);
    const x$504 = new $c_s_Some().init___O("externalEntities");
    const x$506 = arg1$6.name$1;
    const x$507 = arg1$6.range$1;
    const x$508 = arg1$6.unionTypes$1;
    const x$509 = arg1$6.required$1;
    const x$510 = arg1$6.collection$1;
    const x$511 = arg1$6.referenceTarget$1;
    const x$512 = arg1$6.noLastSegmentTrimInMaps$1;
    const x$513 = arg1$6.hash$1;
    const x$514 = arg1$6.hashValue$1;
    const x$515 = arg1$6.fromVal$1;
    const x$516 = arg1$6.isDeclaration$1;
    const x$517 = arg1$6.isDocumentDeclaration$1;
    const x$518 = arg1$6.namespace$1;
    const x$519 = arg1$6.jsonld$1;
    const x$520 = arg1$6.owningNode$1;
    const x$521 = arg1$6.scalaNameOverride$1;
    const x$522 = arg1$6.allowInplace$1;
    const x$523 = arg1$6.pattern$1;
    const x$524 = arg1$6.enum$1;
    const x$525 = arg1$6.minimum$1;
    const x$526 = arg1$6.maximum$1;
    const x$527 = arg1$6.defaultValue$1;
    this.externalTerms$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$506, x$507, x$508, x$509, x$510, x$511, true, x$512, x$513, x$514, x$515, x$516, x$517, x$518, x$504, x$519, x$520, x$521, x$522, x$523, x$524, x$525, x$526, x$527));
    this.withGlobalIdField__T__Lamf_plugins_document_vocabularies_spec_DialectNode("base");
    this.withType__T__V("http://www.w3.org/2002/07/owl#Ontology");
    const provider = new $c_Lamf_plugins_document_vocabularies_core_Vocabulary$$$Lambda$1().init___O((function(this$8$1) {
      return (function(x$22$2) {
        const x$22 = x$22$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$8$1.externals$3, this$8$1.uses$3]);
        const this$87 = $m_sci_List$();
        const cbf = this$87.ReusableCBFInstance$2;
        return new $c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider().init___Lamf_core_model_document_BaseUnit__sci_List(x$22, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
      })
    })(this));
    this.nameProvider$1 = new $c_s_Some().init___O(provider);
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_Vocabulary$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_Vocabulary$: 0
}, false, "amf.plugins.document.vocabularies.core.Vocabulary$", {
  Lamf_plugins_document_vocabularies_core_Vocabulary$: 1,
  Lamf_plugins_document_vocabularies_core_VocabPartDialect: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_plugins_document_vocabularies_core_Vocabulary$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_Vocabulary$;
let $n_Lamf_plugins_document_vocabularies_core_Vocabulary$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_Vocabulary$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_Vocabulary$)) {
    $n_Lamf_plugins_document_vocabularies_core_Vocabulary$ = new $c_Lamf_plugins_document_vocabularies_core_Vocabulary$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_Vocabulary$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel extends $c_O {
  constructor() {
    super();
    this.domainEntity$1 = null;
    this.fields$1 = null;
    this.type$1 = null;
    this.dynamicType$1 = false;
    this.annotations$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Dialect entities cannot be instantiated directly"))
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(domainEntity) {
    this.domainEntity$1 = domainEntity;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const fields = domainEntity.fields$1.fieldsMeta__sci_List();
    const props = domainEntity.definition$1.props$1.values__sc_Iterable().toList__sci_List();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, props$1) {
      return (function(field$2) {
        const field = field$2;
        let i = 0;
        let these = props$1.drop__I__sci_List(0);
        while (true) {
          const this$3 = these;
          if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
            const arg1 = these.head__O();
            const prop = arg1;
            const x = prop.field__Lamf_core_metamodel_Field();
            if (((x === null) ? (field === null) : x.equals__O__Z(field))) {
              return i
            };
            i = ((1 + i) | 0);
            these = these.tail__O()
          } else {
            break
          }
        };
        return (-1)
      })
    })(this, props));
    const ord = $m_s_math_Ordering$Int$();
    this.fields$1 = $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(fields, f, ord);
    this.type$1 = (domainEntity.definition$1.hasClazz$1 ? domainEntity.definition$1.type$1 : $m_sci_Nil$());
    this.dynamicType$1 = true;
    this.annotations$1 = domainEntity.annotations$1;
    return this
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
}
const $is_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel)))
});
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.DialectEntityModel", {
  Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel;
class $c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider extends $c_O {
  constructor() {
    super();
    this.unit$1 = null;
    this.namespaceDeclarators$1 = null;
    this.root$1 = null;
    this.namespaces$1 = null;
    this.declarations$1 = null;
    this.fragments$1 = null;
    this.documenEntities$1 = null;
    this.b2id$1 = null;
    this.id2b$1 = null;
    this.id2t$1 = null;
    this.referencedDocuments$1 = null
  };
  resolveRef__T__s_Option(ref) {
    return $m_s_None$()
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2b$und$eq__scm_HashMap__V(x$1) {
    this.id2b$1 = x$1
  };
  init___Lamf_core_model_document_BaseUnit__sci_List(unit, namespaceDeclarators) {
    this.unit$1 = unit;
    this.namespaceDeclarators$1 = namespaceDeclarators;
    $f_Lamf_plugins_document_vocabularies_spec_Builtins__$$init$__V(this);
    $f_Lamf_plugins_document_vocabularies_spec_TypeBuiltins__$$init$__V(this);
    this.root$1 = $m_Lamf_plugins_document_vocabularies_spec_Dialect$().retrieveDomainEntity__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(unit);
    this.namespaces$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.declarations$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.fragments$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.documenEntities$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const f = (function($this) {
      return (function(declarations$2) {
        const declarations = declarations$2;
        const jsx$2 = $this.root$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(declarations);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(entity$2) {
            const entity = entity$2;
            const this$1 = entity.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_External$().uri$3);
            let xo;
            if (this$1.isEmpty__Z()) {
              xo = $m_s_None$()
            } else {
              const arg1 = this$1.get__O();
              const uri = arg1;
              const this$2 = entity.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_External$().name$3);
              if (this$2.isEmpty__Z()) {
                xo = $m_s_None$()
              } else {
                const arg1$1 = this$2.get__O();
                const name = arg1$1;
                xo = new $c_s_Some().init___O($this$1.namespaces$1.put__O__O__s_Option(uri, name))
              }
            };
            return xo.toList__sci_List()
          })
        })($this));
        const this$4 = $m_sc_Seq$();
        return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
      })
    })(this);
    const this$5 = $m_sci_List$();
    const bf = this$5.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((namespaceDeclarators !== $m_sci_Nil$())) {
        let rest = namespaceDeclarators;
        const found = new $c_sr_BooleanRef().init___Z(false);
        const h = new $c_sr_ObjectRef().init___O(null);
        const t = new $c_sr_ObjectRef().init___O(null);
        while ((rest !== $m_sci_Nil$())) {
          const arg1$2 = rest.head__O();
          f(arg1$2).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, found$1, h$1, t$1) {
            return (function(b$2) {
              if ((!found$1.elem$1)) {
                h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1 = h$1.elem$1;
                found$1.elem$1 = true
              } else {
                const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1.tl$5 = nx;
                t$1.elem$1 = nx
              }
            })
          })(namespaceDeclarators, found, h, t)));
          rest = rest.tail__O()
        };
        if (found.elem$1) {
          h.elem$1
        }
      }
    } else {
      $m_sci_List$();
      const b = new $c_scm_ListBuffer().init___();
      let these = namespaceDeclarators;
      while ((!these.isEmpty__Z())) {
        const arg1$3 = these.head__O();
        const xs = f(arg1$3).seq__sc_TraversableOnce();
        b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
        these = these.tail__O()
      };
      b.toList__sci_List()
    };
    unit.references__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(x0$2)) {
          const x2 = x0$2;
          return this$2$1.fragments$1.put__O__O__s_Option(x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).id__T(), x2.id$1)
        } else if ($is_Lamf_core_model_document_Document(x0$2)) {
          const x3 = x0$2;
          const de = x3.encodes__Lamf_core_model_domain_DomainElement();
          const this$10 = x3.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
          if ((!this$10.isEmpty__Z())) {
            const arg1$4 = this$10.get__O();
            const aliases = arg1$4;
            aliases.aliases$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, de$1) {
              return (function(a$2) {
                const a = a$2;
                const this$11 = de$1.definition$1.mappings__sci_List();
                $m_sci_List$();
                const b$1 = new $c_scm_ListBuffer().init___();
                let these$1 = this$11;
                while ((!these$1.isEmpty__Z())) {
                  const arg1$5 = these$1.head__O();
                  const x = arg1$5;
                  if ((x.hash$1.isDefined__Z() !== false)) {
                    b$1.$$plus$eq__O__scm_ListBuffer(arg1$5)
                  };
                  these$1 = these$1.tail__O()
                };
                const this$13 = b$1.toList__sci_List();
                let these$2 = this$13;
                while ((!these$2.isEmpty__Z())) {
                  const arg1$6 = these$2.head__O();
                  const m = arg1$6;
                  de$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(m).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, a$1) {
                    return (function(vocEntity$2) {
                      const vocEntity = vocEntity$2;
                      return (vocEntity.linkValue$1.isDefined__Z() ? $this$4.documenEntities$1.put__O__O__s_Option(vocEntity.id$1, ((a$1.$$und1__O() + ".") + vocEntity.linkValue$1.get__O())) : (void 0))
                    })
                  })($this$3, a)));
                  these$2 = these$2.tail__O()
                }
              })
            })(this$2$1, de)))
          };
          return (void 0)
        } else if ($is_Lamf_core_model_document_Module(x0$2)) {
          const x4 = x0$2;
          const this$14 = x4.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
          if ((!this$14.isEmpty__Z())) {
            const arg1$7 = this$14.get__O();
            const aliases$3 = arg1$7;
            aliases$3.aliases$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, x4$1) {
              return (function(a$2$1) {
                const a$3 = a$2$1;
                x4$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, a$4) {
                  return (function(declEntity$2) {
                    const declEntity = declEntity$2;
                    const linkValue = declEntity.linkValue$1;
                    return (linkValue.isDefined__Z() ? $this$6.documenEntities$1.put__O__O__s_Option(declEntity.id__T(), ((a$4.$$und1__O() + ".") + linkValue.get__O())) : (void 0))
                  })
                })($this$5, a$3)))
              })
            })(this$2$1, x4)))
          };
          return (void 0)
        } else {
          return (void 0)
        }
      })
    })(this)));
    this.root$1.traverse__Lamf_plugins_document_vocabularies_spec_DomainEntityVisitor__V(new $c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider$$Lambda$1().init___O((function(this$3$1) {
      return (function(x0$3$2, x1$1$2) {
        const x0$3 = x0$3$2;
        const x1$1 = x1$1$2;
        const x1 = new $c_T2().init___O__O(x0$3, x1$1);
        const domainEntity = x1.$$und1$f;
        const mapping = x1.$$und2$f;
        if ((domainEntity !== null)) {
          if ((mapping !== null)) {
            if (mapping.isDeclaration$1) {
              this$3$1.declarations$1.put__O__O__s_Option(domainEntity.id$1, domainEntity)
            };
            return true
          }
        };
        throw new $c_s_MatchError().init___O(x1)
      })
    })(this)));
    return this
  };
  b2id__scm_HashMap() {
    return this.b2id$1
  };
  localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(uri, property) {
    if (this.fragments$1.contains__O__Z(uri)) {
      const furi = this.fragments$1.apply__O__O(uri);
      const ruri = this.unit$1.location__T();
      const relative = $m_Lamf_plugins_document_vocabularies_spec_ParsedPath$().apply__T__Lamf_plugins_document_vocabularies_spec_ParsedPath(ruri).dir__Lamf_plugins_document_vocabularies_spec_ParsedPath().resolve__Lamf_plugins_document_vocabularies_spec_ParsedPath__Lamf_plugins_document_vocabularies_spec_ParsedPath($m_Lamf_plugins_document_vocabularies_spec_ParsedPath$().apply__T__Lamf_plugins_document_vocabularies_spec_ParsedPath(furi));
      const pp = relative.toString__T();
      return ("!include " + pp)
    } else if (this.documenEntities$1.contains__O__Z(uri)) {
      const furi$2 = this.documenEntities$1.apply__O__O(uri);
      return furi$2
    } else {
      const this$1 = this.declarations$1.get__O__s_Option(uri);
      let foundLocalName;
      if (this$1.isEmpty__Z()) {
        foundLocalName = $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const entity = arg1;
        const this$2 = entity.definition$1.keyProperty__s_Option();
        if (this$2.isEmpty__Z()) {
          foundLocalName = $m_s_None$()
        } else {
          const arg1$1 = this$2.get__O();
          const keyProperty = arg1$1;
          const this$3 = entity.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(keyProperty);
          foundLocalName = new $c_s_Some().init___O((this$3.isEmpty__Z() ? uri : this$3.get__O()))
        }
      };
      if ($is_s_Some(foundLocalName)) {
        const x2 = foundLocalName;
        const localName = x2.value$2;
        return localName
      } else {
        const x = $m_s_None$();
        if ((x === foundLocalName)) {
          const localName$2 = $f_Lamf_plugins_document_vocabularies_spec_Builtins__localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(this, uri, property);
          if ((localName$2 !== uri)) {
            return localName$2
          } else {
            const str = this.root$1.id$1;
            if (((uri.indexOf(str) | 0) > (-1))) {
              const target = this.root$1.id$1;
              return uri.split(target).join("")
            } else {
              const this$8 = this.namespaces$1;
              const this$9 = this$8.iterator__sc_Iterator();
              let x1$2;
              inlinereturn$20: {
                while (this$9.hasNext__Z()) {
                  const a = this$9.next__O();
                  const x0$4 = a;
                  if ((x0$4 === null)) {
                    throw new $c_s_MatchError().init___O(x0$4)
                  };
                  const p = x0$4.$$und1__O();
                  if (((uri.indexOf(p) | 0) > (-1))) {
                    x1$2 = new $c_s_Some().init___O(a);
                    break inlinereturn$20
                  }
                };
                x1$2 = $m_s_None$()
              };
              if ($is_s_Some(x1$2)) {
                const x2$2 = x1$2;
                const p3 = x2$2.value$2;
                if ((p3 !== null)) {
                  const p$1 = p3.$$und1__O();
                  const v = p3.$$und2__O();
                  const replacement = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([v]));
                  return uri.split(p$1).join(replacement)
                }
              };
              return uri
            }
          }
        } else {
          throw new $c_s_MatchError().init___O(foundLocalName)
        }
      }
    }
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2t$und$eq__scm_HashMap__V(x$1) {
    this.id2t$1 = x$1
  };
  id2b__scm_HashMap() {
    return this.id2b$1
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$b2id$und$eq__scm_HashMap__V(x$1) {
    this.b2id$1 = x$1
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$referencedDocuments$und$eq__sci_Map__V(x$1) {
    this.referencedDocuments$1 = x$1
  };
  resolveToEntity__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    return $m_s_None$()
  };
  id2t__scm_HashMap() {
    return this.id2t$1
  };
  resolve__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    return this.b2id$1.get__O__s_Option(name)
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_BasicNameProvider = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_BasicNameProvider: 0
}, false, "amf.plugins.document.vocabularies.spec.BasicNameProvider", {
  Lamf_plugins_document_vocabularies_spec_BasicNameProvider: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_TypeBuiltins: 1,
  Lamf_plugins_document_vocabularies_spec_Builtins: 1,
  Lamf_plugins_document_vocabularies_spec_LocalNameProvider: 1,
  Lamf_plugins_document_vocabularies_spec_ReferenceResolver: 1
});
$c_Lamf_plugins_document_vocabularies_spec_BasicNameProvider.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_BasicNameProvider;
class $c_Lamf_plugins_document_vocabularies_spec_BasicResolver extends $c_O {
  constructor() {
    super();
    this.externals$1 = null;
    this.referencedDocuments$1 = null;
    this.ctx$1 = null;
    this.REGEX$undURI$1 = null;
    this.externalsMap$1 = null;
    this.declarationsFromLibraries$1 = null;
    this.declarationsFromFragments$1 = null;
    this.base$1 = null;
    this.resolvedExternals$1 = null;
    this.b2id$1 = null;
    this.id2b$1 = null;
    this.id2t$1 = null
  };
  resolveRef__T__s_Option(ref) {
    try {
      return new $c_s_Some().init___O(this.resolveBasicRef__T__T(ref))
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ($is_jl_Exception(e$2)) {
        return $m_s_None$()
      } else {
        throw e
      }
    }
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2b$und$eq__scm_HashMap__V(x$1) {
    this.id2b$1 = x$1
  };
  b2id__scm_HashMap() {
    return this.b2id$1
  };
  localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(refValue, property) {
    return $f_Lamf_plugins_document_vocabularies_spec_Builtins__localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T(this, refValue, property)
  };
  fixBase$1__p1__T__T(str) {
    return (((!$m_sjsr_RuntimeString$().endsWith__T__T__Z(str, "/")) && (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(str, "#"))) ? (str + "/") : str)
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$id2t$und$eq__scm_HashMap__V(x$1) {
    this.id2t$1 = x$1
  };
  id2b__scm_HashMap() {
    return this.id2b$1
  };
  resolveBasicRef__T__T(name) {
    if ($m_s_Option$().apply__O__s_Option(name).isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Empty name for basic ref"))
    } else if (((name.indexOf(".") | 0) > (-1))) {
      if (this.declarationsFromLibraries$1.contains__O__Z(name)) {
        return this.declarationsFromLibraries$1.apply__O__O(name).id__T()
      } else {
        const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(name, "\\.", 0);
        const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1);
        if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(2) === 0)))) {
          const alias = o7.get__O().apply__I__O(0);
          const suffix = o7.get__O().apply__I__O(1);
          const x1$2 = this.externalsMap$1.get__O__s_Option(alias);
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const resolved = x2.value$2;
            const resolvedUri = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([resolved, suffix]));
            this.resolvedExternals$1.$$plus$eq__O__scm_SetLike(resolvedUri);
            return resolvedUri
          } else {
            if (this.referencedDocuments$1.contains__O__Z(alias)) {
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find entity '", "' in '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([suffix, alias]))))
            };
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find prefix '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]))))
          }
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error in class/property name '", "', multiple ."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]))))
      }
    } else {
      const regex = this.REGEX$undURI$1;
      if ((name === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(regex, name)) {
        return name
      } else {
        return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.base$1, name]))
      }
    }
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$b2id$und$eq__scm_HashMap__V(x$1) {
    this.b2id$1 = x$1
  };
  amf$plugins$document$vocabularies$spec$Builtins$$undsetter$und$referencedDocuments$und$eq__sci_Map__V(x$1) {
    /*<skip>*/
  };
  resolveToEntity__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    const this$1 = this.declarationsFromLibraries$1.get__O__s_Option(name);
    const this$2 = (this$1.isEmpty__Z() ? this.declarationsFromFragments$1.get__O__s_Option(name) : this$1);
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x = arg1;
      const res = x.linkCopy__Lamf_core_model_domain_Linkable();
      $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(res, x);
      const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(res, field, name);
      return new $c_s_Some().init___O(res)
    }
  };
  id2t__scm_HashMap() {
    return this.id2t$1
  };
  initReferences__Lamf_core_Root__V(root) {
    this.referencedDocuments$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const namespace = x0$1.$$und1__O();
          const unit = x0$1.$$und2__O();
          if ((namespace !== null)) {
            if ((unit !== null)) {
              if ($is_Lamf_core_model_document_Module(unit)) {
                const x2$2 = unit;
                x2$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x2) {
                  return (function(r$2) {
                    const r = r$2;
                    const entity = r;
                    return (entity.linkValue$1.isDefined__Z() ? $this$1.declarationsFromLibraries$1.put__O__O__s_Option(((x2 + ".") + entity.linkValue$1.get__O()), entity) : (void 0))
                  })
                })($this, namespace)));
                return (void 0)
              } else {
                const ent = $m_Lamf_plugins_document_vocabularies_spec_Dialect$().retrieveDomainEntity__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(unit);
                return ($is_Lamf_core_model_document_Fragment(unit) ? $this.declarationsFromFragments$1.put__O__O__s_Option(namespace, ent) : (ent.definition$1.props$1.values__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, ent$1, x2$1) {
                  return (function(p$2) {
                    const p = p$2;
                    if (p.hash$1.isDefined__Z()) {
                      ent$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, x2$1$1) {
                        return (function(decl$2) {
                          const decl = decl$2;
                          return (decl.linkValue$1.isDefined__Z() ? $this$2.declarationsFromLibraries$1.put__O__O__s_Option(((x2$1$1 + ".") + decl.linkValue$1.get__O()), decl) : (void 0))
                        })
                      })(this$2, x2$1)))
                    }
                  })
                })($this, ent, namespace))), (void 0)))
              }
            }
          }
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this)));
    const node = root.parsed$1.document$1;
    const this$3 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const map = arg1;
      const entries = map.entries$3;
      const this$11 = this.externals$1;
      const f = (function($this$3, entries$1) {
        return (function(mapping$2) {
          const mapping = mapping$2;
          const this$4 = entries$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, mapping$1) {
            return (function(x$3$2) {
              const x$3 = x$3$2;
              return (x$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$4.ctx$1).text$3 === mapping$1.name$1)
            })
          })($this$3, mapping)));
          let xo;
          if (this$4.isEmpty__Z()) {
            xo = $m_s_None$()
          } else {
            const arg1$1 = this$4.get__O();
            const node$1 = arg1$1;
            const this$5 = node$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this$3.ctx$1).map$3;
            const p$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5) {
              return (function(check$ifrefutable$1$2) {
                const check$ifrefutable$1 = check$ifrefutable$1$2;
                return (check$ifrefutable$1 !== null)
              })
            })($this$3));
            const jsx$2 = new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$5, p$1);
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
              return (function(x$4$2) {
                const x$4 = x$4$2;
                if ((x$4 !== null)) {
                  const alias = x$4.$$und1__O();
                  const nestedEntry = x$4.$$und2__O();
                  return this$2$1.externalsMap$1.put__O__O__s_Option(($m_Lorg_yaml_model_YNode$(), alias.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)), ($m_Lorg_yaml_model_YNode$(), nestedEntry.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)))
                } else {
                  throw new $c_s_MatchError().init___O(x$4)
                }
              })
            })($this$3));
            const this$8 = $m_sci_Iterable$();
            xo = new $c_s_Some().init___O(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2))
          };
          return xo.toList__sci_List()
        })
      })(this, entries);
      const this$10 = $m_sci_List$();
      const bf = this$10.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((this$11 !== $m_sci_Nil$())) {
          let rest = this$11;
          const found = new $c_sr_BooleanRef().init___Z(false);
          const h = new $c_sr_ObjectRef().init___O(null);
          const t = new $c_sr_ObjectRef().init___O(null);
          while ((rest !== $m_sci_Nil$())) {
            const arg1$2 = rest.head__O();
            f(arg1$2).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, found$1, h$1, t$1) {
              return (function(b$2) {
                if ((!found$1.elem$1)) {
                  h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                  t$1.elem$1 = h$1.elem$1;
                  found$1.elem$1 = true
                } else {
                  const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                  t$1.elem$1.tl$5 = nx;
                  t$1.elem$1 = nx
                }
              })
            })(this$11, found, h, t)));
            rest = rest.tail__O()
          };
          if (found.elem$1) {
            h.elem$1
          }
        }
      } else {
        $m_sci_List$();
        const b = new $c_scm_ListBuffer().init___();
        let these = this$11;
        while ((!these.isEmpty__Z())) {
          const arg1$3 = these.head__O();
          const xs = f(arg1$3).seq__sc_TraversableOnce();
          b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
          these = these.tail__O()
        };
        b.toList__sci_List()
      };
      const this$16 = entries.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          return (x$5.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$2.ctx$1).text$3 === "base")
        })
      })(this)));
      let this$19;
      if (this$16.isEmpty__Z()) {
        this$19 = $m_s_None$()
      } else {
        const arg1$4 = this$16.get__O();
        const entry = arg1$4;
        const node$2 = entry.value$1;
        const iv = this.ctx$1;
        const this$18 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv);
        const node$3 = this$18.string__Lamf_core_model_domain_AmfScalar().value$1;
        this$19 = new $c_s_Some().init___O(new $c_T2().init___O__O(entry, node$3))
      };
      const p$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          if ((x$6 !== null)) {
            const node$4 = x$6.$$und2__O();
            return $is_T(node$4)
          } else {
            throw new $c_s_MatchError().init___O(x$6)
          }
        })
      })(this));
      const this$20 = new $c_s_Option$WithFilter().init___s_Option__F1(this$19, p$3);
      const this$21 = this$20.$$outer$1;
      const p$4 = this$20.p$1;
      const this$22 = ((this$21.isEmpty__Z() || (!(!p$4.apply__O__O(this$21.get__O())))) ? this$21 : $m_s_None$());
      if ((!this$22.isEmpty__Z())) {
        const arg1$5 = this$22.get__O();
        const x$7 = arg1$5;
        if ((x$7 !== null)) {
          const node$5 = x$7.$$und2__O();
          this.base$1 = this.fixBase$1__p1__T__T(node$5)
        } else {
          throw new $c_s_MatchError().init___O(x$7)
        };
        new $c_s_Some().init___O((void 0))
      }
    }
  };
  init___Lamf_core_Root__sci_List__sci_Map__Lamf_core_parser_ParserContext(root, externals, referencedDocuments, ctx) {
    this.externals$1 = externals;
    this.referencedDocuments$1 = referencedDocuments;
    this.ctx$1 = ctx;
    $f_Lamf_plugins_document_vocabularies_spec_Builtins__$$init$__V(this);
    $f_Lamf_plugins_document_vocabularies_spec_TypeBuiltins__$$init$__V(this);
    this.REGEX$undURI$1 = "^([a-z][a-z0-9+.-]*):(?://((?:(?=((?:[a-z0-9-._~!$&'()*+,;=:]|%[0-9A-F]{2})*))(\\3)@)?(?=([[0-9A-F:.]{2,}]|(?:[a-z0-9-._~!$&'()*+,;=]|%[0-9A-F]{2})*))\\5(?::(?=(\\d*))\\6)?)(\\/(?=((?:[a-z0-9-._~!$&'()*+,;=:@\\/]|%[0-9A-F]{2})*))\\8)?|(\\/?(?!\\/)(?=((?:[a-z0-9-._~!$&'()*+,;=:@\\/]|%[0-9A-F]{2})*))\\10)?)(?:\\?(?=((?:[a-z0-9-._~!$&'()*+,;=:@\\/?]|%[0-9A-F]{2})*))\\11)?(?:#(?=((?:[a-z0-9-._~!$&'()*+,;=:@\\/?]|%[0-9A-F]{2})*))\\12)?$";
    this.externalsMap$1 = new $c_scm_HashMap().init___();
    this.declarationsFromLibraries$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.declarationsFromFragments$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.base$1 = (root.location$1 + "#");
    this.initReferences__Lamf_core_Root__V(root);
    this.resolvedExternals$1 = new $c_scm_HashSet().init___();
    return this
  };
  resolve__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    try {
      const x = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
      if (x.equals__O__Z(t)) {
        const x1$2 = $m_s_Option$().apply__O__s_Option(name);
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const range = x2.value$2;
          const x1$3 = this.b2id$1.get__O__s_Option(range);
          if ($is_s_Some(x1$3)) {
            const x2$2 = x1$3;
            const bid = x2$2.value$2;
            return new $c_s_Some().init___O(bid)
          } else {
            return new $c_s_Some().init___O(this.resolveBasicRef__T__T(name))
          }
        } else {
          const x$3 = $m_s_None$();
          if ((x$3 === x1$2)) {
            return new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().ANY$1)
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        }
      } else {
        return new $c_s_Some().init___O(this.resolveBasicRef__T__T(name))
      }
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ($is_jl_Exception(e$2)) {
        return $m_s_None$()
      } else {
        throw e
      }
    }
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_BasicResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_BasicResolver)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_BasicResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_BasicResolver)))
});
const $d_Lamf_plugins_document_vocabularies_spec_BasicResolver = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_BasicResolver: 0
}, false, "amf.plugins.document.vocabularies.spec.BasicResolver", {
  Lamf_plugins_document_vocabularies_spec_BasicResolver: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_TypeBuiltins: 1,
  Lamf_plugins_document_vocabularies_spec_Builtins: 1,
  Lamf_plugins_document_vocabularies_spec_LocalNameProvider: 1,
  Lamf_plugins_document_vocabularies_spec_ReferenceResolver: 1
});
$c_Lamf_plugins_document_vocabularies_spec_BasicResolver.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_BasicResolver;
class $c_Lamf_plugins_document_vocabularies_spec_Dialect extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.version$1 = null;
    this.root$1 = null;
    this.resolver$1 = null;
    this.module$1 = null;
    this.fragments$1 = null;
    this.kind$1 = null;
    this.external$1 = null;
    this.externalIri$1 = null;
    this.jsonLDRefiner$1 = null;
    this.ramlRefiner$1 = null
  };
  productPrefix__T() {
    return "Dialect"
  };
  findNodeType__p1__T__sc_Seq__sci_Set__s_Option(nodeType, nodes, visited) {
    _findNodeType: while (true) {
      if ((nodeType === this.externalIri$1)) {
        return new $c_s_Some().init___O(this.external$1)
      } else if (nodes.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const node = nodes.head__O();
        const this$1 = node.type$1;
        let x1;
        inlinereturn$1: {
          let these = this$1;
          while ((!these.isEmpty__Z())) {
            const arg1 = these.head__O();
            const x$1 = arg1;
            if ((x$1.iri__T() === nodeType)) {
              x1 = new $c_s_Some().init___O(these.head__O());
              break inlinereturn$1
            };
            these = these.tail__O()
          };
          x1 = $m_s_None$()
        };
        if ($is_s_Some(x1)) {
          return new $c_s_Some().init___O(node)
        } else {
          const x$2 = $m_s_None$();
          if ((x$2 === x1)) {
            const this$6 = node.mappings__sci_List();
            const f = (function(this$2) {
              return (function(mapping$2) {
                const mapping = mapping$2;
                const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([mapping.range$1]));
                const xo = mapping.unionTypes$1;
                const jsx$1 = xo.toList__sci_List();
                const this$4 = $m_sc_Seq$();
                return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
              })
            })(this);
            const this$5 = $m_sci_List$();
            const bf = this$5.ReusableCBFInstance$2;
            let types;
            if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
              if ((this$6 === $m_sci_Nil$())) {
                types = $m_sci_Nil$()
              } else {
                let rest = this$6;
                const found = new $c_sr_BooleanRef().init___Z(false);
                const h = new $c_sr_ObjectRef().init___O(null);
                const t = new $c_sr_ObjectRef().init___O(null);
                while ((rest !== $m_sci_Nil$())) {
                  const arg1$1 = rest.head__O();
                  f(arg1$1).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, found$1, h$1, t$1) {
                    return (function(b$2) {
                      if ((!found$1.elem$1)) {
                        h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                        t$1.elem$1 = h$1.elem$1;
                        found$1.elem$1 = true
                      } else {
                        const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                        t$1.elem$1.tl$5 = nx;
                        t$1.elem$1 = nx
                      }
                    })
                  })(this$6, found, h, t)));
                  rest = rest.tail__O()
                };
                types = ((!found.elem$1) ? $m_sci_Nil$() : h.elem$1)
              }
            } else {
              $m_sci_List$();
              const b = new $c_scm_ListBuffer().init___();
              let these$1 = this$6;
              while ((!these$1.isEmpty__Z())) {
                const arg1$2 = these$1.head__O();
                const xs = f(arg1$2).seq__sc_TraversableOnce();
                b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
                these$1 = these$1.tail__O()
              };
              types = b.toList__sci_List()
            };
            const jsx$3 = new $c_Lamf_plugins_document_vocabularies_spec_Dialect$$anonfun$1().init___Lamf_plugins_document_vocabularies_spec_Dialect(this);
            const this$11 = $m_sci_List$();
            const dialectNodes = types.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, visited$1) {
              return (function(x$2$2$2) {
                const x$2$2 = x$2$2$2;
                return (!visited$1.contains__O__Z(x$2$2))
              })
            })(this, visited))).toSet__sci_Set();
            const jsx$5 = $f_sc_SetLike__toSeq__sc_Seq(dialectNodes);
            const jsx$4 = nodes.tail__O();
            const this$12 = $m_sc_Seq$();
            const temp$nodes = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$12.ReusableCBFInstance$2);
            const temp$visited = visited.$$plus__O__sc_Set(node);
            nodes = temp$nodes;
            visited = temp$visited;
            continue _findNodeType
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      }
    }
  };
  productArity__I() {
    return 7
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_spec_Dialect(x$1)) {
      const Dialect$1 = x$1;
      let jsx$4;
      if (((this.name$1 === Dialect$1.name$1) && (this.version$1 === Dialect$1.version$1))) {
        const x = this.root$1;
        const x$2 = Dialect$1.root$1;
        jsx$4 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$3 = this.resolver$1;
        const x$4 = Dialect$1.resolver$1;
        jsx$3 = (x$3 === x$4)
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.module$1;
        const x$6 = Dialect$1.module$1;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.fragments$1;
        const x$8 = Dialect$1.fragments$1;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : $f_sc_GenMapLike__equals__O__Z(x$7, x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$9 = this.kind$1;
        const x$10 = Dialect$1.kind$1;
        return (x$9 === x$10)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.version$1;
        break
      }
      case 2: {
        return this.root$1;
        break
      }
      case 3: {
        return this.resolver$1;
        break
      }
      case 4: {
        return this.module$1;
        break
      }
      case 5: {
        return this.fragments$1;
        break
      }
      case 6: {
        return this.kind$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__T__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_ResolverFactory__s_Option__sci_Map__Lamf_plugins_document_vocabularies_spec_DialectKind(name, version, root, resolver, module, fragments, kind) {
    this.name$1 = name;
    this.version$1 = version;
    this.root$1 = root;
    this.resolver$1 = resolver;
    this.module$1 = module;
    this.fragments$1 = fragments;
    this.kind$1 = kind;
    const dialect = new $c_s_Some().init___O(this);
    root.$$unddialect$1 = dialect;
    this.external$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectNode().init___T__Lamf_core_vocabulary_Namespace("ExternalEntity", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.externalIri$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ExternalEntity").iri__T();
    this.jsonLDRefiner$1 = $m_s_None$();
    this.ramlRefiner$1 = $m_s_None$();
    return this
  };
  knows__T__s_Option(nodeType) {
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.root$1]));
    const array = [this.root$1];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    return this.findNodeType__p1__T__sc_Seq__sci_Set__s_Option(nodeType, jsx$2, jsx$1)
  };
  header__T() {
    const thiz = ((("#%" + this.name$1) + " ") + this.version$1);
    return thiz.trim()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_Dialect = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_Dialect)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_Dialect = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_Dialect)))
});
const $d_Lamf_plugins_document_vocabularies_spec_Dialect = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_Dialect: 0
}, false, "amf.plugins.document.vocabularies.spec.Dialect", {
  Lamf_plugins_document_vocabularies_spec_Dialect: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_Dialect.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_Dialect;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$ extends $c_sr_AbstractFunction3 {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  toString__T() {
    return "ObjectEmitter"
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter(obj, comment, root) {
    return new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z(this.$$outer$2, obj, comment, root)
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
  apply__O__O__O__O(v1, v2, v3) {
    return this.apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter(v1, v2, (!(!v3)))
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$ObjectEmitter$", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$;
class $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.range$1 = null;
    this.unionTypes$1 = null;
    this.required$1 = false;
    this.collection$1 = false;
    this.referenceTarget$1 = null;
    this.noRAML$1 = false;
    this.noLastSegmentTrimInMaps$1 = false;
    this.hash$1 = null;
    this.hashValue$1 = null;
    this.fromVal$1 = false;
    this.isDeclaration$1 = false;
    this.isDocumentDeclaration$1 = false;
    this.namespace$1 = null;
    this.rdfName$1 = null;
    this.jsonld$1 = false;
    this.owningNode$1 = null;
    this.scalaNameOverride$1 = null;
    this.allowInplace$1 = false;
    this.pattern$1 = null;
    this.enum$1 = null;
    this.minimum$1 = null;
    this.maximum$1 = null;
    this.defaultValue$1 = null
  };
  productPrefix__T() {
    return "DialectPropertyMapping"
  };
  productArity__I() {
    return 24
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(x$1)) {
      const DialectPropertyMapping$1 = x$1;
      let jsx$13;
      if ((this.name$1 === DialectPropertyMapping$1.name$1)) {
        const x = this.range$1;
        const x$2 = DialectPropertyMapping$1.range$1;
        jsx$13 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$13 = false
      };
      let jsx$12;
      if (jsx$13) {
        const x$3 = this.unionTypes$1;
        const x$4 = DialectPropertyMapping$1.unionTypes$1;
        jsx$12 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$12 = false
      };
      let jsx$11;
      if (((jsx$12 && (this.required$1 === DialectPropertyMapping$1.required$1)) && (this.collection$1 === DialectPropertyMapping$1.collection$1))) {
        const x$5 = this.referenceTarget$1;
        const x$6 = DialectPropertyMapping$1.referenceTarget$1;
        jsx$11 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$11 = false
      };
      let jsx$10;
      if (((jsx$11 && (this.noRAML$1 === DialectPropertyMapping$1.noRAML$1)) && (this.noLastSegmentTrimInMaps$1 === DialectPropertyMapping$1.noLastSegmentTrimInMaps$1))) {
        const x$7 = this.hash$1;
        const x$8 = DialectPropertyMapping$1.hash$1;
        jsx$10 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$10 = false
      };
      let jsx$9;
      if (jsx$10) {
        const x$9 = this.hashValue$1;
        const x$10 = DialectPropertyMapping$1.hashValue$1;
        jsx$9 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$9 = false
      };
      let jsx$8;
      if ((((jsx$9 && (this.fromVal$1 === DialectPropertyMapping$1.fromVal$1)) && (this.isDeclaration$1 === DialectPropertyMapping$1.isDeclaration$1)) && (this.isDocumentDeclaration$1 === DialectPropertyMapping$1.isDocumentDeclaration$1))) {
        const x$11 = this.namespace$1;
        const x$12 = DialectPropertyMapping$1.namespace$1;
        jsx$8 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$8 = false
      };
      let jsx$7;
      if (jsx$8) {
        const x$13 = this.rdfName$1;
        const x$14 = DialectPropertyMapping$1.rdfName$1;
        jsx$7 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if ((jsx$7 && (this.jsonld$1 === DialectPropertyMapping$1.jsonld$1))) {
        const x$15 = this.owningNode$1;
        const x$16 = DialectPropertyMapping$1.owningNode$1;
        jsx$6 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$17 = this.scalaNameOverride$1;
        const x$18 = DialectPropertyMapping$1.scalaNameOverride$1;
        jsx$5 = ((x$17 === null) ? (x$18 === null) : x$17.equals__O__Z(x$18))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if ((jsx$5 && (this.allowInplace$1 === DialectPropertyMapping$1.allowInplace$1))) {
        const x$19 = this.pattern$1;
        const x$20 = DialectPropertyMapping$1.pattern$1;
        jsx$4 = ((x$19 === null) ? (x$20 === null) : x$19.equals__O__Z(x$20))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$21 = this.enum$1;
        const x$22 = DialectPropertyMapping$1.enum$1;
        jsx$3 = ((x$21 === null) ? (x$22 === null) : x$21.equals__O__Z(x$22))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$23 = this.minimum$1;
        const x$24 = DialectPropertyMapping$1.minimum$1;
        jsx$2 = ((x$23 === null) ? (x$24 === null) : x$23.equals__O__Z(x$24))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$25 = this.maximum$1;
        const x$26 = DialectPropertyMapping$1.maximum$1;
        jsx$1 = ((x$25 === null) ? (x$26 === null) : x$25.equals__O__Z(x$26))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$27 = this.defaultValue$1;
        const x$28 = DialectPropertyMapping$1.defaultValue$1;
        return ((x$27 === null) ? (x$28 === null) : x$27.equals__O__Z(x$28))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  field__Lamf_core_metamodel_Field() {
    const type = ((this.collection$1 || this.hash$1.isDefined__Z()) ? new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type(this.range$1) : this.range$1);
    return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(type, this.fieldName__Lamf_core_vocabulary_ValueType(), this.jsonld$1)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.range$1;
        break
      }
      case 2: {
        return this.unionTypes$1;
        break
      }
      case 3: {
        return this.required$1;
        break
      }
      case 4: {
        return this.collection$1;
        break
      }
      case 5: {
        return this.referenceTarget$1;
        break
      }
      case 6: {
        return this.noRAML$1;
        break
      }
      case 7: {
        return this.noLastSegmentTrimInMaps$1;
        break
      }
      case 8: {
        return this.hash$1;
        break
      }
      case 9: {
        return this.hashValue$1;
        break
      }
      case 10: {
        return this.fromVal$1;
        break
      }
      case 11: {
        return this.isDeclaration$1;
        break
      }
      case 12: {
        return this.isDocumentDeclaration$1;
        break
      }
      case 13: {
        return this.namespace$1;
        break
      }
      case 14: {
        return this.rdfName$1;
        break
      }
      case 15: {
        return this.jsonld$1;
        break
      }
      case 16: {
        return this.owningNode$1;
        break
      }
      case 17: {
        return this.scalaNameOverride$1;
        break
      }
      case 18: {
        return this.allowInplace$1;
        break
      }
      case 19: {
        return this.pattern$1;
        break
      }
      case 20: {
        return this.enum$1;
        break
      }
      case 21: {
        return this.minimum$1;
        break
      }
      case 22: {
        return this.maximum$1;
        break
      }
      case 23: {
        return this.defaultValue$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  isScalar__Z() {
    const x1 = this.range$1;
    return $is_Lamf_core_metamodel_Type$Scalar(x1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  rangeAsDialect__s_Option() {
    const x1 = this.range$1;
    if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(x1)) {
      const x2 = x1;
      return new $c_s_Some().init___O(x2)
    } else {
      return $m_s_None$()
    }
  };
  fieldName__Lamf_core_vocabulary_ValueType() {
    const x1 = this.rdfName$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const rdf = x2.value$2;
      const this$1 = this.namespace$1.get__O();
      return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, rdf)
    } else {
      const this$3 = this.namespace$1.get__O();
      const id = this.name$1;
      return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, id)
    }
  };
  init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(name, range, unionTypes, required, collection, referenceTarget, noRAML, noLastSegmentTrimInMaps, hash, hashValue, fromVal, isDeclaration, isDocumentDeclaration, namespace, rdfName, jsonld, owningNode, scalaNameOverride, allowInplace, pattern, $enum, minimum, maximum, defaultValue) {
    this.name$1 = name;
    this.range$1 = range;
    this.unionTypes$1 = unionTypes;
    this.required$1 = required;
    this.collection$1 = collection;
    this.referenceTarget$1 = referenceTarget;
    this.noRAML$1 = noRAML;
    this.noLastSegmentTrimInMaps$1 = noLastSegmentTrimInMaps;
    this.hash$1 = hash;
    this.hashValue$1 = hashValue;
    this.fromVal$1 = fromVal;
    this.isDeclaration$1 = isDeclaration;
    this.isDocumentDeclaration$1 = isDocumentDeclaration;
    this.namespace$1 = namespace;
    this.rdfName$1 = rdfName;
    this.jsonld$1 = jsonld;
    this.owningNode$1 = owningNode;
    this.scalaNameOverride$1 = scalaNameOverride;
    this.allowInplace$1 = allowInplace;
    this.pattern$1 = pattern;
    this.enum$1 = $enum;
    this.minimum$1 = minimum;
    this.maximum$1 = maximum;
    this.defaultValue$1 = defaultValue;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.name$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.range$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.unionTypes$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.required$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.collection$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.referenceTarget$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.noRAML$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.noLastSegmentTrimInMaps$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.hash$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.hashValue$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.fromVal$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isDeclaration$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isDocumentDeclaration$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.namespace$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.rdfName$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.jsonld$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.owningNode$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.scalaNameOverride$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.allowInplace$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.pattern$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.enum$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.minimum$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.maximum$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.defaultValue$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 24)
  };
  adopt__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(dialectNode) {
    const x1 = this.namespace$1;
    const x = $m_s_None$();
    if ((x === x1)) {
      const x$9 = new $c_s_Some().init___O(dialectNode.namespace__Lamf_core_vocabulary_Namespace());
      const x$10 = $m_s_Option$().apply__O__s_Option(dialectNode);
      const x$11 = this.name$1;
      const x$12 = this.range$1;
      const x$13 = this.unionTypes$1;
      const x$14 = this.required$1;
      const x$15 = this.collection$1;
      const x$16 = this.referenceTarget$1;
      const x$17 = this.noRAML$1;
      const x$18 = this.noLastSegmentTrimInMaps$1;
      const x$19 = this.hash$1;
      const x$20 = this.hashValue$1;
      const x$21 = this.fromVal$1;
      const x$22 = this.isDeclaration$1;
      const x$23 = this.isDocumentDeclaration$1;
      const x$24 = this.rdfName$1;
      const x$25 = this.jsonld$1;
      const x$26 = this.scalaNameOverride$1;
      const x$27 = this.allowInplace$1;
      const x$28 = this.pattern$1;
      const x$29 = this.enum$1;
      const x$30 = this.minimum$1;
      const x$31 = this.maximum$1;
      const x$32 = this.defaultValue$1;
      return new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$18, x$19, x$20, x$21, x$22, x$23, x$9, x$24, x$25, x$10, x$26, x$27, x$28, x$29, x$30, x$31, x$32)
    } else {
      const x$33 = $m_s_Option$().apply__O__s_Option(dialectNode);
      const x$34 = this.name$1;
      const x$35 = this.range$1;
      const x$36 = this.unionTypes$1;
      const x$37 = this.required$1;
      const x$38 = this.collection$1;
      const x$39 = this.referenceTarget$1;
      const x$40 = this.noRAML$1;
      const x$41 = this.noLastSegmentTrimInMaps$1;
      const x$42 = this.hash$1;
      const x$43 = this.hashValue$1;
      const x$44 = this.fromVal$1;
      const x$45 = this.isDeclaration$1;
      const x$46 = this.isDocumentDeclaration$1;
      const x$47 = this.namespace$1;
      const x$48 = this.rdfName$1;
      const x$49 = this.jsonld$1;
      const x$50 = this.scalaNameOverride$1;
      const x$51 = this.allowInplace$1;
      const x$52 = this.pattern$1;
      const x$53 = this.enum$1;
      const x$54 = this.minimum$1;
      const x$55 = this.maximum$1;
      const x$56 = this.defaultValue$1;
      return new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$34, x$35, x$36, x$37, x$38, x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46, x$47, x$48, x$49, x$33, x$50, x$51, x$52, x$53, x$54, x$55, x$56)
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectPropertyMapping", {
  Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping;
class $c_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ctx$1 = null
  };
  $$plus$eq__T__Lamf_core_model_document_Fragment__V(url, fragment) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(url, fragment));
    const this$5 = this.ctx$1.declarations$3;
    const jsx$1 = this$5.fragments$1;
    const y = fragment.encodes__Lamf_core_model_domain_DomainElement();
    this$5.fragments$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(url, y))
  };
  productPrefix__T() {
    return "ReferenceDeclarations"
  };
  productArity__I() {
    return 1
  };
  $$plus$eq__T__Lamf_core_model_document_Document__V(url, fragment) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(url, fragment))
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations(x$1)) {
      const ReferenceDeclarations$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferenceDeclarations$1.references$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, unit) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(alias, unit));
    const library = this.ctx$1.declarations$3.getOrCreateLibrary__T__Lamf_core_parser_Declarations(alias);
    if ($is_Lamf_core_model_document_DeclaresModel(unit)) {
      unit.declares__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          return (!$is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$1))
        })
      })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, library$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return library$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations(x$1)
        })
      })(this, library)))
    } else {
      throw new $c_s_MatchError().init___O(unit)
    }
  };
  init___scm_Map__Lamf_plugins_document_vocabularies_spec_DialectContext(references, ctx) {
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  solvedReferences__sc_Seq() {
    const this$1 = this.references$1.values__sc_Iterable().toSet__sci_Set();
    return $f_sc_SetLike__toSeq__sc_Seq(this$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations)))
});
const $d_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations: 0
}, false, "amf.plugins.document.vocabularies.spec.ReferenceDeclarations", {
  Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations;
class $c_Lamf_plugins_document_vocabularies_spec_ReferencesParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.references$1 = null;
    this.ctx$1 = null
  };
  parseLibraries__p1__T__Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations(id) {
    const result = $m_Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations$().apply__Lamf_plugins_document_vocabularies_spec_DialectContext__Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations(this.ctx$1);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = this.key$1;
    const this$3 = this$2.key__T__s_Option(keyword);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, result$2) {
        return (function(e$2) {
          const e = e$2;
          $m_Lorg_yaml_model_YNode$();
          const node = e.key$1;
          const alias = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          $m_Lorg_yaml_model_YNode$();
          const node$1 = e.value$1;
          const url = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          const this$6 = $this.target__p1__T__s_Option(url);
          if ((!this$6.isEmpty__Z())) {
            const arg1$1 = this$6.get__O();
            const x0$3 = arg1$1;
            if ($is_Lamf_core_model_document_DeclaresModel(x0$3)) {
              result$2.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, $this.collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(x0$3, new $c_T2().init___O__O(alias, url)))
            } else {
              $this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected module but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$3])), e)
            }
          }
        })
      })(this, id, result)))
    };
    return result
  };
  productPrefix__T() {
    return "ReferencesParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_spec_ReferencesParser(x$1)) {
      const ReferencesParser$1 = x$1;
      if (((this.key$1 === ReferencesParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ReferencesParser$1.map$1))) {
        const x = this.references$1;
        const x$2 = ReferencesParser$1.references$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  target__p1__T__s_Option(url) {
    const this$2 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
      return (function(r$2) {
        const r = r$2;
        const this$1 = r.origin$1.url$1;
        return (this$1 === url$1)
      })
    })(this, url)));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$2 = arg1;
      return new $c_s_Some().init___O(x$2.unit$1)
    }
  };
  init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_spec_DialectContext(key, map, references, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  parse__T__Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations(location) {
    const result = this.parseLibraries__p1__T__Lamf_plugins_document_vocabularies_spec_ReferenceDeclarations(location);
    this.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        matchEnd9: {
          if ((x0$2 !== null)) {
            const f = x0$2.unit$1;
            const origin = x0$2.origin$1;
            if ($is_Lamf_core_model_document_Fragment(f)) {
              const x4 = f;
              if ((origin !== null)) {
                result$1.$$plus$eq__T__Lamf_core_model_document_Fragment__V(origin.url$1, x4);
                break matchEnd9
              }
            }
          };
          if ((x0$2 !== null)) {
            const d = x0$2.unit$1;
            const origin$2 = x0$2.origin$1;
            if ($is_Lamf_core_model_document_Document(d)) {
              const x6 = d;
              if ((origin$2 !== null)) {
                result$1.$$plus$eq__T__Lamf_core_model_document_Document__V(origin$2.url$1, x6);
                break matchEnd9
              }
            }
          }
        }
      })
    })(this, result)));
    return result
  };
  collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(module, alias) {
    const x1 = module.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const aliases = x2.value$2;
      module.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return $is_Lamf_core_annotations_Aliases(x$3)
        })
      })(this)));
      const aliases$1 = aliases.aliases$1.$$plus__O__sc_Set(alias);
      const annotation = new $c_Lamf_core_annotations_Aliases().init___sci_Set(aliases$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const array = [alias];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          jsx$1 = $m_sci_Set$EmptySet$()
        } else {
          const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_SetBuilder(arg1);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.elems$1
        };
        const annotation$1 = new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$1);
        return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_ReferencesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_ReferencesParser)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_ReferencesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_ReferencesParser)))
});
const $d_Lamf_plugins_document_vocabularies_spec_ReferencesParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_ReferencesParser: 0
}, false, "amf.plugins.document.vocabularies.spec.ReferencesParser", {
  Lamf_plugins_document_vocabularies_spec_ReferencesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_ReferencesParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_ReferencesParser;
const $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq = (function($thiz) {
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$(), $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$()]))
});
const $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq = (function($thiz) {
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$(), $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$()]))
});
const $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__validatePayload__Lamf_core_model_domain_Shape__Lamf_core_model_domain_DataNode__s_concurrent_Future = (function($thiz, shape, payload) {
  return new $c_Lamf_plugins_document_webapi_validation_PayloadValidation().init___Lamf_core_remote_Platform__Lamf_core_model_domain_Shape($thiz.platform__Lamf_core_remote_Platform(), shape).validate__Lamf_core_model_domain_DataNode__s_concurrent_Future(payload)
});
const $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map = (function($thiz) {
  const y = $m_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$();
  const jsx$2 = new $c_T2().init___O__O("parsed-json-schema", y);
  const y$1 = $m_Lamf_plugins_document_webapi_annotations_DeclaredElement$();
  const jsx$1 = new $c_T2().init___O__O("declared-element", y$1);
  const y$2 = $m_Lamf_plugins_document_webapi_annotations_LocalLinkPath$();
  const array = [jsx$2, jsx$1, new $c_T2().init___O__O("local-link-path", y$2)];
  const this$8 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i = 0;
  const len = (array.length | 0);
  while ((i < len)) {
    const index = i;
    const arg1 = array[index];
    this$8.$$plus$eq__T2__scm_MapBuilder(arg1);
    i = ((1 + i) | 0)
  };
  return this$8.elems$1
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader extends $c_O {
  constructor() {
    super();
    this.text$1 = null
  };
  productPrefix__T() {
    return "RamlHeader"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_RamlHeader(x$1)) {
      const RamlHeader$1 = x$1;
      return (this.text$1 === RamlHeader$1.text$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(text) {
    this.text$1 = text;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_RamlHeader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_RamlHeader)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_RamlHeader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_RamlHeader)))
});
const $d_Lamf_plugins_document_webapi_parser_RamlHeader = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader", {
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader;
class $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables extends $c_O {
  constructor() {
    super();
    this.variables$1 = null
  };
  init___() {
    this.variables$1 = $m_scm_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  productPrefix__T() {
    return "AbstractVariables"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseVariables__T__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(s) {
    const this$1 = $m_Lamf_core_resolution_VariableReplacer$().VariableRegex$1.findAllMatchIn__jl_CharSequence__sc_Iterator(s);
    while (this$1.hasNext__Z()) {
      const arg1 = this$1.next__O();
      const m = arg1;
      this.variables$1.$$plus$eq__O__scm_SetLike($f_s_util_matching_Regex$MatchData__group__I__T(m, 1))
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.AbstractVariables", {
  Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables;
class $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "AnnotationParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser(x$1)) {
      const AnnotationParser$1 = x$1;
      const x = this.element$1;
      const x$2 = AnnotationParser$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationParser$1.map$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const extensions = $m_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$().parseExtensions__T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(this.element$1.id__T(), this.map$1, this.ctx$1);
    if (extensions.nonEmpty__Z()) {
      const this$1 = this.element$1;
      const field = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field();
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$1, field, extensions)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(element, map, ctx) {
    this.element$1 = element;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.AnnotationParser", {
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.parameters$1 = null;
    this.parent$1 = null;
    this.idCounter$1 = null;
    this.ctx$1 = null
  };
  parseObject__Lorg_yaml_model_YMap__Lamf_core_model_domain_DataNode(value) {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(value);
    const this$3 = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.idCounter$1.genId__T__T("object");
    const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
    const this$4 = this.parent$1;
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const parent = arg1;
      node.adopted__T__Lamf_core_model_domain_DataNode(parent)
    };
    const jsx$2 = value.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, node$1) {
      return (function(ast$2) {
        const ast = ast$2;
        const key = ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$1.ctx$1).text$3;
        this$2$1.parameters$1.parseVariables__T__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(key);
        const value$1 = ast.value$1;
        const propertyAnnotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
        const propertyNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(value$1, this$2$1.parameters$1, new $c_s_Some().init___O(node$1.id$1), this$2$1.idCounter$1, this$2$1.ctx$1).parse__Lamf_core_model_domain_DataNode().forceAdopted__T__Lamf_core_model_domain_DataNode(node$1.id$1);
        return node$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode($m_Lamf_core_utils_package$Strings$().urlEncoded$extension__T__T(key), propertyNode, propertyAnnotations)
      })
    })(this, node));
    const this$6 = $m_sc_IndexedSeq$();
    jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBF$6);
    return node
  };
  productPrefix__T() {
    return "DataNodeParser"
  };
  productArity__I() {
    return 4
  };
  normalizeUrl__T__T(url) {
    if (((url.indexOf("://") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const protocol = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const path = $f_sc_IndexedSeqOptimized__last__O(this$9);
      const remaining = $m_sjsr_RuntimeString$().split__T__T__I__AT(path, "/", 0);
      const elem = new $c_scm_ListBuffer().init___();
      let elem$1 = null;
      elem$1 = elem;
      let i = 0;
      const len = remaining.u.length;
      while ((i < len)) {
        const index = i;
        const arg1 = remaining.u[index];
        const x0$1 = arg1;
        if ((x0$1 !== ".")) {
          if ((x0$1 === "..")) {
            const this$15 = elem$1;
            elem$1 = $f_sc_IterableLike__dropRight__I__O(this$15, 1)
          } else {
            elem$1.$$plus$eq__O__scm_ListBuffer(x0$1)
          }
        };
        i = ((1 + i) | 0)
      };
      const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "://", ""]));
      const this$16 = elem$1;
      const this$17 = this$16.scala$collection$mutable$ListBuffer$$start$6;
      return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([protocol, $f_sc_TraversableOnce__mkString__T__T__T__T(this$17, "", "/", "")]))
    } else {
      return url
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser(x$1)) {
      const DataNodeParser$1 = x$1;
      let jsx$2;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataNodeParser$1.node$1)) {
        const x = this.parameters$1;
        const x$2 = DataNodeParser$1.parameters$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.parent$1;
        const x$4 = DataNodeParser$1.parent$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.idCounter$1;
        const x$6 = DataNodeParser$1.idCounter$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(ast, dataType) {
    $m_Lamf_core_model_domain_ScalarNode$();
    const value = ast.text$3;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$1 = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, dataType).iri__T());
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const this$5 = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(value, dataType$1, new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.idCounter$1.genId__T__T("scalar");
    const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, name);
    const this$6 = this.parent$1;
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const parent = arg1;
      node.adopted__T__Lamf_core_model_domain_DataNode(parent)
    };
    const this$7 = this.parameters$1;
    this$7.parseVariables__T__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(ast.text$3);
    return node
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.parameters$1;
        break
      }
      case 2: {
        return this.parent$1;
        break
      }
      case 3: {
        return this.idCounter$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(node, parameters, parent, idCounter, ctx) {
    this.node$1 = node;
    this.parameters$1 = parameters;
    this.parent$1 = parent;
    this.idCounter$1 = idCounter;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_core_model_domain_DataNode() {
    const x1 = this.node$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Str$1;
    if ((x === x1)) {
      const thiz = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("^\\d{2}:\\d{2}(:\\d{2})?$", thiz)) {
        return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "time")
      } else {
        const thiz$1 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        if ((thiz$1 === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("^\\d{4}-\\d{1,2}-\\d{1,2}?$", thiz$1)) {
          return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "date")
        } else {
          return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "string")
        }
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Int$1;
      if ((x$3 === x1)) {
        return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "integer")
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Float$1;
        if ((x$5 === x1)) {
          return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "float")
        } else {
          const x$7 = $m_Lorg_yaml_model_YType$().Bool$1;
          if ((x$7 === x1)) {
            return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "boolean")
          } else {
            const x$9 = $m_Lorg_yaml_model_YType$().Null$1;
            if ((x$9 === x1)) {
              return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "nil")
            } else {
              const x$11 = $m_Lorg_yaml_model_YType$().Seq$1;
              if ((x$11 === x1)) {
                return this.parseArray__sc_Seq__Lorg_yaml_model_YPart__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$1), this.node$1)
              } else {
                const x$13 = $m_Lorg_yaml_model_YType$().Map$1;
                if ((x$13 === x1)) {
                  return this.parseObject__Lorg_yaml_model_YMap__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1))
                } else {
                  const x$15 = $m_Lorg_yaml_model_YType$().Timestamp$1;
                  if ((x$15 === x1)) {
                    const thiz$2 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
                    if (((thiz$2.indexOf(":") | 0) > (-1))) {
                      return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "dateTime")
                    } else {
                      return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "date")
                    }
                  } else {
                    const this$5 = this.node$1;
                    const x$17 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
                    const x$18 = $m_Lorg_yaml_model_YType$().Include$1;
                    if ((x$17 === x$18)) {
                      return this.parseInclusion__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(this.node$1)
                    } else {
                      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse data node from AST structure ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  parseArray__sc_Seq__Lorg_yaml_model_YPart__Lamf_core_model_domain_DataNode(seq, ast) {
    $m_Lamf_core_model_domain_ArrayNode$();
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const this$3 = new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.idCounter$1.genId__T__T("array");
    const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
    const this$4 = this.parent$1;
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const parent = arg1;
      node.adopted__T__Lamf_core_model_domain_DataNode(parent)
    };
    seq.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, node$1) {
      return (function(v$2) {
        const v = v$2;
        const element = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(v, this$2$1.parameters$1, new $c_s_Some().init___O(node$1.id$1), this$2$1.idCounter$1, this$2$1.ctx$1).parse__Lamf_core_model_domain_DataNode().forceAdopted__T__Lamf_core_model_domain_DataNode(node$1.id$1);
        return node$1.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(element)
      })
    })(this, node)));
    return node
  };
  parseIncludedAST__T__Lamf_core_model_domain_DataNode(raw) {
    const qual$1 = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(raw, this.ctx$1).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include");
    const x1 = qual$1.parse__Z__sc_IndexedSeq(true).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $is_Lorg_yaml_model_YNode(x$1)
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const node = x2.value$2;
      if ($is_Lorg_yaml_model_YNode(node)) {
        const x3 = node;
        return new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(x3, this.parameters$1, this.parent$1, this.idCounter$1, this.ctx$1).parse__Lamf_core_model_domain_DataNode()
      }
    };
    $m_Lamf_core_model_domain_ScalarNode$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T());
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$7 = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(raw, dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$6 = this.parent$1;
    const value = ((this$6.isEmpty__Z() ? "" : this$6.get__O()) + "/included");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value)
  };
  parseInclusion__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      const x1$2 = this.ctx$1.refs$2.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
        return (function(ref$2) {
          const ref = ref$2;
          return (ref.origin$1.url$1 === x2$1.text$3)
        })
      })(this, x2)));
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const ref$3 = x2$2.value$2;
        if ($is_Lamf_core_model_document_ExternalFragment(ref$3.unit$1)) {
          const this$1 = ref$3.unit$1;
          const this$2 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
          const includedText = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
          return this.parseIncludedAST__T__Lamf_core_model_domain_DataNode(includedText)
        }
      };
      return this.parseLink__T__Lamf_core_model_domain_LinkNode(x2.text$3)
    } else {
      return this.parseLink__T__Lamf_core_model_domain_LinkNode(node.value__Lorg_yaml_model_YValue().toString__T())
    }
  };
  baseUrl__T__T(url) {
    if (((url.indexOf("://") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const protocol = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const path = $f_sc_IndexedSeqOptimized__last__O(this$9);
      const xs$2 = $m_sjsr_RuntimeString$().split__T__T__I__AT(path, "/", 0);
      const until = (((-1) + xs$2.u.length) | 0);
      const x = ((until > 0) ? until : 0);
      const y = xs$2.u.length;
      const hi = ((x < y) ? x : y);
      const size = ((hi > 0) ? hi : 0);
      const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$2).getComponentType__jl_Class(), size);
      if ((size > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(xs$2, 0, result, 0, size)
      };
      const remaining = result;
      const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "://", ""]));
      const b = new $c_scm_StringBuilder().init___();
      let elem$1 = false;
      elem$1 = true;
      b.append__T__scm_StringBuilder("");
      let i = 0;
      const len = remaining.u.length;
      while ((i < len)) {
        const index = i;
        const arg1 = remaining.u[index];
        if (elem$1) {
          b.append__O__scm_StringBuilder(arg1);
          elem$1 = false
        } else {
          b.append__T__scm_StringBuilder("/");
          b.append__O__scm_StringBuilder(arg1)
        };
        i = ((1 + i) | 0)
      };
      b.append__T__scm_StringBuilder("");
      const this$27 = b.underlying$5;
      return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([protocol, this$27.content$1]))
    } else {
      const xs$3 = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "/", 0);
      const until$1 = (((-1) + xs$3.u.length) | 0);
      const x$1 = ((until$1 > 0) ? until$1 : 0);
      const y$1 = xs$3.u.length;
      const hi$1 = ((x$1 < y$1) ? x$1 : y$1);
      const size$1 = ((hi$1 > 0) ? hi$1 : 0);
      const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$3).getComponentType__jl_Class(), size$1);
      if ((size$1 > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(xs$3, 0, result$1, 0, size$1)
      };
      const xs$4 = result$1;
      const b$1 = new $c_scm_StringBuilder().init___();
      let elem$1$1 = false;
      elem$1$1 = true;
      b$1.append__T__scm_StringBuilder("");
      let i$1 = 0;
      const len$1 = xs$4.u.length;
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = xs$4.u[index$1];
        if (elem$1$1) {
          b$1.append__O__scm_StringBuilder(arg1$1);
          elem$1$1 = false
        } else {
          b$1.append__T__scm_StringBuilder("/");
          b$1.append__O__scm_StringBuilder(arg1$1)
        };
        i$1 = ((1 + i$1) | 0)
      };
      b$1.append__T__scm_StringBuilder("");
      const this$45 = b$1.underlying$5;
      return this$45.content$1
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseLink__T__Lamf_core_model_domain_LinkNode(linkText) {
    if (((linkText.indexOf(":") | 0) !== (-1))) {
      $m_Lamf_core_model_domain_LinkNode$();
      const this$8 = new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(linkText, linkText, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
      const this$7 = this.parent$1;
      const value = ((this$7.isEmpty__Z() ? "" : this$7.get__O()) + "/included");
      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value)
    } else {
      const this$9 = this.parent$1;
      const thiz = (this$9.isEmpty__Z() ? "#" : this$9.get__O());
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
      const this$12 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const localUrl = $f_sc_IndexedSeqOptimized__head__O(this$12);
      const leftLink = ($m_sjsr_RuntimeString$().endsWith__T__T__Z(localUrl, "/") ? localUrl : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.baseUrl__T__T(localUrl)])));
      let rightLink;
      if ((((linkText.length | 0) >= 0) && (linkText.substring(0, ("/".length | 0)) === "/"))) {
        const this$19 = new $c_sci_StringOps().init___T(linkText);
        const $$this = this$19.repr$1;
        const until = ($$this.length | 0);
        rightLink = $m_sci_StringOps$().slice$extension__T__I__I__T(this$19.repr$1, 1, until)
      } else {
        rightLink = linkText
      };
      const finalLink = this.normalizeUrl__T__T((("" + leftLink) + rightLink));
      $m_Lamf_core_model_domain_LinkNode$();
      const this$26 = new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(linkText, finalLink, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
      const this$25 = this.parent$1;
      const value$1 = ((this$25.isEmpty__Z() ? "" : this$25.get__O()) + "/included");
      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$26, value$1)
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.DataNodeParser", {
  Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.parent$1 = null;
    this.entry$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ExtensionParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser(x$1)) {
      const ExtensionParser$1 = x$1;
      if (((this.annotation$1 === ExtensionParser$1.annotation$1) && (this.parent$1 === ExtensionParser$1.parent$1))) {
        const x = this.entry$1;
        const x$2 = ExtensionParser$1.entry$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      case 2: {
        return this.entry$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(annotation, parent, entry, ctx) {
    this.annotation$1 = annotation;
    this.parent$1 = parent;
    this.entry$1 = entry;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_core_model_domain_extensions_DomainExtension() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const domainExtension = new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const x$2 = this.entry$1.value$1;
    const x$3 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parent$1, this.annotation$1])));
    const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
    const x$5 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
    const dataNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(x$2, x$4, x$3, x$5, this.ctx$1).parse__Lamf_core_model_domain_DataNode();
    const this$6 = this.ctx$1.declarations$3.annotations$1;
    const key = this.annotation$1;
    const x1 = this$6.get__O__s_Option(key);
    let customDomainProperty;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      customDomainProperty = v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const this$9 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const name = this.annotation$1;
      const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
      customDomainProperty = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$9, field, name)
    };
    domainExtension.adopted__T__Lamf_core_model_domain_extensions_DomainExtension(this.parent$1);
    const field$1 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1;
    const this$10 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(domainExtension, field$1, dataNode);
    const field$2 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1;
    const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field$2, customDomainProperty);
    const name$1 = this.annotation$1;
    const field$3 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$3, name$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.ExtensionParser", {
  Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser;
class $c_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ShapeExtensionParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser(x$1)) {
      const ShapeExtensionParser$1 = x$1;
      const x = this.shape$1;
      const x$2 = ShapeExtensionParser$1.shape$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ShapeExtensionParser$1.map$1))) {
        const x$3 = this.ctx$1;
        const x$4 = ShapeExtensionParser$1.ctx$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(shape, map, ctx) {
    this.shape$1 = shape;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.ctx$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const shapeExtensionDefinitions = this.shape$1.collectCustomShapePropertyDefinitions__Z__sc_Seq(true);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(x$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    shapeExtensionDefinitions.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).distinct__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(shapeExensionDefinition$2) {
        const shapeExensionDefinition = shapeExensionDefinition$2;
        const x1 = this$2.ctx$1.vendor__Lamf_core_remote_Vendor();
        let extensionKey;
        if ($is_Lamf_core_remote_Raml(x1)) {
          extensionKey = shapeExensionDefinition.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)
        } else {
          const x = $m_Lamf_core_remote_Oas$();
          if ((x === x1)) {
            extensionKey = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["x-facet-", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shapeExensionDefinition.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)]))
          } else {
            this$2.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(this$2.shape$1.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse shape extension for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$2.ctx$1.vendor__Lamf_core_remote_Vendor()])), this$2.map$1);
            extensionKey = shapeExensionDefinition.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)
          }
        };
        const map = this$2.map$1;
        const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const this$5 = this$4.key__T__s_Option(extensionKey);
        if ((!this$5.isEmpty__Z())) {
          const arg1 = this$5.get__O();
          const entry = arg1;
          const x$2 = entry.value$1;
          const x$3 = new $c_s_Some().init___O((("" + this$2.shape$1.id$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/extension/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([extensionKey]))));
          const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
          const x$5 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
          const x$6 = this$2.ctx$1;
          const dataNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(x$2, x$4, x$3, x$5, x$6).parse__Lamf_core_model_domain_DataNode();
          const this$8 = $m_Lamf_core_model_domain_extensions_ShapeExtension$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_ShapeExtension(entry);
          const field = $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1;
          const this$9 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$8, field, shapeExensionDefinition);
          const field$1 = $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().Extension$1;
          const extension = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$9, field$1, dataNode);
          const this$10 = this$2.shape$1;
          const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field();
          $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field$2, extension)
        }
      })
    })(this)))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.ShapeExtensionParser", {
  Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser extends $c_O {
  constructor() {
    super();
    this.declaration$1 = null;
    this.parent$1 = null;
    this.key$1 = null;
    this.entryValue$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser(x$1)) {
      const AbstractDeclarationParser$1 = x$1;
      const x = this.declaration$1;
      const x$2 = AbstractDeclarationParser$1.declaration$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.parent$1 === AbstractDeclarationParser$1.parent$1)) && (this.key$1 === AbstractDeclarationParser$1.key$1))) {
        return this.entryValue$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AbstractDeclarationParser$1.entryValue$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      case 2: {
        return this.key$1;
        break
      }
      case 3: {
        return this.entryValue$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(declaration, parent, key, entryValue, ctx) {
    this.declaration$1 = declaration;
    this.parent$1 = parent;
    this.key$1 = key;
    this.entryValue$1 = entryValue;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseReferenced__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_AbstractDeclaration(declared, parsedUrl, ast) {
    let d;
    if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(declared)) {
      d = this.ctx$1.declarations$3.findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(ast, parsedUrl, $m_Lamf_core_parser_SearchScope$Fragments$())
    } else {
      if ((!$is_Lamf_plugins_domain_webapi_models_templates_ResourceType(declared))) {
        throw new $c_s_MatchError().init___O(declared)
      };
      d = this.ctx$1.declarations$3.findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(ast, parsedUrl, $m_Lamf_core_parser_SearchScope$Fragments$())
    };
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(d, parsedUrl, annotations);
    const value = d.id$1;
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(copied, value);
    const name = this.key$1;
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name)
  };
  parse__Lamf_core_model_domain_templates_AbstractDeclaration() {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entryValue$1);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const link = x2.value$2;
      return this.parseReferenced__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_AbstractDeclaration(this.declaration$1, link, this.entryValue$1).adopted__T__Lamf_core_model_domain_templates_AbstractDeclaration(this.parent$1)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const value = x3.value$2;
      const variables = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
      const thiz = this.parent$1;
      let parentUri;
      if (((thiz.indexOf("#") | 0) !== (-1))) {
        parentUri = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parent$1, this.key$1]))
      } else {
        parentUri = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "#/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parent$1, this.key$1]))
      };
      const dataNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(value, variables, new $c_s_Some().init___O(parentUri), new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___(), this.ctx$1).parse__Lamf_core_model_domain_DataNode();
      const this$5 = this.declaration$1;
      const name = this.key$1;
      const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
      const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, name).adopted__T__Lamf_core_model_domain_templates_AbstractDeclaration(this.parent$1);
      const field$1 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().DataNode$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$6, field$1, dataNode);
      const this$7 = variables.variables$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$7)) {
        const this$8 = variables.variables$1;
        const arg1 = $f_scm_SetLike__toSeq__sc_Seq(this$8);
        const this$9 = this.declaration$1;
        const field$2 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Variables$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$9, field$2, arg1)
      };
      return this.declaration$1
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.producer$1 = null;
    this.map$1 = null;
    this.customProperties$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationsParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser(x$1)) {
      const AbstractDeclarationsParser$1 = x$1;
      let jsx$1;
      if ((this.key$1 === AbstractDeclarationsParser$1.key$1)) {
        const x = this.producer$1;
        const x$2 = AbstractDeclarationsParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AbstractDeclarationsParser$1.map$1))) {
        return (this.customProperties$1 === AbstractDeclarationsParser$1.customProperties$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.customProperties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = this.key$1;
    const this$3 = this$2.key__T__s_Option(keyword);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const this$4 = e.value$1;
      const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        const jsx$2 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(entry$2) {
            const entry = entry$2;
            return $this.ctx$1.declarations$3.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($m_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$().apply__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser($this.producer$1.apply__O__O(entry), $this.customProperties$1, entry, $this.ctx$1).parse__Lamf_core_model_domain_templates_AbstractDeclaration())
          })
        })(this));
        const this$5 = $m_sc_IndexedSeq$();
        jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBF$6)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3 === x1))) {
          this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(this.customProperties$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for '", "' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1, this.key$1])), e.value$1)
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext(key, producer, map, customProperties, ctx) {
    this.key$1 = key;
    this.producer$1 = producer;
    this.map$1 = map;
    this.customProperties$1 = customProperties;
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationsParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "AnnotationsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter(x$1)) {
      const AnnotationsEmitter$1 = x$1;
      const x = this.element$1;
      const x$2 = AnnotationsEmitter$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AnnotationsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.element$1;
    const jsx$2 = this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().annotationEmitter__F2().apply__O__O__O(x$1, $this.ordering$1)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(element, ordering, spec) {
    this.element$1 = element;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AnnotationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter extends $c_O {
  constructor() {
    super();
    this.prefix$1 = null;
    this.field$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "ExtendsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter(x$1)) {
      const ExtendsEmitter$1 = x$1;
      let jsx$1;
      if ((this.prefix$1 === ExtendsEmitter$1.prefix$1)) {
        const x = this.field$1;
        const x$2 = ExtendsEmitter$1.field$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = ExtendsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.prefix$1;
        break
      }
      case 1: {
        return this.field$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.field$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter(this);
    const this$2 = $m_sc_Seq$();
    const resourceTypes = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    if (resourceTypes.nonEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering(this.prefix$1, resourceTypes, this.ordering$1))
    };
    const this$3 = this.field$1;
    const jsx$4 = this$3.value$1.value$1.values$1;
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter(this);
    const this$4 = $m_sc_Seq$();
    const traits = jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
    if (traits.nonEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.prefix$1, this.field$1, this.ordering$1))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(prefix, field, ordering) {
    this.prefix$1 = prefix;
    this.field$1 = field;
    this.ordering$1 = ordering;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ExtendsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "FacetsEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(element, ordering, spec) {
    this.element$1 = element;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter(x$1)) {
      const FacetsEmitter$1 = x$1;
      const x = this.element$1;
      const x$2 = FacetsEmitter$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = FacetsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.element$1;
    const jsx$2 = this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(extension$2) {
        const extension = extension$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().facetsInstanceEmitter__F2().apply__O__O__O(extension, $this.ordering$1)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.FacetsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "NodeDependencyParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser(x$1)) {
      const NodeDependencyParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = NodeDependencyParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.properties$1;
        const x$4 = NodeDependencyParser$1.properties$1;
        return ((x$3 === null) ? (x$4 === null) : $f_sc_GenMapLike__equals__O__Z(x$3, x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.properties$1.get__O__s_Option(this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const this$3 = $m_Lamf_plugins_domain_shapes_models_PropertyDependencies$().apply__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_shapes_models_PropertyDependencies(this.entry$1);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(p.id$1, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.key$1);
      const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$3, field, value, annotations);
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(this.targets__p1__sc_Seq(), new $c_Lamf_core_parser_Annotations().init___());
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.value$1);
      return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field$1, value$1, annotations$1))
    }
  };
  targets__p1__sc_Seq() {
    const node = this.entry$1.value$1;
    const iv = $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1;
    const this$2 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const jsx$2 = $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this$2).scalars__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        const this$3 = $this.properties$1.get__O__s_Option($objectToString(v.value$1));
        let xo;
        if (this$3.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$3.get__O();
          const p = arg1;
          xo = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(p.id$1, v.annotations$1))
        };
        return xo.toList__sci_List()
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  init___Lorg_yaml_model_YMapEntry__scm_ListMap(entry, properties) {
    this.entry$1 = entry;
    this.properties$1 = properties;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.NodeDependencyParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters extends $c_O {
  constructor() {
    super();
    this.apiKey$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasApiKeySettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters(x$1)) {
      const OasApiKeySettingsEmitters$1 = x$1;
      const x = this.apiKey$1;
      const x$2 = OasApiKeySettingsEmitters$1.apiKey$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasApiKeySettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.apiKey$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(this.apiKey$1, this.ordering$1).emitters__sc_Seq());
    const internals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = this.apiKey$1;
    const this$3 = this$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const f = arg1;
      internals.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(f.value$1.value$1, this.ordering$1).emitters__sc_Seq())
    };
    if (internals.nonEmpty__Z()) {
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(internals, this.apiKey$1, this.ordering$1))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(apiKey, ordering) {
    this.apiKey$1 = apiKey;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasApiKeySettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasArrayShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter(x$1)) {
      const OasArrayShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasArrayShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasArrayShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasArrayShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.shape$1;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "array", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1));
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("maxItems", f)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("minItems", f$3)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("uniqueItems", f$4)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasArrayShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(document, ordering, spec) {
    this.document$1 = document;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasCreativeWorkItemsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter(x$1)) {
      const OasCreativeWorkItemsEmitter$1 = x$1;
      const x = this.document$1;
      const x$2 = OasCreativeWorkItemsEmitter$1.document$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasCreativeWorkItemsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const fs = this.document$1.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("url", f)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$3)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-title", f$4)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.document$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return this.ordering$1.sorted__sc_Seq__sc_Seq(result)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkItemsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.o1$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasOAuth1SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters(x$1)) {
      const OasOAuth1SettingsEmitters$1 = x$1;
      const x = this.o1$1;
      const x$2 = OasOAuth1SettingsEmitters$1.o1$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasOAuth1SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.o1$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.o1$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const this$2 = this.o1$1;
    const this$3 = this$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const f = arg1;
      results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(f.value$1.value$1, this.ordering$1).emitters__sc_Seq())
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(results, this.o1$1, this.ordering$1)]))
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(o1, ordering, spec) {
    this.o1$1 = o1;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasOAuth1SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.settings$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasOAuth2SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters(x$1)) {
      const OasOAuth2SettingsEmitters$1 = x$1;
      const x = this.settings$1;
      const x$2 = OasOAuth2SettingsEmitters$1.settings$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasOAuth2SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.settings$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const fs = this.settings$1.fields__Lamf_core_parser_Fields();
    const externals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("authorizationUrl", f)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("tokenUrl", f$3)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("flow", f$4)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$3 = this$4.get__O();
      const f$5 = arg1$3;
      externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("scopes", f$5, this.ordering$1))
    };
    const internals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$4 = this$5.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(internals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("authorizationGrants", f$6, this.ordering$1, false)))
    };
    const this$6 = this.settings$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$5 = this$6.get__O();
      const f$7 = arg1$5;
      internals.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(f$7.value$1.value$1, this.ordering$1).emitters__sc_Seq())
    };
    if (internals.nonEmpty__Z()) {
      externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(internals, this.settings$1, this.ordering$1))
    };
    return externals
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(settings, ordering) {
    this.settings$1 = settings;
    this.ordering$1 = ordering;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasOAuth2SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSchemaShapeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter(x$1)) {
      const OasSchemaShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasSchemaShapeEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSchemaShapeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.shape$1;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "object", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-media-type", f)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-schema", f$3)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return result
  };
  init___Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSchemaShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  productPrefix__T() {
    return "OasScopeValuesEmitters"
  };
  productArity__I() {
    return 1
  };
  init___Lamf_core_parser_FieldEntry(f) {
    this.f$1 = f;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters(x$1)) {
      const OasScopeValuesEmitters$1 = x$1;
      const x = this.f$1;
      const x$2 = OasScopeValuesEmitters$1.f$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$29().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters(this);
    const this$2 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasScopeValuesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.mapType$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter(x$1)) {
      const OasSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = OasSecuritySchemeEmitter$1.securityScheme$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.mapType$1;
        const x$4 = OasSecuritySchemeEmitter$1.mapType$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = OasSecuritySchemeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.mapType$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.securityScheme$1.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x$23 = this.mapType$1.text$1;
      const x$24 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f.value$1.annotations$1);
      const x$25 = $m_Lorg_yaml_model_YType$().Str$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", x$23, x$25, x$24)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-displayName", f$3)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$4)))
    };
    const jsx$3 = this.securityScheme$1;
    const jsx$2 = this.ordering$1;
    const jsx$1 = $m_sci_Nil$();
    const spec = this.spec$1;
    results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter().init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("x-describedBy", jsx$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)));
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$3 = this$6.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$5, this.ordering$1, this.spec$1).emitters__sc_Seq()))
    };
    return this.ordering$1.sorted__sc_Seq__sc_Seq(results)
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(securityScheme, mapType, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.mapType$1 = mapType;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.scheme$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySettingsParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme($$outer, map, scheme) {
    this.map$1 = map;
    this.scheme$1 = scheme;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OasSecuritySettingsParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasSecuritySettingsParser$1.map$1)) {
        const x = this.scheme$1;
        const x$2 = OasSecuritySettingsParser$1.scheme$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.scheme$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.scheme$1;
    const x1 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    let result;
    if ((x1 === "OAuth 1.0")) {
      result = new $c_s_Some().init___O(this.oauth1__p1__Lamf_plugins_domain_webapi_models_security_OAuth1Settings())
    } else if ((x1 === "OAuth 2.0")) {
      result = new $c_s_Some().init___O(this.oauth2__p1__Lamf_plugins_domain_webapi_models_security_OAuth2Settings())
    } else if ((x1 === "x-apiKey")) {
      result = new $c_s_Some().init___O(this.apiKey__p1__Lamf_plugins_domain_webapi_models_security_ApiKeySettings())
    } else {
      const map = this.map$1;
      const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("x-settings");
      if (this$3.isEmpty__Z()) {
        result = $m_s_None$()
      } else {
        const arg1 = this$3.get__O();
        const entry = arg1;
        result = new $c_s_Some().init___O(this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f), this.scheme$1.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings(), new $c_sjs_js_WrappedArray().init___sjs_js_Array([])))
      }
    };
    if (result.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = result.get__O();
      const ss = arg1$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(ss, this.map$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__V();
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
      return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(ss, other))
    }
  };
  dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(xSettings, settings, properties) {
    const entries = xSettings.entries$3.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, properties$1) {
      return (function(entry$2) {
        const entry = entry$2;
        $m_Lorg_yaml_model_YNode$();
        const node = entry.key$1;
        const key = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        return (properties$1.contains__O__Z(key) || $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().isOasAnnotation__T__Z(key))
      })
    })(this, properties)));
    if ($f_sc_TraversableOnce__nonEmpty__Z(entries)) {
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(entries);
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const x$4 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
      const x$5 = new $c_s_Some().init___O(settings.id$1);
      const x$6 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
      const x$7 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      const node$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(x$4, x$6, x$5, x$7, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__Lamf_core_model_domain_DataNode();
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(settings, field, node$1)
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.scheme$1, xSettings, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__V();
    return settings
  };
  oauth2__p1__Lamf_plugins_domain_webapi_models_security_OAuth2Settings() {
    const settings = this.scheme$1.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1;
    const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
    jsx$1.key__T__F1__V("authorizationUrl", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1;
    const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
    jsx$2.key__T__F1__V("tokenUrl", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$2 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this$6.key__T__s_Option("flow");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$2);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$2, value$1, annotations)
    };
    const map$3 = this.map$1;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$11 = this$10.key__T__s_Option("scopes");
    if ((!this$11.isEmpty__Z())) {
      const arg1$1 = this$11.get__O();
      const entry$3 = arg1$1;
      const scopeMap = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const jsx$4 = scopeMap.entries$3.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(entry$2$2) {
          const entry$2 = entry$2$2;
          const jsx$5 = $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$();
          $m_Lorg_yaml_model_YNode$();
          const node$1 = entry$2.key$1;
          return jsx$5.isOasAnnotation__T__Z(node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
        })
      })(this)));
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(scopeEntry$2) {
          const scopeEntry = scopeEntry$2;
          return this$2$1.parseScope__p1__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_webapi_models_security_Scope(scopeEntry)
        })
      })(this));
      const this$13 = $m_sc_IndexedSeq$();
      const scopes = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$13.ReusableCBF$6);
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.scheme$1, scopeMap, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__V();
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$3, scopes, annotations$1)
    };
    const map$4 = this.map$1;
    const this$15 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$16 = this$15.key__T__s_Option("x-settings");
    if ((!this$16.isEmpty__Z())) {
      const arg1$2 = this$16.get__O();
      const entry$4 = arg1$2;
      const xSettings = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(xSettings);
      const this$18 = this.$$outer$1;
      const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1;
      const iv$3 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$6.key__T__F1__V("authorizationGrants", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$18, field$4, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(xSettings, settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["authorizationGrants"]))
    };
    return settings
  };
  oauth1__p1__Lamf_plugins_domain_webapi_models_security_OAuth1Settings() {
    const settings = this.scheme$1.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings();
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("x-settings");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$5 = this.$$outer$1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$1.key__T__F1__V("requestTokenUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$5, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$7 = this.$$outer$1;
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1;
      const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$2.key__T__F1__V("authorizationUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$7, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$9 = this.$$outer$1;
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1;
      const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$3.key__T__F1__V("tokenCredentialsUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$9, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$11 = this.$$outer$1;
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1;
      const iv$3 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$4.key__T__F1__V("signatures", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$11, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(map$1, settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["requestTokenUri", "authorizationUri", "tokenCredentialsUri", "signatures"]))
    };
    return settings
  };
  apiKey__p1__Lamf_plugins_domain_webapi_models_security_ApiKeySettings() {
    const settings = this.scheme$1.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings();
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("name");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field, value$1, annotations)
    };
    const map$1 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$7 = this$6.key__T__s_Option("in");
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const entry$3 = arg1$1;
      const node$1 = entry$3.value$1;
      const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1;
      const value$3 = value$2.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$1, value$3, annotations$1)
    };
    const map$2 = this.map$1;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$11 = this$10.key__T__s_Option("x-settings");
    if ((!this$11.isEmpty__Z())) {
      const arg1$2 = this$11.get__O();
      const entry$4 = arg1$2;
      this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f), settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["name", "in"]))
    };
    return settings
  };
  parseScope__p1__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_webapi_models_security_Scope(scopeEntry) {
    $m_Lorg_yaml_model_YNode$();
    const node = scopeEntry.key$1;
    const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
    $m_Lorg_yaml_model_YNode$();
    const node$1 = scopeEntry.value$1;
    const description = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
    const this$4 = $m_Lamf_plugins_domain_webapi_models_security_Scope$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_Scope(scopeEntry);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(name, new $c_Lamf_core_parser_Annotations().init___());
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(scopeEntry.key$1);
    const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value, annotations);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1;
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(description, new $c_Lamf_core_parser_Annotations().init___());
    const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(scopeEntry.value$1);
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$6, field$1, value$1, annotations$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemeParser$OasSecuritySettingsParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySettingsEmitter"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter(x$1)) {
      const OasSecuritySettingsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasSecuritySettingsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSecuritySettingsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const settings = this.f$1.value$1.value$1;
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(settings)) {
      const x2 = settings;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, this.ordering$1, this.spec$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(settings)) {
      const x3 = settings;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(x3, this.ordering$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(settings)) {
      const x4 = settings;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(x4, this.ordering$1).emitters__sc_Seq()
    } else {
      const internals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$1 = settings.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const f = arg1;
        internals.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(f.value$1.value$1, this.ordering$1).emitters__sc_Seq())
      };
      return (internals.nonEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(internals, settings, this.ordering$1)])) : $m_sci_Nil$())
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySettingsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.ignored$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasTypeEmitter"
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, ignored, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.ignored$1 = ignored;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter(x$1)) {
      const OasTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasTypeEmitter$1.shape$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasTypeEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ignored$1;
        const x$6 = OasTypeEmitter$1.ignored$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = OasTypeEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.ignored$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const x1 = this.shape$1;
    if ((x1 !== null)) {
      if (x1.linkTarget$1.isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(x1), $m_sci_Nil$(), this.spec$1)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const x3 = x1;
      const fields = x3.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2) {
          const f = f$2;
          return (!$this.ignored$1.contains__O__Z(f.$$und1__O()))
        })
      })(this)));
      const annotations = x3.annotations$2;
      const copiedNode = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter().init___Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedNode, this.ordering$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1)) {
      const x4 = x1;
      const fields$1 = x4.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(f$3$2) {
          const f$3 = f$3$2;
          return (!this$2.ignored$1.contains__O__Z(f$3.$$und1__O()))
        })
      })(this)));
      const annotations$1 = x4.annotations$2;
      const copiedNode$2 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$1, annotations$1);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter().init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedNode$2, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      const x5 = x1;
      const fields$2 = x5.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
        return (function(f$4$2) {
          const f$4 = f$4$2;
          return (!this$3.ignored$1.contains__O__Z(f$4.$$und1__O()))
        })
      })(this)));
      const annotations$2 = x5.annotations$2;
      const copiedNode$3 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$2, annotations$2);
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter().init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedNode$3, this.ordering$1, this.references$1, this.spec$1)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const x6 = x1;
      const fields$3 = x6.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4) {
        return (function(f$5$2) {
          const f$5 = f$5$2;
          return (!this$4.ignored$1.contains__O__Z(f$5.$$und1__O()))
        })
      })(this)));
      const annotations$3 = x6.annotations$2;
      const copiedArray = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$3, annotations$3);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedArray, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const x7 = x1;
      const fields$4 = x7.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
        return (function(f$6$2) {
          const f$6 = f$6$2;
          return (!this$5.ignored$1.contains__O__Z(f$6.$$und1__O()))
        })
      })(this)));
      const annotations$4 = x7.annotations$2;
      const copiedNil = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$4, annotations$4);
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter().init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering(copiedNil, this.ordering$1)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_FileShape(x1)) {
      const x8 = x1;
      const fields$5 = x8.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6) {
        return (function(f$7$2) {
          const f$7 = f$7$2;
          return (!this$6.ignored$1.contains__O__Z(f$7.$$und1__O()))
        })
      })(this)));
      const annotations$5 = x8.annotations$2;
      const copiedScalar = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$5, annotations$5);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter().init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedScalar, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const x9 = x1;
      const fields$6 = x9.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
        return (function(f$8$2) {
          const f$8 = f$8$2;
          return (!this$7.ignored$1.contains__O__Z(f$8.$$und1__O()))
        })
      })(this)));
      const annotations$6 = x9.annotations$2;
      const copiedScalar$2 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$6, annotations$6);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedScalar$2, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x10 = x1;
      const copiedNode$4 = x10.copyAnyShape__Lamf_core_parser_Fields__Lamf_core_parser_Annotations__Lamf_plugins_domain_shapes_models_AnyShape(x10.fields__Lamf_core_parser_Fields().filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
        return (function(f$9$2) {
          const f$9 = f$9$2;
          return (!this$8.ignored$1.contains__O__Z(f$9.$$und1__O()))
        })
      })(this))), x10.annotations__Lamf_core_parser_Annotations());
      const this$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedNode$4, this.ordering$1, this.references$1, this.spec$1);
      return $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.emitters__sc_Seq.call(this$1))
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  entries__sc_Seq() {
    const jsx$2 = this.emitters__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_emitter_EntryEmitter(x0$4)) {
          const x2 = x0$4;
          return x2
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser extends $c_O {
  constructor() {
    super();
    this.array$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AllOfParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__sc_Seq__F1($$outer, array, adopt) {
    this.array$1 = array;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AllOfParser$1 = x$1;
      const x = this.array$1;
      const x$2 = AllOfParser$1.array$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.adopt$1;
        const x$4 = AllOfParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  declarationsRef__p1__Lorg_yaml_model_YMap__s_Option(entries) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(entries).key__T__s_Option("$ref");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const jsx$1 = this.$$outer$1.ctx$2.declarations$3.shapes$2;
      const x = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.$$outer$1.ctx$2);
      const this$4 = new $c_sci_StringOps().init___T(x);
      return new $c_s_Some().init___O(jsx$1.apply__O__O($f_sci_StringLike__stripPrefix__T__T(this$4, "#/definitions/")))
    }
  };
  parse__sc_Seq() {
    const jsx$4 = this.array$1;
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(n$2) {
        const n = n$2;
        const xo = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(n).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
        return xo.toList__sci_List()
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(map$2) {
        const map = map$2;
        const this$4 = this$2$1.declarationsRef__p1__Lorg_yaml_model_YMap__s_Option(map);
        const xo$1 = (this$4.isEmpty__Z() ? new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, "", map, this$2$1.adopt$1, "schema", this$2$1.$$outer$1.ctx$2).parse__s_Option() : this$4);
        return xo$1.toList__sci_List()
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$AllOfParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.ast$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataArrangementParser"
  };
  productArity__I() {
    return 4
  };
  lookAhead__s_Option() {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("items");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      const this$2 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$2);
      if ($is_s_util_Right(x1$2)) {
        $m_s_package$();
        const this$3 = $m_Lamf_plugins_domain_shapes_models_TupleShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(this.ast$1);
        const name = this.name$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
        return new $c_s_Some().init___O(new $c_s_util_Left().init___O(value))
      } else {
        $m_s_package$();
        const this$5 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.ast$1);
        const name$1 = this.name$1;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, name$1);
        return new $c_s_Some().init___O(new $c_s_util_Right().init___O(value$1))
      }
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataArrangementParser$1 = x$1;
      let jsx$1;
      if ((this.name$1 === DataArrangementParser$1.name$1)) {
        const x = this.ast$1;
        const x$2 = DataArrangementParser$1.ast$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataArrangementParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = DataArrangementParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.ast$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    let rc10 = false;
    let x2 = null;
    const x1 = this.lookAhead__s_Option();
    const x = $m_s_None$();
    if ((x === x1)) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const arrayShape = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      this.adopt$1.apply__O__O(arrayShape);
      this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(arrayShape.id$1, "Cannot parse data arrangement shape", this.ast$1);
      return arrayShape
    };
    if ($is_s_Some(x1)) {
      rc10 = true;
      x2 = x1;
      const p3 = x2.value$2;
      if ($is_s_util_Left(p3)) {
        const x4 = p3;
        const tuple = x4.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, tuple, this.map$1, this.adopt$1).parse__Lamf_core_model_domain_Shape()
      }
    };
    if (rc10) {
      const p6 = x2.value$2;
      if ($is_s_util_Right(p6)) {
        const x7 = p6;
        const array = x7.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, array, this.map$1, this.adopt$1).parse__Lamf_core_model_domain_Shape()
      }
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1($$outer, name, ast, map, adopt) {
    this.name$1 = name;
    this.ast$1 = ast;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$DataArrangementParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.requiredFields$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertiesParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__F1__sc_Seq($$outer, map, producer, requiredFields) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.requiredFields$1 = requiredFields;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertiesParser$1 = x$1;
      let jsx$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(PropertiesParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = PropertiesParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.requiredFields$1;
        const x$4 = PropertiesParser$1.requiredFields$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.requiredFields$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMapEntry__F1__sc_Seq($this.$$outer$1, entry, $this.producer$1, $this.requiredFields$1).parse__Lamf_core_model_domain_extensions_PropertyShape()
      })
    })(this));
    const this$1 = $m_sc_IndexedSeq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$PropertiesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.requiredFields$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertyShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertyShapeParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = PropertyShapeParser$1.entry$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = PropertyShapeParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.requiredFields$1;
        const x$6 = PropertyShapeParser$1.requiredFields$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.requiredFields$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_extensions_PropertyShape() {
    const name = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx$2).text$3;
    const required = this.requiredFields$1.contains__O__Z(name);
    const this$1 = this.producer$1.apply__O__O(name);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const this$4 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((required ? 1 : 0), new $c_Lamf_core_parser_Annotations().init___());
    const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
    const property = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value, annotations);
    const field$1 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const id = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx$2).text$3;
    const value$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, id).iri__T();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(property, field$1, value$1);
    const this$7 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1) {
      return (function(shape$2) {
        const shape = shape$2;
        shape.adopted__T__Lamf_core_model_domain_AmfObject(property$1.id$1)
      })
    })(this, property)), "schema", this.$$outer$1.ctx$2).parse__s_Option();
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const x$12 = arg1;
      const field$2 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(property, field$2, x$12)
    };
    return property
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMapEntry__F1__sc_Seq($$outer, entry, producer, requiredFields) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.requiredFields$1 = requiredFields;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$PropertyShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser extends $c_O {
  constructor() {
    super();
    this.defaultType$1 = null;
    this.name$1 = null;
    this.adopt$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "Raml08DefaultTypeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser(x$1)) {
      const Raml08DefaultTypeParser$1 = x$1;
      const x = this.defaultType$1;
      const x$2 = Raml08DefaultTypeParser$1.defaultType$1;
      if (((x === x$2) && (this.name$1 === Raml08DefaultTypeParser$1.name$1))) {
        const x$3 = this.adopt$1;
        const x$4 = Raml08DefaultTypeParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.defaultType$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      case 2: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const x1 = this.defaultType$1;
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
    let product;
    if ((x === x1)) {
      const jsx$1 = $m_s_Option$();
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$4 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const name = this.name$1;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
      const annotation = new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___();
      product = jsx$1.apply__O__s_Option($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, annotation))
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
      if ((x$3 === x1)) {
        const jsx$2 = $m_s_Option$();
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const this$11 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.defaultType$1), new $c_Lamf_core_parser_Annotations().init___());
        const annotations$2 = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___());
        product = jsx$2.apply__O__s_Option($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field$1, value, annotations$2))
      } else {
        this.ctx$1.violation__T__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot set default type ", " in raml 08"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.defaultType$1])), $m_s_None$());
        product = $m_s_None$()
      }
    };
    const f = this.adopt$1;
    return (product.isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O(f.apply__O__O(product.get__O())))
  };
  init___Lamf_plugins_domain_shapes_models_TypeDef__T__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(defaultType, name, adopt, ctx) {
    this.defaultType$1 = defaultType;
    this.name$1 = name;
    this.adopt$1 = adopt;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08DefaultTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f = null
  };
  productPrefix__T() {
    return "Raml08TypeEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter(x$1)) {
      const Raml08TypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = Raml08TypeEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08TypeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const x1 = this.shape$1;
    if ((x1 !== null)) {
      if (x1.linkTarget$1.isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(x1)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const x3 = x1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x3, this.ordering$1, this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const x4 = x1;
      const x1$2 = x4.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
      if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1$2)) {
        const x2$2 = x1$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2$2, this.ordering$1, this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f).emitters__sc_Seq()
      } else {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1$2, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit array shape with items ", " in raml 08"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1$2).toString__T()])))]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      const x5 = x1;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter__Lamf_plugins_domain_shapes_models_UnionShape(this, x5)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const x6 = x1;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter().init___Lamf_plugins_domain_shapes_models_SchemaShape(x6)]))
    };
    if ((x1 !== null)) {
      if (x1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf()).isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter().init___Lamf_core_model_domain_Shape(x1)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const x8 = x1;
      const this$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter().init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x8, this.ordering$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f);
      return $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this$1)
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported shape class for emit raml 08 spec ", "`"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1).toString__T()])))]))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser extends $c_O {
  constructor() {
    super();
    this.text$1 = null;
    this.node$1 = null;
    this.name$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "Raml08ReferenceParser"
  };
  productArity__I() {
    return 3
  };
  parse__s_Some() {
    const x1 = this.ctx$1.declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(this.text$1, $m_Lamf_core_parser_SearchScope$All$());
    let shape$2;
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const s = x2.value$2;
        if ((s !== null)) {
          const label = this.text$1;
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue());
          const this$1 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, label, annotations);
          const name = this.name$1;
          const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
          break matchEnd6
        }
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$2 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(this.text$1, this.node$1);
        const name$1 = this.text$1;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field$1, name$1);
        const c = this.ctx$1;
        $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, c);
        this.$$outer$1.adopt$3.apply__O__O(shape);
        const refName = this.text$1;
        const refAst = this.node$1;
        const ctx = this.ctx$1;
        $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, refName, refAst, ctx);
        shape$2 = shape;
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    return new $c_s_Some().init___O(shape$2)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Raml08ReferenceParser$1 = x$1;
      return (((this.text$1 === Raml08ReferenceParser$1.text$1) && this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08ReferenceParser$1.node$1)) && (this.name$1 === Raml08ReferenceParser$1.name$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$1;
        break
      }
      case 1: {
        return this.node$1;
        break
      }
      case 2: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__T__Lorg_yaml_model_YNode__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($$outer, text, node, name, ctx) {
    this.text$1 = text;
    this.node$1 = node;
    this.name$1 = name;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$Raml08ReferenceParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.adopt$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "Raml08SchemaParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Raml08SchemaParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08SchemaParser$1.map$1)) {
        const x = this.adopt$1;
        const x$2 = Raml08SchemaParser$1.adopt$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = e.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      let jsx$1;
      if ((x === x1)) {
        jsx$1 = true
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
        jsx$1 = (x$3 === x1)
      };
      if (jsx$1) {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(e, "schema", e.value$1, this.adopt$1, false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option()
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YNode__F1__T__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.$$outer$1, e.value$1, this.adopt$1, "schema", this.$$outer$1.defaultType$3, this.ctx$1).parse__s_Option()
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($$outer, map, adopt, ctx) {
    this.map$1 = map;
    this.adopt$1 = adopt;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$Raml08SchemaParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.adopt$1 = null;
    this.name$1 = null;
    this.defaultType$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "Raml08TextParser"
  };
  productArity__I() {
    return 4
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YNode__F1__T__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($$outer, value, adopt, name, defaultType, ctx) {
    this.value$1 = value;
    this.adopt$1 = adopt;
    this.name$1 = name;
    this.defaultType$1 = defaultType;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Raml08TextParser$1 = x$1;
      let jsx$1;
      if (this.value$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08TextParser$1.value$1)) {
        const x = this.adopt$1;
        const x$2 = Raml08TextParser$1.adopt$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.name$1 === Raml08TextParser$1.name$1))) {
        const x$3 = this.defaultType$1;
        const x$4 = Raml08TextParser$1.defaultType$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      case 2: {
        return this.name$1;
        break
      }
      case 3: {
        return this.defaultType$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x === x1)) {
      const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser().init___Lamf_plugins_domain_shapes_models_TypeDef__T__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef(), this.name$1, this.adopt$1, this.ctx$1).parse__s_Option();
      if (this$2.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const s = arg1;
        const annotation = new $c_Lamf_core_annotations_SourceAST().init___Lorg_yaml_model_YPart(this.value$1);
        return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(s, annotation))
      }
    } else {
      const x1$2 = this.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const o10 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().unapply__T__s_Option(x1$2);
      if ((!o10.isEmpty__Z())) {
        const jsx$1 = $m_s_Option$();
        const this$3 = this.$$outer$1;
        const name = this.name$1;
        const value = this.value$1;
        const adopt = this.adopt$1;
        return jsx$1.apply__O__s_Option($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseXMLSchemaExpression__T__Lorg_yaml_model_YNode__F1__Lamf_core_model_domain_Shape(this$3, name, value, adopt))
      };
      const o12 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(x1$2);
      if ((!o12.isEmpty__Z())) {
        const jsx$2 = $m_s_Option$();
        const this$4 = this.$$outer$1;
        const name$1 = this.name$1;
        const value$1 = this.value$1;
        const adopt$1 = this.adopt$1;
        return jsx$2.apply__O__s_Option($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseJSONSchemaExpression__T__Lorg_yaml_model_YNode__F1__Lamf_core_model_domain_Shape(this$4, name$1, value$1, adopt$1))
      };
      if ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().match08Type__T__s_Option(x1$2).isDefined__Z()) {
        return $m_s_Option$().apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser().init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.name$1, this.adopt$1, $m_Lorg_yaml_model_YMap$().empty$1, $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().match08Type__T__s_Option(x1$2).get__O(), this.ctx$1).parse__Lamf_core_model_domain_Shape())
      };
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__T__Lorg_yaml_model_YNode__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.$$outer$1, x1$2, this.$$outer$1.node$3, this.name$1, this.ctx$1).parse__s_Some()
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$Raml08TextParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.types$1 = null;
    this.ast$1 = null;
    this.ctx$1 = null
  };
  init___Lamf_core_model_domain_Shape__sc_Seq__Lorg_yaml_model_YPart__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(shape, types, ast, ctx) {
    this.shape$1 = shape;
    this.types$1 = types;
    this.ast$1 = ast;
    this.ctx$1 = ctx;
    return this
  };
  productPrefix__T() {
    return "Raml08UnionTypeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser(x$1)) {
      const Raml08UnionTypeParser$1 = x$1;
      const x = this.shape$1;
      const x$2 = Raml08UnionTypeParser$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.types$1;
        const x$4 = Raml08UnionTypeParser$1.types$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ast$1;
        const x$6 = Raml08UnionTypeParser$1.ast$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.types$1;
        break
      }
      case 2: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    const jsx$5 = this.types$1;
    const this$1 = $m_sc_Seq$();
    const jsx$4 = jsx$5.zipWithIndex__scg_CanBuildFrom__O(this$1.ReusableCBFInstance$2);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const unionNode = x0$1.$$und1__O();
          const index = x0$1.$$und2$mcI$sp__I();
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(unionNode, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), unionNode, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
            return (function(item$2) {
              const item = item$2;
              return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/items/") + index$1))
            })
          })($this, index)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), $this.ctx$1).parse__s_Option()
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.isDefined__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.get__O()
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const unionNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    const this$5 = this.shape$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
    return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, unionNodes, annotations)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08UnionTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.ignored$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10TypeEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter(x$1)) {
      const Raml10TypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = Raml10TypeEmitter$1.shape$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10TypeEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ignored$1;
        const x$6 = Raml10TypeEmitter$1.ignored$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = Raml10TypeEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.ignored$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    let rc15 = false;
    let x4 = null;
    const x1 = this.shape$1;
    let jsx$1;
    if ($m_s_Option$().apply__O__s_Option(this.shape$1).isDefined__Z()) {
      const this$1 = this.shape$1;
      jsx$1 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__fromTypeExpression__Z(this$1)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter().init___Lamf_core_model_domain_Shape(this.shape$1)]))
    };
    if ((x1 !== null)) {
      if (x1.linkTarget$1.isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(this.shape$1)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const x3 = x1;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter().init___Lamf_plugins_domain_shapes_models_SchemaShape(x3)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1)) {
      rc15 = true;
      x4 = x1;
      const this$2 = x4;
      if (this$2.annotations$2.find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf()).isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter().init___Lamf_core_model_domain_Shape(x4)]))
      }
    };
    if (rc15) {
      const this$3 = x4;
      const fields = this$3.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2) {
          const f = f$2;
          return (!$this.ignored$1.contains__O__Z(f.$$und1__O()))
        })
      })(this)));
      const this$4 = x4;
      const annotations = this$4.annotations$2;
      const copiedNode = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter().init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedNode, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      const x6 = x1;
      const fields$1 = x6.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(f$3$2) {
          const f$3 = f$3$2;
          return (!this$2$1.ignored$1.contains__O__Z(f$3.$$und1__O()))
        })
      })(this)));
      const annotations$1 = x6.annotations$2;
      const copiedNode$2 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$1, annotations$1);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter().init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedNode$2, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_FileShape(x1)) {
      const x7 = x1;
      const fields$2 = x7.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(f$4$2) {
          const f$4 = f$4$2;
          return (!this$3$1.ignored$1.contains__O__Z(f$4.$$und1__O()))
        })
      })(this)));
      const annotations$2 = x7.annotations$2;
      const copiedFile = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$2, annotations$2);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter().init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedFile, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const x8 = x1;
      const fields$3 = x8.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(f$5$2) {
          const f$5 = f$5$2;
          return (!this$4$1.ignored$1.contains__O__Z(f$5.$$und1__O()))
        })
      })(this)));
      const annotations$3 = x8.annotations$2;
      const copiedScalar = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$3, annotations$3);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedScalar, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const x9 = x1;
      const fields$4 = x9.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
        return (function(f$6$2) {
          const f$6 = f$6$2;
          return (!this$5$1.ignored$1.contains__O__Z(f$6.$$und1__O()))
        })
      })(this)));
      const annotations$4 = x9.annotations$2;
      const copiedArray = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$4, annotations$4);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedArray, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x1)) {
      const x10 = x1;
      const fields$5 = x10.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6) {
        return (function(f$7$2) {
          const f$7 = f$7$2;
          return (!this$6.ignored$1.contains__O__Z(f$7.$$und1__O()))
        })
      })(this)));
      const annotations$5 = x10.annotations$2;
      const copiedTuple = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$5, annotations$5);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter().init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedTuple, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x1)) {
      const x11 = x1;
      const fields$6 = x11.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
        return (function(f$8$2) {
          const f$8 = f$8$2;
          return (!this$7.ignored$1.contains__O__Z(f$8.$$und1__O()))
        })
      })(this)));
      const annotations$6 = x11.annotations$2;
      const copiedMatrix = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$6, annotations$6);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(copiedMatrix.fields$2, copiedMatrix.annotations$2), this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const x12 = x1;
      const fields$7 = x12.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
        return (function(f$9$2) {
          const f$9 = f$9$2;
          return (!this$8.ignored$1.contains__O__Z(f$9.$$und1__O()))
        })
      })(this)));
      const annotations$7 = x12.annotations$2;
      const copiedNode$3 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$7, annotations$7);
      const this$9 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter().init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedNode$3, this.ordering$1, this.references$1, this.spec$1);
      return $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this$9)
    };
    if ((x1 !== null)) {
      const copiedNode$4 = x1.copyAnyShape__Lamf_core_parser_Fields__Lamf_core_parser_Annotations__Lamf_plugins_domain_shapes_models_AnyShape(x1.fields__Lamf_core_parser_Fields().filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
        return (function(f$10$2) {
          const f$10 = f$10$2;
          return (!this$9$1.ignored$1.contains__O__Z(f$10.$$und1__O()))
        })
      })(this))), x1.annotations__Lamf_core_parser_Annotations());
      const this$10 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedNode$4, this.ordering$1, this.references$1, this.spec$1);
      return $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this$10)
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  entries__sc_Seq() {
    const jsx$2 = this.emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, ignored, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.ignored$1 = ignored;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters extends $c_O {
  constructor() {
    super();
    this.apiKey$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "RamlApiKeySettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters(x$1)) {
      const RamlApiKeySettingsEmitters$1 = x$1;
      const x = this.apiKey$1;
      const x$2 = RamlApiKeySettingsEmitters$1.apiKey$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlApiKeySettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.apiKey$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.apiKey$1;
    const fs = this$1.fields$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("name", f)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("in", f$3)))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(apiKey, ordering) {
    this.apiKey$1 = apiKey;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlApiKeySettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter extends $c_O {
  constructor() {
    super();
    this.documentation$1 = null;
    this.ordering$1 = null;
    this.withExtention$1 = false;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlCreativeWorkItemsEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(documentation, ordering, withExtention, spec) {
    this.documentation$1 = documentation;
    this.ordering$1 = ordering;
    this.withExtention$1 = withExtention;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter(x$1)) {
      const RamlCreativeWorkItemsEmitter$1 = x$1;
      const x = this.documentation$1;
      const x$2 = RamlCreativeWorkItemsEmitter$1.documentation$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlCreativeWorkItemsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.withExtention$1 === RamlCreativeWorkItemsEmitter$1.withExtention$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.withExtention$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.documentation$1.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry((this.withExtention$1 ? "(url)" : "url"), f)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("content", f$3, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("title", f$4, this.spec$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.documentation$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return this.ordering$1.sorted__sc_Seq__sc_Seq(result)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.documentation$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.withExtention$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCreativeWorkItemsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.scheme$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlDescribedByParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser(x$1)) {
      const RamlDescribedByParser$1 = x$1;
      if (((this.key$1 === RamlDescribedByParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlDescribedByParser$1.map$1))) {
        const x = this.scheme$1;
        const x$2 = RamlDescribedByParser$1.scheme$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.scheme$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(key, map, scheme, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.scheme$1 = scheme;
    this.ctx$1 = ctx;
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = this.key$1;
    const this$3 = this$2.key__T__s_Option(keyword);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const value = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$6 = this$5.key__T__s_Option("headers");
      if ((!this$6.isEmpty__Z())) {
        const arg1$1 = this$6.get__O();
        const entry$2 = arg1$1;
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(name$2) {
            const name = name$2;
            return $this.scheme$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name)
          })
        })(this)), false, this.ctx$1).parse__sc_Seq();
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$1, field, "header")
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const parameters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.scheme$1;
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$2.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$2);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field$1, value$1, annotations)
      };
      const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$11 = this$10.key__T__s_Option("queryParameters");
      if ((!this$11.isEmpty__Z())) {
        const arg1$2 = this$11.get__O();
        const entry$3 = arg1$2;
        const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(name$2$1) {
            const name$1 = name$2$1;
            return $this$1.scheme$1.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$1)
          })
        })(this)), false, this.ctx$1).parse__sc_Seq();
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$2, field$2, "query")
          })
        })(this));
        const this$12 = $m_sc_Seq$();
        const parameters$1 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$12.ReusableCBFInstance$2);
        const this$13 = this.scheme$1;
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1;
        const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$13, field$3, value$2, annotations$1)
      };
      const this$15 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$16 = this$15.key__T__s_Option("queryString");
      if ((!this$16.isEmpty__Z())) {
        const arg1$3 = this$16.get__O();
        const queryEntry = arg1$3;
        const this$18 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(queryEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
          return (function(shape$2) {
            const shape = shape$2;
            return shape.adopted__T__Lamf_core_model_domain_AmfObject($this$2.scheme$1.id$1)
          })
        })(this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
        if ((!this$18.isEmpty__Z())) {
          const arg1$4 = this$18.get__O();
          const queryString = arg1$4;
          const this$19 = this.scheme$1;
          const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1;
          new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$19, field$4, queryString))
        }
      };
      const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$22 = this$21.key__T__s_Option("responses");
      if ((!this$22.isEmpty__Z())) {
        const arg1$5 = this$22.get__O();
        const entry$4 = arg1$5;
        const map$1 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
        const entries = this$24.regex__T__sc_Iterable("\\d{3}");
        if (entries.nonEmpty__Z()) {
          const responses = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, responses$1) {
            return (function(entry$2$1) {
              const entry$1 = entry$2$1;
              return responses$1.$$plus$eq__O__scm_ListBuffer($this$3.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().responseParser__F3().apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4) {
                return (function(name$2$2) {
                  const name$3 = name$2$2;
                  return $this$4.scheme$1.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name$3)
                })
              })($this$3)), false).parse__Lamf_plugins_domain_webapi_models_Response())
            })
          })(this, responses)));
          const this$25 = this.scheme$1;
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1;
          const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(responses, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$25, field$5, value$3, annotations$2)
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlDescribedByParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.o1$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlOAuth1SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters(x$1)) {
      const RamlOAuth1SettingsEmitters$1 = x$1;
      const x = this.o1$1;
      const x$2 = RamlOAuth1SettingsEmitters$1.o1$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlOAuth1SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.o1$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.o1$1;
    const fs = this$1.fields$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("requestTokenUri", f, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("authorizationUri", f$3, this.spec$1)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("tokenCredentialsUri", f$4, this.spec$1)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$3 = this$5.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("signatures", f$5, this.ordering$1, false)))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(o1, ordering, spec) {
    this.o1$1 = o1;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth1SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.o2$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlOAuth2SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters(x$1)) {
      const RamlOAuth2SettingsEmitters$1 = x$1;
      const x = this.o2$1;
      const x$2 = RamlOAuth2SettingsEmitters$1.o2$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlOAuth2SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.o2$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.o2$1;
    const fs = this$1.fields$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("authorizationUri", f)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("accessTokenUri", f$3, this.spec$1)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("authorizationGrants", f$4, this.ordering$1, false)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$3 = this$5.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("scopes", f$5, this.ordering$1)))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(o2, ordering, spec) {
    this.o2$1 = o2;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth2SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlSecuritySettingsValuesEmitters"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters(x$1)) {
      const RamlSecuritySettingsValuesEmitters$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlSecuritySettingsValuesEmitters$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlSecuritySettingsValuesEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const settings = this.f$1.value$1.value$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let jsx$1;
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(settings)) {
      const x2 = settings;
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, this.ordering$1, this.spec$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(settings)) {
      const x3 = settings;
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x3, this.ordering$1, this.spec$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(settings)) {
      const x4 = settings;
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(x4, this.ordering$1).emitters__sc_Seq()
    } else {
      jsx$1 = $m_sci_Nil$()
    };
    results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$1);
    const this$1 = settings.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(f.value$1.value$1, this.ordering$1).emitters__sc_Seq())
    };
    return results
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySettingsValuesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser {
  constructor() {
    super();
    this.AnyShapeParser$module$2 = null;
    this.ScalarShapeParser$module$2 = null;
    this.UnionShapeParser$module$2 = null;
    this.FileShapeParser$module$2 = null;
    this.DataArrangementParser$module$2 = null;
    this.ArrayShapeParser$module$2 = null;
    this.TupleShapeParser$module$2 = null;
    this.InheritanceParser$module$2 = null;
    this.NodeShapeParser$module$2 = null;
    this.PropertiesParser$module$2 = null;
    this.PropertyShapeParser$module$2 = null;
    this.ast$2 = null;
    this.name$2 = null;
    this.node$2 = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f = false;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f = null;
    this.ctx$2 = null
  };
  parseAnyType__p2__Lamf_core_model_domain_Shape() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_AnyShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_AnyShape(this.ast$2);
    const name = this.name$2;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape);
    const x1 = this.ast$2;
    if ($is_Lorg_yaml_model_YMapEntry(x1)) {
      const x2 = x1;
      if ($is_Lorg_yaml_model_YMap(x2.value$1.value__Lorg_yaml_model_YValue())) {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap(this, shape, x2.value$1.value__Lorg_yaml_model_YValue()).parse__Lamf_plugins_domain_shapes_models_AnyShape()
      }
    };
    if ($is_Lorg_yaml_model_YMap(x1)) {
      const x3 = x1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap(this, shape, x3).parse__Lamf_plugins_domain_shapes_models_AnyShape()
    };
    return shape
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, name, node, adopt, isAnnotation, defaultType, ctx) {
    this.ast$2 = ast;
    this.name$2 = name;
    this.node$2 = node;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f = adopt;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f = isAnnotation;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f = defaultType;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
  parse__s_Option() {
    const jsx$3 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$();
    const jsx$2 = this.node$2;
    const node = this.node$2;
    const this$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    let jsx$1;
    if (this$2.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const m = arg1;
      const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("(format)");
      if (this$4.isEmpty__Z()) {
        jsx$1 = $m_s_None$()
      } else {
        const arg1$1 = this$4.get__O();
        const x$5 = arg1$1;
        jsx$1 = new $c_s_Some().init___O(x$5.value$1.toString__T())
      }
    };
    const info = jsx$3.apply__Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__s_Option(jsx$2, "", jsx$1, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    let result;
    if (info.isEmpty__Z()) {
      result = $m_s_None$()
    } else {
      const arg1$2 = info.get__O();
      const x0$2 = arg1$2;
      const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$();
      let jsx$4;
      if ((x === x0$2)) {
        const name = this.name$2;
        const value = this.node$2;
        const adopt = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
        jsx$4 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseXMLSchemaExpression__T__Lorg_yaml_model_YNode__F1__Lamf_core_model_domain_Shape(this, name, value, adopt)
      } else {
        const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$();
        if ((x$3 === x0$2)) {
          const name$1 = this.name$2;
          const value$1 = this.node$2;
          const adopt$1 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
          jsx$4 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseJSONSchemaExpression__T__Lorg_yaml_model_YNode__F1__Lamf_core_model_domain_Shape(this, name$1, value$1, adopt$1)
        } else {
          const x$5$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$();
          if ((x$5$1 === x0$2)) {
            jsx$4 = this.parseTypeExpression__p2__Lamf_core_model_domain_Shape()
          } else {
            const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$();
            if ((x$7 === x0$2)) {
              jsx$4 = this.parseUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape()
            } else {
              const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
              let jsx$5;
              if ((x$9 === x0$2)) {
                jsx$5 = true
              } else {
                const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
                if ((x$11 === x0$2)) {
                  jsx$5 = true
                } else {
                  const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                  jsx$5 = (x$13 === x0$2)
                }
              };
              if (jsx$5) {
                jsx$4 = this.parseObjectType__p2__Lamf_core_model_domain_Shape()
              } else {
                const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                if ((x$15 === x0$2)) {
                  jsx$4 = this.parseArrayType__Lamf_core_model_domain_Shape()
                } else {
                  const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
                  if ((x$17 === x0$2)) {
                    jsx$4 = this.parseAnyType__p2__Lamf_core_model_domain_Shape()
                  } else if ($f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z(x0$2)) {
                    jsx$4 = this.parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(x0$2)
                  } else {
                    const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$();
                    if ((!(x$19 === x0$2))) {
                      throw new $c_s_MatchError().init___O(x0$2)
                    };
                    jsx$4 = this.parseDefaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_core_model_domain_Shape(this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f)
                  }
                }
              }
            }
          }
        }
      };
      result = new $c_s_Some().init___O(jsx$4)
    };
    if ((!result.isEmpty__Z())) {
      const arg1$3 = result.get__O();
      const shape = arg1$3;
      const x1 = this.node$2.value__Lorg_yaml_model_YValue();
      let jsx$6;
      if (($is_Lorg_yaml_model_YScalar(x1) && (!info.contains__O__Z($m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$())))) {
        const annotation = new $c_Lamf_plugins_document_webapi_annotations_InlineDefinition().init___();
        jsx$6 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape, annotation)
      } else {
        jsx$6 = shape
      };
      new $c_s_Some().init___O(jsx$6)
    };
    this.parseCustomShapeFacetInstances__p2__s_Option__V(result);
    const x1$1 = this.node$2.value__Lorg_yaml_model_YValue();
    matchEnd4: {
      if ($is_Lorg_yaml_model_YMap(x1$1)) {
        const x2 = x1$1;
        if (result.isDefined__Z()) {
          new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(result.get__O(), x2, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
          break matchEnd4
        }
      }
    };
    return result
  };
  parseArrayType__Lamf_core_model_domain_Shape() {
    const this$1 = this.node$2;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    let shape$3;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      shape$3 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1(this, this.name$2, this.ast$2, map, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2) {
          const shape = shape$2;
          $this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape)
        })
      })(this))).parse__Lamf_core_model_domain_Shape()
    } else {
      if ((!$is_s_util_Left(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const this$2 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      shape$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, name)
    };
    return shape$3
  };
  parseCustomShapeFacetInstances__p2__s_Option__V(shapeResult) {
    const x1 = this.node$2.value__Lorg_yaml_model_YValue();
    matchEnd4: {
      if ($is_Lorg_yaml_model_YMap(x1)) {
        const x2 = x1;
        if (shapeResult.isDefined__Z()) {
          new $c_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser().init___Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(shapeResult.get__O(), x2, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
          break matchEnd4
        }
      }
    }
  };
  parseTypeExpression__p2__Lamf_core_model_domain_Shape() {
    const x1 = this.node$2.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      const adopt = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
      const part = new $c_s_Some().init___O(this.node$2.value__Lorg_yaml_model_YValue());
      const ctx = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, false, ctx).parse__T__s_Option(x2.text$3).get__O()
    } else if ($is_Lorg_yaml_model_YMap(x1)) {
      return this.parseObjectType__p2__Lamf_core_model_domain_Shape()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(typeDef) {
    if ($f_Lamf_plugins_domain_shapes_models_TypeDef__isNil__Z(typeDef)) {
      const this$1 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const nilShape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(nilShape);
      return nilShape
    } else {
      const this$2 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.ast$2);
      const name$1 = this.name$2;
      const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field$1, name$1);
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape);
      const this$3 = this.node$2;
      const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const map = x2.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this, typeDef, shape, map).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
      } else if ($is_s_util_Left(x1)) {
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(typeDef), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$2.value__Lorg_yaml_model_YValue()));
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(shape, field$2, value)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parseObjectType__p2__Lamf_core_model_domain_Shape() {
    if (this.isFileType__p2__Z()) {
      const shape = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap(this, this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())).parse__Lamf_plugins_domain_shapes_models_FileShape();
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape);
      return shape
    } else {
      const this$1 = $m_Lamf_plugins_domain_shapes_models_NodeShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape$2);
      const this$2 = this.node$2;
      const x1 = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap(this, shape$2, this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())).parse__Lamf_plugins_domain_shapes_models_NodeShape()
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
        if ((x$3 === x1)) {
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__Lamf_core_model_domain_Shape(this, this.ast$2, shape$2).parse__V();
          return shape$2
        } else {
          const node = this.node$2;
          if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
            const x1$2 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().link__Lorg_yaml_model_YNode__s_util_Either(this.node$2);
            let refTuple;
            if ($is_s_util_Left(x1$2)) {
              const x2 = x1$2;
              const key = x2.value$2;
              refTuple = new $c_T2().init___O__O(key, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, $m_Lamf_core_parser_SearchScope$Fragments$()))
            } else {
              const text = this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
              refTuple = new $c_T2().init___O__O(text, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$Named$()))
            };
            if ((refTuple !== null)) {
              const text$2 = refTuple.$$und1__O();
              const p2 = refTuple.$$und2__O();
              if ((text$2 !== null)) {
                if ($is_s_Some(p2)) {
                  const x3 = p2;
                  const s = x3.value$2;
                  const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$2.value__Lorg_yaml_model_YValue());
                  const this$4 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text$2, annotations);
                  const name$1 = this.name$2;
                  const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                  const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field$1, name$1);
                  const value = shape$2.id$1;
                  return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
                }
              }
            };
            if ((refTuple !== null)) {
              const text$3 = refTuple.$$und1__O();
              if ((text$3 !== null)) {
                const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
                const x$18 = "";
                const x$5 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(text$3, x$18, x$17);
                const x$6 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
                if (((x$5 !== null) && (x$5 === x$6))) {
                  shape$2.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
                  return shape$2
                }
              }
            };
            if ((refTuple !== null)) {
              const text$4 = refTuple.$$und1__O();
              if ((text$4 !== null)) {
                const this$6 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(text$4, this.node$2);
                const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                const shape$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$2, text$4);
                const c = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
                $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape$3, c);
                this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape$3);
                const refAst = this.node$2;
                const ctx = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
                $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape$3, text$4, refAst, ctx);
                return shape$3
              }
            };
            throw new $c_s_MatchError().init___O(refTuple)
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      }
    }
  };
  parseUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1(this, this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f).parse__Lamf_plugins_domain_shapes_models_UnionShape()
  };
  parseDefaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_core_model_domain_Shape(defaultType) {
    const x1 = defaultType.typeDef__Lamf_plugins_domain_shapes_models_TypeDef();
    let defaultShape;
    if ($f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z(x1)) {
      defaultShape = this.parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(x1)
    } else {
      const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
      if ((x === x1)) {
        defaultShape = this.parseObjectType__p2__Lamf_core_model_domain_Shape()
      } else {
        defaultShape = this.parseAnyType__p2__Lamf_core_model_domain_Shape()
      }
    };
    defaultShape.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_DefaultNode().init___());
    return defaultShape
  };
  isFileType__p2__Z() {
    const this$1 = this.node$2;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option(this, map);
      if ((!this$2.isEmpty__Z())) {
        const arg1 = this$2.get__O();
        const entry = arg1;
        const this$3 = entry.value$1;
        const conversion$1 = $m_Lamf_core_parser_package$YScalarYRead$();
        const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
        if ($is_s_util_Right(x1$1)) {
          const x2$1 = x1$1;
          const scalar = x2$1.value$2;
          return (scalar.text$3 === "file")
        } else {
          return false
        }
      } else {
        return false
      }
    } else if ($is_s_util_Left(x1)) {
      return false
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.ast$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataArrangementParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataArrangementParser$1 = x$1;
      let jsx$1;
      if ((this.name$1 === DataArrangementParser$1.name$1)) {
        const x = this.ast$1;
        const x$2 = DataArrangementParser$1.ast$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataArrangementParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = DataArrangementParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.ast$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  lookAhead__s_util_Either() {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("(tuple)");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      const this$2 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$2);
      if ($is_s_util_Right(x1$2)) {
        $m_s_package$();
        const this$3 = $m_Lamf_plugins_domain_shapes_models_TupleShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(this.ast$1);
        const name = this.name$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
        return new $c_s_util_Left().init___O(value)
      } else {
        const this$5 = $m_Lamf_plugins_domain_shapes_models_TupleShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(this.ast$1);
        const name$1 = this.name$1;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const tuple = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, name$1);
        this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(tuple.id$1, "Tuples must have a list of types", this.ast$1);
        $m_s_package$();
        return new $c_s_util_Left().init___O(tuple)
      }
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        $m_s_package$();
        const this$7 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.ast$1);
        const name$2 = this.name$1;
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field$2, name$2);
        return new $c_s_util_Right().init___O(value$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parse__Lamf_core_model_domain_Shape() {
    const x1 = this.lookAhead__s_util_Either();
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const tuple = x2.value$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, tuple, this.map$1, this.adopt$1).parse__Lamf_core_model_domain_Shape()
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const array = x3.value$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, array, this.map$1, this.adopt$1).parse__Lamf_core_model_domain_Shape()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1($$outer, name, ast, map, adopt) {
    this.name$1 = name;
    this.ast$1 = ast;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$DataArrangementParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertiesParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertiesParser$1 = x$1;
      if (this.ast$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(PropertiesParser$1.ast$1)) {
        const x = this.producer$1;
        const x$2 = PropertiesParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.ast$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        const xo = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__F1($this.$$outer$1, entry, $this.producer$1).parse__s_Option();
        return xo.toList__sci_List()
      })
    })(this));
    const this$2 = $m_sc_IndexedSeq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBF$6)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1($$outer, ast, producer) {
    this.ast$1 = ast;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$PropertiesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertyShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertyShapeParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = PropertyShapeParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = PropertyShapeParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.entry$1.key$1;
    const conversion = $m_Lorg_yaml_convert_YRead$StringYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const prop = x2.value$2;
      const this$2 = this.producer$1.apply__O__O(prop);
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const property = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other);
      const elem = $m_s_None$();
      let elem$1 = null;
      elem$1 = elem;
      const this$4 = this.entry$1.value$1;
      const conversion$1 = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const x1$2 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1$2)) {
        const x2$2 = x1$2;
        const map = x2$2.value$2;
        const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const this$7 = this$6.key__T__s_Option("required");
        if ((!this$7.isEmpty__Z())) {
          const arg1 = this$7.get__O();
          const entry = arg1;
          const node = entry.value$1;
          const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
          const this$9 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
          const required = (!(!this$9.$boolean__Lamf_core_model_domain_AmfScalar().value$1));
          const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(required, new $c_Lamf_core_parser_Annotations().init___());
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
          elem$1 = new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations));
          const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
          const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((required ? 1 : 0), new $c_Lamf_core_parser_Annotations().init___());
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(property, field, value$1, annotations$1)
        }
      };
      if (property.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1).isEmpty__Z()) {
        const required$1 = (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(prop, "?"));
        const field$1 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
        const value$2 = (required$1 ? 1 : 0);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$1, value$2);
        const field$2 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Name$1;
        let value$3;
        if (required$1) {
          value$3 = prop
        } else {
          const this$14 = new $c_sci_StringOps().init___T(prop);
          value$3 = $f_sci_StringLike__stripSuffix__T__T(this$14, "?")
        };
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(property, field$2, value$3)
      };
      const field$3 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
      const this$15 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const id = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
      const value$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, id).iri__T();
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(property, field$3, value$4);
      const this$17 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, property$1) {
        return (function(shape$2) {
          const shape = shape$2;
          return shape.adopted__T__Lamf_core_model_domain_AmfObject(property$1.id$1)
        })
      })(this, property)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
      if ((!this$17.isEmpty__Z())) {
        const arg1$1 = this$17.get__O();
        const range = arg1$1;
        if (elem$1.isDefined__Z()) {
          range.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1, elem$1.get__O().value$1, elem$1.get__O().annotations$1)
        };
        const this$18 = this.entry$1.value$1;
        const x = this$18.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x === x$2)) {
          range.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___())
        };
        const field$4 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(property, field$4, range)
      };
      return new $c_s_Some().init___O(property)
    } else if ($is_s_util_Left(x1)) {
      const x3 = x1;
      const error = x3.value$2;
      this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__s_Option__V(error.error__T(), new $c_s_Some().init___O(this.entry$1.key$1));
      return $m_s_None$()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__F1($$outer, entry, producer) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$PropertyShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ctx$1 = null
  };
  $$plus$eq__T__Lamf_core_model_document_Fragment__V(url, fragment) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(url, fragment));
    const this$5 = this.ctx$1.declarations$3;
    const jsx$1 = this$5.fragments$1;
    const y = fragment.encodes__Lamf_core_model_domain_DomainElement();
    this$5.fragments$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(url, y))
  };
  productPrefix__T() {
    return "ReferenceDeclarations"
  };
  productArity__I() {
    return 1
  };
  $$plus$eq__T__Lamf_core_model_document_Document__V(url, fragment) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(url, fragment))
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(x$1)) {
      const ReferenceDeclarations$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferenceDeclarations$1.references$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___scm_Map__Lamf_plugins_document_webapi_contexts_WebApiContext(references, ctx) {
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  $$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, unit) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(alias, unit));
    const library = this.ctx$1.declarations$3.getOrCreateLibrary__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(alias);
    if ($is_Lamf_core_model_document_DeclaresModel(unit)) {
      unit.declares__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$1$2) {
          return true
        })
      })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, library$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return library$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(x$1)
        })
      })(this, library)))
    } else {
      throw new $c_s_MatchError().init___O(unit)
    }
  };
  solvedReferences__sc_Seq() {
    const this$1 = this.references$1.values__sc_Iterable().toSet__sci_Set();
    return $f_sc_SetLike__toSeq__sc_Seq(this$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ReferenceDeclarations", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ReferencesParser"
  };
  parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(location) {
    const result = this.parseLibraries__p1__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(location);
    this.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        matchEnd9: {
          if ((x0$2 !== null)) {
            const f = x0$2.unit$1;
            const origin = x0$2.origin$1;
            if ($is_Lamf_core_model_document_Fragment(f)) {
              const x4 = f;
              if ((origin !== null)) {
                result$1.$$plus$eq__T__Lamf_core_model_document_Fragment__V(origin.url$1, x4);
                break matchEnd9
              }
            }
          };
          if ((x0$2 !== null)) {
            const d = x0$2.unit$1;
            const origin$2 = x0$2.origin$1;
            if ($is_Lamf_core_model_document_Document(d)) {
              const x6 = d;
              if ((origin$2 !== null)) {
                result$1.$$plus$eq__T__Lamf_core_model_document_Document__V(origin$2.url$1, x6);
                break matchEnd9
              }
            }
          }
        }
      })
    })(this, result)));
    return result
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser(x$1)) {
      const ReferencesParser$1 = x$1;
      if (((this.key$1 === ReferencesParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ReferencesParser$1.map$1))) {
        const x = this.references$1;
        const x$2 = ReferencesParser$1.references$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  library__p1__T__Lorg_yaml_model_YMapEntry__T(id, e) {
    const this$1 = e.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Include$1;
    if ((x === x1)) {
      return e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3
    } else {
      $m_Lorg_yaml_model_YNode$();
      const node = e.value$1;
      return node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)
    }
  };
  target__p1__T__s_Option(url) {
    const this$2 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
      return (function(r$2) {
        const r = r$2;
        const this$1 = r.origin$1.url$1;
        return (this$1 === url$1)
      })
    })(this, url)));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$2 = arg1;
      return new $c_s_Some().init___O(x$2.unit$1)
    }
  };
  collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(module, alias) {
    const x1 = module.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const aliases = x2.value$2;
      module.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return $is_Lamf_core_annotations_Aliases(x$3)
        })
      })(this)));
      const aliases$1 = aliases.aliases$1.$$plus__O__sc_Set(alias);
      const annotation = new $c_Lamf_core_annotations_Aliases().init___sci_Set(aliases$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const array = [alias];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          jsx$1 = $m_sci_Set$EmptySet$()
        } else {
          const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_SetBuilder(arg1);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.elems$1
        };
        const annotation$1 = new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$1);
        return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseLibraries__p1__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(id) {
    const result = $m_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$().apply__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.ctx$1);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = this.key$1;
    const this$3 = this$2.key__T__s_Option(keyword);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, result$2) {
        return (function(e$2) {
          const e = e$2;
          $m_Lorg_yaml_model_YNode$();
          const node = e.key$1;
          const alias = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          const url = $this.library__p1__T__Lorg_yaml_model_YMapEntry__T(id$1, e);
          const this$5 = $this.target__p1__T__s_Option(url);
          if ((!this$5.isEmpty__Z())) {
            const arg1$1 = this$5.get__O();
            const x0$3 = arg1$1;
            if ($is_Lamf_core_model_document_DeclaresModel(x0$3)) {
              result$2.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, $this.collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(x0$3, new $c_T2().init___O__O(alias, url)))
            } else {
              $this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected module but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$3])), e)
            }
          }
        })
      })(this, id, result)))
    };
    return result
  };
  init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(key, map, references, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ReferencesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "ShapeDependenciesParser"
  };
  init___Lorg_yaml_model_YMap__scm_ListMap(map, properties) {
    this.map$1 = map;
    this.properties$1 = properties;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser(x$1)) {
      const ShapeDependenciesParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ShapeDependenciesParser$1.map$1)) {
        const x = this.properties$1;
        const x$2 = ShapeDependenciesParser$1.properties$1;
        return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        const xo = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser().init___Lorg_yaml_model_YMapEntry__scm_ListMap(entry, $this.properties$1).parse__s_Option();
        return xo.toList__sci_List()
      })
    })(this));
    const this$2 = $m_sc_IndexedSeq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBF$6)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ShapeDependenciesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "SimpleTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter(x$1)) {
      const SimpleTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = SimpleTypeEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = SimpleTypeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.shape$1;
    const fs = this$1.fields$2;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DisplayName$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("displayName", f)))
    };
    const jsx$1 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$();
    const this$3 = this.shape$1;
    const rawTypeDef = jsx$1.typeDef08__T__T(this$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1));
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      const x$123 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f$3.value$1.annotations$1);
      const x$124 = $m_Lorg_yaml_model_YType$().Str$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", rawTypeDef, x$124, x$123)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Description$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$4)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Values$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$3 = this$7.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", f$5, this.ordering$1, false)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$4 = this$8.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("pattern", f$6)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$5 = this$9.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("minLength", f$7)))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$6 = this$10.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("maxLength", f$8)))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$7 = this$11.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("minimum", f$9)))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$8 = this$12.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("maximum", f$10)))
    };
    const this$13 = this.shape$1;
    const this$14 = this$13.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1).headOption__s_Option();
    if ((!this$14.isEmpty__Z())) {
      const arg1$9 = this$14.get__O();
      const e = arg1$9;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter().init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("example", e, this.ordering$1, this.spec$1))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().RequiredShape$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$10 = this$15.get__O();
      const f$11 = arg1$10;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("required", f$11)))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Default$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$11 = this$16.get__O();
      const f$12 = arg1$11;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("default", f$12)))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.SimpleTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser extends $c_O {
  constructor() {
    super();
    this.defaultName$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "XMLSerializerParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser(x$1)) {
      const XMLSerializerParser$1 = x$1;
      return ((this.defaultName$1 === XMLSerializerParser$1.defaultName$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(XMLSerializerParser$1.map$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.defaultName$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(defaultName, map, ctx) {
    this.defaultName$1 = defaultName;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_shapes_models_XMLSerializer() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_XMLSerializer$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_XMLSerializer(this.map$1);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1;
    const this$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, false);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1;
    const this$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$2, field$1, false);
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1;
    const value = this.defaultName$1;
    const serializer = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field$2, value);
    const map = this.map$1;
    const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$6 = this$5.key__T__s_Option("attribute");
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.ctx$1;
      const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1;
      const value$2 = value$1.$boolean__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$3, value$2, annotations)
    };
    const map$1 = this.map$1;
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$10 = this$9.key__T__s_Option("wrapped");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      const node$1 = entry$3.value$1;
      const iv$1 = this.ctx$1;
      const value$3 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
      const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1;
      const value$4 = value$3.$boolean__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$4, value$4, annotations$1)
    };
    const map$2 = this.map$1;
    const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$14 = this$13.key__T__s_Option("name");
    if ((!this$14.isEmpty__Z())) {
      const arg1$2 = this$14.get__O();
      const entry$4 = arg1$2;
      const node$2 = entry$4.value$1;
      const iv$2 = this.ctx$1;
      const value$5 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$2);
      const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1;
      const value$6 = value$5.string__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$5, value$6, annotations$2)
    };
    const map$3 = this.map$1;
    const this$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$18 = this$17.key__T__s_Option("namespace");
    if ((!this$18.isEmpty__Z())) {
      const arg1$3 = this$18.get__O();
      const entry$5 = arg1$3;
      const node$3 = entry$5.value$1;
      const iv$3 = this.ctx$1;
      const value$7 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$3, iv$3);
      const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1;
      const value$8 = value$7.string__Lamf_core_model_domain_AmfScalar();
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$6, value$8, annotations$3)
    };
    const map$4 = this.map$1;
    const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$22 = this$21.key__T__s_Option("prefix");
    if ((!this$22.isEmpty__Z())) {
      const arg1$4 = this$22.get__O();
      const entry$6 = arg1$4;
      const node$4 = entry$6.value$1;
      const iv$4 = this.ctx$1;
      const value$9 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$4, iv$4);
      const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1;
      const value$10 = value$9.string__Lamf_core_model_domain_AmfScalar();
      const annotations$4 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$6);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$7, value$10, annotations$4)
    };
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(serializer.id$1, this.map$1, "xmlSerialization", false);
    return serializer
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.XMLSerializerParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasHeaderParametersParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser(x$1)) {
      const OasHeaderParametersParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasHeaderParametersParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = OasHeaderParametersParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry, $this.producer$1, $this.ctx$1).parse__Lamf_plugins_domain_webapi_models_Parameter()
      })
    })(this));
    const this$1 = $m_sc_IndexedSeq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6)
  };
  init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, producer, ctx) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasHeaderParametersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.payload$1 = null
  };
  productPrefix__T() {
    return "OasParameter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(x$1)) {
      const OasParameter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = OasParameter$1.parameter$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.payload$1;
        const x$4 = OasParameter$1.payload$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.payload$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload(parameter, payload) {
    this.parameter$1 = parameter;
    this.payload$1 = payload;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParameter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter extends $c_O {
  constructor() {
    super();
    this.OasParameterEmitter$module$1 = null;
    this.XRamlParameterEmitter$module$1 = null;
    this.key$1 = null;
    this.parameters$1 = null;
    this.ordering$1 = null;
    this.payloadOption$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasParametersEmitter"
  };
  productArity__I() {
    return 5
  };
  ramlEndpointEmitters__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq(this, this.parameters$1, this.references$1)]))
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter(x$1)) {
      const OasParametersEmitter$1 = x$1;
      let jsx$3;
      if ((this.key$1 === OasParametersEmitter$1.key$1)) {
        const x = this.parameters$1;
        const x$2 = OasParametersEmitter$1.parameters$1;
        jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$3 = this.ordering$1;
        const x$4 = OasParametersEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.payloadOption$1;
        const x$6 = OasParametersEmitter$1.payloadOption$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = OasParametersEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.parameters$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.payloadOption$1;
        break
      }
      case 4: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  oasEndpointEmitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x1 = this.parameters$1.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return ((($m_s_Option$().apply__O__s_Option(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)).isEmpty__Z() || $is_Lamf_plugins_domain_shapes_models_ScalarShape(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_ArrayShape(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_FileShape(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)))
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oasParameters = x1.$$und1__O();
    const ramlParameters = x1.$$und2__O();
    if ((oasParameters.nonEmpty__Z() || this.payloadOption$1.isDefined__Z())) {
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq(this, oasParameters, this.references$1))
    };
    if (ramlParameters.nonEmpty__Z()) {
      const path = ramlParameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$13$2) {
          const x$13 = x$13$2;
          return x$13.isPath__Z()
        })
      })(this)));
      if (path.nonEmpty__Z()) {
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq(this, "x-uriParameters", path))
      }
    };
    return results
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x1 = this.parameters$1.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return ((($m_s_Option$().apply__O__s_Option(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)).isEmpty__Z() || $is_Lamf_plugins_domain_shapes_models_ScalarShape(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_ArrayShape(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_FileShape(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)))
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oasParameters = x1.$$und1__O();
    const ramlParameters = x1.$$und2__O();
    if ((oasParameters.nonEmpty__Z() || this.payloadOption$1.isDefined__Z())) {
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq(this, oasParameters, this.references$1))
    };
    if (ramlParameters.nonEmpty__Z()) {
      const query = ramlParameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$15$2) {
          const x$15 = x$15$2;
          return x$15.isQuery__Z()
        })
      })(this)));
      const header = ramlParameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
        return (function(x$16$2) {
          const x$16 = x$16$2;
          return x$16.isHeader__Z()
        })
      })(this)));
      if (query.nonEmpty__Z()) {
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq(this, "x-queryParameters", query))
      };
      if (header.nonEmpty__Z()) {
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq(this, "x-headers", header))
      }
    };
    return results
  };
  amf$plugins$document$webapi$parser$spec$domain$OasParametersEmitter$$parameters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(parameters, ordering, references) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    parameters.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1, result$1) {
      return (function(e$2) {
        const e = e$2;
        return result$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(e, ordering$1, references$1, $this.spec$1))
      })
    })(this, ordering, references, result)));
    const this$1 = this.payloadOption$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const payload = arg1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(payload, ordering, references, this.spec$1))
    };
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, parameters, ordering, payloadOption, references, spec) {
    this.key$1 = key;
    this.parameters$1 = parameters;
    this.ordering$1 = ordering;
    this.payloadOption$1 = payloadOption;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser extends $c_O {
  constructor() {
    super();
    this.values$1 = null;
    this.parentId$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasParametersParser"
  };
  init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(values, parentId, ctx) {
    this.values$1 = values;
    this.parentId$1 = parentId;
    this.ctx$1 = ctx;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser(x$1)) {
      const OasParametersParser$1 = x$1;
      const x = this.values$1;
      const x$2 = OasParametersParser$1.values$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.parentId$1 === OasParametersParser$1.parentId$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.values$1;
        break
      }
      case 1: {
        return this.parentId$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_document_webapi_parser_spec_domain_Parameters() {
    const jsx$2 = this.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(value$2) {
        const value = value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser().init___Lorg_yaml_model_YMap__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(value, $this.parentId$1, $m_s_None$(), $this.ctx$1).parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const parameters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$13 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.parameter$1.isQuery__Z()
      })
    })(this)));
    const jsx$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.parameter$1
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const jsx$11 = jsx$13.map__F1__scg_CanBuildFrom__O(jsx$12, this$4.ReusableCBFInstance$2);
    const jsx$10 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.parameter$1.isPath__Z()
      })
    })(this)));
    const jsx$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        return x$7.parameter$1
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    const jsx$8 = jsx$10.map__F1__scg_CanBuildFrom__O(jsx$9, this$6.ReusableCBFInstance$2);
    const jsx$7 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return x$8.parameter$1.isHeader__Z()
      })
    })(this)));
    const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        return x$9.parameter$1
      })
    })(this));
    const this$8 = $m_sc_Seq$();
    const jsx$5 = jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$8.ReusableCBFInstance$2);
    const jsx$4 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        return x$10.parameter$1.isBody__Z()
      })
    })(this)));
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return x$11.payload$1
      })
    })(this));
    const this$10 = $m_sc_Seq$();
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(jsx$11, jsx$8, jsx$5, jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2).headOption__s_Option())
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads extends $c_O {
  constructor() {
    super();
    this.default$1 = null;
    this.other$1 = null
  };
  productPrefix__T() {
    return "OasPayloads"
  };
  productArity__I() {
    return 2
  };
  init___s_Option__sc_Seq($default, other) {
    this.default$1 = $default;
    this.other$1 = other;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(x$1)) {
      const OasPayloads$1 = x$1;
      const x = this.default$1;
      const x$2 = OasPayloads$1.default$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.other$1;
        const x$4 = OasPayloads$1.other$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.default$1;
        break
      }
      case 1: {
        return this.other$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloads", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser extends $c_O {
  constructor() {
    super();
    this.yMapEntry$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasResponseExampleParser"
  };
  parse__Lamf_plugins_domain_shapes_models_Example() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(this.yMapEntry$1);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1;
    const value = this.yMapEntry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const this$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1;
    const example = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$2, field$1, false);
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(this.yMapEntry$1.value$1, example, false, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser(x$1)) {
      const OasResponseExampleParser$1 = x$1;
      const x = this.yMapEntry$1;
      const x$2 = OasResponseExampleParser$1.yMapEntry$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.yMapEntry$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(yMapEntry, ctx) {
    this.yMapEntry$1 = yMapEntry;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasResponseExamplesParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser(x$1)) {
      const OasResponseExamplesParser$1 = x$1;
      return ((this.key$1 === OasResponseExamplesParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasResponseExamplesParser$1.map$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.key$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).regex__T__sc_Iterable(".*/.*");
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, results$1) {
        return (function(e$2) {
          const e = e$2;
          return results$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser().init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(e, $this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example())
        })
      })(this, results));
      const this$4 = $m_sc_Iterable$();
      jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
    };
    return results
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(key, map, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExamplesParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters extends $c_O {
  constructor() {
    super();
    this.query$1 = null;
    this.path$1 = null;
    this.header$1 = null;
    this.body$1 = null
  };
  productPrefix__T() {
    return "Parameters"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Parameters(x$1)) {
      const Parameters$1 = x$1;
      const x = this.query$1;
      const x$2 = Parameters$1.query$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.path$1;
        const x$4 = Parameters$1.path$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.header$1;
        const x$6 = Parameters$1.header$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.body$1;
        const x$8 = Parameters$1.body$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.query$1;
        break
      }
      case 1: {
        return this.path$1;
        break
      }
      case 2: {
        return this.header$1;
        break
      }
      case 3: {
        return this.body$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  merge__p1__s_Option__s_Option__s_Option(global, inner) {
    let this$1;
    if (inner.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = inner.get__O();
      const x$1 = arg1;
      const annotation = new $c_Lamf_plugins_document_webapi_annotations_DefaultPayload().init___();
      this$1 = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(x$1, annotation))
    };
    if (this$1.isEmpty__Z()) {
      if (global.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = global.get__O();
        const x$2 = arg1$1;
        const fields = x$2.fields$1;
        const annotations = x$2.annotations$1;
        return new $c_s_Some().init___O(new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations))
      }
    } else {
      return this$1
    }
  };
  add__p1__s_Option__s_Option__s_Option(global, inner) {
    let this$1;
    if (inner.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = inner.get__O();
      const x$3 = arg1;
      const annotation = new $c_Lamf_plugins_document_webapi_annotations_DefaultPayload().init___();
      this$1 = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(x$3, annotation))
    };
    if (this$1.isEmpty__Z()) {
      if (global.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = global.get__O();
        const x$4 = arg1$1;
        const fields = x$4.fields$1;
        const annotations = x$4.annotations$1;
        return new $c_s_Some().init___O(new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations))
      }
    } else {
      return this$1
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  merge__p1__sc_Seq__sc_Seq__sc_Seq(global, inner) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const self = p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const globalMap = global.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(p$3$2) {
        const p$3 = p$3$2;
        const self$1 = p$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        return new $c_T2().init___O__O(self$1, p$3)
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    const innerMap = inner.map__F1__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const this$7 = globalMap.$$plus$plus__sc_GenTraversableOnce__sci_Map(innerMap);
    const this$8 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$7);
    return this$8.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  merge__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(inner) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(this.merge__p1__sc_Seq__sc_Seq__sc_Seq(this.query$1, inner.query$1), this.merge__p1__sc_Seq__sc_Seq__sc_Seq(this.path$1, inner.path$1), this.merge__p1__sc_Seq__sc_Seq__sc_Seq(this.header$1, inner.header$1), this.merge__p1__s_Option__s_Option__s_Option(this.body$1, inner.body$1))
  };
  add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(inner) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(this.add__p1__sc_Seq__sc_Seq__sc_Seq(this.query$1, inner.query$1), this.add__p1__sc_Seq__sc_Seq__sc_Seq(this.path$1, inner.path$1), this.add__p1__sc_Seq__sc_Seq__sc_Seq(this.header$1, inner.header$1), this.add__p1__s_Option__s_Option__s_Option(this.body$1, inner.body$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  add__p1__sc_Seq__sc_Seq__sc_Seq(global, inner) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const self = p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const globalMap = global.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(p$3$2) {
        const p$3 = p$3$2;
        const self$1 = p$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        return new $c_T2().init___O__O(self$1, p$3)
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    const innerMap = inner.map__F1__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const this$7 = globalMap.$$plus$plus__sc_GenTraversableOnce__sci_Map(innerMap);
    const this$8 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$7);
    return this$8.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  init___sc_Seq__sc_Seq__sc_Seq__s_Option(query, path, header, body) {
    this.query$1 = query;
    this.path$1 = path;
    this.header$1 = header;
    this.body$1 = body;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  nonEmpty__Z() {
    return (((this.query$1.nonEmpty__Z() || this.path$1.nonEmpty__Z()) || this.header$1.nonEmpty__Z()) || this.body$1.isDefined__Z())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Parameters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Parameters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Parameters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Parameters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Parameters", {
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.declarations$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ParametrizedDeclarationParser"
  };
  productArity__I() {
    return 3
  };
  fromStringNode__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_templates_ParametrizedDeclaration(node) {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      const this$1 = this.producer$1.apply__O__O(value);
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node.value__Lorg_yaml_model_YValue());
      const this$2 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
      const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1;
      const value$1 = this.declarations$1.apply__O__O__O(value, $m_Lamf_core_parser_SearchScope$Fragments$());
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const n = x3.value$2;
      const text = n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const this$3 = this.producer$1.apply__O__O(text);
      const other$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node.value__Lorg_yaml_model_YValue());
      const this$4 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other$1);
      const field$1 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1;
      const value$2 = this.declarations$1.apply__O__O__O(text, $m_Lamf_core_parser_SearchScope$All$());
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$4, field$1, value$2)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser(x$1)) {
      const ParametrizedDeclarationParser$1 = x$1;
      let jsx$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ParametrizedDeclarationParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = ParametrizedDeclarationParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.declarations$1;
        const x$4 = ParametrizedDeclarationParser$1.declarations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.declarations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, declarations, ctx) {
    this.node$1 = node;
    this.producer$1 = producer;
    this.declarations$1 = declarations;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_core_model_domain_templates_ParametrizedDeclaration() {
    const this$1 = this.node$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const entry = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.head__O();
      const this$2 = entry.value$1;
      const x1$2 = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
      const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x$3 === x1$2)) {
        return this.fromStringNode__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_templates_ParametrizedDeclaration(entry.key$1)
      } else {
        const name = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$3 = this.producer$1.apply__O__O(name);
        const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue());
        const declaration = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
        declaration.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1, this.declarations$1.apply__O__O__O(name, $m_Lamf_core_parser_SearchScope$Named$()), (declaration.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
        const jsx$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, declaration$1) {
          return (function(variableEntry$2) {
            const variableEntry = variableEntry$2;
            const x$1 = variableEntry.value$1;
            const x$2 = new $c_s_Some().init___O(declaration$1.id$1);
            const x$3$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
            const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
            const node = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(x$1, x$3$1, x$2, x$4, $this.ctx$1).parse__Lamf_core_model_domain_DataNode();
            const this$8 = $m_Lamf_core_model_domain_templates_VariableValue$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_VariableValue(variableEntry);
            const name$1 = variableEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
            const field = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1;
            const this$9 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, name$1);
            const field$1 = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$9, field$1, node)
          })
        })(this, declaration));
        const this$10 = $m_sc_IndexedSeq$();
        const variables = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$10.ReusableCBF$6);
        const field$2 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Variables$1;
        return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(declaration, field$2, variables)
      }
    } else {
      const x$5 = $m_Lorg_yaml_model_YType$().Str$1;
      if ((x$5 === x1)) {
        return this.fromStringNode__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_templates_ParametrizedDeclaration(this.node$1)
      } else {
        const declaration$2 = this.producer$1.apply__O__O("");
        this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(declaration$2.id$1, "Invalid model extension.", this.node$1);
        return declaration$2
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedDeclarationParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.typeEmitters$1 = null
  };
  productPrefix__T() {
    return "Raml08PayloadEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter(x$1)) {
      const Raml08PayloadEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = Raml08PayloadEmitter$1.payload$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08PayloadEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(payload, ordering, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    let rc9 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(payload.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
    let jsx$1;
    matchEnd10: {
      if ($is_s_Some(x1)) {
        rc9 = true;
        x2 = x1;
        const node = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_NodeShape(node)) {
          const x5 = node;
          if (((!x5.linkTarget$1.isDefined__Z()) && x5.annotations$2.find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf()).isEmpty__Z())) {
            jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter().init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, ordering, spec)]));
            break matchEnd10
          }
        }
      };
      if (rc9) {
        const anyShape = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(anyShape)) {
          const x6 = anyShape;
          jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().apply__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(x6, ordering, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), spec).emitters__sc_Seq();
          break matchEnd10
        }
      };
      if (rc9) {
        const other = x2.value$2;
        jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(other, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit schema ", " in raml 08 body request"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(other).toString__T()])))]));
        break matchEnd10
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter(this)]));
        break matchEnd10
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    this.typeEmitters$1 = jsx$1;
    return this
  };
  emitters__sc_Seq() {
    const x1 = this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    if ($is_s_Some(x1)) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter(this)]))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.typeEmitters$1
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.parentId$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "Raml08WebFormParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser(x$1)) {
      const Raml08WebFormParser$1 = x$1;
      return (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08WebFormParser$1.map$1) && (this.parentId$1 === Raml08WebFormParser$1.parentId$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.parentId$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, parentId, ctx) {
    this.map$1 = map;
    this.parentId$1 = parentId;
    this.ctx$1 = ctx;
    return this
  };
  parse__s_Option() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("formParameters");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const entries = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
      const this$3 = entries.headOption__s_Option();
      if (this$3.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const this$4 = $m_Lamf_plugins_domain_shapes_models_NodeShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(entry.value$1);
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const webFormShape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, "schema").adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(this.parentId$1);
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, webFormShape$1) {
          return (function(e$2) {
            const e = e$2;
            const this$6 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(shape$2) {
                const shape = shape$2;
                return shape
              })
            })($this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), $this.ctx$1).parse__s_Option();
            if ((!this$6.isEmpty__Z())) {
              const arg1$2 = this$6.get__O();
              const s = arg1$2;
              const property = webFormShape$1.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(s.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
              const x1 = s.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
              matchEnd5: {
                const x = $m_s_None$();
                if ((x === x1)) {
                  const field$1 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$1, 0);
                  break matchEnd5
                };
                if ($is_s_Some(x1)) {
                  const x2 = x1;
                  const f = x2.value$2;
                  if ((!f.value$1.value$1.toBool__Z())) {
                    const field$2 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$2, 0);
                    break matchEnd5
                  }
                };
                const field$3 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$3, 1)
              };
              const field$4 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(property, field$4, s).adopted__T__Lamf_core_model_domain_extensions_PropertyShape(property.id$1)
            }
          })
        })(this, webFormShape)));
        return new $c_s_Some().init___O(webFormShape)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08WebFormParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10Payloads"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads(x$1)) {
      const Raml10Payloads$1 = x$1;
      const x = this.payload$1;
      const x$2 = Raml10Payloads$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10Payloads$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml10Payloads$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    if (this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1).isDefined__Z()) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.references$1, this.spec$1)]))
    } else {
      let rc7 = false;
      let x2 = null;
      const jsx$1 = $m_s_Option$();
      const this$1 = this.payload$1;
      const x1 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
      if ($is_s_Some(x1)) {
        rc7 = true;
        x2 = x1;
        const shape = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
          const x5 = shape;
          const x$26 = this.ordering$1;
          const x$27 = this.references$1;
          const x$28 = $m_sci_Nil$();
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, x$26, x$28, x$27, this.spec$1).emitters__sc_Seq()
        }
      };
      if (rc7) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit a non WebAPI shape"))
      };
      return $m_sci_Nil$()
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10Payloads", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.example$1 = null;
    this.strict$1 = false;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlExampleValueAsString"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString(x$1)) {
      const RamlExampleValueAsString$1 = x$1;
      let jsx$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlExampleValueAsString$1.node$1)) {
        const x = this.example$1;
        const x$2 = RamlExampleValueAsString$1.example$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.strict$1 === RamlExampleValueAsString$1.strict$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.example$1;
        break
      }
      case 2: {
        return this.strict$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(node, example, strict, ctx) {
    this.node$1 = node;
    this.example$1 = example;
    this.strict$1 = strict;
    this.ctx$1 = ctx;
    return this
  };
  populate__Lamf_plugins_domain_shapes_models_Example() {
    if (this.example$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).isEmpty__Z()) {
      const this$3 = this.example$1;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.strict$1, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$3, field, value, annotations)
    };
    const this$4 = this.node$1;
    const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      jsx$1 = (x$3 === x1)
    };
    if (jsx$1) {
      const this$5 = this.example$1;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(this.node$1.value__Lorg_yaml_model_YValue(), false), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()));
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field$1, value$1, annotations$1)
    } else {
      const scalar = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1);
      const this$6 = this.node$1.tag__Lorg_yaml_model_YTag();
      let annotations$2;
      if ((this$6.tokens$1.isEmpty__Z() && scalar.plain$3)) {
        annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue())
      } else {
        annotations$2 = (($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(scalar.text$3).isDefined__Z() || $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().unapply__T__s_Option(scalar.text$3).isDefined__Z()) ? $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()) : $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ScalarExampleTagType().init___T(this.node$1.tag__Lorg_yaml_model_YTag().text$2)))
      };
      const this$7 = this.example$1;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(scalar.text$3, annotations$2);
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$2, value$2, annotations$3)
    };
    return this.example$1
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.node$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.example$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.strict$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlExampleValueAsString", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.singleExampleKey$1 = null;
    this.multipleExamplesKey$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlExamplesParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser(x$1)) {
      const RamlExamplesParser$1 = x$1;
      return ((this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlExamplesParser$1.map$1) && (this.singleExampleKey$1 === RamlExamplesParser$1.singleExampleKey$1)) && (this.multipleExamplesKey$1 === RamlExamplesParser$1.multipleExamplesKey$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.singleExampleKey$1;
        break
      }
      case 2: {
        return this.multipleExamplesKey$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext(map, singleExampleKey, multipleExamplesKey, ctx) {
    this.map$1 = map;
    this.singleExampleKey$1 = singleExampleKey;
    this.multipleExamplesKey$1 = multipleExamplesKey;
    this.ctx$1 = ctx;
    return this
  };
  parse__sc_Seq() {
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.multipleExamplesKey$1, this.map$1, this.ctx$1).parse__sc_Seq();
    const xo = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.singleExampleKey$1, this.map$1, this.ctx$1).parse__s_Option();
    const jsx$1 = xo.toList__sci_List();
    const this$2 = $m_sc_Seq$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlExamplesParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlMultipleExampleParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser(x$1)) {
      const RamlMultipleExampleParser$1 = x$1;
      return ((this.key$1 === RamlMultipleExampleParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlMultipleExampleParser$1.map$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const examples = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.key$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(entry.value$1);
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const s = x2.value$2;
        const this$3 = this.ctx$1.declarations$3.findNamedExample__T__s_Option(s);
        let xo;
        if (this$3.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1$1 = this$3.get__O();
          const e = arg1$1;
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          xo = new $c_s_Some().init___O($f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(e, s, annotations))
        };
        examples.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xo.toList__sci_List())
      } else if ($is_s_util_Right(x1)) {
        const x3 = x1;
        const node = x3.value$2;
        const x1$2 = node.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1$2)) {
          const jsx$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
            return (function(x$1$2) {
              const x$1 = x$1$2;
              return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser().init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(x$1, this$2$1.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example()
            })
          })(this));
          const this$6 = $m_sc_IndexedSeq$();
          examples.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBF$6))
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((x$3 === x1$2)) {
            new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(node, $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(node), true, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
          } else {
            new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(node, $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1)), true, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return examples
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(key, map, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlMultipleExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.ctx$1 = null
  };
  parse__Lamf_plugins_domain_shapes_models_Example() {
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const name = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entry$1.value$1);
    let example;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const s = x2.value$2;
      const this$2 = this.ctx$1.declarations$3.findNamedExample__T__s_Option(s);
      let this$4;
      if (this$2.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const e = arg1;
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        this$4 = new $c_s_Some().init___O($f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(e, s, annotations))
      };
      example = (this$4.isEmpty__Z() ? new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(this.entry$1.value$1, this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example() : this$4.get__O())
    } else {
      if ((!$is_s_util_Right(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      example = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(this.entry$1.value$1, this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example()
    };
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
    const value = name.string__Lamf_core_model_domain_AmfScalar();
    const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(example, field, value, annotations$1)
  };
  productPrefix__T() {
    return "RamlNamedExampleParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser(x$1)) {
      const RamlNamedExampleParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = RamlNamedExampleParser$1.entry$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(entry, ctx) {
    this.entry$1 = entry;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlNamedExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null
  };
  init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    return this
  };
  productPrefix__T() {
    return "RamlParametersParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser(x$1)) {
      const RamlParametersParser$1 = x$1;
      let jsx$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlParametersParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = RamlParametersParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$1 === RamlParametersParser$1.parseOptional$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.parseOptional$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().parameterParser__F3().apply__O__O__O__O(entry, $this.producer$1, $this.parseOptional$1).parse__Lamf_plugins_domain_webapi_models_Parameter()
      })
    })(this));
    const this$1 = $m_sc_IndexedSeq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.map$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlParametrizedSecuritySchemeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser(x$1)) {
      const RamlParametrizedSecuritySchemeParser$1 = x$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlParametrizedSecuritySchemeParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = RamlParametrizedSecuritySchemeParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, ctx) {
    this.node$1 = node;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme() {
    const this$1 = this.node$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x === x1)) {
      const this$2 = this.producer$1.apply__O__O("null");
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
      if ((x$3 === x1)) {
        $m_Lorg_yaml_model_YNode$();
        const node = this.node$1;
        const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        const this$4 = this.producer$1.apply__O__O(name);
        const other$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
        const scheme = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$4, other$1);
        const x1$2 = this.ctx$1.declarations$3.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(name, $m_Lamf_core_parser_SearchScope$Named$());
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const declaration = x2.value$2;
          scheme.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1, declaration, new $c_Lamf_core_parser_Annotations().init___());
          return scheme
        } else {
          const x$5 = $m_s_None$();
          if ((x$5 === x1$2)) {
            this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(scheme.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme '", "' not found in declarations."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name])), this.node$1);
            return scheme
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        }
      } else {
        const x$7 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x$7 === x1)) {
          const schemeEntry = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.head__O();
          const name$2 = schemeEntry.key$1;
          const this$7 = this.producer$1.apply__O__O(($m_Lorg_yaml_model_YNode$(), name$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)));
          const other$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
          const scheme$2 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$7, other$2);
          const x1$3 = this.ctx$1.declarations$3.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(($m_Lorg_yaml_model_YNode$(), name$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)), $m_Lamf_core_parser_SearchScope$Named$());
          if ($is_s_Some(x1$3)) {
            const x2$2 = x1$3;
            const declaration$2 = x2$2.value$2;
            const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme$2, field, declaration$2);
            const settings = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser().init___Lorg_yaml_model_YMap__T__Lamf_plugins_domain_webapi_models_security_WithSettings__Lamf_plugins_document_webapi_contexts_WebApiContext(schemeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), declaration$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1), scheme$2, this.ctx$1).parse__Lamf_plugins_domain_webapi_models_security_Settings();
            const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme$2, field$1, settings)
          } else {
            const x$9 = $m_s_None$();
            if ((x$9 === x1$3)) {
              this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V("", new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme '", "' not found in declarations (and name cannot be 'null')."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name$2])), this.node$1)
            } else {
              throw new $c_s_MatchError().init___O(x1$3)
            }
          };
          return scheme$2
        } else {
          const jsx$2 = $m_sjsr_package$();
          const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", ""]));
          const this$9 = this.node$1;
          throw jsx$2.unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$9.tag__Lorg_yaml_model_YTag().tagType$2]))))
        }
      }
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametrizedSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlSingleExampleParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser(x$1)) {
      const RamlSingleExampleParser$1 = x$1;
      return ((this.key$1 === RamlSingleExampleParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSingleExampleParser$1.map$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.key$1);
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$3 = entry.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        const jsx$1 = $m_s_Option$();
        $m_Lorg_yaml_model_YNode$();
        const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const this$9 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$1, t, a, cs), this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example();
        const annotation = new $c_Lamf_core_annotations_SingleValueArray().init___();
        return jsx$1.apply__O__s_Option($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$9, annotation))
      } else {
        const jsx$2 = $m_s_Option$();
        const this$10 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(entry.value$1), true, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example();
        const annotation$1 = new $c_Lamf_core_annotations_SingleValueArray().init___();
        return jsx$2.apply__O__s_Option($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$10, annotation$1))
      }
    }
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(key, map, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSingleExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter extends $c_O {
  constructor() {
    super();
    this.InfoEmitter$module$1 = null;
    this.api$1 = null;
    this.ordering$1 = null;
    this.vendor$1 = null;
    this.references$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "WebApiEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const WebApiEmitter$1 = x$1;
      const x = this.api$1;
      const x$2 = WebApiEmitter$1.api$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = WebApiEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.vendor$1;
        const x$6 = WebApiEmitter$1.vendor$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = WebApiEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.api$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.vendor$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq($$outer, api, ordering, vendor, references) {
    this.api$1 = api;
    this.ordering$1 = ordering;
    this.vendor$1 = vendor;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    const fs = api.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter__Lamf_core_parser_Fields__Lamf_core_emitter_SpecOrdering(this, fs, ordering));
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Host$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("host", f)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      const jsx$2 = this.ordering$1;
      const jsx$1 = $m_sci_Nil$();
      const spec = this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext();
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("x-base-uri-parameters", f$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1))))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("basePath", f$4)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$3 = this$5.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("consumes", f$5, this.ordering$1, true)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$4 = this$6.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("produces", f$6, this.ordering$1, true)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$5 = this$7.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("schemes", f$7, this.ordering$1, false)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$6 = this$8.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1, f$8, this.ordering$1).emitters__sc_Seq()))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    if (this$9.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("paths", new $c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter().init___Lamf_core_parser_Position($m_Lamf_core_parser_Position$ZERO$()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1$7 = this$9.get__O();
      const f$9 = arg1$7;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(this.$$outer$1, "paths", f$9, this.ordering$1, this.references$1))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$8 = this$13.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("security", f$10, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(api, ordering, $$outer.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    this.emitters$1 = ordering.sorted__sc_Seq__sc_Seq(result);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$WebApiEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.collector$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "EndpointParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const EndpointParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = EndpointParser$1.entry$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = EndpointParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.collector$1;
        const x$6 = EndpointParser$1.collector$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.collector$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseEndpoint__p1__Lamf_plugins_domain_webapi_models_EndPoint__O(endpoint) {
    const this$1 = this.entry$1.value$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Left(x1)) {
      return this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint)
    } else if ($is_s_util_Right(x1)) {
      const x4 = x1;
      const map = x4.value$2;
      this.$$outer$1.ctx$2.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(endpoint.id$1, map, "pathItem", false);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$3 = this.$$outer$1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1;
      const iv = this.$$outer$1.ctx$2;
      jsx$1.key__T__F1__V("x-displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$3, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint));
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$5 = this.$$outer$1;
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1;
      const iv$1 = this.$$outer$1.ctx$2;
      jsx$2.key__T__F1__V("x-description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$5, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint));
      const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option($m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_s_None$());
      let elem$1 = null;
      elem$1 = elem;
      const entries = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("parameters");
      if ((!this$12.isEmpty__Z())) {
        const arg1 = this$12.get__O();
        const entry = arg1;
        entries.$$plus$eq__O__scm_ListBuffer(entry);
        const jsx$4 = elem$1;
        const jsx$3 = entry.value$1;
        const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const this$14 = $m_sc_IndexedSeq$();
        const bf = this$14.ReusableCBF$6;
        elem$1 = jsx$4.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser().init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.$$outer$1.ctx$2), endpoint.id$1, this.$$outer$1.ctx$2).parse__Lamf_plugins_document_webapi_parser_spec_domain_Parameters())
      };
      const this$16 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("x-uriParameters");
      if ((!this$16.isEmpty__Z())) {
        const arg1$1 = this$16.get__O();
        const entry$3 = arg1$1;
        entries.$$plus$eq__O__scm_ListBuffer(entry$3);
        const jsx$6 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$2), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, endpoint$1) {
          return (function(name$2) {
            const name = name$2;
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            const this$20 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$20, field$2, name).adopted__T__Lamf_plugins_domain_webapi_models_Parameter(endpoint$1.id$1)
          })
        })(this, endpoint)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.$$outer$1.ctx$2)).parse__sc_Seq();
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$3, field$3, "path")
          })
        })(this));
        const this$21 = $m_sc_Seq$();
        const uriParameters = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$21.ReusableCBFInstance$2);
        const jsx$7 = elem$1;
        const x$10 = $m_sci_Nil$();
        const x$11 = $m_sci_Nil$();
        const x$12 = $m_s_None$();
        elem$1 = jsx$7.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(x$10, uriParameters, x$11, x$12))
      };
      const x1$2 = elem$1;
      matchEnd4: {
        if ((x1$2 !== null)) {
          const query = x1$2.query$1;
          const path = x1$2.path$1;
          const header = x1$2.header$1;
          if (((query.nonEmpty__Z() || path.nonEmpty__Z()) || header.nonEmpty__Z())) {
            const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
            const this$25 = $m_sc_Seq$();
            const jsx$8 = query.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(path, this$25.ReusableCBFInstance$2);
            const this$26 = $m_sc_Seq$();
            const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(header, this$26.ReusableCBFInstance$2), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries.scala$collection$mutable$ListBuffer$$start$6.head__O().value$1));
            const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries.scala$collection$mutable$ListBuffer$$start$6.head__O());
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$4, value, annotations$1);
            break matchEnd4
          }
        }
      };
      const this$27 = elem$1.body$1;
      if ((!this$27.isEmpty__Z())) {
        const arg1$2 = this$27.get__O();
        const payload = arg1$2;
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([payload])), new $c_Lamf_core_parser_Annotations().init___());
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries.scala$collection$mutable$ListBuffer$$start$6.head__O());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$5, value$1, annotations$2)
      };
      const jsx$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$30 = this.$$outer$1;
      const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Extends__Lamf_core_metamodel_Field();
      const iv$2 = this.$$outer$1.ctx$2;
      const jsx$9 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$30, field$6, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint);
      const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, endpoint$2) {
        return (function(name$2$1) {
          const name$1 = name$2$1;
          return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(endpoint$2, name$1)
        })
      })(this, endpoint));
      jsx$10.key__T__F1__V("x-is", jsx$9.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, eta$0$1$1) {
        return (function(node$2) {
          const node = node$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(eta$0$1$1, node, this$5$1.$$outer$1.ctx$2)
        })
      })(this, eta$0$1))).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const this$32 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$33 = this$32.key__T__s_Option("x-type");
      if ((!this$33.isEmpty__Z())) {
        const arg1$3 = this$33.get__O();
        const entry$4 = arg1$3;
        new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(entry$4.value$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, endpoint$1$1) {
          return (function(name$2$2) {
            const name$3 = name$2$2;
            return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withResourceType__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(endpoint$1$1, name$3)
          })
        })(this, endpoint)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$2, entry$1) {
          return (function(key$2, scope$2) {
            const key = key$2;
            const scope = scope$2;
            return this$2$2.$$outer$1.ctx$2.declarations$3.findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry$1.value$1, key, scope)
          })
        })(this, entry$4)), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
      };
      this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint);
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(endpoint, map, this.$$outer$1.ctx$2).parse__V();
      const this$35 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$36 = this$35.key__T__s_Option("x-security");
      if ((!this$36.isEmpty__Z())) {
        const arg1$4 = this$36.get__O();
        const entry$5 = arg1$4;
        const jsx$12 = entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$2);
        const jsx$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, endpoint$1$2) {
          return (function(s$2) {
            const s = s$2;
            return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($this$2.$$outer$1, s, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, endpoint$1$3) {
              return (function(name$2$3) {
                const name$4 = name$2$3;
                return endpoint$1$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$4)
              })
            })($this$2, endpoint$1$2))).parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme()
          })
        })(this, endpoint));
        const this$37 = $m_sc_Seq$();
        const securedBy = jsx$12.map__F1__scg_CanBuildFrom__O(jsx$11, this$37.ReusableCBFInstance$2);
        const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
        const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(securedBy, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5.value$1));
        const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$7, value$2, annotations$3)
      };
      const this$39 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const entries$1 = this$39.regex__T__sc_Iterable("get|patch|put|post|delete|options|head");
      if (entries$1.nonEmpty__Z()) {
        const operations = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, endpoint$1$4, operations$1) {
          return (function(entry$2) {
            const entry$6 = entry$2;
            return operations$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1($this$4.$$outer$1, entry$6, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, endpoint$1$5) {
              return (function(method$2) {
                const method = method$2;
                return endpoint$1$5.withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method)
              })
            })($this$4, endpoint$1$4))).parse__Lamf_plugins_domain_webapi_models_Operation())
          })
        })(this, endpoint, operations)));
        const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
        const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(operations, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field$8, value$3)
      };
      return (void 0)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1__scm_ListBuffer($$outer, entry, producer, collector) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.collector$1 = collector;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const path = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.$$outer$1.ctx$2);
    const this$1 = this.producer$1.apply__O__O(path);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const endpoint = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(path, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.key$1));
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field, value);
    if ((!$m_Lamf_core_utils_package$TemplateUri$().isValid__T__Z(path))) {
      this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(endpoint.id$1, $m_Lamf_core_utils_package$TemplateUri$().invalidMsg__T__T(path), this.entry$1.value$1)
    };
    const this$2 = this.collector$1;
    const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
    let jsx$1;
    inlinereturn$7: {
      let these = this$3;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const e = arg1;
        if ((e.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1) === path)) {
          jsx$1 = true;
          break inlinereturn$7
        };
        these = these.tail__O()
      };
      jsx$1 = false
    };
    if (jsx$1) {
      this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(endpoint.id$1, ("Duplicated resource path " + path), this.entry$1)
    } else {
      this.parseEndpoint__p1__Lamf_plugins_domain_webapi_models_EndPoint__O(endpoint)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$EndpointParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OperationParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OperationParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = OperationParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = OperationParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_webapi_models_Operation() {
    const jsx$1 = this.producer$1;
    const node = this.entry$1.key$1;
    const iv = this.$$outer$1.ctx$2;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const this$3 = jsx$1.apply__O__O($objectToString(this$2.string__Lamf_core_model_domain_AmfScalar().value$1));
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const operation = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
    const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$2);
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$5 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1;
    const iv$1 = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V("operationId", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$5, field, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$7 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1;
    const iv$2 = this.$$outer$1.ctx$2;
    jsx$3.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$7, field$1, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$9 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1;
    const iv$3 = this.$$outer$1.ctx$2;
    jsx$4.key__T__F1__V("deprecated", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$9, field$2, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$11 = this.$$outer$1;
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1;
    const iv$4 = this.$$outer$1.ctx$2;
    jsx$5.key__T__F1__V("summary", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$11, field$3, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$13 = this.$$outer$1;
    const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1;
    const iv$5 = this.$$outer$1.ctx$2;
    jsx$6.key__T__F1__V("externalDocs", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$4, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(node$2) {
        const node$1 = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node$1, $this.$$outer$1.ctx$2)
      })
    })(this))));
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$15 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1;
    const iv$6 = this.$$outer$1.ctx$2;
    jsx$7.key__T__F1__V("schemes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$5, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$17 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
    const iv$7 = this.$$outer$1.ctx$2;
    jsx$8.key__T__F1__V("consumes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$17, field$6, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$19 = this.$$outer$1;
    const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
    const iv$8 = this.$$outer$1.ctx$2;
    jsx$9.key__T__F1__V("produces", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$19, field$7, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$22 = this$21.key__T__s_Option("x-is");
    if ((!this$22.isEmpty__Z())) {
      const arg1 = this$22.get__O();
      const entry = arg1;
      const jsx$11 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$2);
      const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, operation$1) {
        return (function(value$2) {
          const value = value$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(value, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, operation$1$1) {
            return (function(name$2) {
              const name = name$2;
              return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(operation$1$1, name)
            })
          })($this$1, operation$1)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1, value$1) {
            return (function(key$2, scope$2) {
              const key = key$2;
              const scope = scope$2;
              return this$2$1.$$outer$1.ctx$2.declarations$3.findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(value$1, key, scope)
            })
          })($this$1, value)), $this$1.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
        })
      })(this, operation));
      const this$23 = $m_sc_Seq$();
      const traits = jsx$11.map__F1__scg_CanBuildFrom__O(jsx$10, this$23.ReusableCBFInstance$2);
      if (traits.nonEmpty__Z()) {
        const field$8 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$8, traits, annotations)
      }
    };
    const this$25 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$26 = this$25.key__T__s_Option("security");
    if ((!this$26.isEmpty__Z())) {
      const arg1$1 = this$26.get__O();
      const entry$3 = arg1$1;
      const jsx$13 = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$2);
      const jsx$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, operation$1$2) {
        return (function(s$2) {
          const s = s$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($this$3.$$outer$1, s, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, operation$1$3) {
            return (function(name$2$1) {
              const name$1 = name$2$1;
              return operation$1$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$1)
            })
          })($this$3, operation$1$2))).parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme()
        })
      })(this, operation));
      const this$27 = $m_sc_Seq$();
      const securedBy = jsx$13.map__F1__scg_CanBuildFrom__O(jsx$12, this$27.ReusableCBFInstance$2);
      const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
      const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(securedBy, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$9, value$3, annotations$1)
    };
    const this$28 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMap__F0__Lamf_plugins_document_webapi_contexts_OasWebApiContext(this.$$outer$1, map, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$4$1, operation$2) {
      return (function() {
        return operation$2.withRequest__Lamf_plugins_domain_webapi_models_Request()
      })
    })(this, operation)), this.$$outer$1.ctx$2).parse__s_Option();
    if ((!this$28.isEmpty__Z())) {
      const arg1$2 = this$28.get__O();
      const x$8 = arg1$2;
      const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(operation, field$10, x$8))
    };
    const this$30 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$31 = this$30.key__T__s_Option("responses");
    if ((!this$31.isEmpty__Z())) {
      const arg1$3 = this$31.get__O();
      const entry$4 = arg1$3;
      const map$1 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$2);
      const this$33 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const entries = this$33.regex__T__sc_Iterable("default|\\d{3}");
      if (entries.nonEmpty__Z()) {
        const responses = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, operation$1$4, responses$1) {
          return (function(entry$2) {
            const entry$1 = entry$2;
            return responses$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, operation$1$5) {
              return (function(name$2$2) {
                const name$3 = name$2$2;
                return operation$1$5.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name$3)
              })
            })($this$5, operation$1$4)), $this$5.$$outer$1.ctx$2).parse__Lamf_plugins_domain_webapi_models_Response())
          })
        })(this, operation, responses)));
        const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
        const value$4 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(responses, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$11, value$4, annotations$2)
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(operation, map, this.$$outer$1.ctx$2).parse__V();
    this.$$outer$1.ctx$2.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(operation.id$1, map, "operation", false);
    return operation
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1($$outer, entry, producer) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$OperationParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ParametrizedSecuritySchemeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ParametrizedSecuritySchemeParser$1 = x$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ParametrizedSecuritySchemeParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = ParametrizedSecuritySchemeParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme() {
    const this$1 = this.node$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const schemeEntry = map.entries$3.head__O();
      const name = schemeEntry.key$1;
      const this$3 = this.producer$1.apply__O__O(($m_Lorg_yaml_model_YNode$(), name.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)));
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
      const scheme = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
      let declaration = this.parseTarget__p1__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(($m_Lorg_yaml_model_YNode$(), name.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)), scheme, schemeEntry);
      const x1$2 = declaration.linkTarget$1;
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const d = x2$2.value$2;
        declaration = d
      } else {
        const x = $m_s_None$();
        if ((x === x1$2)) {
          declaration = declaration
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        }
      };
      const this$5 = declaration;
      if ((this$5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1) === "OAuth 2.0")) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations).adopted__T__Lamf_plugins_domain_webapi_models_security_OAuth2Settings(scheme.id$1);
        const jsx$2 = schemeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$2);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(n$2) {
            const n = n$2;
            const this$10 = $m_Lamf_plugins_domain_webapi_models_security_Scope$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_Scope(n);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
            const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.$$outer$1.ctx$2), new $c_Lamf_core_parser_Annotations().init___());
            const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(n);
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$10, field, value, annotations$1)
          })
        })(this));
        const this$11 = $m_sc_Seq$();
        const scopes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$11.ReusableCBFInstance$2);
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(schemeEntry.value$1);
        const value$1 = $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$1, scopes, annotations$2);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme, field$2, value$1)
      };
      return scheme
    } else {
      const scheme$2 = this.producer$1.apply__O__O(this.node$1.toString__T());
      this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(scheme$2.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.node$1])), this.node$1);
      return scheme$2
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($$outer, node, producer) {
    this.node$1 = node;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parseTarget__p1__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(name, scheme, part) {
    const x1 = this.$$outer$1.ctx$2.declarations$3.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(name, $m_Lamf_core_parser_SearchScope$All$());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const declaration = x2.value$2;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme, field, declaration);
      return declaration
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const securityScheme = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme, field$1, securityScheme);
        this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(securityScheme.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme '", "' not found in declarations."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name])), part);
        return securityScheme
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$ParametrizedSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "RequestParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMap__F0__Lamf_plugins_document_webapi_contexts_OasWebApiContext($$outer, map, producer, ctx) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const RequestParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RequestParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = RequestParser$1.producer$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const request = new $c_Lamf_core_utils_Lazy().init___F0(this.producer$1);
    const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option($m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_s_None$());
    let elem$1 = null;
    elem$1 = elem;
    const elem$2 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let elem$1$1 = null;
    elem$1$1 = elem$2;
    const map = this.map$1;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("parameters");
    if ((!this$8.isEmpty__Z())) {
      const arg1 = this$8.get__O();
      const entry = arg1;
      elem$1$1.$$plus$eq__O__scm_ListBuffer(entry);
      const jsx$2 = elem$1;
      const jsx$1 = entry.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$10 = $m_sc_IndexedSeq$();
      const bf = this$10.ReusableCBF$6;
      elem$1 = jsx$2.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser().init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(jsx$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$1), request.getOrCreate__O().id__T(), this.ctx$1).parse__Lamf_plugins_document_webapi_parser_spec_domain_Parameters())
    };
    const map$1 = this.map$1;
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("x-queryParameters");
    if ((!this$12.isEmpty__Z())) {
      const arg1$1 = this$12.get__O();
      const entry$3 = arg1$1;
      elem$1$1.$$plus$eq__O__scm_ListBuffer(entry$3);
      const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, request$1) {
        return (function(name$2) {
          const name = name$2;
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const this$16 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field, name).adopted__T__Lamf_plugins_domain_webapi_models_Parameter(request$1.getOrCreate__O().id__T())
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.ctx$1)).parse__sc_Seq();
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$4$2) {
          const x$4 = x$4$2;
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$4, field$1, "query")
        })
      })(this));
      const this$17 = $m_sc_Seq$();
      const queryParameters = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$17.ReusableCBFInstance$2);
      elem$1 = elem$1.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(queryParameters, $m_sci_Nil$(), $m_sci_Nil$(), $m_s_None$()))
    };
    const map$2 = this.map$1;
    const this$22 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("x-headers");
    if ((!this$22.isEmpty__Z())) {
      const arg1$2 = this$22.get__O();
      const entry$4 = arg1$2;
      elem$1$1.$$plus$eq__O__scm_ListBuffer(entry$4);
      const jsx$6 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, request$1$1) {
        return (function(name$2$1) {
          const name$1 = name$2$1;
          const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
          const this$26 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$26, field$2, name$1).adopted__T__Lamf_plugins_domain_webapi_models_Parameter(request$1$1.getOrCreate__O().id__T())
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.ctx$1)).parse__sc_Seq();
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$5, field$3, "header")
        })
      })(this));
      const this$27 = $m_sc_Seq$();
      const headers = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$27.ReusableCBFInstance$2);
      const jsx$7 = elem$1;
      const x$14 = $m_sci_Nil$();
      const x$15 = $m_sci_Nil$();
      const x$16 = $m_s_None$();
      elem$1 = jsx$7.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(x$14, x$15, headers, x$16))
    };
    const map$3 = this.map$1;
    const this$32 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$33 = this$32.key__T__s_Option("x-baseUriParameters");
    if ((!this$33.isEmpty__Z())) {
      const arg1$3 = this$33.get__O();
      const entry$5 = arg1$3;
      const this$34 = entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.headOption__s_Option();
      if ((!this$34.isEmpty__Z())) {
        const arg1$4 = this$34.get__O();
        const paramEntry = arg1$4;
        const eta$0$2 = request.getOrCreate__O();
        const this$35 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(paramEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, eta$0$2$1) {
          return (function(name$2$2) {
            const name$3 = name$2$2;
            return eta$0$2$1.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$3)
          })
        })(this, eta$0$2)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.ctx$1)).parse__Lamf_plugins_domain_webapi_models_Parameter();
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
        const parameter = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$35, field$4, "path");
        const jsx$8 = elem$1;
        const x$17 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parameter]));
        const x$18 = $m_sci_Nil$();
        const x$19 = $m_sci_Nil$();
        const x$20 = $m_s_None$();
        elem$1 = jsx$8.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__s_Option(x$18, x$17, x$19, x$20))
      }
    };
    const x1 = elem$1;
    if ((x1 !== null)) {
      const query = x1.query$1;
      const path = x1.path$1;
      const header = x1.header$1;
      if ((query.nonEmpty__Z() || path.nonEmpty__Z())) {
        const this$41 = request.getOrCreate__O();
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
        const jsx$9 = $m_Lamf_core_parser_Annotations$();
        const this$39 = elem$1$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(query, jsx$9.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$39.scala$collection$mutable$ListBuffer$$start$6.head__O()));
        const jsx$10 = $m_Lamf_core_parser_Annotations$();
        const this$40 = elem$1$1;
        const annotations$2 = jsx$10.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$40.scala$collection$mutable$ListBuffer$$start$6.head__O());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$41, field$5, value, annotations$2)
      };
      if (header.nonEmpty__Z()) {
        const this$44 = request.getOrCreate__O();
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
        const jsx$11 = $m_Lamf_core_parser_Annotations$();
        const this$42 = elem$1$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(header, jsx$11.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$42.scala$collection$mutable$ListBuffer$$start$6.head__O()));
        const jsx$12 = $m_Lamf_core_parser_Annotations$();
        const this$43 = elem$1$1;
        const annotations$3 = jsx$12.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$43.scala$collection$mutable$ListBuffer$$start$6.head__O());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$44, field$6, value$1, annotations$3)
      };
      if (path.nonEmpty__Z()) {
        const this$47 = request.getOrCreate__O();
        const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1;
        const jsx$13 = $m_Lamf_core_parser_Annotations$();
        const this$45 = elem$1$1;
        const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(path, jsx$13.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$45.scala$collection$mutable$ListBuffer$$start$6.head__O()));
        const jsx$14 = $m_Lamf_core_parser_Annotations$();
        const this$46 = elem$1$1;
        const annotations$4 = jsx$14.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$46.scala$collection$mutable$ListBuffer$$start$6.head__O());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$47, field$7, value$2, annotations$4)
      }
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$48 = elem$1.body$1;
    if ((!this$48.isEmpty__Z())) {
      const arg1$5 = this$48.get__O();
      const x$6 = arg1$5;
      payloads.$$plus$eq__O__scm_ListBuffer(x$6)
    };
    const map$4 = this.map$1;
    const this$50 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$51 = this$50.key__T__s_Option("x-request-payloads");
    if ((!this$51.isEmpty__Z())) {
      const arg1$6 = this$51.get__O();
      const entry$6 = arg1$6;
      const jsx$17 = entry$6.value$1;
      const reader$1 = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$53 = $m_sc_IndexedSeq$();
      const bf$1 = this$53.ReusableCBF$6;
      const jsx$16 = jsx$17.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader$1, bf$1), this.ctx$1);
      const jsx$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, request$1$2, payloads$1) {
        return (function(value$2$1) {
          const value$3 = value$2$1;
          const eta$0$3 = request$1$2.getOrCreate__O();
          return payloads$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser().init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(value$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, eta$0$3$1) {
            return (function(mediaType$2) {
              const mediaType = mediaType$2;
              return eta$0$3$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
            })
          })($this$3, eta$0$3)), $this$3.ctx$1).parse__Lamf_plugins_domain_webapi_models_Payload())
        })
      })(this, request, payloads));
      const this$54 = $m_sc_Seq$();
      jsx$16.map__F1__scg_CanBuildFrom__O(jsx$15, this$54.ReusableCBFInstance$2)
    };
    if (payloads.nonEmpty__Z()) {
      const this$56 = request.getOrCreate__O();
      const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
      const value$4 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$56, field$8, value$4)
    };
    const map$5 = this.map$1;
    const this$58 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$59 = this$58.key__T__s_Option("x-queryString");
    if ((!this$59.isEmpty__Z())) {
      const arg1$7 = this$59.get__O();
      const queryEntry = arg1$7;
      const this$61 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(queryEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, request$1$3) {
        return (function(shape$2) {
          const shape = shape$2;
          return shape.adopted__T__Lamf_core_model_domain_AmfObject(request$1$3.getOrCreate__O().id__T())
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$61.isEmpty__Z())) {
        const arg1$8 = this$61.get__O();
        const x$7 = arg1$8;
        const this$62 = request.getOrCreate__O();
        const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1;
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$62, field$9, x$7))
      }
    };
    return request.value$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$RequestParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const annotation = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const property = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, this.map$1, "annotation", this.map$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(annotation$2$2) {
        const annotation$2 = annotation$2$2;
        annotation$2.adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty($this.$$outer$1.root$2.location$1)
      })
    })(this))).parse__Lamf_core_model_domain_extensions_CustomDomainProperty();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(annotation, field, property)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$AnnotationFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_DataTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const dataType = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const shapeOption = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(this.map$1, "type", this.map$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        const value = ($this.$$outer$1.root$2.location$1 + "#shape");
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(shape, value)
      })
    })(this)), "schema", this.$$outer$1.ctx$2).parse__s_Option();
    if ((!shapeOption.isEmpty__Z())) {
      const arg1 = shapeOption.get__O();
      const x$1 = arg1;
      const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(dataType, field, x$1))
    };
    return dataType
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$DataTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentParser"
  };
  productArity__I() {
    return 1
  };
  parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const item = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.map$1, this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_CreativeWork();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(item, field, encoded);
    return item
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DocumentationItemFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$DocumentationItemFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedExampleFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedExampleFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NamedExampleFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_NamedExampleFragment() {
    const entries = this.map$1.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        const x = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.$$outer$1.ctx$2);
        return (!((x !== null) && $objectEquals(x, "x-fragment-type")))
      })
    })(this)));
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const namedExample = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser().init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(entries.head__O(), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_Example();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(namedExample, field, encoded)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$NamedExampleFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ResourceTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const resourceType = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(this.map$1);
    const jsx$1 = resourceType.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "resourceType", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(resourceType, field, abstractDeclaration)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$ResourceTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SecuritySchemeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const security = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$1 = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$1, "securityDefinitions", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(security$2$2) {
        const security$2 = security$2$2;
        return security$2.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme($this.$$outer$1.root$2.location$1)
      })
    })(this)), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(security, field, encoded)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$SecuritySchemeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TraitFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_document_webapi_model_TraitFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const traitFragment = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(this.map$1);
    const jsx$1 = traitFragment.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "trait", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(traitFragment, field, abstractDeclaration)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$TraitFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType extends $c_O {
  constructor() {
    super();
    this.text$1 = null;
    this.isOas$1 = false
  };
  productPrefix__T() {
    return "OasSecuritySchemeType"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType(x$1)) {
      const OasSecuritySchemeType$1 = x$1;
      return ((this.text$1 === OasSecuritySchemeType$1.text$1) && (this.isOas$1 === OasSecuritySchemeType$1.isOas$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$1;
        break
      }
      case 1: {
        return this.isOas$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.text$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isOas$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Z(text, isOas) {
    this.text$1 = text;
    this.isOas$1 = isOas;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSecuritySchemeType", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UserDocumentationsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UserDocumentationsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = UserDocumentationsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = UserDocumentationsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter(this);
    const this$2 = $m_sc_Seq$();
    const documents = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).toList__sci_List();
    let rc7 = false;
    let x2 = null;
    if ($is_sci_$colon$colon(documents)) {
      rc7 = true;
      x2 = documents;
      const head = x2.head$5;
      const p3 = x2.tl$5;
      const x = $m_sci_Nil$();
      if (x.equals__O__Z(p3)) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", head, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())]))
      }
    };
    if (rc7) {
      const head$2 = x2.head$5;
      const tail = x2.tl$5;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", head$2, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()), new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering(this.$$outer$1, tail, this.ordering$1)]))
    };
    return $m_sci_Nil$()
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, f, ordering) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$UserDocumentationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.annotationName$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationTypesParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationTypesParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = AnnotationTypesParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.annotationName$1 === AnnotationTypesParser$1.annotationName$1)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationTypesParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = AnnotationTypesParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1($$outer, ast, annotationName, map, adopt) {
    this.ast$1 = ast;
    this.annotationName$1 = annotationName;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.annotationName$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_extensions_CustomDomainProperty() {
    const custom = $m_Lamf_core_model_domain_extensions_CustomDomainProperty$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_CustomDomainProperty(this.ast$1);
    const name = this.annotationName$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(custom, field, name);
    this.adopt$1.apply__O__O(custom);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("allowedTargets");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      const x1 = entry.value$1.value__Lorg_yaml_model_YValue();
      let targets;
      if ($is_Lorg_yaml_model_YScalar(x1)) {
        annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___());
        const jsx$1 = $m_sc_Seq$();
        const node = entry.value$1;
        const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
        const this$5 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
        targets = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$5.text__Lamf_core_model_domain_AmfScalar()])), new $c_Lamf_core_parser_Annotations().init___())
      } else {
        if ((!$is_Lorg_yaml_model_YSequence(x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const x3 = x1;
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(x3, t, a, cs);
        const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
        const this$13 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
        targets = $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this$13)
      };
      const jsx$3 = targets.values$1;
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_core_model_domain_AmfScalar(x0$1)) {
            const x2 = x0$1;
            const x1$2 = $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().ramlToUri$1.get__O__s_Option(x2.toString__T());
            if ($is_s_Some(x1$2)) {
              const x2$2 = x1$2;
              const uri = x2$2.value$2;
              return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri, x2.annotations$1)
            } else {
              const x = $m_s_None$();
              if ((x === x1$2)) {
                return x2
              } else {
                throw new $c_s_MatchError().init___O(x1$2)
              }
            }
          } else {
            return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x0$1.toString__T(), x0$1.annotations__Lamf_core_parser_Annotations())
          }
        })
      })(this));
      const this$14 = $m_sc_Seq$();
      const targetUris = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$14.ReusableCBFInstance$2);
      const field$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(targetUris, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$1, value, annotations)
    };
    const map$1 = this.map$1;
    const this$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$18 = this$17.key__T__s_Option("displayName");
    if ((!this$18.isEmpty__Z())) {
      const arg1$1 = this$18.get__O();
      const entry$3 = arg1$1;
      const node$2 = entry$3.value$1;
      const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
      const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$2);
      const field$2 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1;
      const value$2 = value$1.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$2, value$2, annotations$1)
    };
    const map$2 = this.map$1;
    const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$22 = this$21.key__T__s_Option("description");
    if ((!this$22.isEmpty__Z())) {
      const arg1$2 = this$22.get__O();
      const entry$4 = arg1$2;
      const node$3 = entry$4.value$1;
      const iv$3 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
      const value$3 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$3, iv$3);
      const field$3 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1;
      const value$4 = value$3.string__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$3, value$4, annotations$2)
    };
    const map$3 = this.map$1;
    const this$25 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$26 = this$25.key__T__s_Option("schema");
    if ((!this$26.isEmpty__Z())) {
      const arg1$3 = this$26.get__O();
      const entry$5 = arg1$3;
      const this$27 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$5, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, custom$1) {
        return (function(shape$2) {
          const shape = shape$2;
          shape.adopted__T__Lamf_core_model_domain_AmfObject(custom$1.id$1)
        })
      })(this, custom)), "schema", this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__s_Option();
      if ((!this$27.isEmpty__Z())) {
        const arg1$4 = this$27.get__O();
        const shape$3 = arg1$4;
        const field$4 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
        const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$4, shape$3, annotations$3)
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(custom, this.map$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__V();
    return custom
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$AnnotationTypesParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.annotationName$1 = null;
    this.scalar$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "LinkedAnnotationTypeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const LinkedAnnotationTypeParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = LinkedAnnotationTypeParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.annotationName$1 === LinkedAnnotationTypeParser$1.annotationName$1)) && this.scalar$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(LinkedAnnotationTypeParser$1.scalar$1))) {
        const x$3 = this.adopt$1;
        const x$4 = LinkedAnnotationTypeParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.annotationName$1;
        break
      }
      case 2: {
        return this.scalar$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YScalar__F1($$outer, ast, annotationName, scalar, adopt) {
    this.ast$1 = ast;
    this.annotationName$1 = annotationName;
    this.scalar$1 = scalar;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__Lamf_core_model_domain_extensions_CustomDomainProperty() {
    const this$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3.findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option(this.scalar$1.text$3, $m_Lamf_core_parser_SearchScope$All$());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const label = this.scalar$1.text$3;
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
      const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(a, label, annotations);
      copied.id$1 = null;
      const jsx$1 = this.adopt$1;
      const name = this.annotationName$1;
      const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
      jsx$1.apply__O__O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name));
      this$2 = new $c_s_Some().init___O(copied)
    };
    if (this$2.isEmpty__Z()) {
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$6 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const name$1 = this.annotationName$1;
      const field$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
      const customDomainProperty = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, name$1);
      this.adopt$1.apply__O__O(customDomainProperty);
      this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(customDomainProperty.id$1, "Could not find declared annotation link in references", this.scalar$1);
      return customDomainProperty
    } else {
      return this$2.get__O()
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$LinkedAnnotationTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.baseUnit$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UsageParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UsageParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(UsageParser$1.map$1)) {
        const x = this.baseUnit$1;
        const x$2 = UsageParser$1.baseUnit$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.baseUnit$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("x-usage");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const this$5 = this.baseUnit$1;
      const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, value$1, annotations)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit($$outer, map, baseUnit) {
    this.map$1 = map;
    this.baseUnit$1 = baseUnit;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$UsageParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser extends $c_O {
  constructor() {
    super();
    this.seq$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UserDocumentationParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UserDocumentationParser$1 = x$1;
      const x = this.seq$1;
      const x$2 = UserDocumentationParser$1.seq$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.seq$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.seq$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(n$2) {
        const n = n$2;
        const x1 = n.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1)) {
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_shapes_models_CreativeWork()
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
          if ((x$3 === x1)) {
            const text = n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
            const x1$2 = $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$3.findDocumentations__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$All$());
            if ($is_s_Some(x1$2)) {
              const x2 = x1$2;
              const doc = x2.value$2;
              const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(n);
              return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(doc, text, annotations)
            } else {
              const documentation = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext($m_Lorg_yaml_model_YMap$().empty$1, $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_shapes_models_CreativeWork();
              $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(documentation.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["not supported scalar ", ".text for documentation item"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([n])), n);
              return documentation
            }
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__sc_Seq($$outer, seq) {
    this.seq$1 = seq;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$UserDocumentationParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult extends $c_O {
  constructor() {
    super();
    this.result$1 = null;
    this.remaining$1 = null
  };
  productPrefix__T() {
    return "ParsingResult"
  };
  productArity__I() {
    return 2
  };
  init___s_Option__sc_Seq(result, remaining) {
    this.result$1 = result;
    this.remaining$1 = remaining;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(x$1)) {
      const ParsingResult$1 = x$1;
      const x = this.result$1;
      const x$2 = ParsingResult$1.result$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.remaining$1;
        const x$4 = ParsingResult$1.remaining$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.result$1;
        break
      }
      case 1: {
        return this.remaining$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ParsingResult", {
  Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter extends $c_O {
  constructor() {
    super();
    this.WebApiEmitter$module$1 = null;
    this.LicenseEmitter$module$1 = null;
    this.OrganizationEmitter$module$1 = null;
    this.document$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlDocumentEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter(x$1)) {
      const RamlDocumentEmitter$1 = x$1;
      const x = this.document$1;
      const x$2 = RamlDocumentEmitter$1.document$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  retrieveWebApi__p1__Lamf_plugins_domain_webapi_models_WebApi() {
    const x1 = this.document$1;
    if ($is_Lamf_core_model_document_Document(x1)) {
      const x2 = x1;
      return x2.encodes__Lamf_core_model_domain_DomainElement()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("BaseUnit doesn't encode a WebApi."))
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, spec) {
    this.document$1 = document;
    this.spec$1 = spec;
    return this
  };
  emitDocument__Lorg_yaml_model_YDocument() {
    const doc = this.document$1;
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Raml$(), doc.encodes__Lamf_core_model_domain_DomainElement().annotations__Lamf_core_parser_Annotations());
    const jsx$2 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().rootLevelEmitters__F2().apply__O__O__O(doc, ordering).emitters__sc_Seq();
    const jsx$1 = this.apiEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const this$1 = $m_sc_Seq$();
    const content = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    b.comment__T__V(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().retrieveHeader__Lamf_core_model_document_BaseUnit__T(this.document$1));
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(content), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  apiEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const model = this.retrieveWebApi__p1__Lamf_plugins_domain_webapi_models_WebApi();
    const this$1 = model.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    let vendor;
    if (this$1.isEmpty__Z()) {
      vendor = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$9 = arg1;
      vendor = new $c_s_Some().init___O(x$9.vendor$1)
    };
    return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this, model, ordering, vendor, this.document$1.references__sc_Seq(), this.spec$1).emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter extends $c_O {
  constructor() {
    super();
    this.BaseUriEmitter$module$1 = null;
    this.api$1 = null;
    this.ordering$1 = null;
    this.vendor$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "WebApiEmitter"
  };
  productArity__I() {
    return 4
  };
  defaultOrder$1__p1__sc_Seq__sc_Seq(emitters) {
    return emitters.sorted__s_math_Ordering__O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter(this))
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const WebApiEmitter$1 = x$1;
      const x = this.api$1;
      const x$2 = WebApiEmitter$1.api$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = WebApiEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.vendor$1;
        const x$6 = WebApiEmitter$1.vendor$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = WebApiEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.api$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.vendor$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext($$outer, api, ordering, vendor, references, spec) {
    this.api$1 = api;
    this.ordering$1 = ordering;
    this.vendor$1 = vendor;
    this.references$1 = references;
    this.spec$1 = spec;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    const fs = api.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("title", f, this.spec$1)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("baseUriParameters", f$3, this.ordering$1, this.references$1, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, this.spec$1)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$3 = this$4.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("mediaType", f$5, this.ordering$1, false)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$4 = this$5.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("version", f$6, this.spec$1)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$5 = this$6.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(termsOfService)", f$7)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
    let jsx$1;
    if (this$7.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1$6 = this$7.get__O();
      const x$10 = arg1$6;
      jsx$1 = (!x$10.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
    };
    let this$8;
    if (jsx$1) {
      this$8 = this$7
    } else {
      this$8 = $m_s_None$()
    };
    if ((!this$8.isEmpty__Z())) {
      const arg1$7 = this$8.get__O();
      const f$8 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("protocols", f$8, this.ordering$1, false)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$8 = this$9.get__O();
      const f$9 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1, "(contact)", f$9, this.ordering$1)))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$9 = this$10.get__O();
      const f$10 = arg1$9;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f$10, this.ordering$1, this.spec$1)))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$10 = this$11.get__O();
      const f$11 = arg1$10;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1, "(license)", f$11, this.ordering$1)))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$11 = this$12.get__O();
      const f$12 = arg1$11;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq(f$12, this.ordering$1, this.vendor$1)))
    };
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter__Lamf_core_parser_Fields__s_Option(this, fs, api.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_BaseUriAnnotation.getClassOf())));
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(api, ordering, spec).emitters__sc_Seq());
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$12 = this$13.get__O();
      const f$13 = arg1$12;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("securedBy", f$13, this.ordering$1, this.spec$1)))
    };
    this.emitters$1 = ordering.sorted__sc_Seq__sc_Seq(result);
    return this
  };
  amf$plugins$document$webapi$parser$spec$raml$RamlDocumentEmitter$WebApiEmitter$$$anonfun$endpoints$1__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y) {
    const this$1 = x.endpoint__Lamf_plugins_domain_webapi_models_EndPoint();
    const x$1 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$3 = new $c_sci_StringOps().init___T(x$1);
    let elem$1 = 0;
    elem$1 = 0;
    let i = 0;
    const $$this = this$3.repr$1;
    const len = ($$this.length | 0);
    while ((i < len)) {
      const arg1 = this$3.apply__I__O(i);
      let x$11;
      if ((arg1 === null)) {
        x$11 = 0
      } else {
        const this$8 = arg1;
        x$11 = this$8.value$1
      };
      if ((x$11 === 47)) {
        elem$1 = ((1 + elem$1) | 0)
      };
      i = ((1 + i) | 0)
    };
    const x$2 = elem$1;
    const this$10 = y.endpoint__Lamf_plugins_domain_webapi_models_EndPoint();
    const x$3 = this$10.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$12 = new $c_sci_StringOps().init___T(x$3);
    let elem$1$1 = 0;
    elem$1$1 = 0;
    let i$1 = 0;
    const $$this$1 = this$12.repr$1;
    const len$1 = ($$this$1.length | 0);
    while ((i$1 < len$1)) {
      const arg1$1 = this$12.apply__I__O(i$1);
      let x$12;
      if ((arg1$1 === null)) {
        x$12 = 0
      } else {
        const this$17 = arg1$1;
        x$12 = this$17.value$1
      };
      if ((x$12 === 47)) {
        elem$1$1 = ((1 + elem$1$1) | 0)
      };
      i$1 = ((1 + i$1) | 0)
    };
    const x$4 = elem$1$1;
    return ((x$2 === x$4) ? 0 : ((x$2 < x$4) ? (-1) : 1))
  };
  endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq(f, ordering, vendor) {
    const endpoints = f.value$1.value$1.values$1;
    const notOas = (!vendor.contains__O__Z($m_Lamf_core_remote_Oas$()));
    if (notOas) {
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(e$2) {
          const e = e$2;
          const xo = e.parent__s_Option();
          const this$2 = xo.toList__sci_List();
          const this$3 = $m_sci_Set$();
          const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$3);
          return new $c_T2().init___O__O(e, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf))
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      const graph = endpoints.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
      const all = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      $m_Lamf_core_utils_TSort$().tsort__sci_Map__sc_Iterable__sc_Iterable(graph, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, ordering$1, all$1) {
        return (function(e$3$2) {
          const e$3 = e$3$2;
          const emitter = this$2$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().endpointEmitter__F4().apply__O__O__O__O__O(e$3, ordering$1, $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this$2$1.references$1);
          const x1 = e$3.parent__s_Option();
          if ($is_s_Some(x1)) {
            const x2 = x1;
            const parent = x2.value$2;
            $f_sc_MapLike__apply__O__O(all$1, parent).$$plus$eq__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__V(emitter);
            return all$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(e$3, emitter))
          } else {
            return all$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(e$3, emitter))
          }
        })
      })(this, ordering, all)));
      const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$13$2) {
          const x$13 = x$13$2;
          return x$13.parent__s_Option().isEmpty__Z()
        })
      })(this));
      const this$9 = new $c_sc_MapLike$FilteredKeys().init___sc_MapLike__F1(all, p);
      const this$10 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
      return this.defaultOrder$1__p1__sc_Seq__sc_Seq(this$10.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream())
    } else {
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, ordering$2) {
        return (function(x$14$2) {
          const x$14 = x$14$2;
          return this$4$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().endpointEmitter__F4().apply__O__O__O__O__O(x$14, ordering$2, $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this$4$1.references$1)
        })
      })(this, ordering));
      const this$11 = $m_sc_Seq$();
      return endpoints.map__F1__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$WebApiEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser {
  constructor() {
    super();
    this.root$3 = null;
    this.ctx$3 = null
  };
  parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map) {
    const api = $m_Lamf_plugins_domain_webapi_models_WebApi$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map).adopted__T__Lamf_plugins_domain_webapi_models_WebApi(this.root$3.location$1);
    this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedShape__T__Lorg_yaml_model_YMap__T__Z__V(api.id$1, map, "webApi", (this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(), false));
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1;
    const iv = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$4 = this$3.key__T__s_Option("baseUriParameters");
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const entry = arg1;
      const this$5 = entry.value$1;
      const x1 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, api$1) {
          return (function(name$2) {
            const name = name$2;
            return api$1.withBaseUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name)
          })
        })(this, api)), false, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__sc_Seq();
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$2$2$2) {
            const x$2$2 = x$2$2$2;
            const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$2$2, field$1, "path")
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const parameters = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2);
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$2, value, annotations)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3 === x1))) {
          this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__s_Option__V("Invalid node for baseUriParameters", new $c_s_Some().init___O(entry.value$1))
        }
      }
    };
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1;
    const iv$1 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$4.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$10 = this$9.key__T__s_Option("mediaType");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      const this$11 = entry$3.value$1;
      const x1$1 = this$11.tag__Lorg_yaml_model_YTag().tagType$2;
      const x$1 = $m_Lorg_yaml_model_YType$().Seq$1;
      let value$1;
      if ((x$1 === x1$1)) {
        const node = entry$3.value$1;
        const iv$2 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const this$13 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$2);
        value$1 = $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this$13)
      } else {
        annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___());
        const jsx$5 = $m_sc_Seq$();
        const this$14 = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(entry$3.value$1, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
        value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$5.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$14.text__Lamf_core_model_domain_AmfScalar()])), new $c_Lamf_core_parser_Annotations().init___())
      };
      const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$4, value$1, annotations$1);
      const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$5, value$1, annotations$1)
    };
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1;
    const iv$3 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$6.key__T__F1__V("version", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1;
    const iv$4 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$7.key__T__F1__V("(termsOfService)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
    const iv$5 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$8.key__T__F1__V("protocols", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$8, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1;
    const iv$6 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$9.key__T__F1__V("(contact)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$9, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(node$2) {
        const node$1 = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_Organization(node$1, this$3$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this))));
    const jsx$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1;
    const iv$7 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$10.key__T__F1__V("(license)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$10, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_License(node$3, this$4$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this))));
    const this$22 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const entries = this$22.regex__T__sc_Iterable("^/.*");
    if (entries.nonEmpty__Z()) {
      const endpoints = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, api$1$1, endpoints$1) {
        return (function(entry$2) {
          const entry$1 = entry$2;
          $this$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().endPointParser__F5().apply__O__O__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, api$1$2) {
            return (function(path$2) {
              const path = path$2;
              return api$1$2.withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path)
            })
          })($this$1, api$1$1)), $m_s_None$(), endpoints$1, false).parse__V()
        })
      })(this, api, endpoints)));
      const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(endpoints, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(api, field$11, value$2)
    };
    const this$25 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$26 = this$25.key__T__s_Option("baseUri");
    if ((!this$26.isEmpty__Z())) {
      const arg1$2 = this$26.get__O();
      const entry$4 = arg1$2;
      const node$4 = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(entry$4.value$1, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
      const value$3 = node$4.text__Lamf_core_model_domain_AmfScalar().toString__T();
      const jsx$12 = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().collectDomainExtensions__T__Lamf_core_parser_ScalarNode__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(api.id$1, node$4, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
      const jsx$11 = $m_Lamf_core_annotations_DomainExtensionAnnotation$();
      const this$27 = $m_sc_Seq$();
      const extensions = jsx$12.map__F1__scg_CanBuildFrom__O(jsx$11, this$27.ReusableCBFInstance$2);
      api.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_BaseUriAnnotation().init___T__Lamf_core_parser_Annotations(value$3, $m_Lamf_core_parser_Annotations$().apply__sc_Seq__Lamf_core_parser_Annotations(extensions)));
      const uri = $m_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$().apply__T__Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter(value$3);
      if ((!$m_Lamf_core_utils_package$TemplateUri$().isValid__T__Z(value$3))) {
        this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(api.id$1, $m_Lamf_core_utils_package$TemplateUri$().invalidMsg__T__T(value$3), entry$4.value$1)
      };
      let jsx$13;
      if (api.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1).isEmpty__Z()) {
        const x$2 = uri.protocol$1;
        const this$29 = new $c_sci_StringOps().init___T(x$2);
        jsx$13 = $f_sc_TraversableOnce__nonEmpty__Z(this$29)
      } else {
        jsx$13 = false
      };
      if (jsx$13) {
        const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
        const value$4 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri.protocol$1, new $c_Lamf_core_parser_Annotations().init___())])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___()));
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$12, value$4, annotations$2)
      };
      const x$4 = uri.domain$1;
      const this$32 = new $c_sci_StringOps().init___T(x$4);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$32)) {
        const field$13 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Host$1;
        const value$5 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri.domain$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___()));
        const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$13, value$5, annotations$3)
      };
      const x$5 = uri.path$1;
      const this$34 = new $c_sci_StringOps().init___T(x$5);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$34)) {
        const field$14 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1;
        const value$6 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri.path$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___()).$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations($m_Lamf_core_parser_Annotations$().apply__sc_Seq__Lamf_core_parser_Annotations(extensions)));
        const annotations$4 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$14, value$6, annotations$4)
      }
    };
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, api$2) {
      return (function(name$2$1) {
        const name$1 = name$2$1;
        return api$2.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$1)
      })
    })(this, api));
    const SchemeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, eta$0$1$1) {
      return (function(node$4$2) {
        const node$4$1 = node$4$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(eta$0$1$1, node$4$1, this$8$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this, eta$0$1));
    const jsx$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$15 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
    const iv$8 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$14.key__T__F1__V("securedBy", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$15, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(SchemeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$37 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$38 = this$37.key__T__s_Option("documentation");
    if ((!this$38.isEmpty__Z())) {
      const arg1$3 = this$38.get__O();
      const entry$5 = arg1$3;
      const field$16 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
      const values = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__T(this, entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$3, api.id$1).parse__sc_Seq();
      const annotations$5 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$16, values, annotations$5)
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(api, map, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
    return api
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$3 = root;
    this.ctx$3 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentParser"
  };
  productArity__I() {
    return 1
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const annotation = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const property = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, this.map$1, "annotation", this.map$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(annotation$2$2) {
        const annotation$2 = annotation$2$2;
        annotation$2.adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty($this.$$outer$1.root$2.location$1)
      })
    })(this))).parse__Lamf_core_model_domain_extensions_CustomDomainProperty();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(annotation, field, property)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$AnnotationFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_DataTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const dataType = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$1 = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const this$10 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(jsx$1, "type", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        const value = ($this.$$outer$1.root$2.location$1 + "#shape");
        return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(shape, value)
      })
    })(this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.ctx$2).parse__s_Option();
    if ((!this$10.isEmpty__Z())) {
      const arg1 = this$10.get__O();
      const encoded = arg1;
      const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(dataType, field, encoded)
    };
    return dataType
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$DataTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const item = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.map$1, this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_CreativeWork();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(item, field, encoded);
    return item
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DocumentationItemFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$DocumentationItemFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedExampleFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedExampleFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NamedExampleFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_NamedExampleFragment() {
    const entries = this.map$1.entries$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const namedExample = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser().init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(entries.head__O(), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_Example();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(namedExample, field, encoded)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$NamedExampleFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ResourceTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const resourceType = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(this.map$1);
    const jsx$1 = resourceType.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "resourceType", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(resourceType, field, abstractDeclaration)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$ResourceTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SecuritySchemeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const security = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$1 = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(jsx$1, "securityDefinitions", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(security$2$2) {
        const security$2 = security$2$2;
        return security$2.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme($this.$$outer$1.root$2.location$1)
      })
    })(this)), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(security, field, encoded)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$SecuritySchemeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TraitFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_document_webapi_model_TraitFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const traitFragment = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(this.map$1);
    const jsx$1 = traitFragment.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "trait", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(traitFragment, field, abstractDeclaration)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$TraitFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter extends $c_O {
  constructor() {
    super();
    this.module$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlModuleEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter(x$1)) {
      const RamlModuleEmitter$1 = x$1;
      const x = this.module$1;
      const x$2 = RamlModuleEmitter$1.module$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.module$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitModule__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Raml$(), this.module$1.annotations$1);
    const emitters = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().rootLevelEmitters__F2().apply__O__O__O(this.module$1, ordering).emitters__sc_Seq();
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    b.comment__T__V($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$().text$1);
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(emitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(module, spec) {
    this.module$1 = module;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlModuleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.annotationName$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationTypesParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationTypesParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = AnnotationTypesParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.annotationName$1 === AnnotationTypesParser$1.annotationName$1)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationTypesParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = AnnotationTypesParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.annotationName$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1($$outer, ast, annotationName, map, adopt) {
    this.ast$1 = ast;
    this.annotationName$1 = annotationName;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__Lamf_core_model_domain_extensions_CustomDomainProperty() {
    const custom = $m_Lamf_core_model_domain_extensions_CustomDomainProperty$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_CustomDomainProperty(this.ast$1);
    const name = this.annotationName$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(custom, field, name);
    this.adopt$1.apply__O__O(custom);
    const x1 = this.ast$1;
    let maybeAnnotationType;
    if ($is_Lorg_yaml_model_YMapEntry(x1)) {
      const x2 = x1;
      maybeAnnotationType = new $c_s_Some().init___O(x2)
    } else if ($is_Lorg_yaml_model_YMap(x1)) {
      const x3 = x1;
      const jsx$2 = $m_Lorg_yaml_model_YMapEntry$();
      const jsx$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("annotationType");
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      maybeAnnotationType = new $c_s_Some().init___O(jsx$2.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(jsx$1, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(x3, t, a, cs)))
    } else {
      maybeAnnotationType = $m_s_None$()
    };
    if ($is_s_Some(maybeAnnotationType)) {
      const x2$2 = maybeAnnotationType;
      const annotationType = x2$2.value$2;
      const this$6 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(annotationType, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, custom$1) {
        return (function(shape$2) {
          const shape = shape$2;
          return shape.adopted__T__Lamf_core_model_domain_AmfObject(custom$1.id$1)
        })
      })(this, custom)), true, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__s_Option();
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const shape$3 = arg1;
        const field$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$1, shape$3, annotations)
      };
      const map = this.map$1;
      const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$9 = this$8.key__T__s_Option("allowedTargets");
      if ((!this$9.isEmpty__Z())) {
        const arg1$1 = this$9.get__O();
        const entry = arg1$1;
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        const this$10 = entry.value$1;
        const x1$1 = this$10.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Seq$1;
        let targets;
        if ((x === x1$1)) {
          const node = entry.value$1;
          const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
          const this$12 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
          targets = $f_Lamf_core_parser_BaseArrayNode__string__Lamf_core_model_domain_AmfArray(this$12)
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
          if ((x$3 === x1$1)) {
            this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(custom.id$1, "Property 'allowedTargets' in a RAML annotation can only be a valid scalar or an array of valid scalars", entry.value$1);
            targets = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), new $c_Lamf_core_parser_Annotations().init___())
          } else {
            annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___());
            const jsx$3 = $m_sc_Seq$();
            const node$1 = entry.value$1;
            const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
            const this$15 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
            targets = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$3.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$15.string__Lamf_core_model_domain_AmfScalar()])), new $c_Lamf_core_parser_Annotations().init___())
          }
        };
        const jsx$5 = targets.values$1;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ($is_Lamf_core_model_domain_AmfScalar(x0$1)) {
              const x2$1 = x0$1;
              const x1$2 = $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().ramlToUri$1.get__O__s_Option(x2$1.toString__T());
              if ($is_s_Some(x1$2)) {
                const x2$2$1 = x1$2;
                const uri = x2$2$1.value$2;
                return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri, x2$1.annotations$1)
              } else {
                const x$1 = $m_s_None$();
                if ((x$1 === x1$2)) {
                  return x2$1
                } else {
                  throw new $c_s_MatchError().init___O(x1$2)
                }
              }
            } else {
              return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x0$1.toString__T(), x0$1.annotations__Lamf_core_parser_Annotations())
            }
          })
        })(this));
        const this$17 = $m_sc_Seq$();
        const targetUris = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$17.ReusableCBFInstance$2);
        const field$2 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(targetUris, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$2, value, annotations$1)
      };
      const map$1 = this.map$1;
      const this$20 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$21 = this$20.key__T__s_Option("description");
      if ((!this$21.isEmpty__Z())) {
        const arg1$2 = this$21.get__O();
        const entry$3 = arg1$2;
        const node$2 = entry$3.value$1;
        const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
        const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$2);
        const field$3 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1;
        const value$2 = value$1.string__Lamf_core_model_domain_AmfScalar();
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$3, value$2, annotations$2)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(custom, this.map$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__V();
      return custom
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === maybeAnnotationType)) {
        this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V(custom.id$1, "Cannot parse annotation type fragment, cannot find information map", this.ast$1);
        return custom
      } else {
        throw new $c_s_MatchError().init___O(maybeAnnotationType)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$AnnotationTypesParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.baseUnit$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UsageParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UsageParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(UsageParser$1.map$1)) {
        const x = this.baseUnit$1;
        const x$2 = UsageParser$1.baseUnit$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.baseUnit$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit($$outer, map, baseUnit) {
    this.map$1 = map;
    this.baseUnit$1 = baseUnit;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("usage");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const this$5 = this.baseUnit$1;
      const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, value$1, annotations)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$UsageParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser extends $c_O {
  constructor() {
    super();
    this.seq$1 = null;
    this.declarations$1 = null;
    this.parent$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UserDocumentationsParser"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__T($$outer, seq, declarations, parent) {
    this.seq$1 = seq;
    this.declarations$1 = declarations;
    this.parent$1 = parent;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UserDocumentationsParser$1 = x$1;
      const x = this.seq$1;
      const x$2 = UserDocumentationsParser$1.seq$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.declarations$1;
        const x$4 = UserDocumentationsParser$1.declarations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parent$1 === UserDocumentationsParser$1.parent$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.seq$1;
        break
      }
      case 1: {
        return this.declarations$1;
        break
      }
      case 2: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.seq$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, results$1) {
      return (function(n$2) {
        const n = n$2;
        const x1 = n.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1)) {
          return results$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__Lamf_plugins_domain_shapes_models_CreativeWork())
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((x$3 === x1)) {
            $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V($this.parent$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected sequence. Options are object or scalar "])).s__sc_Seq__T($m_sci_Nil$()), n);
            return (void 0)
          } else {
            const scalar = n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f);
            const x1$2 = $this.declarations$1.findDocumentations__T__Lamf_core_parser_SearchScope$Scope__s_Option(scalar.text$3, $m_Lamf_core_parser_SearchScope$Fragments$());
            if ($is_s_Some(x1$2)) {
              const x2 = x1$2;
              const doc = x2.value$2;
              const label = scalar.text$3;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              return results$1.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(doc, label, annotations))
            } else {
              $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.violation__T__T__Lorg_yaml_model_YPart__V($this.parent$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["not supported scalar ", " for documentation"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([scalar.text$3])), scalar);
              return (void 0)
            }
          }
        }
      })
    })(this, results)));
    return results
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$UserDocumentationsParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser;
class $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer extends $c_O {
  constructor() {
    super();
    this.branches$1 = null
  };
  productPrefix__T() {
    return "BranchContainer"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_resolution_stages_BranchContainer(x$1)) {
      const BranchContainer$1 = x$1;
      const x = this.branches$1;
      const x$2 = BranchContainer$1.branches$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.branches$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  collect__p1__scm_Set__scm_ListBuffer__sc_Seq__V(visited, queue, previous) {
    _collect: while (true) {
      const branches = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      previous.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, visited$1, branches$1) {
        return (function(prev$2) {
          const prev = prev$2;
          prev.children$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, visited$1$1) {
            return (function(c$2) {
              const c = c$2;
              return visited$1$1.add__O__Z(c.key$1)
            })
          })($this, visited$1))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, branches$1$1) {
            return (function(x$4$2) {
              const x$4 = x$4$2;
              return branches$1$1.$$plus$eq__O__scm_ListBuffer(x$4)
            })
          })($this, branches$1)))
        })
      })(this, visited, branches)));
      queue.$$plus$eq__O__scm_ListBuffer(branches);
      if (branches.nonEmpty__Z()) {
        previous = branches;
        continue _collect
      };
      break
    }
  };
  flatten__sc_Seq() {
    const visited = $m_scm_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const queue = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    queue.$$plus$eq__O__scm_ListBuffer(this.branches$1);
    const jsx$2 = this.branches$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.key$1
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const xs = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(visited, xs);
    this.collect__p1__scm_Set__scm_ListBuffer__sc_Seq__V(visited, queue, this.branches$1);
    const z = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = queue.scala$collection$mutable$ListBuffer$$start$6;
    let acc = z;
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = acc;
      const arg2 = these.head__O();
      const x$2 = arg1;
      const x$3 = arg2;
      const this$3 = $m_sc_Seq$();
      acc = x$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(x$3, this$3.ReusableCBFInstance$2);
      these = these.tail__O()
    };
    return acc
  };
  init___sc_Seq(branches) {
    this.branches$1 = branches;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_BranchContainer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_BranchContainer)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_BranchContainer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_BranchContainer)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer: 0
}, false, "amf.plugins.document.webapi.resolution.stages.BranchContainer", {
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer;
class $c_Lamf_plugins_document_webapi_resolution_stages_Context extends $c_O {
  constructor() {
    super();
    this.model$1 = null;
    this.variables$1 = null
  };
  productPrefix__T() {
    return "Context"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_resolution_stages_Context(x$1)) {
      const Context$1 = x$1;
      const x = this.model$1;
      const x$2 = Context$1.model$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.variables$1;
        const x$4 = Context$1.variables$1;
        return ((x$3 === null) ? (x$4 === null) : $f_sc_GenSetLike__equals__O__Z(x$3, x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.model$1;
        break
      }
      case 1: {
        return this.variables$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context(name, value) {
    const jsx$1 = this.variables$1;
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType = $m_s_None$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const x$1 = jsx$1.$$plus__O__sc_Set(new $c_Lamf_core_model_domain_templates_Variable().init___T__Lamf_core_model_domain_DataNode(name, new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(value, dataType, new $c_Lamf_core_parser_Fields().init___(), annotations)));
    const x$2 = this.model$1;
    return new $c_Lamf_plugins_document_webapi_resolution_stages_Context().init___Lamf_core_model_document_BaseUnit__sci_Set(x$2, x$1)
  };
  init___Lamf_core_model_document_BaseUnit__sci_Set(model, variables) {
    this.model$1 = model;
    this.variables$1 = variables;
    return this
  };
  add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(vs) {
    const jsx$2 = this.variables$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        return new $c_Lamf_core_model_domain_templates_Variable().init___T__Lamf_core_model_domain_DataNode(v.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1), v.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const x$3 = jsx$2.$$plus$plus__sc_GenTraversableOnce__sc_Set(vs.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2));
    const x$4 = this.model$1;
    return new $c_Lamf_plugins_document_webapi_resolution_stages_Context().init___Lamf_core_model_document_BaseUnit__sci_Set(x$4, x$3)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_Context = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_Context)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_Context = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_Context)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_Context = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_Context: 0
}, false, "amf.plugins.document.webapi.resolution.stages.Context", {
  Lamf_plugins_document_webapi_resolution_stages_Context: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_Context.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_Context;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver extends $c_O {
  constructor() {
    super();
    this.resolved$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitResolver"
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.resolved$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return (($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver(x$1) && (x$1.$$outer$1 === this.$$outer$1)) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  resolve__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(t, context) {
    const local = context.add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(t.variables__sc_Seq());
    const name = t.target__Lamf_core_model_domain_templates_AbstractDeclaration().id$1;
    const variables = local.variables$1;
    const key = new $c_Lamf_plugins_document_webapi_resolution_stages_Key().init___T__sci_Set(name, variables);
    return this.resolved$1.getOrElseUpdate__O__F0__O(key, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, t$1, context$1, key$1) {
      return (function() {
        return $this.resolveOperation__p1__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(key$1, t$1, context$1)
      })
    })(this, t, context, key)))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  resolveOperation__p1__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(key, parameterized, context) {
    const local = context.add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(parameterized.variables__sc_Seq());
    let rc7 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(parameterized.target__Lamf_core_model_domain_templates_AbstractDeclaration());
    if ($is_s_Some(x1)) {
      rc7 = true;
      x2 = x1;
      const t = x2.value$2;
      if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(t)) {
        const jsx$1 = this.$$outer$1;
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        return new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_Operation__sc_Seq(jsx$1, key, new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
      }
    };
    if (rc7) {
      const t$2 = x2.value$2;
      if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(t$2)) {
        const x5 = t$2;
        const node = x5.dataNode__Lamf_core_model_domain_DataNode().cloneNode__Lamf_core_model_domain_DataNode();
        node.replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(local.variables$1);
        const op = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().asOperation__T__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit__s_Option__Lamf_plugins_domain_webapi_models_Operation(this.$$outer$1.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f, node, context.model$1, new $c_s_Some().init___O(this.$$outer$1.ctx$2));
        const jsx$3 = op.traits__sc_Seq();
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, context$1) {
          return (function(x$4$2) {
            const x$4 = x$4$2;
            return $this.resolve__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x$4, context$1)
          })
        })(this, context));
        const this$4 = $m_sc_Seq$();
        const children = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$4.ReusableCBFInstance$2);
        return new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_Operation__sc_Seq(this.$$outer$1, key, op, children)
      }
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Looking for trait but ", " was found on model ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1, context.model$1]))))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$TraitResolver", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger extends $c_O {
  constructor() {
    super();
    this.master$1 = null;
    this.extension$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "IriMerger"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const IriMerger$1 = x$1;
      return ((this.master$1 === IriMerger$1.master$1) && (this.extension$1 === IriMerger$1.extension$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.master$1;
        break
      }
      case 1: {
        return this.extension$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  merge__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__V(element, field, value) {
    const value$1 = $m_sjsr_RuntimeString$().replaceFirst__T__T__T__T(value.toString__T(), this.extension$1, this.master$1);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(element, field, value$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage__T__T($$outer, master, extension) {
    this.master$1 = master;
    this.extension$1 = extension;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage$IriMerger", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger;
class $c_Lamf_plugins_document_webapi_resolution_stages_Key extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.variables$1 = null
  };
  productPrefix__T() {
    return "Key"
  };
  init___T__sci_Set(name, variables) {
    this.name$1 = name;
    this.variables$1 = variables;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_resolution_stages_Key(x$1)) {
      const Key$1 = x$1;
      if ((this.name$1 === Key$1.name$1)) {
        const x = this.variables$1;
        const x$2 = Key$1.variables$1;
        return ((x === null) ? (x$2 === null) : $f_sc_GenSetLike__equals__O__Z(x, x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.variables$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_Key = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_Key)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_Key = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_Key)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_Key = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_Key: 0
}, false, "amf.plugins.document.webapi.resolution.stages.Key", {
  Lamf_plugins_document_webapi_resolution_stages_Key: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_Key.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_Key;
class $c_Lamf_plugins_document_webapi_validation_AMFValidation extends $c_O {
  constructor() {
    super();
    this.uri$1 = null;
    this.message$1 = null;
    this.spec$1 = null;
    this.level$1 = null;
    this.owlClass$1 = null;
    this.owlProperty$1 = null;
    this.shape$1 = null;
    this.target$1 = null;
    this.constraint$1 = null;
    this.value$1 = null;
    this.ramlErrorMessage$1 = null;
    this.openApiErrorMessage$1 = null
  };
  productPrefix__T() {
    return "AMFValidation"
  };
  productArity__I() {
    return 12
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_validation_AMFValidation(x$1)) {
      const AMFValidation$1 = x$1;
      const x = this.uri$1;
      const x$2 = AMFValidation$1.uri$1;
      let jsx$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.message$1;
        const x$4 = AMFValidation$1.message$1;
        jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (((jsx$3 && (this.spec$1 === AMFValidation$1.spec$1)) && (this.level$1 === AMFValidation$1.level$1))) {
        const x$5 = this.owlClass$1;
        const x$6 = AMFValidation$1.owlClass$1;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.owlProperty$1;
        const x$8 = AMFValidation$1.owlProperty$1;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if ((((((jsx$1 && (this.shape$1 === AMFValidation$1.shape$1)) && (this.target$1 === AMFValidation$1.target$1)) && (this.constraint$1 === AMFValidation$1.constraint$1)) && (this.value$1 === AMFValidation$1.value$1)) && (this.ramlErrorMessage$1 === AMFValidation$1.ramlErrorMessage$1))) {
        return (this.openApiErrorMessage$1 === AMFValidation$1.openApiErrorMessage$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.uri$1;
        break
      }
      case 1: {
        return this.message$1;
        break
      }
      case 2: {
        return this.spec$1;
        break
      }
      case 3: {
        return this.level$1;
        break
      }
      case 4: {
        return this.owlClass$1;
        break
      }
      case 5: {
        return this.owlProperty$1;
        break
      }
      case 6: {
        return this.shape$1;
        break
      }
      case 7: {
        return this.target$1;
        break
      }
      case 8: {
        return this.constraint$1;
        break
      }
      case 9: {
        return this.value$1;
        break
      }
      case 10: {
        return this.ramlErrorMessage$1;
        break
      }
      case 11: {
        return this.openApiErrorMessage$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___s_Option__s_Option__T__T__s_Option__s_Option__T__T__T__T__T__T(uri, message, spec, level, owlClass, owlProperty, shape, target, constraint, value, ramlErrorMessage, openApiErrorMessage) {
    this.uri$1 = uri;
    this.message$1 = message;
    this.spec$1 = spec;
    this.level$1 = level;
    this.owlClass$1 = owlClass;
    this.owlProperty$1 = owlProperty;
    this.shape$1 = shape;
    this.target$1 = target;
    this.constraint$1 = constraint;
    this.value$1 = value;
    this.ramlErrorMessage$1 = ramlErrorMessage;
    this.openApiErrorMessage$1 = openApiErrorMessage;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_validation_AMFValidation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_validation_AMFValidation)))
});
const $isArrayOf_Lamf_plugins_document_webapi_validation_AMFValidation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_validation_AMFValidation)))
});
const $d_Lamf_plugins_document_webapi_validation_AMFValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFValidation: 0
}, false, "amf.plugins.document.webapi.validation.AMFValidation", {
  Lamf_plugins_document_webapi_validation_AMFValidation: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFValidation;
class $c_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.Title$1 = null;
    this.Description$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "url"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Title$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "title"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "CreativeWork");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$9);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$4 = this.Url$1;
    const x$3 = this.Title$1;
    const x$2 = this.Description$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2);
    return new $c_sci_$colon$colon().init___O__sci_List(x$4, this$3)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.CreativeWorkModel$", {
  Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ extends $c_O {
  constructor() {
    super();
    this.PropertySource$1 = null;
    this.PropertyTarget$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PropertySource$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "propertySource"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PropertyTarget$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "propertyTarget"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "PropertyDependencies")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$9 = $m_sci_List$();
    this.type$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.PropertySource$1, this.PropertyTarget$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.PropertyDependenciesModel$", {
  Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ extends $c_O {
  constructor() {
    super();
    this.Attribute$1 = null;
    this.Wrapped$1 = null;
    this.Name$1 = null;
    this.Namespace$1 = null;
    this.Prefix$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Attribute$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "xmlAttribute"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Wrapped$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "xmlWrapped"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "xmlName"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Namespace$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "xmlNamespace"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Prefix$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "xmlPrefix"), true);
    $m_sci_List$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "XMLSerializer")]);
    const this$14 = $m_sci_List$();
    const cbf = this$14.ReusableCBFInstance$2;
    const jsx$7 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$6 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$15 = $m_sci_List$();
    this.type$1 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$15.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Attribute$1, this.Wrapped$1, this.Name$1, this.Namespace$1, this.Prefix$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_XMLSerializer().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.XMLSerializerModel$", {
  Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$
});
class $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null;
    this.fixPointCount$2 = 0;
    this.allShapeFields$2 = null
  };
  canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(any) {
    return (($m_s_Option$().apply__O__s_Option(any.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isDefined__Z() && any.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z()) ? this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(any) : any)
  };
  cleanUnnecessarySyntax__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    shape.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (!$is_Lamf_core_model_domain_PerpetualAnnotation(x$1))
      })
    })(this)));
    return shape
  };
  canonicalTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape(tuple) {
    const elem = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())]));
    const acc = new $c_sr_ObjectRef().init___O(elem);
    const jsx$2 = tuple.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        const x1 = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
        if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
          const x2 = x1;
          return x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1)
        } else if ((x1 !== null)) {
          return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const sources = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    sources.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, acc$1) {
      return (function(source$2) {
        const source = source$2;
        source.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, acc$1$1) {
          return (function(shape$2$1) {
            const shape$1 = shape$2$1;
            const jsx$5 = acc$1$1.elem$1;
            const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, shape$3) {
              return (function(x$2$2) {
                const x$2 = x$2$2;
                const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape$3]));
                const this$3 = $m_sc_Seq$();
                return x$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$3.ReusableCBFInstance$2)
              })
            })($this$1, shape$1));
            const this$4 = $m_sc_Seq$();
            acc$1$1.elem$1 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2)
          })
        })(this$2$1, acc$1)))
      })
    })(this, acc)));
    if ((acc.elem$1.length__I() === 1)) {
      tuple.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(acc.elem$1.head__O(), new $c_Lamf_core_parser_Annotations().init___()), tuple.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2).annotations$1);
      return tuple
    } else {
      const jsx$7 = acc.elem$1;
      const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, tuple$1) {
        return (function(items$2) {
          const items = items$2;
          const withRecursionBase = $m_s_None$();
          const traversed = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          const newTuple = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(tuple$1, withRecursionBase, traversed);
          return newTuple.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(items, new $c_Lamf_core_parser_Annotations().init___()), tuple$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2).annotations$1)
        })
      })(this, tuple));
      const this$7 = $m_sc_Seq$();
      jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$7.ReusableCBFInstance$2);
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const union = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      union.id$1 = (tuple.id$1 + "resolved");
      const name = tuple.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(union, field, name);
      return union
    }
  };
  expandInherits__Lamf_core_model_domain_Shape__V(shape) {
    const oldInherits = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    if ($m_s_Option$().apply__O__s_Option(oldInherits).isDefined__Z()) {
      const jsx$2 = shape.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2$2) {
          const shape$2 = shape$2$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$2)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newInherits = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
      const annotations = oldInherits.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field, newInherits, annotations)
    }
  };
  expandScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape(scalar) {
    this.expandInherits__Lamf_core_model_domain_Shape__V(scalar);
    return scalar
  };
  canonicalScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_model_domain_Shape(scalar) {
    return (($m_s_Option$().apply__O__s_Option(scalar.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isDefined__Z() && scalar.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z()) ? this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(scalar) : scalar)
  };
  canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    const superTypes = shape.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    shape.fields__Lamf_core_parser_Fields().remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    const elem = this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
    const accShape = new $c_sr_ObjectRef().init___O(elem);
    superTypes.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, accShape$1) {
      return (function(superNode$2) {
        const superNode = superNode$2;
        const canonicalSuperNode = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(superNode);
        const baseShapeOrig = accShape$1.elem$1;
        const newMinShape = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($this, baseShapeOrig, canonicalSuperNode);
        accShape$1.elem$1 = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(newMinShape)
      })
    })(this, accShape)));
    return accShape.elem$1
  };
  findShapesPredicate__Lamf_core_model_domain_DomainElement__Z(element) {
    const metaModelFound = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj(this, element);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const targetIri = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Shape").iri__T();
    const this$3 = metaModelFound.type__sci_List();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const t = arg1;
      if ((t.iri__T() === targetIri)) {
        return true
      };
      these = these.tail__O()
    };
    return false
  };
  transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element, isCycle) {
    if ($is_Lamf_core_model_domain_Shape(element)) {
      const x2 = element;
      return new $c_s_Some().init___O(this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x2.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(new $c_s_Some().init___O(element.id__T()), x2.cloneShape$default$2__sci_Set()))))
    } else {
      return new $c_s_Some().init___O(element)
    }
  };
  ensureCorrect__Lamf_core_model_domain_Shape__V(shape) {
    if ($m_s_Option$().apply__O__s_Option(shape.id$1).isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Found shape without ID: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape]))))
    }
  };
  checkRequiredShape__Lamf_core_model_domain_Shape__Z__V(shape, required) {
    const x1 = $m_s_Option$().apply__O__s_Option(shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      v.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___())
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        shape.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1, new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(required, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___()))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  expandProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape(property) {
    let required = false;
    const x1 = property.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("MinCount field is mandatory in a shape"))
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      if (($numberIntValue(entry.value$1.value$1.toNumber__jl_Number()) !== 0)) {
        required = true
      }
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oldRange = property.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
    if ($m_s_Option$().apply__O__s_Option(oldRange).isDefined__Z()) {
      const expandedRange = this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1));
      this.checkRequiredShape__Lamf_core_model_domain_Shape__Z__V(expandedRange, required);
      const this$1 = expandedRange.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const f = arg1;
        if (f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())) {
          const this$2 = property.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
          if ((!this$2.isEmpty__Z())) {
            const arg1$1 = this$2.get__O();
            const f$2 = arg1$1;
            f$2.value$1.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___())
          }
        }
      };
      property.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1, expandedRange, oldRange.annotations$1)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Property shape with missing range: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property]))))
    };
    return property
  };
  expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    this.ensureCorrect__Lamf_core_model_domain_Shape__V(shape);
    this.cleanUnnecessarySyntax__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
      const x2 = shape;
      return this.expandUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape)) {
      const x3 = shape;
      return this.expandScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape(x3)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x4 = shape;
      return this.expandArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape(x4)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x5 = shape;
      return this.expandMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape(x5)
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(shape)) {
      const x6 = shape;
      return this.expandTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape(x6)
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(shape)) {
      const x7 = shape;
      return this.expandProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape(x7)
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(shape)) {
      const x8 = shape;
      return x8
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(shape)) {
      const x9 = shape;
      return x9
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
      const x10 = shape;
      return this.expandNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape(x10)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(shape)) {
      const x11 = shape;
      return x11
    } else if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
      const x12 = shape;
      return x12
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
      const x2 = shape;
      return this.canonicalUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape)) {
      const x3 = shape;
      return this.canonicalScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_model_domain_Shape(x3)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x4 = shape;
      return this.canonicalArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape(x4)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x5 = shape;
      return this.canonicalMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape(x5)
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(shape)) {
      const x6 = shape;
      return this.canonicalTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape(x6)
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(shape)) {
      const x7 = shape;
      return this.canonicalProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape(x7)
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(shape)) {
      const x8 = shape;
      return this.canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x8)
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(shape)) {
      const x9 = shape;
      return this.canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x9)
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
      const x10 = shape;
      return this.canonicalNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape(x10)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(shape)) {
      const x11 = shape;
      return x11
    } else if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
      const x12 = shape;
      return this.canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x12)
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  expandArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape(array) {
    this.expandInherits__Lamf_core_model_domain_Shape__V(array);
    const oldItems = array.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if (($m_s_Option$().apply__O__s_Option(oldItems).isDefined__Z() || ($m_s_Option$().apply__O__s_Option(oldItems).isEmpty__Z() && array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).isEmpty__Z()))) {
      array.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)), oldItems.annotations$1)
    };
    return array
  };
  canonicalMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape(matrix) {
    const newItems = this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(matrix.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
    matrix.fields$2.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(newItems)) {
      const x2 = newItems;
      const jsx$2 = x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, matrix$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$1)) {
            const x2$1 = x0$1;
            const withRecursionBase = $m_s_None$();
            const traversed = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            const this$1 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(matrix$1, withRecursionBase, traversed);
            const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, x2$1)
          } else {
            const withRecursionBase$1 = $m_s_None$();
            const traversed$1 = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            const this$2 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(matrix$1, withRecursionBase$1, traversed$1);
            const this$3 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$2.fields$2, this$2.annotations$2);
            const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$3, field$1, x0$1)
          }
        })
      })(this, matrix));
      const this$4 = $m_sc_Seq$();
      const newUnionItems = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(x2, field$2, newUnionItems);
      const x1$2 = $m_s_Option$().apply__O__s_Option(matrix.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const name = x2$2.value$2;
        const name$1 = name.value$1.toString__T();
        const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x2, field$3, name$1)
      } else {
        return x2
      }
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(newItems)) {
      const x3 = newItems;
      const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(matrix, field$4, x3)
    } else {
      const this$5 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(matrix.fields$2, matrix.annotations$2);
      const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$5, field$5, newItems)
    }
  };
  canonicalUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(union) {
    if (($m_s_Option$().apply__O__s_Option(union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isDefined__Z() && union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z())) {
      return this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(union)
    } else {
      const anyOfAcc = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$1 = $m_s_Option$().apply__O__s_Option(union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
      (this$1.isEmpty__Z() ? $m_sci_Nil$() : this$1.get__O()).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, anyOfAcc$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const x1 = this$2.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
          if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
            const x2 = x1;
            x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, anyOfAcc$1$1) {
              return (function(e$2) {
                const e = e$2;
                return anyOfAcc$1$1.$$plus$eq__O__scm_ListBuffer(e)
              })
            })(this$2, anyOfAcc$1)));
            return (void 0)
          } else if ((x1 !== null)) {
            return anyOfAcc$1.$$plus$eq__O__scm_ListBuffer(x1)
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        })
      })(this, anyOfAcc)));
      const x1$1 = $m_s_Option$().apply__O__s_Option(union.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
      let anyOfAnnotations;
      if ($is_s_Some(x1$1)) {
        const x2$1 = x1$1;
        const anyOf = x2$1.value$2;
        anyOfAnnotations = anyOf.annotations$1
      } else {
        anyOfAnnotations = new $c_Lamf_core_parser_Annotations().init___()
      };
      union.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(anyOfAcc, new $c_Lamf_core_parser_Annotations().init___()), anyOfAnnotations);
      return union
    }
  };
  expandTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape(tuple) {
    const oldItems = tuple.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    const jsx$2 = tuple.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const newItemShapes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$2;
    const annotations = oldItems.annotations$1;
    $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(tuple, field, newItemShapes, annotations);
    return tuple
  };
  expandNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape(node) {
    const oldProperties = node.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ($m_s_Option$().apply__O__s_Option(oldProperties).isDefined__Z()) {
      const jsx$2 = node.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2) {
          const shape = shape$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newProperties = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
      const annotations = oldProperties.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(node, field, newProperties, annotations)
    };
    this.expandInherits__Lamf_core_model_domain_Shape__V(node);
    const x1 = node.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      node.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1, entry.value$1.value$1, entry.value$1.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___()))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(false, new $c_Lamf_core_parser_Annotations().init___());
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(node, field$1, value, annotations$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return node
  };
  init___T(profile) {
    this.profile$2 = profile;
    $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__$$init$__V(this);
    this.fixPointCount$2 = 0;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const x1 = this.profile$2;
    if (($m_Lamf_ProfileNames$().RAML08$1 === x1)) {
      return model
    } else {
      const selector = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(element$2) {
          const element = element$2;
          return $this.findShapesPredicate__Lamf_core_model_domain_DomainElement__Z(element)
        })
      })(this));
      const transformation = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
        return (function(element$3$2, isCycle$2) {
          const element$3 = element$3$2;
          const isCycle = (!(!isCycle$2));
          return this$2.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
        })
      })(this));
      return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(model, selector, transformation)
    }
  };
  canonicalArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape(array) {
    if (($m_s_Option$().apply__O__s_Option(array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isDefined__Z() && array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z())) {
      return this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(array)
    } else {
      const this$1 = $m_s_Option$().apply__O__s_Option(array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
      if (this$1.isEmpty__Z()) {
        return array
      } else {
        const arg1 = this$1.get__O();
        const i = arg1;
        const newItems = this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(i);
        array.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
        array.fields$2.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
        if ($is_Lamf_plugins_domain_shapes_models_UnionShape(newItems)) {
          const x2 = newItems;
          const jsx$2 = x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, array$1) {
            return (function(item$2) {
              const item = item$2;
              const withRecursionBase = $m_s_None$();
              const traversed = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
              const this$2 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(array$1, withRecursionBase, traversed);
              const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
              const newArray = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, item);
              newArray.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
              return newArray
            })
          })(this, array));
          const this$3 = $m_sc_Seq$();
          const newUnionItems = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
          $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(x2, field$1, newUnionItems);
          const x1$2 = $m_s_Option$().apply__O__s_Option(array.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const name = x2$2.value$2;
            const name$1 = name.value$1.toString__T();
            const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x2, field$2, name$1)
          } else {
            return x2
          }
        } else {
          return ($is_Lamf_plugins_domain_shapes_models_ArrayShape(newItems) ? (array.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, newItems, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(array.fields$2, array.annotations$2)) : (array.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, newItems, new $c_Lamf_core_parser_Annotations().init___()), array))
        }
      }
    }
  };
  expandMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape(matrix) {
    const oldItems = matrix.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$().Items$1);
    matrix.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$().Items$1, this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(matrix.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)), oldItems.annotations$1);
    return matrix
  };
  canonicalProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape(property) {
    property.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1, this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(property.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1)), property.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).annotations$1);
    return property
  };
  expandUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(union) {
    this.expandInherits__Lamf_core_model_domain_Shape__V(union);
    const oldAnyOf = union.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    if ($m_s_Option$().apply__O__s_Option(oldAnyOf).isDefined__Z()) {
      const jsx$2 = union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2) {
          const shape = shape$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newAnyOf = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      const annotations = oldAnyOf.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(union, field, newAnyOf, annotations)
    } else if (($m_s_Option$().apply__O__s_Option(union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isEmpty__Z() || union.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).isEmpty__Z())) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Union shape with missing anyof: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([union]))))
    };
    return union
  };
  canonicalNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape(node) {
    const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
    $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(node, annotation);
    if (($m_s_Option$().apply__O__s_Option(node.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isDefined__Z() && node.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z())) {
      return this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(node)
    } else {
      const jsx$2 = node.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(propertyShape$2) {
          const propertyShape = propertyShape$2;
          const x1 = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(propertyShape);
          if ($is_Lamf_core_model_domain_extensions_PropertyShape(x1)) {
            const x2 = x1;
            return x2
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Expecting property shape, found ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
          }
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const canonicalProperties = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(node, field, canonicalProperties)
    }
  };
}
const $d_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage: 0
}, false, "amf.plugins.domain.shapes.resolution.stages.ShapeNormalizationStage", {
  Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm: 1,
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation: 1
});
$c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage.prototype.$classData = $d_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage;
class $c_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.Name$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "url"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "License");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$3 = this.Url$1;
    const x$2 = this.Name$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_License().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_LicenseModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.LicenseModel$", {
  Lamf_plugins_domain_webapi_metamodel_LicenseModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_LicenseModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_LicenseModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.Name$1 = null;
    this.Email$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "url"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Email$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "email"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Organization");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$9);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Url$1, this.Name$1, this.Email$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Organization().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_OrganizationModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.OrganizationModel$", {
  Lamf_plugins_domain_webapi_metamodel_OrganizationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_RequestModel$ extends $c_O {
  constructor() {
    super();
    this.QueryParameters$1 = null;
    this.Headers$1 = null;
    this.Payloads$1 = null;
    this.QueryString$1 = null;
    this.UriParameters$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "parameter"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Headers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "header"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Payloads$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "payload"), true);
    const jsx$4 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryString$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "queryString"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.UriParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "uriParameter"), true);
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Request");
    const this$13 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$13);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.QueryParameters$1, this.Headers$1, this.Payloads$1, this.QueryString$1, this.UriParameters$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Request().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_RequestModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.RequestModel$", {
  Lamf_plugins_domain_webapi_metamodel_RequestModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_RequestModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_RequestModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_RequestModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_RequestModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Description$1 = null;
    this.Host$1 = null;
    this.Schemes$1 = null;
    this.BasePath$1 = null;
    this.Accepts$1 = null;
    this.ContentType$1 = null;
    this.Version$1 = null;
    this.TermsOfService$1 = null;
    this.Provider$1 = null;
    this.License$1 = null;
    this.Documentations$1 = null;
    this.EndPoints$1 = null;
    this.BaseUriParameters$1 = null;
    this.Security$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Host$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "host"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schemes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "scheme"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.BasePath$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "basePath"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Accepts$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "accepts"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.ContentType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "contentType"), true);
    const jsx$8 = $m_Lamf_core_metamodel_Type$Str$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Version$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "version"), true);
    const jsx$9 = $m_Lamf_core_metamodel_Type$Str$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.TermsOfService$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "termsOfService"), true);
    const jsx$10 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Provider$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$10, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "provider"), true);
    const jsx$11 = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$();
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.License$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$11, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "license"), true);
    const jsx$12 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$());
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Documentations$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$12, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "documentation"), true);
    const jsx$13 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$());
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.EndPoints$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$13, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "endpoint"), true);
    const jsx$14 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$27 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.BaseUriParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$14, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "parameter"), true);
    const jsx$15 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$());
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Security$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$15, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "security"), true);
    const this$31 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    const x$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, "WebAPI");
    const this$33 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "RootDomainElement");
    const this$35 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$36 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$35);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$36);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Description$1, this.Host$1, this.Schemes$1, this.BasePath$1, this.Accepts$1, this.ContentType$1, this.Version$1, this.TermsOfService$1, this.Provider$1, this.License$1, this.Documentations$1, this.EndPoints$1, this.BaseUriParameters$1, this.Security$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_WebApi().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_WebApiModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.WebApiModel$", {
  Lamf_plugins_domain_webapi_metamodel_WebApiModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_WebApiModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_WebApiModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Description$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Scope")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$9 = $m_sci_List$();
    this.type$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Description$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.ScopeModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$
});
class $c_Lamf_plugins_features_validation_ParserSideValidationPlugin extends $c_O {
  constructor() {
    super();
    this.ID$1 = null;
    this.parserSideValidationsProfile$1 = null;
    this.aggregatedReport$1 = null;
    this.enabled$1 = false
  };
  reset__V() {
    this.enabled$1 = true;
    this.aggregatedReport$1 = $m_sci_Nil$()
  };
  init___() {
    this.ID$1 = "Parser side AMF Validation";
    const this$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const v = arg1;
      const this$3 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v.id__T());
      const key = $m_Lamf_ProfileNames$().AMF$1;
      const x1 = this$3.get__O__s_Option(key);
      let x$1;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const v$1 = x2.value$2;
        x$1 = v$1
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        x$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
      };
      const x$2 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
      if ((((x$1 === null) ? (x$2 === null) : $objectEquals(x$1, x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    const this$5 = b.toList__sci_List();
    const f = (function(this$2$1) {
      return (function(x$1$2) {
        const x$1$1 = x$1$2;
        return x$1$1.name$1
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf = this$4.ReusableCBFInstance$2;
    let violationParserSideValidations;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        violationParserSideValidations = $m_sci_Nil$()
      } else {
        const arg1$1 = this$5.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        let t = h;
        let rest = this$5.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$2 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        violationParserSideValidations = h
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      let these$1 = this$5;
      while ((!these$1.isEmpty__Z())) {
        const arg1$3 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$3));
        these$1 = these$1.tail__O()
      };
      violationParserSideValidations = b$1.result__O()
    };
    const this$6 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sci_List$();
    const b$2 = new $c_scm_ListBuffer().init___();
    let these$2 = this$6;
    while ((!these$2.isEmpty__Z())) {
      const arg1$4 = these$2.head__O();
      const v$3 = arg1$4;
      const this$8 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$3.id__T());
      const key$1 = $m_Lamf_ProfileNames$().AMF$1;
      const x1$1 = this$8.get__O__s_Option(key$1);
      let x$4;
      if ($is_s_Some(x1$1)) {
        const x2$1 = x1$1;
        const v$2 = x2$1.value$2;
        x$4 = v$2
      } else {
        const x$3 = $m_s_None$();
        if ((!(x$3 === x1$1))) {
          throw new $c_s_MatchError().init___O(x1$1)
        };
        x$4 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
      };
      const x$2$1 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
      if ((((x$4 === null) ? (x$2$1 === null) : $objectEquals(x$4, x$2$1)) !== false)) {
        b$2.$$plus$eq__O__scm_ListBuffer(arg1$4)
      };
      these$2 = these$2.tail__O()
    };
    const this$10 = b$2.toList__sci_List();
    const f$1 = (function(this$4$1) {
      return (function(x$2$2) {
        const x$2$3 = x$2$2;
        return x$2$3.name$1
      })
    })(this);
    const this$9 = $m_sci_List$();
    const bf$1 = this$9.ReusableCBFInstance$2;
    let infoParserSideValidations;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$10 === $m_sci_Nil$())) {
        infoParserSideValidations = $m_sci_Nil$()
      } else {
        const arg1$5 = this$10.head__O();
        const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$5), $m_sci_Nil$());
        let t$1 = h$1;
        let rest$1 = this$10.tail__O();
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$6 = rest$1.head__O();
          const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$6), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          rest$1 = rest$1.tail__O()
        };
        infoParserSideValidations = h$1
      }
    } else {
      const b$3 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$10, bf$1);
      let these$3 = this$10;
      while ((!these$3.isEmpty__Z())) {
        const arg1$7 = these$3.head__O();
        b$3.$$plus$eq__O__scm_Builder(f$1(arg1$7));
        these$3 = these$3.tail__O()
      };
      infoParserSideValidations = b$3.result__O()
    };
    const this$11 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sci_List$();
    const b$4 = new $c_scm_ListBuffer().init___();
    let these$4 = this$11;
    while ((!these$4.isEmpty__Z())) {
      const arg1$8 = these$4.head__O();
      const v$4 = arg1$8;
      const this$13 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$4.id__T());
      const key$2 = $m_Lamf_ProfileNames$().AMF$1;
      const x1$2 = this$13.get__O__s_Option(key$2);
      let x$6;
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const v$5 = x2$2.value$2;
        x$6 = v$5
      } else {
        const x$5 = $m_s_None$();
        if ((!(x$5 === x1$2))) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        x$6 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
      };
      const x$2$4 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
      if ((((x$6 === null) ? (x$2$4 === null) : $objectEquals(x$6, x$2$4)) !== false)) {
        b$4.$$plus$eq__O__scm_ListBuffer(arg1$8)
      };
      these$4 = these$4.tail__O()
    };
    const this$15 = b$4.toList__sci_List();
    const f$2 = (function(this$6$1) {
      return (function(x$3$2) {
        const x$3$1 = x$3$2;
        return x$3$1.name$1
      })
    })(this);
    const this$14 = $m_sci_List$();
    const bf$2 = this$14.ReusableCBFInstance$2;
    let warningParserSideValidations;
    if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$15 === $m_sci_Nil$())) {
        warningParserSideValidations = $m_sci_Nil$()
      } else {
        const arg1$9 = this$15.head__O();
        const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$9), $m_sci_Nil$());
        let t$2 = h$2;
        let rest$2 = this$15.tail__O();
        while ((rest$2 !== $m_sci_Nil$())) {
          const arg1$10 = rest$2.head__O();
          const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$10), $m_sci_Nil$());
          t$2.tl$5 = nx$2;
          t$2 = nx$2;
          rest$2 = rest$2.tail__O()
        };
        warningParserSideValidations = h$2
      }
    } else {
      const b$5 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$15, bf$2);
      let these$5 = this$15;
      while ((!these$5.isEmpty__Z())) {
        const arg1$11 = these$5.head__O();
        b$5.$$plus$eq__O__scm_Builder(f$2(arg1$11));
        these$5 = these$5.tail__O()
      };
      warningParserSideValidations = b$5.result__O()
    };
    const x$5$1 = this.ID__T();
    const x$6$1 = $m_s_None$();
    const x$10 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$19 = new $c_scm_ListBuffer().init___();
    const x$11 = this$19.toList__sci_List();
    const x$12 = new $c_scm_HashMap().init___();
    this.parserSideValidationsProfile$1 = new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(x$5$1, x$6$1, violationParserSideValidations, infoParserSideValidations, warningParserSideValidations, x$11, x$10, x$12);
    this.aggregatedReport$1 = $m_sci_Nil$();
    this.enabled$1 = true;
    return this
  };
  loadValidationProfile__T__s_concurrent_Future(validationProfilePath) {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.ID__T()
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  ID__T() {
    return this.ID$1
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model, profileName, messageStyle) {
    const validations = new $c_Lamf_core_validation_EffectiveValidations().init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(this.parserSideValidationsProfile$1);
    const this$8 = this.aggregatedReport$1;
    const f = (function($this, messageStyle$1, validations$1) {
      return (function(r$2) {
        const r = r$2;
        return $f_Lamf_core_validation_ValidationResultProcessor__processAggregatedResult__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_AMFValidationResult($this, r, messageStyle$1, validations$1)
      })
    })(this, messageStyle, validations);
    const this$7 = $m_sci_List$();
    const bf = this$7.ReusableCBFInstance$2;
    let elem;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$8 === $m_sci_Nil$())) {
        elem = $m_sci_Nil$()
      } else {
        const arg1 = this$8.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$8.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        elem = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$8, bf);
      let these = this$8;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      elem = b.result__O()
    };
    const results = new $c_sr_ObjectRef().init___O(elem);
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1, model$1, profileName$1, results$1) {
      return (function() {
        const this$10 = results$1.elem$1;
        let jsx$1;
        inlinereturn$23: {
          let these$1 = this$10;
          while ((!these$1.isEmpty__Z())) {
            const arg1$3 = these$1.head__O();
            const x$4 = arg1$3;
            if ((x$4.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
              jsx$1 = true;
              break inlinereturn$23
            };
            these$1 = these$1.tail__O()
          };
          jsx$1 = false
        };
        return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$1), model$1.id__T(), profileName$1, results$1.elem$1)
      })
    })(this, model, profileName, results)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        const x1 = $m_Lamf_core_services_RuntimeValidator$().validator$1;
        if ((!$is_s_Some(x1))) {
          const x = $m_s_None$();
          if ((x === x1)) {
            $m_Lamf_core_services_RuntimeValidator$().register__Lamf_core_services_RuntimeValidator__V(new $c_Lamf_plugins_features_validation_ParserSideValidationPlugin().init___())
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        };
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, validationId, targetNode, targetProperty, message, position) {
    const validationError = new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, this);
    if (this.enabled$1) {
      const jsx$2 = this.aggregatedReport$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationError]));
      const this$1 = $m_sci_List$();
      this.aggregatedReport$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(validationError.toString__T()))
    }
  };
  shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(model, validations, messageStyle) {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return new $c_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1().init___Lamf_plugins_features_validation_ParserSideValidationPlugin($this)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
}
const $d_Lamf_plugins_features_validation_ParserSideValidationPlugin = new $TypeData().initClass({
  Lamf_plugins_features_validation_ParserSideValidationPlugin: 0
}, false, "amf.plugins.features.validation.ParserSideValidationPlugin", {
  Lamf_plugins_features_validation_ParserSideValidationPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFFeaturePlugin: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_core_services_RuntimeValidator: 1,
  Lamf_core_validation_ValidationResultProcessor: 1
});
$c_Lamf_plugins_features_validation_ParserSideValidationPlugin.prototype.$classData = $d_Lamf_plugins_features_validation_ParserSideValidationPlugin;
class $c_Ljava_io_UnsupportedEncodingException extends $c_Ljava_io_IOException {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_Ljava_io_UnsupportedEncodingException = new $TypeData().initClass({
  Ljava_io_UnsupportedEncodingException: 0
}, false, "java.io.UnsupportedEncodingException", {
  Ljava_io_UnsupportedEncodingException: 1,
  Ljava_io_IOException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_io_UnsupportedEncodingException.prototype.$classData = $d_Ljava_io_UnsupportedEncodingException;
class $c_Ljava_nio_BufferOverflowException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $is_Ljava_nio_BufferOverflowException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_BufferOverflowException)))
});
const $isArrayOf_Ljava_nio_BufferOverflowException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_BufferOverflowException)))
});
const $d_Ljava_nio_BufferOverflowException = new $TypeData().initClass({
  Ljava_nio_BufferOverflowException: 0
}, false, "java.nio.BufferOverflowException", {
  Ljava_nio_BufferOverflowException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_BufferOverflowException.prototype.$classData = $d_Ljava_nio_BufferOverflowException;
class $c_Ljava_nio_BufferUnderflowException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $is_Ljava_nio_BufferUnderflowException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_BufferUnderflowException)))
});
const $isArrayOf_Ljava_nio_BufferUnderflowException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_BufferUnderflowException)))
});
const $d_Ljava_nio_BufferUnderflowException = new $TypeData().initClass({
  Ljava_nio_BufferUnderflowException: 0
}, false, "java.nio.BufferUnderflowException", {
  Ljava_nio_BufferUnderflowException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_BufferUnderflowException.prototype.$classData = $d_Ljava_nio_BufferUnderflowException;
class $c_Ljava_nio_charset_CharacterCodingException extends $c_Ljava_io_IOException {
}
class $c_Lorg_mulesoft_common_io_JsAsyncFile extends $c_Lorg_mulesoft_common_io_JsBaseFile {
  org$mulesoft$common$io$JsAsyncFile$$$anonfun$write$1__Lorg_mulesoft_common_js_SysError__s_concurrent_Promise__O(x$3, promise$5) {
    if ((x$3 === null)) {
      return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$5, (void 0))
    } else {
      const cause = new $c_Ljava_io_IOException().init___T(x$3.message);
      return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$5, cause)
    }
  };
  read__T__s_concurrent_Future(encoding) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    $i_fs.readFile(this.path$1, encoding, (function(arg$outer, promise$4) {
      return (function(arg1$2, arg2$2) {
        return arg$outer.org$mulesoft$common$io$JsAsyncFile$$$anonfun$read$1__Lorg_mulesoft_common_js_SysError__O__s_concurrent_Promise__O(arg1$2, arg2$2, promise$4)
      })
    })(this, promise));
    return promise
  };
  init___Lorg_mulesoft_common_io_JsServerFileSystem__T(fs, path) {
    $c_Lorg_mulesoft_common_io_JsBaseFile.prototype.init___Lorg_mulesoft_common_io_JsServerFileSystem__T.call(this, fs, path);
    return this
  };
  org$mulesoft$common$io$JsAsyncFile$$$anonfun$read$1__Lorg_mulesoft_common_js_SysError__O__s_concurrent_Promise__O(err, data, promise$4) {
    if ((err === null)) {
      const value = data;
      return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$4, value)
    } else {
      const cause = new $c_Ljava_io_IOException().init___T(err.message);
      return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$4, cause)
    }
  };
  write__jl_CharSequence__T__s_concurrent_Future(data, encoding) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    $i_fs.writeFile(this.path$1, $objectToString(data), encoding, (function(arg$outer, promise$5) {
      return (function(arg1$2) {
        return arg$outer.org$mulesoft$common$io$JsAsyncFile$$$anonfun$write$1__Lorg_mulesoft_common_js_SysError__s_concurrent_Promise__O(arg1$2, promise$5)
      })
    })(this, promise));
    return promise
  };
}
const $d_Lorg_mulesoft_common_io_JsAsyncFile = new $TypeData().initClass({
  Lorg_mulesoft_common_io_JsAsyncFile: 0
}, false, "org.mulesoft.common.io.JsAsyncFile", {
  Lorg_mulesoft_common_io_JsAsyncFile: 1,
  Lorg_mulesoft_common_io_JsBaseFile: 1,
  O: 1,
  Lorg_mulesoft_common_io_File: 1,
  Lorg_mulesoft_common_io_AsyncFile: 1,
  Lorg_mulesoft_common_io_FileProto: 1
});
$c_Lorg_mulesoft_common_io_JsAsyncFile.prototype.$classData = $d_Lorg_mulesoft_common_io_JsAsyncFile;
class $c_Lorg_mulesoft_common_time_SimpleDateTime extends $c_O {
  constructor() {
    super();
    this.year$1 = 0;
    this.month$1 = 0;
    this.day$1 = 0;
    this.timeOfDay$1 = null;
    this.zoneOffset$1 = null
  };
  productPrefix__T() {
    return "SimpleDateTime"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_common_time_SimpleDateTime(x$1)) {
      const SimpleDateTime$1 = x$1;
      let jsx$1;
      if ((((this.year$1 === SimpleDateTime$1.year$1) && (this.month$1 === SimpleDateTime$1.month$1)) && (this.day$1 === SimpleDateTime$1.day$1))) {
        const x = this.timeOfDay$1;
        const x$2 = SimpleDateTime$1.timeOfDay$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.zoneOffset$1;
        const x$4 = SimpleDateTime$1.zoneOffset$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.year$1;
        break
      }
      case 1: {
        return this.month$1;
        break
      }
      case 2: {
        return this.day$1;
        break
      }
      case 3: {
        return this.timeOfDay$1;
        break
      }
      case 4: {
        return this.zoneOffset$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___I__I__I__s_Option__s_Option(year, month, day, timeOfDay, zoneOffset) {
    this.year$1 = year;
    this.month$1 = month;
    this.day$1 = day;
    this.timeOfDay$1 = timeOfDay;
    this.zoneOffset$1 = zoneOffset;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.year$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.month$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.day$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.timeOfDay$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.zoneOffset$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_common_time_SimpleDateTime = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_common_time_SimpleDateTime)))
});
const $isArrayOf_Lorg_mulesoft_common_time_SimpleDateTime = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_common_time_SimpleDateTime)))
});
const $d_Lorg_mulesoft_common_time_SimpleDateTime = new $TypeData().initClass({
  Lorg_mulesoft_common_time_SimpleDateTime: 0
}, false, "org.mulesoft.common.time.SimpleDateTime", {
  Lorg_mulesoft_common_time_SimpleDateTime: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_common_time_SimpleDateTime.prototype.$classData = $d_Lorg_mulesoft_common_time_SimpleDateTime;
class $c_Lorg_mulesoft_common_time_TimeOfDay extends $c_O {
  constructor() {
    super();
    this.hour$1 = 0;
    this.minute$1 = 0;
    this.second$1 = 0;
    this.nano$1 = 0
  };
  productPrefix__T() {
    return "TimeOfDay"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_common_time_TimeOfDay(x$1)) {
      const TimeOfDay$1 = x$1;
      return ((((this.hour$1 === TimeOfDay$1.hour$1) && (this.minute$1 === TimeOfDay$1.minute$1)) && (this.second$1 === TimeOfDay$1.second$1)) && (this.nano$1 === TimeOfDay$1.nano$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.hour$1;
        break
      }
      case 1: {
        return this.minute$1;
        break
      }
      case 2: {
        return this.second$1;
        break
      }
      case 3: {
        return this.nano$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___I__I__I__I(hour, minute, second, nano) {
    this.hour$1 = hour;
    this.minute$1 = minute;
    this.second$1 = second;
    this.nano$1 = nano;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.hour$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.minute$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.second$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.nano$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_common_time_TimeOfDay = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_common_time_TimeOfDay)))
});
const $isArrayOf_Lorg_mulesoft_common_time_TimeOfDay = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_common_time_TimeOfDay)))
});
const $d_Lorg_mulesoft_common_time_TimeOfDay = new $TypeData().initClass({
  Lorg_mulesoft_common_time_TimeOfDay: 0
}, false, "org.mulesoft.common.time.TimeOfDay", {
  Lorg_mulesoft_common_time_TimeOfDay: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_common_time_TimeOfDay.prototype.$classData = $d_Lorg_mulesoft_common_time_TimeOfDay;
class $c_Lorg_mulesoft_lexer_AstToken extends $c_O {
  constructor() {
    super();
    this.tokenType$1 = null;
    this.text$1 = null
  };
  productPrefix__T() {
    return "AstToken"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_AstToken(x$1)) {
      const AstToken$1 = x$1;
      const x = this.tokenType$1;
      const x$2 = AstToken$1.tokenType$1;
      if ((x === x$2)) {
        return (this.text$1 === AstToken$1.text$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tokenType$1;
        break
      }
      case 1: {
        return this.text$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " '", "'"]));
    const jsx$2 = this.tokenType$1;
    const jsx$1 = $m_Lorg_mulesoft_common_core_package$Strings$();
    const str = this.text$1;
    return jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$2, jsx$1.encode$extension__T__T(str)]))
  };
  init___Lorg_mulesoft_lexer_Token__T(tokenType, text) {
    this.tokenType$1 = tokenType;
    this.text$1 = text;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_lexer_AstToken = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_AstToken)))
});
const $isArrayOf_Lorg_mulesoft_lexer_AstToken = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_AstToken)))
});
const $d_Lorg_mulesoft_lexer_AstToken = new $TypeData().initClass({
  Lorg_mulesoft_lexer_AstToken: 0
}, false, "org.mulesoft.lexer.AstToken", {
  Lorg_mulesoft_lexer_AstToken: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_AstToken.prototype.$classData = $d_Lorg_mulesoft_lexer_AstToken;
class $c_Lorg_mulesoft_lexer_InputRange extends $c_O {
  constructor() {
    super();
    this.lineFrom$1 = 0;
    this.columnFrom$1 = 0;
    this.lineTo$1 = 0;
    this.columnTo$1 = 0
  };
  productPrefix__T() {
    return "InputRange"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_InputRange(x$1)) {
      const InputRange$1 = x$1;
      return ((((this.lineFrom$1 === InputRange$1.lineFrom$1) && (this.columnFrom$1 === InputRange$1.columnFrom$1)) && (this.lineTo$1 === InputRange$1.lineTo$1)) && (this.columnTo$1 === InputRange$1.columnTo$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.lineFrom$1;
        break
      }
      case 1: {
        return this.columnFrom$1;
        break
      }
      case 2: {
        return this.lineTo$1;
        break
      }
      case 3: {
        return this.columnTo$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  extent__Lorg_mulesoft_lexer_InputRange__Lorg_mulesoft_lexer_InputRange(other) {
    const first = (this.lessThan$1__p1__I__I__I__I__Z(this.lineFrom$1, other.lineFrom$1, this.columnFrom$1, other.columnFrom$1) ? this : other);
    const last = (this.lessThan$1__p1__I__I__I__I__Z(this.lineTo$1, other.lineTo$1, this.columnTo$1, other.columnTo$1) ? other : this);
    return $m_Lorg_mulesoft_lexer_InputRange$().apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange(first.lineFrom$1, first.columnFrom$1, last.lineTo$1, last.columnTo$1)
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["[", ",", "..", ",", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.lineFrom$1, this.columnFrom$1, this.lineTo$1, this.columnTo$1]))
  };
  init___I__I__I__I(lineFrom, columnFrom, lineTo, columnTo) {
    this.lineFrom$1 = lineFrom;
    this.columnFrom$1 = columnFrom;
    this.lineTo$1 = lineTo;
    this.columnTo$1 = columnTo;
    return this
  };
  lessThan$1__p1__I__I__I__I__Z(l1, l2, c1, c2) {
    return ((l1 < l2) || ((l1 === l2) && (c1 < c2)))
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.lineFrom$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.columnFrom$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.lineTo$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.columnTo$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_lexer_InputRange = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_InputRange)))
});
const $isArrayOf_Lorg_mulesoft_lexer_InputRange = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_InputRange)))
});
const $d_Lorg_mulesoft_lexer_InputRange = new $TypeData().initClass({
  Lorg_mulesoft_lexer_InputRange: 0
}, false, "org.mulesoft.lexer.InputRange", {
  Lorg_mulesoft_lexer_InputRange: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_InputRange.prototype.$classData = $d_Lorg_mulesoft_lexer_InputRange;
class $c_Lorg_mulesoft_lexer_TokenData extends $c_O {
  constructor() {
    super();
    this.token$1 = null;
    this.range$1 = null;
    this.start$1 = 0;
    this.end$1 = 0
  };
  productPrefix__T() {
    return "TokenData"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_TokenData(x$1)) {
      const TokenData$1 = x$1;
      const x = this.token$1;
      const x$2 = TokenData$1.token$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.range$1;
        const x$4 = TokenData$1.range$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.start$1 === TokenData$1.start$1))) {
        return (this.end$1 === TokenData$1.end$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.token$1;
        break
      }
      case 1: {
        return this.range$1;
        break
      }
      case 2: {
        return this.start$1;
        break
      }
      case 3: {
        return this.end$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(to) {
    return $m_Lorg_mulesoft_lexer_InputRange$().apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange(this.range$1.lineFrom$1, this.range$1.columnFrom$1, to.range$1.lineTo$1, to.range$1.columnTo$1)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.token$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.range$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.start$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.end$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_InputRange__I__I(token, range, start, end) {
    this.token$1 = token;
    this.range$1 = range;
    this.start$1 = start;
    this.end$1 = end;
    return this
  };
}
const $is_Lorg_mulesoft_lexer_TokenData = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_TokenData)))
});
const $isArrayOf_Lorg_mulesoft_lexer_TokenData = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_TokenData)))
});
const $d_Lorg_mulesoft_lexer_TokenData = new $TypeData().initClass({
  Lorg_mulesoft_lexer_TokenData: 0
}, false, "org.mulesoft.lexer.TokenData", {
  Lorg_mulesoft_lexer_TokenData: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_TokenData.prototype.$classData = $d_Lorg_mulesoft_lexer_TokenData;
class $c_Lorg_yaml_model_SyamlException extends $c_jl_RuntimeException {
}
const $is_Lorg_yaml_model_SyamlException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_SyamlException)))
});
const $isArrayOf_Lorg_yaml_model_SyamlException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_SyamlException)))
});
class $c_Lorg_yaml_model_YException extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.yError$4 = null
  };
  init___Lorg_yaml_model_YError(yError) {
    this.yError$4 = yError;
    const s = yError.error__T();
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Lorg_yaml_model_YException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YException)))
});
const $isArrayOf_Lorg_yaml_model_YException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YException)))
});
const $d_Lorg_yaml_model_YException = new $TypeData().initClass({
  Lorg_yaml_model_YException: 0
}, false, "org.yaml.model.YException", {
  Lorg_yaml_model_YException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YException.prototype.$classData = $d_Lorg_yaml_model_YException;
class $c_Lorg_yaml_model_YNode$$anon$1 extends $c_Lorg_yaml_model_YNode {
  constructor() {
    super();
    this.v$1$4 = null;
    this.t$1$4 = null;
    this.a$1$4 = null
  };
  init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(v$1, t$1, a$1, cs$1) {
    this.v$1$4 = v$1;
    this.t$1$4 = t$1;
    this.a$1$4 = a$1;
    let jsx$1;
    if ((cs$1 === null)) {
      const jsx$2 = $m_s_Predef$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([v$1]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_Lorg_yaml_model_YValue.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$4.hasNext__Z()) {
        const arg1 = this$4.next__O();
        array.u[elem$1] = arg1;
        elem$1 = ((1 + elem$1) | 0)
      };
      jsx$1 = jsx$2.wrapRefArray__AO__scm_WrappedArray(array)
    } else {
      jsx$1 = cs$1
    };
    $c_Lorg_yaml_model_YNode.prototype.init___sc_IndexedSeq.call(this, jsx$1);
    return this
  };
  tag__Lorg_yaml_model_YTag() {
    return this.t$1$4
  };
  anchor__s_Option() {
    return this.a$1$4
  };
  value__Lorg_yaml_model_YValue() {
    return this.v$1$4
  };
}
const $d_Lorg_yaml_model_YNode$$anon$1 = new $TypeData().initClass({
  Lorg_yaml_model_YNode$$anon$1: 0
}, false, "org.yaml.model.YNode$$anon$1", {
  Lorg_yaml_model_YNode$$anon$1: 1,
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode$$anon$1.prototype.$classData = $d_Lorg_yaml_model_YNode$$anon$1;
class $c_Lorg_yaml_model_YNode$Ref extends $c_Lorg_yaml_model_YNode {
}
const $is_Lorg_yaml_model_YNode$Ref = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode$Ref)))
});
const $isArrayOf_Lorg_yaml_model_YNode$Ref = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode$Ref)))
});
class $c_jl_ArithmeticException extends $c_jl_RuntimeException {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_jl_ArithmeticException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ArithmeticException)))
});
const $isArrayOf_jl_ArithmeticException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ArithmeticException)))
});
const $d_jl_ArithmeticException = new $TypeData().initClass({
  jl_ArithmeticException: 0
}, false, "java.lang.ArithmeticException", {
  jl_ArithmeticException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArithmeticException.prototype.$classData = $d_jl_ArithmeticException;
const $is_jl_ClassCastException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ClassCastException)))
});
const $isArrayOf_jl_ClassCastException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ClassCastException)))
});
class $c_jl_IllegalArgumentException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_IllegalArgumentException = new $TypeData().initClass({
  jl_IllegalArgumentException: 0
}, false, "java.lang.IllegalArgumentException", {
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalArgumentException.prototype.$classData = $d_jl_IllegalArgumentException;
class $c_jl_IllegalStateException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
  init___T__jl_Throwable(s, e) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
}
const $d_jl_IllegalStateException = new $TypeData().initClass({
  jl_IllegalStateException: 0
}, false, "java.lang.IllegalStateException", {
  jl_IllegalStateException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalStateException.prototype.$classData = $d_jl_IllegalStateException;
class $c_jl_IndexOutOfBoundsException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_IndexOutOfBoundsException = new $TypeData().initClass({
  jl_IndexOutOfBoundsException: 0
}, false, "java.lang.IndexOutOfBoundsException", {
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IndexOutOfBoundsException.prototype.$classData = $d_jl_IndexOutOfBoundsException;
class $c_jl_NullPointerException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_NullPointerException = new $TypeData().initClass({
  jl_NullPointerException: 0
}, false, "java.lang.NullPointerException", {
  jl_NullPointerException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NullPointerException.prototype.$classData = $d_jl_NullPointerException;
class $c_jl_SecurityException extends $c_jl_RuntimeException {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_SecurityException = new $TypeData().initClass({
  jl_SecurityException: 0
}, false, "java.lang.SecurityException", {
  jl_SecurityException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_SecurityException.prototype.$classData = $d_jl_SecurityException;
class $c_jl_UnsupportedOperationException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_UnsupportedOperationException = new $TypeData().initClass({
  jl_UnsupportedOperationException: 0
}, false, "java.lang.UnsupportedOperationException", {
  jl_UnsupportedOperationException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_UnsupportedOperationException.prototype.$classData = $d_jl_UnsupportedOperationException;
class $c_ju_NoSuchElementException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_ju_NoSuchElementException = new $TypeData().initClass({
  ju_NoSuchElementException: 0
}, false, "java.util.NoSuchElementException", {
  ju_NoSuchElementException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_NoSuchElementException.prototype.$classData = $d_ju_NoSuchElementException;
class $c_ju_concurrent_TimeUnit$$anon$1 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "NANOSECONDS", 0);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, (-129542144), 13);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 817405952, 838);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMicros__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, (-1857093632), 20116);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toNanos__J__J(a)
  };
  toNanos__J__J(a) {
    return a
  };
}
const $d_ju_concurrent_TimeUnit$$anon$1 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$1: 0
}, false, "java.util.concurrent.TimeUnit$$anon$1", {
  ju_concurrent_TimeUnit$$anon$1: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$1.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$1;
class $c_ju_concurrent_TimeUnit$$anon$2 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "MICROSECONDS", 1);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, (-694967296), 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMicros__J__J(a) {
    return a
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 500654080, 20);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toMicros__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000, 0), new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$2 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$2: 0
}, false, "java.util.concurrent.TimeUnit$$anon$2", {
  ju_concurrent_TimeUnit$$anon$2: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$2.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$2;
class $c_ju_concurrent_TimeUnit$$anon$3 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "MILLISECONDS", 2);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 3600000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000, 0), new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 86400000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return a
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toMillis__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000000, 0), new $c_sjsr_RuntimeLong().init___I__I(2077252342, 2147))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$3 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$3: 0
}, false, "java.util.concurrent.TimeUnit$$anon$3", {
  ju_concurrent_TimeUnit$$anon$3: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$3.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$3;
class $c_ju_concurrent_TimeUnit$$anon$4 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "SECONDS", 3);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 3600, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    return a
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000000, 0), new $c_sjsr_RuntimeLong().init___I__I(2077252342, 2147))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 86400, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000, 0), new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toSeconds__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000000000, 0), new $c_sjsr_RuntimeLong().init___I__I(633437444, 2))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$4 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$4: 0
}, false, "java.util.concurrent.TimeUnit$$anon$4", {
  ju_concurrent_TimeUnit$$anon$4: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$4.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$4;
class $c_ju_concurrent_TimeUnit$$anon$5 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "MINUTES", 4);
    return this
  };
  toMinutes__J__J(a) {
    return a
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60, 0), new $c_sjsr_RuntimeLong().init___I__I(572662306, 35791394))
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60000000, 0), new $c_sjsr_RuntimeLong().init___I__I((-895955376), 35))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1440, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60000, 0), new $c_sjsr_RuntimeLong().init___I__I(1692789776, 35791))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toMinutes__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I((-129542144), 13), new $c_sjsr_RuntimeLong().init___I__I(153722867, 0))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$5 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$5: 0
}, false, "java.util.concurrent.TimeUnit$$anon$5", {
  ju_concurrent_TimeUnit$$anon$5: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$5.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$5;
class $c_ju_concurrent_TimeUnit$$anon$6 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "HOURS", 5);
    return this
  };
  toMinutes__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60, 0), new $c_sjsr_RuntimeLong().init___I__I(572662306, 35791394))
  };
  toHours__J__J(a) {
    return a
  };
  toSeconds__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(3600, 0), new $c_sjsr_RuntimeLong().init___I__I(1011703407, 596523))
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I((-694967296), 0), new $c_sjsr_RuntimeLong().init___I__I((-1732919508), 0))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 24, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(3600000, 0), new $c_sjsr_RuntimeLong().init___I__I((-2047687697), 596))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toHours__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(817405952, 838), new $c_sjsr_RuntimeLong().init___I__I(2562047, 0))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$6 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$6: 0
}, false, "java.util.concurrent.TimeUnit$$anon$6", {
  ju_concurrent_TimeUnit$$anon$6: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$6.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$6;
class $c_ju_concurrent_TimeUnit$$anon$7 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "DAYS", 6);
    return this
  };
  toMinutes__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1440, 0), new $c_sjsr_RuntimeLong().init___I__I(381774870, 1491308))
  };
  toHours__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(24, 0), new $c_sjsr_RuntimeLong().init___I__I(1431655765, 89478485))
  };
  toSeconds__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(86400, 0), new $c_sjsr_RuntimeLong().init___I__I(579025220, 24855))
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(500654080, 20), new $c_sjsr_RuntimeLong().init___I__I(106751991, 0))
  };
  toDays__J__J(a) {
    return a
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(86400000, 0), new $c_sjsr_RuntimeLong().init___I__I((-622191233), 24))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toDays__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I((-1857093632), 20116), new $c_sjsr_RuntimeLong().init___I__I(106751, 0))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$7 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$7: 0
}, false, "java.util.concurrent.TimeUnit$$anon$7", {
  ju_concurrent_TimeUnit$$anon$7: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$7.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$7;
class $c_s_MatchError extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.objString$4 = null;
    this.obj$4 = null;
    this.bitmap$0$4 = false
  };
  objString$lzycompute__p4__T() {
    if ((!this.bitmap$0$4)) {
      this.objString$4 = ((this.obj$4 === null) ? "null" : this.liftedTree1$1__p4__T());
      this.bitmap$0$4 = true
    };
    return this.objString$4
  };
  ofClass$1__p4__T() {
    const this$1 = this.obj$4;
    return ("of class " + $objectGetClass(this$1).getName__T())
  };
  liftedTree1$1__p4__T() {
    try {
      return ((($objectToString(this.obj$4) + " (") + this.ofClass$1__p4__T()) + ")")
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        return ("an instance " + this.ofClass$1__p4__T())
      } else {
        throw e
      }
    }
  };
  getMessage__T() {
    return this.objString__p4__T()
  };
  objString__p4__T() {
    return ((!this.bitmap$0$4) ? this.objString$lzycompute__p4__T() : this.objString$4)
  };
  init___O(obj) {
    this.obj$4 = obj;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_s_MatchError = new $TypeData().initClass({
  s_MatchError: 0
}, false, "scala.MatchError", {
  s_MatchError: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_MatchError.prototype.$classData = $d_s_MatchError;
class $c_s_Option extends $c_O {
  toList__sci_List() {
    return (this.isEmpty__Z() ? $m_sci_Nil$() : new $c_sci_$colon$colon().init___O__sci_List(this.get__O(), $m_sci_Nil$()))
  };
  isDefined__Z() {
    return (!this.isEmpty__Z())
  };
  contains__O__Z(elem) {
    return ((!this.isEmpty__Z()) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.get__O(), elem))
  };
}
const $is_s_Option = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Option)))
});
const $isArrayOf_s_Option = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Option)))
});
class $c_s_PartialFunction$$anon$1 extends $c_O {
  constructor() {
    super();
    this.lift$1 = null
  };
  init___() {
    this.lift$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        return $m_s_None$()
      })
    })(this));
    return this
  };
  apply__O__O(v1) {
    this.apply__O__sr_Nothing$(v1)
  };
  runWith__F1__F1(action) {
    return $m_s_PartialFunction$().scala$PartialFunction$$constFalse$f
  };
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__sr_Nothing$(v1)))
  };
  isDefinedAt__O__Z(x) {
    return false
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  apply__O__sr_Nothing$(x) {
    throw new $c_s_MatchError().init___O(x)
  };
}
const $d_s_PartialFunction$$anon$1 = new $TypeData().initClass({
  s_PartialFunction$$anon$1: 0
}, false, "scala.PartialFunction$$anon$1", {
  s_PartialFunction$$anon$1: 1,
  O: 1,
  s_PartialFunction: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$$anon$1.prototype.$classData = $d_s_PartialFunction$$anon$1;
class $c_s_PartialFunction$Lifted extends $c_sr_AbstractFunction1 {
  constructor() {
    super();
    this.pf$2 = null
  };
  apply__O__O(v1) {
    return this.apply__O__s_Option(v1)
  };
  init___s_PartialFunction(pf) {
    this.pf$2 = pf;
    return this
  };
  apply__O__s_Option(x) {
    const z = this.pf$2.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f);
    return ((!$m_s_PartialFunction$().scala$PartialFunction$$fallbackOccurred__O__Z(z)) ? new $c_s_Some().init___O(z) : $m_s_None$())
  };
}
const $d_s_PartialFunction$Lifted = new $TypeData().initClass({
  s_PartialFunction$Lifted: 0
}, false, "scala.PartialFunction$Lifted", {
  s_PartialFunction$Lifted: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$Lifted.prototype.$classData = $d_s_PartialFunction$Lifted;
class $c_s_Predef$$anon$1 extends $c_s_Predef$$less$colon$less {
  init___() {
    return this
  };
  apply__O__O(x) {
    return x
  };
}
const $d_s_Predef$$anon$1 = new $TypeData().initClass({
  s_Predef$$anon$1: 0
}, false, "scala.Predef$$anon$1", {
  s_Predef$$anon$1: 1,
  s_Predef$$less$colon$less: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$1.prototype.$classData = $d_s_Predef$$anon$1;
class $c_s_Predef$$anon$2 extends $c_s_Predef$$eq$colon$eq {
  init___() {
    return this
  };
  apply__O__O(x) {
    return x
  };
}
const $d_s_Predef$$anon$2 = new $TypeData().initClass({
  s_Predef$$anon$2: 0
}, false, "scala.Predef$$anon$2", {
  s_Predef$$anon$2: 1,
  s_Predef$$eq$colon$eq: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$2.prototype.$classData = $d_s_Predef$$anon$2;
class $c_s_StringContext extends $c_O {
  constructor() {
    super();
    this.parts$1 = null
  };
  productPrefix__T() {
    return "StringContext"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_StringContext(x$1)) {
      const StringContext$1 = x$1;
      const x = this.parts$1;
      const x$2 = StringContext$1.parts$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parts$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  checkLengths__sc_Seq__V(args) {
    if ((this.parts$1.length__I() !== ((1 + args.length__I()) | 0))) {
      throw new $c_jl_IllegalArgumentException().init___T((((("wrong number of arguments (" + args.length__I()) + ") for interpolated string with ") + this.parts$1.length__I()) + " parts"))
    }
  };
  s__sc_Seq__T(args) {
    const f = (function($this) {
      return (function(str$2) {
        const str = str$2;
        const this$1 = $m_s_StringContext$();
        return this$1.treatEscapes0__p1__T__Z__T(str, false)
      })
    })(this);
    this.checkLengths__sc_Seq__V(args);
    const pi = this.parts$1.iterator__sc_Iterator();
    const ai = args.iterator__sc_Iterator();
    const arg1 = pi.next__O();
    const bldr = new $c_jl_StringBuilder().init___T(f(arg1));
    while (ai.hasNext__Z()) {
      bldr.append__O__jl_StringBuilder(ai.next__O());
      const arg1$1 = pi.next__O();
      bldr.append__T__jl_StringBuilder(f(arg1$1))
    };
    return bldr.content$1
  };
  init___sc_Seq(parts) {
    this.parts$1 = parts;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_StringContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_StringContext)))
});
const $isArrayOf_s_StringContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_StringContext)))
});
const $d_s_StringContext = new $TypeData().initClass({
  s_StringContext: 0
}, false, "scala.StringContext", {
  s_StringContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext.prototype.$classData = $d_s_StringContext;
class $c_s_concurrent_duration_Duration extends $c_O {
  compareTo__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
}
const $is_s_concurrent_duration_Duration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_duration_Duration)))
});
const $isArrayOf_s_concurrent_duration_Duration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_duration_Duration)))
});
const $f_s_math_Ordering__gteq__O__O__Z = (function($thiz, x, y) {
  return ($thiz.compare__O__O__I(x, y) >= 0)
});
const $f_s_math_Ordering__lteq__O__O__Z = (function($thiz, x, y) {
  return ($thiz.compare__O__O__I(x, y) <= 0)
});
const $f_s_reflect_ClassTag__newArray__I__O = (function($thiz, len) {
  const x1 = $thiz.runtimeClass__jl_Class();
  return ((x1 === $d_B.getClassOf()) ? $newArrayObject($d_B.getArrayOf(), [len]) : ((x1 === $d_S.getClassOf()) ? $newArrayObject($d_S.getArrayOf(), [len]) : ((x1 === $d_C.getClassOf()) ? $newArrayObject($d_C.getArrayOf(), [len]) : ((x1 === $d_I.getClassOf()) ? $newArrayObject($d_I.getArrayOf(), [len]) : ((x1 === $d_J.getClassOf()) ? $newArrayObject($d_J.getArrayOf(), [len]) : ((x1 === $d_F.getClassOf()) ? $newArrayObject($d_F.getArrayOf(), [len]) : ((x1 === $d_D.getClassOf()) ? $newArrayObject($d_D.getArrayOf(), [len]) : ((x1 === $d_Z.getClassOf()) ? $newArrayObject($d_Z.getArrayOf(), [len]) : ((x1 === $d_V.getClassOf()) ? $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [len]) : $m_jl_reflect_Array$().newInstance__jl_Class__I__O($thiz.runtimeClass__jl_Class(), len))))))))))
});
const $f_s_reflect_ClassTag__equals__O__Z = (function($thiz, x) {
  if ($is_s_reflect_ClassTag(x)) {
    const x$2 = $thiz.runtimeClass__jl_Class();
    const x$3 = x.runtimeClass__jl_Class();
    return (x$2 === x$3)
  } else {
    return false
  }
});
const $f_s_reflect_ClassTag__prettyprint$1__ps_reflect_ClassTag__jl_Class__T = (function($thiz, clazz) {
  if (clazz.isArray__Z()) {
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Array[", "]"]));
    const clazz$1 = clazz.getComponentType__jl_Class();
    return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_s_reflect_ClassTag__prettyprint$1__ps_reflect_ClassTag__jl_Class__T($thiz, clazz$1)]))
  } else {
    return clazz.getName__T()
  }
});
const $is_s_reflect_ClassTag = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_reflect_ClassTag)))
});
const $isArrayOf_s_reflect_ClassTag = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_reflect_ClassTag)))
});
class $c_s_util_Either extends $c_O {
  toOption__s_Option() {
    if ($is_s_util_Right(this)) {
      const x2 = this;
      const b = x2.value$2;
      return new $c_s_Some().init___O(b)
    } else if ($is_s_util_Left(this)) {
      return $m_s_None$()
    } else {
      throw new $c_s_MatchError().init___O(this)
    }
  };
}
const $is_s_util_Either = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Either)))
});
const $isArrayOf_s_util_Either = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Either)))
});
class $c_s_util_Try extends $c_O {
}
const $is_s_util_Try = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Try)))
});
const $isArrayOf_s_util_Try = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Try)))
});
class $c_s_util_control_BreakControl extends $c_jl_Throwable {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  fillInStackTrace__jl_Throwable() {
    return $f_s_util_control_NoStackTrace__fillInStackTrace__jl_Throwable(this)
  };
}
const $d_s_util_control_BreakControl = new $TypeData().initClass({
  s_util_control_BreakControl: 0
}, false, "scala.util.control.BreakControl", {
  s_util_control_BreakControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_s_util_control_BreakControl.prototype.$classData = $d_s_util_control_BreakControl;
const $f_sc_GenMapLike__equals__O__Z = (function($thiz, that) {
  if ($is_sc_GenMap(that)) {
    const x2 = that;
    return (($thiz === x2) || (($thiz.size__I() === x2.size__I()) && $f_sc_GenMapLike__liftedTree1$1__psc_GenMapLike__sc_GenMap__Z($thiz, x2)))
  } else {
    return false
  }
});
const $f_sc_GenMapLike__liftedTree1$1__psc_GenMapLike__sc_GenMap__Z = (function($thiz, x2$1) {
  try {
    const this$1 = $thiz.iterator__sc_Iterator();
    let res = true;
    while ((res && this$1.hasNext__Z())) {
      const arg1 = this$1.next__O();
      const x0$1 = arg1;
      if ((x0$1 === null)) {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      const k = x0$1.$$und1__O();
      const v = x0$1.$$und2__O();
      const x1$2 = x2$1.get__O__s_Option(k);
      matchEnd6: {
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const p3 = x2.value$2;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(v, p3)) {
            res = true;
            break matchEnd6
          }
        };
        res = false
      }
    };
    return res
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      return false
    } else {
      throw e
    }
  }
});
const $f_sc_GenSeqLike__indexOf__O__I__I = (function($thiz, elem, from) {
  return $thiz.indexWhere__F1__I__I(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, elem$1) {
    return (function(x$1$2) {
      return $m_sr_BoxesRunTime$().equals__O__O__Z(elem$1, x$1$2)
    })
  })($thiz, elem)), from)
});
const $f_sc_GenSeqLike__equals__O__Z = (function($thiz, that) {
  if ($is_sc_GenSeq(that)) {
    const x2 = that;
    return $thiz.sameElements__sc_GenIterable__Z(x2)
  } else {
    return false
  }
});
const $f_sc_GenSeqLike__isDefinedAt__I__Z = (function($thiz, idx) {
  return ((idx >= 0) && (idx < $thiz.length__I()))
});
const $is_sc_GenTraversable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversable)))
});
const $isArrayOf_sc_GenTraversable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversable)))
});
class $c_sc_Iterable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Iterable$();
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sc_Iterable$ = new $TypeData().initClass({
  sc_Iterable$: 0
}, false, "scala.collection.Iterable$", {
  sc_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Iterable$.prototype.$classData = $d_sc_Iterable$;
let $n_sc_Iterable$ = (void 0);
const $m_sc_Iterable$ = (function() {
  if ((!$n_sc_Iterable$)) {
    $n_sc_Iterable$ = new $c_sc_Iterable$().init___()
  };
  return $n_sc_Iterable$
});
class $c_sc_Iterator$$anon$10 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.f$1$2 = null
  };
  next__O() {
    return this.f$1$2.apply__O__O(this.$$outer$2.next__O())
  };
  init___sc_Iterator__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.f$1$2 = f$1;
    return this
  };
  hasNext__Z() {
    return this.$$outer$2.hasNext__Z()
  };
}
const $d_sc_Iterator$$anon$10 = new $TypeData().initClass({
  sc_Iterator$$anon$10: 0
}, false, "scala.collection.Iterator$$anon$10", {
  sc_Iterator$$anon$10: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$10.prototype.$classData = $d_sc_Iterator$$anon$10;
class $c_sc_Iterator$$anon$11 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cur$2 = null;
    this.$$outer$2 = null;
    this.f$2$2 = null
  };
  next__O() {
    return (this.hasNext__Z() ? this.cur$2 : $m_sc_Iterator$().empty$1).next__O()
  };
  init___sc_Iterator__F1($$outer, f$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.f$2$2 = f$2;
    this.cur$2 = $m_sc_Iterator$().empty$1;
    return this
  };
  hasNext__Z() {
    while ((!this.cur$2.hasNext__Z())) {
      if ((!this.$$outer$2.hasNext__Z())) {
        return false
      };
      this.nextCur__p2__V()
    };
    return true
  };
  nextCur__p2__V() {
    this.cur$2 = this.f$2$2.apply__O__O(this.$$outer$2.next__O()).toIterator__sc_Iterator()
  };
}
const $d_sc_Iterator$$anon$11 = new $TypeData().initClass({
  sc_Iterator$$anon$11: 0
}, false, "scala.collection.Iterator$$anon$11", {
  sc_Iterator$$anon$11: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$11.prototype.$classData = $d_sc_Iterator$$anon$11;
class $c_sc_Iterator$$anon$12 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.hd$2 = null;
    this.hdDefined$2 = false;
    this.$$outer$2 = null;
    this.p$1$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.hdDefined$2 = false;
      return this.hd$2
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_Iterator__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.p$1$2 = p$1;
    this.hdDefined$2 = false;
    return this
  };
  hasNext__Z() {
    if (this.hdDefined$2) {
      return true
    } else {
      do {
        if ((!this.$$outer$2.hasNext__Z())) {
          return false
        };
        this.hd$2 = this.$$outer$2.next__O()
      } while ((!(!(!this.p$1$2.apply__O__O(this.hd$2)))));
      this.hdDefined$2 = true;
      return true
    }
  };
}
const $d_sc_Iterator$$anon$12 = new $TypeData().initClass({
  sc_Iterator$$anon$12: 0
}, false, "scala.collection.Iterator$$anon$12", {
  sc_Iterator$$anon$12: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$12.prototype.$classData = $d_sc_Iterator$$anon$12;
class $c_sc_Iterator$$anon$15 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.hd$2 = null;
    this.hdDefined$2 = false;
    this.tail$2 = null;
    this.p$2$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.hdDefined$2 = false;
      return this.hd$2
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_Iterator__F1($$outer, p$2) {
    this.p$2$2 = p$2;
    this.hdDefined$2 = false;
    this.tail$2 = $$outer;
    return this
  };
  hasNext__Z() {
    if (this.hdDefined$2) {
      return true
    } else if (this.tail$2.hasNext__Z()) {
      this.hd$2 = this.tail$2.next__O();
      if ((!(!this.p$2$2.apply__O__O(this.hd$2)))) {
        this.hdDefined$2 = true
      } else {
        this.tail$2 = $m_sc_Iterator$().empty$1
      };
      return this.hdDefined$2
    } else {
      return false
    }
  };
}
const $d_sc_Iterator$$anon$15 = new $TypeData().initClass({
  sc_Iterator$$anon$15: 0
}, false, "scala.collection.Iterator$$anon$15", {
  sc_Iterator$$anon$15: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$15.prototype.$classData = $d_sc_Iterator$$anon$15;
class $c_sc_Iterator$$anon$17 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.status$2 = 0;
    this.fst$2 = null;
    this.$$outer$2 = null;
    this.p$3$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      if ((this.status$2 === 1)) {
        return this.$$outer$2.next__O()
      } else {
        this.status$2 = 1;
        return this.fst$2
      }
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_Iterator__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.p$3$2 = p$3;
    this.status$2 = (-1);
    return this
  };
  hasNext__Z() {
    if ((this.status$2 === 1)) {
      return this.$$outer$2.hasNext__Z()
    } else if ((this.status$2 === 0)) {
      return true
    } else {
      while (this.$$outer$2.hasNext__Z()) {
        const a = this.$$outer$2.next__O();
        if ((!(!(!this.p$3$2.apply__O__O(a))))) {
          this.fst$2 = a;
          this.status$2 = 0;
          return true
        }
      };
      this.status$2 = 1;
      return false
    }
  };
}
const $d_sc_Iterator$$anon$17 = new $TypeData().initClass({
  sc_Iterator$$anon$17: 0
}, false, "scala.collection.Iterator$$anon$17", {
  sc_Iterator$$anon$17: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$17.prototype.$classData = $d_sc_Iterator$$anon$17;
class $c_sc_Iterator$$anon$18 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.that$1$2 = null
  };
  next__O() {
    return this.next__T2()
  };
  init___sc_Iterator__sc_Iterator($$outer, that$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.that$1$2 = that$1;
    return this
  };
  next__T2() {
    return new $c_T2().init___O__O(this.$$outer$2.next__O(), this.that$1$2.next__O())
  };
  hasNext__Z() {
    return (this.$$outer$2.hasNext__Z() && this.that$1$2.hasNext__Z())
  };
}
const $d_sc_Iterator$$anon$18 = new $TypeData().initClass({
  sc_Iterator$$anon$18: 0
}, false, "scala.collection.Iterator$$anon$18", {
  sc_Iterator$$anon$18: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$18.prototype.$classData = $d_sc_Iterator$$anon$18;
class $c_sc_Iterator$$anon$2 extends $c_sc_AbstractIterator {
  next__O() {
    this.next__sr_Nothing$()
  };
  init___() {
    return this
  };
  next__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
  };
  hasNext__Z() {
    return false
  };
}
const $d_sc_Iterator$$anon$2 = new $TypeData().initClass({
  sc_Iterator$$anon$2: 0
}, false, "scala.collection.Iterator$$anon$2", {
  sc_Iterator$$anon$2: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$2.prototype.$classData = $d_sc_Iterator$$anon$2;
class $c_sc_Iterator$$anon$3 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.hasnext$2 = false;
    this.elem$1$2 = null
  };
  next__O() {
    if (this.hasnext$2) {
      this.hasnext$2 = false;
      return this.elem$1$2
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___O(elem$1) {
    this.elem$1$2 = elem$1;
    this.hasnext$2 = true;
    return this
  };
  hasNext__Z() {
    return this.hasnext$2
  };
}
const $d_sc_Iterator$$anon$3 = new $TypeData().initClass({
  sc_Iterator$$anon$3: 0
}, false, "scala.collection.Iterator$$anon$3", {
  sc_Iterator$$anon$3: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$3.prototype.$classData = $d_sc_Iterator$$anon$3;
class $c_sc_Iterator$SliceIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.underlying$2 = null;
    this.scala$collection$Iterator$SliceIterator$$remaining$2 = 0;
    this.dropping$2 = 0
  };
  next__O() {
    this.skip__p2__V();
    if ((this.scala$collection$Iterator$SliceIterator$$remaining$2 > 0)) {
      this.scala$collection$Iterator$SliceIterator$$remaining$2 = (((-1) + this.scala$collection$Iterator$SliceIterator$$remaining$2) | 0);
      return this.underlying$2.next__O()
    } else {
      return ((this.scala$collection$Iterator$SliceIterator$$remaining$2 < 0) ? this.underlying$2.next__O() : $m_sc_Iterator$().empty$1.next__O())
    }
  };
  adjustedBound$1__p2__I__I(lo$1) {
    if ((this.scala$collection$Iterator$SliceIterator$$remaining$2 < 0)) {
      return (-1)
    } else {
      const that = ((this.scala$collection$Iterator$SliceIterator$$remaining$2 - lo$1) | 0);
      return ((that < 0) ? 0 : that)
    }
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    const lo = ((from > 0) ? from : 0);
    let rest;
    if ((until < 0)) {
      rest = this.adjustedBound$1__p2__I__I(lo)
    } else if ((until <= lo)) {
      rest = 0
    } else if ((this.scala$collection$Iterator$SliceIterator$$remaining$2 < 0)) {
      rest = ((until - lo) | 0)
    } else {
      const x = this.adjustedBound$1__p2__I__I(lo);
      const that = ((until - lo) | 0);
      rest = ((x < that) ? x : that)
    };
    if ((rest === 0)) {
      return $m_sc_Iterator$().empty$1
    } else {
      this.dropping$2 = ((this.dropping$2 + lo) | 0);
      this.scala$collection$Iterator$SliceIterator$$remaining$2 = rest;
      return this
    }
  };
  skip__p2__V() {
    while ((this.dropping$2 > 0)) {
      if (this.underlying$2.hasNext__Z()) {
        this.underlying$2.next__O();
        this.dropping$2 = (((-1) + this.dropping$2) | 0)
      } else {
        this.dropping$2 = 0
      }
    }
  };
  hasNext__Z() {
    this.skip__p2__V();
    return ((this.scala$collection$Iterator$SliceIterator$$remaining$2 !== 0) && this.underlying$2.hasNext__Z())
  };
  init___sc_Iterator__I__I(underlying, start, limit) {
    this.underlying$2 = underlying;
    this.scala$collection$Iterator$SliceIterator$$remaining$2 = limit;
    this.dropping$2 = start;
    return this
  };
}
const $d_sc_Iterator$SliceIterator = new $TypeData().initClass({
  sc_Iterator$SliceIterator: 0
}, false, "scala.collection.Iterator$SliceIterator", {
  sc_Iterator$SliceIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$SliceIterator.prototype.$classData = $d_sc_Iterator$SliceIterator;
class $c_sc_LinearSeqLike$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.these$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      const result = this.these$2.head__O();
      this.these$2 = this.these$2.tail__O();
      return result
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_LinearSeqLike($$outer) {
    this.these$2 = $$outer;
    return this
  };
  toList__sci_List() {
    const xs = this.these$2.toList__sci_List();
    this.these$2 = this.these$2.take__I__O(0);
    return xs
  };
  hasNext__Z() {
    return (!this.these$2.isEmpty__Z())
  };
}
const $d_sc_LinearSeqLike$$anon$1 = new $TypeData().initClass({
  sc_LinearSeqLike$$anon$1: 0
}, false, "scala.collection.LinearSeqLike$$anon$1", {
  sc_LinearSeqLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_LinearSeqLike$$anon$1.prototype.$classData = $d_sc_LinearSeqLike$$anon$1;
class $c_sc_MapLike$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().$$und1__O()
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___sc_MapLike($$outer) {
    this.iter$2 = $$outer.iterator__sc_Iterator();
    return this
  };
}
const $d_sc_MapLike$$anon$1 = new $TypeData().initClass({
  sc_MapLike$$anon$1: 0
}, false, "scala.collection.MapLike$$anon$1", {
  sc_MapLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_MapLike$$anon$1.prototype.$classData = $d_sc_MapLike$$anon$1;
class $c_sc_MapLike$$anon$2 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().$$und2__O()
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___sc_MapLike($$outer) {
    this.iter$2 = $$outer.iterator__sc_Iterator();
    return this
  };
}
const $d_sc_MapLike$$anon$2 = new $TypeData().initClass({
  sc_MapLike$$anon$2: 0
}, false, "scala.collection.MapLike$$anon$2", {
  sc_MapLike$$anon$2: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_MapLike$$anon$2.prototype.$classData = $d_sc_MapLike$$anon$2;
class $c_sc_Set$ extends $c_scg_SetFactory {
  init___() {
    return this
  };
  empty__sc_GenTraversable() {
    return $m_sci_Set$EmptySet$()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$())
  };
}
const $d_sc_Set$ = new $TypeData().initClass({
  sc_Set$: 0
}, false, "scala.collection.Set$", {
  sc_Set$: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Set$.prototype.$classData = $d_sc_Set$;
let $n_sc_Set$ = (void 0);
const $m_sc_Set$ = (function() {
  if ((!$n_sc_Set$)) {
    $n_sc_Set$ = new $c_sc_Set$().init___()
  };
  return $n_sc_Set$
});
class $c_sc_Traversable$ extends $c_scg_GenTraversableFactory {
  constructor() {
    super();
    this.breaks$3 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sc_Traversable$ = this;
    this.breaks$3 = new $c_s_util_control_Breaks().init___();
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Traversable$();
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sc_Traversable$ = new $TypeData().initClass({
  sc_Traversable$: 0
}, false, "scala.collection.Traversable$", {
  sc_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Traversable$.prototype.$classData = $d_sc_Traversable$;
let $n_sc_Traversable$ = (void 0);
const $m_sc_Traversable$ = (function() {
  if ((!$n_sc_Traversable$)) {
    $n_sc_Traversable$ = new $c_sc_Traversable$().init___()
  };
  return $n_sc_Traversable$
});
class $c_scg_ImmutableSetFactory extends $c_scg_SetFactory {
  empty__sc_GenTraversable() {
    return this.emptyInstance__sci_Set()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_SetBuilder().init___sc_Set(this.emptyInstance__sci_Set())
  };
}
class $c_scg_MutableSetFactory extends $c_scg_SetFactory {
  newBuilder__scm_Builder() {
    return new $c_scm_GrowingBuilder().init___scg_Growable(this.empty__sc_GenTraversable())
  };
}
class $c_sci_Iterable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_Iterable$ = new $TypeData().initClass({
  sci_Iterable$: 0
}, false, "scala.collection.immutable.Iterable$", {
  sci_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Iterable$.prototype.$classData = $d_sci_Iterable$;
let $n_sci_Iterable$ = (void 0);
const $m_sci_Iterable$ = (function() {
  if ((!$n_sci_Iterable$)) {
    $n_sci_Iterable$ = new $c_sci_Iterable$().init___()
  };
  return $n_sci_Iterable$
});
class $c_sci_StreamIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.these$2 = null
  };
  next__O() {
    if ($f_sc_Iterator__isEmpty__Z(this)) {
      return $m_sc_Iterator$().empty$1.next__O()
    } else {
      const cur = this.these$2.v__sci_Stream();
      const result = cur.head__O();
      this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, cur$1) {
        return (function() {
          return cur$1.tail__O()
        })
      })(this, cur)));
      return result
    }
  };
  toList__sci_List() {
    const this$1 = this.toStream__sci_Stream();
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf)
  };
  init___sci_Stream(self) {
    this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, self$1) {
      return (function() {
        return self$1
      })
    })(this, self)));
    return this
  };
  hasNext__Z() {
    const this$1 = this.these$2.v__sci_Stream();
    return $f_sc_TraversableOnce__nonEmpty__Z(this$1)
  };
  toStream__sci_Stream() {
    const result = this.these$2.v__sci_Stream();
    this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        $m_sci_Stream$();
        return $m_sci_Stream$Empty$()
      })
    })(this)));
    return result
  };
}
const $d_sci_StreamIterator = new $TypeData().initClass({
  sci_StreamIterator: 0
}, false, "scala.collection.immutable.StreamIterator", {
  sci_StreamIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_StreamIterator.prototype.$classData = $d_sci_StreamIterator;
class $c_sci_StringLike$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.str$2 = null;
    this.len$2 = 0;
    this.index$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    return this.next__T()
  };
  next__T() {
    if ((this.index$2 >= this.len$2)) {
      throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
    };
    const start = this.index$2;
    while (true) {
      let jsx$1;
      if ((this.index$2 < this.len$2)) {
        const this$1 = this.$$outer$2;
        const c = this.$$outer$2.apply__I__C(this.index$2);
        jsx$1 = (!$f_sci_StringLike__scala$collection$immutable$StringLike$$isLineBreak__C__Z(this$1, c))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        this.index$2 = ((1 + this.index$2) | 0)
      } else {
        break
      }
    };
    this.index$2 = ((1 + this.index$2) | 0);
    const thiz = this.str$2;
    const x = this.index$2;
    const that = this.len$2;
    const endIndex = ((x < that) ? x : that);
    return thiz.substring(start, endIndex)
  };
  hasNext__Z() {
    return (this.index$2 < this.len$2)
  };
  init___sci_StringLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.str$2 = $$outer.toString__T();
    const thiz = this.str$2;
    this.len$2 = (thiz.length | 0);
    this.index$2 = 0;
    return this
  };
}
const $d_sci_StringLike$$anon$1 = new $TypeData().initClass({
  sci_StringLike$$anon$1: 0
}, false, "scala.collection.immutable.StringLike$$anon$1", {
  sci_StringLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_StringLike$$anon$1.prototype.$classData = $d_sci_StringLike$$anon$1;
class $c_sci_Traversable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_Traversable$ = new $TypeData().initClass({
  sci_Traversable$: 0
}, false, "scala.collection.immutable.Traversable$", {
  sci_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Traversable$.prototype.$classData = $d_sci_Traversable$;
let $n_sci_Traversable$ = (void 0);
const $m_sci_Traversable$ = (function() {
  if ((!$n_sci_Traversable$)) {
    $n_sci_Traversable$ = new $c_sci_Traversable$().init___()
  };
  return $n_sci_Traversable$
});
class $c_sci_TrieIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.elems$2 = null;
    this.scala$collection$immutable$TrieIterator$$depth$f = 0;
    this.scala$collection$immutable$TrieIterator$$arrayStack$f = null;
    this.scala$collection$immutable$TrieIterator$$posStack$f = null;
    this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
    this.scala$collection$immutable$TrieIterator$$posD$f = 0;
    this.scala$collection$immutable$TrieIterator$$subIter$f = null
  };
  isContainer__p2__O__Z(x) {
    return ($is_sci_HashMap$HashMap1(x) || $is_sci_HashSet$HashSet1(x))
  };
  next__O() {
    if ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null)) {
      const el = this.scala$collection$immutable$TrieIterator$$subIter$f.next__O();
      if ((!this.scala$collection$immutable$TrieIterator$$subIter$f.hasNext__Z())) {
        this.scala$collection$immutable$TrieIterator$$subIter$f = null
      };
      return el
    } else {
      return this.next0__p2__Asci_Iterable__I__O(this.scala$collection$immutable$TrieIterator$$arrayD$f, this.scala$collection$immutable$TrieIterator$$posD$f)
    }
  };
  initPosStack__AI() {
    return $newArrayObject($d_I.getArrayOf(), [6])
  };
  hasNext__Z() {
    return ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null) || (this.scala$collection$immutable$TrieIterator$$depth$f >= 0))
  };
  next0__p2__Asci_Iterable__I__O(elems, i) {
    _next0: while (true) {
      if ((i === (((-1) + elems.u.length) | 0))) {
        this.scala$collection$immutable$TrieIterator$$depth$f = (((-1) + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
        if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
          this.scala$collection$immutable$TrieIterator$$arrayD$f = this.scala$collection$immutable$TrieIterator$$arrayStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f];
          this.scala$collection$immutable$TrieIterator$$posD$f = this.scala$collection$immutable$TrieIterator$$posStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f];
          this.scala$collection$immutable$TrieIterator$$arrayStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f] = null
        } else {
          this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
          this.scala$collection$immutable$TrieIterator$$posD$f = 0
        }
      } else {
        this.scala$collection$immutable$TrieIterator$$posD$f = ((1 + this.scala$collection$immutable$TrieIterator$$posD$f) | 0)
      };
      const m = elems.u[i];
      if (this.isContainer__p2__O__Z(m)) {
        return this.getElem__O__O(m)
      } else if (this.isTrie__p2__O__Z(m)) {
        if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
          this.scala$collection$immutable$TrieIterator$$arrayStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f] = this.scala$collection$immutable$TrieIterator$$arrayD$f;
          this.scala$collection$immutable$TrieIterator$$posStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f] = this.scala$collection$immutable$TrieIterator$$posD$f
        };
        this.scala$collection$immutable$TrieIterator$$depth$f = ((1 + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
        this.scala$collection$immutable$TrieIterator$$arrayD$f = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
        this.scala$collection$immutable$TrieIterator$$posD$f = 0;
        const temp$elems = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
        elems = temp$elems;
        i = 0;
        continue _next0
      } else {
        this.scala$collection$immutable$TrieIterator$$subIter$f = m.iterator__sc_Iterator();
        return this.next__O()
      }
    }
  };
  getElems__p2__sci_Iterable__Asci_Iterable(x) {
    if ($is_sci_HashMap$HashTrieMap(x)) {
      const x2 = x;
      return x2.elems$6
    } else {
      if ((!$is_sci_HashSet$HashTrieSet(x))) {
        throw new $c_s_MatchError().init___O(x)
      };
      const x3 = x;
      return x3.elems$5
    }
  };
  init___Asci_Iterable(elems) {
    this.elems$2 = elems;
    this.scala$collection$immutable$TrieIterator$$depth$f = 0;
    this.scala$collection$immutable$TrieIterator$$arrayStack$f = this.initArrayStack__AAsci_Iterable();
    this.scala$collection$immutable$TrieIterator$$posStack$f = this.initPosStack__AI();
    this.scala$collection$immutable$TrieIterator$$arrayD$f = this.elems$2;
    this.scala$collection$immutable$TrieIterator$$posD$f = 0;
    this.scala$collection$immutable$TrieIterator$$subIter$f = null;
    return this
  };
  isTrie__p2__O__Z(x) {
    return ($is_sci_HashMap$HashTrieMap(x) || $is_sci_HashSet$HashTrieSet(x))
  };
  initArrayStack__AAsci_Iterable() {
    return $newArrayObject($d_sci_Iterable.getArrayOf().getArrayOf(), [6])
  };
}
class $c_sci_Vector$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.i$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    if ((this.i$2 > 0)) {
      this.i$2 = (((-1) + this.i$2) | 0);
      return this.$$outer$2.apply__I__O(this.i$2)
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  hasNext__Z() {
    return (this.i$2 > 0)
  };
  init___sci_Vector($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.i$2 = $$outer.length__I();
    return this
  };
}
const $d_sci_Vector$$anon$1 = new $TypeData().initClass({
  sci_Vector$$anon$1: 0
}, false, "scala.collection.immutable.Vector$$anon$1", {
  sci_Vector$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_Vector$$anon$1.prototype.$classData = $d_sci_Vector$$anon$1;
class $c_scm_Builder$$anon$1 extends $c_O {
  constructor() {
    super();
    this.self$1 = null;
    this.f$1$1 = null
  };
  init___scm_Builder__F1($$outer, f$1) {
    this.f$1$1 = f$1;
    this.self$1 = $$outer;
    return this
  };
  equals__O__Z(that) {
    return $f_s_Proxy__equals__O__Z(this, that)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
  };
  toString__T() {
    return $f_s_Proxy__toString__T(this)
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1(xs) {
    this.self$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs);
    return this
  };
  result__O() {
    return this.f$1$1.apply__O__O(this.self$1.result__O())
  };
  self__O() {
    return this.self$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundColl) {
    this.self$1.sizeHintBounded__I__sc_TraversableLike__V(size, boundColl)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
  };
  $$plus$eq__O__scm_Builder$$anon$1(x) {
    this.self$1.$$plus$eq__O__scm_Builder(x);
    return this
  };
  hashCode__I() {
    return this.self$1.hashCode__I()
  };
  sizeHint__I__V(size) {
    this.self$1.sizeHint__I__V(size)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1(xs)
  };
}
const $d_scm_Builder$$anon$1 = new $TypeData().initClass({
  scm_Builder$$anon$1: 0
}, false, "scala.collection.mutable.Builder$$anon$1", {
  scm_Builder$$anon$1: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Proxy: 1
});
$c_scm_Builder$$anon$1.prototype.$classData = $d_scm_Builder$$anon$1;
class $c_scm_FlatHashTable$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.i$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.i$2 = ((1 + this.i$2) | 0);
      const this$1 = this.$$outer$2;
      const entry = this.$$outer$2.table$5.u[(((-1) + this.i$2) | 0)];
      return $f_scm_FlatHashTable$HashUtils__entryToElem__O__O(this$1, entry)
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___scm_FlatHashTable($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.i$2 = 0;
    return this
  };
  hasNext__Z() {
    while (((this.i$2 < this.$$outer$2.table$5.u.length) && (this.$$outer$2.table$5.u[this.i$2] === null))) {
      this.i$2 = ((1 + this.i$2) | 0)
    };
    return (this.i$2 < this.$$outer$2.table$5.u.length)
  };
}
const $d_scm_FlatHashTable$$anon$1 = new $TypeData().initClass({
  scm_FlatHashTable$$anon$1: 0
}, false, "scala.collection.mutable.FlatHashTable$$anon$1", {
  scm_FlatHashTable$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_FlatHashTable$$anon$1.prototype.$classData = $d_scm_FlatHashTable$$anon$1;
class $c_scm_HashMap$$anon$3 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().key$1
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___scm_HashMap($$outer) {
    this.iter$2 = new $c_scm_HashTable$$anon$1().init___scm_HashTable($$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$3 = new $TypeData().initClass({
  scm_HashMap$$anon$3: 0
}, false, "scala.collection.mutable.HashMap$$anon$3", {
  scm_HashMap$$anon$3: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_HashMap$$anon$3.prototype.$classData = $d_scm_HashMap$$anon$3;
class $c_scm_HashMap$$anon$4 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().value$1
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___scm_HashMap($$outer) {
    this.iter$2 = new $c_scm_HashTable$$anon$1().init___scm_HashTable($$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$4 = new $TypeData().initClass({
  scm_HashMap$$anon$4: 0
}, false, "scala.collection.mutable.HashMap$$anon$4", {
  scm_HashMap$$anon$4: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_HashMap$$anon$4.prototype.$classData = $d_scm_HashMap$$anon$4;
class $c_scm_HashTable$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iterTable$2 = null;
    this.idx$2 = 0;
    this.es$2 = null
  };
  next__O() {
    return this.next__scm_HashEntry()
  };
  init___scm_HashTable($$outer) {
    this.iterTable$2 = $$outer.table__Ascm_HashEntry();
    this.idx$2 = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I($$outer);
    this.es$2 = this.iterTable$2.u[this.idx$2];
    return this
  };
  next__scm_HashEntry() {
    const res = this.es$2;
    this.es$2 = this.es$2.next__O();
    while (((this.es$2 === null) && (this.idx$2 > 0))) {
      this.idx$2 = (((-1) + this.idx$2) | 0);
      this.es$2 = this.iterTable$2.u[this.idx$2]
    };
    return res
  };
  hasNext__Z() {
    return (this.es$2 !== null)
  };
}
const $d_scm_HashTable$$anon$1 = new $TypeData().initClass({
  scm_HashTable$$anon$1: 0
}, false, "scala.collection.mutable.HashTable$$anon$1", {
  scm_HashTable$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_HashTable$$anon$1.prototype.$classData = $d_scm_HashTable$$anon$1;
class $c_scm_Iterable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuffer().init___()
  };
}
const $d_scm_Iterable$ = new $TypeData().initClass({
  scm_Iterable$: 0
}, false, "scala.collection.mutable.Iterable$", {
  scm_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_Iterable$.prototype.$classData = $d_scm_Iterable$;
let $n_scm_Iterable$ = (void 0);
const $m_scm_Iterable$ = (function() {
  if ((!$n_scm_Iterable$)) {
    $n_scm_Iterable$ = new $c_scm_Iterable$().init___()
  };
  return $n_scm_Iterable$
});
class $c_scm_LazyBuilder extends $c_O {
  constructor() {
    super();
    this.parts$1 = null
  };
  init___() {
    this.parts$1 = new $c_scm_ListBuffer().init___();
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder(xs) {
    this.parts$1.$$plus$eq__O__scm_ListBuffer(xs);
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_LazyBuilder(elem)
  };
  $$plus$eq__O__scm_LazyBuilder(x) {
    const jsx$1 = this.parts$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    jsx$1.$$plus$eq__O__scm_ListBuffer($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf));
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_LazyBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder(xs)
  };
}
class $c_scm_LinkedHashMap$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cur$2 = null
  };
  next__O() {
    return this.next__T2()
  };
  next__T2() {
    if (this.hasNext__Z()) {
      const res = new $c_T2().init___O__O(this.cur$2.key$1, this.cur$2.value$1);
      this.cur$2 = this.cur$2.later$1;
      return res
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  hasNext__Z() {
    return (this.cur$2 !== null)
  };
  init___scm_LinkedHashMap($$outer) {
    this.cur$2 = $$outer.firstEntry$5;
    return this
  };
}
const $d_scm_LinkedHashMap$$anon$1 = new $TypeData().initClass({
  scm_LinkedHashMap$$anon$1: 0
}, false, "scala.collection.mutable.LinkedHashMap$$anon$1", {
  scm_LinkedHashMap$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_LinkedHashMap$$anon$1.prototype.$classData = $d_scm_LinkedHashMap$$anon$1;
class $c_scm_LinkedHashMap$$anon$2 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cur$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      const res = this.cur$2.key$1;
      this.cur$2 = this.cur$2.later$1;
      return res
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  hasNext__Z() {
    return (this.cur$2 !== null)
  };
  init___scm_LinkedHashMap($$outer) {
    this.cur$2 = $$outer.firstEntry$5;
    return this
  };
}
const $d_scm_LinkedHashMap$$anon$2 = new $TypeData().initClass({
  scm_LinkedHashMap$$anon$2: 0
}, false, "scala.collection.mutable.LinkedHashMap$$anon$2", {
  scm_LinkedHashMap$$anon$2: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_LinkedHashMap$$anon$2.prototype.$classData = $d_scm_LinkedHashMap$$anon$2;
class $c_scm_LinkedHashMap$$anon$3 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cur$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      const res = this.cur$2.value$1;
      this.cur$2 = this.cur$2.later$1;
      return res
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  hasNext__Z() {
    return (this.cur$2 !== null)
  };
  init___scm_LinkedHashMap($$outer) {
    this.cur$2 = $$outer.firstEntry$5;
    return this
  };
}
const $d_scm_LinkedHashMap$$anon$3 = new $TypeData().initClass({
  scm_LinkedHashMap$$anon$3: 0
}, false, "scala.collection.mutable.LinkedHashMap$$anon$3", {
  scm_LinkedHashMap$$anon$3: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_LinkedHashMap$$anon$3.prototype.$classData = $d_scm_LinkedHashMap$$anon$3;
class $c_scm_LinkedHashSet$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cur$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      const res = this.cur$2.key$1;
      this.cur$2 = this.cur$2.later$1;
      return res
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  hasNext__Z() {
    return (this.cur$2 !== null)
  };
  init___scm_LinkedHashSet($$outer) {
    this.cur$2 = $$outer.firstEntry$5;
    return this
  };
}
const $d_scm_LinkedHashSet$$anon$1 = new $TypeData().initClass({
  scm_LinkedHashSet$$anon$1: 0
}, false, "scala.collection.mutable.LinkedHashSet$$anon$1", {
  scm_LinkedHashSet$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_LinkedHashSet$$anon$1.prototype.$classData = $d_scm_LinkedHashSet$$anon$1;
class $c_scm_ListBuffer$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cursor$2 = null
  };
  next__O() {
    if ((!this.hasNext__Z())) {
      throw new $c_ju_NoSuchElementException().init___T("next on empty Iterator")
    } else {
      const ans = this.cursor$2.head__O();
      this.cursor$2 = this.cursor$2.tail__O();
      return ans
    }
  };
  init___scm_ListBuffer($$outer) {
    this.cursor$2 = ($$outer.isEmpty__Z() ? $m_sci_Nil$() : $$outer.scala$collection$mutable$ListBuffer$$start$6);
    return this
  };
  hasNext__Z() {
    return (this.cursor$2 !== $m_sci_Nil$())
  };
}
const $d_scm_ListBuffer$$anon$1 = new $TypeData().initClass({
  scm_ListBuffer$$anon$1: 0
}, false, "scala.collection.mutable.ListBuffer$$anon$1", {
  scm_ListBuffer$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_ListBuffer$$anon$1.prototype.$classData = $d_scm_ListBuffer$$anon$1;
class $c_scm_MapBuilder extends $c_O {
  constructor() {
    super();
    this.empty$1 = null;
    this.elems$1 = null
  };
  $$plus$eq__T2__scm_MapBuilder(x) {
    this.elems$1 = this.elems$1.$$plus__T2__sc_GenMap(x);
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_MapBuilder(elem)
  };
  result__O() {
    return this.elems$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  init___sc_GenMap(empty) {
    this.empty$1 = empty;
    this.elems$1 = empty;
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_MapBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_MapBuilder = new $TypeData().initClass({
  scm_MapBuilder: 0
}, false, "scala.collection.mutable.MapBuilder", {
  scm_MapBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_MapBuilder.prototype.$classData = $d_scm_MapBuilder;
class $c_scm_SetBuilder extends $c_O {
  constructor() {
    super();
    this.empty$1 = null;
    this.elems$1 = null
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_SetBuilder(elem)
  };
  result__O() {
    return this.elems$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$plus$eq__O__scm_SetBuilder(x) {
    this.elems$1 = this.elems$1.$$plus__O__sc_Set(x);
    return this
  };
  init___sc_Set(empty) {
    this.empty$1 = empty;
    this.elems$1 = empty;
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_SetBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_SetBuilder = new $TypeData().initClass({
  scm_SetBuilder: 0
}, false, "scala.collection.mutable.SetBuilder", {
  scm_SetBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_SetBuilder.prototype.$classData = $d_scm_SetBuilder;
class $c_scm_WrappedArrayBuilder extends $c_O {
  constructor() {
    super();
    this.tag$1 = null;
    this.manifest$1 = null;
    this.elems$1 = null;
    this.capacity$1 = 0;
    this.size$1 = 0
  };
  init___s_reflect_ClassTag(tag) {
    this.tag$1 = tag;
    this.manifest$1 = tag;
    this.capacity$1 = 0;
    this.size$1 = 0;
    return this
  };
  ensureSize__p1__I__V(size) {
    if ((this.capacity$1 < size)) {
      let newsize = ((this.capacity$1 === 0) ? 16 : (this.capacity$1 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p1__I__V(newsize)
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_WrappedArrayBuilder(elem)
  };
  $$plus$eq__O__scm_WrappedArrayBuilder(elem) {
    this.ensureSize__p1__I__V(((1 + this.size$1) | 0));
    this.elems$1.update__I__O__V(this.size$1, elem);
    this.size$1 = ((1 + this.size$1) | 0);
    return this
  };
  mkArray__p1__I__scm_WrappedArray(size) {
    const runtimeClass = this.tag$1.runtimeClass__jl_Class();
    const newelems = ((runtimeClass === $d_B.getClassOf()) ? new $c_scm_WrappedArray$ofByte().init___AB($newArrayObject($d_B.getArrayOf(), [size])) : ((runtimeClass === $d_S.getClassOf()) ? new $c_scm_WrappedArray$ofShort().init___AS($newArrayObject($d_S.getArrayOf(), [size])) : ((runtimeClass === $d_C.getClassOf()) ? new $c_scm_WrappedArray$ofChar().init___AC($newArrayObject($d_C.getArrayOf(), [size])) : ((runtimeClass === $d_I.getClassOf()) ? new $c_scm_WrappedArray$ofInt().init___AI($newArrayObject($d_I.getArrayOf(), [size])) : ((runtimeClass === $d_J.getClassOf()) ? new $c_scm_WrappedArray$ofLong().init___AJ($newArrayObject($d_J.getArrayOf(), [size])) : ((runtimeClass === $d_F.getClassOf()) ? new $c_scm_WrappedArray$ofFloat().init___AF($newArrayObject($d_F.getArrayOf(), [size])) : ((runtimeClass === $d_D.getClassOf()) ? new $c_scm_WrappedArray$ofDouble().init___AD($newArrayObject($d_D.getArrayOf(), [size])) : ((runtimeClass === $d_Z.getClassOf()) ? new $c_scm_WrappedArray$ofBoolean().init___AZ($newArrayObject($d_Z.getArrayOf(), [size])) : ((runtimeClass === $d_V.getClassOf()) ? new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($newArrayObject($d_sr_BoxedUnit.getArrayOf(), [size])) : new $c_scm_WrappedArray$ofRef().init___AO(this.tag$1.newArray__I__O(size)))))))))));
    if ((this.size$1 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$1.array__O(), 0, newelems.array__O(), 0, this.size$1)
    };
    return newelems
  };
  result__O() {
    return this.result__scm_WrappedArray()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  resize__p1__I__V(size) {
    this.elems$1 = this.mkArray__p1__I__scm_WrappedArray(size);
    this.capacity$1 = size
  };
  result__scm_WrappedArray() {
    if (((this.capacity$1 !== 0) && (this.capacity$1 === this.size$1))) {
      this.capacity$1 = 0;
      return this.elems$1
    } else {
      return this.mkArray__p1__I__scm_WrappedArray(this.size$1)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_WrappedArrayBuilder(elem)
  };
  sizeHint__I__V(size) {
    if ((this.capacity$1 < size)) {
      this.resize__p1__I__V(size)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_WrappedArrayBuilder = new $TypeData().initClass({
  scm_WrappedArrayBuilder: 0
}, false, "scala.collection.mutable.WrappedArrayBuilder", {
  scm_WrappedArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_WrappedArrayBuilder.prototype.$classData = $d_scm_WrappedArrayBuilder;
class $c_sr_NonLocalReturnControl extends $c_jl_Throwable {
  constructor() {
    super();
    this.key$2 = null;
    this.value$f = null
  };
  fillInStackTrace__jl_Throwable() {
    return this
  };
  value__O() {
    return this.value$f
  };
  value$mcV$sp__V() {
    this.value__O()
  };
  init___O__O(key, value) {
    this.key$2 = key;
    this.value$f = value;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  value$mcI$sp__I() {
    return (this.value__O() | 0)
  };
}
const $is_sr_NonLocalReturnControl = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sr_NonLocalReturnControl)))
});
const $isArrayOf_sr_NonLocalReturnControl = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_NonLocalReturnControl)))
});
const $d_sr_NonLocalReturnControl = new $TypeData().initClass({
  sr_NonLocalReturnControl: 0
}, false, "scala.runtime.NonLocalReturnControl", {
  sr_NonLocalReturnControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sr_NonLocalReturnControl.prototype.$classData = $d_sr_NonLocalReturnControl;
class $c_sr_ScalaRunTime$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.c$2 = 0;
    this.cmax$2 = 0;
    this.x$2$2 = null
  };
  next__O() {
    const result = this.x$2$2.productElement__I__O(this.c$2);
    this.c$2 = ((1 + this.c$2) | 0);
    return result
  };
  init___s_Product(x$2) {
    this.x$2$2 = x$2;
    this.c$2 = 0;
    this.cmax$2 = x$2.productArity__I();
    return this
  };
  hasNext__Z() {
    return (this.c$2 < this.cmax$2)
  };
}
const $d_sr_ScalaRunTime$$anon$1 = new $TypeData().initClass({
  sr_ScalaRunTime$$anon$1: 0
}, false, "scala.runtime.ScalaRunTime$$anon$1", {
  sr_ScalaRunTime$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sr_ScalaRunTime$$anon$1.prototype.$classData = $d_sr_ScalaRunTime$$anon$1;
class $c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.link$1$2 = null
  };
  init___Lamf_core_AMFCompiler__Lamf_core_parser_Reference($$outer, link$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.link$1$2 = link$1;
    return this
  };
  isDefinedAt__jl_Throwable__Z(x1) {
    return $is_Lamf_core_remote_FileNotFound(x1)
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    if ($is_Lamf_core_remote_FileNotFound(x1)) {
      const x2 = x1;
      this.$$outer$2.amf$core$AMFCompiler$$ctx$1.violation__T__s_Option__V(x2.s$1, new $c_s_Some().init___O(this.link$1$2.ast$1));
      return $m_s_None$()
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1 = new $TypeData().initClass({
  Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1: 0
}, false, "amf.core.AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1", {
  Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1.prototype.$classData = $d_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1;
class $c_Lamf_core_AMFSerializer$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_core_AMFSerializer($$outer) {
    return this
  };
  isDefinedAt__T__Z(x1) {
    return (x1 !== null)
  };
  applyOrElse__T__F1__O(x1, $default) {
    return ((x1 !== null) ? new $c_T2().init___O__O(x1, $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(x1)) : $default.apply__O__O(x1))
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__T__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__T__F1__O(x, $default)
  };
}
const $d_Lamf_core_AMFSerializer$$anonfun$1 = new $TypeData().initClass({
  Lamf_core_AMFSerializer$$anonfun$1: 0
}, false, "amf.core.AMFSerializer$$anonfun$1", {
  Lamf_core_AMFSerializer$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_AMFSerializer$$anonfun$1.prototype.$classData = $d_Lamf_core_AMFSerializer$$anonfun$1;
class $c_Lamf_core_annotations_BaseUriAnnotation extends $c_O {
  constructor() {
    super();
    this.original$1 = null;
    this.extensions$1 = null
  };
  productPrefix__T() {
    return "BaseUriAnnotation"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_BaseUriAnnotation(x$1)) {
      const BaseUriAnnotation$1 = x$1;
      if ((this.original$1 === BaseUriAnnotation$1.original$1)) {
        const x = this.extensions$1;
        const x$2 = BaseUriAnnotation$1.extensions$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.original$1;
        break
      }
      case 1: {
        return this.extensions$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T__Lamf_core_parser_Annotations(original, extensions) {
    this.original$1 = original;
    this.extensions$1 = extensions;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_BaseUriAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_BaseUriAnnotation)))
});
const $isArrayOf_Lamf_core_annotations_BaseUriAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_BaseUriAnnotation)))
});
const $d_Lamf_core_annotations_BaseUriAnnotation = new $TypeData().initClass({
  Lamf_core_annotations_BaseUriAnnotation: 0
}, false, "amf.core.annotations.BaseUriAnnotation", {
  Lamf_core_annotations_BaseUriAnnotation: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_BaseUriAnnotation.prototype.$classData = $d_Lamf_core_annotations_BaseUriAnnotation;
class $c_Lamf_core_annotations_DomainExtensionAnnotation extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___Lamf_core_model_domain_extensions_DomainExtension(extension) {
    this.extension$1 = extension;
    return this
  };
  productPrefix__T() {
    return "DomainExtensionAnnotation"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_DomainExtensionAnnotation(x$1)) {
      const DomainExtensionAnnotation$1 = x$1;
      const x = this.extension$1;
      const x$2 = DomainExtensionAnnotation$1.extension$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.extension$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_DomainExtensionAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_DomainExtensionAnnotation)))
});
const $isArrayOf_Lamf_core_annotations_DomainExtensionAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_DomainExtensionAnnotation)))
});
const $d_Lamf_core_annotations_DomainExtensionAnnotation = new $TypeData().initClass({
  Lamf_core_annotations_DomainExtensionAnnotation: 0
}, false, "amf.core.annotations.DomainExtensionAnnotation", {
  Lamf_core_annotations_DomainExtensionAnnotation: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DomainExtensionAnnotation.prototype.$classData = $d_Lamf_core_annotations_DomainExtensionAnnotation;
class $c_Lamf_core_annotations_ExplicitField extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "ExplicitField"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_ExplicitField(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_ExplicitField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_ExplicitField)))
});
const $isArrayOf_Lamf_core_annotations_ExplicitField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_ExplicitField)))
});
const $d_Lamf_core_annotations_ExplicitField = new $TypeData().initClass({
  Lamf_core_annotations_ExplicitField: 0
}, false, "amf.core.annotations.ExplicitField", {
  Lamf_core_annotations_ExplicitField: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ExplicitField.prototype.$classData = $d_Lamf_core_annotations_ExplicitField;
class $c_Lamf_core_annotations_ScalarExampleTagType extends $c_O {
  constructor() {
    super();
    this.tagtype$1 = null
  };
  productPrefix__T() {
    return "ScalarExampleTagType"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_ScalarExampleTagType(x$1)) {
      const ScalarExampleTagType$1 = x$1;
      return (this.tagtype$1 === ScalarExampleTagType$1.tagtype$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tagtype$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(tagtype) {
    this.tagtype$1 = tagtype;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_ScalarExampleTagType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_ScalarExampleTagType)))
});
const $isArrayOf_Lamf_core_annotations_ScalarExampleTagType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_ScalarExampleTagType)))
});
const $d_Lamf_core_annotations_ScalarExampleTagType = new $TypeData().initClass({
  Lamf_core_annotations_ScalarExampleTagType: 0
}, false, "amf.core.annotations.ScalarExampleTagType", {
  Lamf_core_annotations_ScalarExampleTagType: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ScalarExampleTagType.prototype.$classData = $d_Lamf_core_annotations_ScalarExampleTagType;
class $c_Lamf_core_annotations_ScalarType extends $c_O {
  constructor() {
    super();
    this.datatype$1 = null
  };
  productPrefix__T() {
    return "ScalarType"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_ScalarType(x$1)) {
      const ScalarType$1 = x$1;
      return (this.datatype$1 === ScalarType$1.datatype$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.datatype$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(datatype) {
    this.datatype$1 = datatype;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_ScalarType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_ScalarType)))
});
const $isArrayOf_Lamf_core_annotations_ScalarType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_ScalarType)))
});
const $d_Lamf_core_annotations_ScalarType = new $TypeData().initClass({
  Lamf_core_annotations_ScalarType: 0
}, false, "amf.core.annotations.ScalarType", {
  Lamf_core_annotations_ScalarType: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ScalarType.prototype.$classData = $d_Lamf_core_annotations_ScalarType;
class $c_Lamf_core_annotations_SourceAST extends $c_O {
  constructor() {
    super();
    this.ast$1 = null
  };
  productPrefix__T() {
    return "SourceAST"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_SourceAST(x$1)) {
      const SourceAST$1 = x$1;
      const x = this.ast$1;
      const x$2 = SourceAST$1.ast$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  init___Lorg_yaml_model_YPart(ast) {
    this.ast$1 = ast;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SourceAST = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SourceAST)))
});
const $isArrayOf_Lamf_core_annotations_SourceAST = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SourceAST)))
});
const $d_Lamf_core_annotations_SourceAST = new $TypeData().initClass({
  Lamf_core_annotations_SourceAST: 0
}, false, "amf.core.annotations.SourceAST", {
  Lamf_core_annotations_SourceAST: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SourceAST.prototype.$classData = $d_Lamf_core_annotations_SourceAST;
class $c_Lamf_core_client_Generator$StringHandlerAdapter extends $c_O {
  constructor() {
    super();
    this.handler$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "StringHandlerAdapter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_client_Generator$StringHandlerAdapter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const StringHandlerAdapter$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.handler$1, StringHandlerAdapter$1.handler$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.handler$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  success__T__V(document) {
    this.handler$1.success(document)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_client_Generator__Lamf_core_client_StringHandler($$outer, handler) {
    this.handler$1 = handler;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  error__jl_Throwable__V(exception) {
    this.handler$1.error(exception)
  };
  success__O__V(document) {
    this.success__T__V(document)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_client_Generator$StringHandlerAdapter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_client_Generator$StringHandlerAdapter)))
});
const $isArrayOf_Lamf_core_client_Generator$StringHandlerAdapter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_client_Generator$StringHandlerAdapter)))
});
const $d_Lamf_core_client_Generator$StringHandlerAdapter = new $TypeData().initClass({
  Lamf_core_client_Generator$StringHandlerAdapter: 0
}, false, "amf.core.client.Generator$StringHandlerAdapter", {
  Lamf_core_client_Generator$StringHandlerAdapter: 1,
  O: 1,
  Lamf_core_client_Handler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_client_Generator$StringHandlerAdapter.prototype.$classData = $d_Lamf_core_client_Generator$StringHandlerAdapter;
class $c_Lamf_core_client_Generator$UnitHandlerAdapter extends $c_O {
  constructor() {
    super();
    this.handler$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UnitHandlerAdapter"
  };
  init___Lamf_core_client_Generator__Lamf_core_client_FileHandler($$outer, handler) {
    this.handler$1 = handler;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_client_Generator$UnitHandlerAdapter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UnitHandlerAdapter$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.handler$1, UnitHandlerAdapter$1.handler$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.handler$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  error__jl_Throwable__V(exception) {
    this.handler$1.error(exception)
  };
  success__O__V(document) {
    this.success__sr_BoxedUnit__V(document)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  success__sr_BoxedUnit__V(unit) {
    this.handler$1.success()
  };
}
const $is_Lamf_core_client_Generator$UnitHandlerAdapter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_client_Generator$UnitHandlerAdapter)))
});
const $isArrayOf_Lamf_core_client_Generator$UnitHandlerAdapter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_client_Generator$UnitHandlerAdapter)))
});
const $d_Lamf_core_client_Generator$UnitHandlerAdapter = new $TypeData().initClass({
  Lamf_core_client_Generator$UnitHandlerAdapter: 0
}, false, "amf.core.client.Generator$UnitHandlerAdapter", {
  Lamf_core_client_Generator$UnitHandlerAdapter: 1,
  O: 1,
  Lamf_core_client_Handler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_client_Generator$UnitHandlerAdapter.prototype.$classData = $d_Lamf_core_client_Generator$UnitHandlerAdapter;
class $c_Lamf_core_client_Parser$BaseUnitHandlerAdapter extends $c_O {
  constructor() {
    super();
    this.handler$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "BaseUnitHandlerAdapter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_client_Parser$BaseUnitHandlerAdapter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const BaseUnitHandlerAdapter$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.handler$1, BaseUnitHandlerAdapter$1.handler$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.handler$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_core_client_Parser__Lamf_core_client_JsHandler($$outer, handler) {
    this.handler$1 = handler;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  success__Lamf_core_model_document_BaseUnit__V(document) {
    const jsx$1 = this.handler$1;
    const this$1 = this.$$outer$1;
    const this$2 = this$1.platform$1;
    jsx$1.success($f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, document))
  };
  error__jl_Throwable__V(exception) {
    this.handler$1.error(exception)
  };
  success__O__V(document) {
    this.success__Lamf_core_model_document_BaseUnit__V(document)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_client_Parser$BaseUnitHandlerAdapter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_client_Parser$BaseUnitHandlerAdapter)))
});
const $isArrayOf_Lamf_core_client_Parser$BaseUnitHandlerAdapter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_client_Parser$BaseUnitHandlerAdapter)))
});
const $d_Lamf_core_client_Parser$BaseUnitHandlerAdapter = new $TypeData().initClass({
  Lamf_core_client_Parser$BaseUnitHandlerAdapter: 0
}, false, "amf.core.client.Parser$BaseUnitHandlerAdapter", {
  Lamf_core_client_Parser$BaseUnitHandlerAdapter: 1,
  O: 1,
  Lamf_core_client_Handler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_client_Parser$BaseUnitHandlerAdapter.prototype.$classData = $d_Lamf_core_client_Parser$BaseUnitHandlerAdapter;
const $is_Lamf_core_emitter_SpecOrdering = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_SpecOrdering)))
});
const $isArrayOf_Lamf_core_emitter_SpecOrdering = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_SpecOrdering)))
});
class $c_Lamf_core_metamodel_Type$Scalar extends $c_O {
  constructor() {
    super();
    this.id$1 = null;
    this.type$1 = null;
    this.dynamicType$1 = false
  };
  productPrefix__T() {
    return "Scalar"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Type$Scalar(x$1)) {
      const Scalar$1 = x$1;
      return (this.id$1 === Scalar$1.id$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.id$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(id) {
    this.id$1 = id;
    this.dynamicType$1 = false;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, id)]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $is_Lamf_core_metamodel_Type$Scalar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$Scalar)))
});
const $isArrayOf_Lamf_core_metamodel_Type$Scalar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$Scalar)))
});
const $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List = (function($thiz) {
  const x$5 = $thiz.Encodes__Lamf_core_metamodel_Field();
  const x$4 = $thiz.Declares__Lamf_core_metamodel_Field();
  const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
  const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
  return new $c_sci_$colon$colon().init___O__sci_List(x$5, this$2)
});
const $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V = (function($thiz) {
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const x$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Document");
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const x$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Fragment");
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Module");
  const this$7 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
  const this$8 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
  const this$9 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$8);
  $thiz.amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(new $c_sci_$colon$colon().init___O__sci_List(x$3, this$9))
});
class $c_Lamf_core_metamodel_document_ExternalFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_ExternalFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ExternalFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_ExternalFragmentModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_ExternalFragmentModel$: 0
}, false, "amf.core.metamodel.document.ExternalFragmentModel$", {
  Lamf_core_metamodel_document_ExternalFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_ExternalFragmentModel$.prototype.$classData = $d_Lamf_core_metamodel_document_ExternalFragmentModel$;
let $n_Lamf_core_metamodel_document_ExternalFragmentModel$ = (void 0);
const $m_Lamf_core_metamodel_document_ExternalFragmentModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_ExternalFragmentModel$)) {
    $n_Lamf_core_metamodel_document_ExternalFragmentModel$ = new $c_Lamf_core_metamodel_document_ExternalFragmentModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_ExternalFragmentModel$
});
class $c_Lamf_core_metamodel_document_FragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_FragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Fragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$1 = this.Encodes$1;
    const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
    return new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    return $f_Lamf_core_metamodel_document_FragmentModel__modelInstance__Lamf_core_model_domain_AmfObject(this)
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_FragmentModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_FragmentModel$: 0
}, false, "amf.core.metamodel.document.FragmentModel$", {
  Lamf_core_metamodel_document_FragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_FragmentModel$.prototype.$classData = $d_Lamf_core_metamodel_document_FragmentModel$;
let $n_Lamf_core_metamodel_document_FragmentModel$ = (void 0);
const $m_Lamf_core_metamodel_document_FragmentModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_FragmentModel$)) {
    $n_Lamf_core_metamodel_document_FragmentModel$ = new $c_Lamf_core_metamodel_document_FragmentModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_FragmentModel$
});
class $c_Lamf_core_metamodel_document_ModuleModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Declares$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_ModuleModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Module")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$1 = this.Declares$1;
    const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
    return new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_ModuleModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_ModuleModel$: 0
}, false, "amf.core.metamodel.document.ModuleModel$", {
  Lamf_core_metamodel_document_ModuleModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ModuleModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_ModuleModel$.prototype.$classData = $d_Lamf_core_metamodel_document_ModuleModel$;
let $n_Lamf_core_metamodel_document_ModuleModel$ = (void 0);
const $m_Lamf_core_metamodel_document_ModuleModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_ModuleModel$)) {
    $n_Lamf_core_metamodel_document_ModuleModel$ = new $c_Lamf_core_metamodel_document_ModuleModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_ModuleModel$
});
const $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapePropertyDefinitions__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "customShapePropertyDefinitions"), true)
});
const $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true));
  const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true));
  const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true));
  const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "defaultValue"), true));
  const jsx$5 = new $c_Lamf_core_metamodel_Type$SortedArray().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "in"), true));
  const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
  const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "inherits"), true));
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V($thiz.Name__Lamf_core_metamodel_Field());
  const jsx$7 = $m_Lamf_core_metamodel_Type$Bool$();
  const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "requiredShape"), false))
});
const $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapeProperties__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "customShapeProperties"), true)
});
const $is_Lamf_core_metamodel_domain_ShapeModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_ShapeModel)))
});
const $isArrayOf_Lamf_core_metamodel_domain_ShapeModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_ShapeModel)))
});
class $c_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.key$1 = null;
    this.Domain$1 = null;
    this.Schema$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    this.key$1 = this.Name$1;
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
    this.Domain$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "domain"), true);
    const jsx$5 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Schema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "schema"), true);
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Property");
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "DomainProperty");
    const this$15 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$16 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$15);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$16);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Domain$1, this.Schema$1, this.Name$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$: 0
}, false, "amf.core.metamodel.domain.extensions.CustomDomainPropertyModel$", {
  Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$;
let $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = new $c_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$
});
class $c_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11 extends $c_sr_AbstractPartialFunction {
  init___Lamf_core_model_document_BaseUnit($$outer) {
    return this
  };
  applyOrElse__Lamf_core_model_domain_AmfObject__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_DataNode(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_AmfObject__Z(x1) {
    return $is_Lamf_core_model_domain_DataNode(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfObject__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfObject__F1__O(x, $default)
  };
}
const $d_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11 = new $TypeData().initClass({
  Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11: 0
}, false, "amf.core.model.document.BaseUnit$$anonfun$transformByCondition$11", {
  Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11.prototype.$classData = $d_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11;
class $c_Lamf_core_model_domain_AmfArray extends $c_O {
  constructor() {
    super();
    this.values$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "AmfArray"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_AmfArray(x$1)) {
      const AmfArray$1 = x$1;
      const x = this.values$1;
      const x$2 = AmfArray$1.values$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.annotations$1;
        const x$4 = AmfArray$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.values$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___sc_Seq__Lamf_core_parser_Annotations(values, annotations) {
    this.values$1 = values;
    this.annotations$1 = annotations;
    return this
  };
  $$plus$eq__Lamf_core_model_domain_AmfElement__V(value) {
    const jsx$1 = this.values$1;
    const this$1 = $m_sc_Seq$();
    this.values$1 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(value, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  scalars__sc_Seq() {
    const jsx$2 = this.values$1;
    const jsx$1 = new $c_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1().init___Lamf_core_model_domain_AmfArray(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_model_domain_AmfArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfArray)))
});
const $isArrayOf_Lamf_core_model_domain_AmfArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfArray)))
});
const $d_Lamf_core_model_domain_AmfArray = new $TypeData().initClass({
  Lamf_core_model_domain_AmfArray: 0
}, false, "amf.core.model.domain.AmfArray", {
  Lamf_core_model_domain_AmfArray: 1,
  O: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_AmfArray.prototype.$classData = $d_Lamf_core_model_domain_AmfArray;
class $c_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_core_model_domain_AmfArray($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_core_model_domain_AmfScalar(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1 = new $TypeData().initClass({
  Lamf_core_model_domain_AmfArray$$anonfun$scalars$1: 0
}, false, "amf.core.model.domain.AmfArray$$anonfun$scalars$1", {
  Lamf_core_model_domain_AmfArray$$anonfun$scalars$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1.prototype.$classData = $d_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1;
class $c_Lamf_core_model_domain_AmfScalar extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "AmfScalar"
  };
  productArity__I() {
    return 2
  };
  toNumber__jl_Number() {
    let rc9 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(this.value$1);
    if ($is_s_Some(x1)) {
      rc9 = true;
      x2 = x1;
      const v = x2.value$2;
      if ($is_T(v)) {
        const x5 = v;
        if (((x5.indexOf(".") | 0) > (-1))) {
          const this$4 = new $c_sci_StringOps().init___T(x5);
          const $$this = this$4.repr$1;
          const x = $fround($m_jl_Double$().parseDouble__T__D($$this));
          return x
        }
      }
    };
    if (rc9) {
      const v$2 = x2.value$2;
      if ($is_T(v$2)) {
        const x6 = v$2;
        const this$9 = new $c_sci_StringOps().init___T(x6);
        const this$11 = $m_jl_Integer$();
        const $$this$1 = this$9.repr$1;
        const x$1 = this$11.parseInt__T__I__I($$this$1, 10);
        return x$1
      }
    };
    if (rc9) {
      const v$3 = x2.value$2;
      return v$3
    };
    const x$2 = $m_s_None$();
    if ((x$2 === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot transform null value into Number"))
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_AmfScalar(x$1)) {
      const AmfScalar$1 = x$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(this.value$1, AmfScalar$1.value$1)) {
        const x = this.annotations$1;
        const x$2 = AmfScalar$1.annotations$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    const x1 = $m_s_Option$().apply__O__s_Option(this.value$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      return $objectToString(v)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return ""
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___O__Lamf_core_parser_Annotations(value, annotations) {
    this.value$1 = value;
    this.annotations$1 = annotations;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  toBool__Z() {
    let rc11 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(this.value$1);
    if ($is_s_Some(x1)) {
      rc11 = true;
      x2 = x1;
      const v = x2.value$2;
      if ($is_T(v)) {
        const x7 = v;
        const this$2 = new $c_sci_StringOps().init___T(x7);
        const $$this = this$2.repr$1;
        return $f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$2, $$this)
      }
    };
    if (rc11) {
      const p4 = x2.value$2;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(true, p4)) {
        return true
      }
    };
    if (rc11) {
      const p6 = x2.value$2;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(false, p6)) {
        return false
      }
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot transform scalar value into Boolean"))
  };
}
const $is_Lamf_core_model_domain_AmfScalar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfScalar)))
});
const $isArrayOf_Lamf_core_model_domain_AmfScalar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfScalar)))
});
const $d_Lamf_core_model_domain_AmfScalar = new $TypeData().initClass({
  Lamf_core_model_domain_AmfScalar: 0
}, false, "amf.core.model.domain.AmfScalar", {
  Lamf_core_model_domain_AmfScalar: 1,
  O: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_AmfScalar.prototype.$classData = $d_Lamf_core_model_domain_AmfScalar;
class $c_Lamf_core_model_domain_ArrayNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null;
    this.Member$2 = null;
    this.members$2 = null
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  dynamicFields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Member$2]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  cloneNode__Lamf_core_model_domain_ArrayNode() {
    $m_Lamf_core_model_domain_ArrayNode$();
    const annotations = this.annotations$2;
    const cloned = new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$4 = this.members$2;
    const this$3 = $m_scm_ListBuffer$();
    const bf = this$3.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
    const this$5 = this$4.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$5;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$4 = arg1;
      b.$$plus$eq__O__scm_Builder(x$4.cloneNode__Lamf_core_model_domain_DataNode());
      these = these.tail__O()
    };
    cloned.members$2 = b.result__O();
    return cloned
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_ArrayNode()
  };
  addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(member) {
    return this.members$2.$$plus$eq__O__scm_ListBuffer(member.adopted__T__Lamf_core_model_domain_DataNode(this.id$1))
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const jsx$1 = $m_Lamf_core_model_domain_ArrayNode$().builderType$1;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Seq")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x = this.Member$2;
    if (((x === null) ? (f === null) : x.equals__O__Z(f))) {
      return new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(this.members$2, new $c_Lamf_core_parser_Annotations().init___()))
    } else {
      return $m_s_None$()
    }
  };
  replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(values) {
    const this$2 = this.members$2;
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
    const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$3 = arg1;
      b.$$plus$eq__O__scm_Builder(x$3.replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(values));
      these = these.tail__O()
    };
    this.members$2 = b.result__O();
    return this
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_DataNodeModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    this.Member$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "member"), true);
    this.members$2 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
}
const $is_Lamf_core_model_domain_ArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ArrayNode)))
});
const $isArrayOf_Lamf_core_model_domain_ArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ArrayNode)))
});
const $d_Lamf_core_model_domain_ArrayNode = new $TypeData().initClass({
  Lamf_core_model_domain_ArrayNode: 0
}, false, "amf.core.model.domain.ArrayNode", {
  Lamf_core_model_domain_ArrayNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_ArrayNode.prototype.$classData = $d_Lamf_core_model_domain_ArrayNode;
class $c_Lamf_core_model_domain_LinkNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.alias$2 = null;
    this.value$2 = null;
    this.fields$2 = null;
    this.annotations$2 = null;
    this.Value$2 = null;
    this.Alias$2 = null
  };
  cloneNode__Lamf_core_model_domain_LinkNode() {
    $m_Lamf_core_model_domain_LinkNode$();
    const annotations = this.annotations$2;
    const cloned = new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", "", new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.value$2 = this.value$2;
    cloned.alias$2 = this.alias$2;
    return cloned
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  dynamicFields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Value$2]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(alias, value, fields, annotations) {
    this.alias$2 = alias;
    this.value$2 = value;
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.Value$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.Alias$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "alias"), true);
    return this
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_LinkNode()
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_model_domain_LinkNode$().builderType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x = this.Value$2;
    if (((x === null) ? (f === null) : x.equals__O__Z(f))) {
      return new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.value$2, this.annotations$2))
    } else {
      const x$3 = this.Alias$2;
      if (((x$3 === null) ? (f === null) : x$3.equals__O__Z(f))) {
        return new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.alias$2, this.annotations$2))
      } else {
        return $m_s_None$()
      }
    }
  };
  replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(values) {
    return this
  };
}
const $is_Lamf_core_model_domain_LinkNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_LinkNode)))
});
const $isArrayOf_Lamf_core_model_domain_LinkNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_LinkNode)))
});
const $d_Lamf_core_model_domain_LinkNode = new $TypeData().initClass({
  Lamf_core_model_domain_LinkNode: 0
}, false, "amf.core.model.domain.LinkNode", {
  Lamf_core_model_domain_LinkNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_LinkNode.prototype.$classData = $d_Lamf_core_model_domain_LinkNode;
class $c_Lamf_core_model_domain_ObjectNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null;
    this.properties$2 = null;
    this.propertyAnnotations$2 = null
  };
  cloneNode__Lamf_core_model_domain_ObjectNode() {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = this.annotations$2;
    const cloned = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    this.properties$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const property = x0$1.$$und1__O();
          const l = x0$1.$$und2__O();
          if ((property !== null)) {
            if ((l !== null)) {
              const jsx$1 = cloned$1.properties$2;
              const y = l.cloneNode__Lamf_core_model_domain_DataNode();
              jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(property, y));
              const jsx$2 = cloned$1.propertyAnnotations$2;
              const y$1 = $this.propertyAnnotations$2.apply__O__O(property);
              return jsx$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(property, y$1))
            }
          }
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this, cloned)));
    return cloned
  };
  ensurePlainProperty__T__T(propertyOrUri) {
    const str = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
    if (((propertyOrUri.indexOf(str) | 0) === 0)) {
      const target = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
      return propertyOrUri.split(target).join("")
    } else {
      return propertyOrUri
    }
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  dynamicFields__sci_List() {
    const jsx$5 = this.properties$2.keys__sc_Iterable();
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const jsx$4 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, p), true)
      })
    })(this));
    const this$3 = $m_sc_Iterable$();
    const jsx$2 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2).toList__sci_List();
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_ObjectNode()
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_model_domain_ObjectNode$().builderType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x1 = f.value$1.ns$1;
    const x = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
      return this.properties$2.get__O__s_Option(f.value$1.name$1)
    } else {
      return $m_s_None$()
    }
  };
  replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(values) {
    this.properties$2.keys__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, values$1) {
      return (function(key$2) {
        const key = key$2;
        const value = $this.properties$2.apply__O__O(key).replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(values$1);
        $this.properties$2.remove__O__s_Option(key);
        const jsx$1 = $this.properties$2;
        const self = $m_Lamf_core_resolution_VariableReplacer$().replaceVariables__T__sci_Set__T($m_Lamf_core_utils_package$Strings$().urlDecoded$extension__T__T(key), values$1);
        return jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, value))
      })
    })(this, values)));
    this.propertyAnnotations$2.keys__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, values$2) {
      return (function(key$3$2) {
        const key$3 = key$3$2;
        const value$1 = this$2$1.propertyAnnotations$2.apply__O__O(key$3);
        this$2$1.propertyAnnotations$2.remove__O__s_Option(key$3);
        const jsx$2 = this$2$1.propertyAnnotations$2;
        const self$1 = $m_Lamf_core_resolution_VariableReplacer$().replaceVariables__T__sci_Set__T($m_Lamf_core_utils_package$Strings$().urlDecoded$extension__T__T(key$3), values$2);
        return jsx$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self$1, value$1))
      })
    })(this, values)));
    return this
  };
  addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(propertyOrUri, objectValue, annotations) {
    const property = this.ensurePlainProperty__T__T(propertyOrUri);
    objectValue.adopted__T__Lamf_core_model_domain_DataNode(this.id$1);
    this.properties$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(property, objectValue));
    this.propertyAnnotations$2.update__O__O__V(property, annotations);
    return this
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    this.properties$2 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.propertyAnnotations$2 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
}
const $is_Lamf_core_model_domain_ObjectNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ObjectNode)))
});
const $isArrayOf_Lamf_core_model_domain_ObjectNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ObjectNode)))
});
const $d_Lamf_core_model_domain_ObjectNode = new $TypeData().initClass({
  Lamf_core_model_domain_ObjectNode: 0
}, false, "amf.core.model.domain.ObjectNode", {
  Lamf_core_model_domain_ObjectNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_ObjectNode.prototype.$classData = $d_Lamf_core_model_domain_ObjectNode;
class $c_Lamf_core_model_domain_ScalarNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.value$2 = null;
    this.dataType$2 = null;
    this.fields$2 = null;
    this.annotations$2 = null;
    this.Value$2 = null
  };
  cloneNode__Lamf_core_model_domain_ScalarNode() {
    $m_Lamf_core_model_domain_ScalarNode$();
    const annotations = this.annotations$2;
    const dataType = $m_s_None$();
    const cloned = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.value$2 = this.value$2;
    cloned.dataType$2 = this.dataType$2;
    return cloned
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(value, dataType, fields, annotations) {
    this.value$2 = value;
    this.dataType$2 = dataType;
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.Value$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value"), true);
    return this
  };
  dynamicFields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Value$2]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_ScalarNode()
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_model_domain_ScalarNode$().builderType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x = this.Value$2;
    if (((x === null) ? (f === null) : x.equals__O__Z(f))) {
      const x1$2 = this.dataType$2;
      let annotations;
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const dt = x2.value$2;
        annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ScalarType().init___T(dt))
      } else {
        const x$3 = $m_s_None$();
        if ((!(x$3 === x1$2))) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        annotations = new $c_Lamf_core_parser_Annotations().init___()
      };
      return new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.value$2, annotations))
    } else {
      return $m_s_None$()
    }
  };
  replaceVariables__sci_Set__Lamf_core_model_domain_DataNode(values) {
    return $m_Lamf_core_resolution_VariableReplacer$().replaceVariables__Lamf_core_model_domain_ScalarNode__sci_Set__Lamf_core_model_domain_DataNode(this, values)
  };
}
const $is_Lamf_core_model_domain_ScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ScalarNode)))
});
const $isArrayOf_Lamf_core_model_domain_ScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ScalarNode)))
});
const $d_Lamf_core_model_domain_ScalarNode = new $TypeData().initClass({
  Lamf_core_model_domain_ScalarNode: 0
}, false, "amf.core.model.domain.ScalarNode", {
  Lamf_core_model_domain_ScalarNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_ScalarNode.prototype.$classData = $d_Lamf_core_model_domain_ScalarNode;
class $c_Lamf_core_model_domain_Shape extends $c_O {
  constructor() {
    super();
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  copyFields__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(cloned, recursionBase, traversed) {
    const this$2 = this.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1, recursionBase$1, traversed$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_Shape(x1$2)) {
            const x2 = x1$2;
            clonedValue = x2.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionBase$1, traversed$1)
          } else if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
            const x3 = x1$2;
            const jsx$2 = x3.values$1;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, recursionBase$1$1, traversed$1$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_core_model_domain_Shape(x0$2)) {
                  const x2$1 = x0$2;
                  return x2$1.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionBase$1$1, traversed$1$1)
                } else {
                  return x0$2
                }
              })
            })($this, recursionBase$1, traversed$1));
            const this$1 = $m_sc_Seq$();
            clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2), x3.annotations$1)
          } else {
            clonedValue = x1$2
          };
          cloned$1.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(f, clonedValue, v.annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned, recursionBase, traversed));
    this$2.fs$1.foreach__F1__V(fn)
  };
  withCustomShapePropertyDefinition__T__Lamf_core_model_domain_extensions_PropertyShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  collectCustomShapePropertyDefinitions__Z__sc_Seq(onlyInherited) {
    const accInit = $m_sci_Map$EmptyMap$();
    const initialSequence = (onlyInherited ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([accInit])) : $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field()).foldLeft__O__F2__O(accInit, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(acc$2, propertyShape$2) {
        const acc = acc$2;
        const propertyShape = propertyShape$2;
        return acc.updated__O__O__sci_Map(propertyShape.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), propertyShape)
      })
    })(this)))])));
    const x1 = $m_s_Option$().apply__O__s_Option(this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const baseShapes = x2.value$2;
      if ((baseShapes !== null)) {
        return baseShapes.foldLeft__O__F2__O(initialSequence, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
          return (function(acc$3$2, baseShape$2) {
            const acc$3 = acc$3$2;
            const baseShape = baseShape$2;
            const jsx$3 = baseShape.collectCustomShapePropertyDefinitions__Z__sc_Seq(false);
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, acc$1) {
              return (function(facetsMap$2) {
                const facetsMap = facetsMap$2;
                const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, facetsMap$1) {
                  return (function(accFacetsMap$2) {
                    const accFacetsMap = accFacetsMap$2;
                    return accFacetsMap.$$plus$plus__sc_GenTraversableOnce__sci_Map(facetsMap$1)
                  })
                })($this$1, facetsMap));
                const this$3 = $m_sc_Seq$();
                return acc$1.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2)
              })
            })(this$2, acc$3));
            const this$4 = $m_sc_Seq$();
            return jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
          })
        })(this)))
      }
    };
    return initialSequence
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  name__T() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)
  };
  cloneShape$default$2__sci_Set() {
    return $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  cloneShape$default$1__s_Option() {
    return $m_s_None$()
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
}
const $is_Lamf_core_model_domain_Shape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_Shape)))
});
const $isArrayOf_Lamf_core_model_domain_Shape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_Shape)))
});
class $c_Lamf_core_model_domain_templates_AbstractDeclaration extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  dataNode__Lamf_core_model_domain_DataNode() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().DataNode$1)
  };
  name__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1)
  };
  variables__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Variables$1)
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  adopted__T__Lamf_core_model_domain_templates_AbstractDeclaration(parent) {
    const value = ((parent + "/") + this.name__T());
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_templates_AbstractDeclaration(parent)
  };
}
const $is_Lamf_core_model_domain_templates_AbstractDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_AbstractDeclaration)))
});
const $isArrayOf_Lamf_core_model_domain_templates_AbstractDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_AbstractDeclaration)))
});
class $c_Lamf_core_parser_Annotations$$anonfun$serializables$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_SerializableAnnotation(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Annotation__Z(x)
  };
  init___Lamf_core_parser_Annotations($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x, $default)
  };
  isDefinedAt__Lamf_core_model_domain_Annotation__Z(x1) {
    return $is_Lamf_core_model_domain_SerializableAnnotation(x1)
  };
}
const $d_Lamf_core_parser_Annotations$$anonfun$serializables$1 = new $TypeData().initClass({
  Lamf_core_parser_Annotations$$anonfun$serializables$1: 0
}, false, "amf.core.parser.Annotations$$anonfun$serializables$1", {
  Lamf_core_parser_Annotations$$anonfun$serializables$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Annotations$$anonfun$serializables$1.prototype.$classData = $d_Lamf_core_parser_Annotations$$anonfun$serializables$1;
class $c_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_core_model_domain_extensions_CustomDomainProperty(x1)
  };
  init___Lamf_core_parser_Declarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2 = new $TypeData().initClass({
  Lamf_core_parser_Declarations$$anonfun$findAnnotation$2: 0
}, false, "amf.core.parser.Declarations$$anonfun$findAnnotation$2", {
  Lamf_core_parser_Declarations$$anonfun$findAnnotation$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2.prototype.$classData = $d_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2;
class $c_Lamf_core_parser_Position extends $c_O {
  constructor() {
    super();
    this.line$1 = 0;
    this.column$1 = 0
  };
  productPrefix__T() {
    return "Position"
  };
  compareTo__Lamf_core_parser_Position__I(o) {
    const result = ((this.line$1 - o.line$1) | 0);
    return ((result === 0) ? ((this.column$1 - o.column$1) | 0) : result)
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_Position(x$1)) {
      const Position$1 = x$1;
      return ((this.line$1 === Position$1.line$1) && (this.column$1 === Position$1.column$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.line$1;
        break
      }
      case 1: {
        return this.column$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  min__Lamf_core_parser_Position__Lamf_core_parser_Position(other) {
    return (((this.line$1 < other.line$1) || ((this.line$1 === other.line$1) && (this.column$1 <= other.column$1))) ? this : other)
  };
  $$js$exported$meth$toString__O() {
    return this.toString__T()
  };
  isZero__Z() {
    const x$2 = $m_Lamf_core_parser_Position$ZERO$();
    return this.equals__O__Z(x$2)
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(", ",", ")"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.line$1, this.column$1]))
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Lamf_core_parser_Position__I(x$1)
  };
  init___I__I(line, column) {
    this.line$1 = line;
    this.column$1 = column;
    return this
  };
  $$js$exported$meth$max__Lamf_core_parser_Position__O(other) {
    return this.max__Lamf_core_parser_Position__Lamf_core_parser_Position(other)
  };
  $$js$exported$meth$min__Lamf_core_parser_Position__O(other) {
    return this.min__Lamf_core_parser_Position__Lamf_core_parser_Position(other)
  };
  max__Lamf_core_parser_Position__Lamf_core_parser_Position(other) {
    return (((this.line$1 > other.line$1) || ((this.line$1 === other.line$1) && (this.column$1 >= other.column$1))) ? this : other)
  };
  $$js$exported$prop$column__O() {
    return this.column$1
  };
  $$js$exported$prop$line__O() {
    return this.line$1
  };
  $$js$exported$prop$isZero__O() {
    return this.isZero__Z()
  };
  $$js$exported$meth$lt__Lamf_core_parser_Position__O(o) {
    return this.lt__Lamf_core_parser_Position__Z(o)
  };
  lt__Lamf_core_parser_Position__Z(o) {
    return (this.compareTo__Lamf_core_parser_Position__I(o) < 0)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.line$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.column$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$compareTo__Lamf_core_parser_Position__O(o) {
    return this.compareTo__Lamf_core_parser_Position__I(o)
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "isZero"() {
    return this.$$js$exported$prop$isZero__O()
  };
  "compareTo"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$compareTo__Lamf_core_parser_Position__O(prep0)
  };
  "max"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$max__Lamf_core_parser_Position__O(prep0)
  };
  "min"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$min__Lamf_core_parser_Position__O(prep0)
  };
  "lt"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$lt__Lamf_core_parser_Position__O(prep0)
  };
  get "column"() {
    return this.$$js$exported$prop$column__O()
  };
  get "line"() {
    return this.$$js$exported$prop$line__O()
  };
}
const $is_Lamf_core_parser_Position = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Position)))
});
const $isArrayOf_Lamf_core_parser_Position = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Position)))
});
const $d_Lamf_core_parser_Position = new $TypeData().initClass({
  Lamf_core_parser_Position: 0
}, false, "amf.core.parser.Position", {
  Lamf_core_parser_Position: 1,
  O: 1,
  jl_Comparable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Position.prototype.$classData = $d_Lamf_core_parser_Position;
class $c_Lamf_core_remote_Syntax$Json$ extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___() {
    this.extension$1 = "json";
    return this
  };
  productPrefix__T() {
    return "Json"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Json"
  };
  hashCode__I() {
    return 2318600
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lamf_core_remote_Syntax$Json$ = new $TypeData().initClass({
  Lamf_core_remote_Syntax$Json$: 0
}, false, "amf.core.remote.Syntax$Json$", {
  Lamf_core_remote_Syntax$Json$: 1,
  O: 1,
  Lamf_core_remote_Syntax$Syntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Syntax$Json$.prototype.$classData = $d_Lamf_core_remote_Syntax$Json$;
let $n_Lamf_core_remote_Syntax$Json$ = (void 0);
const $m_Lamf_core_remote_Syntax$Json$ = (function() {
  if ((!$n_Lamf_core_remote_Syntax$Json$)) {
    $n_Lamf_core_remote_Syntax$Json$ = new $c_Lamf_core_remote_Syntax$Json$().init___()
  };
  return $n_Lamf_core_remote_Syntax$Json$
});
class $c_Lamf_core_remote_Syntax$PlainText$ extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___() {
    this.extension$1 = "txt";
    return this
  };
  productPrefix__T() {
    return "PlainText"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "PlainText"
  };
  hashCode__I() {
    return (-318718473)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lamf_core_remote_Syntax$PlainText$ = new $TypeData().initClass({
  Lamf_core_remote_Syntax$PlainText$: 0
}, false, "amf.core.remote.Syntax$PlainText$", {
  Lamf_core_remote_Syntax$PlainText$: 1,
  O: 1,
  Lamf_core_remote_Syntax$Syntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Syntax$PlainText$.prototype.$classData = $d_Lamf_core_remote_Syntax$PlainText$;
let $n_Lamf_core_remote_Syntax$PlainText$ = (void 0);
const $m_Lamf_core_remote_Syntax$PlainText$ = (function() {
  if ((!$n_Lamf_core_remote_Syntax$PlainText$)) {
    $n_Lamf_core_remote_Syntax$PlainText$ = new $c_Lamf_core_remote_Syntax$PlainText$().init___()
  };
  return $n_Lamf_core_remote_Syntax$PlainText$
});
class $c_Lamf_core_remote_Syntax$Yaml$ extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___() {
    this.extension$1 = "yaml";
    return this
  };
  productPrefix__T() {
    return "Yaml"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Yaml"
  };
  hashCode__I() {
    return 2748103
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lamf_core_remote_Syntax$Yaml$ = new $TypeData().initClass({
  Lamf_core_remote_Syntax$Yaml$: 0
}, false, "amf.core.remote.Syntax$Yaml$", {
  Lamf_core_remote_Syntax$Yaml$: 1,
  O: 1,
  Lamf_core_remote_Syntax$Syntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Syntax$Yaml$.prototype.$classData = $d_Lamf_core_remote_Syntax$Yaml$;
let $n_Lamf_core_remote_Syntax$Yaml$ = (void 0);
const $m_Lamf_core_remote_Syntax$Yaml$ = (function() {
  if ((!$n_Lamf_core_remote_Syntax$Yaml$)) {
    $n_Lamf_core_remote_Syntax$Yaml$ = new $c_Lamf_core_remote_Syntax$Yaml$().init___()
  };
  return $n_Lamf_core_remote_Syntax$Yaml$
});
class $c_Lamf_core_remote_server_JsServerPlatform$$anonfun$fetchFile$3 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__jl_Throwable__Z(x1) {
    return $is_Ljava_io_IOException(x1)
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    if ($is_Ljava_io_IOException(x1)) {
      const x2 = x1;
      throw new $c_Lamf_core_remote_FileNotFound().init___jl_Exception(x2)
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_core_remote_server_JsServerPlatform($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lamf_core_remote_server_JsServerPlatform$$anonfun$fetchFile$3 = new $TypeData().initClass({
  Lamf_core_remote_server_JsServerPlatform$$anonfun$fetchFile$3: 0
}, false, "amf.core.remote.server.JsServerPlatform$$anonfun$fetchFile$3", {
  Lamf_core_remote_server_JsServerPlatform$$anonfun$fetchFile$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_server_JsServerPlatform$$anonfun$fetchFile$3.prototype.$classData = $d_Lamf_core_remote_server_JsServerPlatform$$anonfun$fetchFile$3;
class $c_Lamf_core_resolution_stages_ResolvedNamedEntity extends $c_O {
  constructor() {
    super();
    this.vals$1 = null
  };
  productPrefix__T() {
    return "ResolvedNamedEntity"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_resolution_stages_ResolvedNamedEntity(x$1)) {
      const ResolvedNamedEntity$1 = x$1;
      const x = this.vals$1;
      const x$2 = ResolvedNamedEntity$1.vals$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.vals$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___scm_HashMap(vals) {
    this.vals$1 = vals;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_resolution_stages_ResolvedNamedEntity = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_resolution_stages_ResolvedNamedEntity)))
});
const $isArrayOf_Lamf_core_resolution_stages_ResolvedNamedEntity = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_resolution_stages_ResolvedNamedEntity)))
});
const $d_Lamf_core_resolution_stages_ResolvedNamedEntity = new $TypeData().initClass({
  Lamf_core_resolution_stages_ResolvedNamedEntity: 0
}, false, "amf.core.resolution.stages.ResolvedNamedEntity", {
  Lamf_core_resolution_stages_ResolvedNamedEntity: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_resolution_stages_ResolvedNamedEntity.prototype.$classData = $d_Lamf_core_resolution_stages_ResolvedNamedEntity;
class $c_Lamf_core_vocabulary_UriType extends $c_Lamf_core_vocabulary_ValueType {
  constructor() {
    super();
    this.id$2 = null
  };
  init___T(id) {
    this.id$2 = id;
    $c_Lamf_core_vocabulary_ValueType.prototype.init___Lamf_core_vocabulary_Namespace__T.call(this, $m_Lamf_core_vocabulary_Namespace$().Document$1, "");
    return this
  };
  iri__T() {
    return this.id$2
  };
}
const $d_Lamf_core_vocabulary_UriType = new $TypeData().initClass({
  Lamf_core_vocabulary_UriType: 0
}, false, "amf.core.vocabulary.UriType", {
  Lamf_core_vocabulary_UriType: 1,
  Lamf_core_vocabulary_ValueType: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_UriType.prototype.$classData = $d_Lamf_core_vocabulary_UriType;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "DeclarationObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  resolvedDeclaredNode__s_Option() {
    const refP = $m_Lamf_plugins_document_vocabularies_core_NodeReference$().uri$3;
    const x1 = this.domainEntity$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(refP.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      const arg1 = this.root__Lamf_plugins_document_vocabularies_core_TopLevelObject();
      const arg2 = x2.toString__T();
      return arg1.nodeMappings__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, s) {
        return (function(x$13$2) {
          const x$13 = x$13$2;
          return (x$13.domainEntity$1.id$1 === s)
        })
      })(this, arg2)))
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x1)) {
      const x3 = x1;
      return new $c_s_Some().init___O(new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x3, new $c_s_Some().init___O(this)))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$DeclarationObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "DocumentContentDeclarationObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  declares__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_DocumentEncode$().declares$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$11, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  resolvedEncodes__s_Option() {
    const refP = $m_Lamf_plugins_document_vocabularies_core_DocumentEncode$().encodes$3;
    const x1 = this.domainEntity$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(refP.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      const arg1 = this.root__Lamf_plugins_document_vocabularies_core_TopLevelObject();
      const arg2 = x2.toString__T();
      return arg1.nodeMappings__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, s) {
        return (function(x$12$2) {
          const x$12 = x$12$2;
          return (x$12.domainEntity$1.id$1 === s)
        })
      })(this, arg2)))
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x1)) {
      const x3 = x1;
      return new $c_s_Some().init___O(new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x3, new $c_s_Some().init___O(this)))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$DocumentContentDeclarationObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "DocumentObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  document__s_Option() {
    const this$1 = this.domainEntity$1.entity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_MainNode$().document$3);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$8 = arg1;
      return new $c_s_Some().init___O(new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentContentDeclarationObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$8, new $c_s_Some().init___O(this)))
    }
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  fragments__s_Option() {
    const this$1 = this.domainEntity$1.entity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_MainNode$().fragment$3);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$10 = arg1;
      return new $c_s_Some().init___O(new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$10, new $c_s_Some().init___O(this)))
    }
  };
  parent__s_Option() {
    return this.parent$1
  };
  module__s_Option() {
    const this$1 = this.domainEntity$1.entity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_MainNode$().module$3);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$9 = arg1;
      return new $c_s_Some().init___O(new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$9, new $c_s_Some().init___O(this)))
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$DocumentObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "FragmentsDeclarationObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  encodes__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_FragmentDeclaration$().encodes$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$15$2) {
        const x$15 = x$15$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$15, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$FragmentsDeclarationObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$FragmentsDeclarationObject;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "ModuleDeclarationObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  declares__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_ModuleDeclaration$().declares$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$14$2) {
        const x$14 = x$14$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DeclarationObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$14, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$ModuleDeclarationObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$ModuleDeclarationObject;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "NodeDefinitionObject"
  };
  productArity__I() {
    return 2
  };
  mapping__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_NodeDefinition$().mapping$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$5, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$NodeDefinitionObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "PropertyMappingObject"
  };
  productArity__I() {
    return 2
  };
  resolvedRange__sci_List() {
    return this.resolveReferences2Options__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__F2__F1__sci_List($m_Lamf_plugins_document_vocabularies_core_PropertyMapping$().range$3, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(r$2, s$2) {
        const r = r$2;
        const s = s$2;
        return r.nodeMappings__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, s$1) {
          return (function(x$7$2) {
            const x$7 = x$7$2;
            return (x$7.domainEntity$1.id$1 === s$1)
          })
        })($this, s)))
      })
    })(this)), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(e, new $c_s_Some().init___O(this$2))
      })
    })(this)))
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$PropertyMappingObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$PropertyMappingObject;
class $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "dialectObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  raml__s_Option() {
    const this$1 = this.domainEntity$1.entity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_DialectDefinition$().raml$3);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      return new $c_s_Some().init___O(new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$DocumentObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$4, new $c_s_Some().init___O(this)))
    }
  };
  nodeMappings__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_DialectDefinition$().nodeMappings$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$NodeDefinitionObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$3, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject: 0
}, false, "amf.dialects.RAML_1_0_DialectTopLevel$dialectObject", {
  Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undDialectTopLevel$dialectObject;
class $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  withExtends__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$().extends$4.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  productPrefix__T() {
    return "ClassObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withDescription__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$().description$4.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  withDisplayName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$().displayName$4.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withId__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$().idProperty$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject: 0
}, false, "amf.dialects.RAML_1_0_VocabularyTopLevel$ClassObject", {
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject;
class $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "ExternalObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_External$().name$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withUri__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_External$().uri$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject: 0
}, false, "amf.dialects.RAML_1_0_VocabularyTopLevel$ExternalObject", {
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject;
class $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "NameSpaceImportObject"
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withUri__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$().uri$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  withName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$().name$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject: 0
}, false, "amf.dialects.RAML_1_0_VocabularyTopLevel$NameSpaceImportObject", {
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject;
class $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "PropertyObject"
  };
  withExtends__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().extends$4.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  productArity__I() {
    return 2
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withId__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().idProperty$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  withDisplayName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().displayName$4.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withDescription__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().description$4.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
}
const $is_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject)))
});
const $isArrayOf_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject)))
});
const $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject: 0
}, false, "amf.dialects.RAML_1_0_VocabularyTopLevel$PropertyObject", {
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject;
class $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject extends $c_Lamf_plugins_document_vocabularies_core_TopLevelObject {
  productPrefix__T() {
    return "VocabularyObject"
  };
  productArity__I() {
    return 2
  };
  withVersion__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().version$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainEntity$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  uses__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().uses$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$2, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  propertyTerms__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().propertyTerms$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$4, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, parent) {
    $c_Lamf_plugins_document_vocabularies_core_TopLevelObject.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option.call(this, entity, parent);
    return this
  };
  parent__s_Option() {
    return this.parent$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withUsage__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().usage$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  withBase__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject(value) {
    const this$2 = this.domainEntity$1;
    const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().base$3.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  external__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().externals$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$1, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  classTerms__sc_Seq() {
    const jsx$2 = this.domainEntity$1.entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().classTerms$3);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(x$3, new $c_s_Some().init___O($this))
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
}
const $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject = new $TypeData().initClass({
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject: 0
}, false, "amf.dialects.RAML_1_0_VocabularyTopLevel$VocabularyObject", {
  Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject: 1,
  Lamf_plugins_document_vocabularies_core_TopLevelObject: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject.prototype.$classData = $d_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject;
class $c_Lamf_model_document_DialectFragment extends $c_Lamf_model_document_Fragment {
  init___Lamf_plugins_document_vocabularies_model_document_DialectFragment(df) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, df);
    return this
  };
}
const $d_Lamf_model_document_DialectFragment = new $TypeData().initClass({
  Lamf_model_document_DialectFragment: 0
}, false, "amf.model.document.DialectFragment", {
  Lamf_model_document_DialectFragment: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1
});
$c_Lamf_model_document_DialectFragment.prototype.$classData = $d_Lamf_model_document_DialectFragment;
class $c_Lamf_model_domain_AnyShape extends $c_Lamf_model_domain_Shape {
  examples__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.shape$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Example$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const any = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, any);
    return this
  };
  $$js$exported$meth$withDocumentation__Lamf_model_domain_CreativeWork__O(documentation) {
    return this.withDocumentation__Lamf_model_domain_CreativeWork__Lamf_model_domain_AnyShape(documentation)
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    return new $c_Lamf_model_domain_AnyShape().init___Lamf_plugins_domain_shapes_models_AnyShape(this.element__Lamf_plugins_domain_shapes_models_AnyShape().linkCopy__Lamf_plugins_domain_shapes_models_AnyShape())
  };
  documentation__Lamf_model_domain_CreativeWork() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.shape$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1));
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const v1 = this$2.get__O();
      const creativeWork = v1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_model_domain_CreativeWork().init___Lamf_plugins_domain_shapes_models_CreativeWork(creativeWork))
    };
    return (this$3.isEmpty__Z() ? null : this$3.get__O())
  };
  $$js$exported$prop$examples__O() {
    return this.examples__sjs_js_Iterable()
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape(any) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, any);
    return this
  };
  withXMLSerialization__Lamf_model_domain_XMLSerializer__Lamf_model_domain_AnyShape(xmlSerialization) {
    const this$1 = this.shape$3;
    const xmlSerialization$1 = xmlSerialization.xmlSerializer$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, xmlSerialization$1);
    return this
  };
  $$js$exported$meth$withExamples__sjs_js_Iterable__O(examples) {
    return this.withExamples__sjs_js_Iterable__Lamf_model_domain_AnyShape(examples)
  };
  $$js$exported$prop$documentation__O() {
    return this.documentation__Lamf_model_domain_CreativeWork()
  };
  $$js$exported$meth$build__Lamf_plugins_domain_shapes_models_AnyShape__O(shape) {
    const this$1 = this.platform$2;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$1, shape)
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  withExamples__sjs_js_Iterable__Lamf_model_domain_AnyShape(examples) {
    const this$6 = this.shape$3;
    const this$2 = new $c_sjs_js_IterableOps().init___sjs_js_Iterable(examples);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    const this$5 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf);
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.amf$model$domain$Example$$example$3
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf = this$4.ReusableCBFInstance$2;
    let examples$1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        examples$1 = $m_sci_Nil$()
      } else {
        const arg1 = this$5.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$5.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        examples$1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      let these = this$5;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      examples$1 = b.result__O()
    };
    const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, examples$1);
    return this
  };
  linkTarget__s_Option() {
    const this$1 = this.element__Lamf_plugins_domain_shapes_models_AnyShape().linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_AnyShape().init___Lamf_plugins_domain_shapes_models_AnyShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  $$js$exported$prop$xmlSerialization__O() {
    return this.xmlSerialization__Lamf_model_domain_XMLSerializer()
  };
  withDocumentation__Lamf_model_domain_CreativeWork__Lamf_model_domain_AnyShape(documentation) {
    const this$1 = this.shape$3;
    const documentation$1 = documentation.amf$model$domain$CreativeWork$$creativeWork$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, documentation$1);
    return this
  };
  xmlSerialization__Lamf_model_domain_XMLSerializer() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.shape$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1));
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const v1 = this$2.get__O();
      const xmlSerializer = v1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_model_domain_XMLSerializer().init___Lamf_plugins_domain_shapes_models_XMLSerializer(xmlSerializer))
    };
    return (this$3.isEmpty__Z() ? null : this$3.get__O())
  };
  element__Lamf_core_model_domain_Shape() {
    return this.element__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  $$js$exported$meth$withXMLSerialization__Lamf_model_domain_XMLSerializer__O(xmlSerialization) {
    return this.withXMLSerialization__Lamf_model_domain_XMLSerializer__Lamf_model_domain_AnyShape(xmlSerialization)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.element__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  "build"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$build__Lamf_plugins_domain_shapes_models_AnyShape__O(prep0)
  };
  "withExamples"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExamples__sjs_js_Iterable__O(prep0)
  };
  "withXMLSerialization"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withXMLSerialization__Lamf_model_domain_XMLSerializer__O(prep0)
  };
  "withDocumentation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentation__Lamf_model_domain_CreativeWork__O(prep0)
  };
  get "examples"() {
    return this.$$js$exported$prop$examples__O()
  };
  get "xmlSerialization"() {
    return this.$$js$exported$prop$xmlSerialization__O()
  };
  get "documentation"() {
    return this.$$js$exported$prop$documentation__O()
  };
}
const $is_Lamf_model_domain_AnyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_AnyShape)))
});
const $isArrayOf_Lamf_model_domain_AnyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_AnyShape)))
});
const $d_Lamf_model_domain_AnyShape = new $TypeData().initClass({
  Lamf_model_domain_AnyShape: 0
}, false, "amf.model.domain.AnyShape", {
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1
});
$c_Lamf_model_domain_AnyShape.prototype.$classData = $d_Lamf_model_domain_AnyShape;
class $c_Lamf_model_domain_RecursiveShape extends $c_Lamf_model_domain_Shape {
  linkCopy__Lamf_model_domain_DomainElement() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_model_domain_RecursiveShape().init___Lamf_core_model_domain_RecursiveShape(new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations))
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  $$js$exported$prop$fixpoint__O() {
    const this$1 = this.shape$3;
    return this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1)
  };
  init___Lamf_core_model_domain_RecursiveShape(shape) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, shape);
    return this
  };
  linkTarget__s_Option() {
    const this$1 = this.shape$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const t = arg1;
      const this$2 = this.platform$2;
      return new $c_s_Some().init___O($f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, t))
    }
  };
  $$js$exported$meth$withFixPoint__T__O(shapeId) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, shapeId)
  };
  $$js$exported$meth$linkCopy__O() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_model_domain_RecursiveShape().init___Lamf_core_model_domain_RecursiveShape(new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations))
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
  "withFixPoint"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFixPoint__T__O(prep0)
  };
  get "fixpoint"() {
    return this.$$js$exported$prop$fixpoint__O()
  };
}
const $d_Lamf_model_domain_RecursiveShape = new $TypeData().initClass({
  Lamf_model_domain_RecursiveShape: 0
}, false, "amf.model.domain.RecursiveShape", {
  Lamf_model_domain_RecursiveShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1
});
$c_Lamf_model_domain_RecursiveShape.prototype.$classData = $d_Lamf_model_domain_RecursiveShape;
class $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x1, $default) {
    if ($is_Lamf_core_annotations_DomainExtensionAnnotation(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_graph_parser_GraphEmitter$Emitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Annotation__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x, $default)
  };
  isDefinedAt__Lamf_core_model_domain_Annotation__Z(x1) {
    return $is_Lamf_core_annotations_DomainExtensionAnnotation(x1)
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1 = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1: 0
}, false, "amf.plugins.document.graph.parser.GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1", {
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1;
class $c_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.vendors$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$ = this;
    this.ID$2 = "RAML Vocabularies";
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["RAML Vocabularies", "RAML Vocabulary", "RAML 1.0"]));
    return this
  };
  modelEntitiesResolver__s_Option() {
    return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver().init___())
  };
  dialectDefinitionUrl__T__T(mt) {
    const io = (mt.indexOf("|") | 0);
    if ((io > 0)) {
      const beginIndex = ((1 + io) | 0);
      const msk = mt.substring(beginIndex);
      const si = (msk.indexOf("<") | 0);
      const se = (msk.lastIndexOf(">") | 0);
      const beginIndex$1 = ((1 + si) | 0);
      return msk.substring(beginIndex$1, se)
    };
    return ""
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      return $is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x2.encodes__Lamf_core_model_domain_DomainElement())
    } else if ($is_Lamf_core_model_document_Module(unit)) {
      const x3 = unit;
      return x3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          return $is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$1)
        })
      })(this)))
    } else {
      return $is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(unit)
    }
  };
  modelEntities__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$()]))
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/raml", "application/raml+json", "application/raml+yaml", "text/yaml", "text/x-yaml", "application/yaml", "application/x-yaml"]))
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    return $m_Lamf_core_services_RuntimeValidator$().shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(baseUnit, validations, ($m_Lamf_core_services_RuntimeValidator$(), "AMF")).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, baseUnit$1, profile$1, validations$1) {
      return (function(shaclReport$2) {
        const shaclReport = shaclReport$2;
        const this$3 = shaclReport.results__sci_List();
        const f = (function($this$1, baseUnit$1$1, validations$1$1) {
          return (function(r$2) {
            const r = r$2;
            const messageStyle = $m_Lamf_ProfileNames$().RAML$1;
            const xo = $f_Lamf_core_validation_ValidationResultProcessor__buildValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option($this$1, baseUnit$1$1, r, messageStyle, validations$1$1);
            return xo.toList__sci_List()
          })
        })($this, baseUnit$1, validations$1);
        const this$2 = $m_sci_List$();
        const bf = this$2.ReusableCBFInstance$2;
        let results;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$3 === $m_sci_Nil$())) {
            results = $m_sci_Nil$()
          } else {
            let rest = this$3;
            const found = new $c_sr_BooleanRef().init___Z(false);
            const h = new $c_sr_ObjectRef().init___O(null);
            const t = new $c_sr_ObjectRef().init___O(null);
            while ((rest !== $m_sci_Nil$())) {
              const arg1 = rest.head__O();
              f(arg1).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, found$1, h$1, t$1) {
                return (function(b$2) {
                  if ((!found$1.elem$1)) {
                    h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                    t$1.elem$1 = h$1.elem$1;
                    found$1.elem$1 = true
                  } else {
                    const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                    t$1.elem$1.tl$5 = nx;
                    t$1.elem$1 = nx
                  }
                })
              })(this$3, found, h, t)));
              rest = rest.tail__O()
            };
            results = ((!found.elem$1) ? $m_sci_Nil$() : h.elem$1)
          }
        } else {
          $m_sci_List$();
          const b = new $c_scm_ListBuffer().init___();
          let these = this$3;
          while ((!these.isEmpty__Z())) {
            const arg1$1 = these.head__O();
            const xs = f(arg1$1).seq__sc_TraversableOnce();
            b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
            these = these.tail__O()
          };
          results = b.toList__sci_List()
        };
        let jsx$1;
        inlinereturn$31: {
          let these$1 = results;
          while ((!these$1.isEmpty__Z())) {
            const arg1$2 = these$1.head__O();
            const x$1 = arg1$2;
            if ((x$1.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
              jsx$1 = true;
              break inlinereturn$31
            };
            these$1 = these$1.tail__O()
          };
          jsx$1 = false
        };
        return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$1), baseUnit$1.id__T(), profile$1, results)
      })
    })(this, baseUnit, profile, validations)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_vocabularies_references_RAMLExtensionsReferenceHandler().init___()
  };
  ID__T() {
    return this.ID$2
  };
  referencesDialect__p2__T__Z(mt) {
    const io = (mt.indexOf("|") | 0);
    if ((io > 0)) {
      const beginIndex = ((1 + io) | 0);
      const msk = mt.substring(beginIndex);
      const si = (msk.indexOf("<") | 0);
      const se = (msk.lastIndexOf(">") | 0);
      return ((si > 0) && (se > si))
    };
    return false
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$().dialects__sc_Seq().foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x0$2$2, x1$1$2) {
        const x0$2 = x0$2$2;
        const x1$1 = x1$1$2;
        const thiz = x1$1.name$1;
        if ((!((thiz.indexOf("Validation Profile") | 0) !== (-1)))) {
          return x0$2.updated__O__O__sci_Map(x1$1.name$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, dialect) {
            return (function() {
              return new $c_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations().init___Lamf_plugins_document_vocabularies_spec_Dialect(dialect).profile__Lamf_core_validation_core_ValidationProfile()
            })
          })($this, x1$1)))
        } else {
          return x0$2
        }
      })
    })(this)))
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Option(unit, options) {
    return this.unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Some(unit, options)
  };
  canParse__Lamf_core_Root__Z(root) {
    return $m_Lamf_plugins_document_vocabularies_DialectHeader$().apply__Lamf_core_Root__Z(root)
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(root, parentContext, platform) {
    const ctx = new $c_Lamf_plugins_document_vocabularies_spec_DialectContext().init___Lamf_core_parser_ParserContext__s_Option(parentContext, $m_s_None$());
    const this$2 = root.parsed$1.comment$1;
    let jsx$1;
    if (this$2.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$2.get__O();
      const c = arg1;
      jsx$1 = ($m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$().knowsHeader__T__Z(c.metaText$3) || this.referencesDialect__p2__T__Z(c.metaText$3))
    };
    let this$3;
    if (jsx$1) {
      this$3 = this$2
    } else {
      this$3 = $m_s_None$()
    };
    if (this$3.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = this$3.get__O();
      const c$3 = arg1$1;
      let jsx$2;
      if (this.referencesDialect__p2__T__Z(c$3.metaText$3)) {
        const dialectDefinition = root.references$1.head__O().unit$1;
        const dialect = new $c_Lamf_plugins_document_vocabularies_core_DialectLoader().init___Lamf_core_model_document_BaseUnit(dialectDefinition).loadDialect__Lamf_plugins_document_vocabularies_spec_Dialect();
        const reg = new $c_Lamf_plugins_document_vocabularies_registries_DialectRegistry().init___();
        reg.add__Lamf_plugins_document_vocabularies_spec_Dialect__Lamf_plugins_document_vocabularies_registries_DialectRegistry(dialect);
        const jsx$4 = $m_Lamf_plugins_document_vocabularies_spec_DialectParser$();
        const x$2 = root.references$1.tail__O();
        const x$3 = root.parsed$1;
        const x$4 = root.location$1;
        const x$5 = root.mediatype$1;
        const x$6 = root.referenceKind$1;
        const x$7 = root.vendor$1;
        const x$8 = root.raw$1;
        const jsx$3 = new $c_Lamf_core_Root().init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(x$3, x$4, x$5, x$2, x$6, x$7, x$8);
        const thiz = c$3.metaText$3;
        const endIndex = $m_sjsr_RuntimeString$().indexOf__T__I__I(c$3.metaText$3, 124);
        const thiz$1 = thiz.substring(0, endIndex);
        const unit = jsx$4.apply__Lamf_core_Root__T__Lamf_plugins_document_vocabularies_registries_DialectRegistry__Lamf_plugins_document_vocabularies_spec_DialectContext__Lamf_plugins_document_vocabularies_spec_DialectParser(jsx$3, thiz$1.trim(), reg, ctx).parseUnit__Lamf_core_model_document_BaseUnit();
        unit.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_BaseUnitModel$().DescribedBy$1, new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.dialectDefinitionUrl__T__T(c$3.metaText$3), new $c_Lamf_core_parser_Annotations().init___()), (unit.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
        const this$10 = unit.meta__Lamf_core_metamodel_Obj().fields__sci_List();
        const elem = $m_Lamf_core_metamodel_document_BaseUnitModel$().DescribedBy$1;
        const i = $f_sc_GenSeqLike__indexOf__O__I__I(this$10, elem, 0);
        $m_s_Console$().print__O__V(i);
        jsx$2 = unit
      } else {
        jsx$2 = $m_Lamf_plugins_document_vocabularies_spec_DialectParser$().apply__Lamf_core_Root__T__Lamf_plugins_document_vocabularies_registries_DialectRegistry__Lamf_plugins_document_vocabularies_spec_DialectContext__Lamf_plugins_document_vocabularies_spec_DialectParser(root, c$3.metaText$3, $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$(), ctx).parseUnit__Lamf_core_model_document_BaseUnit()
      };
      return new $c_s_Some().init___O(jsx$2)
    }
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  serializableAnnotations__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    return new $c_Lamf_plugins_document_vocabularies_resolution_DialectsResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Some(unit, options) {
    return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter().init___Lamf_core_model_document_BaseUnit(unit).emit__Lorg_yaml_model_YDocument())
  };
}
const $d_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$: 0
}, false, "amf.plugins.document.vocabularies.RAMLVocabulariesPlugin$", {
  Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_plugins_document_vocabularies_RamlHeaderExtractor: 1
});
$c_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$;
let $n_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$)) {
    $n_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$ = new $c_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$
});
class $c_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "DomainEntityResolver"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  buildType__Lamf_core_metamodel_Obj__s_Option(modelType) {
    if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(modelType)) {
      const x2 = modelType;
      return new $c_s_Some().init___O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
        return (function(annotations$2) {
          const annotations = annotations$2;
          return new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), x2$1, new $c_Lamf_core_parser_Fields().init___(), annotations)
        })
      })(this, x2)))
    } else {
      return $m_s_None$()
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver)))
});
const $d_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver: 0
}, false, "amf.plugins.document.vocabularies.RAMLVocabulariesPlugin$DomainEntityResolver", {
  Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver: 1,
  O: 1,
  Lamf_core_registries_AMFDomainEntityResolver: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver.prototype.$classData = $d_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$DomainEntityResolver;
class $c_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$ extends $c_Lamf_plugins_document_vocabularies_spec_Dialect {
  init___() {
    $c_Lamf_plugins_document_vocabularies_spec_Dialect.prototype.init___T__T__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_ResolverFactory__s_Option__sci_Map__Lamf_plugins_document_vocabularies_spec_DialectKind.call(this, "RAML 1.0 Dialect", "", $m_Lamf_plugins_document_vocabularies_core_DialectDefinition$(), new $c_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$$anonfun$$lessinit$greater$1().init___(), new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_core_DialectModuleDefinition$()), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()).$$plus__T2__sci_Map(new $c_T2().init___O__O("DialectNode", $m_Lamf_plugins_document_vocabularies_core_NodeDefinition$())), $m_Lamf_plugins_document_vocabularies_spec_DocumentKind$());
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$: 0
}, false, "amf.plugins.document.vocabularies.core.DialectLanguageDefinition$", {
  Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$: 1,
  Lamf_plugins_document_vocabularies_spec_Dialect: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$;
let $n_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$)) {
    $n_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$ = new $c_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_DialectLanguageDefinition$
});
class $c_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$ extends $c_Lamf_plugins_document_vocabularies_spec_Dialect {
  init___() {
    $c_Lamf_plugins_document_vocabularies_spec_Dialect.prototype.init___T__T__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_plugins_document_vocabularies_spec_ResolverFactory__s_Option__sci_Map__Lamf_plugins_document_vocabularies_spec_DialectKind.call(this, "RAML 1.0 Vocabulary", "", $m_Lamf_plugins_document_vocabularies_core_Vocabulary$(), new $c_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$$anonfun$$lessinit$greater$1().init___(), $m_s_None$(), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_Lamf_plugins_document_vocabularies_spec_DocumentKind$());
    $n_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$ = this;
    const ref = new $c_Lamf_plugins_document_vocabularies_core_VocabularyRefiner().init___();
    this.jsonLDRefiner$1 = new $c_s_Some().init___O(ref);
    this.ramlRefiner$1 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_core_VocabularyRAMLRefiner().init___());
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$: 0
}, false, "amf.plugins.document.vocabularies.core.VocabularyLanguageDefinition$", {
  Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$: 1,
  Lamf_plugins_document_vocabularies_spec_Dialect: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$;
let $n_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$)) {
    $n_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$ = new $c_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_VocabularyLanguageDefinition$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DialectNode")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.DialectNodeFragmentModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$
});
class $c_Lamf_plugins_document_vocabularies_spec_Dialect$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_spec_Dialect($$outer) {
    return this
  };
  isDefinedAt__O__Z(x1) {
    return $is_Lamf_plugins_document_vocabularies_spec_DialectNode(x1)
  };
  applyOrElse__O__F1__O(x1, $default) {
    if ($is_Lamf_plugins_document_vocabularies_spec_DialectNode(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_Dialect$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_Dialect$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.spec.Dialect$$anonfun$1", {
  Lamf_plugins_document_vocabularies_spec_Dialect$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_Dialect$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_Dialect$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter extends $c_O {
  constructor() {
    super();
    this.obj$1 = null;
    this.comment$1 = null;
    this.root$1 = false;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ObjectEmitter"
  };
  productArity__I() {
    return 3
  };
  emitUsesMap__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const elem = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const umap = new $c_sr_ObjectRef().init___O(elem);
    this.$$outer$1.unit$1.references__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, umap$1) {
      return (function(v$2) {
        const v = v$2;
        const this$2 = v.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
        if ((!this$2.isEmpty__Z())) {
          const arg1 = this$2.get__O();
          const aliases = arg1;
          aliases.aliases$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, umap$1$1) {
            return (function(e$2) {
              const e = e$2;
              umap$1$1.elem$1 = umap$1$1.elem$1.$$plus__T2__sci_Map(e)
            })
          })($this, umap$1)))
        }
      })
    })(this, umap)));
    const this$3 = umap.elem$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("uses");
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v$1.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      umap.elem$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, b$2) {
        return (function(r$2) {
          const r = r$2;
          const _1 = r.$$und1__O();
          const _2 = r.$$und2__O();
          const key$1 = _1;
          const value = _2;
          new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(key$1, value, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
      const this$13 = v$1.builder$1;
      const array = [key];
      if ((this$13.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$13.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
      const len$1 = this$13.size0$6;
      const src = this$13.array$6;
      const dest = this$13.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$13.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$13.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ObjectEmitter$1 = x$1;
      const x = this.obj$1;
      const x$2 = ObjectEmitter$1.obj$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.comment$1;
        const x$4 = ObjectEmitter$1.comment$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.root$1 === ObjectEmitter$1.root$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.obj$1;
        break
      }
      case 1: {
        return this.comment$1;
        break
      }
      case 2: {
        return this.root$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  toPartBuilder__Lorg_yaml_model_YDocument$BaseBuilder__Lorg_yaml_model_YDocument$PartBuilder(b) {
    if ($is_Lorg_yaml_model_YDocument$PartBuilder(b)) {
      const x2 = b;
      return x2
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected PartBuilder but ", " found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([b]))))
    }
  };
  emitObject__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.obj$1.definition$1.mappings__sci_List();
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const mapping = arg1;
      const this$2 = this.$$outer$1.createEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(this.obj$1, mapping);
      if ((!this$2.isEmpty__Z())) {
        const arg1$1 = this$2.get__O();
        const emitter = arg1$1;
        try {
          emitter.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ($is_jl_Exception(e$2)) {
            const e$3 = e$2;
            e$3.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
          } else {
            throw e
          }
        }
      };
      these = these.tail__O()
    }
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.obj$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.comment$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.root$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z($$outer, obj, comment, root) {
    this.obj$1 = obj;
    this.comment$1 = comment;
    this.root$1 = root;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  emit__Lorg_yaml_model_YDocument$BaseBuilder__V(b) {
    const this$1 = this.obj$1.definition$1.mappings__sci_List();
    let x1;
    inlinereturn$1: {
      let these = this$1;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const x$11 = arg1;
        if (x$11.fromVal$1) {
          x1 = new $c_s_Some().init___O(these.head__O());
          break inlinereturn$1
        };
        these = these.tail__O()
      };
      x1 = $m_s_None$()
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const scalarProp = x2.value$2;
      const em = this.obj$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(scalarProp);
      if (scalarProp.referenceTarget$1.isDefined__Z()) {
        const x1$2 = this.$$outer$1.nameProvider$1;
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const np = x2$2.value$2;
          $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(this.toPartBuilder__Lorg_yaml_model_YDocument$BaseBuilder__Lorg_yaml_model_YDocument$PartBuilder(b), np.localName__T__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T((em.isEmpty__Z() ? "!!" : em.get__O()), scalarProp), $m_Lorg_yaml_model_YType$().Str$1)
        }
      } else {
        $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(this.toPartBuilder__Lorg_yaml_model_YDocument$BaseBuilder__Lorg_yaml_model_YDocument$PartBuilder(b), (em.isEmpty__Z() ? "null" : em.get__O()), $m_Lorg_yaml_model_YType$().Str$1)
      }
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === x1)) {
        const x1$3 = this.obj$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1);
        if ($is_Lamf_core_model_domain_AmfScalar(x1$3)) {
          const x2$3 = x1$3;
          const tid = this.obj$1.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_LinkableElementModel$().TargetId$1).value$1.toString__T();
          const elem = $m_s_None$();
          const libEntity = new $c_sr_ObjectRef().init___O(elem);
          this.$$outer$1.unit$1.references__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, tid$1, libEntity$1) {
            return (function(x0$4$2) {
              const x0$4 = x0$4$2;
              if ($is_Lamf_core_model_document_Module(x0$4)) {
                const x2$1 = x0$4;
                x2$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, tid$1$1, libEntity$1$1) {
                  return (function(v$2) {
                    const v = v$2;
                    if ((v.id__T() === tid$1$1)) {
                      if (libEntity$1$1.elem$1.isEmpty__Z()) {
                        libEntity$1$1.elem$1 = new $c_s_Some().init___O(v)
                      }
                    }
                  })
                })(this$4$1, tid$1, libEntity$1)))
              }
            })
          })(this, tid, libEntity)));
          if (libEntity.elem$1.isDefined__Z()) {
            $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(this.toPartBuilder__Lorg_yaml_model_YDocument$BaseBuilder__Lorg_yaml_model_YDocument$PartBuilder(b), x2$3.toString__T(), $m_Lorg_yaml_model_YType$().Str$1)
          } else {
            $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(this.toPartBuilder__Lorg_yaml_model_YDocument$BaseBuilder__Lorg_yaml_model_YDocument$PartBuilder(b), ("!include " + x2$3.toString__T()), $m_Lorg_yaml_model_YType$().Str$1)
          }
        } else {
          const this$7 = this.comment$1;
          if ((!this$7.isEmpty__Z())) {
            const arg1$1 = this$7.get__O();
            const text = arg1$1;
            b.comment__T__V(text)
          };
          const this$8 = this.toPartBuilder__Lorg_yaml_model_YDocument$BaseBuilder__Lorg_yaml_model_YDocument$PartBuilder(b);
          const jsx$1 = this$8.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          if (this.root$1) {
            this.emitUsesMap__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1)
          };
          this.emitObject__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$1.builder$1;
          const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
        }
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$ObjectEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter: 1,
  O: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter;
const $f_Lamf_plugins_document_webapi_RAMLPlugin__documentSyntaxes__sc_Seq = (function($thiz) {
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/raml", "application/raml+json", "application/raml+yaml", "text/yaml", "text/x-yaml", "application/yaml", "application/x-yaml", "text/vnd.yaml"]))
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__$$init$__V = (function($thiz) {
  $thiz.amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$ID$und$eq__T__V(("RAML " + $thiz.version__T()));
  $thiz.amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.ID__T(), "RAML"])))
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineFragment__pLamf_plugins_document_webapi_RAMLPlugin__Lorg_yaml_model_YNode__s_Option__Lamf_core_model_domain_ExternalDomainElement__V = (function($thiz, ast, document, encodes) {
  if ($is_Lorg_yaml_model_YNode$MutRef(ast)) {
    const x2 = ast;
    const x = $m_s_None$();
    if ((x === document)) {
      x2.target$5 = new $c_s_Some().init___O($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(encodes.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1)))
    } else {
      x2.target$5 = document
    }
  }
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineExternalReferences__pLamf_plugins_document_webapi_RAMLPlugin__Lamf_core_Root__V = (function($thiz, root) {
  root.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(ref$2) {
      const ref = ref$2;
      const x1 = ref.unit$1;
      if ($is_Lamf_core_model_document_ExternalFragment(x1)) {
        const x2 = x1;
        const ast = ref.origin$1.ast$1;
        const document = ref.ast$1;
        const encodes = x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
        $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineFragment__pLamf_plugins_document_webapi_RAMLPlugin__Lorg_yaml_model_YNode__s_Option__Lamf_core_model_domain_ExternalDomainElement__V($this, ast, document, encodes)
      }
    })
  })($thiz)))
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option = (function($thiz, root, parentContext, platform) {
  $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineExternalReferences__pLamf_plugins_document_webapi_RAMLPlugin__Lamf_core_Root__V($thiz, root);
  const updated = $thiz.context__Lamf_core_parser_ParserContext__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(parentContext, $thiz.context$default$2__s_Option());
  const cleanNested = new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations(root.location$1, root.references$1, new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
  const clean = $thiz.context__Lamf_core_parser_ParserContext__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(cleanNested, $thiz.context$default$2__s_Option());
  const this$2 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().apply__Lamf_core_Root__s_Option(root);
  if (this$2.isEmpty__Z()) {
    return $m_s_None$()
  } else {
    const arg1 = this$2.get__O();
    const x0$1 = arg1;
    const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$();
    if (x.equals__O__Z(x0$1)) {
      const this$3 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated);
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      return new $c_s_Some().init___O(this$3.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)))
    } else {
      const x$3 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$();
      if (x$3.equals__O__Z(x0$1)) {
        const this$7 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated);
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        return new $c_s_Some().init___O(this$7.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1)))
      } else {
        const x$5 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$();
        if (x$5.equals__O__Z(x0$1)) {
          return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated).parseOverlay__Lamf_plugins_document_webapi_model_Overlay())
        } else {
          const x$7 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$();
          if (x$7.equals__O__Z(x0$1)) {
            return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated).parseExtension__Lamf_plugins_document_webapi_model_Extension())
          } else {
            const x$9 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$();
            if (x$9.equals__O__Z(x0$1)) {
              return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, clean).parseModule__Lamf_core_model_document_Module())
            } else {
              return ($is_Lamf_plugins_document_webapi_parser_RamlFragment(x0$1) ? new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_parser_RamlFragment__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, x0$1, updated).parseFragment__s_Option() : $m_s_None$())
            }
          }
        }
      }
    }
  }
});
class $c_Lamf_plugins_document_webapi_annotations_DefaultPayload extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "DefaultPayload"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_DefaultPayload(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_DefaultPayload = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_DefaultPayload)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_DefaultPayload = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_DefaultPayload)))
});
const $d_Lamf_plugins_document_webapi_annotations_DefaultPayload = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_DefaultPayload: 0
}, false, "amf.plugins.document.webapi.annotations.DefaultPayload", {
  Lamf_plugins_document_webapi_annotations_DefaultPayload: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_DefaultPayload.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_DefaultPayload;
const $d_Lamf_plugins_document_webapi_annotations_EndPointBodyParameter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_EndPointBodyParameter: 0
}, false, "amf.plugins.document.webapi.annotations.EndPointBodyParameter", {
  Lamf_plugins_document_webapi_annotations_EndPointBodyParameter: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
class $c_Lamf_plugins_document_webapi_annotations_Inferred extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Inferred"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_Inferred(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_Inferred = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_Inferred)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_Inferred = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_Inferred)))
});
const $d_Lamf_plugins_document_webapi_annotations_Inferred = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_Inferred: 0
}, false, "amf.plugins.document.webapi.annotations.Inferred", {
  Lamf_plugins_document_webapi_annotations_Inferred: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_Inferred.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_Inferred;
class $c_Lamf_plugins_document_webapi_annotations_InlineDefinition extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "InlineDefinition"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_InlineDefinition(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_InlineDefinition = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_InlineDefinition)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_InlineDefinition = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_InlineDefinition)))
});
const $d_Lamf_plugins_document_webapi_annotations_InlineDefinition = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_InlineDefinition: 0
}, false, "amf.plugins.document.webapi.annotations.InlineDefinition", {
  Lamf_plugins_document_webapi_annotations_InlineDefinition: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_InlineDefinition.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_InlineDefinition;
class $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x1, $default) {
    if ($is_Lamf_core_annotations_DomainExtensionAnnotation(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Annotation__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x, $default)
  };
  isDefinedAt__Lamf_core_model_domain_Annotation__Z(x1) {
    return $is_Lamf_core_annotations_DomainExtensionAnnotation(x1)
  };
}
const $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.contexts.RamlScalarEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "AnnotationTypeDeclarationFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DataType")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$DataTypeFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    this.fields$1 = $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List();
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "UserDocumentation")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$DocumentationItemFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "NamedExample")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$NamedExampleFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ResourceTypeFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$ResourceTypeFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "SecuritySchemeFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$SecuritySchemeFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "TraitFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$TraitFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 0.8");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml08$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Extension");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10Extension$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Library");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10Library$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Overlay");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10Overlay$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x3, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x3) {
    return $is_Lamf_plugins_domain_shapes_models_CreativeWork(x3)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findDocumentations$1", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x8, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x8)) {
      const x2 = x8;
      return x2
    } else {
      return $default.apply__O__O(x8)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x8) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x8)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findNamedExample$1", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_Parameter(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_Parameter(x1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findParameter$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findResourceType$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x7, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_Response(x7)) {
      const x2 = x7;
      return x2
    } else {
      return $default.apply__O__O(x7)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x7) {
    return $is_Lamf_plugins_domain_webapi_models_Response(x7)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findResponse$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x6, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x6)) {
      const x2 = x6;
      return x2
    } else {
      return $default.apply__O__O(x6)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x6) {
    return $is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x6)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findSecurityScheme$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x4, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(x4)) {
      const x2 = x4;
      return x2
    } else {
      return $default.apply__O__O(x4)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x4) {
    return $is_Lamf_plugins_domain_webapi_models_templates_Trait(x4)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findTrait$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x5, $default) {
    if ($is_Lamf_core_model_domain_Shape(x5)) {
      const x2 = x5;
      return x2
    } else {
      return $default.apply__O__O(x5)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x5) {
    return $is_Lamf_core_model_domain_Shape(x5)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findType$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2;
class $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget extends $c_O {
  constructor() {
    super();
    this.elem$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SingleTarget"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SingleTarget$1 = x$1;
      const x = this.elem$1;
      const x$2 = SingleTarget$1.elem$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.elem$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  foreach__F1__V(fn) {
    fn.apply__O__O(this.elem$1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_model_domain_DomainElement($$outer, elem) {
    this.elem$1 = elem;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SpecParserOps$SingleTarget", {
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$8 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x1, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x1)) {
      const x2 = x1;
      return x2
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported seq of emitter type in data node emitters ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x1) {
    return true
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$8 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$8: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataNodeEmitter$$anonfun$emitters$8", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$8.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$8;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ExtendsEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ExtendsEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter {
  constructor() {
    super();
    this.property$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null;
    this.fs$2 = null;
    this.shapeEmitters$2 = null
  };
  productPrefix__T() {
    return "OasAnnotationTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter(x$1)) {
      const OasAnnotationTypeEmitter$1 = x$1;
      const x = this.property$2;
      const x$2 = OasAnnotationTypeEmitter$1.property$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasAnnotationTypeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  shapeEmitters__sc_Seq() {
    return this.shapeEmitters$2
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, spec) {
    this.property$2 = property;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, property, ordering, spec);
    this.fs$2 = property.fields$1;
    const this$1 = this.fs$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
    let xo;
    if (this$1.isEmpty__Z()) {
      xo = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      xo = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, this.ordering$2, $m_sci_Nil$(), this.spec$2))
    };
    const this$3 = xo.toList__sci_List();
    this.shapeEmitters$2 = this$3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAnnotationTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "OasAnyShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter(x$1)) {
      const OasAnyShapeEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = OasAnyShapeEmitter$1.shape$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasAnyShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = OasAnyShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAnyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasCreativeWorkParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser(x$1)) {
      const OasCreativeWorkParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasCreativeWorkParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(map, ctx) {
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_domain_shapes_models_CreativeWork() {
    const creativeWork = $m_Lamf_plugins_domain_shapes_models_CreativeWork$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_CreativeWork(this.map$1);
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("url", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(creativeWork));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(creativeWork));
    const map$2 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("x-title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(creativeWork));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(creativeWork, this.map$1, this.ctx$1).parse__V();
    return creativeWork
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter {
  constructor() {
    super();
    this.node$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "OasNodeShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter(x$1)) {
      const OasNodeShapeEmitter$1 = x$1;
      const x = this.node$2;
      const x$2 = OasNodeShapeEmitter$1.node$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasNodeShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = OasNodeShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.node$2;
    const fs = this$1.fields$2;
    const this$2 = this.node$2;
    if (this$2.annotations$2.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "object", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("minProperties", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("maxProperties", f$3)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    let jsx$1;
    if (this$7.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1$2 = this$7.get__O();
      const x$37 = arg1$2;
      jsx$1 = x$37.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let x1;
    if (jsx$1) {
      x1 = this$7
    } else {
      x1 = $m_s_None$()
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f$4 = x2.value$2;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("additionalProperties", f$4.negated__Lamf_core_parser_FieldEntry()))
    } else {
      const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1);
      if ((!this$8.isEmpty__Z())) {
        const arg1$3 = this$8.get__O();
        const f$5 = arg1$3;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("additionalProperties", f$5, this.ordering$2, this.references$2, this.spec$2)))
      }
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$4 = this$9.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("discriminator", f$6)))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$5 = this$10.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-discriminator-value", f$7)))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().ReadOnly$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$6 = this$11.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("readOnly", f$8)))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$7 = this$12.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter().init___Lamf_core_parser_FieldEntry__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$9, this.references$2, this.spec$2)))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$8 = this$13.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$10, this.ordering$2, this.references$2, this.spec$2)))
    };
    const jsx$4 = $m_sci_ListMap$();
    const this$14 = this.node$2;
    const jsx$3 = this$14.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
      return (function(p$2) {
        const p = p$2;
        const self = p.id$1;
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$17 = $m_sc_Seq$();
    const properties = jsx$4.apply__sc_Seq__sc_GenMap(jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$17.ReusableCBFInstance$2));
    const this$18 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1);
    if ((!this$18.isEmpty__Z())) {
      const arg1$9 = this$18.get__O();
      const f$11 = arg1$9;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap(f$11, this.ordering$2, properties)))
    };
    const this$19 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1);
    if ((!this$19.isEmpty__Z())) {
      const arg1$10 = this$19.get__O();
      const f$12 = arg1$10;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$12, this.ordering$2, this.references$2, this.spec$2)))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(node, ordering, references, spec) {
    this.node$2 = node;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, node, ordering, references, spec);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNodeShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$29 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_security_Scope(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x2)) {
      const x2$2 = x2;
      return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(x2$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1), x2$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$29 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$29: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasScopeValuesEmitters$$anonfun$emitters$29", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$29: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$29.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$29;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter$$anonfun$4 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x5) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x5)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x5, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x5)) {
      const x2 = x5;
      return x2
    } else {
      return $default.apply__O__O(x5)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter$$anonfun$4 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter$$anonfun$4: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasShapeEmitter$$anonfun$4", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter$$anonfun$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter$$anonfun$4.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter$$anonfun$4;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null
  };
  productPrefix__T() {
    return "AnyShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnyShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = AnyShapeParser$1.shape$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnyShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("type");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const this$4 = this.shape$2;
      const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$4, annotation)
    };
    return this.shape$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$AnyShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null;
    this.adopt$2 = null
  };
  productPrefix__T() {
    return "ArrayShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ArrayShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = ArrayShapeParser$1.shape$2;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ArrayShapeParser$1.map$2))) {
        const x$3 = this.adopt$2;
        const x$4 = ArrayShapeParser$1.adopt$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      case 2: {
        return this.adopt$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    this.adopt$2.apply__O__O(this.shape$2);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$1.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$1 = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$1 = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$2 = this.map$2;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$6 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv$2 = this.$$outer$1.ctx$2;
    jsx$3.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$3 = this.map$2;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("items");
    let finalShape;
    if (this$8.isEmpty__Z()) {
      finalShape = $m_s_None$()
    } else {
      const arg1 = this$8.get__O();
      const entry = arg1;
      const this$9 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(items$2) {
          const items = items$2;
          items.adopted__T__Lamf_core_model_domain_AmfObject(($this.shape$2.id$1 + "/items"))
        })
      })(this)), "schema", this.$$outer$1.ctx$2).parse__s_Option();
      if (this$9.isEmpty__Z()) {
        finalShape = $m_s_None$()
      } else {
        const arg1$1 = this$9.get__O();
        const item = arg1$1;
        let jsx$4;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(item)) {
          const x2 = item;
          const this$10 = this.shape$2;
          const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field$3, x2);
          jsx$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$11.fields$2, this$11.annotations$2)
        } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(item)) {
          const x3 = item;
          const this$12 = this.shape$2;
          const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$13 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$12, field$4, x3);
          jsx$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$13.fields$2, this$13.annotations$2)
        } else {
          if ((item === null)) {
            throw new $c_s_MatchError().init___O(item)
          };
          const this$14 = this.shape$2;
          const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          jsx$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$14, field$5, item)
        };
        finalShape = new $c_s_Some().init___O(jsx$4)
      }
    };
    if ($is_s_Some(finalShape)) {
      const x2$1 = finalShape;
      const parsed = x2$1.value$2;
      if ((parsed !== null)) {
        return parsed
      }
    };
    const x = $m_s_None$();
    if ((x === finalShape)) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const arrayShape = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      this.adopt$2.apply__O__O(arrayShape);
      this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(arrayShape.id$1, "Cannot parse data arrangement shape", this.map$2);
      return arrayShape
    };
    throw new $c_s_MatchError().init___O(finalShape)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$2 = shape;
    this.map$2 = map;
    this.adopt$2 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$ArrayShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null
  };
  productPrefix__T() {
    return "NodeShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NodeShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = NodeShapeParser$1.shape$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NodeShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  parse__Lamf_plugins_domain_shapes_models_NodeShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("type");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const this$4 = this.shape$2;
      const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$4, annotation)
    };
    const map$1 = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$6 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$1.key__T__F1__V("minProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$2 = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$8 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
    const iv$1 = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V("maxProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$8, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const this$9 = this.shape$2;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$9, field$2, false);
    const map$3 = this.map$2;
    const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("additionalProperties");
    if ((!this$11.isEmpty__Z())) {
      const arg1$1 = this$11.get__O();
      const entry = arg1$1;
      const this$12 = entry.value$1;
      const x1 = this$12.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Bool$1;
      if ((x === x1)) {
        const this$13 = this.$$outer$1;
        const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
        const iv$2 = this.$$outer$1.ctx$2;
        const this$14 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).negated__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField();
        this$14.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()).apply__Lorg_yaml_model_YMapEntry__V(entry)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x$3 === x1)) {
          const this$15 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(s$2) {
              const s = s$2;
              s.adopted__T__Lamf_core_model_domain_AmfObject($this.shape$2.id$1)
            })
          })(this)), "schema", this.$$outer$1.ctx$2).parse__s_Option();
          if ((!this$15.isEmpty__Z())) {
            const arg1$2 = this$15.get__O();
            const s$3 = arg1$2;
            const this$16 = this.shape$2;
            const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1;
            const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$16, field$4, s$3, annotations)
          }
        } else {
          this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(this.shape$2.id$1, "Invalid part type for additional properties node", entry)
        }
      }
    };
    const map$4 = this.map$2;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$18 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
    const iv$3 = this.$$outer$1.ctx$2;
    jsx$3.key__T__F1__V("discriminator", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$18, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$5 = this.map$2;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$20 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
    const iv$4 = this.$$outer$1.ctx$2;
    jsx$4.key__T__F1__V("x-discriminator-value", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$20, field$6, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$6 = this.map$2;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const this$22 = this.$$outer$1;
    const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().ReadOnly$1;
    const iv$5 = this.$$outer$1.ctx$2;
    jsx$5.key__T__F1__V("readOnly", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$22, field$7, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$7 = this.map$2;
    const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7).key__T__s_Option("required");
    let this$28;
    if (this$24.isEmpty__Z()) {
      this$28 = $m_s_None$()
    } else {
      const arg1$3 = this$24.get__O();
      const x$11 = arg1$3;
      const node = x$11.value$1;
      const jsx$6 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node);
      const reader = $m_Lorg_yaml_convert_YRead$StringYRead$();
      const this$27 = $m_sc_IndexedSeq$();
      const bf = this$27.ReusableCBF$6;
      this$28 = jsx$6.toOption__Lorg_yaml_convert_YRead__s_Option(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf))
    };
    const requiredFields = (this$28.isEmpty__Z() ? $m_sci_Nil$() : this$28.get__O());
    const map$8 = this.map$2;
    const this$30 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8);
    const this$31 = this$30.key__T__s_Option("properties");
    if ((!this$31.isEmpty__Z())) {
      const arg1$4 = this$31.get__O();
      const entry$3 = arg1$4;
      const node$1 = entry$3.value$1;
      const x1$1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_Some(x1$1)) {
        const x2 = x1$1;
        const m = x2.value$2;
        const properties = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__F1__sc_Seq(this.$$outer$1, m, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(name$2) {
            const name = name$2;
            return $this$1.shape$2.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name)
          })
        })(this)), requiredFields).parse__sc_Seq();
        const this$33 = this.shape$2;
        const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(properties, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$33, field$8, value, annotations$1)
      }
    };
    const properties$1 = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$34 = this.shape$2;
    this$34.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, properties$2) {
      return (function(p$2) {
        const p = p$2;
        const self = p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        return properties$2.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, p))
      })
    })(this, properties$1)));
    const map$9 = this.map$2;
    const this$38 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$9);
    const this$39 = this$38.key__T__s_Option("dependencies");
    if ((!this$39.isEmpty__Z())) {
      const arg1$5 = this$39.get__O();
      const entry$4 = arg1$5;
      const dependencies = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser().init___Lorg_yaml_model_YMap__scm_ListMap(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$2), properties$1).parse__sc_Seq();
      const this$40 = this.shape$2;
      const field$9 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(dependencies, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$40, field$9, value$1, annotations$2)
    };
    const map$10 = this.map$2;
    const this$42 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$10);
    const this$43 = this$42.key__T__s_Option("allOf");
    if ((!this$43.isEmpty__Z())) {
      const arg1$6 = this$43.get__O();
      const entry$5 = arg1$6;
      const inherits = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__sc_Seq__F1(this.$$outer$1, entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$2), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
        return (function(s$2$1) {
          const s$1 = s$2$1;
          s$1.adopted__T__Lamf_core_model_domain_AmfObject($this$2.shape$2.id$1)
        })
      })(this))).parse__sc_Seq();
      const this$44 = this.shape$2;
      const field$10 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(inherits, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5.value$1));
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$44, field$10, value$2, annotations$3)
    };
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$NodeShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null;
    this.adopt$2 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$2 = shape;
    this.map$2 = map;
    this.adopt$2 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    return this
  };
  productPrefix__T() {
    return "TupleShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TupleShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = TupleShapeParser$1.shape$2;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TupleShapeParser$1.map$2))) {
        const x$3 = this.adopt$2;
        const x$4 = TupleShapeParser$1.adopt$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      case 2: {
        return this.adopt$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    this.adopt$2.apply__O__O(this.shape$2);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$1.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$1 = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$1 = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$2 = this.map$2;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$6 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv$2 = this.$$outer$1.ctx$2;
    jsx$3.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$3 = this.map$2;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$9 = this$8.key__T__s_Option("items");
    if ((!this$9.isEmpty__Z())) {
      const arg1 = this$9.get__O();
      const entry = arg1;
      const jsx$6 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$2).entries$3;
      const this$10 = $m_sc_IndexedSeq$();
      const jsx$5 = jsx$6.zipWithIndex__scg_CanBuildFrom__O(this$10.ReusableCBF$6);
      const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ((x0$2 !== null)) {
            const elem = x0$2.$$und1__O();
            const index = x0$2.$$und2$mcI$sp__I();
            return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(elem, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
              return (function(item$2) {
                const item = item$2;
                item.adopted__T__Lamf_core_model_domain_AmfObject(((item.id$1 + "/items/") + index$1))
              })
            })($this, index)), "schema", $this.$$outer$1.ctx$2).parse__s_Option()
          } else {
            throw new $c_s_MatchError().init___O(x0$2)
          }
        })
      })(this));
      const this$11 = $m_sc_IndexedSeq$();
      const items = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBF$6);
      const this$13 = this.shape$2;
      const jsx$8 = items.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$7$2) {
          const x$7 = x$7$2;
          return x$7.isDefined__Z()
        })
      })(this)));
      const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          return x$8.get__O()
        })
      })(this));
      const this$12 = $m_sc_IndexedSeq$();
      const items$1 = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$7, this$12.ReusableCBF$6);
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$13, field$3, items$1)
    };
    return this.shape$2
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$TupleShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.map$2 = null;
    this.name$2 = null;
    this.shape$2 = null
  };
  productPrefix__T() {
    return "UnionShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UnionShapeParser$1 = x$1;
      return (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(UnionShapeParser$1.map$2) && (this.name$2 === UnionShapeParser$1.name$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.name$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  parse__Lamf_plugins_domain_shapes_models_UnionShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("anyOf");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ((x0$1 !== null)) {
              const node = x0$1.$$und1__O();
              const index = x0$1.$$und2$mcI$sp__I();
              const entry$1 = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index]))), node);
              return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$2.id$1 + "/items/") + index$1))
                })
              })($this, index)), "schema", $this.$$outer$1.ctx$2).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$1)
            }
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            return x$5.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$6$2) {
            const x$6 = x$6$2;
            return x$6.get__O()
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const unionNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.shape$2;
        const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field, unionNodes, annotations)
      } else {
        this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(this.shape$2.id$1, "Unions are built from multiple shape nodes", entry.value$1)
      }
    };
    return this.shape$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__T($$outer, map, name) {
    this.map$2 = map;
    this.name$2 = name;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
    const this$3 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    this.shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$UnionShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x4, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x4)) {
      const x2 = x4;
      return x2
    } else {
      return $default.apply__O__O(x4)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x4) {
    return $is_Lamf_core_emitter_EntryEmitter(x4)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter$$anonfun$3: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypePartEmitter$$anonfun$3", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter$$anonfun$3;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08SecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter(x$1)) {
      const Raml08SecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml08SecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml08SecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml08SecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  describedByEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, securityScheme$2, ordering$2, references$2) {
        const key = key$2;
        const securityScheme = securityScheme$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter().init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, $this.spec$2)
      })
    })(this))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08SecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_Shape__Z(x6) {
    return $is_Lamf_plugins_domain_shapes_models_AnyShape(x6)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Shape__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Shape__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_domain_Shape__F1__O(x6, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x6)) {
      const x2 = x6;
      return x2
    } else {
      return $default.apply__O__O(x6)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$87$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10SecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter(x$1)) {
      const Raml10SecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml10SecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml10SecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml10SecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  describedByEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, securityScheme$2, ordering$2, references$2) {
        const key = key$2;
        const securityScheme = securityScheme$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter().init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, $this.spec$2)
      })
    })(this))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10SecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x2, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x2)) {
      const x2$2 = x2;
      return x2$2
    } else if ($is_Lamf_core_emitter_PartEmitter(x2)) {
      const x3 = x2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2__Lamf_core_emitter_PartEmitter(this, x3)
    } else {
      return $default.apply__O__O(x2)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x2) {
    return ($is_Lamf_core_emitter_EntryEmitter(x2) || $is_Lamf_core_emitter_PartEmitter(x2))
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeEmitter$$anonfun$entries$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter {
  constructor() {
    super();
    this.property$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null;
    this.fs$2 = null;
    this.shapeEmitters$2 = null
  };
  productPrefix__T() {
    return "RamlAnnotationTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter(x$1)) {
      const RamlAnnotationTypeEmitter$1 = x$1;
      const x = this.property$2;
      const x$2 = RamlAnnotationTypeEmitter$1.property$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlAnnotationTypeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  shapeEmitters__sc_Seq() {
    return this.shapeEmitters$2
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(property, ordering, spec) {
    this.property$2 = property;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, property, ordering, spec);
    this.fs$2 = property.fields$1;
    const this$1 = this.fs$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
    let x1$1;
    if (this$1.isEmpty__Z()) {
      x1$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      let rc6 = false;
      let x2 = null;
      const x1 = $m_s_Option$().apply__O__s_Option(f.value$1.value$1);
      let jsx$1;
      matchEnd7: {
        if ($is_s_Some(x1)) {
          rc6 = true;
          x2 = x1;
          const shape = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
            const x4 = shape;
            const x1$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x4, this.ordering$2, $m_sci_Nil$(), $m_sci_Nil$(), this.spec$2).emitters__sc_Seq();
            if (x1$2.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
              return (function(x$7$2) {
                const x$7 = x$7$2;
                return $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter(x$7)
              })
            })(this)))) {
              jsx$1 = x1$2;
              break matchEnd7
            } else {
              if ((!x1$2.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
                return (function(x$8$2) {
                  const x$8 = x$8$2;
                  return $is_Lamf_core_emitter_EntryEmitter(x$8)
                })
              })(this))))) {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1$2]))))
              };
              const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter(this);
              const this$3 = $m_sc_Seq$();
              jsx$1 = x1$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
              break matchEnd7
            }
          }
        };
        if (rc6) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit raml type for a shape that is not an AnyShape"))
        };
        jsx$1 = $m_sci_Nil$()
      };
      x1$1 = new $c_s_Some().init___O(jsx$1)
    };
    let jsx$3;
    if ($is_s_Some(x1$1)) {
      const x2$1 = x1$1;
      const emitters = x2$1.value$2;
      jsx$3 = emitters
    } else {
      jsx$3 = $m_sci_Nil$()
    };
    this.shapeEmitters$2 = jsx$3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnnotationTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x2, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x2) {
    return $is_Lamf_core_emitter_EntryEmitter(x2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlAnyShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, references, spec);
    this.typeName$2 = new $c_s_Some().init___O("any");
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter(x$1)) {
      const RamlAnyShapeEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = RamlAnyShapeEmitter$1.shape$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlAnyShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlAnyShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.array$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlArrayShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter(x$1)) {
      const RamlArrayShapeEmitter$1 = x$1;
      const x = this.array$2;
      const x$2 = RamlArrayShapeEmitter$1.array$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlArrayShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlArrayShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.array$2;
    const fs = this$1.fields$2;
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.array$2, this.ordering$2, this.references$2, this.spec$2))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxItems", f, this.spec$2)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$3 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minItems", f$3, this.spec$2)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$3 = this$5.get__O();
      const f$4 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("uniqueItems", f$4, this.spec$2)))
    };
    if ((result.isEmpty__Z() && this.typeName$2.isEmpty__Z())) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "array", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    };
    return result
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(array, ordering, references, spec) {
    this.array$2 = array;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, array, ordering, references, spec);
    const this$1 = array.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O("array")
    };
    this.typeName$2 = jsx$1;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlArrayShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "RamlCreativeWorkParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser(x$1)) {
      const RamlCreativeWorkParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlCreativeWorkParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(map, ctx) {
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_domain_shapes_models_CreativeWork() {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    const documentation = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(documentation).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("content", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(documentation).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const x1 = this.ctx$1.vendor__Lamf_core_remote_Vendor();
    const x = $m_Lamf_core_remote_Oas$();
    let url;
    if ((x === x1)) {
      url = "url"
    } else {
      const x$3 = $m_Lamf_core_remote_Raml08$();
      let jsx$3;
      if ((x$3 === x1)) {
        jsx$3 = true
      } else {
        const x$5 = $m_Lamf_core_remote_Raml10$();
        jsx$3 = (x$5 === x1)
      };
      if ((!jsx$3)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected vendor '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
      };
      url = "(url)"
    };
    const map$2 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    const iv$2 = this.ctx$1;
    jsx$4.key__T__F1__V(url, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(documentation));
    return documentation
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCreativeWorkParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlNilShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter(x$1)) {
      const RamlNilShapeEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = RamlNilShapeEmitter$1.shape$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlNilShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlNilShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, references, spec);
    this.typeName$2 = new $c_s_Some().init___O("nil");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlNilShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.node$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlNodeShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter(x$1)) {
      const RamlNodeShapeEmitter$1 = x$1;
      const x = this.node$2;
      const x$2 = RamlNodeShapeEmitter$1.node$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlNodeShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlNodeShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.node$2;
    const fs = this$1.fields$2;
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minProperties", f, this.spec$2)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxProperties", f$3, this.spec$2)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      const this$5 = this.node$2;
      if (((!(!this$5.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1))) || f$4.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf()))) {
        const this$6 = this.node$2;
        const this$7 = (!(!(!this$6.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1))));
        const x$55 = ("" + this$7);
        const x$56 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f$4.value$1.annotations$1);
        const x$57 = $m_Lorg_yaml_model_YType$().Str$1;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("additionalProperties", x$55, x$57, x$56))
      }
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$3 = this$10.get__O();
      const f$5 = arg1$3;
      const jsx$2 = this.ordering$2;
      const jsx$1 = this.references$2;
      const spec = this.spec$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("(additionalProperties)", f$5, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1))))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$4 = this$12.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("discriminator", f$6, this.spec$2)))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$5 = this$13.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("discriminatorValue", f$7, this.spec$2)))
    };
    const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().ReadOnly$1);
    if ((!this$14.isEmpty__Z())) {
      const arg1$6 = this$14.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(readOnly)", f$8)))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$7 = this$15.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$9, this.ordering$2, this.references$2, this.spec$2)))
    };
    const jsx$5 = $m_sci_ListMap$();
    const this$16 = this.node$2;
    const jsx$4 = this$16.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(p$2) {
        const p = p$2;
        const self = p.id$1;
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$19 = $m_sc_Seq$();
    const propertiesMap = jsx$5.apply__sc_Seq__sc_GenMap(jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$19.ReusableCBFInstance$2));
    const this$20 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1);
    if ((!this$20.isEmpty__Z())) {
      const arg1$8 = this$20.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$10, this.ordering$2, propertiesMap, this.spec$2)))
    };
    if ((result.isEmpty__Z() && this.typeName$2.isEmpty__Z())) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "object", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(node, ordering, references, spec) {
    this.node$2 = node;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, node, ordering, references, spec);
    const this$1 = node.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O("object")
    };
    this.typeName$2 = jsx$1;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlNodeShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_security_Scope(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x1)) {
      const x2 = x1;
      return new $c_Lamf_core_emitter_BaseEmitters_package$RawEmitter().init___T__Lorg_yaml_model_YType__Lamf_core_parser_Annotations(x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1), $m_Lorg_yaml_model_YType$().Str$1, new $c_Lamf_core_parser_Annotations().init___())
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth2ScopeEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x3) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x3)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x3, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlShapeEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.tuple$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlTupleShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter(x$1)) {
      const RamlTupleShapeEmitter$1 = x$1;
      const x = this.tuple$2;
      const x$2 = RamlTupleShapeEmitter$1.tuple$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlTupleShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlTupleShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tuple$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(tuple, ordering, references, spec) {
    this.tuple$2 = tuple;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, tuple, ordering, references, spec);
    const this$1 = tuple.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O("array")
    };
    this.typeName$2 = jsx$1;
    return this
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.tuple$2;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.tuple$2, this.ordering$2, this.references$2, this.spec$2));
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("(tuple)", "true", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxItems", f, this.spec$2)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minItems", f$3, this.spec$2)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("uniqueItems", f$4, this.spec$2)))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTupleShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x1, $default) {
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const typeDef = x2.value$2;
      return typeDef
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x1) {
    return $is_s_Some(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$$anonfun$collectTypeDefs$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher extends $c_O {
  constructor() {
    super();
    this.union$1 = null;
    this.ctx$1 = null;
    this.platform$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "InheritsUnionMatcher"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const InheritsUnionMatcher$1 = x$1;
      const x = this.union$1;
      const x$2 = InheritsUnionMatcher$1.union$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.union$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  matchUnionFather__Lorg_yaml_model_YPart__s_Option(part) {
    const this$1 = this.union$1;
    const jsx$2 = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, part$1) {
      return (function(t$2) {
        const t = t$2;
        const xo = $this.$$outer$1.$$outer$1.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(t, part$1, true, $this.ctx$1);
        return xo.toList__sci_List()
      })
    })(this, part));
    const this$3 = $m_sc_Seq$();
    const typeSet = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).toSet__sci_Set();
    return ((typeSet.size__I() === 1) ? new $c_s_Some().init___O(typeSet.head__O()) : new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$()))
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_parser_ParserContext($$outer, union, ctx) {
    this.union$1 = union;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  unresolved__p1__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_UnresolvedShape(node) {
    const reference = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
    const shape = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(reference, node);
    const c = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, c);
    const ctx = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, reference, node, ctx);
    this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape);
    return shape
  };
  productPrefix__T() {
    return "InheritanceParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const InheritanceParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = InheritanceParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.shape$1;
        const x$4 = InheritanceParser$1.shape$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const this$1 = this.entry$1.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x === x1)) {
      const jsx$2 = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(node$2) {
          const node = node$2;
          const x1$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
          const o7 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(x1$1);
          if ((!o7.isEmpty__Z())) {
            const s = o7.get__O();
            const adopt = $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
            const part = new $c_s_Some().init___O(node);
            const ctx = $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
            return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, false, ctx).parse__T__s_Option(s).get__O()
          };
          if ($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z($this, x1$1)) {
            return $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__parseWellKnownTypeRef__T__Lamf_core_model_domain_Shape($this, x1$1)
          };
          const x1$2 = $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(x1$1, $m_Lamf_core_parser_SearchScope$All$());
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const ancestor = x2.value$2;
            return ancestor
          } else {
            return $this.unresolved__p1__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_UnresolvedShape(node)
          }
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      const inherits = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
      const this$4 = this.shape$1;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(inherits, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.value$1));
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value, annotations)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x$3 === x1)) {
        const this$6 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(shape$2) {
            const shape = shape$2;
            return shape.adopted__T__Lamf_core_model_domain_AmfObject(shape.id$1)
          })
        })(this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
        if ((!this$6.isEmpty__Z())) {
          const arg1 = this$6.get__O();
          const s$1 = arg1;
          const this$7 = this.shape$1;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
          const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$1])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.value$1));
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$1, value$1, annotations$1)
        }
      } else if ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3).isDefined__Z()) {
        const this$9 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(shape$3$2) {
            const shape$3 = shape$3$2;
            return shape$3.adopted__T__Lamf_core_model_domain_AmfObject(shape$3.id$1)
          })
        })(this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
        if ((!this$9.isEmpty__Z())) {
          const arg1$1 = this$9.get__O();
          const s$3 = arg1$1;
          const this$10 = this.shape$1;
          const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
          const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$3])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.value$1));
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$10, field$2, value$2, annotations$2)
        }
      } else {
        const str = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
        if ((!$f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z(this, str))) {
          const text = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
          const x1$2$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$All$());
          if ($is_s_Some(x1$2$1)) {
            const x2$1 = x1$2$1;
            const ancestor$1 = x2$1.value$2;
            this.shape$1.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([ancestor$1])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.value$1)), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1))
          } else {
            const u = this.unresolved__p1__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_UnresolvedShape(this.entry$1.value$1);
            const this$11 = this.shape$1;
            const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
            const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([u])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.value$1));
            const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field$3, value$3, annotations$3)
          }
        } else {
          const this$12 = this.shape$1;
          const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
          $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$12, annotation)
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__Lamf_core_model_domain_Shape($$outer, entry, shape) {
    this.entry$1 = entry;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$InheritanceParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x1, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x1) {
    return $is_Lamf_core_emitter_EntryEmitter(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypePartEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlUnionShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter(x$1)) {
      const RamlUnionShapeEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = RamlUnionShapeEmitter$1.shape$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlUnionShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlUnionShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const jsx$2 = $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this);
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter().init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$2, this.ordering$2, this.references$2, this.spec$2);
    const this$1 = $m_sc_Seq$();
    return jsx$2.$$colon$plus__O__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, references, spec);
    this.typeName$2 = new $c_s_Some().init___O("union");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlUnionShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.adopt$1 = null;
    this.map$1 = null;
    this.defaultType$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "SimpleTypeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser(x$1)) {
      const SimpleTypeParser$1 = x$1;
      let jsx$1;
      if ((this.name$1 === SimpleTypeParser$1.name$1)) {
        const x = this.adopt$1;
        const x$2 = SimpleTypeParser$1.adopt$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SimpleTypeParser$1.map$1))) {
        const x$3 = this.defaultType$1;
        const x$4 = SimpleTypeParser$1.defaultType$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.defaultType$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parseMap__p1__Lamf_core_model_domain_Shape__V(shape) {
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$2 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("enum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$3 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("pattern", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$4 = this.map$1;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
    const iv$4 = this.ctx$1;
    jsx$5.key__T__F1__V("minLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$5 = this.map$1;
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
    const iv$5 = this.ctx$1;
    jsx$6.key__T__F1__V("maxLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$6 = this.map$1;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const this$9 = this$8.key__T__s_Option("minimum");
    if ((!this$9.isEmpty__Z())) {
      const arg1 = this$9.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv$6 = this.ctx$1;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$6);
      const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
      const value$1 = value.text__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$6, value$1, annotations)
    };
    const map$7 = this.map$1;
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const this$13 = this$12.key__T__s_Option("maximum");
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const entry$3 = arg1$1;
      const node$1 = entry$3.value$1;
      const iv$7 = this.ctx$1;
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$7);
      const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
      const value$3 = value$2.text__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$7, value$3, annotations$1)
    };
    const this$15 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext("example", this.map$1, this.ctx$1).parse__s_Option();
    if ((!this$15.isEmpty__Z())) {
      const arg1$2 = this$15.get__O();
      const e = arg1$2;
      const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Examples$1;
      const values = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e]));
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(shape, field$8, values)
    };
    const map$8 = this.map$1;
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8);
    const field$9 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().RequiredShape$1;
    const iv$8 = this.ctx$1;
    jsx$7.key__T__F1__V("required", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$9, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$9 = this.map$1;
    const jsx$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$9);
    const field$10 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
    const iv$9 = this.ctx$1;
    jsx$8.key__T__F1__V("default", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$10, iv$9).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("repeat");
    let jsx$1;
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      jsx$1 = (!(!entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.ctx$1)))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$3 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.map$1);
      const name = this.name$1;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
      this.adopt$1.apply__O__O(shape);
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, shape$1) {
        return (function(s$2) {
          const s = s$2;
          return s.adopted__T__Lamf_core_model_domain_AmfObject(shape$1.id$1)
        })
      })(this, shape));
      $m_Lorg_yaml_model_YMap$();
      const c = this.map$1.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(entry$3$2) {
          const entry$3 = entry$3$2;
          const this$4 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$3$1.ctx$1).text$3;
          return (!(this$4 === "repeat"))
        })
      })(this)));
      const items = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser().init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext("items", jsx$2, new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c), this.defaultType$1, this.ctx$1).parse__Lamf_core_model_domain_Shape();
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(shape, field$1, items);
      return shape
    } else {
      const map$1 = this.map$1;
      const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("type");
      let this$10;
      if (this$7.isEmpty__Z()) {
        this$10 = $m_s_None$()
      } else {
        const arg1$1 = this$7.get__O();
        const e = arg1$1;
        const this$8 = e.value$1;
        const x1 = this$8.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x === x1)) {
          this$10 = $m_s_None$()
        } else {
          const node = e.value$1;
          this$10 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$())
        }
      };
      let this$15;
      if (this$10.isEmpty__Z()) {
        this$15 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser().init___Lamf_plugins_domain_shapes_models_TypeDef__T__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.defaultType$1, this.name$1, this.adopt$1, this.ctx$1).parse__s_Option()
      } else {
        const arg1$2 = this$10.get__O();
        const value = arg1$2;
        const x1$1 = $m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsdFromString__T__T2(value.text$3);
        matchEnd5: {
          if ((x1$1 !== null)) {
            const iri = x1$1.$$und1__O();
            const format = x1$1.$$und2__O();
            if ((iri !== null)) {
              if ((format !== null)) {
                const this$12 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(value);
                const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
                const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(iri, new $c_Lamf_core_parser_Annotations().init___());
                const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(value);
                const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$2, value$1, annotations);
                if ((!format.isEmpty__Z())) {
                  const arg1$3 = format.get__O();
                  const f = arg1$3;
                  const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
                  const value$2 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(f, new $c_Lamf_core_parser_Annotations().init___());
                  const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape$2, field$3, value$2, annotations$1)
                };
                const name$1 = this.name$1;
                const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                this$15 = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$2, field$4, name$1));
                break matchEnd5
              }
            }
          };
          this$15 = $m_s_None$()
        }
      };
      let shape$2$1;
      if (this$15.isEmpty__Z()) {
        const this$16 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.map$1);
        const name$2 = this.name$1;
        const field$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        shape$2$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field$5, name$2)
      } else {
        shape$2$1 = this$15.get__O()
      };
      this.adopt$1.apply__O__O(shape$2$1);
      this.parseMap__p1__Lamf_core_model_domain_Shape__V(shape$2$1);
      let str;
      if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape$2$1)) {
        const x2 = shape$2$1;
        str = x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1)
      } else {
        str = "#shape"
      };
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(str, "#", 0);
      const this$19 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const x1$2 = $f_sc_IndexedSeqOptimized__last__O(this$19);
      const syntaxType = (((x1$2 === "integer") || (x1$2 === "float")) ? "numberScalarShape" : ((x1$2 === "string") ? "stringScalarShape" : ((x1$2 === "dateTime") ? "dateScalarShape" : "shape")));
      this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(shape$2$1.id$1, this.map$1, syntaxType, false);
      return shape$2$1
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(name, adopt, map, defaultType, ctx) {
    this.name$1 = name;
    this.adopt$1 = adopt;
    this.map$1 = map;
    this.defaultType$1 = defaultType;
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.SimpleTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x3) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x3)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x3, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.TraitExtendsEmitter$$anonfun$collect$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x2, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x2) {
    return $is_Lamf_core_emitter_EntryEmitter(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ExampleValuesEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parse__Lamf_plugins_domain_webapi_models_Parameter() {
    const name = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const this$1 = this.producer$1.apply__O__O(name);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const parameter = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
    const value = (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(name, "?"));
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field, value);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const this$3 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const value$1 = this$3.string__Lamf_core_model_domain_AmfScalar();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$4, field$1, value$1);
    const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$1.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
    const iv$2 = this.ctx$1;
    const this$7 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
    jsx$2.key__T__F1__V("required", this$7.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$10 = this$9.key__T__s_Option("type");
    if ((!this$10.isEmpty__Z())) {
      const arg1 = this$10.get__O();
      const this$11 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parameter$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$4, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
        })
      })(this, parameter)), "schema", this.ctx$1).parse__s_Option();
      if ((!this$11.isEmpty__Z())) {
        const arg1$1 = this$11.get__O();
        const x$2 = arg1$1;
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$5, x$2, annotations))
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(parameter, map, this.ctx$1).parse__V();
    return parameter
  };
  productPrefix__T() {
    return "OasHeaderParameterParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser(x$1)) {
      const OasHeaderParameterParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = OasHeaderParameterParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = OasHeaderParameterParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry, producer, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasHeaderParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.parentId$1 = null;
    this.name$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasParameterParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser(x$1)) {
      const OasParameterParser$1 = x$1;
      if ((this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasParameterParser$1.map$1) && (this.parentId$1 === OasParameterParser$1.parentId$1))) {
        const x = this.name$1;
        const x$2 = OasParameterParser$1.name$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.parentId$1;
        break
      }
      case 2: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, parentId, name, ctx) {
    this.map$1 = map;
    this.parentId$1 = parentId;
    this.name$1 = name;
    this.ctx$1 = ctx;
    return this
  };
  parseParameterRef__Lorg_yaml_model_YMapEntry__T__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(ref, parentId) {
    const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
    $m_Lorg_yaml_model_YNode$();
    const node = ref.value$1;
    const refUrl = jsx$1.stripParameterDefinitionsPrefix__T__T(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1));
    const x1 = this.ctx$1.declarations$3.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(refUrl, $m_Lamf_core_parser_SearchScope$All$());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const p = x2.value$2;
      const this$2 = this.ctx$1.declarations$3;
      const payload = this$2.payloads$2.apply__O__O(p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1));
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
      const parameter = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(p, refUrl, annotations);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field, refUrl).adopted__T__Lamf_plugins_domain_webapi_models_Parameter(parentId);
      return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload(parameter, payload)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const oasParameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload($m_Lamf_plugins_domain_webapi_models_Parameter$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_Parameter($m_Lorg_yaml_model_YMap$().empty$1), $m_Lamf_plugins_domain_webapi_models_Payload$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Payload($m_Lorg_yaml_model_YMap$().empty$1));
        this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(oasParameter.parameter$1.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find parameter reference ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([refUrl])), ref);
        return oasParameter
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter() {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const ref = x2.value$2;
      return this.parseParameterRef__Lorg_yaml_model_YMapEntry__T__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(ref, this.parentId$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const p = $m_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(this.map$1);
        const parameter = p.parameter$1;
        const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field, false);
        if (this.name$1.isDefined__Z()) {
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          const value = this.name$1.get__O();
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field$1, value)
        } else {
          const map$1 = this.map$1;
          const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          const iv = this.ctx$1;
          jsx$1.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter))
        };
        const map$2 = this.map$1;
        const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
        const iv$1 = this.ctx$1;
        jsx$2.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
        const map$3 = this.map$1;
        const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
        const iv$2 = this.ctx$1;
        jsx$3.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
        const map$4 = this.map$1;
        const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
        const iv$3 = this.ctx$1;
        const this$6 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
        jsx$4.key__T__F1__V("required", this$6.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
        const map$5 = this.map$1;
        const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
        const iv$4 = this.ctx$1;
        jsx$5.key__T__F1__V("in", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
        if (p.parameter$1.isBody__Z()) {
          p.payload$1.adopted__T__Lamf_plugins_domain_webapi_models_Payload(this.parentId$1);
          const map$6 = this.map$1;
          const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
          const this$10 = this$9.key__T__s_Option("schema");
          if ((!this$10.isEmpty__Z())) {
            const arg1 = this$10.get__O();
            const entry = arg1;
            const this$11 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
              return (function(shape$2) {
                const shape = shape$2;
                const field$7 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$7, "schema").adopted__T__Lamf_core_model_domain_AmfObject(p$1.payload$1.id$1)
              })
            })(this, p)), "schema", this.ctx$1).parse__s_Option();
            if ((!this$11.isEmpty__Z())) {
              const arg1$1 = this$11.get__O();
              const x$2 = arg1$1;
              const this$12 = p.payload$1;
              const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
              const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
              new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$8, x$2, annotations))
            }
          };
          const map$7 = this.map$1;
          const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
          const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
          const iv$5 = this.ctx$1;
          jsx$6.key__T__F1__V("x-media-type", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$9, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(p.payload$1))
        } else {
          parameter.adopted__T__Lamf_plugins_domain_webapi_models_Parameter(this.parentId$1);
          this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(parameter.id$1, this.map$1, "parameter", false);
          const this$14 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(this.map$1, "", this.map$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, parameter$1) {
            return (function(shape$2$1) {
              const shape$1 = shape$2$1;
              const field$10 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$1, field$10, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
            })
          })(this, parameter)), "parameter", this.ctx$1).parse__s_Option();
          if ((!this$14.isEmpty__Z())) {
            const arg1$2 = this$14.get__O();
            const x$3 = arg1$2;
            const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
            const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
            new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$11, x$3, annotations$1))
          }
        };
        new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(parameter, this.map$1, this.ctx$1).parse__V();
        return p
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasPayloadParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser(x$1)) {
      const OasPayloadParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasPayloadParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = OasPayloadParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, producer, ctx) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const jsx$2 = this.producer$1;
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("mediaType");
    let jsx$1;
    if (this$2.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.ctx$1;
      const this$4 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      jsx$1 = new $c_s_Some().init___O($objectToString(this$4.text__Lamf_core_model_domain_AmfScalar().value$1))
    };
    const this$5 = jsx$2.apply__O__O(jsx$1);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    const payload = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$5, other);
    const map$1 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
    const iv$1 = this.ctx$1;
    jsx$3.key__T__F1__V("mediaType", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(payload));
    const map$2 = this.map$1;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$9 = this$8.key__T__s_Option("schema");
    if ((!this$9.isEmpty__Z())) {
      const arg1$1 = this$9.get__O();
      const entry$3 = arg1$1;
      const this$10 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$1, "schema").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
        })
      })(this, payload)), "schema", this.ctx$1).parse__s_Option();
      if ((!this$10.isEmpty__Z())) {
        const arg1$2 = this$10.get__O();
        const x$1 = arg1$2;
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(payload, field$2, x$1, annotations))
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(payload, this.map$1, this.ctx$1).parse__V();
    return payload
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloadParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExamplesEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasResponseParser"
  };
  defaultPayload__p1__Lorg_yaml_model_YMap__T__s_Option(entries, parentId) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const annotation = new $c_Lamf_plugins_document_webapi_annotations_DefaultPayload().init___();
    const payload = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$4, annotation);
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(entries);
    const this$7 = this$6.key__T__s_Option("x-media-type");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      const node = entry.value$1;
      const iv = this.ctx$1;
      const this$9 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const value = this$9.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(payload, field, value, annotations$1)
    };
    payload.adopted__T__Lamf_plugins_domain_webapi_models_Payload(parentId);
    const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(entries);
    const this$12 = this$11.key__T__s_Option("schema");
    if ((!this$12.isEmpty__Z())) {
      const arg1$1 = this$12.get__O();
      const entry$3 = arg1$1;
      const this$13 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$1, "default").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
        })
      })(this, payload)), "schema", this.ctx$1).parse__s_Option();
      if ((!this$13.isEmpty__Z())) {
        const arg1$2 = this$13.get__O();
        const s = arg1$2;
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(payload, field$2, s, annotations$2))
      }
    };
    const this$14 = payload.fields$1;
    const this$15 = this$14.fs$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$15)) {
      return new $c_s_Some().init___O(payload)
    } else {
      return $m_s_None$()
    }
  };
  productArity__I() {
    return 2
  };
  parse__Lamf_plugins_domain_webapi_models_Response() {
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const node$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entry$1.value$1);
    let response;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const url = x2.value$2;
      const name = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$().stripResponsesDefinitionsPrefix__T__T(url);
      const qual$1 = this.ctx$1.declarations$3.findResponseOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_Response(this.entry$1.value$1, name, $m_Lamf_core_parser_SearchScope$Named$());
      const x$2 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$().stripResponsesDefinitionsPrefix__T__T(url);
      const x$3 = new $c_Lamf_core_parser_Annotations().init___();
      const value = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(qual$1, x$2, x$3);
      const name$1 = $objectToString(node$1.string__Lamf_core_model_domain_AmfScalar().value$1);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
      response = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(value, field, name$1)
    } else {
      if ((!$is_s_util_Right(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const x3 = x1;
      const value$2 = x3.value$2;
      const map = value$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$3 = this.producer$1.apply__O__O($objectToString(node$1.string__Lamf_core_model_domain_AmfScalar().value$1));
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const res = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
      const iv$1 = this.ctx$1;
      jsx$1.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(res));
      const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$7 = this$6.key__T__s_Option("headers");
      if ((!this$7.isEmpty__Z())) {
        const arg1 = this$7.get__O();
        const entry = arg1;
        const parameters = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser().init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, res$1) {
          return (function(name$2) {
            const name$3 = name$2;
            return res$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name$3)
          })
        })(this, res)), this.ctx$1).parse__sc_Seq();
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res, field$2, value$1, annotations)
      };
      const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$8 = this.defaultPayload__p1__Lorg_yaml_model_YMap__T__s_Option(map, res.id$1);
      if ((!this$8.isEmpty__Z())) {
        const arg1$1 = this$8.get__O();
        const x$1 = arg1$1;
        payloads.$$plus$eq__O__scm_ListBuffer(x$1)
      };
      const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$11 = this$10.key__T__s_Option("x-response-payloads");
      if ((!this$11.isEmpty__Z())) {
        const arg1$2 = this$11.get__O();
        const entry$3 = arg1$2;
        const jsx$4 = entry$3.value$1;
        const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const this$13 = $m_sc_IndexedSeq$();
        const bf = this$13.ReusableCBF$6;
        const jsx$3 = jsx$4.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$1);
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, res$1$1, payloads$1) {
          return (function(value$2$1) {
            const value$3 = value$2$1;
            return payloads$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser().init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(value$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, res$1$2) {
              return (function(mediaType$2) {
                const mediaType = mediaType$2;
                return res$1$2.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
              })
            })($this$1, res$1$1)), $this$1.ctx$1).parse__Lamf_plugins_domain_webapi_models_Payload())
          })
        })(this, res, payloads));
        const this$14 = $m_sc_Seq$();
        jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$14.ReusableCBFInstance$2)
      };
      if (payloads.nonEmpty__Z()) {
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1;
        const value$4 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(res, field$3, value$4)
      };
      const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext("examples", map, this.ctx$1).parse__sc_Seq();
      if (examples.nonEmpty__Z()) {
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1;
        const value$5 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(examples, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(res, field$4, value$5)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(res, map, this.ctx$1).parse__V();
      this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(res.id$1, map, "response", false);
      response = res
    };
    if ((response.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1) === "default")) {
      const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(response, field$5, "200")
    } else {
      const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
      const value$6 = node$1.string__Lamf_core_model_domain_AmfScalar();
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(response, field$6, value$6)
    };
    return response
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser(x$1)) {
      const OasResponseParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = OasResponseParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = OasResponseParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry, producer, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x3, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x3) {
    return $is_Lamf_core_emitter_EntryEmitter(x3)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "Raml08PayloadParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser(x$1)) {
      const Raml08PayloadParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08PayloadParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08PayloadParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08PayloadParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const payload = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.parse__Lamf_plugins_domain_webapi_models_Payload.call(this);
    if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(payload.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1), "?")) {
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Optional$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(payload, field, true);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      const x = payload.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
      const this$2 = new $c_sci_StringOps().init___T(x);
      const value = $f_sci_StringLike__stripSuffix__T__T(this$2, "?");
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(payload, field$1, value)
    };
    const this$3 = this.entry$2.value$1;
    const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$1 = $m_Lorg_yaml_model_YType$().Null$1;
    if ((!(x$1 === x1))) {
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/x-www-form-urlencoded", "multipart/form-data"]);
      const this$5 = $m_sci_List$();
      const cbf = this$5.ReusableCBFInstance$2;
      const this$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
      const elem = payload.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
      if ($f_sc_LinearSeqOptimized__contains__O__Z(this$6, elem)) {
        const this$7 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser().init___Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2), payload.id$1, this.ctx$2).parse__s_Option();
        if ((!this$7.isEmpty__Z())) {
          const arg1 = this$7.get__O();
          const schema = arg1;
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$2, schema)
        }
      } else {
        const x$2$2 = this.entry$2;
        const x$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, payload$1) {
          return (function(shape$2) {
            const shape = shape$2;
            return shape.adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
          })
        })(this, payload));
        const x$4 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$();
        const this$8 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(x$2$2, x$3, false, x$4, this.ctx$2).parse__s_Option();
        if ((!this$8.isEmpty__Z())) {
          const arg1$1 = this$8.get__O();
          const schema$3 = arg1$1;
          const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$3, schema$3)
        }
      }
    };
    return payload
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x2, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x2) {
    return $is_Lamf_core_emitter_EntryEmitter(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_Payload(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_Payload(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadsEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "Raml10PayloadParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser(x$1)) {
      const Raml10PayloadParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10PayloadParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10PayloadParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10PayloadParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const payload = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.parse__Lamf_plugins_domain_webapi_models_Payload.call(this);
    const this$1 = this.entry$2.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((!(x === x1))) {
      const this$2 = this.entry$2.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$2);
      if ($is_s_util_Right(x1$2)) {
        const x2 = x1$2;
        const map = x2.value$2;
        new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(payload, map, this.ctx$2).parse__V()
      }
    };
    const this$3 = this.entry$2.value$1;
    const x1$3 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$4 = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x$4 === x1$3)) {
      const this$4 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field, "schema").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
        })
      })(this, payload)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), this.ctx$2).parse__s_Option();
      if ((!this$4.isEmpty__Z())) {
        const arg1 = this$4.get__O();
        const schema = arg1;
        schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$1, schema)
      }
    } else {
      const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, payload$2) {
        return (function(shape$3$2) {
          const shape$3 = shape$3$2;
          const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$2, "schema").adopted__T__Lamf_core_model_domain_AmfObject(payload$2.id$1)
        })
      })(this, payload)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), this.ctx$2).parse__s_Option();
      if ((!this$5.isEmpty__Z())) {
        const arg1$1 = this$5.get__O();
        const schema$3 = arg1$1;
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$3, schema$3)
      }
    };
    return payload
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x4, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x4)) {
      const x2 = x4;
      return x2
    } else {
      return $default.apply__O__O(x4)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x4) {
    return $is_Lamf_core_emitter_EntryEmitter(x4)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "RamlOperationParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser(x$1)) {
      const RamlOperationParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = RamlOperationParser$1.entry$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = RamlOperationParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$1 === RamlOperationParser$1.parseOptional$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.parseOptional$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_webapi_models_Operation() {
    $m_Lorg_yaml_model_YNode$();
    const node = this.entry$1.key$1;
    const method = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
    const this$2 = this.producer$1.apply__O__O(method);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const operation = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
    const node$1 = this.entry$1.key$1;
    const iv = this.ctx$1;
    const this$4 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv);
    const value = this$4.string__Lamf_core_model_domain_AmfScalar();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(operation, field, value);
    if ((this.parseOptional$1 && $m_sjsr_RuntimeString$().endsWith__T__T__Z(method, "?"))) {
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Optional$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(operation, field$1, true);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
      const this$6 = new $c_sci_StringOps().init___T(method);
      const value$1 = $f_sci_StringLike__stripSuffix__T__T(this$6, "?");
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(operation, field$2, value$1)
    };
    const this$7 = this.entry$1.value$1;
    const x1 = this$7.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      return this.parseMap__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_domain_webapi_models_Operation(this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), operation)
    } else {
      const node$2 = this.entry$1.value$1;
      const this$9 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$2).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
      let this$10;
      if (this$9.isEmpty__Z()) {
        this$10 = $m_s_None$()
      } else {
        const arg1 = this$9.get__O();
        const x$1 = arg1;
        this$10 = new $c_s_Some().init___O(x$1.text$3)
      };
      let jsx$1;
      if ((!this$10.isEmpty__Z())) {
        const arg1$1 = this$10.get__O();
        const s = arg1$1;
        jsx$1 = ((s === "") || (s === "null"))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return operation
      } else {
        this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(operation.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid node ", " for method ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.entry$1.value$1, method])), this.entry$1.value$1);
        return operation
      }
    }
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseMap__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_domain_webapi_models_Operation(map, operation) {
    const map$2 = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(operation.id$1, map$2, "operation", false);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("(deprecated)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("(summary)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("(externalDocs)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node, $this.ctx$1)
      })
    })(this))));
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1;
    const iv$4 = this.ctx$1;
    jsx$5.key__T__F1__V("protocols", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
    const iv$5 = this.ctx$1;
    jsx$6.key__T__F1__V("(consumes)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
    const iv$6 = this.ctx$1;
    jsx$7.key__T__F1__V("(produces)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, operation$1) {
      return (function(name$2) {
        const name = name$2;
        return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(operation$1, name)
      })
    })(this, operation));
    const DeclarationParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, eta$0$1$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(eta$0$1$1, node$3, this$3$1.ctx$1)
      })
    })(this, eta$0$1));
    const jsx$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
    const iv$7 = this.ctx$1;
    jsx$8.key__T__F1__V("is", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(DeclarationParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$9 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().requestParser__F3().apply__O__O__O__O(map$2, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$4$1, operation$2) {
      return (function() {
        return operation$2.withRequest__Lamf_plugins_domain_webapi_models_Request()
      })
    })(this, operation)), this.parseOptional$1).parse__s_Option();
    if ((!this$9.isEmpty__Z())) {
      const arg1 = this$9.get__O();
      const x$2 = arg1;
      const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(operation, field$8, x$2)
    };
    const optionalMethod = (this.parseOptional$1 ? "\\??" : "");
    const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$12 = this$11.key__T__s_Option("responses");
    if ((!this$12.isEmpty__Z())) {
      const arg1$1 = this$12.get__O();
      const entry = arg1$1;
      const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const expression = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(\\\\d{3})", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([optionalMethod]));
      const entries = this$14.regex__T__sc_Iterable(expression);
      if (entries.nonEmpty__Z()) {
        const responses = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, operation$1$1, responses$1) {
          return (function(entry$2) {
            const entry$1 = entry$2;
            return responses$1.$$plus$eq__O__scm_ListBuffer($this$1.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().responseParser__F3().apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, operation$1$2) {
              return (function(name$2$1) {
                const name$1 = name$2$1;
                return operation$1$2.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name$1)
              })
            })($this$1, operation$1$1)), $this$1.parseOptional$1).parse__Lamf_plugins_domain_webapi_models_Response())
          })
        })(this, operation, responses)));
        const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(responses, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$9, value, annotations)
      }
    };
    const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, operation$3) {
      return (function(name$3$2) {
        const name$3 = name$3$2;
        return operation$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$3)
      })
    })(this, operation));
    const SchemeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, eta$0$2$1) {
      return (function(node$4$2) {
        const node$4 = node$4$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(eta$0$2$1, node$4, this$8$1.ctx$1)
      })
    })(this, eta$0$2));
    const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
    const iv$8 = this.ctx$1;
    jsx$9.key__T__F1__V("securedBy", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$10, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(SchemeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1;
    const iv$9 = this.ctx$1;
    jsx$10.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$11, iv$9).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(operation, map$2, this.ctx$1).parse__V();
    return operation
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlOperationParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.type$1 = null;
    this.scheme$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "RamlSecuritySettingsParser"
  };
  apiKey__p1__Lamf_plugins_domain_webapi_models_security_Settings() {
    const settings = this.scheme$1.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("in", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    return this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["name", "in"]))
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser(x$1)) {
      const RamlSecuritySettingsParser$1 = x$1;
      if ((this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSecuritySettingsParser$1.map$1) && (this.type$1 === RamlSecuritySettingsParser$1.type$1))) {
        const x = this.scheme$1;
        const x$2 = RamlSecuritySettingsParser$1.scheme$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, properties) {
    const entries = this.map$1.entries$3.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, properties$1) {
      return (function(entry$2) {
        const entry = entry$2;
        $m_Lorg_yaml_model_YNode$();
        const node = entry.key$1;
        const key = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        return (properties$1.contains__O__Z(key) || $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().isRamlAnnotation__T__Z(key))
      })
    })(this, properties)));
    if ($f_sc_TraversableOnce__nonEmpty__Z(entries)) {
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(entries);
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const x$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
      const x$2 = new $c_s_Some().init___O(settings.id$1);
      const x$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
      const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      const node$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_core_parser_ParserContext(x$1, x$3, x$2, x$4, this.ctx$1).parse__Lamf_core_model_domain_DataNode();
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(settings, field, node$1)
    };
    return settings
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.type$1;
        break
      }
      case 2: {
        return this.scheme$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_webapi_models_security_Settings() {
    const x1 = this.type$1;
    const result = ((x1 === "OAuth 1.0") ? this.oauth1__p1__Lamf_plugins_domain_webapi_models_security_Settings() : ((x1 === "OAuth 2.0") ? this.oauth2__p1__Lamf_plugins_domain_webapi_models_security_Settings() : ((x1 === "x-apiKey") ? this.apiKey__p1__Lamf_plugins_domain_webapi_models_security_Settings() : this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(this.scheme$1.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings(), new $c_sjs_js_WrappedArray().init___sjs_js_Array([])))));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(result, this.map$1, this.ctx$1).parse__V();
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(result, other)
  };
  init___Lorg_yaml_model_YMap__T__Lamf_plugins_domain_webapi_models_security_WithSettings__Lamf_plugins_document_webapi_contexts_WebApiContext(map, type, scheme, ctx) {
    this.map$1 = map;
    this.type$1 = type;
    this.scheme$1 = scheme;
    this.ctx$1 = ctx;
    return this
  };
  oauth2__p1__Lamf_plugins_domain_webapi_models_security_Settings() {
    const settings = this.scheme$1.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("authorizationUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("accessTokenUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("(flow)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$3 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("authorizationGrants", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const ScopeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(n$2) {
        const n = n$2;
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const this$10 = new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
        const iv$4 = $this.ctx$1;
        const this$9 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(n, iv$4);
        const value = this$9.text__Lamf_core_model_domain_AmfScalar();
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field$4, value).adopted__T__Lamf_plugins_domain_webapi_models_security_Scope($this.scheme$1.id__T())
      })
    })(this));
    const map$4 = this.map$1;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
    const iv$5 = this.ctx$1;
    jsx$5.key__T__F1__V("scopes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(ScopeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    return this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["authorizationUri", "accessTokenUri", "authorizationGrants", "scopes"]))
  };
  oauth1__p1__Lamf_plugins_domain_webapi_models_security_Settings() {
    const settings = this.scheme$1.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("requestTokenUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("authorizationUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("tokenCredentialsUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$3 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("signatures", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    return this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["requestTokenUri", "authorizationUri", "tokenCredentialsUri", "signatures"]))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSecuritySettingsParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parse__Lamf_plugins_domain_shapes_models_Example() {
    const example = $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(this.node$1);
    const this$1 = this.node$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    matchEnd4: {
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const map = x2.value$2;
        if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).regex__T__sc_Iterable("displayName|description|strict|value|\\(.+\\)").nonEmpty__Z()) {
          const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1;
          const iv = this.ctx$1;
          jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(example).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
          const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1;
          const iv$1 = this.ctx$1;
          jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(example).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
          const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
          const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1;
          const iv$2 = this.ctx$1;
          jsx$3.key__T__F1__V("strict", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(example).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
          const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("value");
          if ((!this$7.isEmpty__Z())) {
            const arg1 = this$7.get__O();
            const entry = arg1;
            const jsx$4 = entry.value$1;
            const this$8 = $m_s_Option$().apply__O__s_Option((!(!example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1))));
            new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$4, example, (!(!(this$8.isEmpty__Z() || this$8.get__O()))), this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
          };
          new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(example, map, this.ctx$1).parse__V();
          break matchEnd4
        }
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(this.node$1, example, true, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
    };
    return example
  };
  productPrefix__T() {
    return "RamlSingleExampleValueParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser(x$1)) {
      const RamlSingleExampleValueParser$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSingleExampleValueParser$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, ctx) {
    this.node$1 = node;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSingleExampleValueParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x3) {
    return $is_Lorg_yaml_model_YDocument(x3)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x3, $default) {
    if ($is_Lorg_yaml_model_YDocument(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.StringToAstEmitter$$anonfun$3", {
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentEmitter$1 = x$1;
      const x = this.annotation$1;
      const x$2 = AnnotationFragmentEmitter$1.annotation$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AnnotationFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering($$outer, annotation, ordering) {
    this.annotation$1 = annotation;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$());
    const x1 = $$outer.spec$3.factory$2.annotationTypeEmitter__F2().apply__O__O__O(annotation.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), ordering).emitters__s_util_Either();
    let jsx$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const list = x2.value$2;
      jsx$1 = list
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const part = x3.value$2;
      jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", part, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    this.emitters$1 = jsx$1;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$AnnotationFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.dataType$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, dataType, ordering) {
    this.dataType$1 = dataType;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$());
    const x$3 = dataType.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
    const x$5 = dataType.references$1;
    const x$6 = $m_sci_Nil$();
    this.emitters$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$3, ordering, x$6, x$5, $$outer.spec$3).entries__sc_Seq();
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentEmitter$1 = x$1;
      const x = this.dataType$1;
      const x$2 = DataTypeFragmentEmitter$1.dataType$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DataTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataType$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$DataTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.documentationItem$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentEmitter$1 = x$1;
      const x = this.documentationItem$1;
      const x$2 = DocumentationItemFragmentEmitter$1.documentationItem$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DocumentationItemFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentationItem$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering($$outer, documentationItem, ordering) {
    this.documentationItem$1 = documentationItem;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$());
    this.emitters$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(documentationItem.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), ordering, $$outer.spec$3).emitters__sc_Seq();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$DocumentationItemFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.namedExample$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedExampleFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedExampleFragmentEmitter$1 = x$1;
      const x = this.namedExample$1;
      const x$2 = NamedExampleFragmentEmitter$1.namedExample$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = NamedExampleFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.namedExample$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering($$outer, namedExample, ordering) {
    this.namedExample$1 = namedExample;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$());
    this.emitters$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(namedExample.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), ordering, $$outer.spec$3)]));
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$NamedExampleFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.resourceTypeFragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentEmitter$1 = x$1;
      const x = this.resourceTypeFragment$1;
      const x$2 = ResourceTypeFragmentEmitter$1.resourceTypeFragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ResourceTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.resourceTypeFragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, resourceTypeFragment, ordering) {
    this.resourceTypeFragment$1 = resourceTypeFragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$());
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(resourceTypeFragment.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), ordering).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter(this);
    const this$1 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$ResourceTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x1) {
    return true
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x1, $default) {
    if ((x1 !== null)) {
      return x1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = SecuritySchemeFragmentEmitter$1.securityScheme$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = SecuritySchemeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering($$outer, securityScheme, ordering) {
    this.securityScheme$1 = securityScheme;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$());
    const jsx$2 = securityScheme.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
    const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$();
    const this$1 = securityScheme.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
    this.emitters$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$2, jsx$1.fromText__T__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1)), ordering, $$outer.spec$3).emitters__sc_Seq();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$SecuritySchemeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.traitFragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentEmitter$1 = x$1;
      const x = this.traitFragment$1;
      const x$2 = TraitFragmentEmitter$1.traitFragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = TraitFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.traitFragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering($$outer, traitFragment, ordering) {
    this.traitFragment$1 = traitFragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$());
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(traitFragment.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), ordering).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter(this);
    const this$1 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$TraitFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x2) {
    return true
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x2, $default) {
    if ((x2 !== null)) {
      return x2
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2]))))
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter extends $c_O {
  constructor() {
    super();
    this.declares$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.emitters$1 = null;
    this.platform$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DeclarationsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DeclarationsEmitter$1 = x$1;
      const x = this.declares$1;
      const x$2 = DeclarationsEmitter$1.declares$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DeclarationsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = DeclarationsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declares$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, declares, ordering, references) {
    this.declares$1 = declares;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declares, $m_s_None$(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$3 = declarations.shapes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
      const this$4 = declarations.shapes$2;
      const this$5 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$4);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, this$5.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, references))
    };
    const this$6 = declarations.annotations$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$6)) {
      const this$7 = declarations.annotations$1;
      const this$8 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$7);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, this$8.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering))
    };
    const this$9 = declarations.resourceTypes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$9)) {
      const this$10 = declarations.resourceTypes$2;
      const this$11 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$10);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("x-resourceTypes", this$11.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, $m_sci_Nil$(), $$outer.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()))
    };
    const this$12 = declarations.traits$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$12)) {
      const this$13 = declarations.traits$2;
      const this$14 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$13);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("x-traits", this$14.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, $m_sci_Nil$(), $$outer.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()))
    };
    const this$15 = declarations.securitySchemes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$15)) {
      const this$16 = declarations.securitySchemes$2;
      const this$17 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$16);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters().init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this$17.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, $$outer.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()))
    };
    const this$18 = declarations.parameters$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$18)) {
      const this$19 = declarations.parameters$2;
      const this$20 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$19);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, this$20.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, references))
    };
    const this$21 = declarations.responses$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$21)) {
      const this$22 = declarations.responses$2;
      const this$23 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$22);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("responses", this$23.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, references, $$outer.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()))
    };
    this.emitters$1 = result;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$DeclarationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_core_model_document_Module(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$ReferencesEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_plugins_domain_shapes_models_CreativeWork(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$UserDocumentationsEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters {
  constructor() {
    super();
    this.document$2 = null;
    this.ordering$2 = null
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, spec) {
    this.document$2 = document;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, document, ordering, spec);
    return this
  };
  productPrefix__T() {
    return "Raml08RootLevelEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters(x$1)) {
      const Raml08RootLevelEmitters$1 = x$1;
      const x = this.document$2;
      const x$2 = Raml08RootLevelEmitters$1.document$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08RootLevelEmitters$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.declarationsEmitter__sc_Seq()
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  declarationsEmitter__sc_Seq() {
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this.document$2.declares__sc_Seq(), $m_s_None$(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = declarations.shapes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const this$3 = declarations.shapes$2;
      const this$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$3);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this$4.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2))
    };
    const this$5 = declarations.resourceTypes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      const this$6 = declarations.resourceTypes$2;
      const this$7 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$6);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("resourceTypes", this$7.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$8 = declarations.traits$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
      const this$9 = declarations.traits$2;
      const this$10 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("traits", this$10.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$11 = declarations.securitySchemes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$11)) {
      const this$12 = declarations.securitySchemes$2;
      const this$13 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$12);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters().init___sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering__F3__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$13.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2, this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().namedSecurityEmitter__F3(), this.spec$1))
    };
    const this$14 = declarations.responses$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$14)) {
      const this$15 = declarations.responses$2;
      const this$16 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$15);
      const jsx$3 = this$16.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const jsx$2 = this.ordering$2;
      const jsx$1 = this.document$2.references__sc_Seq();
      const spec = this.spec$1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("(responses)", jsx$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)))
    };
    return result
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml08RootLevelEmitters", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters {
  constructor() {
    super();
    this.AnnotationsTypesEmitter$module$2 = null;
    this.NamedPropertyTypeEmitter$module$2 = null;
    this.DeclaredParametersEmitter$module$2 = null;
    this.NamedParameterEmitter$module$2 = null;
    this.document$2 = null;
    this.ordering$2 = null
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, spec) {
    this.document$2 = document;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, document, ordering, spec);
    return this
  };
  productPrefix__T() {
    return "Raml10RootLevelEmitters"
  };
  extensionEmitter__s_Option() {
    const this$1 = this.document$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x$31 = f.value$1.value$1.toString__T();
      const x$32 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f.value$1.annotations$1);
      const x$33 = $m_Lorg_yaml_model_YType$().Str$1;
      return new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("extends", x$31, x$33, x$32))
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters(x$1)) {
      const Raml10RootLevelEmitters$1 = x$1;
      const x = this.document$2;
      const x$2 = Raml10RootLevelEmitters$1.document$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10RootLevelEmitters$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const declares = this.declarationsEmitter__sc_Seq();
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering(this.document$2.references__sc_Seq(), this.ordering$2);
    const extension = this.extensionEmitter__s_Option();
    const this$1 = this.document$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("usage", f))
    };
    const jsx$4 = extension.toList__sci_List();
    const this$3 = $m_sc_Seq$();
    const jsx$3 = declares.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$3.ReusableCBFInstance$2);
    const jsx$2 = usage.toList__sci_List();
    const this$5 = $m_sc_Seq$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$5.ReusableCBFInstance$2);
    const this$6 = $m_sc_Seq$();
    return jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(references, this$6.ReusableCBFInstance$2)
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  declarationsEmitter__sc_Seq() {
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this.document$2.declares__sc_Seq(), $m_s_None$(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = declarations.shapes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const this$3 = declarations.shapes$2;
      const this$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$3);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this$4.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2))
    };
    const this$5 = declarations.annotations$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      const this$6 = declarations.annotations$1;
      const this$7 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$6);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this$7.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2))
    };
    const this$8 = declarations.resourceTypes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
      const this$9 = declarations.resourceTypes$2;
      const this$10 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("resourceTypes", this$10.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$11 = declarations.traits$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$11)) {
      const this$12 = declarations.traits$2;
      const this$13 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$12);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("traits", this$13.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$14 = declarations.securitySchemes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$14)) {
      const this$15 = declarations.securitySchemes$2;
      const this$16 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$15);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters().init___sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering__F3__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$16.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2, this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().namedSecurityEmitter__F3(), this.spec$1))
    };
    const this$17 = declarations.parameters$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$17)) {
      const this$18 = declarations.parameters$2;
      const this$19 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$18);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq(this, this$19.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq()))
    };
    const this$20 = declarations.responses$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$20)) {
      const this$21 = declarations.responses$2;
      const this$22 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$21);
      const jsx$3 = this$22.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const jsx$2 = this.ordering$2;
      const jsx$1 = this.document$2.references__sc_Seq();
      const spec = this.spec$1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("(responses)", jsx$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)))
    };
    return result
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering($$outer, annotation, ordering) {
    this.annotation$1 = annotation;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$();
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentEmitter$1 = x$1;
      const x = this.annotation$1;
      const x$2 = AnnotationFragmentEmitter$1.annotation$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AnnotationFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const jsx$1 = this.$$outer$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().annotationTypeEmitter__F2();
    const this$1 = this.annotation$1;
    const x1 = jsx$1.apply__O__O__O(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), this.ordering$1).emitters__s_util_Either();
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const emitters = x2.value$2;
      return emitters
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const part = x3.value$2;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", part, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$AnnotationFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.dataType$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentEmitter$1 = x$1;
      const x = this.dataType$1;
      const x$2 = DataTypeFragmentEmitter$1.dataType$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DataTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataType$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, dataType, ordering) {
    this.dataType$1 = dataType;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    let rc7 = false;
    let x2 = null;
    const jsx$1 = $m_s_Option$();
    const this$1 = this.dataType$1;
    const x1 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1));
    if ($is_s_Some(x1)) {
      rc7 = true;
      x2 = x1;
      const shape = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
        const x5 = shape;
        const x$4 = this.ordering$1;
        const x$5 = $m_sci_Nil$();
        const x$6 = $m_sci_Nil$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, x$4, x$6, x$5, this.$$outer$1.spec$1).entries__sc_Seq()
      }
    };
    if (rc7) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit non WebApi Shape"))
    };
    return $m_sci_Nil$()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$DataTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.documentationItem$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentEmitter$1 = x$1;
      const x = this.documentationItem$1;
      const x$2 = DocumentationItemFragmentEmitter$1.documentationItem$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DocumentationItemFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentationItem$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.documentationItem$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), this.ordering$1, true, this.$$outer$1.spec$1).emitters__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering($$outer, documentationItem, ordering) {
    this.documentationItem$1 = documentationItem;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$();
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$DocumentationItemFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "FragmentNamedExampleEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const FragmentNamedExampleEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = FragmentNamedExampleEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = FragmentNamedExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering($$outer, example, ordering) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const jsx$1 = $m_sc_Seq$();
    const this$1 = this.example$1;
    return jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), this.ordering$1, this.$$outer$1.spec$1)]))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$FragmentNamedExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.fragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentEmitter$1 = x$1;
      const x = this.fragment$1;
      const x$2 = ResourceTypeFragmentEmitter$1.fragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ResourceTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, fragment, ordering) {
    this.fragment$1 = fragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.fragment$1;
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), this.ordering$1).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter(this);
    const this$2 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$ResourceTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x1) {
    return true
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x1, $default) {
    if ((x1 !== null)) {
      return x1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = SecuritySchemeFragmentEmitter$1.securityScheme$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = SecuritySchemeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering($$outer, securityScheme, ordering) {
    this.securityScheme$1 = securityScheme;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.securityScheme$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), references, this.ordering$1, this.$$outer$1.spec$1).emitters__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$SecuritySchemeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.fragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentEmitter$1 = x$1;
      const x = this.fragment$1;
      const x$2 = TraitFragmentEmitter$1.fragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = TraitFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering($$outer, fragment, ordering) {
    this.fragment$1 = fragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.fragment$1;
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), this.ordering$1).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter(this);
    const this$2 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$TraitFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x2) {
    return true
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x2, $default) {
    if ((x2 !== null)) {
      return x2
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2]))))
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_core_model_document_Module(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ReferencesEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_plugins_domain_shapes_models_CreativeWork(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1;
class $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YDocument(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YDocument(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_references_WebApiReferenceHandler($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$2: 0
}, false, "amf.plugins.document.webapi.references.WebApiReferenceHandler$$anonfun$resolveUnitDocument$2", {
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$2.prototype.$classData = $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$2;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  isDefinedAt__Lamf_plugins_document_webapi_resolution_stages_Branch__Z(x1) {
    return ($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x1) && (x1.$$outer$1 === this.$$outer$2))
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_plugins_document_webapi_resolution_stages_Branch__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_plugins_document_webapi_resolution_stages_Branch__F1__O(x, $default)
  };
  applyOrElse__Lamf_plugins_document_webapi_resolution_stages_Branch__F1__O(x1, $default) {
    if (($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x1) && (x1.$$outer$1 === this.$$outer$2))) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.operation$1 = null;
    this.children$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitBranch"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitBranch$1 = x$1;
      const x = this.key$1;
      const x$2 = TraitBranch$1.key$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.operation$1;
        const x$4 = TraitBranch$1.operation$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.children$1;
        const x$6 = TraitBranch$1.children$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.operation$1;
        break
      }
      case 2: {
        return this.children$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_Operation__sc_Seq($$outer, key, operation, children) {
    this.key$1 = key;
    this.operation$1 = operation;
    this.children$1 = children;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$TraitBranch", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch: 1,
  O: 1,
  Lamf_plugins_document_webapi_resolution_stages_Branch: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_core_model_domain_DomainElement(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_core_model_domain_DomainElement(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_core_model_document_Module(x1)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage$$anonfun$1", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1;
class $c_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ extends $c_O {
  constructor() {
    super();
    this.Path$1 = null;
    this.Name$1 = null;
    this.Description$1 = null;
    this.Operations$1 = null;
    this.Parameters$1 = null;
    this.Payloads$1 = null;
    this.Security$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Extends$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.Extends$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__Extends__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.Extends$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$RegExp$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Path$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "path"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Operations$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "supportedOperation"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Parameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "parameter"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Payloads$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "payload"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Security$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "security"), true);
    this.key$1 = this.Path$1;
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "EndPoint");
    const this$17 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$17);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return (((1 & this.bitmap$0$1) === 0) ? this.Extends$lzycompute__p1__Lamf_core_metamodel_Field() : this.Extends$1)
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Path$1, this.Name$1, this.Description$1, this.Operations$1, this.Parameters$1, this.Payloads$1, this.Security$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_EndPointModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.EndPointModel$", {
  Lamf_plugins_domain_webapi_metamodel_EndPointModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_EndPointModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_EndPointModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.In$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.In$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "in"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ApiKeySettings")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$9 = $m_sci_List$();
    this.type$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.In$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.ApiKeySettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ extends $c_O {
  constructor() {
    super();
    this.RequestTokenUri$1 = null;
    this.AuthorizationUri$1 = null;
    this.TokenCredentialsUri$1 = null;
    this.Signatures$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.RequestTokenUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "requestTokenUri"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AuthorizationUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "authorizationUri"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.TokenCredentialsUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "tokenCredentialsUri"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Signatures$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "signature"), true);
    $m_sci_List$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "OAuth1Settings")]);
    const this$12 = $m_sci_List$();
    const cbf = this$12.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$13 = $m_sci_List$();
    this.type$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$13.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.RequestTokenUri$1, this.AuthorizationUri$1, this.TokenCredentialsUri$1, this.Signatures$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.OAuth1SettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ extends $c_O {
  constructor() {
    super();
    this.AuthorizationUri$1 = null;
    this.AccessTokenUri$1 = null;
    this.AuthorizationGrants$1 = null;
    this.Flow$1 = null;
    this.Scopes$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AuthorizationUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "authorizationUri"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AccessTokenUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "accessTokenUri"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AuthorizationGrants$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "authorizationGrant"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Flow$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "flow"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Scopes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "scope"), true);
    $m_sci_List$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "OAuth2Settings")]);
    const this$14 = $m_sci_List$();
    const cbf = this$14.ReusableCBFInstance$2;
    const jsx$7 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$6 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$15 = $m_sci_List$();
    this.type$1 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$15.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.AuthorizationUri$1, this.AccessTokenUri$1, this.AuthorizationGrants$1, this.Flow$1, this.Scopes$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.OAuth2SettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Scheme$1 = null;
    this.Settings$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Scheme$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "scheme"), true);
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Settings$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "settings"), true);
    this.key$1 = this.Name$1;
    $m_sci_List$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "ParametrizedSecurityScheme")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    const jsx$5 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$4 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$11 = $m_sci_List$();
    this.type$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Scheme$1, this.Settings$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.ParametrizedSecuritySchemeModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Type$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Headers$1 = null;
    this.QueryParameters$1 = null;
    this.Responses$1 = null;
    this.Settings$1 = null;
    this.QueryString$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Type$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "type"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "displayName"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "description"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Headers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "header"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "parameter"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Responses$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "response"), true);
    const jsx$8 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Settings$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "settings"), true);
    const jsx$9 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryString$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "queryString"), true);
    this.key$1 = this.Name$1;
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "SecurityScheme");
    const this$21 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$21);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Type$1, this.DisplayName$1, this.Description$1, this.Headers$1, this.QueryParameters$1, this.Responses$1, this.Settings$1, this.QueryString$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.SecuritySchemeModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ extends $c_O {
  constructor() {
    super();
    this.AdditionalProperties$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AdditionalProperties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "additionalProperties"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Settings")]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$7 = $m_sci_List$();
    this.type$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$7.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.AdditionalProperties$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.SettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$
});
class $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint($$outer) {
    return this
  };
}
const $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1: 0
}, false, "amf.plugins.domain.webapi.models.EndPoint$$anonfun$resourceType$1", {
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1;
class $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint($$outer) {
    return this
  };
}
const $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1: 0
}, false, "amf.plugins.domain.webapi.models.EndPoint$$anonfun$traits$1", {
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1;
class $c_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_domain_webapi_models_Operation($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1: 0
}, false, "amf.plugins.domain.webapi.models.Operation$$anonfun$traits$1", {
  Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1;
class $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DataNode__Z(x1) {
    return $is_Lamf_core_model_domain_ScalarNode(x1)
  };
  applyOrElse__Lamf_core_model_domain_DataNode__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
      const x2 = x1;
      return x2.value$2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DataNode__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DataNode__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.DataNodeMerging$$anonfun$1", {
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YComment(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YComment(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$$anonfun$1", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YDocument(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YDocument(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4 = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$$anonfun$parse$4", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x3) {
    return $is_Lorg_yaml_model_YComment(x3)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x3, $default) {
    if ($is_Lorg_yaml_model_YComment(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5 = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$$anonfun$parse$5", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5;
class $c_Ljava_io_PrintStream extends $c_Ljava_io_FilterOutputStream {
  constructor() {
    super();
    this.encoder$3 = null;
    this.autoFlush$3 = false;
    this.charset$3 = null;
    this.closing$3 = false;
    this.java$io$PrintStream$$closed$3 = false;
    this.errorFlag$3 = false;
    this.bitmap$0$3 = false
  };
  init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset(_out, autoFlush, charset) {
    this.autoFlush$3 = autoFlush;
    this.charset$3 = charset;
    $c_Ljava_io_FilterOutputStream.prototype.init___Ljava_io_OutputStream.call(this, _out);
    this.closing$3 = false;
    this.java$io$PrintStream$$closed$3 = false;
    this.errorFlag$3 = false;
    return this
  };
  println__T__V(s) {
    this.print__T__V(s);
    this.java$lang$JSConsoleBasedPrintStream$$printString__T__V("\n")
  };
}
const $is_Ljava_io_PrintStream = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_io_PrintStream)))
});
const $isArrayOf_Ljava_io_PrintStream = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_io_PrintStream)))
});
class $c_Ljava_nio_CharBuffer extends $c_Ljava_nio_Buffer {
  constructor() {
    super();
    this.$$undarray$2 = null;
    this.$$undarrayOffset$2 = 0
  };
  put__T__I__I__Ljava_nio_CharBuffer(src, start, end) {
    return this.put__Ljava_nio_CharBuffer__Ljava_nio_CharBuffer($m_Ljava_nio_CharBuffer$().wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(src, start, end))
  };
  put__Ljava_nio_CharBuffer__Ljava_nio_CharBuffer(src) {
    if ((src === this)) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    if (this.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const srcLimit = src.$$undlimit$1;
    let srcPos = src.java$nio$Buffer$$$undposition$1;
    const length = ((srcLimit - srcPos) | 0);
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    let selfPos = p;
    src.position__I__Ljava_nio_Buffer(srcLimit);
    const srcArray = src.$$undarray$2;
    if ((srcArray !== null)) {
      const startIndex = selfPos;
      const offset = ((src.$$undarrayOffset$2 + srcPos) | 0);
      this.store__I__AC__I__I__V(startIndex, srcArray, offset, length)
    } else {
      while ((srcPos !== srcLimit)) {
        const index$1 = selfPos;
        const index = srcPos;
        const c = src.load__I__C(index);
        this.store__I__C__V(index$1, c);
        srcPos = ((1 + srcPos) | 0);
        selfPos = ((1 + selfPos) | 0)
      }
    };
    return this
  };
  equals__O__Z(that) {
    if ($is_Ljava_nio_CharBuffer(that)) {
      const x2 = that;
      return (this.compareTo__Ljava_nio_CharBuffer__I(x2) === 0)
    } else {
      return false
    }
  };
  toString__T() {
    if ((this.$$undarray$2 !== null)) {
      return $m_sjsr_RuntimeString$().newString__AC__I__I__T(this.$$undarray$2, ((this.java$nio$Buffer$$$undposition$1 + this.$$undarrayOffset$2) | 0), ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0))
    } else {
      const chars = $newArrayObject($d_C.getArrayOf(), [((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)]);
      const savedPos = this.java$nio$Buffer$$$undposition$1;
      this.get__AC__I__I__Ljava_nio_CharBuffer(chars, 0, chars.u.length);
      this.position__I__Ljava_nio_Buffer(savedPos);
      const this$1 = $m_sjsr_RuntimeString$();
      return this$1.newString__AC__I__I__T(chars, 0, chars.u.length)
    }
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_nio_CharBuffer__I(x$1)
  };
  put__T__Ljava_nio_CharBuffer(src) {
    return this.put__T__I__I__Ljava_nio_CharBuffer(src, 0, (src.length | 0))
  };
  length__I() {
    return ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)
  };
  compareTo__Ljava_nio_CharBuffer__I(that) {
    if ((this === that)) {
      return 0
    } else {
      const thisStart = this.java$nio$Buffer$$$undposition$1;
      const thisRemaining = ((this.$$undlimit$1 - thisStart) | 0);
      const thatStart = that.java$nio$Buffer$$$undposition$1;
      const thatRemaining = ((that.$$undlimit$1 - thatStart) | 0);
      const shortestLength = ((thisRemaining < thatRemaining) ? thisRemaining : thatRemaining);
      let i = 0;
      while ((i !== shortestLength)) {
        const index = ((thisStart + i) | 0);
        const c = this.load__I__C(index);
        const index$1 = ((thatStart + i) | 0);
        const c$1 = that.load__I__C(index$1);
        const cmp = ((c - c$1) | 0);
        if ((cmp !== 0)) {
          return cmp
        };
        i = ((1 + i) | 0)
      };
      return ((thisRemaining === thatRemaining) ? 0 : ((thisRemaining < thatRemaining) ? (-1) : 1))
    }
  };
  init___I__AC__I(_capacity, _array, _arrayOffset) {
    this.$$undarray$2 = _array;
    this.$$undarrayOffset$2 = _arrayOffset;
    $c_Ljava_nio_Buffer.prototype.init___I.call(this, _capacity);
    return this
  };
  hashCode__I() {
    const start = this.java$nio$Buffer$$$undposition$1;
    const end = this.$$undlimit$1;
    let h = (-182887236);
    let i = start;
    while ((i !== end)) {
      const jsx$3 = $m_s_util_hashing_MurmurHash3$();
      const jsx$2 = h;
      const jsx$1 = $m_sr_Statics$();
      const index = i;
      const c = this.load__I__C(index);
      h = jsx$3.mix__I__I__I(jsx$2, jsx$1.anyHash__O__I(new $c_jl_Character().init___C(c)));
      i = ((1 + i) | 0)
    };
    return $m_s_util_hashing_MurmurHash3$().finalizeHash__I__I__I(h, ((end - start) | 0))
  };
  charAt__I__C(index) {
    return this.get__I__C(((this.java$nio$Buffer$$$undposition$1 + index) | 0))
  };
}
const $is_Ljava_nio_CharBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_CharBuffer)))
});
const $isArrayOf_Ljava_nio_CharBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_CharBuffer)))
});
class $c_Ljava_nio_ReadOnlyBufferException extends $c_jl_UnsupportedOperationException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_Ljava_nio_ReadOnlyBufferException = new $TypeData().initClass({
  Ljava_nio_ReadOnlyBufferException: 0
}, false, "java.nio.ReadOnlyBufferException", {
  Ljava_nio_ReadOnlyBufferException: 1,
  jl_UnsupportedOperationException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_ReadOnlyBufferException.prototype.$classData = $d_Ljava_nio_ReadOnlyBufferException;
class $c_Ljava_nio_charset_MalformedInputException extends $c_Ljava_nio_charset_CharacterCodingException {
  constructor() {
    super();
    this.inputLength$5 = 0
  };
  getMessage__T() {
    return ("Input length = " + this.inputLength$5)
  };
  init___I(inputLength) {
    this.inputLength$5 = inputLength;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_Ljava_nio_charset_MalformedInputException = new $TypeData().initClass({
  Ljava_nio_charset_MalformedInputException: 0
}, false, "java.nio.charset.MalformedInputException", {
  Ljava_nio_charset_MalformedInputException: 1,
  Ljava_nio_charset_CharacterCodingException: 1,
  Ljava_io_IOException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_charset_MalformedInputException.prototype.$classData = $d_Ljava_nio_charset_MalformedInputException;
class $c_Ljava_nio_charset_UnmappableCharacterException extends $c_Ljava_nio_charset_CharacterCodingException {
  constructor() {
    super();
    this.inputLength$5 = 0
  };
  getMessage__T() {
    return ("Input length = " + this.inputLength$5)
  };
  init___I(inputLength) {
    this.inputLength$5 = inputLength;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_Ljava_nio_charset_UnmappableCharacterException = new $TypeData().initClass({
  Ljava_nio_charset_UnmappableCharacterException: 0
}, false, "java.nio.charset.UnmappableCharacterException", {
  Ljava_nio_charset_UnmappableCharacterException: 1,
  Ljava_nio_charset_CharacterCodingException: 1,
  Ljava_io_IOException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_charset_UnmappableCharacterException.prototype.$classData = $d_Ljava_nio_charset_UnmappableCharacterException;
class $c_Ljava_nio_charset_UnsupportedCharsetException extends $c_jl_IllegalArgumentException {
  constructor() {
    super();
    this.charsetName$5 = null
  };
  init___T(charsetName) {
    this.charsetName$5 = charsetName;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, charsetName, null);
    return this
  };
}
const $d_Ljava_nio_charset_UnsupportedCharsetException = new $TypeData().initClass({
  Ljava_nio_charset_UnsupportedCharsetException: 0
}, false, "java.nio.charset.UnsupportedCharsetException", {
  Ljava_nio_charset_UnsupportedCharsetException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_charset_UnsupportedCharsetException.prototype.$classData = $d_Ljava_nio_charset_UnsupportedCharsetException;
class $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState extends $c_O {
  constructor() {
    super();
    this.column$1 = 0;
    this.line$1 = 0;
    this.offset$1 = 0;
    this.nextOffset$1 = 0;
    this.current$1 = 0
  };
  productPrefix__T() {
    return "InputState"
  };
  productArity__I() {
    return 5
  };
  init__jl_CharSequence__I__Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState(data, endOffset) {
    if ((endOffset !== 0)) {
      this.column$1 = (-1);
      this.offset$1 = (-1);
      this.consume__jl_CharSequence__I__V(data, endOffset)
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState(x$1)) {
      const InputState$1 = x$1;
      return (((((this.column$1 === InputState$1.column$1) && (this.line$1 === InputState$1.line$1)) && (this.offset$1 === InputState$1.offset$1)) && (this.nextOffset$1 === InputState$1.nextOffset$1)) && (this.current$1 === InputState$1.current$1))
    } else {
      return false
    }
  };
  consume__jl_CharSequence__I__V(data, endOffset) {
    if ((this.current$1 === 10)) {
      this.column$1 = 0;
      this.line$1 = ((1 + this.line$1) | 0)
    } else {
      this.column$1 = ((this.column$1 + ((this.nextOffset$1 - this.offset$1) | 0)) | 0)
    };
    this.offset$1 = this.nextOffset$1;
    if ((this.offset$1 >= endOffset)) {
      this.current$1 = $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1;
      return (void 0)
    };
    const chr = $charSequenceCharAt(data, this.offset$1);
    this.nextOffset$1 = ((1 + this.nextOffset$1) | 0);
    if ((((64512 & chr) === 55296) && (this.nextOffset$1 < endOffset))) {
      const c2 = $charSequenceCharAt(data, this.nextOffset$1);
      if (((64512 & c2) === 56320)) {
        this.nextOffset$1 = ((1 + this.nextOffset$1) | 0);
        this.current$1 = ((65536 + ((((1023 & chr) << 10) + (1023 & c2)) | 0)) | 0);
        return (void 0)
      }
    };
    this.current$1 = chr
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.column$1;
        break
      }
      case 1: {
        return this.line$1;
        break
      }
      case 2: {
        return this.offset$1;
        break
      }
      case 3: {
        return this.nextOffset$1;
        break
      }
      case 4: {
        return this.current$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  nonEof__Z() {
    return (this.current$1 !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)
  };
  init___I__I__I__I__I(column, line, offset, nextOffset, current) {
    this.column$1 = column;
    this.line$1 = line;
    this.offset$1 = offset;
    this.nextOffset$1 = nextOffset;
    this.current$1 = current;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.column$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.line$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.offset$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.nextOffset$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.current$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState)))
});
const $isArrayOf_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState)))
});
const $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState = new $TypeData().initClass({
  Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState: 0
}, false, "org.mulesoft.lexer.CharSequenceLexerInput$InputState", {
  Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState: 1,
  O: 1,
  Lorg_mulesoft_lexer_LexerInput$Mark: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState.prototype.$classData = $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState;
class $c_Lorg_yaml_lexer_BlockIn$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "BlockIn"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "BlockIn"
  };
  hashCode__I() {
    return 1643214450
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_BlockIn$ = new $TypeData().initClass({
  Lorg_yaml_lexer_BlockIn$: 0
}, false, "org.yaml.lexer.BlockIn$", {
  Lorg_yaml_lexer_BlockIn$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_BlockIn$.prototype.$classData = $d_Lorg_yaml_lexer_BlockIn$;
let $n_Lorg_yaml_lexer_BlockIn$ = (void 0);
const $m_Lorg_yaml_lexer_BlockIn$ = (function() {
  if ((!$n_Lorg_yaml_lexer_BlockIn$)) {
    $n_Lorg_yaml_lexer_BlockIn$ = new $c_Lorg_yaml_lexer_BlockIn$().init___()
  };
  return $n_Lorg_yaml_lexer_BlockIn$
});
class $c_Lorg_yaml_lexer_BlockKey$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "BlockKey"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "BlockKey"
  };
  hashCode__I() {
    return (-599957838)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_BlockKey$ = new $TypeData().initClass({
  Lorg_yaml_lexer_BlockKey$: 0
}, false, "org.yaml.lexer.BlockKey$", {
  Lorg_yaml_lexer_BlockKey$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_BlockKey$.prototype.$classData = $d_Lorg_yaml_lexer_BlockKey$;
let $n_Lorg_yaml_lexer_BlockKey$ = (void 0);
const $m_Lorg_yaml_lexer_BlockKey$ = (function() {
  if ((!$n_Lorg_yaml_lexer_BlockKey$)) {
    $n_Lorg_yaml_lexer_BlockKey$ = new $c_Lorg_yaml_lexer_BlockKey$().init___()
  };
  return $n_Lorg_yaml_lexer_BlockKey$
});
class $c_Lorg_yaml_lexer_BlockOut$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "BlockOut"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "BlockOut"
  };
  hashCode__I() {
    return (-599953503)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_BlockOut$ = new $TypeData().initClass({
  Lorg_yaml_lexer_BlockOut$: 0
}, false, "org.yaml.lexer.BlockOut$", {
  Lorg_yaml_lexer_BlockOut$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_BlockOut$.prototype.$classData = $d_Lorg_yaml_lexer_BlockOut$;
let $n_Lorg_yaml_lexer_BlockOut$ = (void 0);
const $m_Lorg_yaml_lexer_BlockOut$ = (function() {
  if ((!$n_Lorg_yaml_lexer_BlockOut$)) {
    $n_Lorg_yaml_lexer_BlockOut$ = new $c_Lorg_yaml_lexer_BlockOut$().init___()
  };
  return $n_Lorg_yaml_lexer_BlockOut$
});
class $c_Lorg_yaml_lexer_FlowIn$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "FlowIn"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "FlowIn"
  };
  hashCode__I() {
    return 2107204371
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_FlowIn$ = new $TypeData().initClass({
  Lorg_yaml_lexer_FlowIn$: 0
}, false, "org.yaml.lexer.FlowIn$", {
  Lorg_yaml_lexer_FlowIn$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_FlowIn$.prototype.$classData = $d_Lorg_yaml_lexer_FlowIn$;
let $n_Lorg_yaml_lexer_FlowIn$ = (void 0);
const $m_Lorg_yaml_lexer_FlowIn$ = (function() {
  if ((!$n_Lorg_yaml_lexer_FlowIn$)) {
    $n_Lorg_yaml_lexer_FlowIn$ = new $c_Lorg_yaml_lexer_FlowIn$().init___()
  };
  return $n_Lorg_yaml_lexer_FlowIn$
});
class $c_Lorg_yaml_lexer_FlowKey$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "FlowKey"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "FlowKey"
  };
  hashCode__I() {
    return 898827825
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_FlowKey$ = new $TypeData().initClass({
  Lorg_yaml_lexer_FlowKey$: 0
}, false, "org.yaml.lexer.FlowKey$", {
  Lorg_yaml_lexer_FlowKey$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_FlowKey$.prototype.$classData = $d_Lorg_yaml_lexer_FlowKey$;
let $n_Lorg_yaml_lexer_FlowKey$ = (void 0);
const $m_Lorg_yaml_lexer_FlowKey$ = (function() {
  if ((!$n_Lorg_yaml_lexer_FlowKey$)) {
    $n_Lorg_yaml_lexer_FlowKey$ = new $c_Lorg_yaml_lexer_FlowKey$().init___()
  };
  return $n_Lorg_yaml_lexer_FlowKey$
});
class $c_Lorg_yaml_lexer_FlowOut$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "FlowOut"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "FlowOut"
  };
  hashCode__I() {
    return 898832160
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_FlowOut$ = new $TypeData().initClass({
  Lorg_yaml_lexer_FlowOut$: 0
}, false, "org.yaml.lexer.FlowOut$", {
  Lorg_yaml_lexer_FlowOut$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_FlowOut$.prototype.$classData = $d_Lorg_yaml_lexer_FlowOut$;
let $n_Lorg_yaml_lexer_FlowOut$ = (void 0);
const $m_Lorg_yaml_lexer_FlowOut$ = (function() {
  if ((!$n_Lorg_yaml_lexer_FlowOut$)) {
    $n_Lorg_yaml_lexer_FlowOut$ = new $c_Lorg_yaml_lexer_FlowOut$().init___()
  };
  return $n_Lorg_yaml_lexer_FlowOut$
});
class $c_Lorg_yaml_model_YDirective extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.args$1 = null;
    this.children$1 = null;
    this.range$1 = null
  };
  init___T__sc_IndexedSeq__sc_IndexedSeq(name, args, children) {
    this.name$1 = name;
    this.args$1 = args;
    this.children$1 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  productPrefix__T() {
    return "YDirective"
  };
  children__sc_IndexedSeq() {
    return this.children$1
  };
  productArity__I() {
    return 3
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$1 = x$1
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YDirective(obj)) {
      const x2 = obj;
      if ((this.name$1 === x2.name$1)) {
        const x = this.args$1;
        const x$2 = x2.args$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.args$1;
        break
      }
      case 2: {
        return this.children$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["%", " ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.name$1, this.args$1.mkString__T__T(" ")]))
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
  hashCode__I() {
    const this$1 = this.name$1;
    return (($m_sjsr_RuntimeString$().hashCode__T__I(this$1) + $imul(31, this.args$1.hashCode__I())) | 0)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YDirective = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDirective)))
});
const $isArrayOf_Lorg_yaml_model_YDirective = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDirective)))
});
const $d_Lorg_yaml_model_YDirective = new $TypeData().initClass({
  Lorg_yaml_model_YDirective: 0
}, false, "org.yaml.model.YDirective", {
  Lorg_yaml_model_YDirective: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDirective.prototype.$classData = $d_Lorg_yaml_model_YDirective;
class $c_Lorg_yaml_model_YDocument$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YNode(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YNode(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YDocument($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YDocument$$anonfun$1 = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$$anonfun$1: 0
}, false, "org.yaml.model.YDocument$$anonfun$1", {
  Lorg_yaml_model_YDocument$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument$$anonfun$1.prototype.$classData = $d_Lorg_yaml_model_YDocument$$anonfun$1;
class $c_Lorg_yaml_model_YDocument$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YComment(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YComment(x2)) {
      const x2$2 = x2;
      return x2$2.metaText$3
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YDocument($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YDocument$$anonfun$2 = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$$anonfun$2: 0
}, false, "org.yaml.model.YDocument$$anonfun$2", {
  Lorg_yaml_model_YDocument$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument$$anonfun$2.prototype.$classData = $d_Lorg_yaml_model_YDocument$$anonfun$2;
class $c_Lorg_yaml_model_YMap$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YMapEntry(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YMapEntry(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YMap($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YMap$$anonfun$1 = new $TypeData().initClass({
  Lorg_yaml_model_YMap$$anonfun$1: 0
}, false, "org.yaml.model.YMap$$anonfun$1", {
  Lorg_yaml_model_YMap$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YMap$$anonfun$1.prototype.$classData = $d_Lorg_yaml_model_YMap$$anonfun$1;
class $c_Lorg_yaml_model_YMapEntry$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YNode(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YNode(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lorg_yaml_model_YMapEntry$$anonfun$2 = new $TypeData().initClass({
  Lorg_yaml_model_YMapEntry$$anonfun$2: 0
}, false, "org.yaml.model.YMapEntry$$anonfun$2", {
  Lorg_yaml_model_YMapEntry$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YMapEntry$$anonfun$2.prototype.$classData = $d_Lorg_yaml_model_YMapEntry$$anonfun$2;
class $c_Lorg_yaml_model_YNode$Alias extends $c_Lorg_yaml_model_YNode$Ref {
  constructor() {
    super();
    this.name$5 = null;
    this.target$5 = null
  };
  init___T__Lorg_yaml_model_YNode__sc_IndexedSeq(name, target, cs) {
    this.name$5 = name;
    this.target$5 = target;
    $c_Lorg_yaml_model_YNode.prototype.init___sc_IndexedSeq.call(this, cs);
    return this
  };
  toString__T() {
    return ("*" + this.name$5)
  };
  tag__Lorg_yaml_model_YTag() {
    return this.target$5.tag__Lorg_yaml_model_YTag()
  };
  value__Lorg_yaml_model_YValue() {
    return this.target$5.value__Lorg_yaml_model_YValue()
  };
}
const $is_Lorg_yaml_model_YNode$Alias = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode$Alias)))
});
const $isArrayOf_Lorg_yaml_model_YNode$Alias = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode$Alias)))
});
const $d_Lorg_yaml_model_YNode$Alias = new $TypeData().initClass({
  Lorg_yaml_model_YNode$Alias: 0
}, false, "org.yaml.model.YNode$Alias", {
  Lorg_yaml_model_YNode$Alias: 1,
  Lorg_yaml_model_YNode$Ref: 1,
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode$Alias.prototype.$classData = $d_Lorg_yaml_model_YNode$Alias;
class $c_Lorg_yaml_model_YNode$MutRef extends $c_Lorg_yaml_model_YNode$Ref {
  constructor() {
    super();
    this.origValue$5 = null;
    this.origTag$5 = null;
    this.target$5 = null
  };
  tag__Lorg_yaml_model_YTag() {
    const this$1 = this.target$5;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      this$2 = new $c_s_Some().init___O(x$2.tag__Lorg_yaml_model_YTag())
    };
    return (this$2.isEmpty__Z() ? this.origTag$5 : this$2.get__O())
  };
  value__Lorg_yaml_model_YValue() {
    const this$1 = this.target$5;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      this$2 = new $c_s_Some().init___O(x$1.value__Lorg_yaml_model_YValue())
    };
    return (this$2.isEmpty__Z() ? this.origValue$5 : this$2.get__O())
  };
  init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__sc_IndexedSeq(origValue, origTag, cs) {
    this.origValue$5 = origValue;
    this.origTag$5 = origTag;
    $c_Lorg_yaml_model_YNode.prototype.init___sc_IndexedSeq.call(this, cs);
    this.target$5 = $m_s_None$();
    return this
  };
}
const $is_Lorg_yaml_model_YNode$MutRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode$MutRef)))
});
const $isArrayOf_Lorg_yaml_model_YNode$MutRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode$MutRef)))
});
const $d_Lorg_yaml_model_YNode$MutRef = new $TypeData().initClass({
  Lorg_yaml_model_YNode$MutRef: 0
}, false, "org.yaml.model.YNode$MutRef", {
  Lorg_yaml_model_YNode$MutRef: 1,
  Lorg_yaml_model_YNode$Ref: 1,
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode$MutRef.prototype.$classData = $d_Lorg_yaml_model_YNode$MutRef;
class $c_Lorg_yaml_model_YSequence$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YNode(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YNode(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YSequence($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YSequence$$anonfun$1 = new $TypeData().initClass({
  Lorg_yaml_model_YSequence$$anonfun$1: 0
}, false, "org.yaml.model.YSequence$$anonfun$1", {
  Lorg_yaml_model_YSequence$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YSequence$$anonfun$1.prototype.$classData = $d_Lorg_yaml_model_YSequence$$anonfun$1;
class $c_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YTag(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YTag(x2)) {
      const x2$2 = x2;
      const tag = x2$2.text$2;
      return this.$$outer$2.org$yaml$parser$YamlParser$$directiveArgs$1.$$plus$eq__O__scm_ListBuffer(tag)
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_parser_YamlParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
}
const $d_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1 = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1: 0
}, false, "org.yaml.parser.YamlParser$$anonfun$createDirective$1", {
  Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1.prototype.$classData = $d_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1;
class $c_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YComment(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YComment(x1)) {
      const x2 = x1;
      const txt = x2.metaText$3;
      return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([" #", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([txt]))
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lorg_yaml_render_YamlRender($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2 = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2: 0
}, false, "org.yaml.render.YamlRender$$anonfun$renderAsLiteral$2", {
  Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2.prototype.$classData = $d_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2;
class $c_Lscopt_Arg$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Arg"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Arg"
  };
  hashCode__I() {
    return 66102
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Arg$ = new $TypeData().initClass({
  Lscopt_Arg$: 0
}, false, "scopt.Arg$", {
  Lscopt_Arg$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Arg$.prototype.$classData = $d_Lscopt_Arg$;
let $n_Lscopt_Arg$ = (void 0);
const $m_Lscopt_Arg$ = (function() {
  if ((!$n_Lscopt_Arg$)) {
    $n_Lscopt_Arg$ = new $c_Lscopt_Arg$().init___()
  };
  return $n_Lscopt_Arg$
});
class $c_Lscopt_Check$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Check"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Check"
  };
  hashCode__I() {
    return 65074408
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Check$ = new $TypeData().initClass({
  Lscopt_Check$: 0
}, false, "scopt.Check$", {
  Lscopt_Check$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Check$.prototype.$classData = $d_Lscopt_Check$;
let $n_Lscopt_Check$ = (void 0);
const $m_Lscopt_Check$ = (function() {
  if ((!$n_Lscopt_Check$)) {
    $n_Lscopt_Check$ = new $c_Lscopt_Check$().init___()
  };
  return $n_Lscopt_Check$
});
class $c_Lscopt_Cmd$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Cmd"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Cmd"
  };
  hashCode__I() {
    return 67866
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Cmd$ = new $TypeData().initClass({
  Lscopt_Cmd$: 0
}, false, "scopt.Cmd$", {
  Lscopt_Cmd$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Cmd$.prototype.$classData = $d_Lscopt_Cmd$;
let $n_Lscopt_Cmd$ = (void 0);
const $m_Lscopt_Cmd$ = (function() {
  if ((!$n_Lscopt_Cmd$)) {
    $n_Lscopt_Cmd$ = new $c_Lscopt_Cmd$().init___()
  };
  return $n_Lscopt_Cmd$
});
class $c_Lscopt_Head$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Head"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Head"
  };
  hashCode__I() {
    return 2245120
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Head$ = new $TypeData().initClass({
  Lscopt_Head$: 0
}, false, "scopt.Head$", {
  Lscopt_Head$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Head$.prototype.$classData = $d_Lscopt_Head$;
let $n_Lscopt_Head$ = (void 0);
const $m_Lscopt_Head$ = (function() {
  if ((!$n_Lscopt_Head$)) {
    $n_Lscopt_Head$ = new $c_Lscopt_Head$().init___()
  };
  return $n_Lscopt_Head$
});
class $c_Lscopt_Note$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Note"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Note"
  };
  hashCode__I() {
    return 2434066
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Note$ = new $TypeData().initClass({
  Lscopt_Note$: 0
}, false, "scopt.Note$", {
  Lscopt_Note$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Note$.prototype.$classData = $d_Lscopt_Note$;
let $n_Lscopt_Note$ = (void 0);
const $m_Lscopt_Note$ = (function() {
  if ((!$n_Lscopt_Note$)) {
    $n_Lscopt_Note$ = new $c_Lscopt_Note$().init___()
  };
  return $n_Lscopt_Note$
});
class $c_Lscopt_Opt$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Opt"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Opt"
  };
  hashCode__I() {
    return 79507
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Opt$ = new $TypeData().initClass({
  Lscopt_Opt$: 0
}, false, "scopt.Opt$", {
  Lscopt_Opt$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Opt$.prototype.$classData = $d_Lscopt_Opt$;
let $n_Lscopt_Opt$ = (void 0);
const $m_Lscopt_Opt$ = (function() {
  if ((!$n_Lscopt_Opt$)) {
    $n_Lscopt_Opt$ = new $c_Lscopt_Opt$().init___()
  };
  return $n_Lscopt_Opt$
});
class $c_Lscopt_RenderingMode$OneColumn$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "OneColumn"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "OneColumn"
  };
  hashCode__I() {
    return (-1151817412)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_RenderingMode$OneColumn$ = new $TypeData().initClass({
  Lscopt_RenderingMode$OneColumn$: 0
}, false, "scopt.RenderingMode$OneColumn$", {
  Lscopt_RenderingMode$OneColumn$: 1,
  O: 1,
  Lscopt_RenderingMode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_RenderingMode$OneColumn$.prototype.$classData = $d_Lscopt_RenderingMode$OneColumn$;
let $n_Lscopt_RenderingMode$OneColumn$ = (void 0);
const $m_Lscopt_RenderingMode$OneColumn$ = (function() {
  if ((!$n_Lscopt_RenderingMode$OneColumn$)) {
    $n_Lscopt_RenderingMode$OneColumn$ = new $c_Lscopt_RenderingMode$OneColumn$().init___()
  };
  return $n_Lscopt_RenderingMode$OneColumn$
});
class $c_Lscopt_RenderingMode$TwoColumns$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "TwoColumns"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "TwoColumns"
  };
  hashCode__I() {
    return (-1168155631)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_RenderingMode$TwoColumns$ = new $TypeData().initClass({
  Lscopt_RenderingMode$TwoColumns$: 0
}, false, "scopt.RenderingMode$TwoColumns$", {
  Lscopt_RenderingMode$TwoColumns$: 1,
  O: 1,
  Lscopt_RenderingMode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_RenderingMode$TwoColumns$.prototype.$classData = $d_Lscopt_RenderingMode$TwoColumns$;
let $n_Lscopt_RenderingMode$TwoColumns$ = (void 0);
const $m_Lscopt_RenderingMode$TwoColumns$ = (function() {
  if ((!$n_Lscopt_RenderingMode$TwoColumns$)) {
    $n_Lscopt_RenderingMode$TwoColumns$ = new $c_Lscopt_RenderingMode$TwoColumns$().init___()
  };
  return $n_Lscopt_RenderingMode$TwoColumns$
});
class $c_Lscopt_platform$$anonfun$applyArgumentExHandler$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.desc$1$2 = null;
    this.arg$1$2 = null
  };
  init___T__T(desc$1, arg$1) {
    this.desc$1$2 = desc$1;
    this.arg$1$2 = arg$1;
    return this
  };
  isDefinedAt__jl_Throwable__Z(x1) {
    return ($is_jl_NumberFormatException(x1) || ($is_Lscopt_ParseException(x1) || (x1 !== null)))
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    if ($is_jl_NumberFormatException(x1)) {
      $m_s_package$();
      const value = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(((this.desc$1$2 + " expects a number but was given '") + this.arg$1$2) + "'")]));
      return new $c_s_util_Left().init___O(value)
    } else if ($is_Lscopt_ParseException(x1)) {
      $m_s_package$();
      const value$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(((this.desc$1$2 + " expects a Scala duration but was given '") + this.arg$1$2) + "'")]));
      return new $c_s_util_Left().init___O(value$1)
    } else if ((x1 !== null)) {
      $m_s_package$();
      const value$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([((((this.desc$1$2 + " failed when given '") + this.arg$1$2) + "'. ") + x1.getMessage__T())]));
      return new $c_s_util_Left().init___O(value$2)
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lscopt_platform$$anonfun$applyArgumentExHandler$1 = new $TypeData().initClass({
  Lscopt_platform$$anonfun$applyArgumentExHandler$1: 0
}, false, "scopt.platform$$anonfun$applyArgumentExHandler$1", {
  Lscopt_platform$$anonfun$applyArgumentExHandler$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_platform$$anonfun$applyArgumentExHandler$1.prototype.$classData = $d_Lscopt_platform$$anonfun$applyArgumentExHandler$1;
class $c_T2 extends $c_O {
  constructor() {
    super();
    this.$$und1$f = null;
    this.$$und2$f = null
  };
  productPrefix__T() {
    return "Tuple2"
  };
  $$und1$mcI$sp__I() {
    return (this.$$und1__O() | 0)
  };
  $$und2$mcC$sp__C() {
    const c = this.$$und2__O();
    if ((c === null)) {
      return 0
    } else {
      const this$2 = c;
      return this$2.value$1
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_T2(x$1)) {
      const Tuple2$1 = x$1;
      return ($m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und1__O(), Tuple2$1.$$und1__O()) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und2__O(), Tuple2$1.$$und2__O()))
    } else {
      return false
    }
  };
  productElement__I__O(n) {
    return $f_s_Product2__productElement__I__O(this, n)
  };
  init___O__O(_1, _2) {
    this.$$und1$f = _1;
    this.$$und2$f = _2;
    return this
  };
  toString__T() {
    return (((("(" + this.$$und1__O()) + ",") + this.$$und2__O()) + ")")
  };
  $$und2__O() {
    return this.$$und2$f
  };
  $$und2$mcI$sp__I() {
    return (this.$$und2__O() | 0)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$und1__O() {
    return this.$$und1$f
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_T2 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.T2)))
});
const $isArrayOf_T2 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T2)))
});
const $d_T2 = new $TypeData().initClass({
  T2: 0
}, false, "scala.Tuple2", {
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_T2.prototype.$classData = $d_T2;
class $c_T3 extends $c_O {
  constructor() {
    super();
    this.$$und1$1 = null;
    this.$$und2$1 = null;
    this.$$und3$1 = null
  };
  productPrefix__T() {
    return "Tuple3"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_T3(x$1)) {
      const Tuple3$1 = x$1;
      return (($m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und1$1, Tuple3$1.$$und1$1) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und2$1, Tuple3$1.$$und2$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und3$1, Tuple3$1.$$und3$1))
    } else {
      return false
    }
  };
  productElement__I__O(n) {
    return $f_s_Product3__productElement__I__O(this, n)
  };
  toString__T() {
    return (((((("(" + this.$$und1$1) + ",") + this.$$und2$1) + ",") + this.$$und3$1) + ")")
  };
  init___O__O__O(_1, _2, _3) {
    this.$$und1$1 = _1;
    this.$$und2$1 = _2;
    this.$$und3$1 = _3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_T3 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.T3)))
});
const $isArrayOf_T3 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T3)))
});
const $d_T3 = new $TypeData().initClass({
  T3: 0
}, false, "scala.Tuple3", {
  T3: 1,
  O: 1,
  s_Product3: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_T3.prototype.$classData = $d_T3;
class $c_jl_ArrayIndexOutOfBoundsException extends $c_jl_IndexOutOfBoundsException {
  init___I(index) {
    const s = ("Array index out of range: " + index);
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_ArrayIndexOutOfBoundsException = new $TypeData().initClass({
  jl_ArrayIndexOutOfBoundsException: 0
}, false, "java.lang.ArrayIndexOutOfBoundsException", {
  jl_ArrayIndexOutOfBoundsException: 1,
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArrayIndexOutOfBoundsException.prototype.$classData = $d_jl_ArrayIndexOutOfBoundsException;
class $c_jl_NumberFormatException extends $c_jl_IllegalArgumentException {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_jl_NumberFormatException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_NumberFormatException)))
});
const $isArrayOf_jl_NumberFormatException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_NumberFormatException)))
});
const $d_jl_NumberFormatException = new $TypeData().initClass({
  jl_NumberFormatException: 0
}, false, "java.lang.NumberFormatException", {
  jl_NumberFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NumberFormatException.prototype.$classData = $d_jl_NumberFormatException;
class $c_jl_StringIndexOutOfBoundsException extends $c_jl_IndexOutOfBoundsException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___I(index) {
    const s = ("String index out of range: " + index);
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_StringIndexOutOfBoundsException = new $TypeData().initClass({
  jl_StringIndexOutOfBoundsException: 0
}, false, "java.lang.StringIndexOutOfBoundsException", {
  jl_StringIndexOutOfBoundsException: 1,
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringIndexOutOfBoundsException.prototype.$classData = $d_jl_StringIndexOutOfBoundsException;
class $c_s_None$ extends $c_s_Option {
  init___() {
    return this
  };
  productPrefix__T() {
    return "None"
  };
  productArity__I() {
    return 0
  };
  isEmpty__Z() {
    return true
  };
  get__O() {
    this.get__sr_Nothing$()
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "None"
  };
  get__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("None.get")
  };
  hashCode__I() {
    return 2433880
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_s_None$ = new $TypeData().initClass({
  s_None$: 0
}, false, "scala.None$", {
  s_None$: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_None$.prototype.$classData = $d_s_None$;
let $n_s_None$ = (void 0);
const $m_s_None$ = (function() {
  if ((!$n_s_None$)) {
    $n_s_None$ = new $c_s_None$().init___()
  };
  return $n_s_None$
});
class $c_s_PartialFunction$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__O__Z(x1) {
    return true
  };
  applyOrElse__O__F1__O(x1, $default) {
    return $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f
  };
}
const $d_s_PartialFunction$$anonfun$1 = new $TypeData().initClass({
  s_PartialFunction$$anonfun$1: 0
}, false, "scala.PartialFunction$$anonfun$1", {
  s_PartialFunction$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$$anonfun$1.prototype.$classData = $d_s_PartialFunction$$anonfun$1;
class $c_s_Some extends $c_s_Option {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Some"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_Some(x$1)) {
      const Some$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Some$1.value$2)
    } else {
      return false
    }
  };
  isEmpty__Z() {
    return false
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  get__O() {
    return this.value$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_Some = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Some)))
});
const $isArrayOf_s_Some = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Some)))
});
const $d_s_Some = new $TypeData().initClass({
  s_Some: 0
}, false, "scala.Some", {
  s_Some: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Some.prototype.$classData = $d_s_Some;
class $c_s_StringContext$InvalidEscapeException extends $c_jl_IllegalArgumentException {
  constructor() {
    super();
    this.index$5 = 0
  };
  init___T__I(str, index) {
    this.index$5 = index;
    const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["invalid escape ", " index ", " in \"", "\". Use \\\\\\\\ for literal \\\\."]));
    $m_s_Predef$().require__Z__V(((index >= 0) && (index < (str.length | 0))));
    let jsx$1;
    if ((index === (((-1) + (str.length | 0)) | 0))) {
      jsx$1 = "at terminal"
    } else {
      const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["'\\\\", "' not one of ", " at"]));
      const index$1 = ((1 + index) | 0);
      const c = (65535 & (str.charCodeAt(index$1) | 0));
      jsx$1 = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_jl_Character().init___C(c), "[\\b, \\t, \\n, \\f, \\r, \\\\, \\\", \\']"]))
    };
    const s = jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, index, str]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_s_StringContext$InvalidEscapeException = new $TypeData().initClass({
  s_StringContext$InvalidEscapeException: 0
}, false, "scala.StringContext$InvalidEscapeException", {
  s_StringContext$InvalidEscapeException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$InvalidEscapeException.prototype.$classData = $d_s_StringContext$InvalidEscapeException;
class $c_s_concurrent_duration_Duration$Infinite extends $c_s_concurrent_duration_Duration {
}
class $c_s_concurrent_duration_FiniteDuration extends $c_s_concurrent_duration_Duration {
  constructor() {
    super();
    this.length$2 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.unit$2 = null
  };
  unitString__p2__T() {
    const jsx$1 = $m_s_concurrent_duration_Duration$().timeUnitName$1.apply__O__O(this.unit$2);
    const t = this.length$2;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return (jsx$1 + (((lo === 1) && (hi === 0)) ? "" : "s"))
  };
  equals__O__Z(other) {
    if ($is_s_concurrent_duration_FiniteDuration(other)) {
      const x2 = other;
      const t = this.unit$2.toNanos__J__J(this.length$2);
      const lo = t.lo$2;
      const hi = t.hi$2;
      const b = x2.unit$2.toNanos__J__J(x2.length$2);
      return ((lo === b.lo$2) && (hi === b.hi$2))
    } else {
      return (this === other)
    }
  };
  toString__T() {
    return ((this.length$2 + " ") + this.unitString__p2__T())
  };
  init___J__ju_concurrent_TimeUnit(length, unit) {
    this.length$2 = length;
    this.unit$2 = unit;
    const x = $m_ju_concurrent_TimeUnit$().NANOSECONDS$1;
    let requirement;
    if ((x === unit)) {
      requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I((-1), 2147483647))
    } else {
      const x$3 = $m_ju_concurrent_TimeUnit$().MICROSECONDS$1;
      if ((x$3 === unit)) {
        requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
      } else {
        const x$5 = $m_ju_concurrent_TimeUnit$().MILLISECONDS$1;
        if ((x$5 === unit)) {
          requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(2077252342, 2147))
        } else {
          const x$7 = $m_ju_concurrent_TimeUnit$().SECONDS$1;
          if ((x$7 === unit)) {
            requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(633437444, 2))
          } else {
            const x$9 = $m_ju_concurrent_TimeUnit$().MINUTES$1;
            if ((x$9 === unit)) {
              requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(153722867, 0))
            } else {
              const x$11 = $m_ju_concurrent_TimeUnit$().HOURS$1;
              if ((x$11 === unit)) {
                requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(2562047, 0))
              } else {
                const x$13 = $m_ju_concurrent_TimeUnit$().DAYS$1;
                if ((x$13 === unit)) {
                  requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(106751, 0))
                } else {
                  const t = $m_ju_concurrent_TimeUnit$().DAYS$1.convert__J__ju_concurrent_TimeUnit__J(length, unit);
                  const lo = t.lo$2;
                  const hi = t.hi$2;
                  requirement = (((hi === (-1)) ? (((-2147483648) ^ lo) >= 2147376897) : (hi > (-1))) && ((hi === 0) ? (((-2147483648) ^ lo) <= (-2147376897)) : (hi < 0)))
                }
              }
            }
          }
        }
      }
    };
    if ((!requirement)) {
      throw new $c_jl_IllegalArgumentException().init___T("requirement failed: Duration is limited to +-(2^63-1)ns (ca. 292 years)")
    };
    return this
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    if ($is_s_concurrent_duration_FiniteDuration(other)) {
      const x2 = other;
      const t = this.unit$2.toNanos__J__J(this.length$2);
      const lo = t.lo$2;
      const hi = t.hi$2;
      const this$2 = new $c_sr_RichLong().init___J(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const t$1 = x2.unit$2.toNanos__J__J(x2.length$2);
      const lo$1 = t$1.lo$2;
      const hi$1 = t$1.hi$2;
      const t$3 = this$2.self$1;
      const lo$3 = t$3.lo$2;
      const hi$3 = t$3.hi$2;
      const t$4 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$3));
      const lo$4 = t$4.lo$2;
      const hi$4 = t$4.hi$2;
      const t$5 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1));
      const lo$5 = t$5.lo$2;
      const hi$5 = t$5.hi$2;
      return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(lo$4, hi$4, lo$5, hi$5)
    } else {
      return ((-other.compare__s_concurrent_duration_Duration__I(this)) | 0)
    }
  };
  bounded__p2__J__Z(max) {
    const lo = max.lo$2;
    const hi = max.hi$2;
    const lo$1 = ((-lo) | 0);
    const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
    const b = this.length$2;
    const bhi = b.hi$2;
    if (((hi$1 === bhi) ? (((-2147483648) ^ lo$1) <= ((-2147483648) ^ b.lo$2)) : (hi$1 < bhi))) {
      const t = this.length$2;
      const lo$2 = t.lo$2;
      const hi$2 = t.hi$2;
      const bhi$1 = max.hi$2;
      return ((hi$2 === bhi$1) ? (((-2147483648) ^ lo$2) <= ((-2147483648) ^ max.lo$2)) : (hi$2 < bhi$1))
    } else {
      return false
    }
  };
  hashCode__I() {
    const t = this.unit$2.toNanos__J__J(this.length$2);
    const lo = t.lo$2;
    return lo
  };
}
const $is_s_concurrent_duration_FiniteDuration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_duration_FiniteDuration)))
});
const $isArrayOf_s_concurrent_duration_FiniteDuration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_duration_FiniteDuration)))
});
const $d_s_concurrent_duration_FiniteDuration = new $TypeData().initClass({
  s_concurrent_duration_FiniteDuration: 0
}, false, "scala.concurrent.duration.FiniteDuration", {
  s_concurrent_duration_FiniteDuration: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_FiniteDuration.prototype.$classData = $d_s_concurrent_duration_FiniteDuration;
class $c_s_concurrent_impl_Promise$KeptPromise$Failed extends $c_O {
  constructor() {
    super();
    this.result$1 = null
  };
  init___s_util_Failure(result) {
    this.result$1 = result;
    return this
  };
  tryComplete__s_util_Try__Z(value) {
    return false
  };
  foreach__F1__s_concurrent_ExecutionContext__V(f, executor) {
    /*<skip>*/
  };
  toString__T() {
    return $f_s_concurrent_impl_Promise__toString__T(this)
  };
  flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return this
  };
  onComplete__F1__s_concurrent_ExecutionContext__V(func, executor) {
    $f_s_concurrent_impl_Promise$KeptPromise$Kept__onComplete__F1__s_concurrent_ExecutionContext__V(this, func, executor)
  };
  zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(that, f, executor) {
    return this
  };
  value__s_Option() {
    return new $c_s_Some().init___O(this.result$1)
  };
  map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return this
  };
  recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return $f_s_concurrent_Future__recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this, pf, executor)
  };
  result__s_util_Try() {
    return this.result$1
  };
  failed__s_concurrent_Future() {
    const this$1 = $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(new $c_s_util_Success().init___O(this.result$1.exception$2));
    return this$1
  };
}
const $d_s_concurrent_impl_Promise$KeptPromise$Failed = new $TypeData().initClass({
  s_concurrent_impl_Promise$KeptPromise$Failed: 0
}, false, "scala.concurrent.impl.Promise$KeptPromise$Failed", {
  s_concurrent_impl_Promise$KeptPromise$Failed: 1,
  O: 1,
  s_concurrent_impl_Promise$KeptPromise$Kept: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$KeptPromise$Failed.prototype.$classData = $d_s_concurrent_impl_Promise$KeptPromise$Failed;
class $c_s_concurrent_impl_Promise$KeptPromise$Successful extends $c_O {
  constructor() {
    super();
    this.result$1 = null
  };
  foreach__F1__s_concurrent_ExecutionContext__V(f, executor) {
    $f_s_concurrent_Future__foreach__F1__s_concurrent_ExecutionContext__V(this, f, executor)
  };
  tryComplete__s_util_Try__Z(value) {
    return false
  };
  toString__T() {
    return $f_s_concurrent_impl_Promise__toString__T(this)
  };
  flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  init___s_util_Success(result) {
    this.result$1 = result;
    return this
  };
  onComplete__F1__s_concurrent_ExecutionContext__V(func, executor) {
    $f_s_concurrent_impl_Promise$KeptPromise$Kept__onComplete__F1__s_concurrent_ExecutionContext__V(this, func, executor)
  };
  zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(that, f, executor) {
    return $f_s_concurrent_Future__zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(this, that, f, executor)
  };
  map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  value__s_Option() {
    return new $c_s_Some().init___O(this.result$1)
  };
  recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return this
  };
  result__s_util_Try() {
    return this.result$1
  };
  failed__s_concurrent_Future() {
    const this$1 = $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(new $c_s_util_Failure().init___jl_Throwable(new $c_ju_NoSuchElementException().init___T("Future.failed not completed with a throwable.")));
    return this$1
  };
}
const $d_s_concurrent_impl_Promise$KeptPromise$Successful = new $TypeData().initClass({
  s_concurrent_impl_Promise$KeptPromise$Successful: 0
}, false, "scala.concurrent.impl.Promise$KeptPromise$Successful", {
  s_concurrent_impl_Promise$KeptPromise$Successful: 1,
  O: 1,
  s_concurrent_impl_Promise$KeptPromise$Kept: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$KeptPromise$Successful.prototype.$classData = $d_s_concurrent_impl_Promise$KeptPromise$Successful;
class $c_s_util_Failure extends $c_s_util_Try {
  constructor() {
    super();
    this.exception$2 = null
  };
  productPrefix__T() {
    return "Failure"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Failure(x$1)) {
      const Failure$1 = x$1;
      const x = this.exception$2;
      const x$2 = Failure$1.exception$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  map__F1__s_util_Try(f) {
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.exception$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  init___jl_Throwable(exception) {
    this.exception$2 = exception;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  recover__s_PartialFunction__s_util_Try(pf) {
    try {
      return (pf.isDefinedAt__O__Z(this.exception$2) ? new $c_s_util_Success().init___O(pf.apply__O__O(this.exception$2)) : this)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          const e$3 = o11.get__O();
          return new $c_s_util_Failure().init___jl_Throwable(e$3)
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      } else {
        throw e
      }
    }
  };
}
const $is_s_util_Failure = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Failure)))
});
const $isArrayOf_s_util_Failure = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Failure)))
});
const $d_s_util_Failure = new $TypeData().initClass({
  s_util_Failure: 0
}, false, "scala.util.Failure", {
  s_util_Failure: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Failure.prototype.$classData = $d_s_util_Failure;
class $c_s_util_Left extends $c_s_util_Either {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Left"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Left(x$1)) {
      const Left$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Left$1.value$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_util_Left = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Left)))
});
const $isArrayOf_s_util_Left = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Left)))
});
const $d_s_util_Left = new $TypeData().initClass({
  s_util_Left: 0
}, false, "scala.util.Left", {
  s_util_Left: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left.prototype.$classData = $d_s_util_Left;
class $c_s_util_Right extends $c_s_util_Either {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Right"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Right(x$1)) {
      const Right$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Right$1.value$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_util_Right = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Right)))
});
const $isArrayOf_s_util_Right = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Right)))
});
const $d_s_util_Right = new $TypeData().initClass({
  s_util_Right: 0
}, false, "scala.util.Right", {
  s_util_Right: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right.prototype.$classData = $d_s_util_Right;
class $c_s_util_Success extends $c_s_util_Try {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Success"
  };
  productArity__I() {
    return 1
  };
  map__F1__s_util_Try(f) {
    try {
      return new $c_s_util_Success().init___O(f.apply__O__O(this.value$2))
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          const e$3 = o11.get__O();
          return new $c_s_util_Failure().init___jl_Throwable(e$3)
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      } else {
        throw e
      }
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Success(x$1)) {
      const Success$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Success$1.value$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.value$2)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  recover__s_PartialFunction__s_util_Try(pf) {
    return this
  };
}
const $is_s_util_Success = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Success)))
});
const $isArrayOf_s_util_Success = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Success)))
});
const $d_s_util_Success = new $TypeData().initClass({
  s_util_Success: 0
}, false, "scala.util.Success", {
  s_util_Success: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Success.prototype.$classData = $d_s_util_Success;
class $c_s_util_matching_Regex$MatchIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.source$2 = null;
    this.regex$2 = null;
    this.groupNames$2 = null;
    this.matcher$2 = null;
    this.nextSeen$2 = 0;
    this.scala$util$matching$Regex$MatchData$$nameToIndex$2 = null;
    this.bitmap$0$2 = false
  };
  next__O() {
    return this.next__T()
  };
  init___jl_CharSequence__s_util_matching_Regex__sc_Seq(source, regex, groupNames) {
    this.source$2 = source;
    this.regex$2 = regex;
    this.groupNames$2 = groupNames;
    const this$1 = regex.pattern$1;
    this.matcher$2 = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, source, 0, $charSequenceLength(source));
    this.nextSeen$2 = 0;
    return this
  };
  start__I__I(i) {
    this.ensure__p2__V();
    return this.matcher$2.start__I__I(i)
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  next__T() {
    const x1 = this.nextSeen$2;
    switch (x1) {
      case 0: {
        if ((!this.hasNext__Z())) {
          throw new $c_ju_NoSuchElementException().init___()
        };
        this.next__T();
        break
      }
      case 1: {
        this.nextSeen$2 = 2;
        break
      }
      case 2: {
        this.nextSeen$2 = 0;
        this.next__T();
        break
      }
      case 3: {
        throw new $c_ju_NoSuchElementException().init___();
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return this.matcher$2.group__T()
  };
  end__I() {
    this.ensure__p2__V();
    return this.matcher$2.end__I()
  };
  ensure__p2__V() {
    const x1 = this.nextSeen$2;
    switch (x1) {
      case 0: {
        if ((!this.hasNext__Z())) {
          throw new $c_jl_IllegalStateException().init___()
        };
        break
      }
      case 1: {
        break
      }
      case 2: {
        break
      }
      case 3: {
        throw new $c_jl_IllegalStateException().init___();
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  source__jl_CharSequence() {
    return this.source$2
  };
  hasNext__Z() {
    const x1 = this.nextSeen$2;
    switch (x1) {
      case 0: {
        this.nextSeen$2 = (this.matcher$2.find__Z() ? 1 : 3);
        break
      }
      case 1: {
        break
      }
      case 2: {
        this.nextSeen$2 = 0;
        this.hasNext__Z();
        break
      }
      case 3: {
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return (this.nextSeen$2 === 1)
  };
  start__I() {
    this.ensure__p2__V();
    return this.matcher$2.start__I()
  };
  end__I__I(i) {
    this.ensure__p2__V();
    return this.matcher$2.end__I__I(i)
  };
}
const $d_s_util_matching_Regex$MatchIterator = new $TypeData().initClass({
  s_util_matching_Regex$MatchIterator: 0
}, false, "scala.util.matching.Regex$MatchIterator", {
  s_util_matching_Regex$MatchIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  s_util_matching_Regex$MatchData: 1
});
$c_s_util_matching_Regex$MatchIterator.prototype.$classData = $d_s_util_matching_Regex$MatchIterator;
class $c_s_util_matching_Regex$MatchIterator$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.scala$util$matching$Regex$Replacement$$sb$2 = null;
    this.$$outer$2 = null
  };
  next__O() {
    return this.next__s_util_matching_Regex$Match()
  };
  hasNext__Z() {
    return this.$$outer$2.hasNext__Z()
  };
  matcher__ju_regex_Matcher() {
    return this.$$outer$2.matcher$2
  };
  next__s_util_matching_Regex$Match() {
    this.$$outer$2.next__T();
    return new $c_s_util_matching_Regex$Match().init___jl_CharSequence__ju_regex_Matcher__sc_Seq(this.$$outer$2.source$2, this.matcher__ju_regex_Matcher(), this.$$outer$2.groupNames$2).force__s_util_matching_Regex$Match()
  };
  init___s_util_matching_Regex$MatchIterator($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.scala$util$matching$Regex$Replacement$$sb$2 = new $c_jl_StringBuffer().init___();
    return this
  };
}
const $d_s_util_matching_Regex$MatchIterator$$anon$1 = new $TypeData().initClass({
  s_util_matching_Regex$MatchIterator$$anon$1: 0
}, false, "scala.util.matching.Regex$MatchIterator$$anon$1", {
  s_util_matching_Regex$MatchIterator$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  s_util_matching_Regex$Replacement: 1
});
$c_s_util_matching_Regex$MatchIterator$$anon$1.prototype.$classData = $d_s_util_matching_Regex$MatchIterator$$anon$1;
const $f_sc_GenSetLike__equals__O__Z = (function($thiz, that) {
  if ($is_sc_GenSet(that)) {
    const x2 = that;
    return (($thiz === x2) || (($thiz.size__I() === x2.size__I()) && $f_sc_GenSetLike__liftedTree1$1__psc_GenSetLike__sc_GenSet__Z($thiz, x2)))
  } else {
    return false
  }
});
const $f_sc_GenSetLike__liftedTree1$1__psc_GenSetLike__sc_GenSet__Z = (function($thiz, x2$1) {
  try {
    return $thiz.subsetOf__sc_GenSet__Z(x2$1)
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      return false
    } else {
      throw e
    }
  }
});
const $is_sc_GenSetLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSetLike)))
});
const $isArrayOf_sc_GenSetLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSetLike)))
});
const $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O = (function($thiz, f, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, b$1) {
    return (function(x$2) {
      return b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(f$1.apply__O__O(x$2).seq__sc_TraversableOnce())
    })
  })($thiz, f, b)));
  return b.result__O()
});
const $f_sc_TraversableLike__to__scg_CanBuildFrom__O = (function($thiz, cbf) {
  const b = cbf.apply__scm_Builder();
  $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, $thiz);
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Traversable());
  return b.result__O()
});
const $f_sc_TraversableLike__isPartLikelySynthetic$1__psc_TraversableLike__T__I__Z = (function($thiz, fqn$1, partStart$1) {
  const firstChar = (65535 & (fqn$1.charCodeAt(partStart$1) | 0));
  return (((firstChar > 90) && (firstChar < 127)) || (firstChar < 65))
});
const $f_sc_TraversableLike__dropWhile__F1__O = (function($thiz, p) {
  const b = $thiz.newBuilder__scm_Builder();
  const go = new $c_sr_BooleanRef().init___Z(false);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, b$1, go$1) {
    return (function(x$2) {
      if (((!go$1.elem$1) && (!(!(!p$1.apply__O__O(x$2)))))) {
        go$1.elem$1 = true
      };
      return (go$1.elem$1 ? b$1.$$plus$eq__O__scm_Builder(x$2) : (void 0))
    })
  })($thiz, p, b, go)));
  return b.result__O()
});
const $f_sc_TraversableLike__toString__T = (function($thiz) {
  return $thiz.mkString__T__T__T__T(($thiz.stringPrefix__T() + "("), ", ", ")")
});
const $f_sc_TraversableLike__headOption__s_Option = (function($thiz) {
  return ($thiz.isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O($thiz.head__O()))
});
const $f_sc_TraversableLike__filterImpl__F1__Z__O = (function($thiz, p, isFlipped) {
  const b = $thiz.newBuilder__scm_Builder();
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, isFlipped$1, b$1) {
    return (function(x$2) {
      return (((!(!p$1.apply__O__O(x$2))) !== isFlipped$1) ? b$1.$$plus$eq__O__scm_Builder(x$2) : (void 0))
    })
  })($thiz, p, isFlipped, b)));
  return b.result__O()
});
const $f_sc_TraversableLike__span__F1__T2 = (function($thiz, p) {
  const l = $thiz.newBuilder__scm_Builder();
  const r = $thiz.newBuilder__scm_Builder();
  const toLeft = new $c_sr_BooleanRef().init___Z(true);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, l$1, r$1, toLeft$1) {
    return (function(x$2) {
      toLeft$1.elem$1 = (toLeft$1.elem$1 && (!(!p$1.apply__O__O(x$2))));
      return (toLeft$1.elem$1 ? l$1 : r$1).$$plus$eq__O__scm_Builder(x$2)
    })
  })($thiz, p, l, r, toLeft)));
  return new $c_T2().init___O__O(l.result__O(), r.result__O())
});
const $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O = (function($thiz, that, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  if ($is_sc_IndexedSeqLike(that)) {
    const delta = that.seq__sc_TraversableOnce().size__I();
    $f_scm_Builder__sizeHint__sc_TraversableLike__I__V(b, $thiz, delta)
  };
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Traversable());
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(that.seq__sc_TraversableOnce());
  return b.result__O()
});
const $f_sc_TraversableLike__partition__F1__T2 = (function($thiz, p) {
  const l = $thiz.newBuilder__scm_Builder();
  const r = $thiz.newBuilder__scm_Builder();
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, l$1, r$1) {
    return (function(x$2) {
      return ((!(!p$1.apply__O__O(x$2))) ? l$1 : r$1).$$plus$eq__O__scm_Builder(x$2)
    })
  })($thiz, p, l, r)));
  return new $c_T2().init___O__O(l.result__O(), r.result__O())
});
const $f_sc_TraversableLike__last__O = (function($thiz) {
  const elem = $thiz.head__O();
  const lst = new $c_sr_ObjectRef().init___O(elem);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, lst$1) {
    return (function(x$2) {
      lst$1.elem$1 = x$2
    })
  })($thiz, lst)));
  return lst.elem$1
});
const $f_sc_TraversableLike__tail__O = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
  };
  return $thiz.drop__I__O(1)
});
const $f_sc_TraversableLike__groupBy__F1__sci_Map = (function($thiz, f) {
  const m = new $c_scm_HashMap().init___();
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, m$1) {
    return (function(elem$2) {
      const key = f$1.apply__O__O(elem$2);
      const bldr = m$1.getOrElseUpdate__O__F0__O(key, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1) {
        return (function() {
          return $this$1.newBuilder__scm_Builder()
        })
      })($this)));
      return bldr.$$plus$eq__O__scm_Builder(elem$2)
    })
  })($thiz, f, m)));
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
    return (function(check$ifrefutable$1$2) {
      const check$ifrefutable$1 = check$ifrefutable$1$2;
      return (check$ifrefutable$1 !== null)
    })
  })($thiz));
  new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(m, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, b$1) {
    return (function(x$2$2) {
      const x$2 = x$2$2;
      if ((x$2 !== null)) {
        const k = x$2.$$und1__O();
        const v = x$2.$$und2__O();
        return b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(k, v.result__O()))
      } else {
        throw new $c_s_MatchError().init___O(x$2)
      }
    })
  })($thiz, b)));
  return b.elems$1
});
const $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O = (function($thiz, f, bf) {
  const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder($thiz, bf);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, b$1) {
    return (function(x$2) {
      return b$1.$$plus$eq__O__scm_Builder(f$1.apply__O__O(x$2))
    })
  })($thiz, f, b)));
  return b.result__O()
});
const $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder = (function($thiz, bf$2) {
  const b = bf$2.apply__O__scm_Builder($thiz.repr__O());
  $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, $thiz);
  return b
});
const $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O = (function($thiz, pf, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  $thiz.foreach__F1__V(pf.runWith__F1__F1(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
    return (function(x$1$2) {
      return b$1.$$plus$eq__O__scm_Builder(x$1$2)
    })
  })($thiz, b))));
  return b.result__O()
});
const $f_sc_TraversableLike__stringPrefix__T = (function($thiz) {
  const this$1 = $thiz.repr__O();
  const fqn = $objectGetClass(this$1).getName__T();
  let pos = (((-1) + (fqn.length | 0)) | 0);
  while (true) {
    let jsx$1;
    if ((pos !== (-1))) {
      const index = pos;
      jsx$1 = ((65535 & (fqn.charCodeAt(index) | 0)) === 36)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      pos = (((-1) + pos) | 0)
    } else {
      break
    }
  };
  let jsx$2;
  if ((pos === (-1))) {
    jsx$2 = true
  } else {
    const index$1 = pos;
    jsx$2 = ((65535 & (fqn.charCodeAt(index$1) | 0)) === 46)
  };
  if (jsx$2) {
    return ""
  };
  let result = "";
  while (true) {
    const partEnd = ((1 + pos) | 0);
    while (true) {
      let jsx$4;
      if ((pos !== (-1))) {
        const index$2 = pos;
        jsx$4 = ((65535 & (fqn.charCodeAt(index$2) | 0)) <= 57)
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const index$3 = pos;
        jsx$3 = ((65535 & (fqn.charCodeAt(index$3) | 0)) >= 48)
      } else {
        jsx$3 = false
      };
      if (jsx$3) {
        pos = (((-1) + pos) | 0)
      } else {
        break
      }
    };
    const lastNonDigit = pos;
    while (true) {
      let jsx$6;
      if ((pos !== (-1))) {
        const index$4 = pos;
        jsx$6 = ((65535 & (fqn.charCodeAt(index$4) | 0)) !== 36)
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const index$5 = pos;
        jsx$5 = ((65535 & (fqn.charCodeAt(index$5) | 0)) !== 46)
      } else {
        jsx$5 = false
      };
      if (jsx$5) {
        pos = (((-1) + pos) | 0)
      } else {
        break
      }
    };
    const partStart = ((1 + pos) | 0);
    if (((pos === lastNonDigit) && (partEnd !== (fqn.length | 0)))) {
      return result
    };
    while (true) {
      let jsx$7;
      if ((pos !== (-1))) {
        const index$6 = pos;
        jsx$7 = ((65535 & (fqn.charCodeAt(index$6) | 0)) === 36)
      } else {
        jsx$7 = false
      };
      if (jsx$7) {
        pos = (((-1) + pos) | 0)
      } else {
        break
      }
    };
    let atEnd;
    if ((pos === (-1))) {
      atEnd = true
    } else {
      const index$7 = pos;
      atEnd = ((65535 & (fqn.charCodeAt(index$7) | 0)) === 46)
    };
    if ((atEnd || (!$f_sc_TraversableLike__isPartLikelySynthetic$1__psc_TraversableLike__T__I__Z($thiz, fqn, partStart)))) {
      const part = fqn.substring(partStart, partEnd);
      const thiz = result;
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ((thiz === "")) {
        result = part
      } else {
        result = ((("" + part) + new $c_jl_Character().init___C(46)) + result)
      };
      if (atEnd) {
        return result
      }
    }
  }
});
const $is_sc_TraversableLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableLike)))
});
const $isArrayOf_sc_TraversableLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableLike)))
});
class $c_scg_SeqFactory extends $c_scg_GenSeqFactory {
}
class $c_sci_HashMap$HashTrieMap$$anon$1 extends $c_sci_TrieIterator {
  init___sci_HashMap$HashTrieMap($$outer) {
    $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$6);
    return this
  };
  getElem__O__O(x) {
    return x.ensurePair__T2()
  };
}
const $d_sci_HashMap$HashTrieMap$$anon$1 = new $TypeData().initClass({
  sci_HashMap$HashTrieMap$$anon$1: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap$$anon$1", {
  sci_HashMap$HashTrieMap$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.$classData = $d_sci_HashMap$HashTrieMap$$anon$1;
class $c_sci_HashSet$HashTrieSet$$anon$1 extends $c_sci_TrieIterator {
  init___sci_HashSet$HashTrieSet($$outer) {
    $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$5);
    return this
  };
  getElem__O__O(cc) {
    return cc.key$6
  };
}
const $d_sci_HashSet$HashTrieSet$$anon$1 = new $TypeData().initClass({
  sci_HashSet$HashTrieSet$$anon$1: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet$$anon$1", {
  sci_HashSet$HashTrieSet$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.$classData = $d_sci_HashSet$HashTrieSet$$anon$1;
class $c_sci_ListMap$ extends $c_scg_ImmutableMapFactory {
  init___() {
    return this
  };
  empty__sc_GenMap() {
    return $m_sci_ListMap$EmptyListMap$()
  };
}
const $d_sci_ListMap$ = new $TypeData().initClass({
  sci_ListMap$: 0
}, false, "scala.collection.immutable.ListMap$", {
  sci_ListMap$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$.prototype.$classData = $d_sci_ListMap$;
let $n_sci_ListMap$ = (void 0);
const $m_sci_ListMap$ = (function() {
  if ((!$n_sci_ListMap$)) {
    $n_sci_ListMap$ = new $c_sci_ListMap$().init___()
  };
  return $n_sci_ListMap$
});
class $c_sci_Set$ extends $c_scg_ImmutableSetFactory {
  init___() {
    return this
  };
  emptyInstance__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
}
const $d_sci_Set$ = new $TypeData().initClass({
  sci_Set$: 0
}, false, "scala.collection.immutable.Set$", {
  sci_Set$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Set$.prototype.$classData = $d_sci_Set$;
let $n_sci_Set$ = (void 0);
const $m_sci_Set$ = (function() {
  if ((!$n_sci_Set$)) {
    $n_sci_Set$ = new $c_sci_Set$().init___()
  };
  return $n_sci_Set$
});
class $c_sci_Stream$StreamBuilder extends $c_scm_LazyBuilder {
  init___() {
    $c_scm_LazyBuilder.prototype.init___.call(this);
    return this
  };
  result__O() {
    return this.result__sci_Stream()
  };
  result__sci_Stream() {
    const this$1 = this.parts$1;
    return this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().flatMap__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.toStream__sci_Stream()
      })
    })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()))
  };
}
const $is_sci_Stream$StreamBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream$StreamBuilder)))
});
const $isArrayOf_sci_Stream$StreamBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream$StreamBuilder)))
});
const $d_sci_Stream$StreamBuilder = new $TypeData().initClass({
  sci_Stream$StreamBuilder: 0
}, false, "scala.collection.immutable.Stream$StreamBuilder", {
  sci_Stream$StreamBuilder: 1,
  scm_LazyBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sci_Stream$StreamBuilder.prototype.$classData = $d_sci_Stream$StreamBuilder;
class $c_sci_VectorBuilder extends $c_O {
  constructor() {
    super();
    this.blockIndex$1 = 0;
    this.lo$1 = 0;
    this.depth$1 = 0;
    this.display0$1 = null;
    this.display1$1 = null;
    this.display2$1 = null;
    this.display3$1 = null;
    this.display4$1 = null;
    this.display5$1 = null
  };
  display3__AO() {
    return this.display3$1
  };
  init___() {
    this.display0$1 = $newArrayObject($d_O.getArrayOf(), [32]);
    this.depth$1 = 1;
    this.blockIndex$1 = 0;
    this.lo$1 = 0;
    return this
  };
  depth__I() {
    return this.depth$1
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__sci_VectorBuilder(elem)
  };
  display5$und$eq__AO__V(x$1) {
    this.display5$1 = x$1
  };
  display0__AO() {
    return this.display0$1
  };
  display2$und$eq__AO__V(x$1) {
    this.display2$1 = x$1
  };
  display4__AO() {
    return this.display4$1
  };
  $$plus$eq__O__sci_VectorBuilder(elem) {
    if ((this.lo$1 >= this.display0$1.u.length)) {
      const newBlockIndex = ((32 + this.blockIndex$1) | 0);
      const xor = (this.blockIndex$1 ^ newBlockIndex);
      $f_sci_VectorPointer__gotoNextBlockStartWritable__I__I__V(this, newBlockIndex, xor);
      this.blockIndex$1 = newBlockIndex;
      this.lo$1 = 0
    };
    this.display0$1.u[this.lo$1] = elem;
    this.lo$1 = ((1 + this.lo$1) | 0);
    return this
  };
  result__O() {
    return this.result__sci_Vector()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  display1$und$eq__AO__V(x$1) {
    this.display1$1 = x$1
  };
  display4$und$eq__AO__V(x$1) {
    this.display4$1 = x$1
  };
  display1__AO() {
    return this.display1$1
  };
  display5__AO() {
    return this.display5$1
  };
  result__sci_Vector() {
    const size = ((this.blockIndex$1 + this.lo$1) | 0);
    if ((size === 0)) {
      const this$1 = $m_sci_Vector$();
      return this$1.NIL$6
    };
    const s = new $c_sci_Vector().init___I__I__I(0, size, 0);
    const depth = this.depth$1;
    $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
    if ((this.depth$1 > 1)) {
      const xor = (((-1) + size) | 0);
      $f_sci_VectorPointer__gotoPos__I__I__V(s, 0, xor)
    };
    return s
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__sci_VectorBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  depth$und$eq__I__V(x$1) {
    this.depth$1 = x$1
  };
  display2__AO() {
    return this.display2$1
  };
  display0$und$eq__AO__V(x$1) {
    this.display0$1 = x$1
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
  display3$und$eq__AO__V(x$1) {
    this.display3$1 = x$1
  };
}
const $is_sci_VectorBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_VectorBuilder)))
});
const $isArrayOf_sci_VectorBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_VectorBuilder)))
});
const $d_sci_VectorBuilder = new $TypeData().initClass({
  sci_VectorBuilder: 0
}, false, "scala.collection.immutable.VectorBuilder", {
  sci_VectorBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorBuilder.prototype.$classData = $d_sci_VectorBuilder;
class $c_sci_VectorIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.endIndex$2 = 0;
    this.blockIndex$2 = 0;
    this.lo$2 = 0;
    this.endLo$2 = 0;
    this.$$undhasNext$2 = false;
    this.depth$2 = 0;
    this.display0$2 = null;
    this.display1$2 = null;
    this.display2$2 = null;
    this.display3$2 = null;
    this.display4$2 = null;
    this.display5$2 = null
  };
  next__O() {
    if ((!this.$$undhasNext$2)) {
      throw new $c_ju_NoSuchElementException().init___T("reached iterator end")
    };
    const res = this.display0$2.u[this.lo$2];
    this.lo$2 = ((1 + this.lo$2) | 0);
    if ((this.lo$2 === this.endLo$2)) {
      if ((((this.blockIndex$2 + this.lo$2) | 0) < this.endIndex$2)) {
        const newBlockIndex = ((32 + this.blockIndex$2) | 0);
        const xor = (this.blockIndex$2 ^ newBlockIndex);
        $f_sci_VectorPointer__gotoNextBlockStart__I__I__V(this, newBlockIndex, xor);
        this.blockIndex$2 = newBlockIndex;
        const x = ((this.endIndex$2 - this.blockIndex$2) | 0);
        this.endLo$2 = ((x < 32) ? x : 32);
        this.lo$2 = 0
      } else {
        this.$$undhasNext$2 = false
      }
    };
    return res
  };
  display3__AO() {
    return this.display3$2
  };
  depth__I() {
    return this.depth$2
  };
  display5$und$eq__AO__V(x$1) {
    this.display5$2 = x$1
  };
  init___I__I(_startIndex, endIndex) {
    this.endIndex$2 = endIndex;
    this.blockIndex$2 = ((-32) & _startIndex);
    this.lo$2 = (31 & _startIndex);
    const x = ((endIndex - this.blockIndex$2) | 0);
    this.endLo$2 = ((x < 32) ? x : 32);
    this.$$undhasNext$2 = (((this.blockIndex$2 + this.lo$2) | 0) < endIndex);
    return this
  };
  display0__AO() {
    return this.display0$2
  };
  display2$und$eq__AO__V(x$1) {
    this.display2$2 = x$1
  };
  display4__AO() {
    return this.display4$2
  };
  display1$und$eq__AO__V(x$1) {
    this.display1$2 = x$1
  };
  hasNext__Z() {
    return this.$$undhasNext$2
  };
  display4$und$eq__AO__V(x$1) {
    this.display4$2 = x$1
  };
  display1__AO() {
    return this.display1$2
  };
  display5__AO() {
    return this.display5$2
  };
  depth$und$eq__I__V(x$1) {
    this.depth$2 = x$1
  };
  display2__AO() {
    return this.display2$2
  };
  display0$und$eq__AO__V(x$1) {
    this.display0$2 = x$1
  };
  display3$und$eq__AO__V(x$1) {
    this.display3$2 = x$1
  };
}
const $d_sci_VectorIterator = new $TypeData().initClass({
  sci_VectorIterator: 0
}, false, "scala.collection.immutable.VectorIterator", {
  sci_VectorIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorIterator.prototype.$classData = $d_sci_VectorIterator;
class $c_scm_HashMap$ extends $c_scg_MutableMapFactory {
  init___() {
    return this
  };
  empty__sc_Map() {
    return new $c_scm_HashMap().init___()
  };
  empty__sc_GenMap() {
    return new $c_scm_HashMap().init___()
  };
}
const $d_scm_HashMap$ = new $TypeData().initClass({
  scm_HashMap$: 0
}, false, "scala.collection.mutable.HashMap$", {
  scm_HashMap$: 1,
  scg_MutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap$.prototype.$classData = $d_scm_HashMap$;
let $n_scm_HashMap$ = (void 0);
const $m_scm_HashMap$ = (function() {
  if ((!$n_scm_HashMap$)) {
    $n_scm_HashMap$ = new $c_scm_HashMap$().init___()
  };
  return $n_scm_HashMap$
});
class $c_scm_ListMap$ extends $c_scg_MutableMapFactory {
  init___() {
    return this
  };
  empty__sc_Map() {
    return new $c_scm_ListMap().init___()
  };
  empty__sc_GenMap() {
    return new $c_scm_ListMap().init___()
  };
}
const $d_scm_ListMap$ = new $TypeData().initClass({
  scm_ListMap$: 0
}, false, "scala.collection.mutable.ListMap$", {
  scm_ListMap$: 1,
  scg_MutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListMap$.prototype.$classData = $d_scm_ListMap$;
let $n_scm_ListMap$ = (void 0);
const $m_scm_ListMap$ = (function() {
  if ((!$n_scm_ListMap$)) {
    $n_scm_ListMap$ = new $c_scm_ListMap$().init___()
  };
  return $n_scm_ListMap$
});
class $c_scm_Set$ extends $c_scg_MutableSetFactory {
  init___() {
    return this
  };
  empty__sc_GenTraversable() {
    return new $c_scm_HashSet().init___()
  };
}
const $d_scm_Set$ = new $TypeData().initClass({
  scm_Set$: 0
}, false, "scala.collection.mutable.Set$", {
  scm_Set$: 1,
  scg_MutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_Set$.prototype.$classData = $d_scm_Set$;
let $n_scm_Set$ = (void 0);
const $m_scm_Set$ = (function() {
  if ((!$n_scm_Set$)) {
    $n_scm_Set$ = new $c_scm_Set$().init___()
  };
  return $n_scm_Set$
});
class $c_sr_NonLocalReturnControl$mcI$sp extends $c_sr_NonLocalReturnControl {
  constructor() {
    super();
    this.value$mcI$sp$f = 0
  };
  value__O() {
    return this.value$mcI$sp$f
  };
  init___O__I(key, value$mcI$sp) {
    this.value$mcI$sp$f = value$mcI$sp;
    $c_sr_NonLocalReturnControl.prototype.init___O__O.call(this, key, null);
    return this
  };
  value$mcI$sp__I() {
    return this.value$mcI$sp$f
  };
}
const $d_sr_NonLocalReturnControl$mcI$sp = new $TypeData().initClass({
  sr_NonLocalReturnControl$mcI$sp: 0
}, false, "scala.runtime.NonLocalReturnControl$mcI$sp", {
  sr_NonLocalReturnControl$mcI$sp: 1,
  sr_NonLocalReturnControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sr_NonLocalReturnControl$mcI$sp.prototype.$classData = $d_sr_NonLocalReturnControl$mcI$sp;
class $c_sr_NonLocalReturnControl$mcV$sp extends $c_sr_NonLocalReturnControl {
  constructor() {
    super();
    this.value$mcV$sp$f = null
  };
  value__O() {
    return (void 0)
  };
  value$mcV$sp__V() {
    /*<skip>*/
  };
  init___O__sr_BoxedUnit(key, value$mcV$sp) {
    this.value$mcV$sp$f = value$mcV$sp;
    $c_sr_NonLocalReturnControl.prototype.init___O__O.call(this, key, (void 0));
    return this
  };
}
const $d_sr_NonLocalReturnControl$mcV$sp = new $TypeData().initClass({
  sr_NonLocalReturnControl$mcV$sp: 0
}, false, "scala.runtime.NonLocalReturnControl$mcV$sp", {
  sr_NonLocalReturnControl$mcV$sp: 1,
  sr_NonLocalReturnControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sr_NonLocalReturnControl$mcV$sp.prototype.$classData = $d_sr_NonLocalReturnControl$mcV$sp;
class $c_Lamf_core_annotations_Aliases extends $c_O {
  constructor() {
    super();
    this.aliases$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "Aliases"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_Aliases(x$1)) {
      const Aliases$1 = x$1;
      const x = this.aliases$1;
      const x$2 = Aliases$1.aliases$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenSetLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$1
  };
  init___sci_Set(aliases) {
    this.aliases$1 = aliases;
    this.name$1 = "aliases-array";
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const alias = x0$1.$$und1__O();
          const path = x0$1.$$und2__O();
          return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "->", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([alias, path]))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$1 = $m_sci_Set$();
    const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    this.value$1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(aliases, f, bf).mkString__T__T(",");
    return this
  };
  value__T() {
    return this.value$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_Aliases = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_Aliases)))
});
const $isArrayOf_Lamf_core_annotations_Aliases = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_Aliases)))
});
const $d_Lamf_core_annotations_Aliases = new $TypeData().initClass({
  Lamf_core_annotations_Aliases: 0
}, false, "amf.core.annotations.Aliases", {
  Lamf_core_annotations_Aliases: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_Aliases.prototype.$classData = $d_Lamf_core_annotations_Aliases;
class $c_Lamf_core_annotations_DefaultNode extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "default-node";
    this.value$1 = "";
    return this
  };
  productPrefix__T() {
    return "DefaultNode"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_DefaultNode(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_DefaultNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_DefaultNode)))
});
const $isArrayOf_Lamf_core_annotations_DefaultNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_DefaultNode)))
});
const $d_Lamf_core_annotations_DefaultNode = new $TypeData().initClass({
  Lamf_core_annotations_DefaultNode: 0
}, false, "amf.core.annotations.DefaultNode", {
  Lamf_core_annotations_DefaultNode: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DefaultNode.prototype.$classData = $d_Lamf_core_annotations_DefaultNode;
class $c_Lamf_core_annotations_ExtendsDialectNode extends $c_O {
  constructor() {
    super();
    this.extendedNode$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ExtendsDialectNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_ExtendsDialectNode(x$1)) {
      const ExtendsDialectNode$1 = x$1;
      return (this.extendedNode$1 === ExtendsDialectNode$1.extendedNode$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.extendedNode$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(extendedNode) {
    this.extendedNode$1 = extendedNode;
    this.name$1 = "extendsNode";
    this.value$1 = extendedNode;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_ExtendsDialectNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_ExtendsDialectNode)))
});
const $isArrayOf_Lamf_core_annotations_ExtendsDialectNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_ExtendsDialectNode)))
});
const $d_Lamf_core_annotations_ExtendsDialectNode = new $TypeData().initClass({
  Lamf_core_annotations_ExtendsDialectNode: 0
}, false, "amf.core.annotations.ExtendsDialectNode", {
  Lamf_core_annotations_ExtendsDialectNode: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ExtendsDialectNode.prototype.$classData = $d_Lamf_core_annotations_ExtendsDialectNode;
class $c_Lamf_core_annotations_SingleValueArray extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "single-value-array";
    this.value$1 = "";
    return this
  };
  productPrefix__T() {
    return "SingleValueArray"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_SingleValueArray(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SingleValueArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SingleValueArray)))
});
const $isArrayOf_Lamf_core_annotations_SingleValueArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SingleValueArray)))
});
const $d_Lamf_core_annotations_SingleValueArray = new $TypeData().initClass({
  Lamf_core_annotations_SingleValueArray: 0
}, false, "amf.core.annotations.SingleValueArray", {
  Lamf_core_annotations_SingleValueArray: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SingleValueArray.prototype.$classData = $d_Lamf_core_annotations_SingleValueArray;
class $c_Lamf_core_annotations_SourceVendor extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "SourceVendor"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_SourceVendor(x$1)) {
      const SourceVendor$1 = x$1;
      const x = this.vendor$1;
      const x$2 = SourceVendor$1.vendor$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.vendor$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___Lamf_core_remote_Vendor(vendor) {
    this.vendor$1 = vendor;
    this.name$1 = "source-vendor";
    this.value$1 = vendor.name__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SourceVendor = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SourceVendor)))
});
const $isArrayOf_Lamf_core_annotations_SourceVendor = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SourceVendor)))
});
const $d_Lamf_core_annotations_SourceVendor = new $TypeData().initClass({
  Lamf_core_annotations_SourceVendor: 0
}, false, "amf.core.annotations.SourceVendor", {
  Lamf_core_annotations_SourceVendor: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SourceVendor.prototype.$classData = $d_Lamf_core_annotations_SourceVendor;
class $c_Lamf_core_annotations_SynthesizedField extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "synthesized-field";
    this.value$1 = "true";
    return this
  };
  productPrefix__T() {
    return "SynthesizedField"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_SynthesizedField(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SynthesizedField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SynthesizedField)))
});
const $isArrayOf_Lamf_core_annotations_SynthesizedField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SynthesizedField)))
});
const $d_Lamf_core_annotations_SynthesizedField = new $TypeData().initClass({
  Lamf_core_annotations_SynthesizedField: 0
}, false, "amf.core.annotations.SynthesizedField", {
  Lamf_core_annotations_SynthesizedField: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SynthesizedField.prototype.$classData = $d_Lamf_core_annotations_SynthesizedField;
class $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.force$1 = false
  };
  productPrefix__T() {
    return "ArrayEmitter"
  };
  productArity__I() {
    return 4
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(key, f, ordering, force) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.force$1 = force;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter(x$1)) {
      const ArrayEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === ArrayEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ArrayEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = ArrayEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.force$1 === ArrayEmitter$1.force$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.force$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitSingle__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const this$2 = this$1.value$1.value$1.scalars__sc_Seq().headOption__s_Option();
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$4 = arg1;
      this$3 = new $c_s_Some().init___O(x$4.toString__T())
    };
    const value = (this$3.isEmpty__Z() ? "" : this$3.get__O());
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    $m_Lorg_yaml_model_YNode$();
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(value);
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value$1)
  };
  emitValues__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = this.f$1;
    this$2.value$1.value$1.scalars__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(v$2) {
        const v$1 = v$2;
        return result$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(v$1, $m_Lorg_yaml_model_YType$().Str$1))
      })
    })(this, result)));
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const single = (this.f$1.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SingleValueArray.getClassOf()) || this.f$1.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SingleValueArray.getClassOf()));
    const value = this.f$1.value$1;
    if ((single && (!this.force$1))) {
      this.emitSingle__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      this.emitValues__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    }
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.key$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.f$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.force$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$ArrayEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$ArrayEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$ArrayEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$ArrayEmitter", {
  Lamf_core_emitter_BaseEmitters_package$ArrayEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter extends $c_O {
  constructor() {
    super();
    this.position$1 = null
  };
  productPrefix__T() {
    return "EmptyMapEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const map = $m_Lorg_yaml_model_YMap$().empty$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter(x$1)) {
      const EmptyMapEmitter$1 = x$1;
      const x = this.position$1;
      const x$2 = EmptyMapEmitter$1.position$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Position(position) {
    this.position$1 = position;
    return this
  };
  position__Lamf_core_parser_Position() {
    return this.position$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$EmptyMapEmitter", {
  Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.tag$1 = null;
    this.position$1 = null
  };
  productPrefix__T() {
    return "EntryPartEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter(x$1)) {
      const EntryPartEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === EntryPartEmitter$1.key$1)) {
        const x = this.value$1;
        const x$2 = EntryPartEmitter$1.value$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.tag$1;
        const x$4 = EntryPartEmitter$1.tag$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.position$1;
        const x$6 = EntryPartEmitter$1.position$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      case 2: {
        return this.tag$1;
        break
      }
      case 3: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position(key, value, tag, position) {
    this.key$1 = key;
    this.value$1 = value;
    this.tag$1 = tag;
    this.position$1 = position;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.value$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.position$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$EntryPartEmitter", {
  Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter extends $c_O {
  constructor() {
    super();
    this.alias$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "LinkScalaEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const jsx$2 = this.alias$1;
    const this$2 = $m_Lorg_yaml_model_YType$().Include$1;
    const jsx$1 = this$2.org$yaml$model$YType$$tag$und$1;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$7 = new $c_sci_VectorBuilder().init___();
    const value = new $c_Lorg_yaml_model_YScalar$Builder().init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(jsx$2, jsx$1, "", this$7.result__sci_Vector(), $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1).scalar$1;
    const tt = $m_Lorg_yaml_model_YType$().Include$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter(x$1)) {
      const LinkScalaEmitter$1 = x$1;
      if ((this.alias$1 === LinkScalaEmitter$1.alias$1)) {
        const x = this.annotations$1;
        const x$2 = LinkScalaEmitter$1.annotations$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.alias$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T__Lamf_core_parser_Annotations(alias, annotations) {
    this.alias$1 = alias;
    this.annotations$1 = annotations;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.annotations$1)
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$LinkScalaEmitter", {
  Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.tag$1 = null;
    this.position$1 = null
  };
  productPrefix__T() {
    return "MapEntryEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter(x$1)) {
      const MapEntryEmitter$1 = x$1;
      let jsx$1;
      if (((this.key$1 === MapEntryEmitter$1.key$1) && (this.value$1 === MapEntryEmitter$1.value$1))) {
        const x = this.tag$1;
        const x$2 = MapEntryEmitter$1.tag$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.position$1;
        const x$4 = MapEntryEmitter$1.position$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      case 2: {
        return this.tag$1;
        break
      }
      case 3: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, this.value$1, this.tag$1);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(key, value, tag, position) {
    this.key$1 = key;
    this.value$1 = value;
    this.tag$1 = tag;
    this.position$1 = position;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.position$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$MapEntryEmitter", {
  Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$RawEmitter extends $c_O {
  constructor() {
    super();
    this.content$1 = null;
    this.tag$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "RawEmitter"
  };
  init___T__Lorg_yaml_model_YType__Lamf_core_parser_Annotations(content, tag, annotations) {
    this.content$1 = content;
    this.tag$1 = tag;
    this.annotations$1 = annotations;
    return this
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, this.content$1, this.tag$1)
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$RawEmitter(x$1)) {
      const RawEmitter$1 = x$1;
      let jsx$1;
      if ((this.content$1 === RawEmitter$1.content$1)) {
        const x = this.tag$1;
        const x$2 = RawEmitter$1.tag$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.annotations$1;
        const x$4 = RawEmitter$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.content$1;
        break
      }
      case 1: {
        return this.tag$1;
        break
      }
      case 2: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.annotations$1)
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$RawEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$RawEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$RawEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$RawEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$RawEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$RawEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$RawEmitter", {
  Lamf_core_emitter_BaseEmitters_package$RawEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$RawEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$RawEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter extends $c_O {
  constructor() {
    super();
    this.v$1 = null;
    this.tag$1 = null
  };
  productPrefix__T() {
    return "ScalarEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(this.v$1.value$1);
    const tt = this.tag$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter(x$1)) {
      const ScalarEmitter$1 = x$1;
      const x = this.v$1;
      const x$2 = ScalarEmitter$1.v$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.tag$1;
        const x$4 = ScalarEmitter$1.tag$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.v$1;
        break
      }
      case 1: {
        return this.tag$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(v, tag) {
    this.v$1 = v;
    this.tag$1 = tag;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.v$1.annotations$1)
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$ScalarEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$ScalarEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$ScalarEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$ScalarEmitter", {
  Lamf_core_emitter_BaseEmitters_package$ScalarEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.annotations$1 = null;
    this.tag$1 = null
  };
  productPrefix__T() {
    return "TextScalarEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const jsx$2 = this.value$1;
    const this$2 = this.tag$1;
    const jsx$1 = this$2.org$yaml$model$YType$$tag$und$1;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$7 = new $c_sci_VectorBuilder().init___();
    const value = new $c_Lorg_yaml_model_YScalar$Builder().init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(jsx$2, jsx$1, "", this$7.result__sci_Vector(), $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1).scalar$1;
    const tt = this.tag$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter(x$1)) {
      const TextScalarEmitter$1 = x$1;
      let jsx$1;
      if ((this.value$1 === TextScalarEmitter$1.value$1)) {
        const x = this.annotations$1;
        const x$2 = TextScalarEmitter$1.annotations$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.tag$1;
        const x$4 = TextScalarEmitter$1.tag$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      case 2: {
        return this.tag$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(value, annotations, tag) {
    this.value$1 = value;
    this.annotations$1 = annotations;
    this.tag$1 = tag;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.annotations$1)
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$TextScalarEmitter", {
  Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter;
class $c_Lamf_core_metamodel_Type$Array extends $c_Lamf_core_metamodel_Type$ArrayLike {
  productPrefix__T() {
    return "Array"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Type$Array(x$1)) {
      const Array$1 = x$1;
      const x = this.element$1;
      const x$2 = Array$1.element$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  element__Lamf_core_metamodel_Type() {
    return this.element$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_metamodel_Type(element) {
    $c_Lamf_core_metamodel_Type$ArrayLike.prototype.init___Lamf_core_metamodel_Type.call(this, element);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_metamodel_Type$Array = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$Array)))
});
const $isArrayOf_Lamf_core_metamodel_Type$Array = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$Array)))
});
const $d_Lamf_core_metamodel_Type$Array = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Array: 0
}, false, "amf.core.metamodel.Type$Array", {
  Lamf_core_metamodel_Type$Array: 1,
  Lamf_core_metamodel_Type$ArrayLike: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Array.prototype.$classData = $d_Lamf_core_metamodel_Type$Array;
class $c_Lamf_core_metamodel_Type$Bool$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "boolean");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Bool$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Bool$: 0
}, false, "amf.core.metamodel.Type$Bool$", {
  Lamf_core_metamodel_Type$Bool$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Bool$.prototype.$classData = $d_Lamf_core_metamodel_Type$Bool$;
let $n_Lamf_core_metamodel_Type$Bool$ = (void 0);
const $m_Lamf_core_metamodel_Type$Bool$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Bool$)) {
    $n_Lamf_core_metamodel_Type$Bool$ = new $c_Lamf_core_metamodel_Type$Bool$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Bool$
});
class $c_Lamf_core_metamodel_Type$Int$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "int");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Int$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Int$: 0
}, false, "amf.core.metamodel.Type$Int$", {
  Lamf_core_metamodel_Type$Int$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Int$.prototype.$classData = $d_Lamf_core_metamodel_Type$Int$;
let $n_Lamf_core_metamodel_Type$Int$ = (void 0);
const $m_Lamf_core_metamodel_Type$Int$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Int$)) {
    $n_Lamf_core_metamodel_Type$Int$ = new $c_Lamf_core_metamodel_Type$Int$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Int$
});
class $c_Lamf_core_metamodel_Type$Iri$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "url");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Iri$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Iri$: 0
}, false, "amf.core.metamodel.Type$Iri$", {
  Lamf_core_metamodel_Type$Iri$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Iri$.prototype.$classData = $d_Lamf_core_metamodel_Type$Iri$;
let $n_Lamf_core_metamodel_Type$Iri$ = (void 0);
const $m_Lamf_core_metamodel_Type$Iri$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Iri$)) {
    $n_Lamf_core_metamodel_Type$Iri$ = new $c_Lamf_core_metamodel_Type$Iri$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Iri$
});
class $c_Lamf_core_metamodel_Type$RegExp$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "token");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$RegExp$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$RegExp$: 0
}, false, "amf.core.metamodel.Type$RegExp$", {
  Lamf_core_metamodel_Type$RegExp$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$RegExp$.prototype.$classData = $d_Lamf_core_metamodel_Type$RegExp$;
let $n_Lamf_core_metamodel_Type$RegExp$ = (void 0);
const $m_Lamf_core_metamodel_Type$RegExp$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$RegExp$)) {
    $n_Lamf_core_metamodel_Type$RegExp$ = new $c_Lamf_core_metamodel_Type$RegExp$().init___()
  };
  return $n_Lamf_core_metamodel_Type$RegExp$
});
class $c_Lamf_core_metamodel_Type$SortedArray extends $c_Lamf_core_metamodel_Type$ArrayLike {
  productPrefix__T() {
    return "SortedArray"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Type$SortedArray(x$1)) {
      const SortedArray$1 = x$1;
      const x = this.element$1;
      const x$2 = SortedArray$1.element$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  element__Lamf_core_metamodel_Type() {
    return this.element$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_metamodel_Type(element) {
    $c_Lamf_core_metamodel_Type$ArrayLike.prototype.init___Lamf_core_metamodel_Type.call(this, element);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_metamodel_Type$SortedArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$SortedArray)))
});
const $isArrayOf_Lamf_core_metamodel_Type$SortedArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$SortedArray)))
});
const $d_Lamf_core_metamodel_Type$SortedArray = new $TypeData().initClass({
  Lamf_core_metamodel_Type$SortedArray: 0
}, false, "amf.core.metamodel.Type$SortedArray", {
  Lamf_core_metamodel_Type$SortedArray: 1,
  Lamf_core_metamodel_Type$ArrayLike: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$SortedArray.prototype.$classData = $d_Lamf_core_metamodel_Type$SortedArray;
class $c_Lamf_core_metamodel_Type$Str$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "string");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Str$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Str$: 0
}, false, "amf.core.metamodel.Type$Str$", {
  Lamf_core_metamodel_Type$Str$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Str$.prototype.$classData = $d_Lamf_core_metamodel_Type$Str$;
let $n_Lamf_core_metamodel_Type$Str$ = (void 0);
const $m_Lamf_core_metamodel_Type$Str$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Str$)) {
    $n_Lamf_core_metamodel_Type$Str$ = new $c_Lamf_core_metamodel_Type$Str$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Str$
});
const $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List = (function($thiz) {
  const x$1 = $thiz.Extends__Lamf_core_metamodel_Field();
  const this$1 = $m_Lamf_core_metamodel_document_DocumentModel$();
  const this$2 = $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List(this$1);
  return new $c_sci_$colon$colon().init___O__sci_List(x$1, this$2)
});
const $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "extends"), true))
});
class $c_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DefinedBy$1 = null;
    this.Extension$1 = null;
    this.Element$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__$$init$__V(this);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__fields__sci_List(this)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_DomainExtensionModel$: 0
}, false, "amf.core.metamodel.domain.extensions.DomainExtensionModel$", {
  Lamf_core_metamodel_domain_extensions_DomainExtensionModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_extensions_DomainExtensionModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$;
let $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = new $c_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$
});
class $c_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.DataNode$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "AbstractDeclaration");
    const this$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DataNode$1 = x$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("AbstractDeclarationModel is abstract and cannot be instantiated"))
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  DataNode__Lamf_core_metamodel_Field() {
    return this.DataNode$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$: 0
}, false, "amf.core.metamodel.domain.templates.AbstractDeclarationModel$", {
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$;
let $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$)) {
    $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = new $c_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$
});
class $c_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.Target$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParametrizedDeclaration");
    const this$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Target__Lamf_core_metamodel_Field() {
    return this.Target$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("ParametrizedDeclaration is abstract and cannot be instantiated by default"))
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
}
const $d_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$: 0
}, false, "amf.core.metamodel.domain.templates.ParametrizedDeclarationModel$", {
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$;
let $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$)) {
    $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = new $c_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$
});
class $c_Lamf_core_parser_DefaultScalarNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "DefaultScalarNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_DefaultScalarNode(x$1)) {
      const DefaultScalarNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DefaultScalarNode$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return this.negated__Lamf_core_model_domain_AmfScalar()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv) {
    this.node$1 = node;
    this.iv$1 = iv;
    return this
  };
  string__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.iv$1), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()))
  };
  negated__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((!(!(!arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.iv$1)))), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  text__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.iv$1).text$3, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()))
  };
  $boolean__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((!(!arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.iv$1))), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()))
  };
  integer__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$IntYRead$(), this.iv$1) | 0), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()))
  };
}
const $is_Lamf_core_parser_DefaultScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_DefaultScalarNode)))
});
const $isArrayOf_Lamf_core_parser_DefaultScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_DefaultScalarNode)))
});
const $d_Lamf_core_parser_DefaultScalarNode = new $TypeData().initClass({
  Lamf_core_parser_DefaultScalarNode: 0
}, false, "amf.core.parser.DefaultScalarNode", {
  Lamf_core_parser_DefaultScalarNode: 1,
  O: 1,
  Lamf_core_parser_ScalarNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_DefaultScalarNode.prototype.$classData = $d_Lamf_core_parser_DefaultScalarNode;
class $c_Lamf_core_parser_Position$ZERO$ extends $c_Lamf_core_parser_Position {
  init___() {
    $c_Lamf_core_parser_Position.prototype.init___I__I.call(this, 0, 0);
    return this
  };
  compareTo__Lamf_core_parser_Position__I(o) {
    return 1
  };
  compareTo__O__I(x$1) {
    return 1
  };
}
const $d_Lamf_core_parser_Position$ZERO$ = new $TypeData().initClass({
  Lamf_core_parser_Position$ZERO$: 0
}, false, "amf.core.parser.Position$ZERO$", {
  Lamf_core_parser_Position$ZERO$: 1,
  Lamf_core_parser_Position: 1,
  O: 1,
  jl_Comparable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Position$ZERO$.prototype.$classData = $d_Lamf_core_parser_Position$ZERO$;
let $n_Lamf_core_parser_Position$ZERO$ = (void 0);
const $m_Lamf_core_parser_Position$ZERO$ = (function() {
  if ((!$n_Lamf_core_parser_Position$ZERO$)) {
    $n_Lamf_core_parser_Position$ZERO$ = new $c_Lamf_core_parser_Position$ZERO$().init___()
  };
  return $n_Lamf_core_parser_Position$ZERO$
});
class $c_Lamf_core_remote_FileNotFound extends $c_jl_Exception {
  constructor() {
    super();
    this.cause$3 = null
  };
  productPrefix__T() {
    return "FileNotFound"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_remote_FileNotFound(x$1)) {
      const FileNotFound$1 = x$1;
      const x = this.cause$3;
      const x$2 = FileNotFound$1.cause$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.cause$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___jl_Exception(cause) {
    this.cause$3 = cause;
    $c_jl_Exception.prototype.init___jl_Throwable.call(this, cause);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_remote_FileNotFound = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_FileNotFound)))
});
const $isArrayOf_Lamf_core_remote_FileNotFound = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_FileNotFound)))
});
const $d_Lamf_core_remote_FileNotFound = new $TypeData().initClass({
  Lamf_core_remote_FileNotFound: 0
}, false, "amf.core.remote.FileNotFound", {
  Lamf_core_remote_FileNotFound: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lamf_core_remote_FileNotFound.prototype.$classData = $d_Lamf_core_remote_FileNotFound;
class $c_Lamf_core_remote_StringContentPlatform extends $c_O {
  constructor() {
    super();
    this.contentUrl$1 = null;
    this.content$1 = null;
    this.wrappedPlatform$1 = null;
    this.fs$1 = null;
    this.testingCommandLine$1 = false;
    this.wrappersRegistry$1 = null;
    this.wrappersRegistryFn$1 = null;
    this.resourceCache$1 = null
  };
  productPrefix__T() {
    return "StringContentPlatform"
  };
  resolve__T__s_Option__s_concurrent_Future(url, context) {
    return $f_Lamf_core_remote_Platform__resolve__T__s_Option__s_concurrent_Future(this, url, context)
  };
  productArity__I() {
    return 3
  };
  fs__Lorg_mulesoft_common_io_FileSystem() {
    return this.fs$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_remote_StringContentPlatform(x$1)) {
      const StringContentPlatform$1 = x$1;
      if (((this.contentUrl$1 === StringContentPlatform$1.contentUrl$1) && (this.content$1 === StringContentPlatform$1.content$1))) {
        const x = this.wrappedPlatform$1;
        const x$2 = StringContentPlatform$1.wrappedPlatform$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  amf$core$remote$Platform$$undsetter$und$resourceCache$und$eq__scm_Map__V(x$1) {
    this.resourceCache$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.contentUrl$1;
        break
      }
      case 1: {
        return this.content$1;
        break
      }
      case 2: {
        return this.wrappedPlatform$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  resourceCache__scm_Map() {
    return this.resourceCache$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fetchFile__T__s_concurrent_Future(path) {
    return ((path === this.contentUrl$1) ? $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, path$1) {
      return (function() {
        return new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(new $c_Lamf_core_lexer_CharSequenceStream().init___jl_CharSequence($this.content$1), path$1, $m_s_None$())
      })
    })(this, path)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()) : this.wrappedPlatform$1.resolve__T__s_Option__s_concurrent_Future((("" + $m_Lamf_core_remote_File$().FILE$undPROTOCOL$1) + path), $m_s_None$()))
  };
  testingCommandLine$und$eq__Z__V(x$1) {
    this.testingCommandLine$1 = x$1
  };
  init___T__T__Lamf_core_remote_Platform(contentUrl, content, wrappedPlatform) {
    this.contentUrl$1 = contentUrl;
    this.content$1 = content;
    this.wrappedPlatform$1 = wrappedPlatform;
    $f_Lamf_core_remote_Platform__$$init$__V(this);
    this.fs$1 = wrappedPlatform.fs__Lorg_mulesoft_common_io_FileSystem();
    return this
  };
  wrappersRegistry__scm_HashMap() {
    return this.wrappersRegistry$1
  };
  writeFile__T__T__s_concurrent_Future(path, content) {
    const this$1 = this.wrappedPlatform$1;
    const url = (("" + $m_Lamf_core_remote_File$().FILE$undPROTOCOL$1) + path);
    return $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future(this$1, url, content)
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistry$1 = x$1
  };
  fetchHttp__T__s_concurrent_Future(url) {
    return ((url === this.contentUrl$1) ? $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, url$1) {
      return (function() {
        return new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(new $c_Lamf_core_lexer_CharSequenceStream().init___jl_CharSequence($this.content$1), url$1, $m_s_None$())
      })
    })(this, url)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()) : this.wrappedPlatform$1.resolve__T__s_Option__s_concurrent_Future(url, $m_s_None$()))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  wrappersRegistryFn__scm_HashMap() {
    return this.wrappersRegistryFn$1
  };
  resolvePath__T__T(path) {
    return ((path === this.contentUrl$1) ? this.contentUrl$1 : this.wrappedPlatform$1.resolvePath__T__T(path))
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistryFn$1 = x$1
  };
}
const $is_Lamf_core_remote_StringContentPlatform = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_StringContentPlatform)))
});
const $isArrayOf_Lamf_core_remote_StringContentPlatform = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_StringContentPlatform)))
});
const $d_Lamf_core_remote_StringContentPlatform = new $TypeData().initClass({
  Lamf_core_remote_StringContentPlatform: 0
}, false, "amf.core.remote.StringContentPlatform", {
  Lamf_core_remote_StringContentPlatform: 1,
  O: 1,
  Lamf_core_remote_Platform: 1,
  Lamf_core_remote_FileMediaType: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_StringContentPlatform.prototype.$classData = $d_Lamf_core_remote_StringContentPlatform;
class $c_Lamf_core_resolution_stages_ResolvedLinkNode extends $c_Lamf_core_model_domain_LinkNode {
  init___Lamf_core_model_domain_LinkNode__Lamf_core_model_domain_DomainElement(source, resolved) {
    $c_Lamf_core_model_domain_LinkNode.prototype.init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, source.value$2, source.value$2, source.fields$2, source.annotations$2);
    return this
  };
}
const $d_Lamf_core_resolution_stages_ResolvedLinkNode = new $TypeData().initClass({
  Lamf_core_resolution_stages_ResolvedLinkNode: 0
}, false, "amf.core.resolution.stages.ResolvedLinkNode", {
  Lamf_core_resolution_stages_ResolvedLinkNode: 1,
  Lamf_core_model_domain_LinkNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_resolution_stages_ResolvedLinkNode.prototype.$classData = $d_Lamf_core_resolution_stages_ResolvedLinkNode;
class $c_Lamf_core_unsafe_TrunkPlatform extends $c_O {
  constructor() {
    super();
    this.content$1 = null;
    this.wrappedPlatform$1 = null;
    this.fs$1 = null;
    this.testingCommandLine$1 = false;
    this.wrappersRegistry$1 = null;
    this.wrappersRegistryFn$1 = null;
    this.resourceCache$1 = null
  };
  productPrefix__T() {
    return "TrunkPlatform"
  };
  resolve__T__s_Option__s_concurrent_Future(url, context) {
    return this.fetchFile__T__s_concurrent_Future(url)
  };
  productArity__I() {
    return 2
  };
  fs__Lorg_mulesoft_common_io_FileSystem() {
    return this.fs$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_unsafe_TrunkPlatform(x$1)) {
      const TrunkPlatform$1 = x$1;
      if ((this.content$1 === TrunkPlatform$1.content$1)) {
        const x = this.wrappedPlatform$1;
        const x$2 = TrunkPlatform$1.wrappedPlatform$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  amf$core$remote$Platform$$undsetter$und$resourceCache$und$eq__scm_Map__V(x$1) {
    this.resourceCache$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.content$1;
        break
      }
      case 1: {
        return this.wrappedPlatform$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  resourceCache__scm_Map() {
    return this.resourceCache$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fetchFile__T__s_concurrent_Future(path) {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, path$1) {
      return (function() {
        return new $c_Lamf_core_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(new $c_Lamf_core_lexer_CharSequenceStream().init___jl_CharSequence($this.content$1), path$1, $m_s_None$())
      })
    })(this, path)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  testingCommandLine$und$eq__Z__V(x$1) {
    this.testingCommandLine$1 = x$1
  };
  wrappersRegistry__scm_HashMap() {
    return this.wrappersRegistry$1
  };
  writeFile__T__T__s_concurrent_Future(path, content) {
    return $f_Lamf_core_remote_Platform__writeFile__T__T__s_concurrent_Future(this, path, content)
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistry$1 = x$1
  };
  fetchHttp__T__s_concurrent_Future(url) {
    return this.fetchFile__T__s_concurrent_Future(url)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  wrappersRegistryFn__scm_HashMap() {
    return this.wrappersRegistryFn$1
  };
  resolvePath__T__T(path) {
    return path
  };
  init___T__s_Option(content, wrappedPlatform) {
    this.content$1 = content;
    this.wrappedPlatform$1 = wrappedPlatform;
    $f_Lamf_core_remote_Platform__$$init$__V(this);
    this.fs$1 = $m_Lamf_core_remote_UnsupportedFileSystem$();
    return this
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistryFn$1 = x$1
  };
}
const $is_Lamf_core_unsafe_TrunkPlatform = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_unsafe_TrunkPlatform)))
});
const $isArrayOf_Lamf_core_unsafe_TrunkPlatform = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_unsafe_TrunkPlatform)))
});
const $d_Lamf_core_unsafe_TrunkPlatform = new $TypeData().initClass({
  Lamf_core_unsafe_TrunkPlatform: 0
}, false, "amf.core.unsafe.TrunkPlatform", {
  Lamf_core_unsafe_TrunkPlatform: 1,
  O: 1,
  Lamf_core_remote_Platform: 1,
  Lamf_core_remote_FileMediaType: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_unsafe_TrunkPlatform.prototype.$classData = $d_Lamf_core_unsafe_TrunkPlatform;
class $c_Lamf_core_validation_AMFValidationResult extends $c_O {
  constructor() {
    super();
    this.message$1 = null;
    this.level$1 = null;
    this.targetNode$1 = null;
    this.targetProperty$1 = null;
    this.validationId$1 = null;
    this.position$1 = null;
    this.source$1 = null
  };
  productPrefix__T() {
    return "AMFValidationResult"
  };
  productArity__I() {
    return 7
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_AMFValidationResult(x$1)) {
      const AMFValidationResult$1 = x$1;
      let jsx$2;
      if ((((this.message$1 === AMFValidationResult$1.message$1) && (this.level$1 === AMFValidationResult$1.level$1)) && (this.targetNode$1 === AMFValidationResult$1.targetNode$1))) {
        const x = this.targetProperty$1;
        const x$2 = AMFValidationResult$1.targetProperty$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if ((jsx$2 && (this.validationId$1 === AMFValidationResult$1.validationId$1))) {
        const x$3 = this.position$1;
        const x$4 = AMFValidationResult$1.position$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return $m_sr_BoxesRunTime$().equals__O__O__Z(this.source$1, AMFValidationResult$1.source$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.message$1;
        break
      }
      case 1: {
        return this.level$1;
        break
      }
      case 2: {
        return this.targetNode$1;
        break
      }
      case 3: {
        return this.targetProperty$1;
        break
      }
      case 4: {
        return this.validationId$1;
        break
      }
      case 5: {
        return this.position$1;
        break
      }
      case 6: {
        return this.source$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    let str = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\n- Source: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.validationId$1]));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Message: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.message$1])));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Level: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.level$1])));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Target: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.targetNode$1])));
    const jsx$2 = str;
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Property: ", "\\n"]));
    const this$1 = this.targetProperty$1;
    str = (("" + jsx$2) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$1.isEmpty__Z() ? "" : this$1.get__O())])));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Position: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.position$1])));
    return str
  };
  compareTo__O__I(that) {
    return this.compare__Lamf_core_validation_AMFValidationResult__I(that)
  };
  compare__O__I(that) {
    return this.compare__Lamf_core_validation_AMFValidationResult__I(that)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  compare__Lamf_core_validation_AMFValidationResult__I(that) {
    const this$1 = this.position$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      this$2 = new $c_s_Some().init___O(x$1.range$1.start$1)
    };
    const jsx$1 = (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O());
    const this$3 = that.position$1;
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$3.get__O();
      const x$2 = arg1$1;
      this$4 = new $c_s_Some().init___O(x$2.range$1.start$1)
    };
    const x1 = jsx$1.compareTo__Lamf_core_parser_Position__I((this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O()));
    switch (x1) {
      case 0: {
        const this$5 = this.position$1;
        let this$6;
        if (this$5.isEmpty__Z()) {
          this$6 = $m_s_None$()
        } else {
          const arg1$2 = this$5.get__O();
          const x$3 = arg1$2;
          this$6 = new $c_s_Some().init___O(x$3.range$1.end$1)
        };
        const jsx$2 = (this$6.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$6.get__O());
        const this$7 = that.position$1;
        let this$8;
        if (this$7.isEmpty__Z()) {
          this$8 = $m_s_None$()
        } else {
          const arg1$3 = this$7.get__O();
          const x$4 = arg1$3;
          this$8 = new $c_s_Some().init___O(x$4.range$1.end$1)
        };
        const x1$2 = jsx$2.compareTo__Lamf_core_parser_Position__I((this$8.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$8.get__O()));
        switch (x1$2) {
          case 0: {
            const this$9 = this.targetProperty$1;
            const thiz = (this$9.isEmpty__Z() ? "" : this$9.get__O());
            const this$10 = that.targetProperty$1;
            const anotherString = (this$10.isEmpty__Z() ? "" : this$10.get__O());
            return ((thiz === anotherString) ? 0 : ((!(!(thiz < anotherString))) ? (-1) : 1));
            break
          }
          default: {
            return x1$2
          }
        };
        break
      }
      default: {
        return x1
      }
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, source) {
    this.message$1 = message;
    this.level$1 = level;
    this.targetNode$1 = targetNode;
    this.targetProperty$1 = targetProperty;
    this.validationId$1 = validationId;
    this.position$1 = position;
    this.source$1 = source;
    return this
  };
}
const $is_Lamf_core_validation_AMFValidationResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_AMFValidationResult)))
});
const $isArrayOf_Lamf_core_validation_AMFValidationResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_AMFValidationResult)))
});
const $d_Lamf_core_validation_AMFValidationResult = new $TypeData().initClass({
  Lamf_core_validation_AMFValidationResult: 0
}, false, "amf.core.validation.AMFValidationResult", {
  Lamf_core_validation_AMFValidationResult: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_AMFValidationResult.prototype.$classData = $d_Lamf_core_validation_AMFValidationResult;
class $c_Lamf_model_domain_DataArrangeShape extends $c_Lamf_model_domain_AnyShape {
}
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter extends $c_O {
  constructor() {
    super();
    this.mapping$1 = null;
    this.values$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "MapPairEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const MapPairEmitter$1 = x$1;
      const x = this.mapping$1;
      const x$2 = MapPairEmitter$1.mapping$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.values$1;
        const x$4 = MapPairEmitter$1.values$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.mapping$1;
        break
      }
      case 1: {
        return this.values$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const elements = this.values$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return $this.$$outer$1.amf$plugins$document$vocabularies$spec$DialectEmitter$$isExternal__Lamf_core_model_domain_AmfElement__Z(x)
      })
    })(this)));
    if (elements.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.mapping$1.name$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$4 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      elements.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$2) {
        return (function(x0$3$2) {
          const x0$3 = x0$3$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$3)) {
            const x2 = x0$3;
            const x1$2 = x2.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($this$1.mapping$1.hashValue$1.get__O().field__Lamf_core_metamodel_Field());
            let vf_$_f$2;
            if ($is_Lamf_core_model_domain_AmfScalar(x1$2)) {
              const x2$2 = x1$2;
              const f = (function(this$2$1, x2$2$1) {
                return (function(x$9$2) {
                  const x$9 = x$9$2;
                  $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(x$9, x2$2$1.toString__T(), $m_Lorg_yaml_model_YType$().Str$1)
                })
              })($this$1, x2$2);
              const jsx$1_$_f$2 = f;
              vf_$_f$2 = jsx$1_$_f$2
            } else {
              const f$1 = (function(this$3$1) {
                return (function(x$10$2) {
                  const x$10 = x$10$2;
                  $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(x$10, "", $m_Lorg_yaml_model_YType$().Str$1)
                })
              })($this$1);
              const jsx$2_$_f$2 = f$1;
              vf_$_f$2 = jsx$2_$_f$2
            };
            const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            if ($this$1.mapping$1.hash$1.isDefined__Z()) {
              const x1 = $this$1.mapping$1.hash$1;
              if ($is_s_Some(x1)) {
                const x2$1 = x1;
                const hash = x2$1.value$2;
                const x1$2$1 = x2.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(hash.field__Lamf_core_metamodel_Field());
                if ($is_Lamf_core_model_domain_AmfScalar(x1$2$1)) {
                  const x2$2$2 = x1$2$1;
                  $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(k, x2$2$2.toString__T(), $m_Lorg_yaml_model_YType$().Str$1)
                } else {
                  $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(k, "", $m_Lorg_yaml_model_YType$().Str$1)
                }
              } else {
                $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(k, "", $m_Lorg_yaml_model_YType$().Str$1)
              }
            } else if ($this$1.mapping$1.noLastSegmentTrimInMaps$1) {
              $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(k, $this$1.$$outer$1.localId__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T($this$1.mapping$1, x2), $m_Lorg_yaml_model_YType$().Str$1)
            } else {
              $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(k, $this$1.$$outer$1.lastSegment__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T(x2), $m_Lorg_yaml_model_YType$().Str$1)
            };
            const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            vf_$_f$2(v$1);
            const this$10 = k.builder$1;
            const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$10, 0);
            const this$11 = v$1.builder$1;
            b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$11, 0))
          } else {
            throw new $c_s_MatchError().init___O(x0$3)
          }
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$16 = v.builder$1;
      const array = [key];
      if ((this$16.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$16.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
      const len$1 = this$16.size0$6;
      const src = this$16.array$6;
      const dest = this$16.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$16.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x$3 = (array.length | 0);
      const x$4 = ((x$3 < len$2) ? x$3 : len$2);
      const that = xs.u.length;
      const end = ((x$4 < that) ? x$4 : that);
      while ((i < end)) {
        const jsx$5 = j;
        const index = i;
        xs.u[jsx$5] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$16.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfArray($$outer, mapping, values) {
    this.mapping$1 = mapping;
    this.values$1 = values;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$MapPairEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$MapPairEmitter;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter extends $c_O {
  constructor() {
    super();
    this.mapping$1 = null;
    this.values$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ObjectArrayEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ObjectArrayEmitter$1 = x$1;
      const x = this.mapping$1;
      const x$2 = ObjectArrayEmitter$1.mapping$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.values$1;
        const x$4 = ObjectArrayEmitter$1.values$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.mapping$1;
        break
      }
      case 1: {
        return this.values$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.mapping$1.name$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.values$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return $this.$$outer$1.amf$plugins$document$vocabularies$spec$DialectEmitter$$isExternal__Lamf_core_model_domain_AmfElement__Z(x)
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, l) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$1)) {
          const x2 = x0$1;
          new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z(this$2$1.$$outer$1, x2, (this$2$1.$$outer$1.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), $m_s_None$()), (this$2$1.$$outer$1.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), false)).emit__Lorg_yaml_model_YDocument$BaseBuilder__V(l)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$3 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$3 < that) ? x$3 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfArray($$outer, mapping, values) {
    this.mapping$1 = mapping;
    this.values$1 = values;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.values$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$ObjectArrayEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectArrayEmitter;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter extends $c_O {
  constructor() {
    super();
    this.mapping$1 = null;
    this.domainEntity$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ObjectKVEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ObjectKVEmitter$1 = x$1;
      const x = this.mapping$1;
      const x$2 = ObjectKVEmitter$1.mapping$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.domainEntity$1;
        const x$4 = ObjectKVEmitter$1.domainEntity$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.mapping$1;
        break
      }
      case 1: {
        return this.domainEntity$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.mapping$1.name$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z(this.$$outer$1, this.domainEntity$1, (this.$$outer$1.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), $m_s_None$()), (this.$$outer$1.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), false)).emit__Lorg_yaml_model_YDocument$BaseBuilder__V(v);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DomainEntity($$outer, mapping, domainEntity) {
    this.mapping$1 = mapping;
    this.domainEntity$1 = domainEntity;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$ObjectKVEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectKVEmitter;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter extends $c_O {
  constructor() {
    super();
    this.mapping$1 = null;
    this.values$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ObjectMapEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ObjectMapEmitter$1 = x$1;
      const x = this.mapping$1;
      const x$2 = ObjectMapEmitter$1.mapping$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.values$1;
        const x$4 = ObjectMapEmitter$1.values$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.mapping$1;
        break
      }
      case 1: {
        return this.values$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const elements = this.values$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return $this.$$outer$1.amf$plugins$document$vocabularies$spec$DialectEmitter$$isExternal__Lamf_core_model_domain_AmfElement__Z(x)
      })
    })(this)));
    if (elements.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.mapping$1.name$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$2 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      elements.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$2) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$2)) {
            const x2 = x0$2;
            const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            if ($this$1.mapping$1.noLastSegmentTrimInMaps$1) {
              $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(k, $this$1.$$outer$1.localId__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T($this$1.mapping$1, x2), $m_Lorg_yaml_model_YType$().Str$1)
            } else {
              $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(k, $this$1.$$outer$1.lastSegment__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__T(x2), $m_Lorg_yaml_model_YType$().Str$1)
            };
            const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            new $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter().init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option__Z($this$1.$$outer$1, x2, ($this$1.$$outer$1.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), $m_s_None$()), ($this$1.$$outer$1.ObjectEmitter__Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectEmitter$(), false)).emit__Lorg_yaml_model_YDocument$BaseBuilder__V(v$1);
            const this$6 = k.builder$1;
            const jsx$1 = $f_scm_ResizableArray__apply__I__O(this$6, 0);
            const this$7 = v$1.builder$1;
            b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$1, $f_scm_ResizableArray__apply__I__O(this$7, 0))
          } else {
            throw new $c_s_MatchError().init___O(x0$2)
          }
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$12 = v.builder$1;
      const array = [key];
      if ((this$12.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$12.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
      const len$1 = this$12.size0$6;
      const src = this$12.array$6;
      const dest = this$12.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$12.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x$1 = (array.length | 0);
      const x$3 = ((x$1 < len$2) ? x$1 : len$2);
      const that = xs.u.length;
      const end = ((x$3 < that) ? x$3 : that);
      while ((i < end)) {
        const jsx$3 = j;
        const index = i;
        xs.u[jsx$3] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$12.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfArray($$outer, mapping, values) {
    this.mapping$1 = mapping;
    this.values$1 = values;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$ObjectMapEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$ObjectMapEmitter;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter extends $c_O {
  constructor() {
    super();
    this.parent$1 = null;
    this.key$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "RefArrayValueEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lamf_core_parser_FieldEntry($$outer, parent, key, field) {
    this.parent$1 = parent;
    this.key$1 = key;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const RefArrayValueEmitter$1 = x$1;
      const x = this.parent$1;
      const x$2 = RefArrayValueEmitter$1.parent$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === RefArrayValueEmitter$1.key$1))) {
        const x$3 = this.field$1;
        const x$4 = RefArrayValueEmitter$1.field$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.field$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.field$1;
    const x1 = this$3.value$1.value$1.values$1;
    matchEnd4: {
      $m_sc_Seq$();
      const o7 = new $c_s_Some().init___O(x1);
      if (((o7.value$2 !== null) && (o7.value$2.lengthCompare__I__I(1) === 0))) {
        const member = o7.value$2.apply__I__O(0);
        this.$$outer$1.amf$plugins$document$vocabularies$spec$DialectEmitter$$emitRef__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__Lorg_yaml_model_YDocument$PartBuilder__V(this.parent$1, member, v);
        break matchEnd4
      };
      if (x1.nonEmpty__Z()) {
        const jsx$1 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        x1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            $this.$$outer$1.amf$plugins$document$vocabularies$spec$DialectEmitter$$emitRef__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__Lorg_yaml_model_YDocument$PartBuilder__V($this.parent$1, x$2, b$2)
          })
        })(this, b$1)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c = b$1.builder$1;
        const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
        jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
        break matchEnd4
      }
    };
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.field$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$RefArrayValueEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefArrayValueEmitter;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter extends $c_O {
  constructor() {
    super();
    this.parent$1 = null;
    this.key$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "RefValueEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lamf_core_parser_FieldEntry($$outer, parent, key, field) {
    this.parent$1 = parent;
    this.key$1 = key;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const RefValueEmitter$1 = x$1;
      const x = this.parent$1;
      const x$2 = RefValueEmitter$1.parent$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === RefValueEmitter$1.key$1))) {
        const x$3 = this.field$1;
        const x$4 = RefValueEmitter$1.field$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.field$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$2 = this.$$outer$1;
    const jsx$1 = this.parent$1;
    const this$3 = this.field$1;
    jsx$2.amf$plugins$document$vocabularies$spec$DialectEmitter$$emitRef__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$1, this$3.value$1.value$1, v);
    const this$4 = v.builder$1;
    const array = [key];
    if ((this$4.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$4.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
    const len$1 = this$4.size0$6;
    const src = this$4.array$6;
    const dest = this$4.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$4.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$4.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.field$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$RefValueEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$RefValueEmitter;
class $c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter extends $c_O {
  constructor() {
    super();
    this.parent$1 = null;
    this.key$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SimpleArrayValueEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_document_vocabularies_spec_DialectEmitter__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__Lamf_core_parser_FieldEntry($$outer, parent, key, field) {
    this.parent$1 = parent;
    this.key$1 = key;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SimpleArrayValueEmitter$1 = x$1;
      const x = this.parent$1;
      const x$2 = SimpleArrayValueEmitter$1.parent$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === SimpleArrayValueEmitter$1.key$1))) {
        const x$3 = this.field$1;
        const x$4 = SimpleArrayValueEmitter$1.field$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.field$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.field$1;
    const x1 = this$3.value$1.value$1.values$1;
    matchEnd4: {
      $m_sc_Seq$();
      const o7 = new $c_s_Some().init___O(x1);
      if (((o7.value$2 !== null) && (o7.value$2.lengthCompare__I__I(1) === 0))) {
        const member = o7.value$2.apply__I__O(0);
        $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, member.toString__T(), $m_Lorg_yaml_model_YType$().Str$1);
        break matchEnd4
      };
      if (x1.nonEmpty__Z()) {
        const jsx$1 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        x1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
          return (function(value$2) {
            const value$1 = value$2;
            $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$2, value$1.toString__T(), $m_Lorg_yaml_model_YType$().Str$1)
          })
        })(this, b$1)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c = b$1.builder$1;
        const value$3 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t, a, cs);
        jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
        break matchEnd4
      }
    };
    const this$12 = v.builder$1;
    const array = [key];
    if ((this$12.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$12.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
    const len$1 = this$12.size0$6;
    const src = this$12.array$6;
    const dest = this$12.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$12.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$12.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.field$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectEmitter$SimpleArrayValueEmitter", {
  Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectEmitter$SimpleArrayValueEmitter;
class $c_Lamf_plugins_document_webapi_annotations_DeclaredElement extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "declared-element";
    this.value$1 = "";
    return this
  };
  productPrefix__T() {
    return "DeclaredElement"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_DeclaredElement(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_DeclaredElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_DeclaredElement)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_DeclaredElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_DeclaredElement)))
});
const $d_Lamf_plugins_document_webapi_annotations_DeclaredElement = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_DeclaredElement: 0
}, false, "amf.plugins.document.webapi.annotations.DeclaredElement", {
  Lamf_plugins_document_webapi_annotations_DeclaredElement: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_DeclaredElement.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_DeclaredElement;
class $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath extends $c_O {
  constructor() {
    super();
    this.rawPath$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "LocalLinkPath"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_annotations_LocalLinkPath(x$1)) {
      const LocalLinkPath$1 = x$1;
      return (this.rawPath$1 === LocalLinkPath$1.rawPath$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rawPath$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(rawPath) {
    this.rawPath$1 = rawPath;
    this.name$1 = "local-link-path";
    this.value$1 = rawPath;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_LocalLinkPath = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_LocalLinkPath)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_LocalLinkPath = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_LocalLinkPath)))
});
const $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_LocalLinkPath: 0
}, false, "amf.plugins.document.webapi.annotations.LocalLinkPath", {
  Lamf_plugins_document_webapi_annotations_LocalLinkPath: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_LocalLinkPath.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath;
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 AnnotationTypeDeclaration");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10AnnotationTypeDeclaration$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 DataType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10DataType$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 DocumentationItem");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10DocumentationItem$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 NamedExample");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10NamedExample$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 ResourceType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10ResourceType$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 SecurityScheme");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10SecurityScheme$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Trait");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10Trait$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode extends $c_O {
  constructor() {
    super();
    this.obj$1 = null;
    this.scalar$1 = null
  };
  productPrefix__T() {
    return "RamlScalarValuedNode"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(x$1)) {
      const RamlScalarValuedNode$1 = x$1;
      if (this.obj$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlScalarValuedNode$1.obj$1)) {
        const x = this.scalar$1;
        const x$2 = RamlScalarValuedNode$1.scalar$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.obj$1;
        break
      }
      case 1: {
        return this.scalar$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return this.negated__Lamf_core_model_domain_AmfScalar()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__s_Option__Lamf_plugins_document_webapi_contexts_WebApiContext(obj, scalar, iv) {
    this.obj$1 = obj;
    this.scalar$1 = scalar;
    return this
  };
  negated__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$8 = arg1;
      this$2 = new $c_s_Some().init___O(x$8.negated__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  text__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$5 = arg1;
      this$2 = new $c_s_Some().init___O(x$5.text__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
  $boolean__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$7 = arg1;
      this$2 = new $c_s_Some().init___O(x$7.$boolean__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
  integer__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$6 = arg1;
      this$2 = new $c_s_Some().init___O(x$6.integer__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.RamlScalarValuedNode", {
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode: 1,
  O: 1,
  Lamf_core_parser_ScalarNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode;
class $c_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "RamlSingleArrayNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode(x$1)) {
      const RamlSingleArrayNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSingleArrayNode$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return this.negated__Lamf_core_model_domain_AmfArray()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  text__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.text__Lamf_core_model_domain_AmfScalar())
  };
  $boolean__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.$boolean__Lamf_core_model_domain_AmfScalar())
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, iv) {
    this.node$1 = node;
    this.iv$1 = iv;
    return this
  };
  integer__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.integer__Lamf_core_model_domain_AmfScalar())
  };
  negated__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.negated__Lamf_core_model_domain_AmfScalar())
  };
  obj__F1__Lamf_core_model_domain_AmfArray(fn) {
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(fn.apply__O__O(this.node$1))
  };
  as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(element) {
    return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue()).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___()))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.RamlSingleArrayNode", {
  Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode: 1,
  O: 1,
  Lamf_core_parser_ArrayNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter extends $c_O {
  constructor() {
    super();
    this.declaration$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter(x$1)) {
      const AbstractDeclarationEmitter$1 = x$1;
      const x = this.declaration$1;
      const x$2 = AbstractDeclarationEmitter$1.declaration$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AbstractDeclarationEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = AbstractDeclarationEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_AbstractDeclaration__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(declaration, ordering, references, spec) {
    this.declaration$1 = declaration;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = $m_s_Option$().apply__O__s_Option(this.declaration$1.name__T());
    if (this$1.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare abstract declaration without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.declaration$1]))))
    };
    const name = this$1.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.declaration$1;
    if (this$3.linkTarget$1.isDefined__Z()) {
      const this$4 = this.declaration$1.linkTarget$1;
      if ((!this$4.isEmpty__Z())) {
        const arg1 = this$4.get__O();
        const l = arg1;
        const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
        const this$5 = this.declaration$1;
        jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$5), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
      }
    } else {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(this.declaration$1.dataNode__Lamf_core_model_domain_DataNode(), this.ordering$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$6 = v.builder$1;
    const array = [key];
    if ((this$6.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$6.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$6, newSize);
    const len$1 = this$6.size0$6;
    const src = this$6.array$6;
    const dest = this$6.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$6.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$6.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.declaration$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.declarations$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter(x$1)) {
      const AbstractDeclarationsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === AbstractDeclarationsEmitter$1.key$1)) {
        const x = this.declarations$1;
        const x$2 = AbstractDeclarationsEmitter$1.declarations$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = AbstractDeclarationsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = AbstractDeclarationsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.declarations$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.declarations$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(d$2) {
        const d = d$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter().init___Lamf_core_model_domain_templates_AbstractDeclaration__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(d, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, declarations, ordering, references, spec) {
    this.key$1 = key;
    this.declarations$1 = declarations;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.declarations$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations__Lamf_core_parser_Annotations()))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter extends $c_O {
  constructor() {
    super();
    this.dataNode$1 = null;
    this.ordering$1 = null;
    this.xsdString$1 = null;
    this.xsdInteger$1 = null;
    this.xsdFloat$1 = null;
    this.xsdBoolean$1 = null;
    this.xsdNil$1 = null
  };
  productPrefix__T() {
    return "DataNodeEmitter"
  };
  emitArray__Lamf_core_model_domain_ArrayNode__Lorg_yaml_model_YDocument$PartBuilder__V(arrayNode, b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.arrayEmitters__Lamf_core_model_domain_ArrayNode__sc_Seq(arrayNode)).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        x$6.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 2
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.dataNode$1;
    if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
      const x2 = x1;
      this.emitScalar__Lamf_core_model_domain_ScalarNode__Lorg_yaml_model_YDocument$PartBuilder__V(x2, b)
    } else if ($is_Lamf_core_model_domain_ArrayNode(x1)) {
      const x3 = x1;
      this.emitArray__Lamf_core_model_domain_ArrayNode__Lorg_yaml_model_YDocument$PartBuilder__V(x3, b)
    } else if ($is_Lamf_core_model_domain_ObjectNode(x1)) {
      const x4 = x1;
      this.emitObject__Lamf_core_model_domain_ObjectNode__Lorg_yaml_model_YDocument$PartBuilder__V(x4, b)
    } else if ($is_Lamf_core_model_domain_LinkNode(x1)) {
      const x5 = x1;
      this.emitLink__Lamf_core_model_domain_LinkNode__Lorg_yaml_model_YDocument$PartBuilder__V(x5, b)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  scalarEmitter__Lamf_core_model_domain_ScalarNode__Lamf_core_emitter_PartEmitter(scalar) {
    let rc8 = false;
    let x2 = null;
    const x1 = scalar.dataType$2;
    if ($is_s_Some(x1)) {
      rc8 = true;
      x2 = x1;
      const t = x2.value$2;
      if ((t === this.xsdString$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Str$1)
      }
    };
    if (rc8) {
      const t$2 = x2.value$2;
      if ((t$2 === this.xsdInteger$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Int$1)
      }
    };
    if (rc8) {
      const t$3 = x2.value$2;
      if ((t$3 === this.xsdFloat$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Float$1)
      }
    };
    if (rc8) {
      const t$4 = x2.value$2;
      if ((t$4 === this.xsdBoolean$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Bool$1)
      }
    };
    if (rc8) {
      const t$5 = x2.value$2;
      if ((t$5 === this.xsdNil$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType("null", new $c_Lamf_core_parser_Annotations().init___(), $m_Lorg_yaml_model_YType$().Str$1)
      }
    };
    return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, new $c_Lamf_core_parser_Annotations().init___(), $m_Lorg_yaml_model_YType$().Str$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter(x$1)) {
      const DataNodeEmitter$1 = x$1;
      const x = this.dataNode$1;
      const x$2 = DataNodeEmitter$1.dataNode$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = DataNodeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataNode$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const x1 = this.dataNode$1;
    let jsx$2;
    if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
      const x2 = x1;
      jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.scalarEmitter__Lamf_core_model_domain_ScalarNode__Lamf_core_emitter_PartEmitter(x2)]))
    } else if ($is_Lamf_core_model_domain_ArrayNode(x1)) {
      const x3 = x1;
      jsx$2 = this.arrayEmitters__Lamf_core_model_domain_ArrayNode__sc_Seq(x3)
    } else {
      if ((!$is_Lamf_core_model_domain_ObjectNode(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const x4 = x1;
      jsx$2 = this.objectEmitters__Lamf_core_model_domain_ObjectNode__sc_Seq(x4)
    };
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$8().init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  emitLink__Lamf_core_model_domain_LinkNode__Lorg_yaml_model_YDocument$PartBuilder__V(link, b) {
    new $c_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter().init___T__Lamf_core_parser_Annotations(link.alias$2, link.annotations$2).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
  };
  objectEmitters__Lamf_core_model_domain_ObjectNode__sc_Seq(objectNode) {
    const jsx$2 = objectNode.properties$2.keys__sc_Iterable();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, objectNode$1) {
      return (function(property$2) {
        const property = property$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter().init___T__Lamf_core_model_domain_ObjectNode__Lamf_core_emitter_SpecOrdering(property, objectNode$1, $this.ordering$1)
      })
    })(this, objectNode));
    const this$1 = $m_sc_Iterable$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).toSeq__sc_Seq()
  };
  emitScalar__Lamf_core_model_domain_ScalarNode__Lorg_yaml_model_YDocument$PartBuilder__V(scalar, b) {
    this.scalarEmitter__Lamf_core_model_domain_ScalarNode__Lamf_core_emitter_PartEmitter(scalar).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
  };
  init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(dataNode, ordering) {
    this.dataNode$1 = dataNode;
    this.ordering$1 = ordering;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdString$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdInteger$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdFloat$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "float").iri__T();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdBoolean$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "boolean").iri__T();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdNil$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "nil").iri__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  arrayEmitters__Lamf_core_model_domain_ArrayNode__sc_Seq(arrayNode) {
    const this$2 = arrayNode.members$2;
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
    const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$5 = arg1;
      b.$$plus$eq__O__scm_Builder(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(x$5, this.ordering$1));
      these = these.tail__O()
    };
    return b.result__O()
  };
  emitObject__Lamf_core_model_domain_ObjectNode__Lorg_yaml_model_YDocument$PartBuilder__V(objectNode, b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.objectEmitters__Lamf_core_model_domain_ObjectNode__sc_Seq(objectNode)).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        x$4.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.dataNode$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataNodeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.dataNode$1 = null;
    this.ordering$1 = null;
    this.annotations$1 = null;
    this.propertyValue$1 = null
  };
  productPrefix__T() {
    return "DataPropertyEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter(x$1)) {
      const DataPropertyEmitter$1 = x$1;
      let jsx$1;
      if ((this.property$1 === DataPropertyEmitter$1.property$1)) {
        const x = this.dataNode$1;
        const x$2 = DataPropertyEmitter$1.dataNode$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = DataPropertyEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.dataNode$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const jsx$1 = $m_Lamf_core_utils_package$Strings$();
    const str = this.property$1;
    const str$1 = jsx$1.urlDecoded$extension__T__T(str);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(this.propertyValue$1, this.ordering$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_model_domain_ObjectNode__Lamf_core_emitter_SpecOrdering(property, dataNode, ordering) {
    this.property$1 = property;
    this.dataNode$1 = dataNode;
    this.ordering$1 = ordering;
    this.annotations$1 = dataNode.propertyAnnotations$2.apply__O__O(property);
    this.propertyValue$1 = dataNode.properties$2.apply__O__O(property);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataPropertyEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter extends $c_O {
  constructor() {
    super();
    this.prefix$1 = null;
    this.resourceTypes$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "EndPointExtendsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter(x$1)) {
      const EndPointExtendsEmitter$1 = x$1;
      let jsx$1;
      if ((this.prefix$1 === EndPointExtendsEmitter$1.prefix$1)) {
        const x = this.resourceTypes$1;
        const x$2 = EndPointExtendsEmitter$1.resourceTypes$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = EndPointExtendsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.prefix$1;
        break
      }
      case 1: {
        return this.resourceTypes$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering(prefix, resourceTypes, ordering) {
    this.prefix$1 = prefix;
    this.resourceTypes$1 = resourceTypes;
    this.ordering$1 = ordering;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = (this.prefix$1 + "type");
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter().init___Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_core_emitter_SpecOrdering(this.resourceTypes$1.head__O(), this.ordering$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.resourceTypes$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const rt = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(rt.annotations$2))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.EndPointExtendsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(document, ordering, spec) {
    this.document$1 = document;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasCreativeWorkEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.document$1;
    if (this$1.linkTarget$1.isDefined__Z()) {
      const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const this$2 = this.document$1;
      const this$3 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$2);
      jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, (this$3.isEmpty__Z() ? this.document$1.linkTarget$1.get__O().id__T() : this$3.get__O()), $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      const jsx$2 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.document$1, this.ordering$1, this.spec$1).emitters__sc_Seq(), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter(x$1)) {
      const OasCreativeWorkEmitter$1 = x$1;
      const x = this.document$1;
      const x$2 = OasCreativeWorkEmitter$1.document$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasCreativeWorkEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.document$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.documentation$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasEntryCreativeWorkEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter(x$1)) {
      const OasEntryCreativeWorkEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OasEntryCreativeWorkEmitter$1.key$1)) {
        const x = this.documentation$1;
        const x$2 = OasEntryCreativeWorkEmitter$1.documentation$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OasEntryCreativeWorkEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.documentation$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.documentation$1, this.ordering$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, documentation, ordering, spec) {
    this.key$1 = key;
    this.documentation$1 = documentation;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.documentation$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasEntryCreativeWorkEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasEntryShapeEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter(x$1)) {
      const OasEntryShapeEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === OasEntryShapeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OasEntryShapeEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = OasEntryShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasEntryShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const x$105 = this$3.value$1.value$1;
    const x$106 = this.ordering$1;
    const x$107 = this.references$1;
    const x$108 = $m_sci_Nil$();
    const emitters = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$105, x$106, x$108, x$107, this.spec$1).entries__sc_Seq();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasEntryShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter {
  constructor() {
    super();
    this.scalar$2 = null;
    this.ordering$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "OasFileShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter(x$1)) {
      const OasFileShapeEmitter$1 = x$1;
      const x = this.scalar$2;
      const x$2 = OasFileShapeEmitter$1.scalar$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasFileShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = OasFileShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.scalar$2;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "file", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter__emitCommonFields__Lamf_core_parser_Fields__scm_ListBuffer__s_Option(this, fs, result);
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("x-fileTypes", f, this.ordering$2, false)))
    };
    return result
  };
  init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$2 = scalar;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, scalar, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasFileShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter extends $c_O {
  constructor() {
    super();
    this.array$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasItemsShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter(x$1)) {
      const OasItemsShapeEmitter$1 = x$1;
      const x = this.array$1;
      const x$2 = OasItemsShapeEmitter$1.array$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasItemsShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasItemsShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("items");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = this.array$1;
    const x$101 = this$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    const x$102 = this.ordering$1;
    const x$103 = this.references$1;
    const x$104 = $m_sci_Nil$();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$101, x$102, x$104, x$103, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$4 = v.builder$1;
    const array = [key];
    if ((this$4.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$4.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
    const len$1 = this$4.size0$6;
    const src = this$4.array$6;
    const dest = this$4.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$4.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$4.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(array, ordering, references, spec) {
    this.array$1 = array;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.array$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasItemsShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.mapType$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasNamedSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter(x$1)) {
      const OasNamedSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = OasNamedSecuritySchemeEmitter$1.securityScheme$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.mapType$1;
        const x$4 = OasNamedSecuritySchemeEmitter$1.mapType$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = OasNamedSecuritySchemeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.mapType$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.securityScheme$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1));
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare security scheme without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.securityScheme$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.securityScheme$1;
    let vf_$_f$2;
    if (this$4.linkTarget$1.isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$2_$_f$2 = f;
      vf_$_f$2 = jsx$2_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$3_$_f$2 = f$1;
      vf_$_f$2 = jsx$3_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.securityScheme$1.linkTarget$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const l = arg1;
      const this$2 = this.securityScheme$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$2), $m_sci_Nil$(), this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(securityScheme, mapType, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.mapType$1 = mapType;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.securityScheme$1, this.mapType$1, this.ordering$1, this.spec$1).emitters__sc_Seq()), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.securityScheme$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNamedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasNamedTypeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter(x$1)) {
      const OasNamedTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasNamedTypeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasNamedTypeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasNamedTypeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.shape$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare shape without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.shape$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x$46 = this.shape$1;
    const x$47 = this.ordering$1;
    const x$48 = this.references$1;
    const x$49 = $m_sci_Nil$();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$46, x$47, x$49, x$48, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.shape$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNamedTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter extends $c_O {
  constructor() {
    super();
    this.nil$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasNilShapeEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering(nil, ordering) {
    this.nil$1 = nil;
    this.ordering$1 = ordering;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter(x$1)) {
      const OasNilShapeEmitter$1 = x$1;
      const x = this.nil$1;
      const x$2 = OasNilShapeEmitter$1.nil$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasNilShapeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.nil$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("type");
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("null");
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.nil$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.annotations$2)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNilShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasOAuth2ScopeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter(x$1)) {
      const OasOAuth2ScopeEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OasOAuth2ScopeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OasOAuth2ScopeEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OasOAuth2ScopeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters().init___Lamf_core_parser_FieldEntry(this.f$1).emitters__sc_Seq()), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasOAuth2ScopeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasPropertiesShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter(x$1)) {
      const OasPropertiesShapeEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasPropertiesShapeEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasPropertiesShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasPropertiesShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("properties");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(v$1, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasPropertiesShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "OasPropertyDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter(x$1)) {
      const OasPropertyDependenciesEmitter$1 = x$1;
      const x = this.property$1;
      const x$2 = OasPropertyDependenciesEmitter$1.property$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasPropertyDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.properties$1;
        const x$6 = OasPropertyDependenciesEmitter$1.properties$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap(property, ordering, properties) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.properties$1 = properties;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = this.properties$1;
    const this$1 = this.property$1;
    const this$2 = jsx$1.get__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const p = arg1;
      $m_Lorg_yaml_model_YNode$();
      const str = p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$7 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$5 = this.property$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1);
      let targets;
      if (this$5.isEmpty__Z()) {
        targets = $m_s_None$()
      } else {
        const arg1$1 = this$5.get__O();
        const f = arg1$1;
        const jsx$3 = f.value$1.value$1.scalars__sc_Seq();
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(iri$2) {
            const iri = iri$2;
            const this$6 = $this.properties$1.get__O__s_Option($objectToString(iri.value$1));
            let xo;
            if (this$6.isEmpty__Z()) {
              xo = $m_s_None$()
            } else {
              const arg1$2 = this$6.get__O();
              const p$1 = arg1$2;
              xo = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(p$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), iri.annotations$1))
            };
            return xo.toList__sci_List()
          })
        })(this));
        const this$8 = $m_sc_Seq$();
        targets = new $c_s_Some().init___O(jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$8.ReusableCBFInstance$2))
      };
      if ((!targets.isEmpty__Z())) {
        const arg1$3 = targets.get__O();
        const target = arg1$3;
        const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$5 = this.ordering$1;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(t$2) {
            const t = t$2;
            return new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(t, $m_Lorg_yaml_model_YType$().Str$1)
          })
        })(this));
        const this$10 = $m_sc_Seq$();
        jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$5.sorted__sc_Seq__sc_Seq(target.map__F1__scg_CanBuildFrom__O(jsx$4, this$10.ReusableCBFInstance$2)), b$1)
      };
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
      jsx$7.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$15 = v.builder$1;
      const array = [key];
      if ((this$15.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$15.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize);
      const len$1 = this$15.size0$6;
      const src = this$15.array$6;
      const dest = this$15.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$15.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$8 = j;
        const index = i;
        xs.u[jsx$8] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$15.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.property$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasPropertyDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, references, spec) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasPropertyShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter(x$1)) {
      const OasPropertyShapeEmitter$1 = x$1;
      const x = this.property$1;
      const x$2 = OasPropertyShapeEmitter$1.property$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasPropertyShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasPropertyShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.property$1;
    const str = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.property$1;
    const x$117 = this$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
    const x$118 = this.ordering$1;
    const x$119 = this.references$1;
    const x$120 = $m_sci_Nil$();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$117, x$118, x$120, x$119, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.property$1.annotations$2)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasPropertyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.references$1 = null
  };
  productPrefix__T() {
    return "OasRequiredPropertiesShapeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter(x$1)) {
      const OasRequiredPropertiesShapeEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasRequiredPropertiesShapeEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = OasRequiredPropertiesShapeEmitter$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const requiredProperties = this$1.value$1.value$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_core_model_domain_extensions_PropertyShape(x0$5)) {
          const x2 = x0$5;
          return ((x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1) | 0) > 0)
        } else {
          return false
        }
      })
    })(this)));
    if (requiredProperties.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("required");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      requiredProperties.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$2) {
        return (function(x0$6$2) {
          const x0$6 = x0$6$2;
          if ($is_Lamf_core_model_domain_extensions_PropertyShape(x0$6)) {
            const x2$1 = x0$6;
            new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(x2$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), new $c_Lamf_core_parser_Annotations().init___(), $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
          } else {
            throw new $c_s_MatchError().init___O(x0$6)
          }
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$10 = v.builder$1;
      const array = [key];
      if ((this$10.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$10.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
      const len$1 = this$10.size0$6;
      const src = this$10.array$6;
      const dest = this$10.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$10.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$10.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_core_parser_FieldEntry__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, references, spec) {
    this.f$1 = f;
    this.references$1 = references;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasRequiredPropertiesShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter {
  constructor() {
    super();
    this.scalar$2 = null;
    this.ordering$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "OasScalarShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter(x$1)) {
      const OasScalarShapeEmitter$1 = x$1;
      const x = this.scalar$2;
      const x$2 = OasScalarShapeEmitter$1.scalar$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasScalarShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = OasScalarShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$2 = scalar;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, scalar, ordering, references, spec);
    return this
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.scalar$2;
    const fs = this$1.fields$2;
    const jsx$2 = $m_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$();
    const jsx$1 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$();
    const this$2 = this.scalar$2;
    const typeDef = jsx$2.matchType__Lamf_plugins_domain_shapes_models_TypeDef__T(jsx$1.typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(this$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1)));
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const f = arg1;
      if ((!f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_Inferred.getClassOf()))) {
        const x$115 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f.value$1.annotations$1);
        const x$116 = $m_Lorg_yaml_model_YType$().Str$1;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeDef, x$116, x$115))
      }
    };
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        const jsx$4 = $m_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$();
        const jsx$3 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$();
        const this$5 = this.scalar$2;
        const x1$2 = jsx$4.matchFormat__Lamf_plugins_domain_shapes_models_TypeDef__s_Option(jsx$3.typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(this$5.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1)));
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const format = x2.value$2;
          result.$$plus$eq__O__scm_ListBuffer($m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter("format", $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1, format, new $c_Lamf_core_parser_Annotations().init___()))
        } else {
          const x$3 = $m_s_None$();
          if ((!(x$3 === x1$2))) {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter__emitCommonFields__Lamf_core_parser_Fields__scm_ListBuffer__s_Option(this, fs, result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasScalarShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSchemaEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter(x$1)) {
      const OasSchemaEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasSchemaEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSchemaEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasSchemaEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const shape = this.f$1.value$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("schema");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x$90 = this.ordering$1;
    const x$91 = this.references$1;
    const x$92 = $m_sci_Nil$();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, x$90, x$92, x$91, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSchemaEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.OasSecuritySettingsParser$module$1 = null;
    this.ast$1 = null;
    this.key$1 = null;
    this.node$1 = null;
    this.adopt$1 = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(name, parsedUrl, annotations, adopt) {
    const scheme = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f.declarations$3.findSecuritySchemeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1, parsedUrl, $m_Lamf_core_parser_SearchScope$Fragments$());
    const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(scheme, parsedUrl, annotations);
    adopt.apply__O__O(copied);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name)
  };
  productPrefix__T() {
    return "OasSecuritySchemeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser(x$1)) {
      const OasSecuritySchemeParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = OasSecuritySchemeParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === OasSecuritySchemeParser$1.key$1)) && this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasSecuritySchemeParser$1.node$1))) {
        const x$3 = this.adopt$1;
        const x$4 = OasSecuritySchemeParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.node$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(ast, key, node, adopt, ctx) {
    this.ast$1 = ast;
    this.key$1 = key;
    this.node$1 = node;
    this.adopt$1 = adopt;
    this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme() {
    const x1 = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f.link__Lorg_yaml_model_YNode__s_util_Either(this.node$1);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const link = x2.value$2;
      return this.parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.key$1, link, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1), this.adopt$1)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const value = x3.value$2;
      const scheme = this.adopt$1.apply__O__O($m_Lamf_plugins_domain_webapi_models_security_SecurityScheme$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1));
      const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$3 = this$2.key__T__s_Option("type");
      if ((!this$3.isEmpty__Z())) {
        const arg1 = this$3.get__O();
        const entry = arg1;
        const x1$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).text$3;
        const t = ((x1$1 === "oauth2") ? "OAuth 2.0" : ((x1$1 === "basic") ? "Basic Authentication" : ((x1$1 === "apiKey") ? "x-apiKey" : x1$1)));
        const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(t, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(scheme, field, value$1, annotations)
      };
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1;
      const iv = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$1.key__T__F1__V("x-displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme));
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1;
      const iv$1 = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme));
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_contexts_RamlWebApiContext("x-describedBy", map, scheme, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f)).parse__V();
      const this$6 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this, map, scheme).parse__s_Option();
      if ((!this$6.isEmpty__Z())) {
        const arg1$1 = this$6.get__O();
        const x$3 = arg1$1;
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(scheme, field$3, x$3, annotations$1)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(scheme, map, this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__V();
      return scheme
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters extends $c_O {
  constructor() {
    super();
    this.securitySchemes$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySchemesEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters(x$1)) {
      const OasSecuritySchemesEmitters$1 = x$1;
      const x = this.securitySchemes$1;
      const x$2 = OasSecuritySchemesEmitters$1.securitySchemes$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSecuritySchemesEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securitySchemes$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = this.securitySchemes$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        const self = $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$().fromText__T__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType(s.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1));
        return new $c_T2().init___O__O(self, s)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const securityTypes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(m$2) {
        const m = m$2;
        return m.$$und1__O().isOas$1
      })
    })(this));
    const x1 = $f_sc_TraversableLike__partition__F1__T2(securityTypes, p);
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oasSecurityDefinitions = x1.$$und1__O();
    const extensionDefinitions = x1.$$und2__O();
    if ($f_sc_TraversableOnce__nonEmpty__Z(oasSecurityDefinitions)) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("securityDefinitions");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$5 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$3 = this.ordering$1;
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
        return (function(s$2$1) {
          const s$1 = s$2$1;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(s$1.$$und2__O(), s$1.$$und1__O(), $this$1.ordering$1, $this$1.spec$1)
        })
      })(this));
      const this$6 = $m_sci_Iterable$();
      const bf = this$6.ReusableCBFInstance$2;
      jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(oasSecurityDefinitions, f, bf).toSeq__sc_Seq()), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$11 = v.builder$1;
      const array = [key];
      if ((this$11.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$11.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
      const len$1 = this$11.size0$6;
      const src = this$11.array$6;
      const dest = this$11.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$11.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$6 = j;
        const index = i;
        xs.u[jsx$6] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$11.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    };
    if ($f_sc_TraversableOnce__nonEmpty__Z(extensionDefinitions)) {
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("x-securitySchemes");
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$9 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$8 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$7 = this.ordering$1;
      const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
        return (function(s$2$2) {
          const s$3 = s$2$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(s$3.$$und2__O(), s$3.$$und1__O(), $this$2.ordering$1, $this$2.spec$1)
        })
      })(this));
      const this$24 = $m_sci_Iterable$();
      const bf$1 = this$24.ReusableCBFInstance$2;
      jsx$8.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$7.sorted__sc_Seq__sc_Seq($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(extensionDefinitions, f$1, bf$1).toSeq__sc_Seq()), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$2.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
      const this$29 = v$1.builder$1;
      const array$1 = [key$1];
      if ((this$29.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$29.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$29, newSize$1);
      const len$4 = this$29.size0$6;
      const src$1 = this$29.array$6;
      const dest$1 = this$29.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$29.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$10 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$10] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$29.size0$6 = newSize$1;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(securitySchemes, ordering, spec) {
    this.securitySchemes$1 = securitySchemes;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.securitySchemes$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter extends $c_O {
  constructor() {
    super();
    this.settingsEntries$1 = null;
    this.settings$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasSettingsTypeEmitter"
  };
  init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(settingsEntries, settings, ordering) {
    this.settingsEntries$1 = settingsEntries;
    this.settings$1 = settings;
    this.ordering$1 = ordering;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter(x$1)) {
      const OasSettingsTypeEmitter$1 = x$1;
      const x = this.settingsEntries$1;
      const x$2 = OasSettingsTypeEmitter$1.settingsEntries$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.settings$1;
        const x$4 = OasSettingsTypeEmitter$1.settings$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = OasSettingsTypeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.settingsEntries$1;
        break
      }
      case 1: {
        return this.settings$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    this.settings$1.annotations__Lamf_core_parser_Annotations();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("x-settings");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.settingsEntries$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.settingsEntries$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$18 = arg1;
      this$2 = new $c_s_Some().init___O(x$18.position__Lamf_core_parser_Position())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSettingsTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.propertiesMap$1 = null
  };
  productPrefix__T() {
    return "OasShapeDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter(x$1)) {
      const OasShapeDependenciesEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasShapeDependenciesEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasShapeDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.propertiesMap$1;
        const x$6 = OasShapeDependenciesEmitter$1.propertiesMap$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.propertiesMap$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("dependencies");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter().init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap(v$1, $this.ordering$1, $this.propertiesMap$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap(f, ordering, propertiesMap) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.propertiesMap$1 = propertiesMap;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasShapeDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasShapeInheritsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter(x$1)) {
      const OasShapeInheritsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasShapeInheritsEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasShapeInheritsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasShapeInheritsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$39$2) {
        const x$39 = x$39$2;
        return x$39
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const inherits = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("allOf");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    inherits.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$2) {
      return (function(s$2) {
        const s = s$2;
        if (s.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$3 = $this$1.spec$1;
          const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const url = s.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          jsx$3.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$2, this$5.appendPrefix__p1__T__T__T(this$5.definitionsPrefix$1, url))
        } else {
          const x$110 = $this$1.ordering$1;
          const x$111 = $this$1.references$1;
          const x$112 = $m_sci_Nil$();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(s, x$110, x$112, x$111, $this$1.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$4.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasShapeInheritsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.typeDef$2 = null;
    this.shape$2 = null;
    this.map$2 = null
  };
  productPrefix__T() {
    return "FileShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const FileShapeParser$1 = x$1;
      const x = this.typeDef$2;
      const x$2 = FileShapeParser$1.typeDef$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.shape$2;
        const x$4 = FileShapeParser$1.shape$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(FileShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.typeDef$2;
        break
      }
      case 1: {
        return this.shape$2;
        break
      }
      case 2: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap($$outer, typeDef, shape, map) {
    this.typeDef$2 = typeDef;
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const shape = this.shape$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic__parseScalar__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map, shape);
    const map$1 = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$1.key__T__F1__V("x-fileTypes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    return this.shape$2
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser() {
    return this.$$outer$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$FileShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.typeDef$2 = null;
    this.shape$2 = null;
    this.map$2 = null
  };
  productPrefix__T() {
    return "ScalarShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ScalarShapeParser$1 = x$1;
      const x = this.typeDef$2;
      const x$2 = ScalarShapeParser$1.typeDef$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.shape$2;
        const x$4 = ScalarShapeParser$1.shape$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ScalarShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.typeDef$2;
        break
      }
      case 1: {
        return this.shape$2;
        break
      }
      case 2: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  parse__Lamf_plugins_domain_shapes_models_ScalarShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
    if (this$2.isEmpty__Z()) {
      const this$5 = this.shape$2;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$2), new $c_Lamf_core_parser_Annotations().init___());
      const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, value, annotations)
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$7 = this.shape$2;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$2), new $c_Lamf_core_parser_Annotations().init___());
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$1, value$1, annotations$1)
    };
    const map$1 = this.map$2;
    const shape = this.shape$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic__parseScalar__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map$1, shape);
    return this.shape$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap($$outer, typeDef, shape, map) {
    this.typeDef$2 = typeDef;
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser() {
    return this.$$outer$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$ScalarShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null
  };
  productPrefix__T() {
    return "SchemaShapeParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_SchemaShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SchemaShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = SchemaShapeParser$1.shape$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SchemaShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("x-schema");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$StringYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const str = x2.value$2;
        const this$5 = this.shape$2;
        const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, str)
      } else {
        this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(this.shape$2.id$1, "Cannot parse non string schema shape", entry.value$1);
        const this$6 = this.shape$2;
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, "")
      }
    };
    const map$1 = this.map$2;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$9 = this$8.key__T__s_Option("x-media-type");
    if ((!this$9.isEmpty__Z())) {
      const arg1$1 = this$9.get__O();
      const entry$3 = arg1$1;
      const this$10 = entry$3.value$1;
      const conversion$1 = $m_Lorg_yaml_convert_YRead$StringYRead$();
      const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$10);
      if ($is_s_util_Right(x1$1)) {
        const x2$1 = x1$1;
        const str$1 = x2$1.value$2;
        const this$11 = this.shape$2;
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$2, str$1)
      } else {
        this.$$outer$1.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(this.shape$2.id$1, "Cannot parse non string schema shape", entry$3.value$1);
        const this$12 = this.shape$2;
        const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$12, field$3, "*/*")
      }
    };
    return this.shape$2
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser() {
    return this.$$outer$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$SchemaShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.ignored$1 = null;
    this.references$1 = null;
    this.emitters$1 = null;
    this.emitter$1 = null
  };
  productPrefix__T() {
    return "OasTypePartEmitter"
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, ignored, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.ignored$1 = ignored;
    this.references$1 = references;
    this.emitters$1 = ordering.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, ignored, references, spec).emitters__sc_Seq());
    const x1 = this.emitters$1;
    let jsx$1;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_s_package$();
          jsx$1 = new $c_s_util_Left().init___O(x3);
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$32$2) {
          const x$32 = x$32$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$32)
        })
      })(this)))) {
        $m_s_package$();
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter$$anonfun$3().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter(this);
        const this$3 = $m_sc_Seq$();
        const value = x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
        jsx$1 = new $c_s_util_Right().init___O(value);
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    };
    this.emitter$1 = jsx$1;
    return this
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.emitter$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const p = x2.value$2;
      p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const entries = x3.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(entries, b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter(x$1)) {
      const OasTypePartEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasTypePartEmitter$1.shape$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasTypePartEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ignored$1;
        const x$6 = OasTypePartEmitter$1.ignored$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = OasTypePartEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.ignored$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.emitters$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$31 = arg1;
      this$2 = new $c_s_Some().init___O(x$31.position__Lamf_core_parser_Position())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypePartEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasUnionShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter(x$1)) {
      const OasUnionShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasUnionShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasUnionShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasUnionShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("anyOf");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.shape$1;
    const jsx$2 = this$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$34$2) {
        const x$34 = x$34$2;
        const x$98 = $this.ordering$1;
        const x$99 = $this.references$1;
        const x$100 = $m_sci_Nil$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$34, x$98, x$100, x$99, $this.spec$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const emitters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    this.ordering$1.sorted__sc_Seq__sc_Seq(emitters).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, b$2) {
      return (function(x$35$2) {
        const x$35 = x$35$2;
        x$35.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.annotations$2)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasUnionShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter extends $c_O {
  constructor() {
    super();
    this.declaration$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "ParametrizedDeclarationEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    if (this.declaration$1.variables__sc_Seq().nonEmpty__Z()) {
      const jsx$5 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const str = this.declaration$1.name__T();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$2 = this.declaration$1.variables__sc_Seq();
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(variable$2) {
          const variable = variable$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter().init___Lamf_core_model_domain_templates_VariableValue__Lamf_core_emitter_SpecOrdering(variable, $this.ordering$1)
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$9 = v.builder$1;
      const array = [key];
      if ((this$9.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$9.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
      const len$1 = this$9.size0$6;
      const src = this$9.array$6;
      const dest = this$9.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$9.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$4 = j;
        const index = i;
        xs.u[jsx$4] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$9.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1))
    } else {
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, this.declaration$1.name__T(), $m_Lorg_yaml_model_YType$().Str$1)
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter(x$1)) {
      const ParametrizedDeclarationEmitter$1 = x$1;
      const x = this.declaration$1;
      const x$2 = ParametrizedDeclarationEmitter$1.declaration$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ParametrizedDeclarationEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_core_emitter_SpecOrdering(declaration, ordering) {
    this.declaration$1 = declaration;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.declaration$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ParametrizedDeclarationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlAnyOfShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter(x$1)) {
      const RamlAnyOfShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlAnyOfShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlAnyOfShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlAnyOfShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("anyOf");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.shape$1;
    const jsx$2 = this$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$3)) {
          const x2 = x0$3;
          const x$67 = $this.ordering$1;
          const x$68 = $m_s_None$();
          const x$69 = $this.references$1;
          const x$70 = $m_sci_Nil$();
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, x$67, x$68, x$70, x$69, $this.spec$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const emitters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    this.ordering$1.sorted__sc_Seq__sc_Seq(emitters).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, b$2) {
      return (function(x$17$2) {
        const x$17 = x$17$2;
        x$17.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnyOfShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter extends $c_O {
  constructor() {
    super();
    this.documentation$1 = null;
    this.ordering$1 = null;
    this.withExtension$1 = false;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlCreativeWorkEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.documentation$1, this.ordering$1, this.withExtension$1, this.spec$1).emitters__sc_Seq(), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(documentation, ordering, withExtension, spec) {
    this.documentation$1 = documentation;
    this.ordering$1 = ordering;
    this.withExtension$1 = withExtension;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter(x$1)) {
      const RamlCreativeWorkEmitter$1 = x$1;
      const x = this.documentation$1;
      const x$2 = RamlCreativeWorkEmitter$1.documentation$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlCreativeWorkEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.withExtension$1 === RamlCreativeWorkEmitter$1.withExtension$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.withExtension$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.documentation$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.withExtension$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.documentation$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCreativeWorkEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.scalar$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlFileShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter(x$1)) {
      const RamlFileShapeEmitter$1 = x$1;
      const x = this.scalar$2;
      const x$2 = RamlFileShapeEmitter$1.scalar$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlFileShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlFileShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.scalar$2;
    const fs = this$1.fields$2;
    const spec = this.spec$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter__emitOASFields__Lamf_core_parser_Fields__scm_ListBuffer__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V(this, fs, result, spec);
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("fileTypes", f, this.ordering$2, false)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(pattern)", f$3)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(minimum)", f$4)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$3 = this$5.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(maximum)", f$5)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$4 = this$6.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(multipleOf)", f$6)))
    };
    return result
  };
  init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$2 = scalar;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, scalar, ordering, references, spec);
    this.typeName$2 = new $c_s_Some().init___O("file");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlFileShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter extends $c_O {
  constructor() {
    super();
    this.array$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlItemsShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter(x$1)) {
      const RamlItemsShapeEmitter$1 = x$1;
      const x = this.array$1;
      const x$2 = RamlItemsShapeEmitter$1.array$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlItemsShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlItemsShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.array$1;
    const x1 = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x2 = x1;
      if (x2.linkTarget$1.isDefined__Z()) {
        $m_Lorg_yaml_model_YNode$();
        const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("items");
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, this.ordering$1, $m_s_None$(), $m_sci_Nil$(), this.references$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
        const this$3 = v.builder$1;
        const array = [key];
        if ((this$3.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$3.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
        const len$1 = this$3.size0$6;
        const src = this$3.array$6;
        const dest = this$3.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$3.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$1 = j;
          const index = i;
          xs.u[jsx$1] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$3.size0$6 = newSize;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      } else {
        $m_Lorg_yaml_model_YNode$();
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("items");
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$2 = v$1.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const x$72 = this.ordering$1;
        const x$73 = this.references$1;
        const x$74 = $m_sci_Nil$();
        new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, x$72, x$74, x$73, this.spec$1).entries__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
          return (function(x$23$2) {
            const x$23 = x$23$2;
            x$23.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
          })
        })(this, b$1)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
        const this$21 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$21.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$21.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize$1);
        const len$4 = this$21.size0$6;
        const src$1 = this$21.array$6;
        const dest$1 = this$21.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$21.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$3 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$3] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$21.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
      }
    }
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(array, ordering, references, spec) {
    this.array$1 = array;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.array$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlItemsShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null
  };
  productPrefix__T() {
    return "RamlJsonShapeEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.shape$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const json = x2.value$2;
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, json.rawText$1, $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter(x$1)) {
      const RamlJsonShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlJsonShapeEmitter$1.shape$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_Shape(shape) {
    this.shape$1 = shape;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.shape$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlJsonShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null
  };
  productPrefix__T() {
    return "RamlLocalReferenceEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.reference$1;
    const x1 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const label = x2.value$2;
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, label, $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Missing link label"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter(x$1)) {
      const RamlLocalReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = RamlLocalReferenceEmitter$1.reference$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_model_domain_Linkable(reference) {
    this.reference$1 = reference;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.reference$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlLocalReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.typesEmitter$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlNamedTypeEmitter"
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, typesEmitter, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.typesEmitter$1 = typesEmitter;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter(x$1)) {
      const RamlNamedTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlNamedTypeEmitter$1.shape$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlNamedTypeEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.references$1;
        const x$6 = RamlNamedTypeEmitter$1.references$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.typesEmitter$1;
        const x$8 = RamlNamedTypeEmitter$1.typesEmitter$1;
        return (x$7 === x$8)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      case 3: {
        return this.typesEmitter$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.shape$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare shape without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.shape$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.shape$1;
    let vf_$_f$2;
    if (this$4.linkTarget$1.isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$2_$_f$2 = f;
      vf_$_f$2 = jsx$2_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$3_$_f$2 = f$1;
      vf_$_f$2 = jsx$3_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.shape$1.linkTarget$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const l = arg1;
      const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
      const this$2 = this.shape$1;
      jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$2), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.shape$1;
    if ((x1 !== null)) {
      this.typesEmitter$1.apply__O__O__O__O__O__O(x1, this.ordering$1, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit inline shape that doesnt support type expressions"))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.shape$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlNamedTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "RamlOAuth2ScopeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter(x$1)) {
      const RamlOAuth2ScopeEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === RamlOAuth2ScopeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlOAuth2ScopeEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = RamlOAuth2ScopeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter(this);
    const this$2 = $m_sc_Seq$();
    const namesEmitters = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(namesEmitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth2ScopeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlPropertiesShapeEmitter"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter(x$1)) {
      const RamlPropertiesShapeEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlPropertiesShapeEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlPropertiesShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlPropertiesShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("properties");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(v$1, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlPropertiesShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "RamlPropertyDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter(x$1)) {
      const RamlPropertyDependenciesEmitter$1 = x$1;
      const x = this.property$1;
      const x$2 = RamlPropertyDependenciesEmitter$1.property$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlPropertyDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.properties$1;
        const x$6 = RamlPropertyDependenciesEmitter$1.properties$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = this.properties$1;
    const this$1 = this.property$1;
    const this$2 = jsx$1.get__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const p = arg1;
      $m_Lorg_yaml_model_YNode$();
      const str = p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$4 = this.property$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1);
      let targets;
      if (this$4.isEmpty__Z()) {
        targets = $m_s_None$()
      } else {
        const arg1$1 = this$4.get__O();
        const f = arg1$1;
        const jsx$3 = f.value$1.value$1.scalars__sc_Seq();
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(iri$2) {
            const iri = iri$2;
            const this$5 = $this.properties$1.get__O__s_Option($objectToString(iri.value$1));
            let xo;
            if (this$5.isEmpty__Z()) {
              xo = $m_s_None$()
            } else {
              const arg1$2 = this$5.get__O();
              const p$1 = arg1$2;
              xo = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(p$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), iri.annotations$1))
            };
            return xo.toList__sci_List()
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        targets = new $c_s_Some().init___O(jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$7.ReusableCBFInstance$2))
      };
      if ((!targets.isEmpty__Z())) {
        const arg1$3 = targets.get__O();
        const target = arg1$3;
        const jsx$7 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$5 = this.ordering$1;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(t$2) {
            const t = t$2;
            return new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(t, $m_Lorg_yaml_model_YType$().Str$1)
          })
        })(this));
        const this$10 = $m_sc_Seq$();
        jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$5.sorted__sc_Seq__sc_Seq(target.map__F1__scg_CanBuildFrom__O(jsx$4, this$10.ReusableCBFInstance$2)), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
        jsx$7.$$plus$eq__O__scm_ArrayBuffer(node)
      };
      const this$15 = v.builder$1;
      const array = [key];
      if ((this$15.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$15.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize);
      const len$1 = this$15.size0$6;
      const src = this$15.array$6;
      const dest = this$15.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$15.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$8 = j;
        const index = i;
        xs.u[jsx$8] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$15.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(property, ordering, properties, spec) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.properties$1 = properties;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.property$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlPropertyDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlPropertyShapeEmitter"
  };
  init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(property, ordering, references, spec) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter(x$1)) {
      const RamlPropertyShapeEmitter$1 = x$1;
      const x = this.property$1;
      const x$2 = RamlPropertyShapeEmitter$1.property$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlPropertyShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlPropertyShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.property$1.fields$2;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
    let this$4;
    if (this$1.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      let jsx$1;
      if ((((f.value$1.value$1.value$1 | 0) === 0) && (!f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())))) {
        const this$2 = this.property$1;
        jsx$1 = (this$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1) + "?")
      } else {
        const this$3 = this.property$1;
        jsx$1 = this$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)
      };
      this$4 = new $c_s_Some().init___O(jsx$1)
    };
    let name;
    if (this$4.isEmpty__Z()) {
      const this$5 = this.property$1;
      name = this$5.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)
    } else {
      name = this$4.get__O()
    };
    const this$6 = this.property$1;
    if (this$6.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, "", $m_Lorg_yaml_model_YType$().Null$1);
      const this$8 = v.builder$1;
      const array = [key];
      if ((this$8.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$8.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
      const len$1 = this$8.size0$6;
      const src = this$8.array$6;
      const dest = this$8.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$8.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$8.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    } else {
      const this$19 = this.property$1;
      const x1 = this$19.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
        const x2 = x1;
        $m_Lorg_yaml_model_YNode$();
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const x$80 = this.ordering$1;
        const x$81 = $m_s_None$();
        const x$82 = this.references$1;
        const x$83 = $m_sci_Nil$();
        new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, x$80, x$81, x$83, x$82, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1);
        const this$22 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$22.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$22.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize$1);
        const len$4 = this$22.size0$6;
        const src$1 = this$22.array$6;
        const dest$1 = this$22.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$22.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$3 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$3] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$22.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.property$1.annotations$2)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlPropertyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.scalar$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  productPrefix__T() {
    return "RamlScalarShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter(x$1)) {
      const RamlScalarShapeEmitter$1 = x$1;
      const x = this.scalar$2;
      const x$2 = RamlScalarShapeEmitter$1.scalar$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlScalarShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlScalarShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  emitFormat__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_parser_Fields__T__s_Option(rawTypeDef, fs, format) {
    const formatKey = ((!(!($f_Lamf_plugins_domain_shapes_models_TypeDef__isNumber__Z(rawTypeDef) | $f_Lamf_plugins_domain_shapes_models_TypeDef__isDate__Z(rawTypeDef)))) ? "format" : "(format)");
    const translationFormats = $m_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$().knownFormats$1.diff__sc_GenSet__sc_Set($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().knownFormats$1);
    let explictFormatFound = false;
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
    let explicitFormat;
    matchEnd4: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const entry = x2.value$2;
        if ($is_Lamf_core_model_domain_AmfScalar(entry.value$1.value$1)) {
          const entryFormat = $objectToString(entry.value$1.value$1.value$1);
          if (translationFormats.contains__O__Z(entryFormat)) {
            explicitFormat = format;
            break matchEnd4
          } else {
            explictFormatFound = true;
            explicitFormat = entryFormat;
            break matchEnd4
          }
        }
      };
      explicitFormat = format
    };
    const finalFormat = ((explicitFormat !== format) ? explicitFormat : format);
    const x1$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
    let annotations;
    matchEnd4$2: {
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const entry$2 = x2$2.value$2;
        if ($is_Lamf_core_model_domain_AmfScalar(entry$2.value$1.value$1)) {
          annotations = entry$2.value$1.annotations$1;
          break matchEnd4$2
        }
      };
      annotations = new $c_Lamf_core_parser_Annotations().init___()
    };
    const this$3 = new $c_sci_StringOps().init___T(finalFormat);
    if ((($f_sc_TraversableOnce__nonEmpty__Z(this$3) && (finalFormat !== "float")) && (finalFormat !== "int32"))) {
      return new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter(formatKey, $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1, finalFormat, annotations))
    } else {
      const this$5 = new $c_sci_StringOps().init___T(finalFormat);
      if ((($f_sc_TraversableOnce__nonEmpty__Z(this$5) && ((finalFormat === "float") || (finalFormat === "int32"))) && explictFormatFound)) {
        return new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter(formatKey, $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1, finalFormat, annotations))
      } else {
        return $m_s_None$()
      }
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$2 = scalar;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, scalar, ordering, references, spec);
    this.typeName$2 = $m_s_None$();
    return this
  };
  emitters__sc_Seq() {
    const this$1 = this.scalar$2;
    const fs = this$1.fields$2;
    const jsx$1 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$();
    const this$2 = this.scalar$2;
    const rawTypeDef = jsx$1.typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(this$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1));
    const x1 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$().matchType__Lamf_plugins_domain_shapes_models_TypeDef__T2(rawTypeDef);
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const typeDef = x1.$$und1__O();
    const format = x1.$$und2__O();
    const this$3 = this.scalar$2;
    let typeEmitterOption;
    if (this$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).isEmpty__Z()) {
      const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
      if (this$4.isEmpty__Z()) {
        typeEmitterOption = $m_s_None$()
      } else {
        const arg1 = this$4.get__O();
        const f = arg1;
        if ((!f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_Inferred.getClassOf()))) {
          const this$5 = this.scalar$2;
          this$5.fields$2.remove__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
          const x$64 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f.value$1.annotations$1);
          const x$65 = $m_Lorg_yaml_model_YType$().Str$1;
          typeEmitterOption = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeDef, x$65, x$64))
        } else {
          typeEmitterOption = $m_s_None$()
        }
      }
    } else {
      typeEmitterOption = $m_s_None$()
    };
    const this$8 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const xs = typeEmitterOption.toList__sci_List();
    const result = this$8.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs);
    const spec = this.spec$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter__emitOASFields__Lamf_core_parser_Fields__scm_ListBuffer__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V(this, fs, result, spec);
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$1 = this$9.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("pattern", f$3, this.spec$2)))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$2 = this$10.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("minimum", f$4)))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$3 = this$11.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("maximum", f$5)))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$4 = this$12.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("multipleOf", f$6, this.spec$2)))
    };
    const xo = this.emitFormat__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_parser_Fields__T__s_Option(rawTypeDef, fs, format);
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xo.toList__sci_List());
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlScalarShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null
  };
  productPrefix__T() {
    return "RamlSchemaShapeEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1), $m_Lorg_yaml_model_YType$().Str$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter(x$1)) {
      const RamlSchemaShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlSchemaShapeEmitter$1.shape$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.annotations$2)
  };
  init___Lamf_plugins_domain_shapes_models_SchemaShape(shape) {
    this.shape$1 = shape;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSchemaShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.key$1 = null;
    this.node$1 = null;
    this.adopt$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(name, parsedUrl, annotations, adopt) {
    const scheme = this.ctx$1.declarations$3.findSecuritySchemeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1, parsedUrl, $m_Lamf_core_parser_SearchScope$All$());
    const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(scheme, parsedUrl, annotations);
    adopt.apply__O__O(copied);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name)
  };
  productPrefix__T() {
    return "RamlSecuritySchemeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser(x$1)) {
      const RamlSecuritySchemeParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = RamlSecuritySchemeParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === RamlSecuritySchemeParser$1.key$1)) && this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSecuritySchemeParser$1.node$1))) {
        const x$3 = this.adopt$1;
        const x$4 = RamlSecuritySchemeParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.node$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, key, node, adopt, ctx) {
    this.ast$1 = ast;
    this.key$1 = key;
    this.node$1 = node;
    this.adopt$1 = adopt;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme() {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.node$1);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const link = x2.value$2;
      return this.parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.key$1, link, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1), this.adopt$1)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const value = x3.value$2;
      const scheme = this.adopt$1.apply__O__O($m_Lamf_plugins_domain_webapi_models_security_SecurityScheme$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1));
      const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1;
      const iv = this.ctx$1;
      jsx$1.key__T__F1__V("type", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1;
      const iv$1 = this.ctx$1;
      jsx$2.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1;
      const iv$2 = this.ctx$1;
      jsx$3.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_contexts_RamlWebApiContext("describedBy", map, scheme, this.ctx$1).parse__V();
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
      const iv$3 = this.ctx$1;
      jsx$4.key__T__F1__V("settings", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, scheme$1) {
        return (function(node$2) {
          const node = node$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$().parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_Settings(scheme$1, node, $this.ctx$1)
        })
      })(this, scheme))));
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(scheme, map, this.ctx$1).parse__V();
      return scheme
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters extends $c_O {
  constructor() {
    super();
    this.securitySchemes$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.namedSecurityEmitter$1 = null
  };
  init___sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering__F3__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(securitySchemes, references, ordering, namedSecurityEmitter, spec) {
    this.securitySchemes$1 = securitySchemes;
    this.references$1 = references;
    this.ordering$1 = ordering;
    this.namedSecurityEmitter$1 = namedSecurityEmitter;
    return this
  };
  productPrefix__T() {
    return "RamlSecuritySchemesEmitters"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters(x$1)) {
      const RamlSecuritySchemesEmitters$1 = x$1;
      const x = this.securitySchemes$1;
      const x$2 = RamlSecuritySchemesEmitters$1.securitySchemes$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = RamlSecuritySchemesEmitters$1.references$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$1;
        const x$6 = RamlSecuritySchemesEmitters$1.ordering$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.namedSecurityEmitter$1;
        const x$8 = RamlSecuritySchemesEmitters$1.namedSecurityEmitter$1;
        return (x$7 === x$8)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securitySchemes$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.namedSecurityEmitter$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("securitySchemes");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.securitySchemes$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        return $this.namedSecurityEmitter$1.apply__O__O__O__O(s, $this.references$1, $this.ordering$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.securitySchemes$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySchemesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlSecuritySettingsEmitter"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter(x$1)) {
      const RamlSecuritySettingsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlSecuritySettingsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlSecuritySettingsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("settings");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.f$1, this.ordering$1, this.spec$1).emitters__sc_Seq()), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySettingsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.props$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlShapeDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter(x$1)) {
      const RamlShapeDependenciesEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlShapeDependenciesEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlShapeDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.props$1;
        const x$6 = RamlShapeDependenciesEmitter$1.props$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.props$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("(dependencies)");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter().init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(v$1, $this.ordering$1, $this.props$1, $this.spec$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, props, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.props$1 = props;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlShapeDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlShapeInheritsEmitter"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter(x$1)) {
      const RamlShapeInheritsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlShapeInheritsEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlShapeInheritsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlShapeInheritsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  emitDeclared__p1__Lamf_core_model_domain_Shape__Lorg_yaml_model_YDocument$PartBuilder__V(shape, b) {
    matchEnd5: {
      if ((shape !== null)) {
        if (shape.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf())) {
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter().init___Lamf_core_model_domain_Shape(shape).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b);
          break matchEnd5
        }
      };
      if ((shape !== null)) {
        if (shape.linkTarget$1.isDefined__Z()) {
          this.spec$1.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(shape).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b);
          (void 0)
        } else {
          $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, shape.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1), $m_Lorg_yaml_model_YType$().Str$1);
          (void 0)
        };
        break matchEnd5
      };
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return x$11
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const x1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(s$2) {
        const s = s$2;
        return ((s.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf()) || s.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf())) || s.linkTarget$1.isDefined__Z())
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const declaredShapes = x1.$$und1__O();
    const inlineShapes = x1.$$und2__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    if (inlineShapes.nonEmpty__Z()) {
      const jsx$6 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$4 = this.ordering$1;
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$1)) {
            const x2 = x0$1;
            const x$59 = $this$1.ordering$1;
            const x$60 = $this$1.references$1;
            const x$61 = $m_sci_Nil$();
            return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, x$59, x$61, x$60, $this$1.spec$1).entries__sc_Seq()
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit for type shapes without WebAPI Shape support"))
          }
        })
      })(this));
      const this$6 = $m_sc_Seq$();
      jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq(inlineShapes.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      matchEnd7: {
        if ($is_sci_$colon$colon(declaredShapes)) {
          const x2$1 = declaredShapes;
          const head = x2$1.head$5;
          const p3 = x2$1.tl$5;
          if ($is_Lamf_plugins_domain_shapes_models_ShapeHelpers(head)) {
            const x = $m_sci_Nil$();
            if (x.equals__O__Z(p3)) {
              this.emitDeclared__p1__Lamf_core_model_domain_Shape__Lorg_yaml_model_YDocument$PartBuilder__V(head, v);
              break matchEnd7
            }
          }
        };
        const jsx$7 = v.builder$1;
        const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        declaredShapes.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, b$3) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ($is_Lamf_plugins_domain_shapes_models_ShapeHelpers(x0$2)) {
              $this$2.emitDeclared__p1__Lamf_core_model_domain_Shape__Lorg_yaml_model_YDocument$PartBuilder__V(x0$2, b$3)
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })(this, b$2)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$1 = b$2.builder$1;
        const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
        jsx$7.$$plus$eq__O__scm_ArrayBuffer(node)
      }
    };
    const this$16 = v.builder$1;
    const array = [key];
    if ((this$16.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$16.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
    const len$1 = this$16.size0$6;
    const src = this$16.array$6;
    const dest = this$16.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$16.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$8 = j;
      const index = i;
      xs.u[jsx$8] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$16.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlShapeInheritsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter extends $c_O {
  constructor() {
    super();
    this.tuple$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlTupleItemsShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter(x$1)) {
      const RamlTupleItemsShapeEmitter$1 = x$1;
      const x = this.tuple$1;
      const x$2 = RamlTupleItemsShapeEmitter$1.tuple$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlTupleItemsShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlTupleItemsShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tuple$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(tuple, ordering, references, spec) {
    this.tuple$1 = tuple;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.tuple$1;
    const x1 = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x2 = x1;
      const this$2 = this.tuple$1;
      this$2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1, x2$1) {
        return (function(item$2) {
          const x$76 = $this.ordering$1;
          const x$77 = $this.references$1;
          const x$78 = $m_sci_Nil$();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2$1, x$76, x$78, x$77, $this.spec$1).entries__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$9) {
            return (function(x$24$2) {
              const x$24 = x$24$2;
              return result$9.$$plus$eq__O__scm_ListBuffer(x$24)
            })
          })($this, result$1)))
        })
      })(this, result, x2)))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.tuple$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTupleItemsShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector extends $c_O {
  constructor() {
    super();
    this.InheritsTypeDetecter$module$1 = null;
    this.ShapeClassTypeDefMatcher$module$1 = null;
    this.parent$1 = null;
    this.format$1 = null;
    this.defaultType$1 = null;
    this.recursive$1 = false;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f = null;
    this.platform$1 = null
  };
  productPrefix__T() {
    return "RamlTypeDetector"
  };
  ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$() {
    if ((this.ShapeClassTypeDefMatcher$module$1 === null)) {
      this.ShapeClassTypeDefMatcher$lzycompute$1__p1__V()
    };
    return this.ShapeClassTypeDefMatcher$module$1
  };
  productArity__I() {
    return 4
  };
  ShapeClassTypeDefMatcher$lzycompute$1__p1__V() {
    if ((this.ShapeClassTypeDefMatcher$module$1 === null)) {
      this.ShapeClassTypeDefMatcher$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(this)
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(x$1)) {
      const RamlTypeDetector$1 = x$1;
      let jsx$2;
      if ((this.parent$1 === RamlTypeDetector$1.parent$1)) {
        const x = this.format$1;
        const x$2 = RamlTypeDetector$1.format$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.defaultType$1;
        const x$4 = RamlTypeDetector$1.defaultType$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.recursive$1 === RamlTypeDetector$1.recursive$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      case 1: {
        return this.format$1;
        break
      }
      case 2: {
        return this.defaultType$1;
        break
      }
      case 3: {
        return this.recursive$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  detectProperties__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("properties");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())
    }
  };
  collectTypeDefs__p1__sc_Seq__sc_Seq(sequence) {
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(node$2) {
        const node = node$2;
        const x$14 = $this.parent$1;
        const x$16 = $m_s_None$();
        const x$17 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector().init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(x$14, x$16, x$17, true, $this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f).detect__Lorg_yaml_model_YNode__s_Option(node)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$2 = sequence.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(this);
    const this$4 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  InheritsTypeDetecter$lzycompute$1__p1__V() {
    if ((this.InheritsTypeDetecter$module$1 === null)) {
      this.InheritsTypeDetecter$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(this)
    }
  };
  detectItems__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("items");
    if ($is_s_Some(x1)) {
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$())
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(parent, format, defaultType, recursive, ctx) {
    this.parent$1 = parent;
    this.format$1 = format;
    this.defaultType$1 = defaultType;
    this.recursive$1 = recursive;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f = ctx;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parent$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.format$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.defaultType$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.recursive$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  detect__Lorg_yaml_model_YNode__s_Option(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x === x1)) {
      const sequence = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f);
      const this$1 = this.InheritsTypeDetecter__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$().apply__sc_Seq__Lorg_yaml_model_YPart__s_Option(this.collectTypeDefs__p1__sc_Seq__sc_Seq(sequence), node);
      return (this$1.isEmpty__Z() ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()) : this$1)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x$3 === x1)) {
        const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f);
        $m_Lorg_yaml_model_YMap$();
        const c = map.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(e$2) {
            const e = e$2;
            const thiz = e.key$1.toString__T();
            if ((thiz === null)) {
              throw new $c_jl_NullPointerException().init___()
            };
            return (!$m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(".*/.*", thiz))
          })
        })(this)));
        const filterMap = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const this$5 = this.detectItems__p1__Lorg_yaml_model_YMap__s_Option(filterMap);
        const this$6 = (this$5.isEmpty__Z() ? this.detectProperties__p1__Lorg_yaml_model_YMap__s_Option(filterMap) : this$5);
        const this$7 = (this$6.isEmpty__Z() ? this.detectAnyOf__p1__Lorg_yaml_model_YMap__s_Option(filterMap) : this$6);
        return (this$7.isEmpty__Z() ? this.detectTypeOrSchema__p1__Lorg_yaml_model_YMap__s_Option(filterMap) : this$7)
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x$5 === x1)) {
          return new $c_s_Some().init___O(this.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef())
        } else {
          const scalar = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f);
          const x1$2 = scalar.text$3;
          if ((x1$2 !== null)) {
            if (((((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("<<".length | 0)) === "<<")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(x1$2, ">>"))) {
              this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f.violation__T__s_Option__V("Trait/Resource Type parameter in type", new $c_s_Some().init___O(node));
              return $m_s_None$()
            }
          };
          const o10 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(x1$2);
          if ((!o10.isEmpty__Z())) {
            const text = o10.get__O();
            const adopt = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
              return (function(shape$2) {
                const shape = shape$2;
                return shape
              })
            })(this));
            const part = new $c_s_Some().init___O(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f));
            const ctx = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f;
            const this$14 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, true, ctx).parse__T__s_Option(text);
            let this$15;
            if (this$14.isEmpty__Z()) {
              this$15 = $m_s_None$()
            } else {
              const arg1 = this$14.get__O();
              const s = arg1;
              this$15 = this.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(s, node, this.recursive$1, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f)
            };
            if (this$15.isEmpty__Z()) {
              return $m_s_None$()
            } else {
              const arg1$1 = this$15.get__O();
              const x0$1 = arg1$1;
              const x$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$();
              let jsx$1;
              if ((x$1 === x0$1)) {
                jsx$1 = true
              } else {
                const x$3$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                jsx$1 = (x$3$1 === x0$1)
              };
              return new $c_s_Some().init___O(((jsx$1 && (!this.recursive$1)) ? $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$() : x0$1))
            }
          };
          if ((x1$2 !== null)) {
            const x$8 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
            $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
            const x$9 = "";
            const x$10 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(x1$2, x$9, x$8);
            const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
            if (((x$10 !== null) && (x$10 === x$11))) {
              let rc7 = false;
              let x2 = null;
              const x1$3 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f.declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(scalar.text$3, $m_Lamf_core_parser_SearchScope$All$());
              if ($is_s_Some(x1$3)) {
                rc7 = true;
                x2 = x1$3;
                const ancestor = x2.value$2;
                if (this.recursive$1) {
                  return this.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(ancestor, node, this.recursive$1, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f)
                }
              };
              if ((rc7 && (!this.recursive$1))) {
                return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())
              };
              const x$12 = $m_s_None$();
              if ((x$12 === x1$3)) {
                return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$())
              };
              throw new $c_s_MatchError().init___O(x1$3)
            }
          };
          const t = scalar.text$3;
          if (this.format$1.isDefined__Z()) {
            const this$16 = this.format$1;
            if (this$16.isEmpty__Z()) {
              return $m_s_None$()
            } else {
              const arg1$2 = this$16.get__O();
              const f = arg1$2;
              return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(t, f, ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())))
            }
          } else {
            return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(t, ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), ""), ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())))
          }
        }
      }
    }
  };
  InheritsTypeDetecter__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$() {
    if ((this.InheritsTypeDetecter$module$1 === null)) {
      this.InheritsTypeDetecter$lzycompute$1__p1__V()
    };
    return this.InheritsTypeDetecter$module$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  typeOrSchema__Lorg_yaml_model_YMap__s_Option(map) {
    const type = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
    const schema = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema");
    if ((!type.isEmpty__Z())) {
      const arg1 = type.get__O();
      if ((!schema.isEmpty__Z())) {
        const arg1$1 = schema.get__O();
        const s = arg1$1;
        this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f.violation__T__s_Option__V("'schema' and 'type' properties are mutually exclusive", new $c_s_Some().init___O(s.key$1))
      }
    };
    if ((!schema.isEmpty__Z())) {
      const arg1$2 = schema.get__O();
      const s$1 = arg1$2;
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f.warning__T__s_Option__V("'schema' keyword it's deprecated for 1.0 version, should use 'type' instead", new $c_s_Some().init___O(s$1.key$1))
    };
    return (type.isEmpty__Z() ? schema : type)
  };
  detectTypeOrSchema__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$1 = map.entries$3;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      let rc6 = false;
      let x2 = null;
      const this$2 = this.typeOrSchema__Lorg_yaml_model_YMap__s_Option(map);
      let x1;
      if (this$2.isEmpty__Z()) {
        x1 = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const e = arg1;
        const x$10 = this.parent$1;
        const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("(format)");
        let x$11;
        if (this$4.isEmpty__Z()) {
          x$11 = $m_s_None$()
        } else {
          const arg1$1 = this$4.get__O();
          const x$3 = arg1$1;
          x$11 = new $c_s_Some().init___O(x$3.value$1.toString__T())
        };
        const x$13 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$();
        x1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector().init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(x$10, x$11, x$13, true, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f).detect__Lorg_yaml_model_YNode__s_Option(e.value$1)
      };
      let this$6;
      matchEnd7: {
        if ($is_s_Some(x1)) {
          rc6 = true;
          x2 = x1;
          const t = x2.value$2;
          const x$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
          if (((t !== null) && (t === x$2))) {
            this$6 = this.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().fetchByRamlSyntax__Lorg_yaml_model_YMap__s_Option(map);
            break matchEnd7
          }
        };
        if (rc6) {
          const other = x2.value$2;
          this$6 = new $c_s_Some().init___O(other);
          break matchEnd7
        };
        const x$3$1 = $m_s_None$();
        if ((x$3$1 === x1)) {
          this$6 = this.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().fetchByRamlSyntax__Lorg_yaml_model_YMap__s_Option(map);
          break matchEnd7
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      return (this$6.isEmpty__Z() ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()) : this$6)
    } else {
      return new $c_s_Some().init___O(this.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef())
    }
  };
  detectAnyOf__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("anyOf");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$())
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null
  };
  productPrefix__T() {
    return "RamlTypeExpressionEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__typeExpression__T(this$1), $m_Lorg_yaml_model_YType$().Str$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter(x$1)) {
      const RamlTypeExpressionEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlTypeExpressionEmitter$1.shape$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_Shape(shape) {
    this.shape$1 = shape;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.shape$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeExpressionEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null
  };
  productPrefix__T() {
    return "AnyShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnyShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = AnyShapeParser$1.shape$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnyShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    return this.shape$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$AnyShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null;
    this.adopt$2 = null
  };
  productPrefix__T() {
    return "ArrayShapeParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$2 = shape;
    this.map$2 = map;
    this.adopt$2 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  productArity__I() {
    return 3
  };
  arrayShapeTypeFromInherits__p2__s_Option() {
    const this$1 = this.shape$2;
    const this$2 = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).headOption__s_Option();
    let maybeShape;
    if (this$2.isEmpty__Z()) {
      maybeShape = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x0$4 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x0$4)) {
        const x2 = x0$4;
        jsx$1 = x2.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)
      } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x0$4)) {
        const x3 = x0$4;
        jsx$1 = x3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).head__O()
      } else {
        if ((!$is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$4))) {
          throw new $c_s_MatchError().init___O(x0$4)
        };
        const x4 = x0$4;
        jsx$1 = x4.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)
      };
      maybeShape = new $c_s_Some().init___O(jsx$1)
    };
    if (maybeShape.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = maybeShape.get__O();
      const x0$5 = arg1$1;
      let jsx$2;
      if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$5)) {
        const this$3 = this.shape$2;
        jsx$2 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$3.fields$2, this$3.annotations$2)
      } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x0$5)) {
        const this$4 = this.shape$2;
        jsx$2 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$4.fields$2, this$4.annotations$2)
      } else if ((x0$5 !== null)) {
        jsx$2 = this.shape$2
      } else {
        throw new $c_s_MatchError().init___O(x0$5)
      };
      return new $c_s_Some().init___O(jsx$2)
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ArrayShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = ArrayShapeParser$1.shape$2;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ArrayShapeParser$1.map$2))) {
        const x$3 = this.adopt$2;
        const x$4 = ArrayShapeParser$1.adopt$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      case 2: {
        return this.adopt$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    this.adopt$2.apply__O__O(this.shape$2);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$2;
    const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("items");
    let this$11;
    if (this$4.isEmpty__Z()) {
      this$11 = $m_s_None$()
    } else {
      const arg1 = this$4.get__O();
      const itemsEntry = arg1;
      const x$20 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(items$2) {
          const items = items$2;
          return items.adopted__T__Lamf_core_model_domain_AmfObject(($this.shape$2.id$1 + "/items"))
        })
      })(this));
      const x$21 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f;
      const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(itemsEntry, x$20, false, x$21, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
      if (this$5.isEmpty__Z()) {
        this$11 = $m_s_None$()
      } else {
        const arg1$1 = this$5.get__O();
        const item = arg1$1;
        let jsx$2;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(item)) {
          const x2 = item;
          const this$6 = this.shape$2;
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$7 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$6, field$1, x2);
          jsx$2 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$7.fields$2, this$7.annotations$2)
        } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(item)) {
          const x3 = item;
          const this$8 = this.shape$2;
          const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$9 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$8, field$2, x3);
          jsx$2 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$9.fields$2, this$9.annotations$2)
        } else {
          if ((item === null)) {
            throw new $c_s_MatchError().init___O(item)
          };
          const this$10 = this.shape$2;
          const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          jsx$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field$3, item)
        };
        this$11 = new $c_s_Some().init___O(jsx$2)
      }
    };
    const finalShape = (this$11.isEmpty__Z() ? this.arrayShapeTypeFromInherits__p2__s_Option() : this$11);
    if ($is_s_Some(finalShape)) {
      const x2$1 = finalShape;
      const parsed = x2$1.value$2;
      if ((parsed !== null)) {
        this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(parsed, this.map$2, "arrayShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
        return parsed
      }
    };
    const x = $m_s_None$();
    if ((x === finalShape)) {
      this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(this.shape$2.id$1, "Cannot parse data arrangement shape", this.map$2);
      return this.shape$2
    };
    throw new $c_s_MatchError().init___O(finalShape)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$ArrayShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  productPrefix__T() {
    return "NodeShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NodeShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = NodeShapeParser$1.shape$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NodeShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  parse__Lamf_plugins_domain_shapes_models_NodeShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("minProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("maxProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$5 = this.shape$2;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$5, field$2, false);
    const map$2 = this.map$2;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this.$$outer$1;
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    const this$8 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$7, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).negated__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField();
    jsx$3.key__T__F1__V("additionalProperties", this$8.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
    const map$3 = this.map$2;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("(additionalProperties)");
    if ((!this$10.isEmpty__Z())) {
      const arg1 = this$10.get__O();
      const entry = arg1;
      const this$11 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__T__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(s$2) {
          const s = s$2;
          s.adopted__T__Lamf_core_model_domain_AmfObject($this.shape$2.id$1)
        })
      })(this)), "schema", this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
      if ((!this$11.isEmpty__Z())) {
        const arg1$1 = this$11.get__O();
        const s$3 = arg1$1;
        const this$12 = this.shape$2;
        const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$4, s$3, annotations)
      }
    };
    const map$4 = this.map$2;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$14 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
    const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$4.key__T__F1__V("discriminator", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$14, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$5 = this.map$2;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$16 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
    const iv$4 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$5.key__T__F1__V("discriminatorValue", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$16, field$6, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$6 = this.map$2;
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const this$18 = this.$$outer$1;
    const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().ReadOnly$1;
    const iv$5 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$6.key__T__F1__V("(readOnly)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$18, field$7, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$7 = this.map$2;
    const this$20 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const this$21 = this$20.key__T__s_Option("properties");
    if ((!this$21.isEmpty__Z())) {
      const arg1$2 = this$21.get__O();
      const entry$3 = arg1$2;
      const node = entry$3.value$1;
      const x1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const m = x2.value$2;
        const properties = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1(this.$$outer$1, m, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(name$2) {
            const name = name$2;
            return $this$1.shape$2.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name)
          })
        })(this))).parse__sc_Seq();
        const this$23 = this.shape$2;
        const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(properties, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$23, field$8, value, annotations$1)
      }
    };
    const properties$1 = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$24 = this.shape$2;
    this$24.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, properties$2) {
      return (function(p$2) {
        const p = p$2;
        const self = p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        return properties$2.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, p))
      })
    })(this, properties$1)));
    const map$8 = this.map$2;
    const this$28 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8);
    const this$29 = this$28.key__T__s_Option("(dependencies)");
    if ((!this$29.isEmpty__Z())) {
      const arg1$3 = this$29.get__O();
      const entry$4 = arg1$3;
      const dependencies = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser().init___Lorg_yaml_model_YMap__scm_ListMap(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), properties$1).parse__sc_Seq();
      const this$30 = this.shape$2;
      const field$9 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(dependencies, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$30, field$9, value$1, annotations$2)
    };
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$2, this.map$2, "nodeShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$NodeShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.shape$2 = null;
    this.map$2 = null;
    this.adopt$2 = null
  };
  productPrefix__T() {
    return "TupleShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TupleShapeParser$1 = x$1;
      const x = this.shape$2;
      const x$2 = TupleShapeParser$1.shape$2;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TupleShapeParser$1.map$2))) {
        const x$3 = this.adopt$2;
        const x$4 = TupleShapeParser$1.adopt$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.map$2;
        break
      }
      case 2: {
        return this.adopt$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_Shape() {
    this.adopt$2.apply__O__O(this.shape$2);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    this.parseInheritance__V();
    const map = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$2;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$6 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$3.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$3 = this.map$2;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$9 = this$8.key__T__s_Option("items");
    if ((!this$9.isEmpty__Z())) {
      const arg1 = this$9.get__O();
      const entry = arg1;
      const jsx$6 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).entries$3;
      const this$10 = $m_sc_IndexedSeq$();
      const jsx$5 = jsx$6.zipWithIndex__scg_CanBuildFrom__O(this$10.ReusableCBF$6);
      const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$6$2) {
          const x0$6 = x0$6$2;
          if ((x0$6 !== null)) {
            const elem = x0$6.$$und1__O();
            const index = x0$6.$$und2$mcI$sp__I();
            return $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(elem, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
              return (function(item$2) {
                const item = item$2;
                return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$2.id$1 + "/items/") + index$1))
              })
            })($this, index)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option()
          } else {
            throw new $c_s_MatchError().init___O(x0$6)
          }
        })
      })(this));
      const this$12 = $m_sc_IndexedSeq$();
      const items = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$12.ReusableCBF$6);
      const this$14 = this.shape$2;
      const jsx$8 = items.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          return x$8.isDefined__Z()
        })
      })(this)));
      const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$9$2) {
          const x$9 = x$9$2;
          return x$9.get__O()
        })
      })(this));
      const this$13 = $m_sc_IndexedSeq$();
      const items$1 = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$7, this$13.ReusableCBF$6);
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$14, field$3, items$1)
    };
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$2, this.map$2, "arrayShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$2
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$2 = shape;
    this.map$2 = map;
    this.adopt$2 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$TupleShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.map$2 = null;
    this.adopt$2 = null;
    this.shape$2 = null
  };
  productPrefix__T() {
    return "UnionShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UnionShapeParser$1 = x$1;
      if (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(UnionShapeParser$1.map$2)) {
        const x = this.adopt$2;
        const x$2 = UnionShapeParser$1.adopt$2;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.adopt$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  parse__Lamf_plugins_domain_shapes_models_UnionShape() {
    this.adopt$2.apply__O__O(this.shape$2);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("anyOf");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$3$2) {
            const x0$3 = x0$3$2;
            if ((x0$3 !== null)) {
              const unionNode = x0$3.$$und1__O();
              const index = x0$3.$$und2$mcI$sp__I();
              return $this.$$outer$1.typeParser__F6().apply__O__O__O__O__O__O__O(unionNode, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), unionNode, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$2.id$1 + "/items/") + index$1))
                })
              })($this, index)), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$()).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$3)
            }
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$6$2) {
            const x$6 = x$6$2;
            return x$6.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$7$2) {
            const x$7 = x$7$2;
            return x$7.get__O()
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const unionNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.shape$2;
        const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field, unionNodes, annotations)
      } else {
        this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().violation__T__T__Lorg_yaml_model_YPart__V(this.shape$2.id$1, "Unions are built from multiple shape nodes", entry)
      }
    };
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$2, this.map$2, "unionShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1($$outer, map, adopt) {
    this.map$2 = map;
    this.adopt$2 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
    this.shape$2 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$UnionShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter extends $c_O {
  constructor() {
    super();
    this.variable$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "VariableEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_core_model_domain_templates_VariableValue__Lamf_core_emitter_SpecOrdering(variable, ordering) {
    this.variable$1 = variable;
    this.ordering$1 = ordering;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter(x$1)) {
      const VariableEmitter$1 = x$1;
      const x = this.variable$1;
      const x$2 = VariableEmitter$1.variable$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = VariableEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.variable$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.variable$1;
    const str = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.variable$1;
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering(this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1), this.ordering$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$4 = v.builder$1;
    const array = [key];
    if ((this$4.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$4.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
    const len$1 = this$4.size0$6;
    const src = this$4.array$6;
    const dest = this$4.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$4.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$4.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.variable$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.VariableEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "XMLSerializerEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter(x$1)) {
      const XMLSerializerEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === XMLSerializerEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = XMLSerializerEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = XMLSerializerEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.f$1;
    const fs = this$3.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1);
    let jsx$1;
    if (this$4.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$4.get__O();
      const x$6 = arg1;
      jsx$1 = x$6.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let this$5;
    if (jsx$1) {
      this$5 = this$4
    } else {
      this$5 = $m_s_None$()
    };
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("attribute", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1);
    let jsx$2;
    if (this$6.isEmpty__Z()) {
      jsx$2 = true
    } else {
      const arg1$2 = this$6.get__O();
      const x$7 = arg1$2;
      jsx$2 = x$7.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let this$7;
    if (jsx$2) {
      this$7 = this$6
    } else {
      this$7 = $m_s_None$()
    };
    if ((!this$7.isEmpty__Z())) {
      const arg1$3 = this$7.get__O();
      const f$3 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("wrapped", f$3)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1);
    let jsx$3;
    if (this$8.isEmpty__Z()) {
      jsx$3 = true
    } else {
      const arg1$4 = this$8.get__O();
      const x$8 = arg1$4;
      jsx$3 = x$8.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let this$9;
    if (jsx$3) {
      this$9 = this$8
    } else {
      this$9 = $m_s_None$()
    };
    if ((!this$9.isEmpty__Z())) {
      const arg1$5 = this$9.get__O();
      const f$4 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("name", f$4)))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$6 = this$10.get__O();
      const f$5 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("namespace", f$5)))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$7 = this$11.get__O();
      const f$6 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("prefix", f$6)))
    };
    const this$12 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$12.value$1.value$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const jsx$4 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$18 = v.builder$1;
    const array = [key];
    if ((this$18.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$18.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$18, newSize);
    const len$1 = this$18.size0$6;
    const src = this$18.array$6;
    const dest = this$18.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$18.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$18.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.XMLSerializerEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null;
    this.entries$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "ExampleValuesEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.emitters$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const p = x2.value$2;
      p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const values = x3.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(values), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter(x$1)) {
      const ExampleValuesEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = ExampleValuesEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ExampleValuesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = example.fields$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1, $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1, $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1, $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().CustomDomainProperties__Lamf_core_metamodel_Field()]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const this$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const f = arg1;
      const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option(f);
      let jsx$1;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const entry = x2.value$2;
        jsx$1 = (!entry.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        jsx$1 = false
      };
      if ((jsx$1 !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    const explicitFielMeta = b.toList__sci_List();
    const this$5 = fs.fieldsMeta__sci_List();
    let jsx$2;
    inlinereturn$26: {
      let these$1 = this$5;
      while ((!these$1.isEmpty__Z())) {
        const arg1$1 = these$1.head__O();
        const x$9 = arg1$1;
        if ($f_sc_LinearSeqOptimized__contains__O__Z(explicitFielMeta, x$9)) {
          jsx$2 = true;
          break inlinereturn$26
        };
        these$1 = these$1.tail__O()
      };
      jsx$2 = false
    };
    let isExpanded;
    if (jsx$2) {
      isExpanded = true
    } else {
      const thiz = example.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1);
      isExpanded = ((thiz.indexOf("value") | 0) !== (-1))
    };
    if (isExpanded) {
      const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1);
      if ((!this$9.isEmpty__Z())) {
        const arg1$2 = this$9.get__O();
        const f$3 = arg1$2;
        results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f$3, this.spec$1))
      };
      const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1);
      if ((!this$10.isEmpty__Z())) {
        const arg1$3 = this$10.get__O();
        const f$4 = arg1$3;
        results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, this.spec$1))
      };
      if ((fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).isDefined__Z() && (!fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).get__O().value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())))) {
        const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1);
        if ((!this$11.isEmpty__Z())) {
          const arg1$4 = this$11.get__O();
          const f$5 = arg1$4;
          results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("strict", f$5, this.spec$1))
        }
      };
      const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1);
      if ((!this$12.isEmpty__Z())) {
        const arg1$5 = this$12.get__O();
        const f$6 = arg1$5;
        const this$13 = f$6.value$1;
        const x$14 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(this$13.value$1.toString__T());
        const x$15 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f$6.value$1.annotations$1);
        const x$16 = $m_Lorg_yaml_model_YType$().Str$1;
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("value", x$14, x$16, x$15))
      };
      results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec).emitters__sc_Seq())
    } else {
      const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1);
      if ((!this$15.isEmpty__Z())) {
        const arg1$6 = this$15.get__O();
        const f$7 = arg1$6;
        const this$16 = f$7.value$1;
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(this$16.value$1.toString__T()))
      }
    };
    this.entries$1 = results;
    const x1$1 = this.entries$1;
    let jsx$3;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1$1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_s_package$();
          jsx$3 = new $c_s_util_Left().init___O(x3);
          break matchEnd5
        }
      };
      if (x1$1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
        return (function(x$10$2) {
          const x$10 = x$10$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$10)
        })
      })(this)))) {
        $m_s_package$();
        const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter(this);
        const this$19 = $m_sc_Seq$();
        const value = x1$1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$4, this$19.ReusableCBFInstance$2);
        jsx$3 = new $c_s_util_Right().init___O(value);
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1$1]))))
    };
    this.emitters$1 = jsx$3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.example$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ExampleValuesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.examples$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "MultipleExampleEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter(x$1)) {
      const MultipleExampleEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === MultipleExampleEmitter$1.key$1)) {
        const x = this.examples$1;
        const x$2 = MultipleExampleEmitter$1.examples$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = MultipleExampleEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = MultipleExampleEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.examples$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    if (this.examples$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$2 = this.examples$1.head__O();
      if (this$2.linkTarget__s_Option().isDefined__Z()) {
        const this$3 = this.examples$1.head__O().linkTarget__s_Option();
        if ((!this$3.isEmpty__Z())) {
          const arg1 = this$3.get__O();
          const l = arg1;
          const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
          const this$4 = this.examples$1.head__O();
          jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$4), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
        }
      } else {
        const jsx$3 = this.examples$1;
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            return new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x$5, this$2$1.ordering$1, this$2$1.spec$1)
          })
        })(this));
        const this$5 = $m_sc_Seq$();
        const emitters = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$5.ReusableCBFInstance$2);
        const jsx$4 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      };
      const this$11 = v.builder$1;
      const array = [key];
      if ((this$11.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$11.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
      const len$1 = this$11.size0$6;
      const src = this$11.array$6;
      const dest = this$11.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$11.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$5 = j;
        const index = i;
        xs.u[jsx$5] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$11.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, examples, ordering, references, spec) {
    this.key$1 = key;
    this.examples$1 = examples;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.examples$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const h = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(h.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.MultipleExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "NamedExampleEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter(x$1)) {
      const NamedExampleEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = NamedExampleEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = NamedExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.example$1;
    const str = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.example$1, this.ordering$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.example$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.NamedExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter extends $c_O {
  constructor() {
    super();
    this.oasParameters$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq($$outer, oasParameters, references) {
    this.oasParameters$1 = oasParameters;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "OasParameterEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OasParameterEmitter$1 = x$1;
      const x = this.oasParameters$1;
      const x$2 = OasParameterEmitter$1.oasParameters$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = OasParameterEmitter$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.oasParameters$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    if ((this.oasParameters$1.nonEmpty__Z() || this.$$outer$1.payloadOption$1.isDefined__Z())) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.$$outer$1.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.$$outer$1.amf$plugins$document$webapi$parser$spec$domain$OasParametersEmitter$$parameters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.oasParameters$1, this.$$outer$1.ordering$1, this.references$1), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$7 = v.builder$1;
      const array = [key];
      if ((this$7.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$7.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
      const len$1 = this$7.size0$6;
      const src = this$7.array$6;
      const dest = this$7.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$7.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$7.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.oasParameters$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(p.annotations$1))
    };
    if (this$2.isEmpty__Z()) {
      const this$3 = this.$$outer$1.payloadOption$1;
      let this$4;
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const p$1 = arg1$1;
        this$4 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(p$1.annotations$1))
      };
      return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
    } else {
      return this$2.get__O()
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersEmitter$OasParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.ramlParameters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "XRamlParameterEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const XRamlParameterEmitter$1 = x$1;
      if ((this.key$1 === XRamlParameterEmitter$1.key$1)) {
        const x = this.ramlParameters$1;
        const x$2 = XRamlParameterEmitter$1.ramlParameters$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.ramlParameters$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    if (this.ramlParameters$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$4 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$2 = this.ramlParameters$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(p$2) {
          const p = p$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(p, $this.$$outer$1.ordering$1, $m_sci_Nil$(), $this.$$outer$1.spec$1)
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      jsx$3.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$8 = v.builder$1;
      const array = [key];
      if ((this$8.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$8.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
      const len$1 = this$8.size0$6;
      const src = this$8.array$6;
      const dest = this$8.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$8.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$5 = j;
        const index = i;
        xs.u[jsx$5] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$8.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq($$outer, key, ramlParameters) {
    this.key$1 = key;
    this.ramlParameters$1 = ramlParameters;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.ramlParameters$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(p.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersEmitter$XRamlParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasPayloadEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const fs = this.payload$1.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("mediaType", f)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(((!f$3.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$3, this.ordering$1, this.references$1, this.spec$1)) : (void 0)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter(x$1)) {
      const OasPayloadEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = OasPayloadEmitter$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasPayloadEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasPayloadEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.payload$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloadEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.payloads$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasPayloadsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter(x$1)) {
      const OasPayloadsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === OasPayloadsEmitter$1.key$1)) {
        const x = this.payloads$1;
        const x$2 = OasPayloadsEmitter$1.payloads$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = OasPayloadsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasPayloadsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.payloads$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.payloads$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(p, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, payloads, ordering, references, spec) {
    this.key$1 = key;
    this.payloads$1 = payloads;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const filtered = this.payloads$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const this$1 = p.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if ((!this$1.isEmpty__Z())) {
          const arg1 = this$1.get__O();
          const x$3 = arg1;
          return (!x$3.range$1.start$1.isZero__Z())
        } else {
          return false
        }
      })
    })(this)));
    const result = filtered.foldLeft__O__F2__O($m_Lamf_core_parser_Position$ZERO$(), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
      return (function(pos$2, p$3$2) {
        const pos = pos$2;
        const p$3 = p$3$2;
        const this$3 = p$3.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        let this$4;
        if (this$3.isEmpty__Z()) {
          this$4 = $m_s_None$()
        } else {
          const arg1$1 = this$3.get__O();
          const x$4 = arg1$1;
          this$4 = new $c_s_Some().init___O(x$4.range$1.start$1)
        };
        let jsx$1;
        if (this$4.isEmpty__Z()) {
          jsx$1 = true
        } else {
          const arg1$2 = this$4.get__O();
          const newPos = arg1$2;
          jsx$1 = (pos.isZero__Z() || pos.lt__Lamf_core_parser_Position__Z(newPos))
        };
        let this$5;
        if (jsx$1) {
          this$5 = this$4
        } else {
          this$5 = $m_s_None$()
        };
        return (this$5.isEmpty__Z() ? pos : this$5.get__O())
      })
    })(this)));
    return result
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloadsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter extends $c_O {
  constructor() {
    super();
    this.response$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasResponseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter(x$1)) {
      const OasResponseEmitter$1 = x$1;
      const x = this.response$1;
      const x$2 = OasResponseEmitter$1.response$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasResponseEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasResponseEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.response$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.response$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.response$1;
    if (this$4.linkTarget$1.isDefined__Z()) {
      this.spec$1.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(this.response$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      const jsx$5 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1);
      let this$10;
      if (this$6.isEmpty__Z()) {
        const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations("", new $c_Lamf_core_parser_Annotations().init___());
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        this$10 = new $c_s_Some().init___O(new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$1, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations$1)))
      } else {
        this$10 = this$6
      };
      if ((!this$10.isEmpty__Z())) {
        const arg1 = this$10.get__O();
        const f = arg1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f)))
      };
      const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
      if ((!this$11.isEmpty__Z())) {
        const arg1$1 = this$11.get__O();
        const f$3 = arg1$1;
        const jsx$3 = this.ordering$1;
        const jsx$2 = this.references$1;
        const spec = this.spec$1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f$3, jsx$3, jsx$2, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1))))
      };
      const jsx$4 = $m_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$();
      const this$13 = this.response$1;
      const payloads = jsx$4.apply__sc_Seq__Z__Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(this$13.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1), false);
      const this$14 = payloads.default$1;
      if ((!this$14.isEmpty__Z())) {
        const arg1$2 = this$14.get__O();
        const payload = arg1$2;
        const this$15 = payload.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
        if ((!this$15.isEmpty__Z())) {
          const arg1$3 = this$15.get__O();
          const f$1 = arg1$3;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-media-type", f$1)))
        };
        const this$16 = payload.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
        if ((!this$16.isEmpty__Z())) {
          const arg1$4 = this$16.get__O();
          const f$3$1 = arg1$4;
          new $c_s_Some().init___O(((!f$3$1.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$3$1, this.ordering$1, this.references$1, this.spec$1)) : (void 0)))
        }
      };
      if (payloads.other$1.nonEmpty__Z()) {
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("x-response-payloads", payloads.other$1, this.ordering$1, this.references$1, this.spec$1))
      };
      const this$17 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
      if ((!this$17.isEmpty__Z())) {
        const arg1$5 = this$17.get__O();
        const f$4 = arg1$5;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("examples", f$4, this.ordering$1)))
      };
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.response$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
    };
    const this$22 = k.builder$1;
    const jsx$6 = $f_scm_ResizableArray__apply__I__O(this$22, 0);
    const this$23 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$6, $f_scm_ResizableArray__apply__I__O(this$23, 0))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(response, ordering, references, spec) {
    this.response$1 = response;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.response$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasResponseExampleEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter(x$1)) {
      const OasResponseExampleEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = OasResponseExampleEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasResponseExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.example$1;
    const str = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.example$1;
    new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1)).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$4 = v.builder$1;
    const array = [key];
    if ((this$4.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$4.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
    const len$1 = this$4.size0$6;
    const src = this$4.array$6;
    const dest = this$4.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$4.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$4.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering(example, ordering) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.example$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasResponseExamplesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter(x$1)) {
      const OasResponseExamplesEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OasResponseExamplesEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OasResponseExamplesEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OasResponseExamplesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter(this);
    const this$2 = $m_sc_Seq$();
    const examples = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$6 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$4 = this.ordering$1;
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering(x$2, $this.ordering$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq(examples.map__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$7 = j;
      const index = i;
      xs.u[jsx$7] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.f$1;
    const this$2 = this$1.value$1.value$1.values$1.headOption__s_Option();
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const a = arg1;
      this$3 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations__Lamf_core_parser_Annotations()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExamplesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "ParameterEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$2 = this.parameter$1;
    if (this$2.linkTarget$1.isDefined__Z()) {
      const jsx$1 = this.spec$1;
      const this$4 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
      const this$3 = this.parameter$1;
      const url = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$3).get__O();
      jsx$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$4.appendPrefix__p1__T__T__T(this$4.parameterDefinitionsPrefix$1, url))
    } else {
      const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const fs = this.parameter$1.fields$1;
      const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1);
      const this$6 = (this$5.isEmpty__Z() ? fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1) : this$5);
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const f = arg1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("name", f)))
      };
      const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1);
      if ((!this$7.isEmpty__Z())) {
        const arg1$1 = this$7.get__O();
        const f$3 = arg1$1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$3)))
      };
      const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
      let jsx$2;
      if (this$8.isEmpty__Z()) {
        jsx$2 = true
      } else {
        const arg1$2 = this$8.get__O();
        const x$21 = arg1$2;
        if (x$21.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())) {
          jsx$2 = true
        } else {
          const this$9 = this.parameter$1;
          jsx$2 = (!(!this$9.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1)))
        }
      };
      let this$10;
      if (jsx$2) {
        this$10 = this$8
      } else {
        this$10 = $m_s_None$()
      };
      if ((!this$10.isEmpty__Z())) {
        const arg1$3 = this$10.get__O();
        const f$4 = arg1$3;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("required", f$4)))
      };
      const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      if ((!this$11.isEmpty__Z())) {
        const arg1$4 = this$11.get__O();
        const f$5 = arg1$4;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("in", f$5)))
      };
      const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
      if ((!this$12.isEmpty__Z())) {
        const arg1$5 = this$12.get__O();
        const f$6 = arg1$5;
        new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$6.value$1.value$1, this.ordering$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().Description$1])), this.references$1, this.spec$1).entries__sc_Seq()))
      };
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.parameter$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
      const jsx$3 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    }
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter(x$1)) {
      const ParameterEmitter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = ParameterEmitter$1.parameter$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = ParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.parameter$1.annotations$1)
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$1 = parameter;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "PayloadAsParameterEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, this.ordering$1, this.references$1, this.spec$1)))
    };
    const this$3 = this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-media-type", f$3)))
    };
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("in", "body", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter(x$1)) {
      const PayloadAsParameterEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = PayloadAsParameterEmitter$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = PayloadAsParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = PayloadAsParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.payload$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.PayloadAsParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parent$2 = null;
    this.collector$2 = null;
    this.parseOptionalOperations$2 = false
  };
  productPrefix__T() {
    return "Raml08EndpointParser"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser(x$1)) {
      const Raml08EndpointParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08EndpointParser$1.entry$2;
      let jsx$3;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08EndpointParser$1.producer$2;
        jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.parent$2;
        const x$6 = Raml08EndpointParser$1.parent$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.collector$2;
        const x$8 = Raml08EndpointParser$1.collector$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptionalOperations$2 === Raml08EndpointParser$1.parseOptionalOperations$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  uriParametersKey__T() {
    return "uriParameters|baseUriParameters"
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parent$2;
        break
      }
      case 3: {
        return this.collector$2;
        break
      }
      case 4: {
        return this.parseOptionalOperations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parent$2 = parent;
    this.collector$2 = collector;
    this.parseOptionalOperations$2 = parseOptionalOperations;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parent, collector, parseOptionalOperations, ctx);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parent$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.collector$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptionalOperations$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08EndpointParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter extends $c_O {
  constructor() {
    super();
    this.nodeShape$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml08FormPropertiesEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter(x$1)) {
      const Raml08FormPropertiesEmitter$1 = x$1;
      const x = this.nodeShape$1;
      const x$2 = Raml08FormPropertiesEmitter$1.nodeShape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08FormPropertiesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.nodeShape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("formParameters");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.nodeShape$1;
    this$3.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ob) {
      return (function(p$2) {
        const p = p$2;
        const x1 = p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
          const x2 = x1;
          $m_Lorg_yaml_model_YNode$();
          const str = p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, $this.ordering$1, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1);
          const this$5 = v$1.builder$1;
          const array = [key$1];
          if ((this$5.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$5.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
          const len$1 = this$5.size0$6;
          const src = this$5.array$6;
          const dest = this$5.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$5.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x = (array.length | 0);
          const x$1 = ((x < len$2) ? x : len$2);
          const that = xs.u.length;
          const end = ((x$1 < that) ? x$1 : that);
          while ((i < end)) {
            const jsx$1 = j;
            const index = i;
            xs.u[jsx$1] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$5.size0$6 = newSize;
          ob.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
        } else {
          $m_Lorg_yaml_model_YNode$();
          const str$1 = p.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit property ", " in raml 08 form properties"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1).toString__T()]))).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$2);
          const this$17 = v$2.builder$1;
          const array$1 = [key$2];
          if ((this$17.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$17.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$17, newSize$1);
          const len$4 = this$17.size0$6;
          const src$1 = this$17.array$6;
          const dest$1 = this$17.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$17.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$2 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$2] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$17.size0$6 = newSize$1;
          ob.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$32 = v.builder$1;
    const array$2 = [key];
    if ((this$32.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$32.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$32, newSize$2);
    const len$7 = this$32.size0$6;
    const src$2 = this$32.array$6;
    const dest$2 = this$32.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$32.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$4 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$4] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$32.size0$6 = newSize$2;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(nodeShape, ordering, spec) {
    this.nodeShape$1 = nodeShape;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.nodeShape$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.annotations$2)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08FormPropertiesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser {
  constructor() {
    super();
    this.map$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.baseUriParametersKey$2 = null;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml08RequestParser"
  };
  baseUriParametersKey__T() {
    return this.baseUriParametersKey$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser(x$1)) {
      const Raml08RequestParser$1 = x$1;
      let jsx$1;
      if (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08RequestParser$1.map$2)) {
        const x = this.producer$2;
        const x$2 = Raml08RequestParser$1.producer$2;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08RequestParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_utils_Lazy__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__V(request, target) {
    /*<skip>*/
  };
  init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$2 = map;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser.prototype.init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, map, producer, parseOptional, ctx);
    this.baseUriParametersKey$2 = "baseUriParameters";
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$();
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.map$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08RequestParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml08ResponseParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_NilDefaultType$();
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser(x$1)) {
      const Raml08ResponseParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08ResponseParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08ResponseParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08ResponseParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parseMap__Lamf_plugins_domain_webapi_models_Response__Lorg_yaml_model_YMap__V(response, map) {
    /*<skip>*/
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ResponseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parent$2 = null;
    this.collector$2 = null;
    this.parseOptionalOperations$2 = false
  };
  productPrefix__T() {
    return "Raml10EndpointParser"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser(x$1)) {
      const Raml10EndpointParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10EndpointParser$1.entry$2;
      let jsx$3;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10EndpointParser$1.producer$2;
        jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.parent$2;
        const x$6 = Raml10EndpointParser$1.parent$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.collector$2;
        const x$8 = Raml10EndpointParser$1.collector$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptionalOperations$2 === Raml10EndpointParser$1.parseOptionalOperations$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  uriParametersKey__T() {
    return "uriParameters"
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parent$2;
        break
      }
      case 3: {
        return this.collector$2;
        break
      }
      case 4: {
        return this.parseOptionalOperations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parent$2 = parent;
    this.collector$2 = collector;
    this.parseOptionalOperations$2 = parseOptionalOperations;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parent, collector, parseOptionalOperations, ctx);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parent$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.collector$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptionalOperations$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10EndpointParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10PayloadEmitter"
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter(x$1)) {
      const Raml10PayloadEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = Raml10PayloadEmitter$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10PayloadEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml10PayloadEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.payload$1.fields$1;
    let rc8 = false;
    let x2 = null;
    const jsx$1 = $m_s_Option$();
    const this$1 = this.payload$1;
    const x1 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
    matchEnd9: {
      if ($is_s_Some(x1)) {
        rc8 = true;
        x2 = x1;
        const shape = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
          const x5 = shape;
          const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
          if ((!this$2.isEmpty__Z())) {
            const arg1 = this$2.get__O();
            const mediaType = arg1;
            const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(mediaType.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
            const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const x$16 = this.ordering$1;
            const x$17 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1));
            const x$18 = this.references$1;
            const x$19 = $m_sci_Nil$();
            new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, x$16, x$17, x$19, x$18, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
            const this$5 = k.builder$1;
            const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$5, 0);
            const this$6 = v.builder$1;
            b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$6, 0))
          };
          break matchEnd9
        }
      };
      if (rc8) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit a non WebAPI Shape"))
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
        if ((!this$7.isEmpty__Z())) {
          const arg1$1 = this$7.get__O();
          const mediaType$3 = arg1$1;
          const k$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(mediaType$3.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k$1);
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const x$21 = this.ordering$1;
          const x$22 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1));
          const x$23 = this.references$1;
          const x$24 = $m_sci_Nil$();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(null, x$21, x$22, x$24, x$23, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1);
          const this$10 = k$1.builder$1;
          const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$10, 0);
          const this$11 = v$1.builder$1;
          b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$11, 0))
        };
        break matchEnd9
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.payload$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser {
  constructor() {
    super();
    this.map$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null;
    this.baseUriParametersKey$2 = null;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml10RequestParser"
  };
  baseUriParametersKey__T() {
    return this.baseUriParametersKey$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser(x$1)) {
      const Raml10RequestParser$1 = x$1;
      let jsx$1;
      if (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml10RequestParser$1.map$2)) {
        const x = this.producer$2;
        const x$2 = Raml10RequestParser$1.producer$2;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10RequestParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_utils_Lazy__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__V(request, target) {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("queryString");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const queryEntry = arg1;
      const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(queryEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, request$1) {
        return (function(shape$2) {
          const shape = shape$2;
          return shape.adopted__T__Lamf_core_model_domain_AmfObject(request$1.getOrCreate__O().id__T())
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$2).parse__s_Option();
      if ((!this$5.isEmpty__Z())) {
        const arg1$1 = this$5.get__O();
        const q = arg1$1;
        const this$6 = request.getOrCreate__O();
        const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1;
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$6, field, q))
      }
    }
  };
  init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$2 = map;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser.prototype.init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, map, producer, parseOptional, ctx);
    this.baseUriParametersKey$2 = "(baseUriParameters)";
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$();
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.map$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10RequestParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml10ResponseParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$();
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser(x$1)) {
      const Raml10ResponseParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10ResponseParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10ResponseParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10ResponseParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parseMap__Lamf_plugins_domain_webapi_models_Response__Lorg_yaml_model_YMap__V(response, map) {
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(response, map, this.ctx$2).parse__V()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ResponseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlParametersEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter(x$1)) {
      const RamlParametersEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === RamlParametersEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlParametersEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = RamlParametersEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlParametersEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.parameters__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  parameters__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    f.value$1.value$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return (!x$3.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, ordering$1, references$1, result$1) {
      return (function(e$2) {
        const e = e$2;
        return result$1.$$plus$eq__O__scm_ListBuffer(this$2.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().parameterEmitter__F3().apply__O__O__O__O(e, ordering$1, references$1))
      })
    })(this, ordering, references, result)));
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlResponsesEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter(x$1)) {
      const RamlResponsesEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === RamlResponsesEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlResponsesEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = RamlResponsesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlResponsesEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().responseEmitter__F3().apply__O__O__O__O(e, ordering$1, references$1)
      })
    })(this, ordering, references));
    const this$1 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlResponsesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.example$1 = null;
    this.ordering$1 = null;
    this.valueEmitter$1 = null
  };
  productPrefix__T() {
    return "SingleExampleEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter(x$1)) {
      const SingleExampleEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === SingleExampleEmitter$1.key$1)) {
        const x = this.example$1;
        const x$2 = SingleExampleEmitter$1.example$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = SingleExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.example$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x1 = this.valueEmitter$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      entry.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const map = x3.value$2;
      map.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.example$1.annotations$1)
  };
  init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, example, ordering, spec) {
    this.key$1 = key;
    this.example$1 = example;
    this.ordering$1 = ordering;
    const x1 = example.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1);
    let jsx$1;
    if ($is_s_Some(x1)) {
      $m_s_package$();
      const value = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec);
      jsx$1 = new $c_s_util_Left().init___O(value)
    } else {
      $m_s_package$();
      const value$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec);
      jsx$1 = new $c_s_util_Right().init___O(value$1)
    };
    this.valueEmitter$1 = jsx$1;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.SingleExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter extends $c_O {
  constructor() {
    super();
    this.value$1 = null
  };
  productPrefix__T() {
    return "StringToAstEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const qual$1 = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(this.value$1, $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include");
    const parts = qual$1.parse__Z__sc_IndexedSeq(true);
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3().init___Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter(this);
    const this$1 = $m_sc_IndexedSeq$();
    const this$2 = parts.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6).headOption__s_Option();
    let x1;
    if (this$2.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$11 = arg1;
      x1 = new $c_s_Some().init___O(x$11.node$3)
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const node = x2.value$2;
      this.emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(node, b)
    } else {
      throw new $c_jl_IllegalStateException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Could not parse string example ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.value$1])))
    }
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter(x$1)) {
      const StringToAstEmitter$1 = x$1;
      return (this.value$1 === StringToAstEmitter$1.value$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(node, b) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      const jsx$2 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, e) {
        return (function(entry$2) {
          const entry = entry$2;
          $m_Lorg_yaml_model_YNode$();
          const str = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $this.emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(entry.value$1, v);
          const this$3 = v.builder$1;
          const array = [key];
          if ((this$3.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$3.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
          const len$1 = this$3.size0$6;
          const src = this$3.array$6;
          const dest = this$3.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$3.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x$1 = (array.length | 0);
          const x$2 = ((x$1 < len$2) ? x$1 : len$2);
          const that = xs.u.length;
          const end = ((x$2 < that) ? x$2 : that);
          while ((i < end)) {
            const jsx$1 = j;
            const index = i;
            xs.u[jsx$1] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$3.size0$6 = newSize;
          e.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const seq = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        const jsx$3 = b.builder$1;
        const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        seq.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, p) {
          return (function(x$12$2) {
            const x$12 = x$12$2;
            $this$1.emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(x$12, p)
          })
        })(this, b$2)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$1 = b$2.builder$1;
        const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
        jsx$3.$$plus$eq__O__scm_ArrayBuffer(node$1)
      } else {
        const scalar = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        b.$$plus$eq__T__V(scalar.text$3)
      }
    }
  };
  init___T(value) {
    this.value$1 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.StringToAstEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.responses$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasDeclaredResponsesEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter(x$1)) {
      const OasDeclaredResponsesEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === OasDeclaredResponsesEmitter$1.key$1)) {
        const x = this.responses$1;
        const x$2 = OasDeclaredResponsesEmitter$1.responses$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = OasDeclaredResponsesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasDeclaredResponsesEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.responses$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.responses$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$32$2) {
        const x$32 = x$32$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$32, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, responses, ordering, references, spec) {
    this.key$1 = key;
    this.responses$1 = responses;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.responses$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDeclaredResponsesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter {
  constructor() {
    super();
    this.WebApiEmitter$module$2 = null;
    this.EndPointEmitter$module$2 = null;
    this.OperationEmitter$module$2 = null;
    this.ResponsesEmitter$module$2 = null;
    this.EndpointsEmitter$module$2 = null;
    this.LicenseEmitter$module$2 = null;
    this.OrganizationEmitter$module$2 = null;
    this.document$2 = null
  };
  emitWebApi__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(ordering, references) {
    const model = this.retrieveWebApi__p2__Lamf_plugins_domain_webapi_models_WebApi();
    const this$1 = model.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    let vendor;
    if (this$1.isEmpty__Z()) {
      vendor = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      vendor = new $c_s_Some().init___O(x$2.vendor$1)
    };
    const api = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq(this, model, ordering, vendor, references);
    return api.emitters$1
  };
  productPrefix__T() {
    return "OasDocumentEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter(x$1)) {
      const OasDocumentEmitter$1 = x$1;
      const x = this.document$2;
      const x$2 = OasDocumentEmitter$1.document$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  extensionEmitter__sc_Seq() {
    const this$1 = this.document$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    let jsx$3;
    if (this$1.isEmpty__Z()) {
      jsx$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      jsx$3 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__T__T__Lamf_core_parser_Position(this, "x-extends", f.value$1.value$1.toString__T(), $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(f.value$1.annotations$1)))
    };
    const jsx$2 = jsx$3.toList__sci_List();
    const xo = this.retrieveHeader__p2__s_Option();
    const jsx$1 = xo.toList__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  retrieveHeader__p2__s_Option() {
    const x1 = this.document$2;
    if ($is_Lamf_plugins_document_webapi_model_Extension(x1)) {
      const this$1 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$();
      const _1 = this$1.key$1;
      const _2 = this$1.value$1;
      return new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(_1, _2, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else if ($is_Lamf_plugins_document_webapi_model_Overlay(x1)) {
      const this$5 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$();
      const _1$1 = this$5.key$1;
      const _2$1 = this$5.value$1;
      return new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(_1$1, _2$1, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else if ($is_Lamf_core_model_document_Document(x1)) {
      return $m_s_None$()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Document has no header."))
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(document, spec) {
    this.document$2 = document;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    return this
  };
  emitDocument__Lorg_yaml_model_YDocument() {
    const doc = this.document$2;
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Oas$(), doc.encodes__Lamf_core_model_domain_DomainElement().annotations__Lamf_core_parser_Annotations());
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this.document$2.references__sc_Seq(), ordering);
    const declares = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq(this, doc.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1), ordering, references.references$1).emitters$1;
    const api = this.emitWebApi__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(ordering, references.references$1);
    const extension = this.extensionEmitter__sc_Seq();
    const this$1 = doc.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-usage", f))
    };
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    const jsx$6 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    b$1.updateDynamic__T__Lorg_yaml_model_YNode__V("swagger", ($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("2.0")));
    const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$8 = $m_sc_Seq$();
    const jsx$4 = api.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(extension, this$8.ReusableCBFInstance$2);
    const jsx$3 = usage.toList__sci_List();
    const this$10 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2);
    const this$11 = $m_sc_Seq$();
    const jsx$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(declares, this$11.ReusableCBFInstance$2);
    const this$12 = $m_sc_Seq$();
    jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(references, this$12.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  retrieveWebApi__p2__Lamf_plugins_domain_webapi_models_WebApi() {
    const x1 = this.document$2;
    if ($is_Lamf_core_model_document_Document(x1)) {
      const x2 = x1;
      return x2.encodes__Lamf_core_model_domain_DomainElement()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("BaseUnit doesn't encode a WebApi."))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter extends $c_O {
  constructor() {
    super();
    this.endpoint$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "EndPointEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const EndPointEmitter$1 = x$1;
      const x = this.endpoint$1;
      const x$2 = EndPointEmitter$1.endpoint$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = EndPointEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = EndPointEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.endpoint$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(f, ordering, endpointPayloadEmitted, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, endpointPayloadEmitted$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__Z__sc_Seq($this.$$outer$1, e, ordering$1, endpointPayloadEmitted$1, references$1)
      })
    })(this, ordering, endpointPayloadEmitted, references));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.endpoint$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$7 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-displayName", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-description", f$3)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$7.isEmpty__Z())) {
      const arg1$2 = this$7.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("x-", f$4, this.ordering$1).emitters__sc_Seq()))
    };
    const jsx$2 = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$();
    const this$8 = this.endpoint$1;
    const jsx$1 = this$8.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
    const this$9 = this.endpoint$1;
    const parameters = jsx$2.classified__sc_Seq__s_Option__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(jsx$1, this$9.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1).headOption__s_Option());
    if (parameters.nonEmpty__Z()) {
      const jsx$6 = parameters.query$1;
      const jsx$5 = parameters.path$1;
      const this$10 = $m_sc_Seq$();
      const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$10.ReusableCBFInstance$2);
      const jsx$3 = parameters.header$1;
      const this$11 = $m_sc_Seq$();
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("parameters", jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2), this.ordering$1, parameters.body$1, this.references$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).oasEndpointEmitters__sc_Seq())
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$3 = this$12.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(f$5, this.ordering$1, parameters.body$1.isDefined__Z(), this.references$1)))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$4 = this$13.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("x-security", f$6, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.endpoint$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$18 = k.builder$1;
    const jsx$8 = $f_scm_ResizableArray__apply__I__O(this$18, 0);
    const this$19 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$8, $f_scm_ResizableArray__apply__I__O(this$19, 0))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.endpoint$1.annotations$1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, endpoint, ordering, references) {
    this.endpoint$1 = endpoint;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$EndPointEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "EndpointsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const EndpointsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === EndpointsEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = EndpointsEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = EndpointsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = EndpointsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, key, f, ordering, references) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__sc_Seq($this.$$outer$1, e, ordering$1, references$1)
      })
    })(this, ordering, references));
    const this$1 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$EndpointsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "LicenseEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const LicenseEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === LicenseEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = LicenseEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = LicenseEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("url", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("name", f$3)))
    };
    const this$7 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$7.value$1.value$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$12 = v.builder$1;
    const array = [key];
    if ((this$12.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$12.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
    const len$1 = this$12.size0$6;
    const src = this$12.array$6;
    const dest = this$12.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$12.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$12.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$LicenseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter extends $c_O {
  constructor() {
    super();
    this.operation$1 = null;
    this.ordering$1 = null;
    this.endpointPayloadEmitted$1 = false;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OperationEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OperationEmitter$1 = x$1;
      const x = this.operation$1;
      const x$2 = OperationEmitter$1.operation$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OperationEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.endpointPayloadEmitted$1 === OperationEmitter$1.endpointPayloadEmitted$1))) {
        const x$5 = this.references$1;
        const x$6 = OperationEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.operation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.endpointPayloadEmitted$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.operation$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$2 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("operationId", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$3)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$2 = this$7.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("deprecated", f$4)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$3 = this$8.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("summary", f$5)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$4 = this$9.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", f$6.value$1.value$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$5 = this$10.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("schemes", f$7, this.ordering$1, false)))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$6 = this$11.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("consumes", f$8, this.ordering$1, false)))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$7 = this$12.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("produces", f$9, this.ordering$1, false)))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$13.isEmpty__Z())) {
      const arg1$8 = this$13.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("x-", f$10, this.ordering$1).emitters__sc_Seq()))
    };
    const jsx$1 = $m_s_Option$();
    const this$14 = this.operation$1;
    const this$15 = jsx$1.apply__O__s_Option(this$14.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    if ((!this$15.isEmpty__Z())) {
      const arg1$9 = this$15.get__O();
      const req = arg1$9;
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.requestEmitters__Lamf_plugins_domain_webapi_models_Request__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(req, this.ordering$1, this.endpointPayloadEmitted$1, this.references$1))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1);
    if (this$16.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("responses", new $c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter().init___Lamf_core_parser_Position($m_Lamf_core_parser_Position$ZERO$()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1$10 = this$16.get__O();
      const f$11 = arg1$10;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(this.$$outer$1, "responses", f$11, this.ordering$1, this.references$1))
    };
    const this$20 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1);
    if ((!this$20.isEmpty__Z())) {
      const arg1$11 = this$20.get__O();
      const f$12 = arg1$11;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("security", f$12, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.operation$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$25 = k.builder$1;
    const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$25, 0);
    const this$26 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$26, 0))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__Z__sc_Seq($$outer, operation, ordering, endpointPayloadEmitted, references) {
    this.operation$1 = operation;
    this.ordering$1 = ordering;
    this.endpointPayloadEmitted$1 = endpointPayloadEmitted;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  requestEmitters__Lamf_plugins_domain_webapi_models_Request__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(request, ordering, endpointPayloadEmitted, references) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const jsx$2 = request.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1);
    const jsx$1 = request.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
    const this$1 = $m_sc_Seq$();
    const parameters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const payloads = $m_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$().apply__sc_Seq__Z__Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(request.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1), endpointPayloadEmitted);
    if ((parameters.nonEmpty__Z() || payloads.default$1.isDefined__Z())) {
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("parameters", parameters, ordering, payloads.default$1, references, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq())
    };
    if (payloads.other$1.nonEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("x-request-payloads", payloads.other$1, ordering, references, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()))
    };
    const fs = request.fields$1;
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      let rc8 = false;
      let x2 = null;
      const x1 = $m_s_Option$().apply__O__s_Option(f.value$1.value$1);
      let jsx$3;
      matchEnd9: {
        if ($is_s_Some(x1)) {
          rc8 = true;
          x2 = x1;
          const shape = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
            const x5 = shape;
            jsx$3 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, ordering, $m_sci_Nil$(), new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
              return (function(shape$2$2, ordering$2, annotations$2, ignored$2, references$2) {
                const shape$2 = shape$2$2;
                const ordering$1 = ordering$2;
                const annotations = annotations$2;
                const ignored = ignored$2;
                const references$1 = references$2;
                return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape$2, ordering$1, annotations, ignored, references$1, $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
              })
            })(this)), this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()));
            break matchEnd9
          }
        };
        if (rc8) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit a non WebApi Shape"))
        };
        const x = $m_s_None$();
        if ((x === x1)) {
          jsx$3 = (void 0);
          break matchEnd9
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      new $c_s_Some().init___O(jsx$3)
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      const spec = this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext();
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("x-baseUriParameters", f$3, ordering, references, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1))))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(request, ordering, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    return result
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.operation$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.endpointPayloadEmitted$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.references$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.operation$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$OperationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OrganizationEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OrganizationEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OrganizationEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OrganizationEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OrganizationEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("url", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("name", f$3)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$2 = this$7.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("email", f$4)))
    };
    const this$8 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$8.value$1.value$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$13 = v.builder$1;
    const array = [key];
    if ((this$13.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$13.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
    const len$1 = this$13.size0$6;
    const src = this$13.array$6;
    const dest = this$13.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$13.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$13.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$OrganizationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResponsesEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResponsesEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === ResponsesEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ResponsesEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = ResponsesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = ResponsesEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(this.f$1, this.ordering$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, key, f, ordering, references) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(f, ordering) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(e, ordering$1, $this.references$1, $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this, ordering));
    const this$1 = $m_sc_Seq$();
    return ordering.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$ResponsesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter extends $c_O {
  constructor() {
    super();
    this.fs$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "InfoEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const InfoEmitter$1 = x$1;
      const x = this.fs$1;
      const x$2 = InfoEmitter$1.fs$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = InfoEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fs$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1);
    if (this$1.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("title", "API", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("title", f))
    };
    const this$4 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("description", f$3)))
    };
    const this$5 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("termsOfService", f$4)))
    };
    const this$6 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1);
    if (this$6.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("version", "1.0", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1$3 = this$6.get__O();
      const f$5 = arg1$3;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("version", f$5))
    };
    const this$9 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$4 = this$9.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1.$$outer$1, "license", f$6, this.ordering$1)))
    };
    const this$10 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$5 = this$10.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1.$$outer$1, "contact", f$7, this.ordering$1)))
    };
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("info");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$17 = v.builder$1;
    const array = [key];
    if ((this$17.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$17.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$17, newSize);
    const len$1 = this$17.size0$6;
    const src = this$17.array$6;
    const dest = this$17.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$17.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$17.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter__Lamf_core_parser_Fields__Lamf_core_emitter_SpecOrdering($$outer, fs, ordering) {
    this.fs$1 = fs;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const elem = $m_Lamf_core_parser_Position$ZERO$();
    let elem$1 = null;
    elem$1 = elem;
    const this$2 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      const this$3 = f.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const x0$1 = arg1$1;
        if ((x0$1 !== null)) {
          const range = x0$1.range$1;
          elem$1 = range.start$1
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      }
    };
    const this$4 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$3 = arg1$2;
      const this$5 = f$3.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      if ((!this$5.isEmpty__Z())) {
        const arg1$3 = this$5.get__O();
        const x0$2 = arg1$3;
        if ((x0$2 !== null)) {
          const range$1 = x0$2.range$1;
          if ((elem$1.isZero__Z() || range$1.start$1.lt__Lamf_core_parser_Position__Z(elem$1))) {
            elem$1 = range$1.start$1
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      }
    };
    return elem$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$WebApiEmitter$InfoEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter extends $c_O {
  constructor() {
    super();
    this.oasHeader$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OasHeaderEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OasHeaderEmitter$1 = x$1;
      const x = this.oasHeader$1;
      const x$2 = OasHeaderEmitter$1.oasHeader$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.oasHeader$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(this.oasHeader$1.key$1, this.oasHeader$1.value$1, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, oasHeader) {
    this.oasHeader$1 = oasHeader;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$OasHeaderEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter {
  constructor() {
    super();
    this.module$2 = null
  };
  productPrefix__T() {
    return "OasModuleEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter(x$1)) {
      const OasModuleEmitter$1 = x$1;
      const x = this.module$2;
      const x$2 = OasModuleEmitter$1.module$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.module$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitModule__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Oas$(), this.module$2.annotations$1);
    const jsx$1 = $m_sc_Seq$();
    const this$1 = this.module$2;
    const references = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().References$1), ordering)]));
    const this$2 = this.module$2;
    const jsx$2 = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1);
    const this$3 = this.module$2;
    const declares = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclarationsEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq(this, jsx$2, ordering, this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().References$1)).emitters$1;
    const this$4 = this.module$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usages;
    if (this$4.isEmpty__Z()) {
      usages = $m_s_None$()
    } else {
      const arg1 = this$4.get__O();
      const f = arg1;
      usages = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-usage", f))
    };
    const this$6 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$6.comment$1;
    const this$8 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
      b.comment__T__V(this$6.comment$1)
    };
    const jsx$6 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    b$1.updateDynamic__T__Lorg_yaml_model_YNode__V("swagger", ($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("2.0")));
    const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$4 = usages.toList__sci_List();
    const this$12 = $m_sc_Seq$();
    const jsx$3 = declares.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$12.ReusableCBFInstance$2);
    const this$13 = $m_sc_Seq$();
    jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(references, this$13.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(module, spec) {
    this.module$2 = module;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasModuleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter extends $c_O {
  constructor() {
    super();
    this.properties$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationsTypesEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, properties, ordering) {
    this.properties$1 = properties;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationsTypesEmitter$1 = x$1;
      const x = this.properties$1;
      const x$2 = AnnotationsTypesEmitter$1.properties$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AnnotationsTypesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.properties$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("x-annotationTypes");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.properties$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$26$2) {
        const x$26 = x$26$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering($this.$$outer$1, x$26, $this.ordering$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.properties$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(p.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$AnnotationsTypesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$AnnotationsTypesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter extends $c_O {
  constructor() {
    super();
    this.parameters$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DeclaredParametersEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DeclaredParametersEmitter$1 = x$1;
      const x = this.parameters$1;
      const x$2 = DeclaredParametersEmitter$1.parameters$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DeclaredParametersEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = DeclaredParametersEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameters$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("parameters");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.parameters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$22$2) {
        const x$22 = x$22$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq($this.$$outer$1, x$22, $this.ordering$1, $this.references$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, parameters, ordering, references) {
    this.parameters$1 = parameters;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.parameters$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$DeclaredParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters extends $c_O {
  constructor() {
    super();
    this.types$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DeclaredTypesEmitters"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DeclaredTypesEmitters$1 = x$1;
      const x = this.types$1;
      const x$2 = DeclaredTypesEmitters$1.types$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DeclaredTypesEmitters$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = DeclaredTypesEmitters$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.types$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("definitions");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.types$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$19$2) {
        const x$19 = x$19$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$19, $this.ordering$1, $this.references$1, $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, types, ordering, references) {
    this.types$1 = types;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.types$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations__Lamf_core_parser_Annotations()))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$DeclaredTypesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$DeclaredTypesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedParameterEmitter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = NamedParameterEmitter$1.parameter$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = NamedParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = NamedParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const jsx$1 = $m_s_Option$();
    const this$1 = this.parameter$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1));
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare shape without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parameter$1]))))
    };
    const str = this$2.get__O();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.parameter$1;
    if (this$4.linkTarget$1.isDefined__Z()) {
      const jsx$2 = this.parameter$1;
      const this$5 = this.parameter$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$2, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$5), $m_sci_Nil$(), this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.parameter$1, this.ordering$1, this.references$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$6 = v.builder$1;
    const array = [key];
    if ((this$6.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$6.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$6, newSize);
    const len$1 = this$6.size0$6;
    const src = this$6.array$6;
    const dest = this$6.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$6.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$6.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.parameter$1.annotations$1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, parameter, ordering, references) {
    this.parameter$1 = parameter;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$NamedParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter extends $c_O {
  constructor() {
    super();
    this.annotationType$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedPropertyTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedPropertyTypeEmitter$1 = x$1;
      const x = this.annotationType$1;
      const x$2 = NamedPropertyTypeEmitter$1.annotationType$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = NamedPropertyTypeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotationType$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const jsx$1 = $m_s_Option$();
    const this$1 = this.annotationType$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1));
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare annotation type without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.annotationType$1]))))
    };
    const str = this$2.get__O();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.annotationType$1;
    if (this$4.linkTarget$1.isDefined__Z()) {
      const jsx$2 = this.annotationType$1;
      const this$5 = this.annotationType$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$2, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$5), $m_sci_Nil$(), this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      const x1 = this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().factory$2.annotationTypeEmitter__F2().apply__O__O__O(this.annotationType$1, this.ordering$1).emitters__s_util_Either();
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const emitters = x2.value$2;
        const jsx$3 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      } else if ($is_s_util_Right(x1)) {
        const x3 = x1;
        const part = x3.value$2;
        part.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering($$outer, annotationType, ordering) {
    this.annotationType$1 = annotationType;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.annotationType$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$NamedPropertyTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedPropertyTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.url$1 = null;
    this.pos$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedRefEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedRefEmitter$1 = x$1;
      if (((this.key$1 === NamedRefEmitter$1.key$1) && (this.url$1 === NamedRefEmitter$1.url$1))) {
        const x = this.pos$1;
        const x$2 = NamedRefEmitter$1.pos$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.url$1;
        break
      }
      case 2: {
        return this.pos$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(v, this.url$1);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__T__T__Lamf_core_parser_Position($$outer, key, url, pos) {
    this.key$1 = key;
    this.url$1 = url;
    this.pos$1 = pos;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.pos$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$NamedRefEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$NamedRefEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters extends $c_O {
  constructor() {
    super();
    this.documents$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "RamlCreativeWorkEmitters"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, documents, ordering) {
    this.documents$1 = documents;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const RamlCreativeWorkEmitters$1 = x$1;
      const x = this.documents$1;
      const x$2 = RamlCreativeWorkEmitters$1.documents$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlCreativeWorkEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documents$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("x-user-documentation");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.documents$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$29$2) {
        const x$29 = x$29$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x$29, $this.ordering$1, false, $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.documents$1.head__O().annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$RamlCreativeWorkEmitters", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$RamlCreativeWorkEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null;
    this.ordering$1 = null;
    this.aliasGenerator$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ReferenceEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = ReferenceEmitter$1.reference$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferenceEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliasGenerator$1;
        const x$6 = ReferenceEmitter$1.aliasGenerator$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliasGenerator$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const aliases = this.reference$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if (aliases.isEmpty__Z()) {
      const self = this.aliasGenerator$1.apply__O();
      const alias = self;
      const ref = this.reference$1.id__T();
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(alias, ref, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      const arg1 = aliases.get__O();
      if ((!aliases.isEmpty__Z())) {
        const arg1$1 = aliases.get__O();
        const x$17 = arg1$1;
        x$17.aliases$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$7) {
          return (function(tuple$2) {
            const tuple = tuple$2;
            $this.entry$1__p1__T2__Lorg_yaml_model_YDocument$EntryBuilder__V(tuple, b$7)
          })
        })(this, b)))
      }
    }
  };
  entry$1__p1__T2__Lorg_yaml_model_YDocument$EntryBuilder__V(tuple, b$7) {
    if ((tuple !== null)) {
      const alias = tuple.$$und1__O();
      const path = tuple.$$und2__O();
      const ref = ((path === "") ? this.reference$1.id__T() : path);
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(alias, ref, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$7)
    } else {
      throw new $c_s_MatchError().init___O(tuple)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__F0($$outer, reference, ordering, aliasGenerator) {
    this.reference$1 = reference;
    this.ordering$1 = ordering;
    this.aliasGenerator$1 = aliasGenerator;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$ReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ReferencesEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, references, ordering) {
    this.references$1 = references;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ReferencesEmitter$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferencesEmitter$1.references$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferencesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = this.references$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter(this);
    const this$1 = $m_sc_Seq$();
    const modules = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    if (modules.nonEmpty__Z()) {
      const idCounter = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("x-uses");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$7 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$5 = this.ordering$1;
      const jsx$4 = this.references$1;
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, idCounter$1) {
        return (function(r$2) {
          const r = r$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__F0($this.$$outer$1, r, $this.ordering$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, idCounter$1$1) {
            return (function() {
              return idCounter$1$1.genId__T__T("uses")
            })
          })($this, idCounter$1)))
        })
      })(this, idCounter));
      const this$4 = $m_sc_Seq$();
      jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$5.sorted__sc_Seq__sc_Seq(jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$9 = v.builder$1;
      const array = [key];
      if ((this$9.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$9.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
      const len$1 = this$9.size0$6;
      const src = this$9.array$6;
      const dest = this$9.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$9.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$8 = j;
        const index = i;
        xs.u[jsx$8] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$9.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$ReferencesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.message$1 = null
  };
  productPrefix__T() {
    return "CommentEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const node = $m_Lorg_yaml_model_YNode$().Empty$1;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node);
    b.comment__T__V(this.message$1);
    const this$1 = this.element$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$29 = arg1;
      this$2 = new $c_s_Some().init___O(x$29.ast$1)
    };
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const a = arg1$1;
      b.comment__T__V($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(a, false))
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter(x$1)) {
      const CommentEmitter$1 = x$1;
      const x = this.element$1;
      const x$2 = CommentEmitter$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.message$1 === CommentEmitter$1.message$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.message$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_AmfElement__T(element, message) {
    this.element$1 = element;
    this.message$1 = message;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.CommentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter extends $c_O {
  constructor() {
    super();
    this.properties$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationsTypesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationsTypesEmitter$1 = x$1;
      const x = this.properties$1;
      const x$2 = AnnotationsTypesEmitter$1.properties$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = AnnotationsTypesEmitter$1.references$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = AnnotationsTypesEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.properties$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("annotationTypes");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.properties$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_core_model_domain_extensions_CustomDomainProperty__sc_Seq__Lamf_core_emitter_SpecOrdering($this.$$outer$1, p, $this.references$1, $this.ordering$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, properties, references, ordering) {
    this.properties$1 = properties;
    this.references$1 = references;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.properties$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(p.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$AnnotationsTypesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter extends $c_O {
  constructor() {
    super();
    this.parameters$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DeclaredParametersEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DeclaredParametersEmitter$1 = x$1;
      const x = this.parameters$1;
      const x$2 = DeclaredParametersEmitter$1.parameters$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DeclaredParametersEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = DeclaredParametersEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameters$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("(parameters)");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.parameters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq($this.$$outer$1, x$3, $this.ordering$1, $this.references$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, parameters, ordering, references) {
    this.parameters$1 = parameters;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.parameters$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations$1))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$DeclaredParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedParameterEmitter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = NamedParameterEmitter$1.parameter$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = NamedParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = NamedParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    this.parameter$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1).annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
    const jsx$3 = this.parameter$1;
    const jsx$2 = this.ordering$1;
    const jsx$1 = this.references$1;
    const this$1 = this.$$outer$1;
    new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(jsx$3, jsx$2, jsx$1, this$1.spec$1).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, parameter, ordering, references) {
    this.parameter$1 = parameter;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.parameter$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$NamedParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedPropertyTypeEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_core_model_domain_extensions_CustomDomainProperty__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, annotation, references, ordering) {
    this.annotation$1 = annotation;
    this.references$1 = references;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedPropertyTypeEmitter$1 = x$1;
      const x = this.annotation$1;
      const x$2 = NamedPropertyTypeEmitter$1.annotation$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = NamedPropertyTypeEmitter$1.references$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = NamedPropertyTypeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.annotation$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1));
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Annotation type without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.annotation$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.annotation$1;
    let vf_$_f$2;
    if (this$4.linkTarget$1.isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$2_$_f$2 = f;
      vf_$_f$2 = jsx$2_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$3_$_f$2 = f$1;
      vf_$_f$2 = jsx$3_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.annotation$1.linkTarget$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const l = arg1;
      const this$2 = this.$$outer$1;
      const this$3 = this$2.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory();
      const jsx$1 = $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3(this$3);
      const this$4 = this.annotation$1;
      jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$4), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.$$outer$1;
    const x1 = this$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().annotationTypeEmitter__F2().apply__O__O__O(this.annotation$1, this.ordering$1).emitters__s_util_Either();
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const emitters = x2.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const part = x3.value$2;
      part.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.annotation$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$NamedPropertyTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "LicenseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const LicenseEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === LicenseEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = LicenseEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = LicenseEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("url", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("name", f$3)))
    };
    const this$7 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$7.value$1.value$1, this.ordering$1, this.$$outer$1.spec$1).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$12 = v.builder$1;
    const array = [key];
    if ((this$12.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$12.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
    const len$1 = this$12.size0$6;
    const src = this$12.array$6;
    const dest = this$12.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$12.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$12.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$LicenseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "OrganizationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OrganizationEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OrganizationEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OrganizationEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OrganizationEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("url", f)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("name", f$3)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$2 = this$7.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("email", f$4)))
    };
    const this$8 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$8.value$1.value$1, this.ordering$1, this.$$outer$1.spec$1).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$13 = v.builder$1;
    const array = [key];
    if ((this$13.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$13.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
    const len$1 = this$13.size0$6;
    const src = this$13.array$6;
    const dest = this$13.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$13.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$13.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$OrganizationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  compare__O__O__I(x, y) {
    return this.compare__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y)
  };
  compare__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y) {
    return this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlDocumentEmitter$WebApiEmitter$$$anonfun$endpoints$1__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter extends $c_O {
  constructor() {
    super();
    this.fs$1 = null;
    this.annotation$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "BaseUriEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const BaseUriEmitter$1 = x$1;
      const x = this.fs$1;
      const x$2 = BaseUriEmitter$1.fs$1;
      if ((x === x$2)) {
        const x$3 = this.annotation$1;
        const x$4 = BaseUriEmitter$1.annotation$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fs$1;
        break
      }
      case 1: {
        return this.annotation$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const xo = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
    const this$2 = xo.toList__sci_List();
    let this$3;
    inlinereturn$2: {
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const x$15 = arg1;
        if (x$15.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) {
          this$3 = new $c_s_Some().init___O(these.head__O());
          break inlinereturn$2
        };
        these = these.tail__O()
      };
      this$3 = $m_s_None$()
    };
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$3.get__O();
      const x$16 = arg1$1;
      this$4 = x$16.value$1.value$1.scalars__sc_Seq().headOption__s_Option()
    };
    let this$5;
    if (this$4.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1$2 = this$4.get__O();
      const x$17 = arg1$2;
      this$5 = new $c_s_Some().init___O(x$17.toString__T())
    };
    const protocol = (this$5.isEmpty__Z() ? "" : this$5.get__O());
    const this$6 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Host$1);
    let this$7;
    if (this$6.isEmpty__Z()) {
      this$7 = $m_s_None$()
    } else {
      const arg1$3 = this$6.get__O();
      const x$18 = arg1$3;
      this$7 = new $c_s_Some().init___O(x$18.value$1.value$1.value$1)
    };
    let this$8;
    if (this$7.isEmpty__Z()) {
      this$8 = $m_s_None$()
    } else {
      const arg1$4 = this$7.get__O();
      this$8 = new $c_s_Some().init___O($objectToString(arg1$4))
    };
    const domain = (this$8.isEmpty__Z() ? "" : this$8.get__O());
    const this$9 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1);
    let this$10;
    if (this$9.isEmpty__Z()) {
      this$10 = $m_s_None$()
    } else {
      const arg1$5 = this$9.get__O();
      const x$20 = arg1$5;
      this$10 = new $c_s_Some().init___O(x$20.value$1.value$1.value$1)
    };
    let this$11;
    if (this$10.isEmpty__Z()) {
      this$11 = $m_s_None$()
    } else {
      const arg1$6 = this$10.get__O();
      this$11 = new $c_s_Some().init___O($objectToString(arg1$6))
    };
    const basePath = (this$11.isEmpty__Z() ? "" : this$11.get__O());
    const uri = new $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter().init___T__T__T(protocol, domain, basePath);
    if (uri.nonEmpty__Z()) {
      const Empty = new $c_Lamf_core_parser_Annotations().init___();
      const jsx$2 = $m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$();
      const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri.url__T(), new $c_Lamf_core_parser_Annotations().init___());
      const this$15 = this.annotation$1;
      let this$16;
      if (this$15.isEmpty__Z()) {
        this$16 = $m_s_None$()
      } else {
        const arg1$7 = this$15.get__O();
        const x$22 = arg1$7;
        this$16 = new $c_s_Some().init___O(x$22.extensions$1)
      };
      const annotations = (this$16.isEmpty__Z() ? Empty : this$16.get__O());
      jsx$2.apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("baseUri", new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$1, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations)), this.$$outer$1.spec$1).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter__Lamf_core_parser_Fields__s_Option($$outer, fs, annotation) {
    this.fs$1 = fs;
    this.annotation$1 = annotation;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1);
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      this$2 = f.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
    };
    let this$4;
    if (this$2.isEmpty__Z()) {
      const this$3 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Host$1);
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const f$1 = arg1$1;
        this$4 = f$1.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
      }
    } else {
      this$4 = this$2
    };
    let this$8;
    if (this$4.isEmpty__Z()) {
      const xo = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
      const this$6 = xo.toList__sci_List();
      let this$7;
      inlinereturn$18: {
        let these = this$6;
        while ((!these.isEmpty__Z())) {
          const arg1$2 = these.head__O();
          const x$23 = arg1$2;
          if (x$23.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) {
            this$7 = new $c_s_Some().init___O(these.head__O());
            break inlinereturn$18
          };
          these = these.tail__O()
        };
        this$7 = $m_s_None$()
      };
      if (this$7.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$3 = this$7.get__O();
        const f$2 = arg1$3;
        this$8 = f$2.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
      }
    } else {
      this$8 = this$4
    };
    let this$9;
    if (this$8.isEmpty__Z()) {
      this$9 = $m_s_None$()
    } else {
      const arg1$4 = this$8.get__O();
      const x$24 = arg1$4;
      this$9 = new $c_s_Some().init___O(x$24.range$1.start$1)
    };
    return (this$9.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$9.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$BaseUriEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters extends $c_O {
  constructor() {
    super();
    this.types$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, types, references, ordering) {
    this.types$1 = types;
    this.references$1 = references;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "DeclaredTypesEmitters"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DeclaredTypesEmitters$1 = x$1;
      const x = this.types$1;
      const x$2 = DeclaredTypesEmitters$1.types$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = DeclaredTypesEmitters$1.references$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = DeclaredTypesEmitters$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.types$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext().factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().typesKey__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.types$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, $this.ordering$1, $this.references$1, $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext().factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().typesEmitter__F5(), $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext())
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit non WebApi shape"))
        }
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.types$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(a.annotations__Lamf_core_parser_Annotations()))
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlRootLevelEmitters$DeclaredTypesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null;
    this.ordering$1 = null;
    this.aliasGenerator$1 = null
  };
  productPrefix__T() {
    return "ReferenceEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter(x$1)) {
      const ReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = ReferenceEmitter$1.reference$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferenceEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliasGenerator$1;
        const x$6 = ReferenceEmitter$1.aliasGenerator$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliasGenerator$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__p1__T() {
    const x1 = $m_s_Option$().apply__O__s_Option(this.reference$1.location__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const location = x2.value$2;
      return location
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.reference$1.id__T()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const aliases = this.reference$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if (aliases.isEmpty__Z()) {
      const self = this.aliasGenerator$1.apply__O();
      const alias = self;
      const ref = this.name__p1__T();
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(alias, ref, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      const arg1 = aliases.get__O();
      if ((!aliases.isEmpty__Z())) {
        const arg1$1 = aliases.get__O();
        const x$7 = arg1$1;
        x$7.aliases$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3) {
          return (function(tuple$2) {
            const tuple = tuple$2;
            $this.entry$1__p1__T2__Lorg_yaml_model_YDocument$EntryBuilder__V(tuple, b$3)
          })
        })(this, b)))
      }
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__F0(reference, ordering, aliasGenerator) {
    this.reference$1 = reference;
    this.ordering$1 = ordering;
    this.aliasGenerator$1 = aliasGenerator;
    return this
  };
  entry$1__p1__T2__Lorg_yaml_model_YDocument$EntryBuilder__V(tuple, b$3) {
    if ((tuple !== null)) {
      const alias = tuple.$$und1__O();
      const path = tuple.$$und2__O();
      const ref = ((path === "") ? this.name__p1__T() : path);
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(alias, ref, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$3)
    } else {
      throw new $c_s_MatchError().init___O(tuple)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "ReferencesEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter(x$1)) {
      const ReferencesEmitter$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferencesEmitter$1.references$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferencesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = this.references$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter(this);
    const this$1 = $m_sc_Seq$();
    const modules = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    if (modules.nonEmpty__Z()) {
      const idCounter = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("uses");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$6 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$4 = this.ordering$1;
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, idCounter$1) {
        return (function(r$2) {
          const r = r$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__F0(r, $this.ordering$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, idCounter$1$1) {
            return (function() {
              return idCounter$1$1.genId__T__T("uses")
            })
          })($this, idCounter$1)))
        })
      })(this, idCounter));
      const this$4 = $m_sc_Seq$();
      jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq(modules.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$9 = v.builder$1;
      const array = [key];
      if ((this$9.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$9.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
      const len$1 = this$9.size0$6;
      const src = this$9.array$6;
      const dest = this$9.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$9.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$7 = j;
        const index = i;
        xs.u[jsx$7] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$9.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering(references, ordering) {
    this.references$1 = references;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ReferencesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "UserDocumentationsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter(x$1)) {
      const UserDocumentationsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = UserDocumentationsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = UserDocumentationsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("documentation");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$45$1().init___Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter(this);
    const this$4 = $m_sc_Seq$();
    jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(c$2) {
        const c = c$2;
        if (c.linkTarget$1.isDefined__Z()) {
          const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const this$5 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(c);
          jsx$3.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$2, (this$5.isEmpty__Z() ? c.linkTarget$1.get__O().id__T() : this$5.get__O()), $m_Lorg_yaml_model_YType$().Str$1)
        } else {
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(c, $this.ordering$1, true, $this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c$1 = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$4.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.f$1;
    return jsx$1.pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this$1.value$1.value$1.values$1.head__O().annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.UserDocumentationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter;
class $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression extends $c_O {
  constructor() {
    super();
    this.expression$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ParsedFromTypeExpression"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression(x$1)) {
      const ParsedFromTypeExpression$1 = x$1;
      return (this.expression$1 === ParsedFromTypeExpression$1.expression$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.expression$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(expression) {
    this.expression$1 = expression;
    this.name$1 = "type-expression";
    this.value$1 = expression;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression)))
});
const $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression: 0
}, false, "amf.plugins.domain.shapes.annotations.ParsedFromTypeExpression", {
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression;
const $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List = (function($thiz) {
  const jsx$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Documentation__Lamf_core_metamodel_Field(), $thiz.XMLSerialization__Lamf_core_metamodel_Field(), $thiz.Examples__Lamf_core_metamodel_Field()]);
  const this$2 = $m_sci_List$();
  const cbf = this$2.ReusableCBFInstance$2;
  const jsx$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const this$3 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
});
const $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "documentation"), true));
  const jsx$2 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "xmlSerialization"), true));
  const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$());
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "examples"), true));
  $m_sci_List$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  const jsx$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "AnyShape");
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  const jsx$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "Shape");
  const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$5, jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Shape")]);
  const this$14 = $m_sci_List$();
  const cbf = this$14.ReusableCBFInstance$2;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
});
class $c_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Value$1 = null;
    this.Strict$1 = null;
    this.MediaType$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "displayName"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Value$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "value"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Strict$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "strict"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Str$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "mediaType"), true);
    this.key$1 = this.Name$1;
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "Example");
    const this$15 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$15);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  CustomDomainProperties__Lamf_core_metamodel_Field() {
    return (((2 & this.bitmap$0$1) === 0) ? this.CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomDomainProperties$1)
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.DisplayName$1, this.Description$1, this.Value$1, this.Strict$1, this.MediaType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.CustomDomainProperties$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__CustomDomainProperties__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomDomainProperties$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_ExampleModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.ExampleModel$", {
  Lamf_plugins_domain_shapes_metamodel_ExampleModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_ExampleModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_ExampleModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$
});
class $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint extends $c_O {
  constructor() {
    super();
    this.parent$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ParentEndPoint"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_annotations_ParentEndPoint(x$1)) {
      const ParentEndPoint$1 = x$1;
      const x = this.parent$1;
      const x$2 = ParentEndPoint$1.parent$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint(parent) {
    this.parent$1 = parent;
    this.name$1 = "parent-end-point";
    this.value$1 = parent.id$1;
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_annotations_ParentEndPoint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_annotations_ParentEndPoint)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_annotations_ParentEndPoint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_annotations_ParentEndPoint)))
});
const $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint: 0
}, false, "amf.plugins.domain.webapi.annotations.ParentEndPoint", {
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint;
class $c_Lamf_plugins_domain_webapi_metamodel_OperationModel$ extends $c_O {
  constructor() {
    super();
    this.Method$1 = null;
    this.Name$1 = null;
    this.Description$1 = null;
    this.Deprecated$1 = null;
    this.Summary$1 = null;
    this.Documentation$1 = null;
    this.Schemes$1 = null;
    this.Accepts$1 = null;
    this.ContentType$1 = null;
    this.Request$1 = null;
    this.Responses$1 = null;
    this.Security$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.fields$1 = null;
    this.Optional$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Method$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "method"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Deprecated$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "deprecated"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Summary$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "guiSummary"), true);
    const jsx$6 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Documentation$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "documentation"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schemes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "scheme"), true);
    const jsx$8 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Accepts$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "accepts"), true);
    const jsx$9 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.ContentType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "contentType"), true);
    const jsx$10 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Request$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$10, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "expects"), true);
    const jsx$11 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$());
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Responses$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$11, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "returns"), true);
    const jsx$12 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_DomainElementModel$());
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Security$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$12, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "security"), true);
    this.key$1 = this.Method$1;
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "Operation");
    const this$27 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$27);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Method$1, this.Name$1, this.Description$1, this.Deprecated$1, this.Summary$1, this.Documentation$1, this.Schemes$1, this.Accepts$1, this.ContentType$1, this.Request$1, this.Responses$1, this.Security$1]);
    const this$29 = $m_sci_List$();
    const cbf = this$29.ReusableCBFInstance$2;
    const jsx$14 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$13 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$30 = $m_sci_List$();
    this.fields$1 = jsx$14.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$13, this$30.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_OperationModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.OperationModel$", {
  Lamf_plugins_domain_webapi_metamodel_OperationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_OperationModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_OperationModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_OperationModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_OperationModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ extends $c_O {
  constructor() {
    super();
    this.MediaType$1 = null;
    this.Schema$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Optional$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "mediaType"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "schema"), true);
    this.key$1 = this.MediaType$1;
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Payload");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$3 = this.MediaType$1;
    const x$2 = this.Schema$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_PayloadModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.PayloadModel$", {
  Lamf_plugins_domain_webapi_metamodel_PayloadModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_PayloadModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_PayloadModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.Target$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParametrizedResourceType");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Target__Lamf_core_metamodel_Field() {
    return this.Target$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.ParametrizedResourceTypeModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.Target$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParametrizedTrait");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Target__Lamf_core_metamodel_Field() {
    return this.Target$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.ParametrizedTraitModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.DataNode$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ResourceType");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DataNode$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  DataNode__Lamf_core_metamodel_Field() {
    return this.DataNode$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.ResourceTypeModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.DataNode$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Trait");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DataNode$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  DataNode__Lamf_core_metamodel_Field() {
    return this.DataNode$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.TraitModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$
});
class $c_Lamf_plugins_features_validation_AMFValidatorPlugin$ extends $c_Lamf_plugins_features_validation_ParserSideValidationPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.url$2 = null;
    this.customValidationProfiles$2 = null;
    this.customValidationProfilesPlugins$2 = null;
    this.platform$2 = null
  };
  init___() {
    $c_Lamf_plugins_features_validation_ParserSideValidationPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_features_validation_AMFValidatorPlugin$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.ID$2 = "AMF Validation";
    this.url$2 = "http://raml.org/dialects/profile.raml";
    this.customValidationProfiles$2 = $m_sci_Map$EmptyMap$();
    this.customValidationProfilesPlugins$2 = $m_sci_Map$EmptyMap$();
    return this
  };
  profileNotFoundWarningReport__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_AMFValidationReport(model, profileName) {
    return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq(true, model.location__T(), profileName, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
  };
  profiles__sci_Map() {
    const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
    const this$2 = this$1.documentPluginIDRegistry$1;
    const this$3 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$2);
    const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    let elem$1 = null;
    elem$1 = z;
    const this$5 = this$3.$$outer$4;
    const iterTable = this$5.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$5);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const next = es.next__O();
      const arg1 = es;
      const e = arg1;
      const arg1$1 = e.value$1;
      const arg1$2 = elem$1;
      const x0$1 = arg1$2;
      const x1$1 = arg1$1;
      elem$1 = ($is_Lamf_core_plugins_AMFValidationPlugin(x1$1) ? x0$1.$$plus$plus__sc_GenTraversableOnce__sci_Map(x1$1.domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(this.platform$2)) : x0$1);
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    };
    return elem$1.$$plus$plus__sc_GenTraversableOnce__sci_Map(this.customValidationProfiles$2)
  };
  loadValidationProfile__T__s_concurrent_Future(validationProfilePath) {
    return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__s_concurrent_Future(validationProfilePath, $m_s_Option$().apply__O__s_Option("application/yaml"), $m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$().ID$2, $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context(this.platform$2), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_core_parser_UnspecifiedReference$()), ($m_Lamf_core_services_RuntimeCompiler$(), new $c_Lamf_core_remote_Cache().init___()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_s_None$())).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_model_document_Document(x0$4)) {
          const x2 = x0$4;
          return x2.encodes__Lamf_core_model_domain_DomainElement()
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$5)) {
          const x2$1 = x0$5;
          if ((x2$1.definition$1.shortName__T() === "Profile")) {
            const profile = $m_Lamf_plugins_features_validation_model_ParsedValidationProfile$().apply__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_core_validation_core_ValidationProfile(x2$1);
            const x1$2 = this$2$1.profilesPlugins__sci_Map().get__O__s_Option(profile.name$1);
            let domainPlugin;
            if ($is_s_Some(x1$2)) {
              const x2$2 = x1$2;
              const plugin = x2$2.value$2;
              domainPlugin = plugin
            } else {
              const x = $m_s_None$();
              if ((!(x === x1$2))) {
                throw new $c_s_MatchError().init___O(x1$2)
              };
              const jsx$1 = this$2$1.profilesPlugins__sci_Map();
              const this$5 = profile.baseProfileName$1;
              const x1$3 = jsx$1.get__O__s_Option((this$5.isEmpty__Z() ? "AMF" : this$5.get__O()));
              if ((!$is_s_Some(x1$3))) {
                const x$3 = $m_s_None$();
                if ((x$3 === x1$3)) {
                  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Plugin for custom validation profile ", ", ", " not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([profile.name$1, profile.baseProfileName$1]))))
                };
                throw new $c_s_MatchError().init___O(x1$3)
              };
              const x2$3 = x1$3;
              const plugin$2 = x2$3.value$2;
              domainPlugin = plugin$2
            };
            const jsx$2 = this$2$1.customValidationProfiles$2;
            const self = profile.name$1;
            const y = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$2, profile$1) {
              return (function() {
                return profile$1
              })
            })(this$2$1, profile));
            this$2$1.customValidationProfiles$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, y));
            const jsx$3 = this$2$1.customValidationProfilesPlugins$2;
            const self$1 = profile.name$1;
            this$2$1.customValidationProfilesPlugins$2 = jsx$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, domainPlugin));
            return profile.name$1
          }
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Trying to load as a validation profile that does not match the Validation Profile dialect"))
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_syntax_SYamlSyntaxPlugin$(), $m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$(), $m_Lamf_plugins_document_graph_AMFGraphPlugin$()]))
  };
  validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model, profileName, messageStyle) {
    return $c_Lamf_plugins_features_validation_ParserSideValidationPlugin.prototype.validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future.call(this, model, profileName, messageStyle).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, model$1, profileName$1) {
      return (function(parserSideValidation$2) {
        const parserSideValidation = parserSideValidation$2;
        const x1 = $this.profilesPlugins__sci_Map().get__O__s_Option(profileName$1);
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const domainPlugin = x2.value$2;
          if ($is_Lamf_core_plugins_AMFValidationPlugin(domainPlugin)) {
            const validations = $this.computeValidations__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_EffectiveValidations(profileName$1, new $c_Lamf_core_validation_EffectiveValidations().init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())));
            return domainPlugin.validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(model$1, profileName$1, validations, $this.platform$2).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parserSideValidation$1) {
              return (function(modelValidations$2) {
                const modelValidations = modelValidations$2;
                const x$2 = (modelValidations.conforms$1 && parserSideValidation$1.conforms$1);
                const jsx$2 = modelValidations.results$1;
                const jsx$1 = parserSideValidation$1.results$1;
                const this$6 = $m_sc_Seq$();
                const x$3 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
                const x$4 = modelValidations.model$1;
                const x$5 = modelValidations.profile$1;
                return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq(x$2, x$4, x$5, x$3)
              })
            })($this, parserSideValidation)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
          }
        };
        return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1, model$1$1, profileName$1$1) {
          return (function() {
            return this$2$1.profileNotFoundWarningReport__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_AMFValidationReport(model$1$1, profileName$1$1)
          })
        })($this, model$1, profileName$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      })
    })(this, model, profileName)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  profilesPlugins__sci_Map() {
    const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
    const this$2 = this$1.documentPluginIDRegistry$1;
    const this$3 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$2);
    const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    let elem$1 = null;
    elem$1 = z;
    const this$5 = this$3.$$outer$4;
    const iterTable = this$5.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$5);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const next = es.next__O();
      const arg1 = es;
      const e = arg1;
      const arg1$1 = e.value$1;
      const arg1$2 = elem$1;
      const x0$2 = arg1$2;
      const x1$2 = arg1$1;
      if ($is_Lamf_core_plugins_AMFValidationPlugin(x1$2)) {
        const this$6 = x1$2.domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(this.platform$2);
        const this$7 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$6);
        const z$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
        const op = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, x3) {
          return (function(x0$3$2, x1$3$2) {
            const x0$3 = x0$3$2;
            const x1$3 = x1$3$2;
            return x0$3.updated__O__O__sci_Map(x1$3, x3)
          })
        })(this, x1$2));
        elem$1 = x0$2.$$plus$plus__sc_GenTraversableOnce__sci_Map($f_sc_TraversableOnce__foldLeft__O__F2__O(this$7, z$1, op))
      } else {
        elem$1 = x0$2
      };
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    };
    return elem$1.$$plus$plus__sc_GenTraversableOnce__sci_Map(this.customValidationProfilesPlugins$2)
  };
  init__s_concurrent_Future() {
    $m_Lamf_core_services_RuntimeValidator$().register__Lamf_core_services_RuntimeValidator__V($m_Lamf_plugins_features_validation_AMFValidatorPlugin$());
    $m_Lamf_plugins_document_vocabularies_RAMLVocabulariesPlugin$();
    const dialectText = $m_Lamf_plugins_features_validation_model_ValidationDialectText$().text__T();
    return $m_Lamf_plugins_document_vocabularies_registries_PlatformDialectRegistry$().registerDialect__T__T__s_concurrent_Future("http://raml.org/dialects/profile.raml", dialectText).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  shapesGraph__Lamf_core_validation_EffectiveValidations__T__T(validations, messageStyle) {
    const jsx$1 = new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter().init___T(messageStyle);
    const this$1 = validations.effective$1;
    const this$2 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    const this$3 = this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        return (!s.isParserSide__Z())
      })
    })(this));
    return jsx$1.emitJSON__sc_Seq__T(this$3.filterImpl__F1__Z__sci_Stream(p, false))
  };
  computeValidations__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_EffectiveValidations(profileName, computed) {
    const x1 = this.profiles__sci_Map().get__O__s_Option(profileName);
    let maybeProfile;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const profileGenerator = x2.value$2;
      maybeProfile = new $c_s_Some().init___O(profileGenerator.apply__O())
    } else {
      maybeProfile = $m_s_None$()
    };
    if ($is_s_Some(maybeProfile)) {
      const x2$2 = maybeProfile;
      const foundProfile = x2$2.value$2;
      return (foundProfile.baseProfileName$1.isDefined__Z() ? this.computeValidations__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_EffectiveValidations(foundProfile.baseProfileName$1.get__O(), computed).someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(foundProfile) : computed.someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(foundProfile))
    } else {
      const x = $m_s_None$();
      if ((x === maybeProfile)) {
        return computed
      } else {
        throw new $c_s_MatchError().init___O(maybeProfile)
      }
    }
  };
  shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(model, validations, messageStyle) {
    const shapesJSON = this.shapesGraph__Lamf_core_validation_EffectiveValidations__T__T(validations, messageStyle);
    const jsx$1 = new $c_Lamf_plugins_features_validation_emitters_JSLibraryEmitter().init___s_Option($m_s_None$());
    const this$1 = validations.effective$1;
    const this$2 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    const jsLibrary = jsx$1.emitJS__sc_Seq__s_Option(this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream());
    if ($is_s_Some(jsLibrary)) {
      const x2 = jsLibrary;
      const code = x2.value$2;
      $m_Lamf_plugins_features_validation_PlatformValidator$().instance$1.registerLibrary__T__T__V($m_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$().validationLibraryUrl__T(), code)
    };
    const modelJSON = $m_Lamf_core_services_RuntimeSerializer$().apply__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_client_GenerationOptions__T(model, "application/ld+json", "AMF Graph", new $c_Lamf_core_client_GenerationOptions().init___());
    return $m_Lamf_plugins_features_validation_PlatformValidator$().instance$1.report__T__T__T__T__s_concurrent_Future(modelJSON, "application/ld+json", shapesJSON, "application/ld+json")
  };
}
const $d_Lamf_plugins_features_validation_AMFValidatorPlugin$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_AMFValidatorPlugin$: 0
}, false, "amf.plugins.features.validation.AMFValidatorPlugin$", {
  Lamf_plugins_features_validation_AMFValidatorPlugin$: 1,
  Lamf_plugins_features_validation_ParserSideValidationPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFFeaturePlugin: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_core_services_RuntimeValidator: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_features_validation_AMFValidatorPlugin$.prototype.$classData = $d_Lamf_plugins_features_validation_AMFValidatorPlugin$;
let $n_Lamf_plugins_features_validation_AMFValidatorPlugin$ = (void 0);
const $m_Lamf_plugins_features_validation_AMFValidatorPlugin$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_AMFValidatorPlugin$)) {
    $n_Lamf_plugins_features_validation_AMFValidatorPlugin$ = new $c_Lamf_plugins_features_validation_AMFValidatorPlugin$().init___()
  };
  return $n_Lamf_plugins_features_validation_AMFValidatorPlugin$
});
class $c_Ljava_nio_HeapCharBuffer extends $c_Ljava_nio_CharBuffer {
  constructor() {
    super();
    this.$$undreadOnly$3 = false
  };
  put__C__Ljava_nio_CharBuffer(c) {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)] = c;
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    return this.subSequence__I__I__Ljava_nio_CharBuffer(start, end)
  };
  get__C() {
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    const value = this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)];
    return value
  };
  init___I__AC__I__I__I__Z(_capacity, _array0, _arrayOffset0, _initialPosition, _initialLimit, _readOnly) {
    this.$$undreadOnly$3 = _readOnly;
    $c_Ljava_nio_CharBuffer.prototype.init___I__AC__I.call(this, _capacity, _array0, _arrayOffset0);
    this.position__I__Ljava_nio_Buffer(_initialPosition);
    this.limit__I__Ljava_nio_Buffer(_initialLimit);
    return this
  };
  subSequence__I__I__Ljava_nio_CharBuffer(start, end) {
    if ((((start < 0) || (end < start)) || (end > ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_HeapCharBuffer().init___I__AC__I__I__I__Z(this.$$undcapacity$1, this.$$undarray$2, this.$$undarrayOffset$2, ((this.java$nio$Buffer$$$undposition$1 + start) | 0), ((this.java$nio$Buffer$$$undposition$1 + end) | 0), this.$$undreadOnly$3)
  };
  get__AC__I__I__Ljava_nio_CharBuffer(dst, offset, length) {
    if ((((offset < 0) || (length < 0)) || (offset > ((dst.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    $systemArraycopy(this.$$undarray$2, ((this.$$undarrayOffset$2 + p) | 0), dst, offset, length);
    return this
  };
  get__I__C(index) {
    if (((index < 0) || (index >= this.$$undlimit$1))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const value = this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)];
    return value
  };
  store__I__C__V(index, elem) {
    this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)] = elem
  };
  load__I__C(index) {
    const value = this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)];
    return value
  };
  store__I__AC__I__I__V(startIndex, src, offset, length) {
    $systemArraycopy(src, offset, this.$$undarray$2, ((this.$$undarrayOffset$2 + startIndex) | 0), length)
  };
  isReadOnly__Z() {
    return this.$$undreadOnly$3
  };
}
const $d_Ljava_nio_HeapCharBuffer = new $TypeData().initClass({
  Ljava_nio_HeapCharBuffer: 0
}, false, "java.nio.HeapCharBuffer", {
  Ljava_nio_HeapCharBuffer: 1,
  Ljava_nio_CharBuffer: 1,
  Ljava_nio_Buffer: 1,
  O: 1,
  jl_Comparable: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  jl_Readable: 1
});
$c_Ljava_nio_HeapCharBuffer.prototype.$classData = $d_Ljava_nio_HeapCharBuffer;
class $c_Ljava_nio_StringCharBuffer extends $c_Ljava_nio_CharBuffer {
  constructor() {
    super();
    this.java$nio$StringCharBuffer$$$undcsq$f = null;
    this.java$nio$StringCharBuffer$$$undcsqOffset$f = 0
  };
  put__C__Ljava_nio_CharBuffer(c) {
    throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    return this.subSequence__I__I__Ljava_nio_CharBuffer(start, end)
  };
  get__C() {
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    const c = $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + p) | 0));
    return c
  };
  toString__T() {
    const offset = this.java$nio$StringCharBuffer$$$undcsqOffset$f;
    return $objectToString($charSequenceSubSequence(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$Buffer$$$undposition$1 + offset) | 0), ((this.$$undlimit$1 + offset) | 0)))
  };
  init___I__jl_CharSequence__I__I__I(_capacity, _csq, _csqOffset, _initialPosition, _initialLimit) {
    this.java$nio$StringCharBuffer$$$undcsq$f = _csq;
    this.java$nio$StringCharBuffer$$$undcsqOffset$f = _csqOffset;
    $c_Ljava_nio_CharBuffer.prototype.init___I__AC__I.call(this, _capacity, null, (-1));
    this.position__I__Ljava_nio_Buffer(_initialPosition);
    this.limit__I__Ljava_nio_Buffer(_initialLimit);
    return this
  };
  subSequence__I__I__Ljava_nio_CharBuffer(start, end) {
    if ((((start < 0) || (end < start)) || (end > ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_StringCharBuffer().init___I__jl_CharSequence__I__I__I(this.$$undcapacity$1, this.java$nio$StringCharBuffer$$$undcsq$f, this.java$nio$StringCharBuffer$$$undcsqOffset$f, ((this.java$nio$Buffer$$$undposition$1 + start) | 0), ((this.java$nio$Buffer$$$undposition$1 + end) | 0))
  };
  get__AC__I__I__Ljava_nio_CharBuffer(dst, offset, length) {
    if ((((offset < 0) || (length < 0)) || (offset > ((dst.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    let selfPos = p;
    const endPos = ((selfPos + length) | 0);
    let arrayIndex = offset;
    while ((selfPos !== endPos)) {
      const jsx$1 = arrayIndex;
      const index = selfPos;
      const c = $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + index) | 0));
      dst.u[jsx$1] = c;
      selfPos = ((1 + selfPos) | 0);
      arrayIndex = ((1 + arrayIndex) | 0)
    };
    return this
  };
  get__I__C(index) {
    if (((index < 0) || (index >= this.$$undlimit$1))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const c = $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + index) | 0));
    return c
  };
  store__I__C__V(index, elem) {
    throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
  };
  load__I__C(index) {
    return $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + index) | 0))
  };
  store__I__AC__I__I__V(startIndex, src, offset, length) {
    throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
  };
  isReadOnly__Z() {
    return true
  };
}
const $d_Ljava_nio_StringCharBuffer = new $TypeData().initClass({
  Ljava_nio_StringCharBuffer: 0
}, false, "java.nio.StringCharBuffer", {
  Ljava_nio_StringCharBuffer: 1,
  Ljava_nio_CharBuffer: 1,
  Ljava_nio_Buffer: 1,
  O: 1,
  jl_Comparable: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  jl_Readable: 1
});
$c_Ljava_nio_StringCharBuffer.prototype.$classData = $d_Ljava_nio_StringCharBuffer;
class $c_Lorg_scalajs_dom_ext_AjaxException extends $c_jl_Exception {
  constructor() {
    super();
    this.xhr$3 = null
  };
  productPrefix__T() {
    return "AjaxException"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_scalajs_dom_ext_AjaxException(x$1)) {
      const AjaxException$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.xhr$3, AjaxException$1.xhr$3)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.xhr$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lorg_scalajs_dom_raw_XMLHttpRequest(xhr) {
    this.xhr$3 = xhr;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_scalajs_dom_ext_AjaxException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
});
const $isArrayOf_Lorg_scalajs_dom_ext_AjaxException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
});
const $d_Lorg_scalajs_dom_ext_AjaxException = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_AjaxException: 0
}, false, "org.scalajs.dom.ext.AjaxException", {
  Lorg_scalajs_dom_ext_AjaxException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.$classData = $d_Lorg_scalajs_dom_ext_AjaxException;
class $c_Lorg_yaml_model_YTag extends $c_Lorg_yaml_model_YTokens {
  constructor() {
    super();
    this.text$2 = null;
    this.tagType$2 = null
  };
  productPrefix__T() {
    return "YTag"
  };
  init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(text, tagType, range, tokens) {
    this.text$2 = text;
    this.tagType$2 = tagType;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, tokens);
    return this
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_YTag(x$1)) {
      const YTag$1 = x$1;
      let jsx$2;
      if ((this.text$2 === YTag$1.text$2)) {
        const x = this.tagType$2;
        const x$2 = YTag$1.tagType$2;
        jsx$2 = (x === x$2)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.range$1;
        const x$4 = YTag$1.range$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.tokens$1;
        const x$6 = YTag$1.tokens$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  synthesized__Z() {
    if (this.tagType$2.synthesized$1) {
      const this$1 = this.tagType$2;
      const x = this$1.org$yaml$model$YType$$tag$und$1;
      return ((x !== null) && x.equals__O__Z(this))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$2;
        break
      }
      case 1: {
        return this.tagType$2;
        break
      }
      case 2: {
        return this.range$1;
        break
      }
      case 3: {
        return this.tokens$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.text$2
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YTag = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YTag)))
});
const $isArrayOf_Lorg_yaml_model_YTag = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YTag)))
});
const $d_Lorg_yaml_model_YTag = new $TypeData().initClass({
  Lorg_yaml_model_YTag: 0
}, false, "org.yaml.model.YTag", {
  Lorg_yaml_model_YTag: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YTag.prototype.$classData = $d_Lorg_yaml_model_YTag;
class $c_jl_JSConsoleBasedPrintStream extends $c_Ljava_io_PrintStream {
  constructor() {
    super();
    this.isErr$4 = null;
    this.flushed$4 = false;
    this.buffer$4 = null
  };
  init___jl_Boolean(isErr) {
    this.isErr$4 = isErr;
    const out = new $c_jl_JSConsoleBasedPrintStream$DummyOutputStream().init___();
    $c_Ljava_io_PrintStream.prototype.init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset.call(this, out, false, null);
    this.flushed$4 = true;
    this.buffer$4 = "";
    return this
  };
  print__T__V(s) {
    this.java$lang$JSConsoleBasedPrintStream$$printString__T__V(((s === null) ? "null" : s))
  };
  java$lang$JSConsoleBasedPrintStream$$printString__T__V(s) {
    let rest = s;
    while ((rest !== "")) {
      const thiz = rest;
      const nlPos = (thiz.indexOf("\n") | 0);
      if ((nlPos < 0)) {
        this.buffer$4 = (("" + this.buffer$4) + rest);
        this.flushed$4 = false;
        rest = ""
      } else {
        const jsx$1 = this.buffer$4;
        const thiz$1 = rest;
        this.doWriteLine__p4__T__V((("" + jsx$1) + thiz$1.substring(0, nlPos)));
        this.buffer$4 = "";
        this.flushed$4 = true;
        const thiz$2 = rest;
        const beginIndex = ((1 + nlPos) | 0);
        rest = thiz$2.substring(beginIndex)
      }
    }
  };
  doWriteLine__p4__T__V(line) {
    const x = $g.console;
    if ((!(!(!(!x))))) {
      const x$1 = this.isErr$4;
      let jsx$1;
      if ((!(!x$1))) {
        const x$2 = $g.console.error;
        jsx$1 = (!(!(!(!x$2))))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        $g.console.error(line)
      } else {
        $g.console.log(line)
      }
    }
  };
}
const $d_jl_JSConsoleBasedPrintStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream", {
  jl_JSConsoleBasedPrintStream: 1,
  Ljava_io_PrintStream: 1,
  Ljava_io_FilterOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1,
  jl_Appendable: 1
});
$c_jl_JSConsoleBasedPrintStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream;
class $c_ju_Arrays$$anon$3 extends $c_O {
  constructor() {
    super();
    this.cmp$1$1 = null
  };
  init___ju_Comparator(cmp$1) {
    this.cmp$1$1 = cmp$1;
    return this
  };
  compare__O__O__I(x, y) {
    return this.cmp$1$1.compare__O__O__I(x, y)
  };
}
const $d_ju_Arrays$$anon$3 = new $TypeData().initClass({
  ju_Arrays$$anon$3: 0
}, false, "java.util.Arrays$$anon$3", {
  ju_Arrays$$anon$3: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_Arrays$$anon$3.prototype.$classData = $d_ju_Arrays$$anon$3;
class $c_s_Tuple2$mcIC$sp extends $c_T2 {
  constructor() {
    super();
    this.$$und1$mcI$sp$f = 0;
    this.$$und2$mcC$sp$f = 0
  };
  $$und1$mcI$sp__I() {
    return this.$$und1$mcI$sp$f
  };
  $$und2$mcC$sp__C() {
    return this.$$und2$mcC$sp$f
  };
  init___I__C(_1$mcI$sp, _2$mcC$sp) {
    this.$$und1$mcI$sp$f = _1$mcI$sp;
    this.$$und2$mcC$sp$f = _2$mcC$sp;
    $c_T2.prototype.init___O__O.call(this, null, null);
    return this
  };
  $$und2__O() {
    const c = this.$$und2$mcC$sp$f;
    return new $c_jl_Character().init___C(c)
  };
  $$und1__O() {
    return this.$$und1$mcI$sp$f
  };
}
const $d_s_Tuple2$mcIC$sp = new $TypeData().initClass({
  s_Tuple2$mcIC$sp: 0
}, false, "scala.Tuple2$mcIC$sp", {
  s_Tuple2$mcIC$sp: 1,
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Tuple2$mcIC$sp.prototype.$classData = $d_s_Tuple2$mcIC$sp;
class $c_s_concurrent_duration_Duration$$anon$1 extends $c_s_concurrent_duration_Duration$Infinite {
  init___() {
    return this
  };
  equals__O__Z(other) {
    return false
  };
  toString__T() {
    return "Duration.Undefined"
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    return ((other === this) ? 0 : 1)
  };
}
const $d_s_concurrent_duration_Duration$$anon$1 = new $TypeData().initClass({
  s_concurrent_duration_Duration$$anon$1: 0
}, false, "scala.concurrent.duration.Duration$$anon$1", {
  s_concurrent_duration_Duration$$anon$1: 1,
  s_concurrent_duration_Duration$Infinite: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_Duration$$anon$1.prototype.$classData = $d_s_concurrent_duration_Duration$$anon$1;
class $c_s_concurrent_duration_Duration$$anon$2 extends $c_s_concurrent_duration_Duration$Infinite {
  init___() {
    return this
  };
  toString__T() {
    return "Duration.Inf"
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    return ((other === $m_s_concurrent_duration_Duration$().Undefined$1) ? (-1) : ((other === this) ? 0 : 1))
  };
}
const $d_s_concurrent_duration_Duration$$anon$2 = new $TypeData().initClass({
  s_concurrent_duration_Duration$$anon$2: 0
}, false, "scala.concurrent.duration.Duration$$anon$2", {
  s_concurrent_duration_Duration$$anon$2: 1,
  s_concurrent_duration_Duration$Infinite: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_Duration$$anon$2.prototype.$classData = $d_s_concurrent_duration_Duration$$anon$2;
class $c_s_concurrent_duration_Duration$$anon$3 extends $c_s_concurrent_duration_Duration$Infinite {
  init___() {
    return this
  };
  toString__T() {
    return "Duration.MinusInf"
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    return ((other === this) ? 0 : (-1))
  };
}
const $d_s_concurrent_duration_Duration$$anon$3 = new $TypeData().initClass({
  s_concurrent_duration_Duration$$anon$3: 0
}, false, "scala.concurrent.duration.Duration$$anon$3", {
  s_concurrent_duration_Duration$$anon$3: 1,
  s_concurrent_duration_Duration$Infinite: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_Duration$$anon$3.prototype.$classData = $d_s_concurrent_duration_Duration$$anon$3;
class $c_s_math_LowPriorityOrderingImplicits$$anon$6 extends $c_O {
  constructor() {
    super();
    this.evidence$1$1$1 = null
  };
  init___s_math_LowPriorityOrderingImplicits__F1($$outer, evidence$1$1) {
    this.evidence$1$1$1 = evidence$1$1;
    return this
  };
  compare__O__O__I(x, y) {
    return $comparableCompareTo(this.evidence$1$1$1.apply__O__O(x), y)
  };
}
const $d_s_math_LowPriorityOrderingImplicits$$anon$6 = new $TypeData().initClass({
  s_math_LowPriorityOrderingImplicits$$anon$6: 0
}, false, "scala.math.LowPriorityOrderingImplicits$$anon$6", {
  s_math_LowPriorityOrderingImplicits$$anon$6: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_LowPriorityOrderingImplicits$$anon$6.prototype.$classData = $d_s_math_LowPriorityOrderingImplicits$$anon$6;
class $c_s_math_Ordering$$anon$5 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.f$1$1 = null
  };
  compare__O__O__I(x, y) {
    return this.$$outer$1.compare__O__O__I(this.f$1$1.apply__O__O(x), this.f$1$1.apply__O__O(y))
  };
  init___s_math_Ordering__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.f$1$1 = f$1;
    return this
  };
}
const $d_s_math_Ordering$$anon$5 = new $TypeData().initClass({
  s_math_Ordering$$anon$5: 0
}, false, "scala.math.Ordering$$anon$5", {
  s_math_Ordering$$anon$5: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$$anon$5.prototype.$classData = $d_s_math_Ordering$$anon$5;
class $c_s_reflect_ClassTag$GenericClassTag extends $c_O {
  constructor() {
    super();
    this.runtimeClass$1 = null
  };
  newArray__I__O(len) {
    return $f_s_reflect_ClassTag__newArray__I__O(this, len)
  };
  equals__O__Z(x) {
    return $f_s_reflect_ClassTag__equals__O__Z(this, x)
  };
  toString__T() {
    const clazz = this.runtimeClass$1;
    return $f_s_reflect_ClassTag__prettyprint$1__ps_reflect_ClassTag__jl_Class__T(this, clazz)
  };
  runtimeClass__jl_Class() {
    return this.runtimeClass$1
  };
  init___jl_Class(runtimeClass) {
    this.runtimeClass$1 = runtimeClass;
    return this
  };
  hashCode__I() {
    return $m_sr_Statics$().anyHash__O__I(this.runtimeClass$1)
  };
}
const $d_s_reflect_ClassTag$GenericClassTag = new $TypeData().initClass({
  s_reflect_ClassTag$GenericClassTag: 0
}, false, "scala.reflect.ClassTag$GenericClassTag", {
  s_reflect_ClassTag$GenericClassTag: 1,
  O: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ClassTag$GenericClassTag.prototype.$classData = $d_s_reflect_ClassTag$GenericClassTag;
const $is_sc_GenIterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenIterable)))
});
const $isArrayOf_sc_GenIterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenIterable)))
});
class $c_sc_Seq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Seq$();
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sc_Seq$ = new $TypeData().initClass({
  sc_Seq$: 0
}, false, "scala.collection.Seq$", {
  sc_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Seq$.prototype.$classData = $d_sc_Seq$;
let $n_sc_Seq$ = (void 0);
const $m_sc_Seq$ = (function() {
  if ((!$n_sc_Seq$)) {
    $n_sc_Seq$ = new $c_sc_Seq$().init___()
  };
  return $n_sc_Seq$
});
class $c_scg_IndexedSeqFactory extends $c_scg_SeqFactory {
}
class $c_sci_HashMap$ extends $c_scg_ImmutableMapFactory {
  constructor() {
    super();
    this.defaultMerger$4 = null
  };
  init___() {
    $n_sci_HashMap$ = this;
    const mergef = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(a$2, b$2) {
        const a = a$2;
        return a
      })
    })(this));
    this.defaultMerger$4 = new $c_sci_HashMap$$anon$2().init___F2(mergef);
    return this
  };
  scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(hash0, elem0, hash1, elem1, level, size) {
    const index0 = (31 & ((hash0 >>> level) | 0));
    const index1 = (31 & ((hash1 >>> level) | 0));
    if ((index0 !== index1)) {
      const bitmap = ((1 << index0) | (1 << index1));
      const elems = $newArrayObject($d_sci_HashMap.getArrayOf(), [2]);
      if ((index0 < index1)) {
        elems.u[0] = elem0;
        elems.u[1] = elem1
      } else {
        elems.u[0] = elem1;
        elems.u[1] = elem0
      };
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap, elems, size)
    } else {
      const elems$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [1]);
      const bitmap$2 = (1 << index0);
      elems$2.u[0] = this.scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(hash0, elem0, hash1, elem1, ((5 + level) | 0), size);
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap$2, elems$2, size)
    }
  };
  scala$collection$immutable$HashMap$$keepBits__I__I__I(bitmap, keep) {
    let result = 0;
    let current = bitmap;
    let kept = keep;
    while ((kept !== 0)) {
      const lsb = (current ^ (current & (((-1) + current) | 0)));
      if (((1 & kept) !== 0)) {
        result = (result | lsb)
      };
      current = (current & (~lsb));
      kept = ((kept >>> 1) | 0)
    };
    return result
  };
  empty__sc_GenMap() {
    return $m_sci_HashMap$EmptyHashMap$()
  };
}
const $d_sci_HashMap$ = new $TypeData().initClass({
  sci_HashMap$: 0
}, false, "scala.collection.immutable.HashMap$", {
  sci_HashMap$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  scg_BitOperations$Int: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashMap$.prototype.$classData = $d_sci_HashMap$;
let $n_sci_HashMap$ = (void 0);
const $m_sci_HashMap$ = (function() {
  if ((!$n_sci_HashMap$)) {
    $n_sci_HashMap$ = new $c_sci_HashMap$().init___()
  };
  return $n_sci_HashMap$
});
class $c_sci_Seq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_Seq$ = new $TypeData().initClass({
  sci_Seq$: 0
}, false, "scala.collection.immutable.Seq$", {
  sci_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Seq$.prototype.$classData = $d_sci_Seq$;
let $n_sci_Seq$ = (void 0);
const $m_sci_Seq$ = (function() {
  if ((!$n_sci_Seq$)) {
    $n_sci_Seq$ = new $c_sci_Seq$().init___()
  };
  return $n_sci_Seq$
});
class $c_scm_ArrayBuilder extends $c_O {
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
}
class $c_scm_IndexedSeq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuffer().init___()
  };
}
const $d_scm_IndexedSeq$ = new $TypeData().initClass({
  scm_IndexedSeq$: 0
}, false, "scala.collection.mutable.IndexedSeq$", {
  scm_IndexedSeq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_IndexedSeq$.prototype.$classData = $d_scm_IndexedSeq$;
let $n_scm_IndexedSeq$ = (void 0);
const $m_scm_IndexedSeq$ = (function() {
  if ((!$n_scm_IndexedSeq$)) {
    $n_scm_IndexedSeq$ = new $c_scm_IndexedSeq$().init___()
  };
  return $n_scm_IndexedSeq$
});
class $c_sjs_js_WrappedArray$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_sjs_js_WrappedArray().init___()
  };
}
const $d_sjs_js_WrappedArray$ = new $TypeData().initClass({
  sjs_js_WrappedArray$: 0
}, false, "scala.scalajs.js.WrappedArray$", {
  sjs_js_WrappedArray$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sjs_js_WrappedArray$.prototype.$classData = $d_sjs_js_WrappedArray$;
let $n_sjs_js_WrappedArray$ = (void 0);
const $m_sjs_js_WrappedArray$ = (function() {
  if ((!$n_sjs_js_WrappedArray$)) {
    $n_sjs_js_WrappedArray$ = new $c_sjs_js_WrappedArray$().init___()
  };
  return $n_sjs_js_WrappedArray$
});
class $c_Lamf_core_annotations_LexicalInformation extends $c_O {
  constructor() {
    super();
    this.range$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "LexicalInformation"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_LexicalInformation(x$1)) {
      const LexicalInformation$1 = x$1;
      const x = this.range$1;
      const x$2 = LexicalInformation$1.range$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.range$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___Lamf_core_parser_Range(range) {
    this.range$1 = range;
    this.name$1 = "lexical";
    this.value$1 = range.toString__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_LexicalInformation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_LexicalInformation)))
});
const $isArrayOf_Lamf_core_annotations_LexicalInformation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_LexicalInformation)))
});
const $d_Lamf_core_annotations_LexicalInformation = new $TypeData().initClass({
  Lamf_core_annotations_LexicalInformation: 0
}, false, "amf.core.annotations.LexicalInformation", {
  Lamf_core_annotations_LexicalInformation: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_LexicalInformation.prototype.$classData = $d_Lamf_core_annotations_LexicalInformation;
class $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.tag$1 = null
  };
  productPrefix__T() {
    return "ValueEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$ValueEmitter(x$1)) {
      const ValueEmitter$1 = x$1;
      if ((this.key$1 === ValueEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ValueEmitter$1.f$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  simpleScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    $m_Lorg_yaml_model_YNode$();
    const jsx$1 = $m_Lorg_yaml_model_YScalar$();
    const this$2 = this.f$1;
    const value = jsx$1.apply__O__Lorg_yaml_model_YScalar(this$2.value$1.value$1.value$1);
    const tt = this.tag$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const value$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value$1)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_core_parser_FieldEntry(key, f) {
    this.key$1 = key;
    this.f$1 = f;
    $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__$$init$__V(this);
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    this.simpleScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__position__Lamf_core_parser_Position(this)
  };
  amf$core$emitter$BaseEmitters$BaseValueEmitter$$undsetter$und$tag$und$eq__Lorg_yaml_model_YType__V(x$1) {
    this.tag$1 = x$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$ValueEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$ValueEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$ValueEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$ValueEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$ValueEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$ValueEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$ValueEmitter", {
  Lamf_core_emitter_BaseEmitters_package$ValueEmitter: 1,
  O: 1,
  Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$ValueEmitter;
class $c_Lamf_core_emitter_SpecOrdering$Default$ extends $c_O {
  init___() {
    return this
  };
  sorted__sc_Seq__sc_Seq(values) {
    return values
  };
  compare__O__O__I(x, y) {
    return 1
  };
}
const $d_Lamf_core_emitter_SpecOrdering$Default$ = new $TypeData().initClass({
  Lamf_core_emitter_SpecOrdering$Default$: 0
}, false, "amf.core.emitter.SpecOrdering$Default$", {
  Lamf_core_emitter_SpecOrdering$Default$: 1,
  O: 1,
  Lamf_core_emitter_SpecOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_SpecOrdering$Default$.prototype.$classData = $d_Lamf_core_emitter_SpecOrdering$Default$;
let $n_Lamf_core_emitter_SpecOrdering$Default$ = (void 0);
const $m_Lamf_core_emitter_SpecOrdering$Default$ = (function() {
  if ((!$n_Lamf_core_emitter_SpecOrdering$Default$)) {
    $n_Lamf_core_emitter_SpecOrdering$Default$ = new $c_Lamf_core_emitter_SpecOrdering$Default$().init___()
  };
  return $n_Lamf_core_emitter_SpecOrdering$Default$
});
class $c_Lamf_core_emitter_SpecOrdering$Lexical$ extends $c_O {
  init___() {
    return this
  };
  sorted__sc_Seq__sc_Seq(values) {
    const x1 = values.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.position__Lamf_core_parser_Position().isZero__Z()
      })
    })(this)));
    if ((x1 !== null)) {
      const without = x1.$$und1__O();
      const lexical = x1.$$und2__O();
      const jsx$1 = lexical.sorted__s_math_Ordering__O(this);
      const this$1 = $m_sc_Seq$();
      return jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(without, this$1.ReusableCBFInstance$2)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  compare__O__O__I(x, y) {
    const x$1 = x;
    const y$1 = y;
    return x$1.position__Lamf_core_parser_Position().compareTo__Lamf_core_parser_Position__I(y$1.position__Lamf_core_parser_Position())
  };
}
const $d_Lamf_core_emitter_SpecOrdering$Lexical$ = new $TypeData().initClass({
  Lamf_core_emitter_SpecOrdering$Lexical$: 0
}, false, "amf.core.emitter.SpecOrdering$Lexical$", {
  Lamf_core_emitter_SpecOrdering$Lexical$: 1,
  O: 1,
  Lamf_core_emitter_SpecOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_SpecOrdering$Lexical$.prototype.$classData = $d_Lamf_core_emitter_SpecOrdering$Lexical$;
let $n_Lamf_core_emitter_SpecOrdering$Lexical$ = (void 0);
const $m_Lamf_core_emitter_SpecOrdering$Lexical$ = (function() {
  if ((!$n_Lamf_core_emitter_SpecOrdering$Lexical$)) {
    $n_Lamf_core_emitter_SpecOrdering$Lexical$ = new $c_Lamf_core_emitter_SpecOrdering$Lexical$().init___()
  };
  return $n_Lamf_core_emitter_SpecOrdering$Lexical$
});
class $c_Lamf_core_metamodel_document_DocumentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_DocumentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    this.type$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_DocumentModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_DocumentModel$: 0
}, false, "amf.core.metamodel.document.DocumentModel$", {
  Lamf_core_metamodel_document_DocumentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_core_metamodel_document_DocumentModel$.prototype.$classData = $d_Lamf_core_metamodel_document_DocumentModel$;
let $n_Lamf_core_metamodel_document_DocumentModel$ = (void 0);
const $m_Lamf_core_metamodel_document_DocumentModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_DocumentModel$)) {
    $n_Lamf_core_metamodel_document_DocumentModel$ = new $c_Lamf_core_metamodel_document_DocumentModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_DocumentModel$
});
class $c_Lamf_core_metamodel_domain_RecursiveShapeModel$ extends $c_O {
  constructor() {
    super();
    this.FixPoint$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_RecursiveShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.FixPoint$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "fixPoint"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "RecursiveShape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Shape")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.FixPoint$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_core_metamodel_domain_RecursiveShapeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_RecursiveShapeModel$: 0
}, false, "amf.core.metamodel.domain.RecursiveShapeModel$", {
  Lamf_core_metamodel_domain_RecursiveShapeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_RecursiveShapeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_RecursiveShapeModel$;
let $n_Lamf_core_metamodel_domain_RecursiveShapeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_RecursiveShapeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_RecursiveShapeModel$)) {
    $n_Lamf_core_metamodel_domain_RecursiveShapeModel$ = new $c_Lamf_core_metamodel_domain_RecursiveShapeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_RecursiveShapeModel$
});
class $c_Lamf_core_metamodel_domain_ShapeModel$ extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  CustomShapeProperties$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.CustomShapeProperties$1 = $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapeProperties__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomShapeProperties$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_ShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    const jsx$2 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.DisplayName$1, this.Description$1, this.Default$1, this.Values$1, this.Inherits$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$3 = $m_sci_List$();
    this.fields$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    $m_sci_List$();
    const this$4 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "Shape");
    const this$6 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$6, "Shape")]);
    const this$9 = $m_sci_List$();
    const cbf$1 = this$9.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  CustomShapePropertyDefinitions__Lamf_core_metamodel_Field() {
    return (((1 & this.bitmap$0$1) === 0) ? this.CustomShapePropertyDefinitions$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomShapePropertyDefinitions$1)
  };
  CustomShapePropertyDefinitions$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.CustomShapePropertyDefinitions$1 = $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapePropertyDefinitions__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomShapePropertyDefinitions$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Shape is abstract and it cannot be instantiated by default"))
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  CustomShapeProperties__Lamf_core_metamodel_Field() {
    return (((2 & this.bitmap$0$1) === 0) ? this.CustomShapeProperties$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomShapeProperties$1)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_core_metamodel_domain_ShapeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_ShapeModel$: 0
}, false, "amf.core.metamodel.domain.ShapeModel$", {
  Lamf_core_metamodel_domain_ShapeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_ShapeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_ShapeModel$;
let $n_Lamf_core_metamodel_domain_ShapeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_ShapeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_ShapeModel$)) {
    $n_Lamf_core_metamodel_domain_ShapeModel$ = new $c_Lamf_core_metamodel_domain_ShapeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_ShapeModel$
});
class $c_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ extends $c_O {
  constructor() {
    super();
    this.Path$1 = null;
    this.Range$1 = null;
    this.MinCount$1 = null;
    this.MaxCount$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Path$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "path"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Range$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "range"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Int$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MinCount$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "minCount"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Int$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MaxCount$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "maxCount"), true);
    $m_sci_List$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "PropertyShape")]);
    const this$12 = $m_sci_List$();
    const cbf = this$12.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$13 = $m_sci_List$();
    this.type$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$13.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Path$1, this.Range$1, this.MinCount$1, this.MaxCount$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_PropertyShapeModel$: 0
}, false, "amf.core.metamodel.domain.extensions.PropertyShapeModel$", {
  Lamf_core_metamodel_domain_extensions_PropertyShapeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$;
let $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = new $c_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$
});
class $c_Lamf_core_model_domain_ExternalDomainElement extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ExternalDomainElement"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_ExternalDomainElement(x$1)) {
      const ExternalDomainElement$1 = x$1;
      const x = this.fields$1;
      const x$2 = ExternalDomainElement$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ExternalDomainElement$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  adopted__T__Lamf_core_model_domain_ExternalDomainElement(parent) {
    const value = (parent + "#/external");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_ExternalDomainElement(parent)
  };
}
const $is_Lamf_core_model_domain_ExternalDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ExternalDomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_ExternalDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ExternalDomainElement)))
});
const $d_Lamf_core_model_domain_ExternalDomainElement = new $TypeData().initClass({
  Lamf_core_model_domain_ExternalDomainElement: 0
}, false, "amf.core.model.domain.ExternalDomainElement", {
  Lamf_core_model_domain_ExternalDomainElement: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_ExternalDomainElement.prototype.$classData = $d_Lamf_core_model_domain_ExternalDomainElement;
class $c_Lamf_core_model_domain_extensions_DomainExtension extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DomainExtension"
  };
  productArity__I() {
    return 2
  };
  adopted__T__Lamf_core_model_domain_extensions_DomainExtension(parent) {
    const value = (parent + "/extension");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_DomainExtension(x$1)) {
      const DomainExtension$1 = x$1;
      const x = this.fields$1;
      const x$2 = DomainExtension$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DomainExtension$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  isScalarExtension__Z() {
    return this.fields$1.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1).isDefined__Z()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_extensions_DomainExtension(parent)
  };
}
const $is_Lamf_core_model_domain_extensions_DomainExtension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_DomainExtension)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_DomainExtension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_DomainExtension)))
});
const $d_Lamf_core_model_domain_extensions_DomainExtension = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_DomainExtension: 0
}, false, "amf.core.model.domain.extensions.DomainExtension", {
  Lamf_core_model_domain_extensions_DomainExtension: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_DomainExtension.prototype.$classData = $d_Lamf_core_model_domain_extensions_DomainExtension;
class $c_Lamf_core_model_domain_extensions_ShapeExtension extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ShapeExtension"
  };
  productArity__I() {
    return 2
  };
  adopted__T__Lamf_core_model_domain_extensions_ShapeExtension(parent) {
    const value = (parent + "/shapeExtension");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_ShapeExtension(x$1)) {
      const ShapeExtension$1 = x$1;
      const x = this.fields$1;
      const x$2 = ShapeExtension$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ShapeExtension$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.id$1 = "http://raml.org/vocabularies#document/shape_extension";
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_extensions_ShapeExtension(parent)
  };
}
const $is_Lamf_core_model_domain_extensions_ShapeExtension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_ShapeExtension)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_ShapeExtension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_ShapeExtension)))
});
const $d_Lamf_core_model_domain_extensions_ShapeExtension = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_ShapeExtension: 0
}, false, "amf.core.model.domain.extensions.ShapeExtension", {
  Lamf_core_model_domain_extensions_ShapeExtension: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_ShapeExtension.prototype.$classData = $d_Lamf_core_model_domain_extensions_ShapeExtension;
class $c_Lamf_core_model_domain_templates_VariableValue extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "VariableValue"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_templates_VariableValue(x$1)) {
      const VariableValue$1 = x$1;
      const x = this.fields$1;
      const x$2 = VariableValue$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = VariableValue$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_templates_VariableValueModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  adopted__T__Lamf_core_model_domain_templates_VariableValue(parent) {
    const value = ((parent + "/") + this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_templates_VariableValue(parent)
  };
}
const $is_Lamf_core_model_domain_templates_VariableValue = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_VariableValue)))
});
const $isArrayOf_Lamf_core_model_domain_templates_VariableValue = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_VariableValue)))
});
const $d_Lamf_core_model_domain_templates_VariableValue = new $TypeData().initClass({
  Lamf_core_model_domain_templates_VariableValue: 0
}, false, "amf.core.model.domain.templates.VariableValue", {
  Lamf_core_model_domain_templates_VariableValue: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_templates_VariableValue.prototype.$classData = $d_Lamf_core_model_domain_templates_VariableValue;
class $c_Lamf_core_parser_DefaultArrayNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "DefaultArrayNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_DefaultArrayNode(x$1)) {
      const DefaultArrayNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DefaultArrayNode$1.node$1)
    } else {
      return false
    }
  };
  nodes__T2() {
    return new $c_T2().init___O__O(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.iv$1), this.node$1.value__Lorg_yaml_model_YValue())
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return $f_Lamf_core_parser_BaseArrayNode__negated__Lamf_core_model_domain_AmfArray(this)
  };
  text__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $boolean__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__$boolean__Lamf_core_model_domain_AmfArray(this)
  };
  iv__Lorg_yaml_model_IllegalTypeHandler() {
    return this.iv$1
  };
  integer__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__integer__Lamf_core_model_domain_AmfArray(this)
  };
  init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv) {
    this.node$1 = node;
    this.iv$1 = iv;
    return this
  };
  obj__F1__Lamf_core_model_domain_AmfArray(fn) {
    return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray(this, fn)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_DefaultArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_DefaultArrayNode)))
});
const $isArrayOf_Lamf_core_parser_DefaultArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_DefaultArrayNode)))
});
const $d_Lamf_core_parser_DefaultArrayNode = new $TypeData().initClass({
  Lamf_core_parser_DefaultArrayNode: 0
}, false, "amf.core.parser.DefaultArrayNode", {
  Lamf_core_parser_DefaultArrayNode: 1,
  O: 1,
  Lamf_core_parser_BaseArrayNode: 1,
  Lamf_core_parser_ArrayNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_DefaultArrayNode.prototype.$classData = $d_Lamf_core_parser_DefaultArrayNode;
class $c_Lamf_core_parser_ParserContext extends $c_Lamf_core_parser_ErrorHandler {
  constructor() {
    super();
    this.rootContextDocument$2 = null;
    this.refs$2 = null;
    this.futureDeclarations$2 = null
  };
  productPrefix__T() {
    return "ParserContext"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_ParserContext(x$1)) {
      const ParserContext$1 = x$1;
      let jsx$1;
      if ((this.rootContextDocument$2 === ParserContext$1.rootContextDocument$2)) {
        const x = this.refs$2;
        const x$2 = ParserContext$1.refs$2;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.futureDeclarations$2;
        const x$4 = ParserContext$1.futureDeclarations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rootContextDocument$2;
        break
      }
      case 1: {
        return this.refs$2;
        break
      }
      case 2: {
        return this.futureDeclarations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__sc_Seq__Lamf_core_parser_FutureDeclarations(rootContextDocument, refs, futureDeclarations) {
    this.rootContextDocument$2 = rootContextDocument;
    this.refs$2 = refs;
    this.futureDeclarations$2 = futureDeclarations;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_ParserContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ParserContext)))
});
const $isArrayOf_Lamf_core_parser_ParserContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ParserContext)))
});
const $d_Lamf_core_parser_ParserContext = new $TypeData().initClass({
  Lamf_core_parser_ParserContext: 0
}, false, "amf.core.parser.ParserContext", {
  Lamf_core_parser_ParserContext: 1,
  Lamf_core_parser_ErrorHandler: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ParserContext.prototype.$classData = $d_Lamf_core_parser_ParserContext;
class $c_Lamf_model_domain_CreativeWork extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$CreativeWork$$creativeWork$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_CreativeWork.prototype.init___Lamf_plugins_domain_shapes_models_CreativeWork.call(this, new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "CreativeWork"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withTitle__T__O(title) {
    return this.withTitle__T__Lamf_model_domain_CreativeWork(title)
  };
  $$js$exported$prop$url__O() {
    const this$1 = this.amf$model$domain$CreativeWork$$creativeWork$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_CreativeWork(x$1)) {
      const CreativeWork$1 = x$1;
      const x = this.amf$model$domain$CreativeWork$$creativeWork$3;
      const x$2 = CreativeWork$1.amf$model$domain$CreativeWork$$creativeWork$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$CreativeWork$$creativeWork$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_model_domain_CreativeWork(url)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork(creativeWork) {
    this.amf$model$domain$CreativeWork$$creativeWork$3 = creativeWork;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withTitle__T__Lamf_model_domain_CreativeWork(title) {
    const this$1 = this.amf$model$domain$CreativeWork$$creativeWork$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, title);
    return this
  };
  withDescription__T__Lamf_model_domain_CreativeWork(description) {
    const this$1 = this.amf$model$domain$CreativeWork$$creativeWork$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  withUrl__T__Lamf_model_domain_CreativeWork(url) {
    const this$1 = this.amf$model$domain$CreativeWork$$creativeWork$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_CreativeWork(description)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.amf$model$domain$CreativeWork$$creativeWork$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$title__O() {
    const this$1 = this.amf$model$domain$CreativeWork$$creativeWork$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$CreativeWork$$creativeWork$3
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withTitle"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTitle__T__O(prep0)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "title"() {
    return this.$$js$exported$prop$title__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_model_domain_CreativeWork = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_CreativeWork)))
});
const $isArrayOf_Lamf_model_domain_CreativeWork = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_CreativeWork)))
});
const $d_Lamf_model_domain_CreativeWork = new $TypeData().initClass({
  Lamf_model_domain_CreativeWork: 0
}, false, "amf.model.domain.CreativeWork", {
  Lamf_model_domain_CreativeWork: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_CreativeWork.prototype.$classData = $d_Lamf_model_domain_CreativeWork;
class $c_Lamf_model_domain_DomainExtension extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.domainExtension$3 = null
  };
  init___Lamf_core_model_domain_extensions_DomainExtension(domainExtension) {
    this.domainExtension$3 = domainExtension;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_DomainExtension.prototype.init___Lamf_core_model_domain_extensions_DomainExtension.call(this, new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DomainExtension"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.domainExtension$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_DomainExtension(x$1)) {
      const DomainExtension$1 = x$1;
      const x = this.domainExtension$3;
      const x$2 = DomainExtension$1.domainExtension$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$extension__O() {
    return this.extension__Lamf_model_domain_DataNode()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainExtension$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withExtension__Lamf_model_domain_DataNode__Lamf_model_domain_DomainExtension(dataNode) {
    const this$1 = this.domainExtension$3;
    const extension = dataNode.dataNode$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, extension);
    return this
  };
  extension__Lamf_model_domain_DataNode() {
    const jsx$1 = $m_Lamf_model_domain_DataNode$();
    const this$1 = this.domainExtension$3;
    return jsx$1.apply__Lamf_core_model_domain_DataNode__Lamf_model_domain_DataNode(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$element__O() {
    return this.domainExtension$3
  };
  $$js$exported$meth$withDefinedBy__Lamf_model_domain_CustomDomainProperty__O(customDomainProperty) {
    return this.withDefinedBy__Lamf_model_domain_CustomDomainProperty__Lamf_model_domain_DomainExtension(customDomainProperty)
  };
  definedBy__Lamf_model_domain_CustomDomainProperty() {
    const this$1 = this.domainExtension$3;
    return new $c_Lamf_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1))
  };
  $$js$exported$prop$definedBy__O() {
    return this.definedBy__Lamf_model_domain_CustomDomainProperty()
  };
  $$js$exported$meth$withExtension__Lamf_model_domain_DataNode__O(dataNode) {
    return this.withExtension__Lamf_model_domain_DataNode__Lamf_model_domain_DomainExtension(dataNode)
  };
  withDefinedBy__Lamf_model_domain_CustomDomainProperty__Lamf_model_domain_DomainExtension(customDomainProperty) {
    const this$1 = this.domainExtension$3;
    const customProperty = customDomainProperty.customDomainProperty$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, customProperty);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withName__T__Lamf_model_domain_DomainExtension(name) {
    const this$1 = this.domainExtension$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_DomainExtension(name)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.domainExtension$3
  };
  get "element"() {
    return this.$$js$exported$prop$element__O()
  };
  "withExtension"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtension__Lamf_model_domain_DataNode__O(prep0)
  };
  "withDefinedBy"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefinedBy__Lamf_model_domain_CustomDomainProperty__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "extension"() {
    return this.$$js$exported$prop$extension__O()
  };
  get "definedBy"() {
    return this.$$js$exported$prop$definedBy__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_DomainExtension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_DomainExtension)))
});
const $isArrayOf_Lamf_model_domain_DomainExtension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_DomainExtension)))
});
const $d_Lamf_model_domain_DomainExtension = new $TypeData().initClass({
  Lamf_model_domain_DomainExtension: 0
}, false, "amf.model.domain.DomainExtension", {
  Lamf_model_domain_DomainExtension: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_DomainExtension.prototype.$classData = $d_Lamf_model_domain_DomainExtension;
class $c_Lamf_model_domain_EndPoint extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.endPoint$3 = null
  };
  productPrefix__T() {
    return "EndPoint"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_EndPoint.prototype.init___Lamf_plugins_domain_webapi_models_EndPoint.call(this, new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withPath__T__O(path) {
    return this.withPath__T__Lamf_model_domain_EndPoint(path)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.endPoint$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1)
  };
  $$js$exported$prop$operations__O() {
    return this.operations__sjs_js_Iterable()
  };
  $$js$exported$prop$parameters__O() {
    return this.parameters__sjs_js_Iterable()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_EndPoint(x$1)) {
      const EndPoint$1 = x$1;
      const x = this.endPoint$3;
      const x$2 = EndPoint$1.endPoint$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withParameters__sjs_js_Iterable__Lamf_model_domain_EndPoint(parameters) {
    const this$6 = this.endPoint$3;
    const __self = parameters[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.amf$model$domain$Parameter$$parameter$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const parameters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, parameters$1);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.endPoint$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withOperations__sjs_js_Iterable__O(operations) {
    return this.withOperations__sjs_js_Iterable__Lamf_model_domain_EndPoint(operations)
  };
  withOperations__sjs_js_Iterable__Lamf_model_domain_EndPoint(operations) {
    const this$6 = this.endPoint$3;
    const __self = operations[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.amf$model$domain$Operation$$operation$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const operations$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, operations$1);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withSecurity__sjs_js_Iterable__O(security) {
    return this.withSecurity__sjs_js_Iterable__Lamf_model_domain_EndPoint(security)
  };
  $$js$exported$meth$withParameters__sjs_js_Iterable__O(parameters) {
    return this.withParameters__sjs_js_Iterable__Lamf_model_domain_EndPoint(parameters)
  };
  parameters__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.endPoint$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Parameter$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$meth$withOperation__T__O(method) {
    return this.withOperation__T__Lamf_model_domain_Operation(method)
  };
  withSecurity__sjs_js_Iterable__Lamf_model_domain_EndPoint(security) {
    const this$6 = this.endPoint$3;
    const __self = security[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.amf$model$domain$ParametrizedSecurityScheme$$s$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const security$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, security$1);
    return this
  };
  withOperation__T__Lamf_model_domain_Operation(method) {
    const operation = this.endPoint$3.withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method);
    return new $c_Lamf_model_domain_Operation().init___Lamf_plugins_domain_webapi_models_Operation(operation)
  };
  withDescription__T__Lamf_model_domain_EndPoint(description) {
    const this$1 = this.endPoint$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  withName__T__Lamf_model_domain_EndPoint(name) {
    const this$1 = this.endPoint$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withParameter__T__Lamf_model_domain_Parameter(name) {
    const parameter = this.endPoint$3.withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  security__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.endPoint$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_ParametrizedSecurityScheme$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_EndPoint(description)
  };
  $$js$exported$prop$relativePath__O() {
    return this.endPoint$3.relativePath__T()
  };
  operations__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.endPoint$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Operation$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$prop$security__O() {
    return this.security__sjs_js_Iterable()
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.endPoint$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$path__O() {
    const this$1 = this.endPoint$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1)
  };
  $$js$exported$meth$withParameter__T__O(name) {
    return this.withParameter__T__Lamf_model_domain_Parameter(name)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_EndPoint(name)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint(endPoint) {
    this.endPoint$3 = endPoint;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withPath__T__Lamf_model_domain_EndPoint(path) {
    const this$1 = this.endPoint$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, path);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.endPoint$3
  };
  "withParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withParameter__T__O(prep0)
  };
  "withOperation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOperation__T__O(prep0)
  };
  "withSecurity"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSecurity__sjs_js_Iterable__O(prep0)
  };
  "withParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withParameters__sjs_js_Iterable__O(prep0)
  };
  "withOperations"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOperations__sjs_js_Iterable__O(prep0)
  };
  "withPath"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPath__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "relativePath"() {
    return this.$$js$exported$prop$relativePath__O()
  };
  get "security"() {
    return this.$$js$exported$prop$security__O()
  };
  get "parameters"() {
    return this.$$js$exported$prop$parameters__O()
  };
  get "operations"() {
    return this.$$js$exported$prop$operations__O()
  };
  get "path"() {
    return this.$$js$exported$prop$path__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_EndPoint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_EndPoint)))
});
const $isArrayOf_Lamf_model_domain_EndPoint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_EndPoint)))
});
const $d_Lamf_model_domain_EndPoint = new $TypeData().initClass({
  Lamf_model_domain_EndPoint: 0
}, false, "amf.model.domain.EndPoint", {
  Lamf_model_domain_EndPoint: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_EndPoint.prototype.$classData = $d_Lamf_model_domain_EndPoint;
class $c_Lamf_model_domain_ExternalDomainElement extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.ef$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ExternalDomainElement.prototype.init___Lamf_core_model_domain_ExternalDomainElement.call(this, new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___Lamf_core_model_domain_ExternalDomainElement(ef) {
    this.ef$3 = ef;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  productPrefix__T() {
    return "ExternalDomainElement"
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return this.withRaw__T__Lamf_model_domain_ExternalDomainElement(raw)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$raw__O() {
    const this$1 = this.ef$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ExternalDomainElement(x$1)) {
      const ExternalDomainElement$1 = x$1;
      const x = this.ef$3;
      const x$2 = ExternalDomainElement$1.ef$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ef$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withRaw__T__Lamf_model_domain_ExternalDomainElement(raw) {
    const this$1 = this.ef$3;
    const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, raw);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.ef$3
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "raw"() {
    return this.$$js$exported$meth$raw__O()
  };
}
const $is_Lamf_model_domain_ExternalDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ExternalDomainElement)))
});
const $isArrayOf_Lamf_model_domain_ExternalDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ExternalDomainElement)))
});
const $d_Lamf_model_domain_ExternalDomainElement = new $TypeData().initClass({
  Lamf_model_domain_ExternalDomainElement: 0
}, false, "amf.model.domain.ExternalDomainElement", {
  Lamf_model_domain_ExternalDomainElement: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ExternalDomainElement.prototype.$classData = $d_Lamf_model_domain_ExternalDomainElement;
class $c_Lamf_model_domain_License extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.license$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_License.prototype.init___Lamf_plugins_domain_webapi_models_License.call(this, new $c_Lamf_plugins_domain_webapi_models_License().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "License"
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.license$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$url__O() {
    const this$1 = this.license$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_License(x$1)) {
      const License$1 = x$1;
      const x = this.license$3;
      const x$2 = License$1.license$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.license$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_model_domain_License(url)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_License(license) {
    this.license$3 = license;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withName__T__Lamf_model_domain_License(name) {
    const this$1 = this.license$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_License(name)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.license$3
  };
  withUrl__T__Lamf_model_domain_License(url) {
    const this$1 = this.license$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_model_domain_License = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_License)))
});
const $isArrayOf_Lamf_model_domain_License = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_License)))
});
const $d_Lamf_model_domain_License = new $TypeData().initClass({
  Lamf_model_domain_License: 0
}, false, "amf.model.domain.License", {
  Lamf_model_domain_License: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_License.prototype.$classData = $d_Lamf_model_domain_License;
class $c_Lamf_model_domain_Operation extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$Operation$$operation$3 = null
  };
  productPrefix__T() {
    return "Operation"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Operation.prototype.init___Lamf_plugins_domain_webapi_models_Operation.call(this, new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withDocumentation__Lamf_model_domain_CreativeWork__O(documentation) {
    return this.withDocumentation__Lamf_model_domain_CreativeWork__Lamf_model_domain_Operation(documentation)
  };
  $$js$exported$prop$deprecated__O() {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    return (!(!this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1)))
  };
  $$js$exported$prop$accepts__O() {
    return this.accepts__sjs_js_Iterable()
  };
  productArity__I() {
    return 1
  };
  documentation__Lamf_model_domain_CreativeWork() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1));
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const v1 = this$2.get__O();
      const creativeWork = v1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_model_domain_CreativeWork().init___Lamf_plugins_domain_shapes_models_CreativeWork(creativeWork))
    };
    return (this$3.isEmpty__Z() ? null : this$3.get__O())
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1)
  };
  withMethod__T__Lamf_model_domain_Operation(method) {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, method);
    return this
  };
  withAccepts__sjs_js_Iterable__Lamf_model_domain_Operation(accepts) {
    const this$5 = this.amf$model$domain$Operation$$operation$3;
    const __self = accepts[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const accepts$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const values = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(accepts$1, cbf);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, values);
    return this
  };
  withName__T__Lamf_model_domain_Operation(name) {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  accepts__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1));
    const col = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Operation(x$1)) {
      const Operation$1 = x$1;
      const x = this.amf$model$domain$Operation$$operation$3;
      const x$2 = Operation$1.amf$model$domain$Operation$$operation$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$contentType__O() {
    return this.contentType__sjs_js_Iterable()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$Operation$$operation$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withSecurity__sjs_js_Iterable__Lamf_model_domain_Operation(security) {
    const this$6 = this.amf$model$domain$Operation$$operation$3;
    const __self = security[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.element__Lamf_core_model_domain_DomainElement()
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const security$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, security$1);
    return this
  };
  $$js$exported$meth$withRequest__Lamf_model_domain_Request__O(request) {
    return this.withRequest__Lamf_model_domain_Request__Lamf_model_domain_Operation(request)
  };
  withDescription__T__Lamf_model_domain_Operation(description) {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  request__Lamf_model_domain_Request() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const v1 = this$2.get__O();
      const request = v1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_model_domain_Request().init___Lamf_plugins_domain_webapi_models_Request(request))
    };
    return (this$3.isEmpty__Z() ? null : this$3.get__O())
  };
  $$js$exported$meth$withSecurity__sjs_js_Iterable__O(security) {
    return this.withSecurity__sjs_js_Iterable__Lamf_model_domain_Operation(security)
  };
  init___Lamf_plugins_domain_webapi_models_Operation(operation) {
    this.amf$model$domain$Operation$$operation$3 = operation;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$documentation__O() {
    return this.documentation__Lamf_model_domain_CreativeWork()
  };
  responses__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Response$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$meth$withMethod__T__O(method) {
    return this.withMethod__T__Lamf_model_domain_Operation(method)
  };
  withResponses__sjs_js_Iterable__Lamf_model_domain_Operation(responses) {
    const this$6 = this.amf$model$domain$Operation$$operation$3;
    const __self = responses[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.amf$model$domain$Response$$response$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const responses$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, responses$1);
    return this
  };
  withDeprecated__Z__Lamf_model_domain_Operation(deprecated) {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, deprecated);
    return this
  };
  withDocumentation__Lamf_model_domain_CreativeWork__Lamf_model_domain_Operation(documentation) {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const documentation$1 = documentation.amf$model$domain$CreativeWork$$creativeWork$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, documentation$1);
    return this
  };
  contentType__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1));
    const col = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  withSchemes__sjs_js_Iterable__Lamf_model_domain_Operation(schemes) {
    const this$5 = this.amf$model$domain$Operation$$operation$3;
    const __self = schemes[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const schemes$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1;
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const values = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(schemes$1, cbf);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, values);
    return this
  };
  security__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$3 = $m_Lamf_model_domain_DomainElement$();
        const this$4 = this$3.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$4, x$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const this$8 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$8, result)));
      return result
    }
  };
  schemes__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1));
    const col = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  $$js$exported$prop$responses__O() {
    return this.responses__sjs_js_Iterable()
  };
  $$js$exported$prop$schemes__O() {
    return this.schemes__sjs_js_Iterable()
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_Operation(description)
  };
  withSummary__T__Lamf_model_domain_Operation(summary) {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, summary);
    return this
  };
  $$js$exported$meth$withAccepts__sjs_js_Iterable__O(accepts) {
    return this.withAccepts__sjs_js_Iterable__Lamf_model_domain_Operation(accepts)
  };
  withContentType__sjs_js_Iterable__Lamf_model_domain_Operation(contentType) {
    const this$5 = this.amf$model$domain$Operation$$operation$3;
    const __self = contentType[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const contentType$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const values = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(contentType$1, cbf);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, values);
    return this
  };
  $$js$exported$prop$security__O() {
    return this.security__sjs_js_Iterable()
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withContentType__sjs_js_Iterable__O(contentType) {
    return this.withContentType__sjs_js_Iterable__Lamf_model_domain_Operation(contentType)
  };
  $$js$exported$prop$summary__O() {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1)
  };
  $$js$exported$meth$withResponses__sjs_js_Iterable__O(responses) {
    return this.withResponses__sjs_js_Iterable__Lamf_model_domain_Operation(responses)
  };
  withResponse__T__Lamf_model_domain_Response(name) {
    const response = this.amf$model$domain$Operation$$operation$3.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name);
    return new $c_Lamf_model_domain_Response().init___Lamf_plugins_domain_webapi_models_Response(response)
  };
  $$js$exported$meth$withResponse__T__O(name) {
    return this.withResponse__T__Lamf_model_domain_Response(name)
  };
  withRequest__Lamf_model_domain_Request__Lamf_model_domain_Operation(request) {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    const request$1 = request.amf$model$domain$Request$$request$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, request$1);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withSummary__T__O(summary) {
    return this.withSummary__T__Lamf_model_domain_Operation(summary)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_Operation(name)
  };
  $$js$exported$meth$withSchemes__sjs_js_Iterable__O(schemes) {
    return this.withSchemes__sjs_js_Iterable__Lamf_model_domain_Operation(schemes)
  };
  $$js$exported$prop$request__O() {
    return this.request__Lamf_model_domain_Request()
  };
  $$js$exported$prop$method__O() {
    const this$1 = this.amf$model$domain$Operation$$operation$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$Operation$$operation$3
  };
  $$js$exported$meth$withDeprecated__Z__O(deprecated) {
    return this.withDeprecated__Z__Lamf_model_domain_Operation(deprecated)
  };
  "withResponse"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponse__T__O(prep0)
  };
  "withSecurity"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSecurity__sjs_js_Iterable__O(prep0)
  };
  "withResponses"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponses__sjs_js_Iterable__O(prep0)
  };
  "withRequest"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRequest__Lamf_model_domain_Request__O(prep0)
  };
  "withContentType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withContentType__sjs_js_Iterable__O(prep0)
  };
  "withAccepts"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAccepts__sjs_js_Iterable__O(prep0)
  };
  "withSchemes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchemes__sjs_js_Iterable__O(prep0)
  };
  "withDocumentation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentation__Lamf_model_domain_CreativeWork__O(prep0)
  };
  "withSummary"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSummary__T__O(prep0)
  };
  "withDeprecated"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withDeprecated__Z__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withMethod"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMethod__T__O(prep0)
  };
  get "security"() {
    return this.$$js$exported$prop$security__O()
  };
  get "responses"() {
    return this.$$js$exported$prop$responses__O()
  };
  get "request"() {
    return this.$$js$exported$prop$request__O()
  };
  get "contentType"() {
    return this.$$js$exported$prop$contentType__O()
  };
  get "accepts"() {
    return this.$$js$exported$prop$accepts__O()
  };
  get "schemes"() {
    return this.$$js$exported$prop$schemes__O()
  };
  get "documentation"() {
    return this.$$js$exported$prop$documentation__O()
  };
  get "summary"() {
    return this.$$js$exported$prop$summary__O()
  };
  get "deprecated"() {
    return this.$$js$exported$prop$deprecated__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "method"() {
    return this.$$js$exported$prop$method__O()
  };
}
const $is_Lamf_model_domain_Operation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Operation)))
});
const $isArrayOf_Lamf_model_domain_Operation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Operation)))
});
const $d_Lamf_model_domain_Operation = new $TypeData().initClass({
  Lamf_model_domain_Operation: 0
}, false, "amf.model.domain.Operation", {
  Lamf_model_domain_Operation: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Operation.prototype.$classData = $d_Lamf_model_domain_Operation;
class $c_Lamf_model_domain_Organization extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.organization$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Organization.prototype.init___Lamf_plugins_domain_webapi_models_Organization.call(this, new $c_Lamf_plugins_domain_webapi_models_Organization().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Organization"
  };
  $$js$exported$meth$withEmail__T__O(email) {
    return this.withEmail__T__Lamf_model_domain_Organization(email)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.organization$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1)
  };
  $$js$exported$prop$url__O() {
    const this$1 = this.organization$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1)
  };
  withUrl__T__Lamf_model_domain_Organization(url) {
    const this$1 = this.organization$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Organization(x$1)) {
      const Organization$1 = x$1;
      const x = this.organization$3;
      const x$2 = Organization$1.organization$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.organization$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_model_domain_Organization(url)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Organization(organization) {
    this.organization$3 = organization;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withName__T__Lamf_model_domain_Organization(name) {
    const this$1 = this.organization$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$email__O() {
    const this$1 = this.organization$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withEmail__T__Lamf_model_domain_Organization(email) {
    const this$1 = this.organization$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, email);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_Organization(name)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.organization$3
  };
  "withEmail"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEmail__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "email"() {
    return this.$$js$exported$prop$email__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_model_domain_Organization = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Organization)))
});
const $isArrayOf_Lamf_model_domain_Organization = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Organization)))
});
const $d_Lamf_model_domain_Organization = new $TypeData().initClass({
  Lamf_model_domain_Organization: 0
}, false, "amf.model.domain.Organization", {
  Lamf_model_domain_Organization: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Organization.prototype.$classData = $d_Lamf_model_domain_Organization;
class $c_Lamf_model_domain_Parameter extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$Parameter$$parameter$3 = null;
    this.name$3 = null;
    this.description$3 = null;
    this.required$3 = false;
    this.binding$3 = null;
    this.schema$3 = null
  };
  $$js$exported$meth$withScalarSchema__T__O(name) {
    return this.withScalarSchema__T__Lamf_model_domain_ScalarShape(name)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Parameter.prototype.init___Lamf_plugins_domain_webapi_models_Parameter.call(this, new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___Lamf_plugins_domain_webapi_models_Parameter(parameter) {
    this.amf$model$domain$Parameter$$parameter$3 = parameter;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.name$3 = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    this.description$3 = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1);
    this.required$3 = (!(!parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1)));
    this.binding$3 = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
    const this$2 = $m_Lamf_model_domain_Shape$();
    const shape = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
    const this$3 = this$2.platform$1;
    this.schema$3 = $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$3, shape);
    return this
  };
  withScalarSchema__T__Lamf_model_domain_ScalarShape(name) {
    return new $c_Lamf_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape(this.amf$model$domain$Parameter$$parameter$3.withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name))
  };
  productPrefix__T() {
    return "Parameter"
  };
  $$js$exported$meth$withObjectSchema__T__O(name) {
    return this.withObjectSchema__T__Lamf_model_domain_NodeShape(name)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return this.name$3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Parameter(x$1)) {
      const Parameter$1 = x$1;
      const x = this.amf$model$domain$Parameter$$parameter$3;
      const x$2 = Parameter$1.amf$model$domain$Parameter$$parameter$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$Parameter$$parameter$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$schema__O() {
    return this.schema$3
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withBinding__T__Lamf_model_domain_Parameter(binding) {
    const this$1 = this.amf$model$domain$Parameter$$parameter$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, binding);
    return this
  };
  withRequired__Z__Lamf_model_domain_Parameter(required) {
    const this$1 = this.amf$model$domain$Parameter$$parameter$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, required);
    return this
  };
  $$js$exported$prop$required__O() {
    return this.required$3
  };
  withName__T__Lamf_model_domain_Parameter(name) {
    const this$1 = this.amf$model$domain$Parameter$$parameter$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withRequired__Z__O(required) {
    return this.withRequired__Z__Lamf_model_domain_Parameter(required)
  };
  withObjectSchema__T__Lamf_model_domain_NodeShape(name) {
    return new $c_Lamf_model_domain_NodeShape().init___Lamf_plugins_domain_shapes_models_NodeShape(this.amf$model$domain$Parameter$$parameter$3.withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name))
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_Parameter(description)
  };
  $$js$exported$prop$binding__O() {
    return this.binding$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$description__O() {
    return this.description$3
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_Parameter(name)
  };
  withDescription__T__Lamf_model_domain_Parameter(description) {
    const this$1 = this.amf$model$domain$Parameter$$parameter$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withBinding__T__O(binding) {
    return this.withBinding__T__Lamf_model_domain_Parameter(binding)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$Parameter$$parameter$3
  };
  "withScalarSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScalarSchema__T__O(prep0)
  };
  "withObjectSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withObjectSchema__T__O(prep0)
  };
  "withBinding"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBinding__T__O(prep0)
  };
  "withRequired"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withRequired__Z__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "schema"() {
    return this.$$js$exported$prop$schema__O()
  };
  get "binding"() {
    return this.$$js$exported$prop$binding__O()
  };
  get "required"() {
    return this.$$js$exported$prop$required__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_Parameter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Parameter)))
});
const $isArrayOf_Lamf_model_domain_Parameter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Parameter)))
});
const $d_Lamf_model_domain_Parameter = new $TypeData().initClass({
  Lamf_model_domain_Parameter: 0
}, false, "amf.model.domain.Parameter", {
  Lamf_model_domain_Parameter: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Parameter.prototype.$classData = $d_Lamf_model_domain_Parameter;
class $c_Lamf_model_domain_ParametrizedSecurityScheme extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$ParametrizedSecurityScheme$$s$3 = null
  };
  $$js$exported$meth$withOAuth1Settings__O() {
    return this.withOAuth1Settings__Lamf_model_domain_OAuth1Settings()
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ParametrizedSecurityScheme.prototype.init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme.call(this, new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ParametrizedSecurityScheme"
  };
  productArity__I() {
    return 1
  };
  settings__Lamf_model_domain_Settings() {
    const jsx$1 = $m_Lamf_model_domain_Settings$();
    const this$1 = this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
    return jsx$1.apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1))
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ParametrizedSecurityScheme(x$1)) {
      const ParametrizedSecurityScheme$1 = x$1;
      const x = this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
      const x$2 = ParametrizedSecurityScheme$1.amf$model$domain$ParametrizedSecurityScheme$$s$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$scheme__O() {
    return this.scheme__Lamf_model_domain_SecurityScheme()
  };
  withSettings__Lamf_model_domain_Settings__Lamf_model_domain_ParametrizedSecurityScheme(settings) {
    const this$1 = this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
    const settings$1 = settings.element__Lamf_plugins_domain_webapi_models_security_Settings();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, settings$1);
    return this
  };
  $$js$exported$meth$withScheme__Lamf_model_domain_SecurityScheme__O(scheme) {
    return this.withScheme__Lamf_model_domain_SecurityScheme__Lamf_model_domain_ParametrizedSecurityScheme(scheme)
  };
  $$js$exported$meth$withOAuth2Settings__O() {
    return this.withOAuth2Settings__Lamf_model_domain_OAuth2Settings()
  };
  init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(s) {
    this.amf$model$domain$ParametrizedSecurityScheme$$s$3 = s;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  scheme__Lamf_model_domain_SecurityScheme() {
    const this$2 = this.platform$2;
    const this$1 = this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
    const entity = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1);
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, entity)
  };
  withOAuth2Settings__Lamf_model_domain_OAuth2Settings() {
    return new $c_Lamf_model_domain_OAuth2Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(this.amf$model$domain$ParametrizedSecurityScheme$$s$3.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings())
  };
  $$js$exported$meth$withApiKeySettings__O() {
    return this.withApiKeySettings__Lamf_model_domain_ApiKeySettings()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withApiKeySettings__Lamf_model_domain_ApiKeySettings() {
    return new $c_Lamf_model_domain_ApiKeySettings().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(this.amf$model$domain$ParametrizedSecurityScheme$$s$3.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings())
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_ParametrizedSecurityScheme(name)
  };
  withOAuth1Settings__Lamf_model_domain_OAuth1Settings() {
    return new $c_Lamf_model_domain_OAuth1Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(this.amf$model$domain$ParametrizedSecurityScheme$$s$3.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings())
  };
  withName__T__Lamf_model_domain_ParametrizedSecurityScheme(name) {
    const this$1 = this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withSettings__Lamf_model_domain_Settings__O(settings) {
    return this.withSettings__Lamf_model_domain_Settings__Lamf_model_domain_ParametrizedSecurityScheme(settings)
  };
  withScheme__Lamf_model_domain_SecurityScheme__Lamf_model_domain_ParametrizedSecurityScheme(scheme) {
    const this$1 = this.amf$model$domain$ParametrizedSecurityScheme$$s$3;
    const scheme$1 = scheme.amf$model$domain$SecurityScheme$$scheme$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, scheme$1);
    return this
  };
  withDefaultSettings__Lamf_model_domain_Settings() {
    return $m_Lamf_model_domain_Settings$().apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(this.amf$model$domain$ParametrizedSecurityScheme$$s$3.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings())
  };
  $$js$exported$meth$withDefaultSettings__O() {
    return this.withDefaultSettings__Lamf_model_domain_Settings()
  };
  $$js$exported$prop$settings__O() {
    return this.settings__Lamf_model_domain_Settings()
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$ParametrizedSecurityScheme$$s$3
  };
  "withApiKeySettings"() {
    return this.$$js$exported$meth$withApiKeySettings__O()
  };
  "withOAuth2Settings"() {
    return this.$$js$exported$meth$withOAuth2Settings__O()
  };
  "withOAuth1Settings"() {
    return this.$$js$exported$meth$withOAuth1Settings__O()
  };
  "withDefaultSettings"() {
    return this.$$js$exported$meth$withDefaultSettings__O()
  };
  "withSettings"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSettings__Lamf_model_domain_Settings__O(prep0)
  };
  "withScheme"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScheme__Lamf_model_domain_SecurityScheme__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "settings"() {
    return this.$$js$exported$prop$settings__O()
  };
  get "scheme"() {
    return this.$$js$exported$prop$scheme__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_ParametrizedSecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ParametrizedSecurityScheme)))
});
const $isArrayOf_Lamf_model_domain_ParametrizedSecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ParametrizedSecurityScheme)))
});
const $d_Lamf_model_domain_ParametrizedSecurityScheme = new $TypeData().initClass({
  Lamf_model_domain_ParametrizedSecurityScheme: 0
}, false, "amf.model.domain.ParametrizedSecurityScheme", {
  Lamf_model_domain_ParametrizedSecurityScheme: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ParametrizedSecurityScheme.prototype.$classData = $d_Lamf_model_domain_ParametrizedSecurityScheme;
class $c_Lamf_model_domain_Payload extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.payload$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Payload.prototype.init___Lamf_plugins_domain_webapi_models_Payload.call(this, new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withScalarSchema__T__O(name) {
    return this.withScalarSchema__T__Lamf_model_domain_ScalarShape(name)
  };
  withScalarSchema__T__Lamf_model_domain_ScalarShape(name) {
    return new $c_Lamf_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape(this.payload$3.withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name))
  };
  productPrefix__T() {
    return "Payload"
  };
  $$js$exported$meth$withObjectSchema__T__O(name) {
    return this.withObjectSchema__T__Lamf_model_domain_NodeShape(name)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Payload(x$1)) {
      const Payload$1 = x$1;
      const x = this.payload$3;
      const x$2 = Payload$1.payload$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$schema__O() {
    return this.schema__Lamf_model_domain_Shape()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withMediaType__T__Lamf_model_domain_Payload(mediaType) {
    const this$1 = this.payload$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mediaType);
    return this
  };
  init___Lamf_plugins_domain_webapi_models_Payload(payload) {
    this.payload$3 = payload;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withObjectSchema__T__Lamf_model_domain_NodeShape(name) {
    return new $c_Lamf_model_domain_NodeShape().init___Lamf_plugins_domain_shapes_models_NodeShape(this.payload$3.withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name))
  };
  $$js$exported$meth$withMediaType__T__O(mediaType) {
    return this.withMediaType__T__Lamf_model_domain_Payload(mediaType)
  };
  $$js$exported$prop$mediaType__O() {
    const this$1 = this.payload$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.payload$3
  };
  schema__Lamf_model_domain_Shape() {
    const this$2 = $m_Lamf_model_domain_Shape$();
    const this$1 = this.payload$3;
    const shape = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
    const this$3 = this$2.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$3, shape)
  };
  "withScalarSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScalarSchema__T__O(prep0)
  };
  "withObjectSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withObjectSchema__T__O(prep0)
  };
  "withMediaType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMediaType__T__O(prep0)
  };
  get "schema"() {
    return this.$$js$exported$prop$schema__O()
  };
  get "mediaType"() {
    return this.$$js$exported$prop$mediaType__O()
  };
}
const $is_Lamf_model_domain_Payload = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Payload)))
});
const $isArrayOf_Lamf_model_domain_Payload = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Payload)))
});
const $d_Lamf_model_domain_Payload = new $TypeData().initClass({
  Lamf_model_domain_Payload: 0
}, false, "amf.model.domain.Payload", {
  Lamf_model_domain_Payload: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Payload.prototype.$classData = $d_Lamf_model_domain_Payload;
class $c_Lamf_model_domain_PropertyDependencies extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.property$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_PropertyDependencies.prototype.init___Lamf_plugins_domain_shapes_models_PropertyDependencies.call(this, new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___Lamf_plugins_domain_shapes_models_PropertyDependencies(property) {
    this.property$3 = property;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  productPrefix__T() {
    return "PropertyDependencies"
  };
  withPropertyTarget__sjs_js_Iterable__Lamf_model_domain_PropertyDependencies(propertyTarget) {
    const this$5 = this.property$3;
    const __self = propertyTarget[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const propertyTarget$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, propertyTarget$1);
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_PropertyDependencies(x$1)) {
      const PropertyDependencies$1 = x$1;
      const x = this.property$3;
      const x$2 = PropertyDependencies$1.property$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withPropertySource__T__O(propertySource) {
    return this.withPropertySource__T__Lamf_model_domain_PropertyDependencies(propertySource)
  };
  $$js$exported$prop$propertyTarget__O() {
    return this.propertyTarget__sjs_js_Iterable()
  };
  withPropertySource__T__Lamf_model_domain_PropertyDependencies(propertySource) {
    const this$1 = this.property$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, propertySource);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withPropertyTarget__sjs_js_Iterable__O(propertyTarget) {
    return this.withPropertyTarget__sjs_js_Iterable__Lamf_model_domain_PropertyDependencies(propertyTarget)
  };
  propertyTarget__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.property$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1));
    const col = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$propertySource__O() {
    const this$1 = this.property$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.property$3
  };
  "withPropertyTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPropertyTarget__sjs_js_Iterable__O(prep0)
  };
  "withPropertySource"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPropertySource__T__O(prep0)
  };
  get "propertyTarget"() {
    return this.$$js$exported$prop$propertyTarget__O()
  };
  get "propertySource"() {
    return this.$$js$exported$prop$propertySource__O()
  };
}
const $is_Lamf_model_domain_PropertyDependencies = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_PropertyDependencies)))
});
const $isArrayOf_Lamf_model_domain_PropertyDependencies = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_PropertyDependencies)))
});
const $d_Lamf_model_domain_PropertyDependencies = new $TypeData().initClass({
  Lamf_model_domain_PropertyDependencies: 0
}, false, "amf.model.domain.PropertyDependencies", {
  Lamf_model_domain_PropertyDependencies: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_PropertyDependencies.prototype.$classData = $d_Lamf_model_domain_PropertyDependencies;
class $c_Lamf_model_domain_PropertyShape extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.propertyShape$3 = null
  };
  withMaxCount__I__Lamf_model_domain_PropertyShape(max) {
    const this$1 = this.propertyShape$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  productPrefix__T() {
    return "PropertyShape"
  };
  $$js$exported$meth$withMaxCount__I__O(max) {
    return this.withMaxCount__I__Lamf_model_domain_PropertyShape(max)
  };
  $$js$exported$meth$withPath__T__O(path) {
    return this.withPath__T__Lamf_model_domain_PropertyShape(path)
  };
  productArity__I() {
    return 1
  };
  withPath__T__Lamf_model_domain_PropertyShape(path) {
    const this$1 = this.propertyShape$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, path);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_PropertyShape(x$1)) {
      const PropertyShape$1 = x$1;
      const x = this.propertyShape$3;
      const x$2 = PropertyShape$1.propertyShape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.propertyShape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$element__O() {
    return this.propertyShape$3
  };
  range__Lamf_model_domain_Shape() {
    const this$2 = this.platform$2;
    const this$1 = this.propertyShape$3;
    const entity = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, entity)
  };
  $$js$exported$prop$range__O() {
    return this.range__Lamf_model_domain_Shape()
  };
  withRange__Lamf_model_domain_Shape__Lamf_model_domain_PropertyShape(range) {
    const this$1 = this.propertyShape$3;
    const range$1 = range.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, range$1);
    return this
  };
  $$js$exported$prop$maxCount__O() {
    const this$1 = this.propertyShape$3;
    return (this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1) | 0)
  };
  $$js$exported$meth$withRange__Lamf_model_domain_Shape__O(range) {
    return this.withRange__Lamf_model_domain_Shape__Lamf_model_domain_PropertyShape(range)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withMinCount__I__O(min) {
    return this.withMinCount__I__Lamf_model_domain_PropertyShape(min)
  };
  $$js$exported$prop$path__O() {
    const this$1 = this.propertyShape$3;
    return this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$minCount__O() {
    const this$1 = this.propertyShape$3;
    return (this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1) | 0)
  };
  withMinCount__I__Lamf_model_domain_PropertyShape(min) {
    const this$1 = this.propertyShape$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  init___Lamf_core_model_domain_extensions_PropertyShape(propertyShape) {
    this.propertyShape$3 = propertyShape;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.propertyShape$3
  };
  get "element"() {
    return this.$$js$exported$prop$element__O()
  };
  "withMaxCount"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxCount__I__O(prep0)
  };
  "withMinCount"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinCount__I__O(prep0)
  };
  "withRange"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRange__Lamf_model_domain_Shape__O(prep0)
  };
  "withPath"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPath__T__O(prep0)
  };
  get "maxCount"() {
    return this.$$js$exported$prop$maxCount__O()
  };
  get "minCount"() {
    return this.$$js$exported$prop$minCount__O()
  };
  get "range"() {
    return this.$$js$exported$prop$range__O()
  };
  get "path"() {
    return this.$$js$exported$prop$path__O()
  };
}
const $is_Lamf_model_domain_PropertyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_PropertyShape)))
});
const $isArrayOf_Lamf_model_domain_PropertyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_PropertyShape)))
});
const $d_Lamf_model_domain_PropertyShape = new $TypeData().initClass({
  Lamf_model_domain_PropertyShape: 0
}, false, "amf.model.domain.PropertyShape", {
  Lamf_model_domain_PropertyShape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_PropertyShape.prototype.$classData = $d_Lamf_model_domain_PropertyShape;
class $c_Lamf_model_domain_Request extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$Request$$request$3 = null
  };
  $$js$exported$meth$withHeader__T__O(name) {
    return this.withHeader__T__Lamf_model_domain_Parameter(name)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Request.prototype.init___Lamf_plugins_domain_webapi_models_Request.call(this, new $c_Lamf_plugins_domain_webapi_models_Request().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Request"
  };
  $$js$exported$meth$withPayload__O() {
    return this.withPayload__Lamf_model_domain_Payload()
  };
  withHeaders__sjs_js_Iterable__Lamf_model_domain_Request(headers) {
    const this$6 = this.amf$model$domain$Request$$request$3;
    const __self = headers[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.amf$model$domain$Parameter$$parameter$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const headers$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, headers$1);
    return this
  };
  $$js$exported$meth$withQueryString__Lamf_model_domain_Shape__O(queryString) {
    return this.withQueryString__Lamf_model_domain_Shape__Lamf_model_domain_Request(queryString)
  };
  productArity__I() {
    return 1
  };
  withQueryString__Lamf_model_domain_Shape__Lamf_model_domain_Request(queryString) {
    const this$1 = this.amf$model$domain$Request$$request$3;
    const queryString$1 = queryString.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, queryString$1);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Request(x$1)) {
      const Request$1 = x$1;
      const x = this.amf$model$domain$Request$$request$3;
      const x$2 = Request$1.amf$model$domain$Request$$request$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$payloads__O() {
    return this.payloads__sjs_js_Iterable()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$Request$$request$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withHeaders__sjs_js_Iterable__O(headers) {
    return this.withHeaders__sjs_js_Iterable__Lamf_model_domain_Request(headers)
  };
  $$js$exported$meth$withQueryParameter__T__O(name) {
    return this.withQueryParameter__T__Lamf_model_domain_Parameter(name)
  };
  withPayload__T__Lamf_model_domain_Payload(mediaType) {
    const payload = this.amf$model$domain$Request$$request$3.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(new $c_s_Some().init___O(mediaType));
    return new $c_Lamf_model_domain_Payload().init___Lamf_plugins_domain_webapi_models_Payload(payload)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Request(request) {
    this.amf$model$domain$Request$$request$3 = request;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withQueryParameters__sjs_js_Iterable__Lamf_model_domain_Request(parameters) {
    const this$6 = this.amf$model$domain$Request$$request$3;
    const __self = parameters[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.amf$model$domain$Parameter$$parameter$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const parameters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, parameters$1);
    return this
  };
  withPayload__Lamf_model_domain_Payload() {
    const payload = this.amf$model$domain$Request$$request$3.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
    return new $c_Lamf_model_domain_Payload().init___Lamf_plugins_domain_webapi_models_Payload(payload)
  };
  withPayloads__sjs_js_Iterable__Lamf_model_domain_Request(payloads) {
    const this$6 = this.amf$model$domain$Request$$request$3;
    const __self = payloads[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.payload$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const payloads$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, payloads$1);
    return this
  };
  $$js$exported$prop$queryParameters__O() {
    return this.queryParameters__sjs_js_Iterable()
  };
  $$js$exported$meth$withQueryParameters__sjs_js_Iterable__O(parameters) {
    return this.withQueryParameters__sjs_js_Iterable__Lamf_model_domain_Request(parameters)
  };
  headers__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Request$$request$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Parameter$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$prop$headers__O() {
    return this.headers__sjs_js_Iterable()
  };
  $$js$exported$meth$withPayload__T__O(mediaType) {
    return this.withPayload__T__Lamf_model_domain_Payload(mediaType)
  };
  $$js$exported$meth$withPayloads__sjs_js_Iterable__O(payloads) {
    return this.withPayloads__sjs_js_Iterable__Lamf_model_domain_Request(payloads)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$queryString__O() {
    return this.queryString__Lamf_model_domain_Shape()
  };
  withQueryParameter__T__Lamf_model_domain_Parameter(name) {
    const parameter = this.amf$model$domain$Request$$request$3.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  queryParameters__sjs_js_Iterable() {
    const this$1 = this.amf$model$domain$Request$$request$3;
    const jsx$2 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1);
    const jsx$1 = $m_Lamf_model_domain_Parameter$();
    const this$2 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  withHeader__T__Lamf_model_domain_Parameter(name) {
    const parameter = this.amf$model$domain$Request$$request$3.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  payloads__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Request$$request$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Payload$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  queryString__Lamf_model_domain_Shape() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Request$$request$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1));
    let this$5;
    if (this$2.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$1 = arg1;
      const this$3 = $m_Lamf_model_domain_Shape$();
      const this$4 = this$3.platform$1;
      this$5 = new $c_s_Some().init___O($f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$4, x$1))
    };
    return (this$5.isEmpty__Z() ? null : this$5.get__O())
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$Request$$request$3
  };
  "withQueryString"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryString__Lamf_model_domain_Shape__O(prep0)
  };
  "withPayload"(...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        return this.$$js$exported$meth$withPayload__O();
        break
      }
      case 1: {
        const prep0 = arg$rest[0];
        return this.$$js$exported$meth$withPayload__T__O(prep0);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "withHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeader__T__O(prep0)
  };
  "withQueryParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameter__T__O(prep0)
  };
  "withPayloads"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayloads__sjs_js_Iterable__O(prep0)
  };
  "withHeaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeaders__sjs_js_Iterable__O(prep0)
  };
  "withQueryParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameters__sjs_js_Iterable__O(prep0)
  };
  get "queryString"() {
    return this.$$js$exported$prop$queryString__O()
  };
  get "payloads"() {
    return this.$$js$exported$prop$payloads__O()
  };
  get "headers"() {
    return this.$$js$exported$prop$headers__O()
  };
  get "queryParameters"() {
    return this.$$js$exported$prop$queryParameters__O()
  };
}
const $is_Lamf_model_domain_Request = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Request)))
});
const $isArrayOf_Lamf_model_domain_Request = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Request)))
});
const $d_Lamf_model_domain_Request = new $TypeData().initClass({
  Lamf_model_domain_Request: 0
}, false, "amf.model.domain.Request", {
  Lamf_model_domain_Request: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Request.prototype.$classData = $d_Lamf_model_domain_Request;
class $c_Lamf_model_domain_Response extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$Response$$response$3 = null
  };
  $$js$exported$meth$withHeader__T__O(name) {
    return this.withHeader__T__Lamf_model_domain_Parameter(name)
  };
  examples__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Response$$response$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Example$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  productPrefix__T() {
    return "Response"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Response.prototype.init___Lamf_plugins_domain_webapi_models_Response.call(this, new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withPayload__O() {
    return this.withPayload__Lamf_model_domain_Payload()
  };
  init___Lamf_plugins_domain_webapi_models_Response(response) {
    this.amf$model$domain$Response$$response$3 = response;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.amf$model$domain$Response$$response$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1)
  };
  $$js$exported$prop$examples__O() {
    return this.examples__sjs_js_Iterable()
  };
  $$js$exported$meth$withExamples__sjs_js_Iterable__O(examples) {
    return this.withExamples__sjs_js_Iterable__Lamf_model_domain_Response(examples)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Response(x$1)) {
      const Response$1 = x$1;
      const x = this.amf$model$domain$Response$$response$3;
      const x$2 = Response$1.amf$model$domain$Response$$response$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$Response$$response$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$payloads__O() {
    return this.payloads__sjs_js_Iterable()
  };
  $$js$exported$meth$withHeaders__sjs_js_Iterable__O(headers) {
    return this.withHeaders__sjs_js_Iterable__Lamf_model_domain_Response(headers)
  };
  withPayload__T__Lamf_model_domain_Payload(mediaType) {
    const payload = this.amf$model$domain$Response$$response$3.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(new $c_s_Some().init___O(mediaType));
    return new $c_Lamf_model_domain_Payload().init___Lamf_plugins_domain_webapi_models_Payload(payload)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withStatusCode__T__Lamf_model_domain_Response(statusCode) {
    const this$1 = this.amf$model$domain$Response$$response$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, statusCode);
    return this
  };
  withPayloads__sjs_js_Iterable__Lamf_model_domain_Response(payloads) {
    const this$6 = this.amf$model$domain$Response$$response$3;
    const __self = payloads[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.payload$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const payloads$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, payloads$1);
    return this
  };
  withPayload__Lamf_model_domain_Payload() {
    const payload = this.amf$model$domain$Response$$response$3.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
    return new $c_Lamf_model_domain_Payload().init___Lamf_plugins_domain_webapi_models_Payload(payload)
  };
  $$js$exported$meth$withStatusCode__T__O(statusCode) {
    return this.withStatusCode__T__Lamf_model_domain_Response(statusCode)
  };
  headers__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Response$$response$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Parameter$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  $$js$exported$prop$headers__O() {
    return this.headers__sjs_js_Iterable()
  };
  withHeaders__sjs_js_Iterable__Lamf_model_domain_Response(headers) {
    const this$6 = this.amf$model$domain$Response$$response$3;
    const __self = headers[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.amf$model$domain$Parameter$$parameter$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const headers$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, headers$1);
    return this
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_Response(description)
  };
  withExamples__sjs_js_Iterable__Lamf_model_domain_Response(examples) {
    const this$6 = this.amf$model$domain$Response$$response$3;
    const __self = examples[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.amf$model$domain$Example$$example$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const examples$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, examples$1);
    return this
  };
  $$js$exported$meth$withPayload__T__O(mediaType) {
    return this.withPayload__T__Lamf_model_domain_Payload(mediaType)
  };
  $$js$exported$meth$withPayloads__sjs_js_Iterable__O(payloads) {
    return this.withPayloads__sjs_js_Iterable__Lamf_model_domain_Response(payloads)
  };
  $$js$exported$prop$statusCode__O() {
    const this$1 = this.amf$model$domain$Response$$response$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1)
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.amf$model$domain$Response$$response$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_Response(name)
  };
  withHeader__T__Lamf_model_domain_Parameter(name) {
    const parameter = this.amf$model$domain$Response$$response$3.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  payloads__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$Response$$response$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Payload$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  withName__T__Lamf_model_domain_Response(name) {
    const this$1 = this.amf$model$domain$Response$$response$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withDescription__T__Lamf_model_domain_Response(description) {
    const this$1 = this.amf$model$domain$Response$$response$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$Response$$response$3
  };
  "withPayload"(...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$rest[0];
        return this.$$js$exported$meth$withPayload__T__O(prep0);
        break
      }
      case 0: {
        return this.$$js$exported$meth$withPayload__O();
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "withHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeader__T__O(prep0)
  };
  "withExamples"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExamples__sjs_js_Iterable__O(prep0)
  };
  "withPayloads"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayloads__sjs_js_Iterable__O(prep0)
  };
  "withHeaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeaders__sjs_js_Iterable__O(prep0)
  };
  "withStatusCode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withStatusCode__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "examples"() {
    return this.$$js$exported$prop$examples__O()
  };
  get "payloads"() {
    return this.$$js$exported$prop$payloads__O()
  };
  get "headers"() {
    return this.$$js$exported$prop$headers__O()
  };
  get "statusCode"() {
    return this.$$js$exported$prop$statusCode__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_Response = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Response)))
});
const $isArrayOf_Lamf_model_domain_Response = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Response)))
});
const $d_Lamf_model_domain_Response = new $TypeData().initClass({
  Lamf_model_domain_Response: 0
}, false, "amf.model.domain.Response", {
  Lamf_model_domain_Response: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Response.prototype.$classData = $d_Lamf_model_domain_Response;
class $c_Lamf_model_domain_Scope extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.scope$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Scope.prototype.init___Lamf_plugins_domain_webapi_models_security_Scope.call(this, new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Scope"
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.scope$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Scope(x$1)) {
      const Scope$1 = x$1;
      const x = this.scope$3;
      const x$2 = Scope$1.scope$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scope$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withName__T__Lamf_model_domain_Scope(name) {
    const this$1 = this.scope$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withDescription__T__Lamf_model_domain_Scope(description) {
    const this$1 = this.scope$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_Scope(description)
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.scope$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_webapi_models_security_Scope(scope) {
    this.scope$3 = scope;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_Scope(name)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.scope$3
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_Scope = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Scope)))
});
const $isArrayOf_Lamf_model_domain_Scope = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Scope)))
});
const $d_Lamf_model_domain_Scope = new $TypeData().initClass({
  Lamf_model_domain_Scope: 0
}, false, "amf.model.domain.Scope", {
  Lamf_model_domain_Scope: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Scope.prototype.$classData = $d_Lamf_model_domain_Scope;
class $c_Lamf_model_domain_VariableValue extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.variable$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_VariableValue.prototype.init___Lamf_core_model_domain_templates_VariableValue.call(this, new $c_Lamf_core_model_domain_templates_VariableValue().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "VariableValue"
  };
  $$js$exported$meth$withValue__Lamf_model_domain_DataNode__O(value) {
    return this.withValue__Lamf_model_domain_DataNode__Lamf_model_domain_VariableValue(value)
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.variable$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_VariableValue(x$1)) {
      const VariableValue$1 = x$1;
      const x = this.variable$3;
      const x$2 = VariableValue$1.variable$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.variable$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_VariableValue(variable) {
    this.variable$3 = variable;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$element__O() {
    return this.variable$3
  };
  withName__T__Lamf_model_domain_VariableValue(name) {
    const this$1 = this.variable$3;
    const field = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$value__O() {
    return this.value__Lamf_model_domain_DataNode()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_VariableValue(name)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.variable$3
  };
  value__Lamf_model_domain_DataNode() {
    const this$2 = this.platform$2;
    const this$1 = this.variable$3;
    const entity = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1);
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, entity)
  };
  withValue__Lamf_model_domain_DataNode__Lamf_model_domain_VariableValue(value) {
    const this$1 = this.variable$3;
    const value$1 = value.dataNode$3;
    const field = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, value$1);
    return this
  };
  get "element"() {
    return this.$$js$exported$prop$element__O()
  };
  "withValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValue__Lamf_model_domain_DataNode__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_VariableValue = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_VariableValue)))
});
const $isArrayOf_Lamf_model_domain_VariableValue = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_VariableValue)))
});
const $d_Lamf_model_domain_VariableValue = new $TypeData().initClass({
  Lamf_model_domain_VariableValue: 0
}, false, "amf.model.domain.VariableValue", {
  Lamf_model_domain_VariableValue: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_VariableValue.prototype.$classData = $d_Lamf_model_domain_VariableValue;
class $c_Lamf_model_domain_WebApi extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.webApi$3 = null
  };
  license__Lamf_model_domain_License() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.webApi$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1));
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const v1 = this$2.get__O();
      const license = v1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_model_domain_License().init___Lamf_plugins_domain_webapi_models_License(license))
    };
    return (this$3.isEmpty__Z() ? null : this$3.get__O())
  };
  withHost__T__Lamf_model_domain_WebApi(host) {
    const this$1 = this.webApi$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Host$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, host);
    return this
  };
  $$js$exported$meth$withBaseUriParameters__sjs_js_Iterable__O(parameters) {
    return this.withBaseUriParameters__sjs_js_Iterable__Lamf_model_domain_WebApi(parameters)
  };
  withBaseUriParameters__sjs_js_Iterable__Lamf_model_domain_WebApi(parameters) {
    const this$6 = this.webApi$3;
    const __self = parameters[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.amf$model$domain$Parameter$$parameter$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const parameters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, parameters$1);
    return this
  };
  productPrefix__T() {
    return "WebApi"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_WebApi.prototype.init___Lamf_plugins_domain_webapi_models_WebApi.call(this, new $c_Lamf_plugins_domain_webapi_models_WebApi().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$accepts__O() {
    return this.accepts__sjs_js_Iterable()
  };
  $$js$exported$meth$withBasePath__T__O(path) {
    return this.withBasePath__T__Lamf_model_domain_WebApi(path)
  };
  withAccepts__sjs_js_Iterable__Lamf_model_domain_WebApi(accepts) {
    const this$5 = this.webApi$3;
    const __self = accepts[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const accepts$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, accepts$1);
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.webApi$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1)
  };
  withLicense__Lamf_model_domain_License__Lamf_model_domain_WebApi(license) {
    const this$1 = this.webApi$3;
    const license$1 = license.license$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, license$1);
    return this
  };
  withDescription__T__Lamf_model_domain_WebApi(description) {
    const this$1 = this.webApi$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  accepts__sjs_js_Iterable() {
    const this$1 = this.webApi$3;
    const col = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_WebApi(x$1)) {
      const WebApi$1 = x$1;
      const x = this.webApi$3;
      const x$2 = WebApi$1.webApi$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$contentType__O() {
    return this.contentType__sjs_js_Iterable()
  };
  endPoints__sjs_js_Iterable() {
    const this$1 = this.webApi$3;
    const jsx$2 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    const jsx$1 = $m_Lamf_model_domain_EndPoint$();
    const this$2 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  withDocumentation__sjs_js_Iterable__Lamf_model_domain_WebApi(documentations) {
    const this$6 = this.webApi$3;
    const __self = documentations[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.amf$model$domain$CreativeWork$$creativeWork$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const documentations$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, documentations$1);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.webApi$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$baseUriParameters__O() {
    return this.baseUriParameters__sjs_js_Iterable()
  };
  withEndPoint__T__Lamf_model_domain_EndPoint(path) {
    const endPoint = this.webApi$3.withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path);
    return new $c_Lamf_model_domain_EndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(endPoint)
  };
  init___Lamf_plugins_domain_webapi_models_WebApi(webApi) {
    this.webApi$3 = webApi;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  withName__T__Lamf_model_domain_WebApi(name) {
    const this$1 = this.webApi$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withVersion__T__Lamf_model_domain_WebApi(version) {
    const this$1 = this.webApi$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, version);
    return this
  };
  $$js$exported$meth$withSecurity__sjs_js_Iterable__O(security) {
    return this.withSecurity__sjs_js_Iterable__Lamf_model_domain_WebApi(security)
  };
  withSchemes__sjs_js_Iterable__Lamf_model_domain_WebApi(schemes) {
    const this$5 = this.webApi$3;
    const __self = schemes[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const schemes$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, schemes$1);
    return this
  };
  withContentType__sjs_js_Iterable__Lamf_model_domain_WebApi(contentType) {
    const this$5 = this.webApi$3;
    const __self = contentType[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const contentType$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, contentType$1);
    return this
  };
  $$js$exported$meth$withProvider__Lamf_model_domain_Organization__O(provider) {
    return this.withProvider__Lamf_model_domain_Organization__Lamf_model_domain_WebApi(provider)
  };
  $$js$exported$prop$version__O() {
    const this$1 = this.webApi$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1)
  };
  $$js$exported$prop$termsOfService__O() {
    const this$1 = this.webApi$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1)
  };
  baseUriParameters__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.webApi$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Parameter$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  withProvider__Lamf_model_domain_Organization__Lamf_model_domain_WebApi(provider) {
    const this$1 = this.webApi$3;
    const provider$1 = provider.organization$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, provider$1);
    return this
  };
  $$js$exported$meth$withBaseUriParameter__T__O(name) {
    return this.withBaseUriParameter__T__Lamf_model_domain_Parameter(name)
  };
  contentType__sjs_js_Iterable() {
    const this$1 = this.webApi$3;
    const col = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  withBaseUriParameter__T__Lamf_model_domain_Parameter(name) {
    const parameter = this.webApi$3.withBaseUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  withDocumentationTitle__T__Lamf_model_domain_CreativeWork(title) {
    const creativeWork = this.webApi$3.withDocumentationTitle__T__Lamf_plugins_domain_shapes_models_CreativeWork(title);
    return new $c_Lamf_model_domain_CreativeWork().init___Lamf_plugins_domain_shapes_models_CreativeWork(creativeWork)
  };
  provider__Lamf_model_domain_Organization() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.webApi$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1));
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const v1 = this$2.get__O();
      const organization = v1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_model_domain_Organization().init___Lamf_plugins_domain_webapi_models_Organization(organization))
    };
    return (this$3.isEmpty__Z() ? null : this$3.get__O())
  };
  $$js$exported$prop$basePath__O() {
    const this$1 = this.webApi$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1)
  };
  $$js$exported$prop$host__O() {
    const this$1 = this.webApi$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Host$1)
  };
  $$js$exported$prop$license__O() {
    return this.license__Lamf_model_domain_License()
  };
  security__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.webApi$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_ParametrizedSecurityScheme$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  schemes__sjs_js_Iterable() {
    const this$1 = this.webApi$3;
    const col = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  withSecurity__sjs_js_Iterable__Lamf_model_domain_WebApi(security) {
    const this$6 = this.webApi$3;
    const __self = security[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.amf$model$domain$ParametrizedSecurityScheme$$s$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const security$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, security$1);
    return this
  };
  $$js$exported$prop$schemes__O() {
    return this.schemes__sjs_js_Iterable()
  };
  withTermsOfService__T__Lamf_model_domain_WebApi(terms) {
    const this$1 = this.webApi$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, terms);
    return this
  };
  $$js$exported$meth$withLicense__Lamf_model_domain_License__O(license) {
    return this.withLicense__Lamf_model_domain_License__Lamf_model_domain_WebApi(license)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_WebApi(description)
  };
  $$js$exported$meth$withVersion__T__O(version) {
    return this.withVersion__T__Lamf_model_domain_WebApi(version)
  };
  $$js$exported$meth$withAccepts__sjs_js_Iterable__O(accepts) {
    return this.withAccepts__sjs_js_Iterable__Lamf_model_domain_WebApi(accepts)
  };
  withBasePath__T__Lamf_model_domain_WebApi(path) {
    const this$1 = this.webApi$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, path);
    return this
  };
  $$js$exported$prop$security__O() {
    return this.security__sjs_js_Iterable()
  };
  documentations__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.webApi$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_CreativeWork$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  withDocumentationUrl__T__Lamf_model_domain_CreativeWork(url) {
    const creativeWork = this.webApi$3.withDocumentationUrl__T__Lamf_plugins_domain_shapes_models_CreativeWork(url);
    return new $c_Lamf_model_domain_CreativeWork().init___Lamf_plugins_domain_shapes_models_CreativeWork(creativeWork)
  };
  $$js$exported$meth$withDocumentationTitle__T__O(title) {
    return this.withDocumentationTitle__T__Lamf_model_domain_CreativeWork(title)
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.webApi$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withContentType__sjs_js_Iterable__O(contentType) {
    return this.withContentType__sjs_js_Iterable__Lamf_model_domain_WebApi(contentType)
  };
  $$js$exported$meth$withTermsOfService__T__O(terms) {
    return this.withTermsOfService__T__Lamf_model_domain_WebApi(terms)
  };
  $$js$exported$meth$withEndPoint__T__O(path) {
    return this.withEndPoint__T__Lamf_model_domain_EndPoint(path)
  };
  $$js$exported$meth$withEndPoints__sjs_js_Iterable__O(endPoints) {
    return this.withEndPoints__sjs_js_Iterable__Lamf_model_domain_WebApi(endPoints)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withHost__T__O(host) {
    return this.withHost__T__Lamf_model_domain_WebApi(host)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_WebApi(name)
  };
  $$js$exported$meth$withSchemes__sjs_js_Iterable__O(schemes) {
    return this.withSchemes__sjs_js_Iterable__Lamf_model_domain_WebApi(schemes)
  };
  $$js$exported$prop$sourceVendor__O() {
    return this.webApi$3.sourceVendor__s_Option()
  };
  $$js$exported$prop$endPoints__O() {
    return this.endPoints__sjs_js_Iterable()
  };
  $$js$exported$prop$provider__O() {
    return this.provider__Lamf_model_domain_Organization()
  };
  $$js$exported$prop$documentations__O() {
    return this.documentations__sjs_js_Iterable()
  };
  $$js$exported$meth$withDocumentationUrl__T__O(url) {
    return this.withDocumentationUrl__T__Lamf_model_domain_CreativeWork(url)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.webApi$3
  };
  $$js$exported$meth$withDocumentation__sjs_js_Iterable__O(documentations) {
    return this.withDocumentation__sjs_js_Iterable__Lamf_model_domain_WebApi(documentations)
  };
  withEndPoints__sjs_js_Iterable__Lamf_model_domain_WebApi(endPoints) {
    const this$6 = this.webApi$3;
    const __self = endPoints[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.endPoint$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const endPoints$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, endPoints$1);
    return this
  };
  get "sourceVendor"() {
    return this.$$js$exported$prop$sourceVendor__O()
  };
  "withBaseUriParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBaseUriParameter__T__O(prep0)
  };
  "withEndPoint"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEndPoint__T__O(prep0)
  };
  "withBaseUriParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBaseUriParameters__sjs_js_Iterable__O(prep0)
  };
  "withDocumentationUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentationUrl__T__O(prep0)
  };
  "withDocumentationTitle"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentationTitle__T__O(prep0)
  };
  "withSecurity"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSecurity__sjs_js_Iterable__O(prep0)
  };
  "withDocumentation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentation__sjs_js_Iterable__O(prep0)
  };
  "withLicense"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLicense__Lamf_model_domain_License__O(prep0)
  };
  "withProvider"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProvider__Lamf_model_domain_Organization__O(prep0)
  };
  "withTermsOfService"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTermsOfService__T__O(prep0)
  };
  "withVersion"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVersion__T__O(prep0)
  };
  "withContentType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withContentType__sjs_js_Iterable__O(prep0)
  };
  "withAccepts"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAccepts__sjs_js_Iterable__O(prep0)
  };
  "withBasePath"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBasePath__T__O(prep0)
  };
  "withEndPoints"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEndPoints__sjs_js_Iterable__O(prep0)
  };
  "withSchemes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchemes__sjs_js_Iterable__O(prep0)
  };
  "withHost"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHost__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "security"() {
    return this.$$js$exported$prop$security__O()
  };
  get "baseUriParameters"() {
    return this.$$js$exported$prop$baseUriParameters__O()
  };
  get "documentations"() {
    return this.$$js$exported$prop$documentations__O()
  };
  get "license"() {
    return this.$$js$exported$prop$license__O()
  };
  get "provider"() {
    return this.$$js$exported$prop$provider__O()
  };
  get "termsOfService"() {
    return this.$$js$exported$prop$termsOfService__O()
  };
  get "version"() {
    return this.$$js$exported$prop$version__O()
  };
  get "contentType"() {
    return this.$$js$exported$prop$contentType__O()
  };
  get "accepts"() {
    return this.$$js$exported$prop$accepts__O()
  };
  get "basePath"() {
    return this.$$js$exported$prop$basePath__O()
  };
  get "endPoints"() {
    return this.$$js$exported$prop$endPoints__O()
  };
  get "schemes"() {
    return this.$$js$exported$prop$schemes__O()
  };
  get "host"() {
    return this.$$js$exported$prop$host__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_WebApi = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_WebApi)))
});
const $isArrayOf_Lamf_model_domain_WebApi = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_WebApi)))
});
const $d_Lamf_model_domain_WebApi = new $TypeData().initClass({
  Lamf_model_domain_WebApi: 0
}, false, "amf.model.domain.WebApi", {
  Lamf_model_domain_WebApi: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_WebApi.prototype.$classData = $d_Lamf_model_domain_WebApi;
class $c_Lamf_model_domain_XMLSerializer extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.xmlSerializer$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_XMLSerializer.prototype.init___Lamf_plugins_domain_shapes_models_XMLSerializer.call(this, new $c_Lamf_plugins_domain_shapes_models_XMLSerializer().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "XMLSerializer"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withPrefix__T__O(prefix) {
    return this.withPrefix__T__Lamf_model_domain_XMLSerializer(prefix)
  };
  withWrapped__Z__Lamf_model_domain_XMLSerializer(wrapped) {
    const this$1 = this.xmlSerializer$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, wrapped);
    return this
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.xmlSerializer$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1)
  };
  $$js$exported$meth$withNamespace__T__O(namespace) {
    return this.withNamespace__T__Lamf_model_domain_XMLSerializer(namespace)
  };
  withAttribute__Z__Lamf_model_domain_XMLSerializer(attribute) {
    const this$1 = this.xmlSerializer$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, attribute);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_XMLSerializer(x$1)) {
      const XMLSerializer$1 = x$1;
      const x = this.xmlSerializer$3;
      const x$2 = XMLSerializer$1.xmlSerializer$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$namespace__O() {
    const this$1 = this.xmlSerializer$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.xmlSerializer$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$prefix__O() {
    const this$1 = this.xmlSerializer$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1)
  };
  $$js$exported$prop$wrapped__O() {
    const this$1 = this.xmlSerializer$3;
    return (!(!this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1)))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_XMLSerializer(xmlSerializer) {
    this.xmlSerializer$3 = xmlSerializer;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$attribute__O() {
    const this$1 = this.xmlSerializer$3;
    return (!(!this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1)))
  };
  $$js$exported$meth$withWrapped__Z__O(wrapped) {
    return this.withWrapped__Z__Lamf_model_domain_XMLSerializer(wrapped)
  };
  $$js$exported$meth$withAttribute__Z__O(attribute) {
    return this.withAttribute__Z__Lamf_model_domain_XMLSerializer(attribute)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withName__T__Lamf_model_domain_XMLSerializer(name) {
    const this$1 = this.xmlSerializer$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_XMLSerializer(name)
  };
  withPrefix__T__Lamf_model_domain_XMLSerializer(prefix) {
    const this$1 = this.xmlSerializer$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, prefix);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.xmlSerializer$3
  };
  withNamespace__T__Lamf_model_domain_XMLSerializer(namespace) {
    const this$1 = this.xmlSerializer$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, namespace);
    return this
  };
  "withPrefix"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPrefix__T__O(prep0)
  };
  "withNamespace"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withNamespace__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withWrapped"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withWrapped__Z__O(prep0)
  };
  "withAttribute"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withAttribute__Z__O(prep0)
  };
  get "prefix"() {
    return this.$$js$exported$prop$prefix__O()
  };
  get "namespace"() {
    return this.$$js$exported$prop$namespace__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "wrapped"() {
    return this.$$js$exported$prop$wrapped__O()
  };
  get "attribute"() {
    return this.$$js$exported$prop$attribute__O()
  };
}
const $is_Lamf_model_domain_XMLSerializer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_XMLSerializer)))
});
const $isArrayOf_Lamf_model_domain_XMLSerializer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_XMLSerializer)))
});
const $d_Lamf_model_domain_XMLSerializer = new $TypeData().initClass({
  Lamf_model_domain_XMLSerializer: 0
}, false, "amf.model.domain.XMLSerializer", {
  Lamf_model_domain_XMLSerializer: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_XMLSerializer.prototype.$classData = $d_Lamf_model_domain_XMLSerializer;
class $c_Lamf_plugins_document_webapi_OAS20Plugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.vendors$2 = null;
    this.validationProfile$2 = null;
    this.platform$2 = null;
    this.aggregatedReport$2 = null;
    this.defaultValidationProfiles$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_OAS20Plugin$ = this;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.ID$2 = "OAS 2.0".trim();
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ID$2, "OAS"]));
    this.validationProfile$2 = $m_Lamf_ProfileNames$().OAS$1;
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$2
  };
  detectOasUnit__p2__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(root, ctx) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_OasHeader$().apply__Lamf_core_Root__s_Option(root);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      const x = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$();
      let jsx$1;
      if ((x === x0$1)) {
        jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx).parseOverlay__Lamf_plugins_document_webapi_model_Overlay()
      } else {
        const x$3 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$();
        if ((x$3 === x0$1)) {
          jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx).parseExtension__Lamf_plugins_document_webapi_model_Extension()
        } else {
          const x$5 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$();
          if ((x$5 === x0$1)) {
            const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx);
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            jsx$1 = this$2.parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations))
          } else {
            jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser().init___Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, new $c_s_Some().init___O(x0$1), ctx).parseFragment__Lamf_core_model_document_Fragment()
          }
        }
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ($is_Lamf_plugins_document_webapi_model_Overlay(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_Extension(unit)) {
      return true
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x4 = unit;
      return $is_Lamf_plugins_domain_webapi_models_WebApi(x4.encodes__Lamf_core_model_domain_DomainElement())
    } else if ($is_Lamf_core_model_document_Module(unit)) {
      const x5 = unit;
      return x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          return (x0$2 !== null)
        })
      })(this)))
    } else {
      return $is_Lamf_core_model_document_Fragment(unit)
    }
  };
  modelEntities__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$2 = x$1
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/json", "application/yaml", "application/x-yaml", "text/yaml", "text/vnd.yaml", "text/x-yaml", "application/openapi+json", "application/swagger+json", "application/openapi+yaml", "application/swagger+yaml", "application/openapi", "application/swagger"]))
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$2
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    const messageStyle = this.validationProfile$2;
    return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future(this, baseUnit, profile, validations, messageStyle, platform)
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.ID$2, this)
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.defaultValidationProfiles$2
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$2 = x$1
  };
  dependencies__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq(this)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Option(unit, options) {
    if ($is_Lamf_core_model_document_Module(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter().init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x2, new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitModule__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x3, new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitDocument__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_ExternalFragment(unit)) {
      const x4 = unit;
      const jsx$2 = $m_Lorg_yaml_model_YDocument$();
      const jsx$1 = $m_Lorg_yaml_model_YNode$();
      const this$3 = x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
      return new $c_s_Some().init___O(jsx$2.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(jsx$1.apply__T__Lorg_yaml_model_YNode(this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1))))
    } else if ($is_Lamf_core_model_document_Fragment(unit)) {
      const x5 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter().init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x5, new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitFragment__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(root) {
    return $m_Lamf_plugins_document_webapi_parser_OasHeader$().apply__Lamf_core_Root__s_Option(root).isDefined__Z()
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, parentContext, platform) {
    const ctx = new $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext().init___Lamf_core_parser_ParserContext__s_Option(parentContext, $m_s_None$());
    const x1 = document.referenceKind$1;
    const x = $m_Lamf_core_parser_LibraryReference$();
    if ((x === x1)) {
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(document, ctx).parseModule__Lamf_core_model_document_Module())
    } else {
      const x$3 = $m_Lamf_core_parser_LinkReference$();
      if ((x$3 === x1)) {
        return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser().init___Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(document, $m_s_None$(), ctx).parseFragment__Lamf_core_model_document_Fragment())
      } else {
        return this.detectOasUnit__p2__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(document, ctx)
      }
    }
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    return new $c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  serializableAnnotations__sci_Map() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map(this)
  };
}
const $d_Lamf_plugins_document_webapi_OAS20Plugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_OAS20Plugin$: 0
}, false, "amf.plugins.document.webapi.OAS20Plugin$", {
  Lamf_plugins_document_webapi_OAS20Plugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_webapi_BaseWebApiPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_OAS20Plugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_OAS20Plugin$;
let $n_Lamf_plugins_document_webapi_OAS20Plugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_OAS20Plugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_OAS20Plugin$)) {
    $n_Lamf_plugins_document_webapi_OAS20Plugin$ = new $c_Lamf_plugins_document_webapi_OAS20Plugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_OAS20Plugin$
});
class $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema extends $c_O {
  constructor() {
    super();
    this.rawText$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ParsedJSONSchema"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema(x$1)) {
      const ParsedJSONSchema$1 = x$1;
      return (this.rawText$1 === ParsedJSONSchema$1.rawText$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rawText$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(rawText) {
    this.rawText$1 = rawText;
    this.name$1 = "parsed-json-schema";
    this.value$1 = rawText;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_ParsedJSONSchema)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_ParsedJSONSchema)))
});
const $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema: 0
}, false, "amf.plugins.document.webapi.annotations.ParsedJSONSchema", {
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema;
class $c_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.extensions$1 = null;
    this.spec$1 = null;
    this.tag$1 = null
  };
  init___T__Lamf_core_parser_FieldEntry__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, extensions, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.extensions$1 = extensions;
    this.spec$1 = spec;
    $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__$$init$__V(this);
    return this
  };
  productPrefix__T() {
    return "RamlScalarValueEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter(x$1)) {
      const RamlScalarValueEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === RamlScalarValueEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlScalarValueEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.extensions$1;
        const x$4 = RamlScalarValueEmitter$1.extensions$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.extensions$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotatedScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$2 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const jsx$1 = $m_Lorg_yaml_model_YScalar$();
    const this$3 = this.f$1;
    const value = jsx$1.apply__O__Lorg_yaml_model_YScalar(this$3.value$1.value$1.value$1);
    const tt = this.tag$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    b$1.updateDynamic__T__Lorg_yaml_model_YNode__V("value", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    this.extensions$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(e$2) {
        const e = e$2;
        $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().annotationEmitter__F2().apply__O__O__O(e, $m_Lamf_core_emitter_SpecOrdering$Default$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    this.annotatedScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__position__Lamf_core_parser_Position(this)
  };
  amf$core$emitter$BaseEmitters$BaseValueEmitter$$undsetter$und$tag$und$eq__Lorg_yaml_model_YType__V(x$1) {
    this.tag$1 = x$1
  };
}
const $is_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter)))
});
const $d_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter: 0
}, false, "amf.plugins.document.webapi.contexts.RamlScalarValueEmitter", {
  Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter: 1,
  O: 1,
  Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode extends $c_O {
  constructor() {
    super();
    this.obj$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "MapEntriesArrayNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode(x$1)) {
      const MapEntriesArrayNode$1 = x$1;
      return this.obj$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(MapEntriesArrayNode$1.obj$1)
    } else {
      return false
    }
  };
  nodes__T2() {
    const jsx$2 = this.obj$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        $m_s_package$();
        const array = [e];
        let c;
        if (((array.length | 0) === 0)) {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const this$4 = new $c_sci_VectorBuilder().init___();
          c = this$4.result__sci_Vector()
        } else {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const b = new $c_sci_VectorBuilder().init___();
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__sci_VectorBuilder(arg1);
            i = ((1 + i) | 0)
          };
          c = b.result__sci_Vector()
        };
        const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        return new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs)
      })
    })(this));
    const this$12 = $m_sc_IndexedSeq$();
    const maps = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$12.ReusableCBF$6);
    return new $c_T2().init___O__O(maps, this.obj$1)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.obj$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return $f_Lamf_core_parser_BaseArrayNode__negated__Lamf_core_model_domain_AmfArray(this)
  };
  text__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $boolean__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__$boolean__Lamf_core_model_domain_AmfArray(this)
  };
  iv__Lorg_yaml_model_IllegalTypeHandler() {
    return this.iv$1
  };
  integer__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__integer__Lamf_core_model_domain_AmfArray(this)
  };
  obj__F1__Lamf_core_model_domain_AmfArray(fn) {
    return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray(this, fn)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lorg_yaml_model_YMap__Lorg_yaml_model_IllegalTypeHandler(obj, iv) {
    this.obj$1 = obj;
    this.iv$1 = iv;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.MapEntriesArrayNode", {
  Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode: 1,
  O: 1,
  Lamf_core_parser_BaseArrayNode: 1,
  Lamf_core_parser_ArrayNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter {
  constructor() {
    super();
    this.domainExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "OasAnnotationEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter(x$1)) {
      const OasAnnotationEmitter$1 = x$1;
      const x = this.domainExtension$2;
      const x$2 = OasAnnotationEmitter$1.domainExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasAnnotationEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, spec) {
    this.domainExtension$2 = domainExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter.prototype.init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, domainExtension, ordering, spec);
    this.name$2 = ("x-" + domainExtension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1));
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAnnotationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter {
  constructor() {
    super();
    this.f$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.key$2 = null
  };
  productPrefix__T() {
    return "OasCustomFacetsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter(x$1)) {
      const OasCustomFacetsEmitter$1 = x$1;
      const x = this.f$2;
      const x$2 = OasCustomFacetsEmitter$1.f$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasCustomFacetsEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = OasCustomFacetsEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  shapeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(property$2, ordering$2, references$2) {
        const property = property$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, references, $this.spec$2)
      })
    })(this))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$2 = f;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter.prototype.init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, f, ordering, references, spec);
    this.key$2 = "x-facets";
    return this
  };
  key__T() {
    return this.key$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCustomFacetsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter {
  constructor() {
    super();
    this.shapeExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "OasFacetsInstanceEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter(x$1)) {
      const OasFacetsInstanceEmitter$1 = x$1;
      const x = this.shapeExtension$2;
      const x$2 = OasFacetsInstanceEmitter$1.shapeExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasFacetsInstanceEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shapeExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, spec) {
    this.shapeExtension$2 = shapeExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter.prototype.init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shapeExtension, ordering, spec);
    const this$1 = shapeExtension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1);
    this.name$2 = ("x-facet-" + this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasFacetsInstanceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.ScalarShapeParser$module$2 = null;
    this.UnionShapeParser$module$2 = null;
    this.DataArrangementParser$module$2 = null;
    this.TupleShapeParser$module$2 = null;
    this.ArrayShapeParser$module$2 = null;
    this.AnyShapeParser$module$2 = null;
    this.NodeShapeParser$module$2 = null;
    this.AllOfParser$module$2 = null;
    this.PropertiesParser$module$2 = null;
    this.PropertyShapeParser$module$2 = null;
    this.Property$module$2 = null;
    this.FileShapeParser$module$2 = null;
    this.SchemaShapeParser$module$2 = null;
    this.ast$2 = null;
    this.name$2 = null;
    this.map$2 = null;
    this.adopt$2 = null;
    this.oasNode$2 = null;
    this.ctx$2 = null
  };
  parseUnionType__p2__Lamf_core_model_domain_Shape() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__T(this, this.map$2, this.name$2).parse__Lamf_plugins_domain_shapes_models_UnionShape()
  };
  productPrefix__T() {
    return "OasTypeParser"
  };
  parseAnyType__p2__Lamf_core_model_domain_Shape() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_AnyShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_AnyShape(this.ast$2);
    const name = this.name$2;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    this.adopt$2.apply__O__O(shape);
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap(this, shape, this.map$2).parse__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  productArity__I() {
    return 5
  };
  detectDependency__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$())
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(x$1)) {
      const OasTypeParser$1 = x$1;
      const x = this.ast$2;
      const x$2 = OasTypeParser$1.ast$2;
      let jsx$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.name$2 === OasTypeParser$1.name$2)) && this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasTypeParser$1.map$2))) {
        const x$3 = this.adopt$2;
        const x$4 = OasTypeParser$1.adopt$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.oasNode$2 === OasTypeParser$1.oasNode$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$2;
        break
      }
      case 1: {
        return this.name$2;
        break
      }
      case 2: {
        return this.map$2;
        break
      }
      case 3: {
        return this.adopt$2;
        break
      }
      case 4: {
        return this.oasNode$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const x1 = this.detect__p2__T__Lamf_plugins_domain_shapes_models_TypeDef(this.oasNode$2);
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$();
    let parsedShape;
    if ((x === x1)) {
      parsedShape = new $c_s_Some().init___O(this.parseUnionType__p2__Lamf_core_model_domain_Shape())
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$();
      if ((x$3 === x1)) {
        parsedShape = this.parseLinkType__p2__s_Option()
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
        if ((x$5 === x1)) {
          parsedShape = new $c_s_Some().init___O(this.parseObjectType__p2__Lamf_core_model_domain_Shape())
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
          if ((x$7 === x1)) {
            parsedShape = new $c_s_Some().init___O(this.parseArrayType__p2__Lamf_core_model_domain_Shape())
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
            if ((x$9 === x1)) {
              parsedShape = new $c_s_Some().init___O(this.parseAnyType__p2__Lamf_core_model_domain_Shape())
            } else {
              parsedShape = ($f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z(x1) ? new $c_s_Some().init___O(this.parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(x1)) : $m_s_None$())
            }
          }
        }
      }
    };
    if ($is_s_Some(parsedShape)) {
      const x2 = parsedShape;
      const shape = x2.value$2;
      if ((shape !== null)) {
        this.ctx$2.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(shape.id$1, this.map$2, this.oasNode$2, false);
        return new $c_s_Some().init___O(shape)
      }
    };
    const x$11 = $m_s_None$();
    if ((x$11 === parsedShape)) {
      return $m_s_None$()
    };
    throw new $c_s_MatchError().init___O(parsedShape)
  };
  parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
    let parsed;
    if ((x === typeDef)) {
      const this$1 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      parsed = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name)
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
      if ((x$3 === typeDef)) {
        const this$2 = $m_Lamf_plugins_domain_shapes_models_FileShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(this.ast$2);
        const name$1 = this.name$2;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field$1, name$1);
        parsed = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap(this, typeDef, shape, this.map$2).parse__Lamf_core_model_domain_Shape()
      } else {
        const this$3 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.ast$2);
        const name$2 = this.name$2;
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field$2, name$2);
        parsed = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this, typeDef, shape$2, this.map$2).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
      }
    };
    this.adopt$2.apply__O__O(parsed);
    return parsed
  };
  parseArrayType__p2__Lamf_core_model_domain_Shape() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1(this, this.name$2, this.ast$2, this.map$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        $this.adopt$2.apply__O__O(shape)
      })
    })(this))).parse__Lamf_core_model_domain_Shape()
  };
  detectType__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const e = arg1;
      const t = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3;
      const map$1 = this.map$2;
      const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("format");
      let this$7;
      if (this$4.isEmpty__Z()) {
        this$7 = $m_s_None$()
      } else {
        const arg1$1 = this$4.get__O();
        const e$2 = arg1$1;
        const node = e$2.value$1;
        const this$6 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
        if (this$6.isEmpty__Z()) {
          this$7 = $m_s_None$()
        } else {
          const arg1$2 = this$6.get__O();
          const x$4 = arg1$2;
          this$7 = new $c_s_Some().init___O(x$4.text$3)
        }
      };
      const f = (this$7.isEmpty__Z() ? "" : this$7.get__O());
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef(t, f))
    }
  };
  parseObjectType__p2__Lamf_core_model_domain_Shape() {
    const map = this.map$2;
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("x-schema").isDefined__Z()) {
      const this$2 = $m_Lamf_plugins_domain_shapes_models_SchemaShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_SchemaShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, name);
      this.adopt$2.apply__O__O(shape);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_SchemaShape__Lorg_yaml_model_YMap(this, shape, this.map$2).parse__Lamf_core_model_domain_Shape()
    } else {
      const this$3 = $m_Lamf_plugins_domain_shapes_models_NodeShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(this.ast$2);
      const name$1 = this.name$2;
      const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field$1, name$1);
      this.adopt$2.apply__O__O(shape$2);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap(this, shape$2, this.map$2).parse__Lamf_plugins_domain_shapes_models_NodeShape()
    }
  };
  detectAnyOf__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("anyOf");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$())
    }
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ast, name, map, adopt, oasNode, ctx) {
    this.ast$2 = ast;
    this.name$2 = name;
    this.map$2 = map;
    this.adopt$2 = adopt;
    this.oasNode$2 = oasNode;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    return this
  };
  detectProperties__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("properties");
    let this$4;
    if (this$2.isEmpty__Z()) {
      const map$1 = this.map$2;
      this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("allOf")
    } else {
      this$4 = this$2
    };
    if (this$4.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$4.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())
    }
  };
  detect__p2__T__Lamf_plugins_domain_shapes_models_TypeDef(position) {
    const defaultType = ((position === "parameter") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$());
    const this$1 = this.detectDependency__p2__s_Option();
    const this$2 = (this$1.isEmpty__Z() ? this.detectType__p2__s_Option() : this$1);
    const this$3 = (this$2.isEmpty__Z() ? this.detectProperties__p2__s_Option() : this$2);
    const this$4 = (this$3.isEmpty__Z() ? this.detectAnyOf__p2__s_Option() : this$3);
    return (this$4.isEmpty__Z() ? defaultType : this$4.get__O())
  };
  parseLinkType__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const e = arg1;
      const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
      $m_Lorg_yaml_model_YNode$();
      const node = e.value$1;
      this$4 = new $c_s_Some().init___O(jsx$1.stripDefinitionsPrefix__T__T(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)))
    };
    if (this$4.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = this$4.get__O();
      const text = arg1$1;
      const x1 = this.ctx$2.declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$All$());
      let jsx$2;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const s = x2.value$2;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$2);
        const this$5 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text, annotations);
        const name = this.name$2;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const copied = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, name);
        this.adopt$2.apply__O__O(copied);
        jsx$2 = copied
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const this$6 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(text, this.map$2);
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, text);
          const c = this.ctx$2;
          $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, c);
          const refAst = this.map$2;
          const ctx = this.ctx$2;
          $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, text, refAst, ctx);
          this.adopt$2.apply__O__O(shape);
          jsx$2 = shape
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      };
      return new $c_s_Some().init___O(jsx$2)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08NamedSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter(x$1)) {
      const Raml08NamedSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml08NamedSecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml08NamedSecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml08NamedSecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  securitySchemeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$2)
      })
    })(this))
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08NamedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.annotations$2 = null;
    this.ignored$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08TypePartEmitter"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(x$1)) {
      const Raml08TypePartEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = Raml08TypePartEmitter$1.shape$2;
      let jsx$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08TypePartEmitter$1.ordering$2;
        jsx$3 = (x$3 === x$4)
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.annotations$2;
        const x$6 = Raml08TypePartEmitter$1.annotations$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.ignored$2;
        const x$8 = Raml08TypePartEmitter$1.ignored$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$9 = this.references$2;
        const x$10 = Raml08TypePartEmitter$1.references$2;
        return ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.annotations$2;
        break
      }
      case 3: {
        return this.ignored$2;
        break
      }
      case 4: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, annotations, ignored, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.annotations$2 = annotations;
    this.ignored$2 = ignored;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, annotations, ignored, references, spec);
    return this
  };
  emitters__sc_Seq() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$2, this.ordering$2, this.spec$2).emitters__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypePartEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter {
  constructor() {
    super();
    this.key$2 = null;
    this.securityScheme$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10DescribedByEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter(x$1)) {
      const Raml10DescribedByEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$2 === Raml10DescribedByEmitter$1.key$2)) {
        const x = this.securityScheme$2;
        const x$2 = Raml10DescribedByEmitter$1.securityScheme$2;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10DescribedByEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10DescribedByEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$2;
        break
      }
      case 1: {
        return this.securityScheme$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x1 = f.value$1.value$1;
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
        const x2 = x1;
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, this.ordering$2, this.references$2, new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
          return (function(shape$2, ordering$2, annotations$2, ignored$2, references$2) {
            const shape = shape$2;
            const ordering = ordering$2;
            const annotations = annotations$2;
            const ignored = ignored$2;
            const references = references$2;
            return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, annotations, ignored, references, $this.spec$2)
          })
        })(this)), this.spec$2))
      }
    };
    results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.securityScheme$2, this.ordering$2, this.spec$2).emitters__sc_Seq());
    const jsx$1 = $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter.prototype.entries__Lamf_core_parser_Fields__sc_Seq.call(this, fs);
    const this$2 = $m_sc_Seq$();
    return jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(results, this$2.ReusableCBFInstance$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, spec) {
    this.key$2 = key;
    this.securityScheme$2 = securityScheme;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter.prototype.init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, key, securityScheme, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10DescribedByEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10NamedSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter(x$1)) {
      const Raml10NamedSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml10NamedSecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml10NamedSecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml10NamedSecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  securitySchemeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$2)
      })
    })(this))
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10NamedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.annotations$2 = null;
    this.ignored$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10TypePartEmitter"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter(x$1)) {
      const Raml10TypePartEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = Raml10TypePartEmitter$1.shape$2;
      let jsx$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10TypePartEmitter$1.ordering$2;
        jsx$3 = (x$3 === x$4)
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.annotations$2;
        const x$6 = Raml10TypePartEmitter$1.annotations$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.ignored$2;
        const x$8 = Raml10TypePartEmitter$1.ignored$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$9 = this.references$2;
        const x$10 = Raml10TypePartEmitter$1.references$2;
        return ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.annotations$2;
        break
      }
      case 3: {
        return this.ignored$2;
        break
      }
      case 4: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, annotations, ignored, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.annotations$2 = annotations;
    this.ignored$2 = ignored;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, annotations, ignored, references, spec);
    return this
  };
  emitters__sc_Seq() {
    const jsx$3 = this.ordering$2;
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$2, this.ordering$2, this.ignored$2, this.references$2, this.spec$2).emitters__sc_Seq();
    const this$1 = this.annotations$2;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      this$2 = new $c_s_Some().init___O(x$2.emitters__sc_Seq())
    };
    const jsx$1 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$3 = $m_sc_Seq$();
    return jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypePartEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter {
  constructor() {
    super();
    this.domainExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "RamlAnnotationEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter(x$1)) {
      const RamlAnnotationEmitter$1 = x$1;
      const x = this.domainExtension$2;
      const x$2 = RamlAnnotationEmitter$1.domainExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlAnnotationEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, spec) {
    this.domainExtension$2 = domainExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter.prototype.init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, domainExtension, ordering, spec);
    this.name$2 = (("(" + domainExtension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1)) + ")");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnnotationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter {
  constructor() {
    super();
    this.f$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.key$2 = null
  };
  productPrefix__T() {
    return "RamlCustomFacetsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter(x$1)) {
      const RamlCustomFacetsEmitter$1 = x$1;
      const x = this.f$2;
      const x$2 = RamlCustomFacetsEmitter$1.f$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlCustomFacetsEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlCustomFacetsEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, references, spec) {
    this.f$2 = f;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter.prototype.init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, f, ordering, references, spec);
    this.key$2 = "facets";
    return this
  };
  shapeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(property$2, ordering$2, references$2) {
        const property = property$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(property, ordering, references, $this.spec$2)
      })
    })(this))
  };
  key__T() {
    return this.key$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCustomFacetsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter {
  constructor() {
    super();
    this.shapeExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "RamlFacetsInstanceEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter(x$1)) {
      const RamlFacetsInstanceEmitter$1 = x$1;
      const x = this.shapeExtension$2;
      const x$2 = RamlFacetsInstanceEmitter$1.shapeExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlFacetsInstanceEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shapeExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, spec) {
    this.shapeExtension$2 = shapeExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter.prototype.init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shapeExtension, ordering, spec);
    const this$1 = shapeExtension.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1);
    this.name$2 = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlFacetsInstanceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.target$1 = null;
    this.label$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.referenceLabel$1 = null
  };
  target__Lamf_core_model_domain_DomainElement() {
    return this.target$1
  };
  productPrefix__T() {
    return "RamlTagToReferenceEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_core_model_document_Module(x0$1)) {
          const x2 = x0$1;
          return x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).contains__O__Z($this.target$1)
        } else if ($is_Lamf_core_model_document_Fragment(x0$1)) {
          const x3 = x0$1;
          const x = x3.encodes__Lamf_core_model_domain_DomainElement();
          const x$2 = $this.target$1;
          return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this)));
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2$1 = x1;
        if ($is_Lamf_core_model_document_Fragment(x2$1.value$2)) {
          this.spec$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this.referenceLabel$1);
          break matchEnd6
        }
      };
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, this.referenceLabel$1, $m_Lorg_yaml_model_YType$().Str$1)
    }
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter(x$1)) {
      const RamlTagToReferenceEmitter$1 = x$1;
      const x = this.target$1;
      const x$2 = RamlTagToReferenceEmitter$1.target$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.label$1;
        const x$4 = RamlTagToReferenceEmitter$1.label$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlTagToReferenceEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.target$1;
        break
      }
      case 1: {
        return this.label$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  amf$plugins$document$webapi$contexts$TagToReferenceEmitter$$undsetter$und$referenceLabel$und$eq__T__V(x$1) {
    this.referenceLabel$1 = x$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(target, label, references, spec) {
    this.target$1 = target;
    this.label$1 = label;
    this.references$1 = references;
    this.spec$1 = spec;
    $f_Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter__$$init$__V(this);
    return this
  };
  label__s_Option() {
    return this.label$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.target$1.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTagToReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.map$2 = null;
    this.shape$2 = null
  };
  productPrefix__T() {
    return "FileShapeParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const FileShapeParser$1 = x$1;
      return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(FileShapeParser$1.map$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  parse__Lamf_plugins_domain_shapes_models_FileShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const shape = this.shape$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic__parseOASFields__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map, shape);
    const map$1 = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("fileTypes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$2 = this.map$2;
    const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$5 = this$4.key__T__s_Option("(minimum)");
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$1);
      const this$7 = this.shape$2;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$1, value$1, annotations)
    };
    const map$3 = this.map$2;
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$10 = this$9.key__T__s_Option("(maximum)");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      const node$1 = entry$3.value$1;
      const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$2);
      const this$12 = this.shape$2;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
      const value$3 = value$2.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$2, value$3, annotations$1)
    };
    const map$4 = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$14 = this.$$outer$1;
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("(format)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$14, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    const map$5 = this.map$2;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$16 = this.$$outer$1;
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
    const iv$4 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$3.key__T__F1__V("(multipleOf)", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$16, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2));
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$2, this.map$2, "fileShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
    this.shape$2 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    return this
  };
  amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser() {
    return this.$$outer$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$FileShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.typeDef$2 = null;
    this.shape$2 = null;
    this.map$2 = null
  };
  productPrefix__T() {
    return "ScalarShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ScalarShapeParser$1 = x$1;
      const x = this.typeDef$2;
      const x$2 = ScalarShapeParser$1.typeDef$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.shape$2;
        const x$4 = ScalarShapeParser$1.shape$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ScalarShapeParser$1.map$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.typeDef$2;
        break
      }
      case 1: {
        return this.shape$2;
        break
      }
      case 2: {
        return this.map$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$2
  };
  parse__Lamf_plugins_domain_shapes_models_ScalarShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const map = this.map$2;
    const shape = this.shape$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic__parseOASFields__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map, shape);
    const this$1 = this.$$outer$1;
    const map$1 = this.map$2;
    const this$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option(this$1, map$1);
    if (this$2.isEmpty__Z()) {
      const this$5 = this.shape$2;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$2), new $c_Lamf_core_parser_Annotations().init___());
      const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, value, annotations)
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$7 = this.shape$2;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$2), new $c_Lamf_core_parser_Annotations().init___());
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$1, value$1, annotations$1)
    };
    const map$2 = this.map$2;
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$10 = this$9.key__T__s_Option("minimum");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      const node = entry$3.value$1;
      const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const this$12 = this.shape$2;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
      const value$3 = value$2.text__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$2, value$3, annotations$2)
    };
    const map$3 = this.map$2;
    const this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$15 = this$14.key__T__s_Option("maximum");
    if ((!this$15.isEmpty__Z())) {
      const arg1$2 = this$15.get__O();
      const entry$4 = arg1$2;
      const node$1 = entry$4.value$1;
      const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$4 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
      const this$17 = this.shape$2;
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
      const value$5 = value$4.text__Lamf_core_model_domain_AmfScalar();
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$17, field$3, value$5, annotations$3)
    };
    const map$4 = this.map$2;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$19 = this.$$outer$1;
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("format", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$19, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$5 = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$21 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
    const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("multipleOf", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$21, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$3 = $m_s_Option$();
    const this$22 = this.shape$2;
    const this$23 = jsx$3.apply__O__s_Option(this$22.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1));
    const thiz = (this$23.isEmpty__Z() ? "#shape" : this$23.get__O());
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
    const this$26 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const x1 = $f_sc_IndexedSeqOptimized__last__O(this$26);
    const syntaxType = (((x1 === "integer") || (x1 === "float")) ? "numberScalarShape" : ((x1 === "string") ? "stringScalarShape" : ((x1 === "dateTime") ? "dateScalarShape" : "shape")));
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$2, this.map$2, syntaxType, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$2
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap($$outer, typeDef, shape, map) {
    this.typeDef$2 = typeDef;
    this.shape$2 = shape;
    this.map$2 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser() {
    return this.$$outer$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$ScalarShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter extends $c_O {
  constructor() {
    super();
    this.prefix$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.key$1 = null
  };
  productPrefix__T() {
    return "TraitExtendsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter(x$1)) {
      const TraitExtendsEmitter$1 = x$1;
      let jsx$1;
      if ((this.prefix$1 === TraitExtendsEmitter$1.prefix$1)) {
        const x = this.f$1;
        const x$2 = TraitExtendsEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = TraitExtendsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.prefix$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__emit__Lorg_yaml_model_YDocument$EntryBuilder__V(this, b)
  };
  emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(element) {
    const element$1 = element;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter().init___Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_core_emitter_SpecOrdering(element$1, this.ordering$1)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  collect__sc_Seq__sc_Seq(elements) {
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter(this);
    const this$1 = $m_sc_Seq$();
    return elements.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  ordering__Lamf_core_emitter_SpecOrdering() {
    return this.ordering$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  key__T() {
    return this.key$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(prefix, f, ordering) {
    this.prefix$1 = prefix;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.key$1 = (prefix + "is");
    return this
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__position__Lamf_core_parser_Position(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.TraitExtendsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter {
  constructor() {
    super();
    this.parametrizedScheme$2 = null;
    this.ordering$2 = null
  };
  productPrefix__T() {
    return "OasParametrizedSecuritySchemeEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const fs = this.parametrizedScheme$2.fields$1;
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f = x2.value$2;
      const x1$2 = f.value$1.value$1;
      let scopes;
      if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(x1$2)) {
        const x2$2 = x1$2;
        const jsx$2 = x2$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(s$2) {
            const s = s$2;
            return new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(s.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1), s.annotations$1), $m_Lorg_yaml_model_YType$().Str$1)
          })
        })(this));
        const this$2 = $m_sc_Seq$();
        scopes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
      } else {
        scopes = $m_sci_Nil$()
      };
      const jsx$5 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const this$4 = this.parametrizedScheme$2;
      const str = this$4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.ordering$2.sorted__sc_Seq__sc_Seq(scopes), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$11 = v.builder$1;
      const array = [key];
      if ((this$11.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$11.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
      const len$1 = this$11.size0$6;
      const src = this$11.array$6;
      const dest = this$11.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$11.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$4 = j;
        const index = i;
        xs.u[jsx$4] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$11.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1))
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === x1)) {
        const jsx$8 = b.builder$1;
        const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const this$27 = this.parametrizedScheme$2;
        const str$1 = this$27.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$6 = v$1.builder$1;
        const b$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$2 = b$4.builder$1;
        const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
        const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$2 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$2 = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$2, a$2, cs$2);
        jsx$6.$$plus$eq__O__scm_ArrayBuffer(node$1);
        const this$34 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$34.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$34.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$34, newSize$1);
        const len$4 = this$34.size0$6;
        const src$1 = this$34.array$6;
        const dest$1 = this$34.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$34.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$3 = (array$1.length | 0);
        const x$4 = ((x$3 < len$5) ? x$3 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$4 < that$1) ? x$4 : that$1);
        while ((i$1 < end$1)) {
          const jsx$7 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$7] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$34.size0$6 = newSize$1;
        b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$3 = b$3.builder$1;
        const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
        const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$3 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$3 = null;
        jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$3, a$3, cs$3))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter(x$1)) {
      const OasParametrizedSecuritySchemeEmitter$1 = x$1;
      const x = this.parametrizedScheme$2;
      const x$2 = OasParametrizedSecuritySchemeEmitter$1.parametrizedScheme$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasParametrizedSecuritySchemeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parametrizedScheme$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering(parametrizedScheme, ordering) {
    this.parametrizedScheme$2 = parametrizedScheme;
    this.ordering$2 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.parametrizedScheme$2.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametrizedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "ParametrizedSecuritiesSchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter(x$1)) {
      const ParametrizedSecuritiesSchemeEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === ParametrizedSecuritiesSchemeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ParametrizedSecuritiesSchemeEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = ParametrizedSecuritiesSchemeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  emit__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_PartEmitter(scheme) {
    return this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().parametrizedSecurityEmitter__F2().apply__O__O__O(scheme, this.ordering$1)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__emit__Lorg_yaml_model_YDocument$EntryBuilder__V(this, b)
  };
  emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(element) {
    return this.emit__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_PartEmitter(element)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  collect__sc_Seq__sc_Seq(elements) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1().init___Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter(this);
    const this$2 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  ordering__Lamf_core_emitter_SpecOrdering() {
    return this.ordering$1
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  key__T() {
    return this.key$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__position__Lamf_core_parser_Position(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedSecuritiesSchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter {
  constructor() {
    super();
    this.endpoint$2 = null;
    this.ordering$2 = null;
    this.children$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "Raml08EndPointEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter(x$1)) {
      const Raml08EndPointEmitter$1 = x$1;
      const x = this.endpoint$2;
      const x$2 = Raml08EndPointEmitter$1.endpoint$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08EndPointEmitter$1.ordering$2;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.children$2;
        const x$6 = Raml08EndPointEmitter$1.children$2;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$2;
        const x$8 = Raml08EndPointEmitter$1.references$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.endpoint$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.children$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, ctx) {
    this.endpoint$2 = endpoint;
    this.ordering$2 = ordering;
    this.children$2 = children;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.init___Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, ordering, children, references, ctx);
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.emitters__Lamf_core_parser_Fields__scm_ListBuffer.call(this, fs);
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O((f.value$1.value$1.values$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2$2) {
          const f$2 = f$2$2;
          return (!f$2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
        })
      })(this))) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("uriParameters", f, this.ordering$2, this.references$2, this.spec$1)) : (void 0)))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  endpoint__Lamf_plugins_domain_webapi_models_EndPoint() {
    return this.endpoint$2
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08EndPointEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter {
  constructor() {
    super();
    this.operation$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.baseUriParameterKey$2 = null
  };
  productPrefix__T() {
    return "Raml08OperationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter(x$1)) {
      const Raml08OperationEmitter$1 = x$1;
      const x = this.operation$2;
      const x$2 = Raml08OperationEmitter$1.operation$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08OperationEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml08OperationEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.operation$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  baseUriParameterKey__T() {
    return this.baseUriParameterKey$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, spec) {
    this.operation$2 = operation;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, operation, ordering, references, spec);
    this.baseUriParameterKey$2 = "baseUriParameters";
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08OperationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter {
  constructor() {
    super();
    this.parameter$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08ParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter(x$1)) {
      const Raml08ParameterEmitter$1 = x$1;
      const x = this.parameter$2;
      const x$2 = Raml08ParameterEmitter$1.parameter$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08ParameterEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml08ParameterEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fields, builder) {
    const this$1 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$1.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(builder)
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$2 = parameter;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, parameter, ordering, references, spec);
    return this
  };
  emitParameter__Lorg_yaml_model_YDocument$EntryBuilder__V(builder) {
    const this$1 = this.parameter$2;
    const x1 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
    let vf_$_f$2;
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x2 = x1;
      const eta$0$1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().apply__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(x2, this.ordering$2, this.references$2, this.spec$2);
      const f = (function(this$2, eta$0$1$1) {
        return (function(b$2) {
          const b = b$2;
          eta$0$1$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
        })
      })(this, eta$0$1);
      const jsx$1_$_f$2 = f;
      vf_$_f$2 = jsx$1_$_f$2
    } else {
      const eta$0$2 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit ", " type of shape in raml 08"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1).toString__T()])));
      const f$1 = (function(this$3, eta$0$2$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          eta$0$2$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this, eta$0$2);
      const jsx$2_$_f$2 = f$1;
      vf_$_f$2 = jsx$2_$_f$2
    };
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(this.parameter$2.fields$1, k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$4 = k.builder$1;
    const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$4, 0);
    const this$5 = v.builder$1;
    builder.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$5, 0))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false
  };
  parse__Lamf_plugins_domain_webapi_models_Parameter() {
    $m_Lorg_yaml_model_YNode$();
    const node = this.entry$2.key$1;
    const elem = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
    const name = new $c_sr_ObjectRef().init___O(elem);
    const this$3 = this.producer$2.apply__O__O(name.elem$1);
    const name$1 = name.elem$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name$1);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
    const parameter = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$4, other);
    const this$5 = this.entry$2.value$1;
    const x1 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x === x1)) {
      const this$7 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parameter$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$1, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
        })
      })(this, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$7.isEmpty__Z())) {
        const arg1 = this$7.get__O();
        const schema = arg1;
        schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$2, schema, annotations)
      }
    } else {
      const this$8 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.entry$2, name.elem$1, this.entry$2.value$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, name$2, parameter$2) {
        return (function(s$2) {
          const s = s$2;
          const name$3 = name$2.elem$1;
          const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(s, field$3, name$3).adopted__T__Lamf_core_model_domain_AmfObject(parameter$2.id$1)
        })
      })(this, name, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$8.isEmpty__Z())) {
        const arg1$1 = this$8.get__O();
        const schema$3 = arg1$1;
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$4, schema$3)
      }
    };
    const x1$2 = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1).fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
    if ($is_s_Some(x1$2)) {
      const x2 = x1$2;
      const e = x2.value$2;
      const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
      const value = e.value$1.value$1.toBool__Z();
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field$5, value)
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2)) {
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field$6, false)
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    };
    if ((this.parseOptional$2 && $m_sjsr_RuntimeString$().endsWith__T__T__Z(name.elem$1, "?"))) {
      const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Optional$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field$7, true);
      const x$1 = name.elem$1;
      const this$10 = new $c_sci_StringOps().init___T(x$1);
      name.elem$1 = $f_sci_StringLike__stripSuffix__T__T(this$10, "?");
      const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
      const value$1 = name.elem$1;
      const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field$8, value$1);
      const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
      const value$2 = name.elem$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$9, value$2)
    };
    return parameter
  };
  productPrefix__T() {
    return "Raml08ParameterParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser(x$1)) {
      const Raml08ParameterParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08ParameterParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08ParameterParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08ParameterParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml08PayloadsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter(x$1)) {
      const Raml08PayloadsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === Raml08PayloadsEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = Raml08PayloadsEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08PayloadsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml08PayloadsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_core_emitter_BaseEmitters_package$RawEmitter().init___T__Lorg_yaml_model_YType__Lamf_core_parser_Annotations(this.key$1, $m_Lorg_yaml_model_YType$().Str$1, new $c_Lamf_core_parser_Annotations().init___()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.f$1;
    const jsx$2 = this$4.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter(this);
    const this$5 = $m_sc_Seq$();
    const payloads = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    if (payloads.isEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const map = $m_Lorg_yaml_model_YMap$().empty$1;
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
      v.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
    } else {
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(p$2) {
          const p = p$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(p, $this.ordering$1, $this.spec$1).emitters__sc_Seq()
        })
      })(this));
      const this$11 = $m_sc_Seq$();
      const emitters = payloads.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2);
      matchEnd5: {
        $m_sc_Seq$();
        const o8 = new $c_s_Some().init___O(emitters);
        if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
          const pe = o8.value$2.apply__I__O(0);
          if ($is_Lamf_core_emitter_PartEmitter(pe)) {
            const x3 = pe;
            x3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
            break matchEnd5
          }
        };
        if (emitters.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$6$2) {
            const x$6 = x$6$2;
            return $is_Lamf_core_emitter_EntryEmitter(x$6)
          })
        })(this)))) {
          const jsx$7 = v.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const jsx$5 = this.ordering$1;
          const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter(this);
          const this$14 = $m_sc_Seq$();
          jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$5.sorted__sc_Seq__sc_Seq(emitters.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$4, this$14.ReusableCBFInstance$2)), b$1);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$1.builder$1;
          const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a$1, cs$1));
          break matchEnd5
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([emitters]))))
      }
    };
    const this$19 = k.builder$1;
    const jsx$8 = $f_scm_ResizableArray__apply__I__O(this$19, 0);
    const this$20 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$8, $f_scm_ResizableArray__apply__I__O(this$20, 0))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadsEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter {
  constructor() {
    super();
    this.response$2 = null;
    this.ordering$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "Raml08ResponseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter(x$1)) {
      const Raml08ResponseEmitter$1 = x$1;
      const x = this.response$2;
      const x$2 = Raml08ResponseEmitter$1.response$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08ResponseEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml08ResponseEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.response$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, spec) {
    this.response$2 = response;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, response, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ResponseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter {
  constructor() {
    super();
    this.endpoint$2 = null;
    this.ordering$2 = null;
    this.children$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "Raml10EndPointEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter(x$1)) {
      const Raml10EndPointEmitter$1 = x$1;
      const x = this.endpoint$2;
      const x$2 = Raml10EndPointEmitter$1.endpoint$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10EndPointEmitter$1.ordering$2;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.children$2;
        const x$6 = Raml10EndPointEmitter$1.children$2;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$2;
        const x$8 = Raml10EndPointEmitter$1.references$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.endpoint$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.children$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, spec) {
    this.endpoint$2 = endpoint;
    this.ordering$2 = ordering;
    this.children$2 = children;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.init___Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, ordering, children, references, spec);
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.emitters__Lamf_core_parser_Fields__scm_ListBuffer.call(this, fs);
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("(payloads)", f, this.ordering$2, this.references$2, this.spec$1)))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      let jsx$1;
      if (f$3.value$1.value$1.values$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2$2) {
          const f$2 = f$2$2;
          return (!f$2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
        })
      })(this)))) {
        const x1 = f$3.value$1.value$1.values$1.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(p$2) {
            const p = p$2;
            return p.isPath__Z()
          })
        })(this)));
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const path = x1.$$und1__O();
        const other = x1.$$und2__O();
        const x$6 = this.ordering$2;
        const x$7 = this.references$2;
        const x$8 = $m_s_None$();
        const spec = this.spec$1;
        const x$9 = new $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1);
        result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("(parameters)", other, x$6, x$8, x$7, x$9).ramlEndpointEmitters__sc_Seq());
        if (path.nonEmpty__Z()) {
          const jsx$2 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
          const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(path, f$3.value$1.value$1.annotations__Lamf_core_parser_Annotations());
          const annotations = f$3.value$1.annotations$1;
          const entry = new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$2, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations));
          jsx$1 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("uriParameters", entry, this.ordering$2, this.references$2, this.spec$1))
        } else {
          jsx$1 = (void 0)
        }
      } else {
        jsx$1 = (void 0)
      };
      new $c_s_Some().init___O(jsx$1)
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  endpoint__Lamf_plugins_domain_webapi_models_EndPoint() {
    return this.endpoint$2
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10EndPointEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter {
  constructor() {
    super();
    this.operation$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.baseUriParameterKey$2 = null
  };
  productPrefix__T() {
    return "Raml10OperationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter(x$1)) {
      const Raml10OperationEmitter$1 = x$1;
      const x = this.operation$2;
      const x$2 = Raml10OperationEmitter$1.operation$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10OperationEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10OperationEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.operation$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const emitters = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter.prototype.entries__Lamf_core_parser_Fields__sc_Seq.call(this, fs);
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const jsx$1 = $m_s_Option$();
    const this$1 = this.operation$2;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const req = arg1;
      const this$3 = req.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1);
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const f = arg1$1;
        let rc7 = false;
        let x2 = null;
        const x1 = $m_s_Option$().apply__O__s_Option(f.value$1.value$1);
        let jsx$2;
        matchEnd8: {
          if ($is_s_Some(x1)) {
            rc7 = true;
            x2 = x1;
            const shape = x2.value$2;
            if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
              const x5 = shape;
              jsx$2 = results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, this.ordering$2, this.references$2, new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
                return (function(shape$2$2, ordering$2, annotations$2, ignored$2, references$2) {
                  const shape$2 = shape$2$2;
                  const ordering = ordering$2;
                  const annotations = annotations$2;
                  const ignored = ignored$2;
                  const references = references$2;
                  return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape$2, ordering, annotations, ignored, references, $this.spec$2)
                })
              })(this)), this.spec$2));
              break matchEnd8
            }
          };
          if (rc7) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit non WebApi Shape"))
          };
          jsx$2 = (void 0)
        };
        new $c_s_Some().init___O(jsx$2)
      }
    };
    const this$4 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(results);
    const xs = emitters.seq__sc_TraversableOnce();
    const this$5 = this$4.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
    const xs$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.operation$2, this.ordering$2, this.spec$2).emitters__sc_Seq();
    const this$6 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$5);
    const xs$2 = xs$1.seq__sc_TraversableOnce();
    return this$6.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  baseUriParameterKey__T() {
    return this.baseUriParameterKey$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, spec) {
    this.operation$2 = operation;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, operation, ordering, references, spec);
    this.baseUriParameterKey$2 = "(baseUriParameters)";
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10OperationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter {
  constructor() {
    super();
    this.parameter$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10ParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter(x$1)) {
      const Raml10ParameterEmitter$1 = x$1;
      const x = this.parameter$2;
      const x$2 = Raml10ParameterEmitter$1.parameter$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10ParameterEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10ParameterEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, b) {
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
    let explicit;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x$9 = arg1;
      explicit = x$9.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    } else {
      explicit = false
    };
    let jsx$1;
    if ((!explicit)) {
      const this$2 = this.parameter$2;
      jsx$1 = (!(!(!this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1))))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$3 = this.parameter$2;
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1) + "?"), new $c_Lamf_core_parser_Annotations().init___()), $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else {
      const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1).get__O();
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$6.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$2 = parameter;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, parameter, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  emitParameter__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.parameter$2.fields$1;
    const jsx$2 = $m_s_Option$();
    const this$1 = this.parameter$2;
    let jsx$1;
    if (jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)).isDefined__Z()) {
      const this$2 = this.parameter$2;
      jsx$1 = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, k);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, "", $m_Lorg_yaml_model_YType$().Null$1);
      const this$3 = k.builder$1;
      const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$3, 0);
      const this$4 = v.builder$1;
      b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$4, 0))
    } else {
      const k$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, k$1);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$6 = v$1.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1);
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const f = arg1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f, this.spec$2)))
      };
      const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
      let jsx$4;
      if (this$7.isEmpty__Z()) {
        jsx$4 = true
      } else {
        const arg1$1 = this$7.get__O();
        const x$8 = arg1$1;
        jsx$4 = x$8.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
      };
      let this$8;
      if (jsx$4) {
        this$8 = this$7
      } else {
        this$8 = $m_s_None$()
      };
      if ((!this$8.isEmpty__Z())) {
        const arg1$2 = this$8.get__O();
        const f$3 = arg1$2;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("required", f$3, this.spec$2)))
      };
      let rc10 = false;
      let x2 = null;
      const jsx$5 = $m_s_Option$();
      const this$9 = this.parameter$2;
      const x1 = jsx$5.apply__O__s_Option(this$9.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1));
      matchEnd11: {
        if ($is_s_Some(x1)) {
          rc10 = true;
          x2 = x1;
          const shape = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
            const x6 = shape;
            if (x6.linkTarget$1.isDefined__Z()) {
              const this$10 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x6, this.ordering$2, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Description$1])), this.references$2, this.spec$2).emitters__sc_Seq().headOption__s_Option();
              if ((!this$10.isEmpty__Z())) {
                const arg1$3 = this$10.get__O();
                const h = arg1$3;
                result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", h, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
              };
              break matchEnd11
            }
          }
        };
        if (rc10) {
          const shape$2 = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape$2)) {
            const x7 = shape$2;
            result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x7, this.ordering$2, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Description$1])), this.references$2, this.spec$2).entries__sc_Seq());
            break matchEnd11
          }
        };
        if (rc10) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit parameter for a non WebAPI shape"))
        };
        const x = $m_s_None$();
        if ((x === x1)) {
          result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.parameter$2, this.ordering$2, this.spec$2).emitters__sc_Seq());
          break matchEnd11
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      const x1$2 = $m_s_Option$().apply__O__s_Option(this.parameter$2.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1));
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const v$2 = x2$2.value$2;
        const x1$3 = v$2.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
        if ($is_s_Some(x1$3)) {
          const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          if ((!this$13.isEmpty__Z())) {
            const arg1$4 = this$13.get__O();
            const f$4 = arg1$4;
            new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("(binding)", f$4)))
          }
        } else {
          const x$3 = $m_s_None$();
          if ((!(x$3 === x1$3))) {
            throw new $c_s_MatchError().init___O(x1$3)
          }
        }
      };
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$2.sorted__sc_Seq__sc_Seq(result), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$18 = k$1.builder$1;
      const jsx$7 = $f_scm_ResizableArray__apply__I__O(this$18, 0);
      const this$19 = v$1.builder$1;
      b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$7, $f_scm_ResizableArray__apply__I__O(this$19, 0))
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false
  };
  parse__Lamf_plugins_domain_webapi_models_Parameter() {
    $m_Lorg_yaml_model_YNode$();
    const node = this.entry$2.key$1;
    const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
    const this$2 = this.producer$2.apply__O__O(name);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
    const this$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, name);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
    const parameter = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
    const this$4 = this.entry$2.value$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
    let p;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
      const iv = this.ctx$1;
      const this$6 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
      jsx$1.key__T__F1__V("required", this$6.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
      const iv$1 = this.ctx$1;
      jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
      const iv$2 = this.ctx$1;
      const this$9 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
      jsx$3.key__T__F1__V("(binding)", this$9.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
      const this$11 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parameter$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$4, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
        })
      })(this, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$11.isEmpty__Z())) {
        const arg1 = this$11.get__O();
        const x$1 = arg1;
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$5, x$1, annotations)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(parameter, map, this.ctx$1).parse__V();
      p = parameter
    } else {
      const x1$2 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entry$2.value$1);
      const scope = ($is_s_util_Left(x1$2) ? $m_Lamf_core_parser_SearchScope$Fragments$() : $m_Lamf_core_parser_SearchScope$Named$());
      const this$12 = this.entry$2.value$1;
      const x1$3 = this$12.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x === x1$3)) {
        const this$14 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, parameter$2) {
          return (function(shape$3$2) {
            const shape$3 = shape$3$2;
            const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$6, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$2.id$1)
          })
        })(this, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
        if ((!this$14.isEmpty__Z())) {
          const arg1$1 = this$14.get__O();
          const schema = arg1$1;
          schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
          const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$7, schema, annotations$1)
        };
        p = parameter
      } else {
        let rc7 = false;
        let x2$2 = null;
        const this$15 = this.entry$2.value$1;
        const conversion$1 = $m_Lamf_core_parser_package$YScalarYRead$();
        const x1$4 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$15);
        matchEnd8: {
          if ($is_s_util_Right(x1$4)) {
            rc7 = true;
            x2$2 = x1$4;
            const ref = x2$2.value$2;
            if (this.ctx$1.declarations$3.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref.text$3, scope).isDefined__Z()) {
              const this$16 = this.ctx$1.declarations$3.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref.text$3, scope).get__O();
              const label = ref.text$3;
              const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
              const this$17 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this$16, label, annotations$2);
              const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
              p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$8, name);
              break matchEnd8
            }
          };
          if (rc7) {
            const ref$2 = x2$2.value$2;
            if (this.ctx$1.declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref$2.text$3, scope).isDefined__Z()) {
              const this$18 = this.ctx$1.declarations$3.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref$2.text$3, scope).get__O();
              const label$1 = ref$2.text$3;
              const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
              const this$19 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this$18, label$1, annotations$3);
              const field$9 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const schema$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$19, field$9, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter.id$1);
              const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
              p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$10, schema$3);
              break matchEnd8
            }
          };
          if (rc7) {
            const ref$3 = x2$2.value$2;
            const str = ref$3.text$3;
            if ($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z(this, str)) {
              const ramlType = ref$3.text$3;
              const this$20 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__parseWellKnownTypeRef__T__Lamf_core_model_domain_Shape(this, ramlType);
              const field$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const schema$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$20, field$11, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter.id$1);
              const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
              p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$12, schema$4);
              break matchEnd8
            }
          };
          if (rc7) {
            const ref$4 = x2$2.value$2;
            const str$1 = ref$4.text$3;
            if ($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__isTypeExpression__T__Z(this, str$1)) {
              const adopt = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, parameter$3) {
                return (function(shape$4$2) {
                  const shape$4 = shape$4$2;
                  const field$13 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$13, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$3.id$1)
                })
              })(this, parameter));
              const part = $m_s_None$();
              const ctx = this.ctx$1;
              const x1$5 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, false, ctx).parse__T__s_Option(ref$4.text$3);
              if ($is_s_Some(x1$5)) {
                const x2$3 = x1$5;
                const schema$5 = x2$3.value$2;
                const field$14 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
                p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$14, schema$5);
                break matchEnd8
              } else {
                this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(parameter.id$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse type expression for unresolved parameter '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1)])), this.entry$2.value$1);
                p = parameter;
                break matchEnd8
              }
            }
          };
          this.ctx$1.violation__T__T__Lorg_yaml_model_YPart__V(parameter.id$1, "Cannot declare unresolved parameter", this.entry$2.value$1);
          p = parameter
        }
      }
    };
    if (p.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1).isEmpty__Z()) {
      const required = (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(name, "?"));
      let paramName;
      if (required) {
        paramName = name
      } else {
        const this$24 = new $c_sci_StringOps().init___T(name);
        paramName = $f_sci_StringLike__stripSuffix__T__T(this$24, "?")
      };
      const field$15 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(p, field$15, required);
      const field$16 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
      const this$25 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(p, field$16, paramName);
      const field$17 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$25, field$17, paramName)
    };
    return p
  };
  productPrefix__T() {
    return "Raml10ParameterParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser(x$1)) {
      const Raml10ParameterParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10ParameterParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10ParameterParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10ParameterParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10PayloadsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter(x$1)) {
      const Raml10PayloadsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === Raml10PayloadsEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = Raml10PayloadsEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10PayloadsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml10PayloadsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const x1 = this.payloads__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1);
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_Lorg_yaml_model_YNode$();
          const str = this.key$1;
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          x3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
          const this$4 = v.builder$1;
          const array = [key];
          if ((this$4.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$4.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
          const len$1 = this$4.size0$6;
          const src = this$4.array$6;
          const dest = this$4.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$4.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x = (array.length | 0);
          const x$1 = ((x < len$2) ? x : len$2);
          const that = xs.u.length;
          const end = ((x$1 < that) ? x$1 : that);
          while ((i < end)) {
            const jsx$1 = j;
            const index = i;
            xs.u[jsx$1] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$4.size0$6 = newSize;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$12$2) {
          const x$12 = x$12$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$12)
        })
      })(this)))) {
        $m_Lorg_yaml_model_YNode$();
        const str$1 = this.key$1;
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$4 = v$1.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter(this);
        const this$17 = $m_sc_Seq$();
        jsx$3.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$17.ReusableCBFInstance$2), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
        const this$22 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$22.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$22.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize$1);
        const len$4 = this$22.size0$6;
        const src$1 = this$22.array$6;
        const dest$1 = this$22.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$22.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$5 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$5] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$22.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  payloads__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(e, ordering$1, references$1, $this.spec$1).emitters__sc_Seq()
      })
    })(this, ordering, references));
    const this$1 = $m_sc_Seq$();
    return ordering.sorted__sc_Seq__sc_Seq(jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.f$1.value$1.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadsEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter {
  constructor() {
    super();
    this.response$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10ResponseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter(x$1)) {
      const Raml10ResponseEmitter$1 = x$1;
      const x = this.response$2;
      const x$2 = Raml10ResponseEmitter$1.response$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10ResponseEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10ResponseEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.response$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, spec) {
    this.response$2 = response;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, response, ordering, references, spec);
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("(examples)", f, this.ordering$2)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.response$2, this.ordering$2, this.spec$2).emitters__sc_Seq());
    const this$2 = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter.prototype.emitters__Lamf_core_parser_Fields__scm_ListBuffer.call(this, fs);
    const this$3 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$2);
    return this$3.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(result)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ResponseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter {
  constructor() {
    super();
    this.parametrizedScheme$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "RamlParametrizedSecuritySchemeEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const fs = this.parametrizedScheme$2.fields$1;
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f = x2.value$2;
      const jsx$3 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const this$2 = this.parametrizedScheme$2;
      const str = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$2.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, this.ordering$2, this.spec$2).emitters__sc_Seq()), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$9 = v.builder$1;
      const array = [key];
      if ((this$9.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$9.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
      const len$1 = this$9.size0$6;
      const src = this$9.array$6;
      const dest = this$9.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$9.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$9.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1))
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === x1)) {
        const this$24 = this.parametrizedScheme$2;
        b.$$plus$eq__T__V(this$24.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parametrizedScheme, ordering, spec) {
    this.parametrizedScheme$2 = parametrizedScheme;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter(x$1)) {
      const RamlParametrizedSecuritySchemeEmitter$1 = x$1;
      const x = this.parametrizedScheme$2;
      const x$2 = RamlParametrizedSecuritySchemeEmitter$1.parametrizedScheme$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlParametrizedSecuritySchemeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parametrizedScheme$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.parametrizedScheme$2.annotations$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametrizedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.ParametrizedSecuritySchemeParser$module$2 = null;
    this.EndpointParser$module$2 = null;
    this.RequestParser$module$2 = null;
    this.OperationParser$module$2 = null;
    this.root$2 = null;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "OasDocumentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser(x$1)) {
      const OasDocumentParser$1 = x$1;
      const x = this.root$2;
      const x$2 = OasDocumentParser$1.root$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parseExtension__p2__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(document, field) {
    const map = this.root$2.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
    new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, map, document).parse__V();
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("x-extends");
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const e = arg1;
      const x1 = this.ctx$2.link__Lorg_yaml_model_YNode__s_util_Either(e.value$1);
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const url = x2.value$2;
        const this$3 = this.root$2.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return (x$1.origin$1.url$1 === url$1)
          })
        })(this, url)));
        if ((!this$3.isEmpty__Z())) {
          const arg1$1 = this$3.get__O();
          const extend = arg1$1;
          const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(extend.unit$1.id__T(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e.value$1));
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(document, field, value, annotations)
        }
      }
    }
  };
  parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(document) {
    const parent = this.root$2.location$1;
    const this$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(document, parent);
    const location = this.root$2.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, location);
    const map = this.root$2.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext("x-uses", map, this.root$2.references$1, this.ctx$2).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$2.location$1);
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$2, map);
    const this$2 = this.parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map);
    const annotation = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$2.vendor$1);
    const api = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$2, annotation);
    const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    const this$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(document, field$1, api);
    const parent$1 = this.root$2.location$1;
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$3, parent$1);
    const declarable = this.ctx$2.declarations$3.declarables__sc_Seq();
    if (declarable.nonEmpty__Z()) {
      const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$2, declarable)
    };
    const this$4 = references.references$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      const references$1 = references.solvedReferences__sc_Seq();
      const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$3, references$1)
    };
    return document
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseExtension__Lamf_plugins_document_webapi_model_Extension() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const extension = this.parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p2__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(extension, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return extension
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx) {
    this.root$2 = root;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    return this
  };
  parseOverlay__Lamf_plugins_document_webapi_model_Overlay() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const overlay = this.parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p2__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(overlay, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return overlay
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map) {
    const api = $m_Lamf_plugins_domain_webapi_models_WebApi$().apply__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map).adopted__T__Lamf_plugins_domain_webapi_models_WebApi(this.root$2.location$1);
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("info");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const info = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
      this.ctx$2.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(api.id$1, info, "info", false);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1;
      const iv = this.ctx$2;
      jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1;
      const iv$1 = this.ctx$2;
      jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1;
      const iv$2 = this.ctx$2;
      jsx$3.key__T__F1__V("termsOfService", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1;
      const iv$3 = this.ctx$2;
      jsx$4.key__T__F1__V("version", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1;
      const iv$4 = this.ctx$2;
      jsx$5.key__T__F1__V("contact", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(node$2) {
          const node = node$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_Organization(node, $this.ctx$2)
        })
      })(this))));
      const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1;
      const iv$5 = this.ctx$2;
      jsx$6.key__T__F1__V("license", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(node$3$2) {
          const node$3 = node$3$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_License(node$3, this$2$1.ctx$2)
        })
      })(this))))
    };
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Host$1;
    const iv$6 = this.ctx$2;
    jsx$7.key__T__F1__V("host", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$13 = this$12.key__T__s_Option("x-base-uri-parameters");
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const entry$3 = arg1$1;
      const uriParameters = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser().init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, api$1) {
        return (function(name$2) {
          const name = name$2;
          return api$1.withBaseUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name)
        })
      })(this, api)), this.ctx$2).parse__sc_Seq();
      const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(uriParameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$7, value, annotations)
    };
    const jsx$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BasePath$1;
    const iv$7 = this.ctx$2;
    jsx$8.key__T__F1__V("basePath", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$8, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1;
    const iv$8 = this.ctx$2;
    jsx$9.key__T__F1__V("consumes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$9, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1;
    const iv$9 = this.ctx$2;
    jsx$10.key__T__F1__V("produces", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$10, iv$9).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
    const iv$10 = this.ctx$2;
    jsx$11.key__T__F1__V("schemes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$11, iv$10).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const this$19 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$20 = this$19.key__T__s_Option("security");
    if ((!this$20.isEmpty__Z())) {
      const arg1$2 = this$20.get__O();
      const entry$4 = arg1$2;
      const jsx$13 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$2);
      const jsx$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, api$1$1) {
        return (function(s$2) {
          const s = s$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($this$2, s, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, api$1$2) {
            return (function(name$2$1) {
              const name$1 = name$2$1;
              return api$1$2.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$1)
            })
          })($this$2, api$1$1))).parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme()
        })
      })(this, api));
      const this$21 = $m_sc_Seq$();
      const securedBy = jsx$13.map__F1__scg_CanBuildFrom__O(jsx$12, this$21.ReusableCBFInstance$2);
      const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(securedBy, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$12, value$1, annotations$1)
    };
    const documentations = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$23 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$24 = this$23.key__T__s_Option("externalDocs");
    if ((!this$24.isEmpty__Z())) {
      const arg1$3 = this$24.get__O();
      const entry$5 = arg1$3;
      documentations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser().init___Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2), this.ctx$2).parse__Lamf_plugins_domain_shapes_models_CreativeWork())
    };
    const this$26 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$27 = this$26.key__T__s_Option("x-user-documentation");
    if ((!this$27.isEmpty__Z())) {
      const arg1$4 = this$27.get__O();
      const entry$6 = arg1$4;
      documentations.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__sc_Seq(this, entry$6.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$2)).parse__sc_Seq())
    };
    if (documentations.nonEmpty__Z()) {
      const field$13 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(api, field$13, documentations)
    };
    const this$29 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$30 = this$29.key__T__s_Option("paths");
    if ((!this$30.isEmpty__Z())) {
      const arg1$5 = this$30.get__O();
      const entry$7 = arg1$5;
      const paths = entry$7.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
      const this$32 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(paths);
      const entries = this$32.regex__T__sc_Iterable("^/.*");
      if (entries.nonEmpty__Z()) {
        const endpoints = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, api$1$3, endpoints$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1__scm_ListBuffer($this$4, x$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, api$1$4) {
              return (function(path$2) {
                const path = path$2;
                return api$1$4.withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path)
              })
            })($this$4, api$1$3)), endpoints$1).parse__V()
          })
        })(this, api, endpoints)));
        const field$14 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
        const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(endpoints, new $c_Lamf_core_parser_Annotations().init___());
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$7.value$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$14, value$2, annotations$2)
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(api, map, this.ctx$2).parse__V();
    this.ctx$2.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(api.id$1, map, "webApi", false);
    return api
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter {
  constructor() {
    super();
    this.DocumentationItemFragmentEmitter$module$3 = null;
    this.DataTypeFragmentEmitter$module$3 = null;
    this.AnnotationFragmentEmitter$module$3 = null;
    this.ResourceTypeFragmentEmitter$module$3 = null;
    this.TraitFragmentEmitter$module$3 = null;
    this.SecuritySchemeFragmentEmitter$module$3 = null;
    this.NamedExampleFragmentEmitter$module$3 = null;
    this.OasHeaderEmitter$module$3 = null;
    this.spec$3 = null
  };
  emitFragment__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Oas$(), this.document$2.annotations__Lamf_core_parser_Annotations());
    const x1 = this.document$2;
    let typeEmitter;
    if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x1)) {
      const x2 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering(this, x2, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x1)) {
      const x3 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering(this, x3, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x1)) {
      const x4 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering(this, x4, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x1)) {
      const x5 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering(this, x5, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x1)) {
      const x6 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering(this, x6, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x1)) {
      const x7 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering(this, x7, ordering)
    } else {
      if ((!$is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x1))) {
        throw new $c_jl_UnsupportedOperationException().init___T("Unsupported fragment type")
      };
      const x8 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering(this, x8, ordering)
    };
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this.document$2.references__sc_Seq(), ordering);
    const this$1 = this.document$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry("x-usage", f))
    };
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    const jsx$7 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([typeEmitter.header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter()]));
    const jsx$4 = typeEmitter.emitters__sc_Seq();
    const this$7 = $m_sc_Seq$();
    const jsx$3 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$7.ReusableCBFInstance$2);
    const jsx$2 = usage.toList__sci_List();
    const this$9 = $m_sc_Seq$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$9.ReusableCBFInstance$2);
    const this$10 = $m_sc_Seq$();
    jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(references, this$10.ReusableCBFInstance$2), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(fragment, spec) {
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, fragment, spec);
    return this
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$3
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.DocumentationItemFragmentParser$module$2 = null;
    this.DataTypeFragmentParser$module$2 = null;
    this.AnnotationFragmentParser$module$2 = null;
    this.ResourceTypeFragmentParser$module$2 = null;
    this.TraitFragmentParser$module$2 = null;
    this.SecuritySchemeFragmentParser$module$2 = null;
    this.NamedExampleFragmentParser$module$2 = null;
    this.root$2 = null;
    this.fragment$2 = null;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "OasFragmentParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser(x$1)) {
      const OasFragmentParser$1 = x$1;
      const x = this.root$2;
      const x$2 = OasFragmentParser$1.root$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.fragment$2;
        const x$4 = OasFragmentParser$1.fragment$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      case 1: {
        return this.fragment$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseFragment__Lamf_core_model_document_Fragment() {
    const this$1 = this.root$2.parsed$1.document$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = this$1.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    let map;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const m = x2.value$2;
      map = m
    } else {
      this.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(this.root$2.location$1, "Cannot parse empty map", this.root$2.parsed$1.document$1);
      map = $m_Lorg_yaml_model_YMap$().empty$1
    };
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext("x-uses", map, this.root$2.references$1, this.ctx$2).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$2.location$1);
    const this$2 = this.detectType__s_Option();
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x0$1 = arg1;
      const x = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$();
      let jsx$1;
      if ((x === x0$1)) {
        jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment()
      } else {
        const x$3 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$();
        if ((x$3 === x0$1)) {
          jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_DataTypeFragment()
        } else {
          const x$5 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$();
          if ((x$5 === x0$1)) {
            jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment()
          } else {
            const x$7 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$();
            if ((x$7 === x0$1)) {
              jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_TraitFragment()
            } else {
              const x$9 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$();
              if ((x$9 === x0$1)) {
                jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment()
              } else {
                const x$11 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$();
                if ((x$11 === x0$1)) {
                  jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment()
                } else {
                  const x$13 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$();
                  if ((!(x$13 === x0$1))) {
                    throw new $c_s_MatchError().init___O(x0$1)
                  };
                  jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_NamedExampleFragment()
                }
              }
            }
          }
        }
      };
      this$3 = new $c_s_Some().init___O(jsx$1)
    };
    let fragment$1;
    if (this$3.isEmpty__Z()) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$11 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$10 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const text = this.root$2.raw$1;
      const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
      const encoded = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$10, field, text);
      const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      const fragment = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$11, field$1, encoded);
      this.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(fragment.id$1, "Unsupported oas type", map);
      fragment$1 = fragment
    } else {
      fragment$1 = this$3.get__O()
    };
    const location = this.root$2.location$1;
    const field$2 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$12 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(fragment$1, field$2, location);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$2.parsed$1.document$1);
    $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$12, other);
    new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, map, fragment$1).parse__V();
    const this$13 = references.references$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$13)) {
      const references$1 = references.solvedReferences__sc_Seq();
      const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(fragment$1, field$3, references$1)
    };
    return fragment$1
  };
  init___Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, fragment, ctx) {
    this.root$2 = root;
    this.fragment$2 = fragment;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    return this
  };
  detectType__s_Option() {
    const this$1 = this.fragment$2;
    return (this$1.isEmpty__Z() ? $m_Lamf_plugins_document_webapi_parser_OasHeader$().apply__Lamf_core_Root__s_Option(this.root$2) : this$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.root$2 = null;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "OasModuleParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser(x$1)) {
      const OasModuleParser$1 = x$1;
      const x = this.root$2;
      const x$2 = OasModuleParser$1.root$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseModule__Lamf_core_model_document_Module() {
    const sourceVendor = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$2.vendor$1);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$2.parsed$1.document$1);
    const this$3 = new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$2.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const parent = this.root$2.location$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const module = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, sourceVendor);
    const field$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const value = this.root$2.location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(module, field$1, value);
    const node = this.root$2.parsed$1.document$1;
    const this$7 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const rootMap = arg1;
      const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext("x-uses", rootMap, this.root$2.references$1, this.ctx$2).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$2.location$1);
      this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$2, rootMap);
      new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, rootMap, module).parse__V();
      const declarable = this.ctx$2.declarations$3.declarables__sc_Seq();
      if (declarable.nonEmpty__Z()) {
        const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$2, declarable)
      };
      const this$8 = references.references$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
        const references$1 = references.solvedReferences__sc_Seq();
        const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$3, references$1)
      }
    };
    return module
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx) {
    this.root$2 = root;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasModuleParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser {
  constructor() {
    super();
    this.DocumentationItemFragmentParser$module$2 = null;
    this.DataTypeFragmentParser$module$2 = null;
    this.ResourceTypeFragmentParser$module$2 = null;
    this.TraitFragmentParser$module$2 = null;
    this.AnnotationFragmentParser$module$2 = null;
    this.SecuritySchemeFragmentParser$module$2 = null;
    this.NamedExampleFragmentParser$module$2 = null;
    this.root$2 = null;
    this.fragmentType$2 = null;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "RamlFragmentParser"
  };
  parseFragment__s_Option() {
    const this$1 = this.root$2.parsed$1.document$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = this$1.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    let rootMap;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      rootMap = map
    } else {
      this.ctx$2.violation__T__T__Lorg_yaml_model_YPart__V(this.root$2.location$1, "Cannot parse empty map", this.root$2.parsed$1.document$1);
      rootMap = $m_Lorg_yaml_model_YMap$().empty$1
    };
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext("uses", rootMap, this.root$2.references$1, this.ctx$2).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$2.location$1);
    const x1$2 = this.fragmentType$2;
    const x = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$();
    let optionFragment;
    if (x.equals__O__Z(x1$2)) {
      optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, rootMap).parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment())
    } else {
      const x$3 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$();
      if (x$3.equals__O__Z(x1$2)) {
        optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, rootMap).parse__Lamf_plugins_document_webapi_model_DataTypeFragment())
      } else {
        const x$5 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$();
        if (x$5.equals__O__Z(x1$2)) {
          optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, rootMap).parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment())
        } else {
          const x$7 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$();
          if (x$7.equals__O__Z(x1$2)) {
            optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, rootMap).parse__Lamf_plugins_document_webapi_model_TraitFragment())
          } else {
            const x$9 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$();
            if (x$9.equals__O__Z(x1$2)) {
              optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, rootMap).parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment())
            } else {
              const x$11 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$();
              if (x$11.equals__O__Z(x1$2)) {
                optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, rootMap).parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment())
              } else {
                const x$13 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$();
                if (x$13.equals__O__Z(x1$2)) {
                  optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, rootMap).parse__Lamf_plugins_document_webapi_model_NamedExampleFragment())
                } else {
                  optionFragment = $m_s_None$()
                }
              }
            }
          }
        }
      }
    };
    if ($is_s_Some(optionFragment)) {
      const x2$2 = optionFragment;
      const fragment = x2$2.value$2;
      const location = this.root$2.location$1;
      const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(fragment, field, location);
      new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, rootMap, fragment).parse__V();
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$2.parsed$1.document$1);
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(fragment, other);
      const this$2 = fragment.encodes__Lamf_core_model_domain_DomainElement();
      const annotation = new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml10$());
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$2, annotation);
      const this$3 = references.references$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
        const references$1 = references.solvedReferences__sc_Seq();
        const field$1 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(fragment, field$1, references$1)
      };
      return new $c_s_Some().init___O(fragment)
    } else {
      return $m_s_None$()
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser(x$1)) {
      const RamlFragmentParser$1 = x$1;
      const x = this.root$2;
      const x$2 = RamlFragmentParser$1.root$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.fragmentType$2;
        const x$4 = RamlFragmentParser$1.fragmentType$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      case 1: {
        return this.fragmentType$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_parser_RamlFragment__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, fragmentType, ctx) {
    this.root$2 = root;
    this.fragmentType$2 = fragmentType;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser;
class $c_Lamf_plugins_domain_shapes_models_AnyShape extends $c_Lamf_core_model_domain_Shape {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    const value = ((parent + "/any/") + this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    return this.linkCopy__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(withRecursionBase, traversed) {
    return $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(this, withRecursionBase, traversed)
  };
  cloneShape$default$2__sci_Set() {
    return $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  cloneShape$default$1__s_Option() {
    return $m_s_None$()
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
  };
  copyAnyShape__Lamf_core_parser_Fields__Lamf_core_parser_Annotations__Lamf_plugins_domain_shapes_models_AnyShape(fields, annotations) {
    const this$2 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$2, value)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_AnyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_AnyShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_AnyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_AnyShape)))
});
const $d_Lamf_plugins_domain_shapes_models_AnyShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_AnyShape: 0
}, false, "amf.plugins.domain.shapes.models.AnyShape", {
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1
});
$c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_AnyShape;
class $c_Lamf_plugins_domain_shapes_models_PropertyDependencies extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "PropertyDependencies"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_PropertyDependencies(x$1)) {
      const PropertyDependencies$1 = x$1;
      const x = this.fields$1;
      const x$2 = PropertyDependencies$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = PropertyDependencies$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  adopted__T__Lamf_plugins_domain_shapes_models_PropertyDependencies(parent) {
    const value = (parent + "/dependency");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_PropertyDependencies(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_PropertyDependencies = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_PropertyDependencies)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_PropertyDependencies = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_PropertyDependencies)))
});
const $d_Lamf_plugins_domain_shapes_models_PropertyDependencies = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_PropertyDependencies: 0
}, false, "amf.plugins.domain.shapes.models.PropertyDependencies", {
  Lamf_plugins_domain_shapes_models_PropertyDependencies: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_PropertyDependencies.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_PropertyDependencies;
class $c_Lamf_plugins_domain_shapes_models_XMLSerializer extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "XMLSerializer"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_XMLSerializer(x$1)) {
      const XMLSerializer$1 = x$1;
      const x = this.fields$1;
      const x$2 = XMLSerializer$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = XMLSerializer$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  adopted__T__Lamf_plugins_domain_shapes_models_XMLSerializer(parent) {
    const value = (parent + "/xml");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_XMLSerializer(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_XMLSerializer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_XMLSerializer)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_XMLSerializer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_XMLSerializer)))
});
const $d_Lamf_plugins_domain_shapes_models_XMLSerializer = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_XMLSerializer: 0
}, false, "amf.plugins.domain.shapes.models.XMLSerializer", {
  Lamf_plugins_domain_shapes_models_XMLSerializer: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_XMLSerializer.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_XMLSerializer;
class $c_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.ParameterName$1 = null;
    this.Description$1 = null;
    this.Required$1 = null;
    this.Binding$1 = null;
    this.Schema$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Optional$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.ParameterName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "paramName"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Required$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "required"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Binding$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "binding"), true);
    const jsx$6 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "schema"), true);
    this.key$1 = this.Name$1;
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "Parameter");
    const this$15 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$15);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.ParameterName$1, this.Description$1, this.Required$1, this.Binding$1, this.Schema$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_ParameterModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.ParameterModel$", {
  Lamf_plugins_domain_webapi_metamodel_ParameterModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_ParameterModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_ParameterModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Description$1 = null;
    this.StatusCode$1 = null;
    this.Headers$1 = null;
    this.Payloads$1 = null;
    this.Examples$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Optional$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.StatusCode$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "statusCode"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Headers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "header"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Payloads$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "payload"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Examples$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "examples"), true);
    this.key$1 = this.StatusCode$1;
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "Response");
    const this$15 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$15);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const jsx$4 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Description$1, this.StatusCode$1, this.Headers$1, this.Payloads$1, this.Examples$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_ResponseModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.ResponseModel$", {
  Lamf_plugins_domain_webapi_metamodel_ResponseModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_ResponseModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_ResponseModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$
});
class $c_Lamf_plugins_domain_webapi_models_License extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "License"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_License(x$1)) {
      const License$1 = x$1;
      const x = this.fields$1;
      const x$2 = License$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = License$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  adopted__T__Lamf_plugins_domain_webapi_models_License(parent) {
    const value = (parent + "/license");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_License(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_License = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_License)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_License = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_License)))
});
const $d_Lamf_plugins_domain_webapi_models_License = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_License: 0
}, false, "amf.plugins.domain.webapi.models.License", {
  Lamf_plugins_domain_webapi_models_License: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_License.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_License;
class $c_Lamf_plugins_domain_webapi_models_Organization extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Organization"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Organization(x$1)) {
      const Organization$1 = x$1;
      const x = this.fields$1;
      const x$2 = Organization$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Organization$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  adopted__T__Lamf_plugins_domain_webapi_models_Organization(parent) {
    const value = (parent + "/organization");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_Organization(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Organization = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Organization)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Organization = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Organization)))
});
const $d_Lamf_plugins_domain_webapi_models_Organization = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Organization: 0
}, false, "amf.plugins.domain.webapi.models.Organization", {
  Lamf_plugins_domain_webapi_models_Organization: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Organization.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Organization;
class $c_Lamf_plugins_domain_webapi_models_Request extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Request"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Request(x$1)) {
      const Request$1 = x$1;
      const x = this.fields$1;
      const x$2 = Request$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Request$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$()
  };
  withBaseUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_plugins_domain_webapi_models_Request(parent) {
    const value = (parent + "/request");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_Request(parent)
  };
  withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    if ((!mediaType.isEmpty__Z())) {
      const arg1 = mediaType.get__O();
      const mediaType$2 = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field, mediaType$2))
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
}
const $is_Lamf_plugins_domain_webapi_models_Request = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Request)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Request = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Request)))
});
const $d_Lamf_plugins_domain_webapi_models_Request = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Request: 0
}, false, "amf.plugins.domain.webapi.models.Request", {
  Lamf_plugins_domain_webapi_models_Request: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Request.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Request;
class $c_Lamf_plugins_domain_webapi_models_WebApi extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "WebApi"
  };
  productArity__I() {
    return 2
  };
  withDocumentationUrl__T__Lamf_plugins_domain_shapes_models_CreativeWork(url) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, url);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_WebApi(x$1)) {
      const WebApi$1 = x$1;
      const x = this.fields$1;
      const x$2 = WebApi$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = WebApi$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$()
  };
  adopted__T__Lamf_plugins_domain_webapi_models_WebApi(parent) {
    const value = (parent + "#/web-api");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  withBaseUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().BaseUriParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, path);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withDocumentationTitle__T__Lamf_plugins_domain_shapes_models_CreativeWork(title) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, title);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_WebApi(parent)
  };
  sourceVendor__s_Option() {
    const this$1 = this.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      return new $c_s_Some().init___O(a.vendor$1)
    }
  };
}
const $is_Lamf_plugins_domain_webapi_models_WebApi = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_WebApi)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_WebApi = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_WebApi)))
});
const $d_Lamf_plugins_domain_webapi_models_WebApi = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_WebApi: 0
}, false, "amf.plugins.domain.webapi.models.WebApi", {
  Lamf_plugins_domain_webapi_models_WebApi: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_WebApi.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_WebApi;
class $c_Lamf_plugins_domain_webapi_models_security_Scope extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Scope"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x$1)) {
      const Scope$1 = x$1;
      const x = this.fields$1;
      const x$2 = Scope$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Scope$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  cloneScope__Lamf_plugins_domain_webapi_models_security_Scope() {
    const annotations = this.annotations$1;
    const cloned = new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$3 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const value = v.value$1;
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, value, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$3.fs$1.foreach__F1__V(fn);
    return cloned
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_Scope(parent) {
    const value = ((parent + "/") + this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_Scope(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_Scope = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_Scope)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_Scope = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_Scope)))
});
const $d_Lamf_plugins_domain_webapi_models_security_Scope = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_Scope: 0
}, false, "amf.plugins.domain.webapi.models.security.Scope", {
  Lamf_plugins_domain_webapi_models_security_Scope: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_Scope.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_Scope;
class $c_Lorg_yaml_model_YComment extends $c_Lorg_yaml_model_YIgnorable {
  constructor() {
    super();
    this.metaText$3 = null;
    this.range$3 = null;
    this.tokens$3 = null
  };
  productPrefix__T() {
    return "YComment"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YComment(obj)) {
      const x2 = obj;
      return (this.metaText$3 === x2.metaText$3)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.metaText$3;
        break
      }
      case 1: {
        return this.range$3;
        break
      }
      case 2: {
        return this.tokens$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.metaText$3
  };
  init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(metaText, range, tokens) {
    this.metaText$3 = metaText;
    this.range$3 = range;
    this.tokens$3 = tokens;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, tokens);
    return this
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  hashCode__I() {
    const this$1 = this.metaText$3;
    return $m_sjsr_RuntimeString$().hashCode__T__I(this$1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YComment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YComment)))
});
const $isArrayOf_Lorg_yaml_model_YComment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YComment)))
});
const $d_Lorg_yaml_model_YComment = new $TypeData().initClass({
  Lorg_yaml_model_YComment: 0
}, false, "org.yaml.model.YComment", {
  Lorg_yaml_model_YComment: 1,
  Lorg_yaml_model_YIgnorable: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YComment.prototype.$classData = $d_Lorg_yaml_model_YComment;
class $c_Lorg_yaml_model_YDocument extends $c_Lorg_yaml_model_YNodeLike {
  constructor() {
    super();
    this.children$3 = null;
    this.node$3 = null;
    this.tagType$3 = null;
    this.headComment$3 = null;
    this.range$3 = null
  };
  productPrefix__T() {
    return "YDocument"
  };
  children__sc_IndexedSeq() {
    return this.children$3
  };
  productArity__I() {
    return 1
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$3 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_YDocument(x$1)) {
      const YDocument$1 = x$1;
      const x = this.children$3;
      const x$2 = YDocument$1.children$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.children$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return ("Document: " + this.node$3.toString__T())
  };
  init___sc_IndexedSeq(children) {
    this.children$3 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    const pf = new $c_Lorg_yaml_model_YDocument$$anonfun$1().init___Lorg_yaml_model_YDocument(this);
    const this$1 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(children, pf);
    this.node$3 = (this$1.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().Null$1 : this$1.get__O());
    this.tagType$3 = this.node$3.tag__Lorg_yaml_model_YTag().tagType$2;
    const jsx$2 = children.takeWhile__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (!$is_Lorg_yaml_model_YNode(x$1))
      })
    })(this)));
    const jsx$1 = new $c_Lorg_yaml_model_YDocument$$anonfun$2().init___Lorg_yaml_model_YDocument(this);
    const this$3 = $m_sc_IndexedSeq$();
    this.headComment$3 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBF$6).mkString__T__T("\n");
    return this
  };
  to__Lorg_yaml_convert_YRead__s_util_Either(conversion) {
    return this.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion)
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  obj__Lorg_yaml_model_YObj() {
    return (this.node$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z($m_Lorg_yaml_model_YNode$().Null$1) ? $m_Lorg_yaml_model_YFail$().apply__Lorg_yaml_model_YNodeLike__F0__Lorg_yaml_model_YFail(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return "Empty Document"
      })
    })(this))) : new $c_Lorg_yaml_model_YSuccess().init___Lorg_yaml_model_YNode(this.node$3))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  thisNode__Lorg_yaml_model_YNode() {
    return this.node$3
  };
}
const $is_Lorg_yaml_model_YDocument = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDocument)))
});
const $isArrayOf_Lorg_yaml_model_YDocument = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDocument)))
});
const $d_Lorg_yaml_model_YDocument = new $TypeData().initClass({
  Lorg_yaml_model_YDocument: 0
}, false, "org.yaml.model.YDocument", {
  Lorg_yaml_model_YDocument: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument.prototype.$classData = $d_Lorg_yaml_model_YDocument;
class $c_Lorg_yaml_model_YNonContent extends $c_Lorg_yaml_model_YIgnorable {
  constructor() {
    super();
    this.range$3 = null;
    this.tokens$3 = null
  };
  productPrefix__T() {
    return "YNonContent"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_YNonContent(x$1)) {
      const YNonContent$1 = x$1;
      const x = this.range$3;
      const x$2 = YNonContent$1.range$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.tokens$3;
        const x$4 = YNonContent$1.tokens$3;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.range$3;
        break
      }
      case 1: {
        return this.tokens$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.tokens$3.mkString__T__T(", ")
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(range, tokens) {
    this.range$3 = range;
    this.tokens$3 = tokens;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, tokens);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YNonContent = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNonContent)))
});
const $isArrayOf_Lorg_yaml_model_YNonContent = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNonContent)))
});
const $d_Lorg_yaml_model_YNonContent = new $TypeData().initClass({
  Lorg_yaml_model_YNonContent: 0
}, false, "org.yaml.model.YNonContent", {
  Lorg_yaml_model_YNonContent: 1,
  Lorg_yaml_model_YIgnorable: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YNonContent.prototype.$classData = $d_Lorg_yaml_model_YNonContent;
class $c_s_Tuple2$mcII$sp extends $c_T2 {
  constructor() {
    super();
    this.$$und1$mcI$sp$f = 0;
    this.$$und2$mcI$sp$f = 0
  };
  $$und1$mcI$sp__I() {
    return this.$$und1$mcI$sp$f
  };
  init___I__I(_1$mcI$sp, _2$mcI$sp) {
    this.$$und1$mcI$sp$f = _1$mcI$sp;
    this.$$und2$mcI$sp$f = _2$mcI$sp;
    $c_T2.prototype.init___O__O.call(this, null, null);
    return this
  };
  $$und2__O() {
    return this.$$und2$mcI$sp$f
  };
  $$und2$mcI$sp__I() {
    return this.$$und2$mcI$sp$f
  };
  $$und1__O() {
    return this.$$und1$mcI$sp$f
  };
}
const $d_s_Tuple2$mcII$sp = new $TypeData().initClass({
  s_Tuple2$mcII$sp: 0
}, false, "scala.Tuple2$mcII$sp", {
  s_Tuple2$mcII$sp: 1,
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Product2$mcII$sp: 1
});
$c_s_Tuple2$mcII$sp.prototype.$classData = $d_s_Tuple2$mcII$sp;
class $c_s_concurrent_impl_Promise$DefaultPromise extends $c_ju_concurrent_atomic_AtomicReference {
  compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(linked) {
    _compressedRoot: while (true) {
      const target = linked.root__p2__s_concurrent_impl_Promise$DefaultPromise();
      if ((linked === target)) {
        return target
      } else if (this.compareAndSet__O__O__Z(linked, target)) {
        return target
      } else {
        const x1 = this.value$1;
        if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
          const x2 = x1;
          linked = x2;
          continue _compressedRoot
        } else {
          return this
        }
      }
    }
  };
  init___() {
    $c_ju_concurrent_atomic_AtomicReference.prototype.init___O.call(this, $m_sci_Nil$());
    return this
  };
  dispatchOrAddCallback__p2__s_concurrent_impl_CallbackRunnable__V(runnable) {
    let _$this = this;
    _dispatchOrAddCallback: while (true) {
      const x1 = _$this.value$1;
      if ($is_s_util_Try(x1)) {
        const x2 = x1;
        runnable.executeWithValue__s_util_Try__V(x2)
      } else {
        if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
          const x3 = x1;
          _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
          continue _dispatchOrAddCallback
        };
        if ((!$is_sci_List(x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const x4 = x1;
        if ((!_$this.compareAndSet__O__O__Z(x4, new $c_sci_$colon$colon().init___O__sci_List(runnable, x4)))) {
          continue _dispatchOrAddCallback
        }
      };
      break
    }
  };
  foreach__F1__s_concurrent_ExecutionContext__V(f, executor) {
    $f_s_concurrent_Future__foreach__F1__s_concurrent_ExecutionContext__V(this, f, executor)
  };
  tryComplete__s_util_Try__Z(value) {
    const resolved = $m_s_concurrent_impl_Promise$().scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(value);
    const x1 = this.tryCompleteAndGetListeners__p2__s_util_Try__sci_List(resolved);
    if ((x1 !== null)) {
      if (x1.isEmpty__Z()) {
        return true
      } else {
        let these = x1;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const r = arg1;
          r.executeWithValue__s_util_Try__V(resolved);
          these = these.tail__O()
        };
        return true
      }
    } else {
      return false
    }
  };
  link__p2__s_concurrent_impl_Promise$DefaultPromise__V(target) {
    let _$this = this;
    _link: while (true) {
      if ((_$this !== target)) {
        const x1 = _$this.value$1;
        matchEnd6: {
          if ($is_s_util_Try(x1)) {
            const x2 = x1;
            if ((!target.tryComplete__s_util_Try__Z(x2))) {
              throw new $c_jl_IllegalStateException().init___T("Cannot link completed promises together")
            };
            break matchEnd6
          };
          if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
            const x3 = x1;
            _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
            continue _link
          };
          if ($is_sci_List(x1)) {
            const x4 = x1;
            if (_$this.compareAndSet__O__O__Z(x4, target)) {
              if ($f_sc_TraversableOnce__nonEmpty__Z(x4)) {
                let these = x4;
                while ((!these.isEmpty__Z())) {
                  const arg1 = these.head__O();
                  const x$2 = arg1;
                  target.dispatchOrAddCallback__p2__s_concurrent_impl_CallbackRunnable__V(x$2);
                  these = these.tail__O()
                };
                break matchEnd6
              } else {
                break matchEnd6
              }
            }
          };
          continue _link
        }
      };
      break
    }
  };
  toString__T() {
    return $f_s_concurrent_impl_Promise__toString__T(this)
  };
  root__p2__s_concurrent_impl_Promise$DefaultPromise() {
    let _$this = this;
    _root: while (true) {
      const x1 = _$this.value$1;
      if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        const x2 = x1;
        _$this = x2;
        continue _root
      } else {
        return _$this
      }
    }
  };
  flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise() {
    const x1 = this.value$1;
    if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      const x2 = x1;
      return this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x2)
    } else {
      return this
    }
  };
  tryCompleteAndGetListeners__p2__s_util_Try__sci_List(v) {
    let _$this = this;
    _tryCompleteAndGetListeners: while (true) {
      const x1 = _$this.value$1;
      if ($is_sci_List(x1)) {
        const x2 = x1;
        if (_$this.compareAndSet__O__O__Z(x2, v)) {
          return x2
        } else {
          continue _tryCompleteAndGetListeners
        }
      } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        const x3 = x1;
        _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
        continue _tryCompleteAndGetListeners
      } else {
        return null
      }
    }
  };
  onComplete__F1__s_concurrent_ExecutionContext__V(func, executor) {
    this.dispatchOrAddCallback__p2__s_concurrent_impl_CallbackRunnable__V(new $c_s_concurrent_impl_CallbackRunnable().init___s_concurrent_ExecutionContext__F1(executor, func))
  };
  zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(that, f, executor) {
    return $f_s_concurrent_Future__zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(this, that, f, executor)
  };
  map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  value__s_Option() {
    return this.value0__p2__s_Option()
  };
  recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return $f_s_concurrent_Future__recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this, pf, executor)
  };
  value0__p2__s_Option() {
    let _$this = this;
    _value0: while (true) {
      const x1 = _$this.value$1;
      if ($is_s_util_Try(x1)) {
        const x2 = x1;
        return new $c_s_Some().init___O(x2)
      } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        const x3 = x1;
        _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
        continue _value0
      } else {
        return $m_s_None$()
      }
    }
  };
  failed__s_concurrent_Future() {
    return $f_s_concurrent_Future__failed__s_concurrent_Future(this)
  };
}
const $is_s_concurrent_impl_Promise$DefaultPromise = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
});
const $isArrayOf_s_concurrent_impl_Promise$DefaultPromise = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
});
const $d_s_concurrent_impl_Promise$DefaultPromise = new $TypeData().initClass({
  s_concurrent_impl_Promise$DefaultPromise: 0
}, false, "scala.concurrent.impl.Promise$DefaultPromise", {
  s_concurrent_impl_Promise$DefaultPromise: 1,
  ju_concurrent_atomic_AtomicReference: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.$classData = $d_s_concurrent_impl_Promise$DefaultPromise;
class $c_s_math_Ordering$Int$ extends $c_O {
  init___() {
    return this
  };
  compare__O__O__I(x, y) {
    const x$1 = (x | 0);
    const y$1 = (y | 0);
    return ((x$1 === y$1) ? 0 : ((x$1 < y$1) ? (-1) : 1))
  };
}
const $d_s_math_Ordering$Int$ = new $TypeData().initClass({
  s_math_Ordering$Int$: 0
}, false, "scala.math.Ordering$Int$", {
  s_math_Ordering$Int$: 1,
  O: 1,
  s_math_Ordering$IntOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$Int$.prototype.$classData = $d_s_math_Ordering$Int$;
let $n_s_math_Ordering$Int$ = (void 0);
const $m_s_math_Ordering$Int$ = (function() {
  if ((!$n_s_math_Ordering$Int$)) {
    $n_s_math_Ordering$Int$ = new $c_s_math_Ordering$Int$().init___()
  };
  return $n_s_math_Ordering$Int$
});
class $c_s_math_Ordering$String$ extends $c_O {
  init___() {
    return this
  };
  compare__O__O__I(x, y) {
    const x$1 = x;
    const y$1 = y;
    return ((x$1 === y$1) ? 0 : ((!(!(x$1 < y$1))) ? (-1) : 1))
  };
}
const $d_s_math_Ordering$String$ = new $TypeData().initClass({
  s_math_Ordering$String$: 0
}, false, "scala.math.Ordering$String$", {
  s_math_Ordering$String$: 1,
  O: 1,
  s_math_Ordering$StringOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$String$.prototype.$classData = $d_s_math_Ordering$String$;
let $n_s_math_Ordering$String$ = (void 0);
const $m_s_math_Ordering$String$ = (function() {
  if ((!$n_s_math_Ordering$String$)) {
    $n_s_math_Ordering$String$ = new $c_s_math_Ordering$String$().init___()
  };
  return $n_s_math_Ordering$String$
});
class $c_s_reflect_AnyValManifest extends $c_O {
  constructor() {
    super();
    this.toString$1 = null
  };
  equals__O__Z(that) {
    return (this === that)
  };
  toString__T() {
    return this.toString$1
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
}
class $c_s_reflect_ManifestFactory$ClassTypeManifest extends $c_O {
  constructor() {
    super();
    this.prefix$1 = null;
    this.runtimeClass1$1 = null;
    this.typeArguments$1 = null
  };
}
class $c_sc_IndexedSeq$ extends $c_scg_IndexedSeqFactory {
  constructor() {
    super();
    this.ReusableCBF$6 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sc_IndexedSeq$ = this;
    this.ReusableCBF$6 = new $c_sc_IndexedSeq$$anon$1().init___();
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sc_IndexedSeq$ = new $TypeData().initClass({
  sc_IndexedSeq$: 0
}, false, "scala.collection.IndexedSeq$", {
  sc_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_IndexedSeq$.prototype.$classData = $d_sc_IndexedSeq$;
let $n_sc_IndexedSeq$ = (void 0);
const $m_sc_IndexedSeq$ = (function() {
  if ((!$n_sc_IndexedSeq$)) {
    $n_sc_IndexedSeq$ = new $c_sc_IndexedSeq$().init___()
  };
  return $n_sc_IndexedSeq$
});
class $c_sc_IndexedSeqLike$Elements extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.end$2 = 0;
    this.index$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    if ((this.index$2 >= this.end$2)) {
      $m_sc_Iterator$().empty$1.next__O()
    };
    const x = this.$$outer$2.apply__I__O(this.index$2);
    this.index$2 = ((1 + this.index$2) | 0);
    return x
  };
  take__I__sc_Iterator(n) {
    return ((n <= 0) ? $m_sc_Iterator$().empty$1 : ((n <= this.available__p2__I()) ? new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.index$2, ((this.index$2 + n) | 0)) : new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.index$2, this.end$2)))
  };
  init___sc_IndexedSeqLike__I__I($$outer, start, end) {
    this.end$2 = end;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.index$2 = start;
    return this
  };
  hasNext__Z() {
    return (this.index$2 < this.end$2)
  };
  available__p2__I() {
    const x = ((this.end$2 - this.index$2) | 0);
    return ((x > 0) ? x : 0)
  };
  drop__I__sc_Iterator(n) {
    return ((n <= 0) ? new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.index$2, this.end$2) : ((((this.index$2 + n) | 0) >= this.end$2) ? new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.end$2, this.end$2) : new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, ((this.index$2 + n) | 0), this.end$2)))
  };
}
const $d_sc_IndexedSeqLike$Elements = new $TypeData().initClass({
  sc_IndexedSeqLike$Elements: 0
}, false, "scala.collection.IndexedSeqLike$Elements", {
  sc_IndexedSeqLike$Elements: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_BufferedIterator: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_IndexedSeqLike$Elements.prototype.$classData = $d_sc_IndexedSeqLike$Elements;
class $c_sci_HashSet$ extends $c_scg_ImmutableSetFactory {
  init___() {
    return this
  };
  scala$collection$immutable$HashSet$$keepBits__I__I__I(bitmap, keep) {
    let result = 0;
    let current = bitmap;
    let kept = keep;
    while ((kept !== 0)) {
      const lsb = (current ^ (current & (((-1) + current) | 0)));
      if (((1 & kept) !== 0)) {
        result = (result | lsb)
      };
      current = (current & (~lsb));
      kept = ((kept >>> 1) | 0)
    };
    return result
  };
  scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(hash0, elem0, hash1, elem1, level) {
    const index0 = (31 & ((hash0 >>> level) | 0));
    const index1 = (31 & ((hash1 >>> level) | 0));
    if ((index0 !== index1)) {
      const bitmap = ((1 << index0) | (1 << index1));
      const elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [2]);
      if ((index0 < index1)) {
        elems.u[0] = elem0;
        elems.u[1] = elem1
      } else {
        elems.u[0] = elem1;
        elems.u[1] = elem0
      };
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap, elems, ((elem0.size__I() + elem1.size__I()) | 0))
    } else {
      const elems$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [1]);
      const bitmap$2 = (1 << index0);
      const child = this.scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(hash0, elem0, hash1, elem1, ((5 + level) | 0));
      elems$2.u[0] = child;
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap$2, elems$2, child.size0$5)
    }
  };
  emptyInstance__sci_Set() {
    return $m_sci_HashSet$EmptyHashSet$()
  };
}
const $d_sci_HashSet$ = new $TypeData().initClass({
  sci_HashSet$: 0
}, false, "scala.collection.immutable.HashSet$", {
  sci_HashSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$.prototype.$classData = $d_sci_HashSet$;
let $n_sci_HashSet$ = (void 0);
const $m_sci_HashSet$ = (function() {
  if ((!$n_sci_HashSet$)) {
    $n_sci_HashSet$ = new $c_sci_HashSet$().init___()
  };
  return $n_sci_HashSet$
});
class $c_sci_IndexedSeq$ extends $c_scg_IndexedSeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sci_IndexedSeq$ = new $TypeData().initClass({
  sci_IndexedSeq$: 0
}, false, "scala.collection.immutable.IndexedSeq$", {
  sci_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_IndexedSeq$.prototype.$classData = $d_sci_IndexedSeq$;
let $n_sci_IndexedSeq$ = (void 0);
const $m_sci_IndexedSeq$ = (function() {
  if ((!$n_sci_IndexedSeq$)) {
    $n_sci_IndexedSeq$ = new $c_sci_IndexedSeq$().init___()
  };
  return $n_sci_IndexedSeq$
});
class $c_sci_ListSet$ extends $c_scg_ImmutableSetFactory {
  init___() {
    return this
  };
  emptyInstance__sci_Set() {
    return $m_sci_ListSet$EmptyListSet$()
  };
}
const $d_sci_ListSet$ = new $TypeData().initClass({
  sci_ListSet$: 0
}, false, "scala.collection.immutable.ListSet$", {
  sci_ListSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$.prototype.$classData = $d_sci_ListSet$;
let $n_sci_ListSet$ = (void 0);
const $m_sci_ListSet$ = (function() {
  if ((!$n_sci_ListSet$)) {
    $n_sci_ListSet$ = new $c_sci_ListSet$().init___()
  };
  return $n_sci_ListSet$
});
class $c_scm_ArrayBuilder$ofBoolean extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  mkArray__p2__I__AZ(size) {
    const newelems = $newArrayObject($d_Z.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofBoolean(xs) {
    if ($is_scm_WrappedArray$ofBoolean(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofBoolean(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__Z__scm_ArrayBuilder$ofBoolean((!(!elem)))
  };
  toString__T() {
    return "ArrayBuilder.ofBoolean"
  };
  result__O() {
    return this.result__AZ()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AZ(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__Z__scm_ArrayBuilder$ofBoolean((!(!elem)))
  };
  result__AZ() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AZ(this.size$2)
    }
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$eq__Z__scm_ArrayBuilder$ofBoolean(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofBoolean(xs)
  };
}
const $is_scm_ArrayBuilder$ofBoolean = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofBoolean)))
});
const $isArrayOf_scm_ArrayBuilder$ofBoolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofBoolean)))
});
const $d_scm_ArrayBuilder$ofBoolean = new $TypeData().initClass({
  scm_ArrayBuilder$ofBoolean: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofBoolean", {
  scm_ArrayBuilder$ofBoolean: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofBoolean.prototype.$classData = $d_scm_ArrayBuilder$ofBoolean;
class $c_scm_ArrayBuilder$ofByte extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofByte(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofByte(xs) {
    if ($is_scm_WrappedArray$ofByte(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__B__scm_ArrayBuilder$ofByte((elem | 0))
  };
  mkArray__p2__I__AB(size) {
    const newelems = $newArrayObject($d_B.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  toString__T() {
    return "ArrayBuilder.ofByte"
  };
  result__O() {
    return this.result__AB()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AB(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__B__scm_ArrayBuilder$ofByte((elem | 0))
  };
  $$plus$eq__B__scm_ArrayBuilder$ofByte(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  result__AB() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AB(this.size$2)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofByte(xs)
  };
}
const $is_scm_ArrayBuilder$ofByte = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofByte)))
});
const $isArrayOf_scm_ArrayBuilder$ofByte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofByte)))
});
const $d_scm_ArrayBuilder$ofByte = new $TypeData().initClass({
  scm_ArrayBuilder$ofByte: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofByte", {
  scm_ArrayBuilder$ofByte: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofByte.prototype.$classData = $d_scm_ArrayBuilder$ofByte;
class $c_scm_ArrayBuilder$ofChar extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofChar(xs) {
    if ($is_scm_WrappedArray$ofChar(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofChar(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_ArrayBuilder$ofChar(jsx$1)
  };
  toString__T() {
    return "ArrayBuilder.ofChar"
  };
  result__O() {
    return this.result__AC()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AC(size);
    this.capacity$2 = size
  };
  result__AC() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AC(this.size$2)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_ArrayBuilder$ofChar(jsx$1)
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  mkArray__p2__I__AC(size) {
    const newelems = $newArrayObject($d_C.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$eq__C__scm_ArrayBuilder$ofChar(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofChar(xs)
  };
}
const $is_scm_ArrayBuilder$ofChar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofChar)))
});
const $isArrayOf_scm_ArrayBuilder$ofChar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofChar)))
});
const $d_scm_ArrayBuilder$ofChar = new $TypeData().initClass({
  scm_ArrayBuilder$ofChar: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofChar", {
  scm_ArrayBuilder$ofChar: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofChar.prototype.$classData = $d_scm_ArrayBuilder$ofChar;
class $c_scm_ArrayBuilder$ofDouble extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofDouble(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__D__scm_ArrayBuilder$ofDouble((+elem))
  };
  toString__T() {
    return "ArrayBuilder.ofDouble"
  };
  result__AD() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AD(this.size$2)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofDouble(xs) {
    if ($is_scm_WrappedArray$ofDouble(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  result__O() {
    return this.result__AD()
  };
  mkArray__p2__I__AD(size) {
    const newelems = $newArrayObject($d_D.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AD(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__D__scm_ArrayBuilder$ofDouble((+elem))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  $$plus$eq__D__scm_ArrayBuilder$ofDouble(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofDouble(xs)
  };
}
const $is_scm_ArrayBuilder$ofDouble = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofDouble)))
});
const $isArrayOf_scm_ArrayBuilder$ofDouble = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofDouble)))
});
const $d_scm_ArrayBuilder$ofDouble = new $TypeData().initClass({
  scm_ArrayBuilder$ofDouble: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofDouble", {
  scm_ArrayBuilder$ofDouble: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofDouble.prototype.$classData = $d_scm_ArrayBuilder$ofDouble;
class $c_scm_ArrayBuilder$ofFloat extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofFloat(xs) {
    if ($is_scm_WrappedArray$ofFloat(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofFloat(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__F__scm_ArrayBuilder$ofFloat((+elem))
  };
  toString__T() {
    return "ArrayBuilder.ofFloat"
  };
  result__O() {
    return this.result__AF()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AF(size);
    this.capacity$2 = size
  };
  $$plus$eq__F__scm_ArrayBuilder$ofFloat(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  result__AF() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AF(this.size$2)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__F__scm_ArrayBuilder$ofFloat((+elem))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  mkArray__p2__I__AF(size) {
    const newelems = $newArrayObject($d_F.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofFloat(xs)
  };
}
const $is_scm_ArrayBuilder$ofFloat = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofFloat)))
});
const $isArrayOf_scm_ArrayBuilder$ofFloat = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofFloat)))
});
const $d_scm_ArrayBuilder$ofFloat = new $TypeData().initClass({
  scm_ArrayBuilder$ofFloat: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofFloat", {
  scm_ArrayBuilder$ofFloat: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofFloat.prototype.$classData = $d_scm_ArrayBuilder$ofFloat;
class $c_scm_ArrayBuilder$ofInt extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofInt(xs) {
    if ($is_scm_WrappedArray$ofInt(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofInt(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__I__scm_ArrayBuilder$ofInt((elem | 0))
  };
  toString__T() {
    return "ArrayBuilder.ofInt"
  };
  result__O() {
    return this.result__AI()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AI(size);
    this.capacity$2 = size
  };
  result__AI() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AI(this.size$2)
    }
  };
  $$plus$eq__I__scm_ArrayBuilder$ofInt(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__I__scm_ArrayBuilder$ofInt((elem | 0))
  };
  mkArray__p2__I__AI(size) {
    const newelems = $newArrayObject($d_I.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofInt(xs)
  };
}
const $is_scm_ArrayBuilder$ofInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofInt)))
});
const $isArrayOf_scm_ArrayBuilder$ofInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofInt)))
});
const $d_scm_ArrayBuilder$ofInt = new $TypeData().initClass({
  scm_ArrayBuilder$ofInt: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofInt", {
  scm_ArrayBuilder$ofInt: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofInt.prototype.$classData = $d_scm_ArrayBuilder$ofInt;
class $c_scm_ArrayBuilder$ofLong extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofLong(xs) {
    if ($is_scm_WrappedArray$ofLong(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$eq__J__scm_ArrayBuilder$ofLong(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofLong(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__J__scm_ArrayBuilder$ofLong($uJ(elem))
  };
  result__AJ() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AJ(this.size$2)
    }
  };
  toString__T() {
    return "ArrayBuilder.ofLong"
  };
  result__O() {
    return this.result__AJ()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AJ(size);
    this.capacity$2 = size
  };
  mkArray__p2__I__AJ(size) {
    const newelems = $newArrayObject($d_J.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__J__scm_ArrayBuilder$ofLong($uJ(elem))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofLong(xs)
  };
}
const $is_scm_ArrayBuilder$ofLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofLong)))
});
const $isArrayOf_scm_ArrayBuilder$ofLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofLong)))
});
const $d_scm_ArrayBuilder$ofLong = new $TypeData().initClass({
  scm_ArrayBuilder$ofLong: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofLong", {
  scm_ArrayBuilder$ofLong: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofLong.prototype.$classData = $d_scm_ArrayBuilder$ofLong;
class $c_scm_ArrayBuilder$ofRef extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.evidence$2$2 = null;
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___s_reflect_ClassTag(evidence$2) {
    this.evidence$2$2 = evidence$2;
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofRef(xs) {
    if ($is_scm_WrappedArray$ofRef(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofRef(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
  };
  toString__T() {
    return "ArrayBuilder.ofRef"
  };
  result__O() {
    return this.result__AO()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AO(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_ArrayBuilder$ofRef(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  result__AO() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AO(this.size$2)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  mkArray__p2__I__AO(size) {
    const newelems = this.evidence$2$2.newArray__I__O(size);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofRef(xs)
  };
}
const $is_scm_ArrayBuilder$ofRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofRef)))
});
const $isArrayOf_scm_ArrayBuilder$ofRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofRef)))
});
const $d_scm_ArrayBuilder$ofRef = new $TypeData().initClass({
  scm_ArrayBuilder$ofRef: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofRef", {
  scm_ArrayBuilder$ofRef: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofRef.prototype.$classData = $d_scm_ArrayBuilder$ofRef;
class $c_scm_ArrayBuilder$ofShort extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofShort(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__S__scm_ArrayBuilder$ofShort(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  result__AS() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AS(this.size$2)
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__S__scm_ArrayBuilder$ofShort((elem | 0))
  };
  toString__T() {
    return "ArrayBuilder.ofShort"
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofShort(xs) {
    if ($is_scm_WrappedArray$ofShort(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  result__O() {
    return this.result__AS()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AS(size);
    this.capacity$2 = size
  };
  mkArray__p2__I__AS(size) {
    const newelems = $newArrayObject($d_S.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__S__scm_ArrayBuilder$ofShort((elem | 0))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofShort(xs)
  };
}
const $is_scm_ArrayBuilder$ofShort = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofShort)))
});
const $isArrayOf_scm_ArrayBuilder$ofShort = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofShort)))
});
const $d_scm_ArrayBuilder$ofShort = new $TypeData().initClass({
  scm_ArrayBuilder$ofShort: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofShort", {
  scm_ArrayBuilder$ofShort: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofShort.prototype.$classData = $d_scm_ArrayBuilder$ofShort;
class $c_scm_ArrayBuilder$ofUnit extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.size$2 = 0
  };
  init___() {
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofUnit(other)) {
      const x2 = other;
      return (this.size$2 === x2.size$2)
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__sr_BoxedUnit__scm_ArrayBuilder$ofUnit(elem)
  };
  toString__T() {
    return "ArrayBuilder.ofUnit"
  };
  $$plus$eq__sr_BoxedUnit__scm_ArrayBuilder$ofUnit(elem) {
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofUnit(xs) {
    this.size$2 = ((this.size$2 + xs.size__I()) | 0);
    return this
  };
  result__O() {
    return this.result__Asr_BoxedUnit()
  };
  result__Asr_BoxedUnit() {
    const ans = $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [this.size$2]);
    let i = 0;
    while ((i < this.size$2)) {
      ans.u[i] = (void 0);
      i = ((1 + i) | 0)
    };
    return ans
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__sr_BoxedUnit__scm_ArrayBuilder$ofUnit(elem)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofUnit(xs)
  };
}
const $is_scm_ArrayBuilder$ofUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofUnit)))
});
const $isArrayOf_scm_ArrayBuilder$ofUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofUnit)))
});
const $d_scm_ArrayBuilder$ofUnit = new $TypeData().initClass({
  scm_ArrayBuilder$ofUnit: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofUnit", {
  scm_ArrayBuilder$ofUnit: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofUnit.prototype.$classData = $d_scm_ArrayBuilder$ofUnit;
class $c_scm_HashSet$ extends $c_scg_MutableSetFactory {
  init___() {
    return this
  };
  empty__sc_GenTraversable() {
    return new $c_scm_HashSet().init___()
  };
}
const $d_scm_HashSet$ = new $TypeData().initClass({
  scm_HashSet$: 0
}, false, "scala.collection.mutable.HashSet$", {
  scm_HashSet$: 1,
  scg_MutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet$.prototype.$classData = $d_scm_HashSet$;
let $n_scm_HashSet$ = (void 0);
const $m_scm_HashSet$ = (function() {
  if ((!$n_scm_HashSet$)) {
    $n_scm_HashSet$ = new $c_scm_HashSet$().init___()
  };
  return $n_scm_HashSet$
});
class $c_scm_LinkedHashSet$ extends $c_scg_MutableSetFactory {
  init___() {
    return this
  };
  empty__sc_GenTraversable() {
    return new $c_scm_LinkedHashSet().init___()
  };
}
const $d_scm_LinkedHashSet$ = new $TypeData().initClass({
  scm_LinkedHashSet$: 0
}, false, "scala.collection.mutable.LinkedHashSet$", {
  scm_LinkedHashSet$: 1,
  scg_MutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_LinkedHashSet$.prototype.$classData = $d_scm_LinkedHashSet$;
let $n_scm_LinkedHashSet$ = (void 0);
const $m_scm_LinkedHashSet$ = (function() {
  if ((!$n_scm_LinkedHashSet$)) {
    $n_scm_LinkedHashSet$ = new $c_scm_LinkedHashSet$().init___()
  };
  return $n_scm_LinkedHashSet$
});
class $c_sjs_js_JavaScriptException extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.exception$4 = null
  };
  productPrefix__T() {
    return "JavaScriptException"
  };
  productArity__I() {
    return 1
  };
  fillInStackTrace__jl_Throwable() {
    const e = this.exception$4;
    this.stackdata = e;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_sjs_js_JavaScriptException(x$1)) {
      const JavaScriptException$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.exception$4, JavaScriptException$1.exception$4)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.exception$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  getMessage__T() {
    return $objectToString(this.exception$4)
  };
  init___O(exception) {
    this.exception$4 = exception;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_sjs_js_JavaScriptException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_JavaScriptException)))
});
const $isArrayOf_sjs_js_JavaScriptException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_JavaScriptException)))
});
const $d_sjs_js_JavaScriptException = new $TypeData().initClass({
  sjs_js_JavaScriptException: 0
}, false, "scala.scalajs.js.JavaScriptException", {
  sjs_js_JavaScriptException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_sjs_js_JavaScriptException.prototype.$classData = $d_sjs_js_JavaScriptException;
class $c_Lamf_core_metamodel_document_ExtensionLikeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_ExtensionLikeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DocumentExtension")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return this.Extends$1
  };
  amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Extends$1 = x$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_ExtensionLikeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_ExtensionLikeModel$: 0
}, false, "amf.core.metamodel.document.ExtensionLikeModel$", {
  Lamf_core_metamodel_document_ExtensionLikeModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ExtensionLikeModel: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_core_metamodel_document_ExtensionLikeModel$.prototype.$classData = $d_Lamf_core_metamodel_document_ExtensionLikeModel$;
let $n_Lamf_core_metamodel_document_ExtensionLikeModel$ = (void 0);
const $m_Lamf_core_metamodel_document_ExtensionLikeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_ExtensionLikeModel$)) {
    $n_Lamf_core_metamodel_document_ExtensionLikeModel$ = new $c_Lamf_core_metamodel_document_ExtensionLikeModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_ExtensionLikeModel$
});
class $c_Lamf_model_document_Module extends $c_Lamf_model_document_BaseUnit {
  constructor() {
    super();
    this.model$3 = null;
    this.element$3 = null
  };
  element__Lamf_core_model_document_BaseUnit() {
    return this.element$3
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_Module.prototype.init___Lamf_core_model_document_Module.call(this, new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Module"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_Module(x$1)) {
      const Module$1 = x$1;
      const x = this.model$3;
      const x$2 = Module$1.model$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$withDeclaredElement__Lamf_model_domain_DomainElement__O(declared) {
    return $f_Lamf_model_document_DeclaresModel__withDeclaredElement__Lamf_model_domain_DomainElement__Lamf_model_document_DeclaresModel(this, declared)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.model$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_model_document_DeclaresModel(this, declares)
  };
  init___Lamf_core_model_document_Module(model) {
    this.model$3 = model;
    $c_Lamf_model_document_BaseUnit.prototype.init___.call(this);
    this.element$3 = model;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  element__Lamf_core_model_document_DeclaresModel() {
    return this.element$3
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_model_document_DeclaresModel__declares__sjs_js_Iterable(this)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
}
const $is_Lamf_model_document_Module = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_Module)))
});
const $isArrayOf_Lamf_model_document_Module = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_Module)))
});
const $d_Lamf_model_document_Module = new $TypeData().initClass({
  Lamf_model_document_Module: 0
}, false, "amf.model.document.Module", {
  Lamf_model_document_Module: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_Module.prototype.$classData = $d_Lamf_model_document_Module;
class $c_Lamf_model_domain_ApiKeySettings extends $c_Lamf_model_domain_Settings {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ApiKeySettings.prototype.init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ApiKeySettings"
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1)
  };
  productArity__I() {
    return 1
  };
  element__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings$3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ApiKeySettings(x$1)) {
      const ApiKeySettings$1 = x$1;
      const x = this.settings$3;
      const x$2 = ApiKeySettings$1.settings$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.settings$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withIn__T__O($in) {
    return this.withIn__T__Lamf_model_domain_ApiKeySettings($in)
  };
  settings__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings$3
  };
  $$js$exported$prop$in__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1)
  };
  withName__T__Lamf_model_domain_ApiKeySettings(name) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withIn__T__Lamf_model_domain_ApiKeySettings($in) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, $in);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_ApiKeySettings(name)
  };
  init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(settings) {
    $c_Lamf_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, settings);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.settings$3
  };
  "withIn"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withIn__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "in"() {
    return this.$$js$exported$prop$in__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_ApiKeySettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ApiKeySettings)))
});
const $isArrayOf_Lamf_model_domain_ApiKeySettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ApiKeySettings)))
});
const $d_Lamf_model_domain_ApiKeySettings = new $TypeData().initClass({
  Lamf_model_domain_ApiKeySettings: 0
}, false, "amf.model.domain.ApiKeySettings", {
  Lamf_model_domain_ApiKeySettings: 1,
  Lamf_model_domain_Settings: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ApiKeySettings.prototype.$classData = $d_Lamf_model_domain_ApiKeySettings;
class $c_Lamf_model_domain_ArrayNode extends $c_Lamf_model_domain_DataNode {
  init___() {
    $m_Lamf_core_model_domain_ArrayNode$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ArrayNode.prototype.init___Lamf_core_model_domain_ArrayNode.call(this, new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ArrayNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ArrayNode(x$1)) {
      const ArrayNode$1 = x$1;
      const x = this.dataNode$3;
      const x$2 = ArrayNode$1.dataNode$3;
      if ((x === x$2)) {
        return ArrayNode$1.canEqual__O__Z(this)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataNode$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$addMember__Lamf_model_domain_DataNode__O(member) {
    return this.addMember__Lamf_model_domain_DataNode__Lamf_model_domain_ArrayNode(member)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  addMember__Lamf_model_domain_DataNode__Lamf_model_domain_ArrayNode(member) {
    this.dataNode$3.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(member.dataNode$3);
    return this
  };
  $$js$exported$prop$members__O() {
    return this.members__sjs_js_Iterable()
  };
  init___Lamf_core_model_domain_ArrayNode(arrayNode) {
    $c_Lamf_model_domain_DataNode.prototype.init___Lamf_core_model_domain_DataNode.call(this, arrayNode);
    return this
  };
  members__sjs_js_Iterable() {
    const this$2 = this.dataNode$3.members$2;
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
    const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$1 = arg1;
      b.$$plus$eq__O__scm_Builder($m_Lamf_model_domain_DataNode$().apply__Lamf_core_model_domain_DataNode__Lamf_model_domain_DataNode(x$1));
      these = these.tail__O()
    };
    const col = b.result__O();
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DataNode() {
    return this.dataNode$3
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.dataNode$3
  };
  "addMember"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$addMember__Lamf_model_domain_DataNode__O(prep0)
  };
  get "members"() {
    return this.$$js$exported$prop$members__O()
  };
}
const $is_Lamf_model_domain_ArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ArrayNode)))
});
const $isArrayOf_Lamf_model_domain_ArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ArrayNode)))
});
const $d_Lamf_model_domain_ArrayNode = new $TypeData().initClass({
  Lamf_model_domain_ArrayNode: 0
}, false, "amf.model.domain.ArrayNode", {
  Lamf_model_domain_ArrayNode: 1,
  Lamf_model_domain_DataNode: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ArrayNode.prototype.$classData = $d_Lamf_model_domain_ArrayNode;
class $c_Lamf_model_domain_ClassTerm extends $c_Lamf_model_domain_DomainEntity {
  constructor() {
    super();
    this.amf$model$domain$ClassTerm$$entity$4 = null;
    this.classTerm$4 = null
  };
  $$js$exported$meth$properties__O() {
    return this.properties__sjs_js_Array()
  };
  displayName__T() {
    const this$1 = this.classTerm$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_ClassTerm$().displayName$4);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  init___() {
    const d = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
    const this$6 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), d, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___()), $m_s_None$());
    $c_Lamf_model_domain_ClassTerm.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, this$6.domainEntity$1);
    return this
  };
  productPrefix__T() {
    return "ClassTerm"
  };
  $$js$exported$meth$description__O() {
    return this.description__T()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$getId__O() {
    return this.amf$model$domain$ClassTerm$$entity$4.id$1
  };
  element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity() {
    return this.amf$model$domain$ClassTerm$$entity$4
  };
  getId__T() {
    return this.amf$model$domain$ClassTerm$$entity$4.id$1
  };
  properties__sjs_js_Array() {
    const this$1 = this.classTerm$4;
    const col = this$1.domainEntity$1.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_ClassTerm$().properties$4);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ClassTerm(x$1)) {
      const ClassTerm$1 = x$1;
      const x = this.amf$model$domain$ClassTerm$$entity$4;
      const x$2 = ClassTerm$1.amf$model$domain$ClassTerm$$entity$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withId__T__Lamf_model_domain_DomainElement(id) {
    return this.withId__T__Lamf_model_domain_ClassTerm(id)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$ClassTerm$$entity$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  termExtends__T() {
    const this$1 = this.classTerm$4;
    const this$2 = this$1.domainEntity$1.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_ClassTerm$().extends$4).headOption__s_Option();
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return this.withId__T__Lamf_model_domain_ClassTerm(id)
  };
  $$js$exported$meth$displayName__O() {
    return this.displayName__T()
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_model_domain_ClassTerm(displayName)
  };
  withDescription__T__Lamf_model_domain_ClassTerm(description) {
    this.classTerm$4.withDescription__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(description);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(entity) {
    this.amf$model$domain$ClassTerm$$entity$4 = entity;
    $c_Lamf_model_domain_DomainEntity.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, entity);
    this.classTerm$4 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, $m_s_None$());
    return this
  };
  $$js$exported$meth$termExtends__O() {
    return this.termExtends__T()
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_ClassTerm(description)
  };
  withTermExtends__T__Lamf_model_domain_ClassTerm(classUri) {
    this.classTerm$4.withExtends__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(classUri);
    return this
  };
  description__T() {
    const this$1 = this.classTerm$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_ClassTerm$().description$4);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  $$js$exported$meth$withProperties__sjs_js_Array__O(properties) {
    return this.withProperties__sjs_js_Array__Lamf_model_domain_ClassTerm(properties)
  };
  $$js$exported$meth$withTermExtends__T__O(classUri) {
    return this.withTermExtends__T__Lamf_model_domain_ClassTerm(classUri)
  };
  withDisplayName__T__Lamf_model_domain_ClassTerm(displayName) {
    this.classTerm$4.withDisplayName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(displayName);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withId__T__Lamf_model_domain_ClassTerm(id) {
    const this$1 = this.amf$model$domain$ClassTerm$$entity$4;
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, id);
    this.classTerm$4.withId__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ClassObject(id);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withProperties__sjs_js_Array__Lamf_model_domain_ClassTerm(properties) {
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (properties.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (properties.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = properties[index];
      const p = arg1;
      const elem = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(p, new $c_Lamf_core_parser_Annotations().init___());
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    const this$5 = this.amf$model$domain$ClassTerm$$entity$4;
    const field = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$().properties$4.field__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, b);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$ClassTerm$$entity$4
  };
  "withProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProperties__sjs_js_Array__O(prep0)
  };
  "properties"() {
    return this.$$js$exported$meth$properties__O()
  };
  "withTermExtends"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTermExtends__T__O(prep0)
  };
  "termExtends"() {
    return this.$$js$exported$meth$termExtends__O()
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "description"() {
    return this.$$js$exported$meth$description__O()
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "displayName"() {
    return this.$$js$exported$meth$displayName__O()
  };
}
const $is_Lamf_model_domain_ClassTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ClassTerm)))
});
const $isArrayOf_Lamf_model_domain_ClassTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ClassTerm)))
});
const $d_Lamf_model_domain_ClassTerm = new $TypeData().initClass({
  Lamf_model_domain_ClassTerm: 0
}, false, "amf.model.domain.ClassTerm", {
  Lamf_model_domain_ClassTerm: 1,
  Lamf_model_domain_DomainEntity: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ClassTerm.prototype.$classData = $d_Lamf_model_domain_ClassTerm;
class $c_Lamf_model_domain_CustomDomainProperty extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.customDomainProperty$3 = null
  };
  productPrefix__T() {
    return "CustomDomainProperty"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_CustomDomainProperty.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty.call(this, new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.customDomainProperty$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$meth$withSchema__Lamf_model_domain_Shape__O(schema) {
    return this.withSchema__Lamf_model_domain_Shape__Lamf_model_domain_CustomDomainProperty(schema)
  };
  withName__T__Lamf_model_domain_CustomDomainProperty(name) {
    const this$1 = this.customDomainProperty$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_model_domain_Linkable__withLinkLabel__T__Lamf_model_domain_DomainElement(this, label)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$displayName__O() {
    const this$1 = this.customDomainProperty$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1)
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.customDomainProperty$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1)
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_CustomDomainProperty(x$1)) {
      const CustomDomainProperty$1 = x$1;
      const x = this.customDomainProperty$3;
      const x$2 = CustomDomainProperty$1.customDomainProperty$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.customDomainProperty$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$schema__O() {
    return this.schema__Lamf_model_domain_Shape()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$element__O() {
    return this.customDomainProperty$3
  };
  $$js$exported$prop$isLink__O() {
    return this.linkTarget__s_Option().isDefined__Z()
  };
  withDescription__T__Lamf_model_domain_CustomDomainProperty(description) {
    const this$1 = this.customDomainProperty$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_model_domain_CustomDomainProperty(displayName)
  };
  withDomain__sjs_js_Iterable__Lamf_model_domain_CustomDomainProperty(domain) {
    const this$5 = this.customDomainProperty$3;
    const __self = domain[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const domain$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, domain$1);
    return this
  };
  linkTarget__s_Option() {
    const this$1 = this.customDomainProperty$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$withDomain__sjs_js_Iterable__O(domain) {
    return this.withDomain__sjs_js_Iterable__Lamf_model_domain_CustomDomainProperty(domain)
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_CustomDomainProperty(description)
  };
  withSchema__Lamf_model_domain_Shape__Lamf_model_domain_CustomDomainProperty(schema) {
    const this$1 = this.customDomainProperty$3;
    const schema$1 = schema.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, schema$1);
    return this
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty(customDomainProperty) {
    this.customDomainProperty$3 = customDomainProperty;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.customDomainProperty$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withDisplayName__T__Lamf_model_domain_CustomDomainProperty(displayName) {
    const this$1 = this.customDomainProperty$3;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  $$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(target) {
    return $f_Lamf_model_domain_Linkable__withLinkTarget__Lamf_model_domain_DomainElement__Lamf_model_domain_DomainElement(this, target)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_CustomDomainProperty(name)
  };
  $$js$exported$prop$domain__O() {
    return this.domain__sjs_js_Iterable()
  };
  domain__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.customDomainProperty$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1));
    const col = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  $$js$exported$prop$linkLabel__O() {
    return $f_Lamf_model_domain_Linkable__linkLabel__s_Option(this)
  };
  schema__Lamf_model_domain_Shape() {
    const this$2 = $m_Lamf_model_domain_Shape$();
    const this$1 = this.customDomainProperty$3;
    const shape = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
    const this$3 = this$2.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$3, shape)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.customDomainProperty$3
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  get "element"() {
    return this.$$js$exported$prop$element__O()
  };
  "withSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchema__Lamf_model_domain_Shape__O(prep0)
  };
  "withDomain"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDomain__sjs_js_Iterable__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "schema"() {
    return this.$$js$exported$prop$schema__O()
  };
  get "domain"() {
    return this.$$js$exported$prop$domain__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_CustomDomainProperty = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_CustomDomainProperty)))
});
const $isArrayOf_Lamf_model_domain_CustomDomainProperty = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_CustomDomainProperty)))
});
const $d_Lamf_model_domain_CustomDomainProperty = new $TypeData().initClass({
  Lamf_model_domain_CustomDomainProperty: 0
}, false, "amf.model.domain.CustomDomainProperty", {
  Lamf_model_domain_CustomDomainProperty: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_CustomDomainProperty.prototype.$classData = $d_Lamf_model_domain_CustomDomainProperty;
class $c_Lamf_model_domain_Example extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$Example$$example$3 = null
  };
  productPrefix__T() {
    return "Example"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Example.prototype.init___Lamf_plugins_domain_shapes_models_Example.call(this, new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.amf$model$domain$Example$$example$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const example = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    return new $c_Lamf_model_domain_Example().init___Lamf_plugins_domain_shapes_models_Example(example)
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_model_domain_Linkable__withLinkLabel__T__Lamf_model_domain_DomainElement(this, label)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$displayName__O() {
    const this$1 = this.amf$model$domain$Example$$example$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1)
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.amf$model$domain$Example$$example$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1)
  };
  withDescription__T__Lamf_model_domain_Example(description) {
    const this$1 = this.amf$model$domain$Example$$example$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Example(x$1)) {
      const Example$1 = x$1;
      const x = this.amf$model$domain$Example$$example$3;
      const x$2 = Example$1.amf$model$domain$Example$$example$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$Example$$example$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$isLink__O() {
    return this.linkTarget__s_Option().isDefined__Z()
  };
  withStrict__Z__Lamf_model_domain_Example(strict) {
    const this$1 = this.amf$model$domain$Example$$example$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, strict);
    return this
  };
  $$js$exported$meth$withValue__T__O(value) {
    return this.withValue__T__Lamf_model_domain_Example(value)
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_model_domain_Example(displayName)
  };
  linkTarget__s_Option() {
    const this$1 = this.amf$model$domain$Example$$example$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_Example(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_Example().init___Lamf_plugins_domain_shapes_models_Example(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  withMediaType__T__Lamf_model_domain_Example(mediaType) {
    const this$1 = this.amf$model$domain$Example$$example$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mediaType);
    return this
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$meth$withMediaType__T__O(mediaType) {
    return this.withMediaType__T__Lamf_model_domain_Example(mediaType)
  };
  withDisplayName__T__Lamf_model_domain_Example(displayName) {
    const this$1 = this.amf$model$domain$Example$$example$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_Example(description)
  };
  $$js$exported$prop$value__O() {
    const this$1 = this.amf$model$domain$Example$$example$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1)
  };
  $$js$exported$prop$mediaType__O() {
    const this$1 = this.amf$model$domain$Example$$example$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1)
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.amf$model$domain$Example$$example$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_Example(example) {
    this.amf$model$domain$Example$$example$3 = example;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withStrict__Z__O(strict) {
    return this.withStrict__Z__Lamf_model_domain_Example(strict)
  };
  $$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(target) {
    return $f_Lamf_model_domain_Linkable__withLinkTarget__Lamf_model_domain_DomainElement__Lamf_model_domain_DomainElement(this, target)
  };
  $$js$exported$prop$strict__O() {
    const this$1 = this.amf$model$domain$Example$$example$3;
    return (!(!this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1)))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withValue__T__Lamf_model_domain_Example(value) {
    const this$1 = this.amf$model$domain$Example$$example$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Value$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
    return this
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_Example(name)
  };
  withName__T__Lamf_model_domain_Example(name) {
    const this$1 = this.amf$model$domain$Example$$example$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$linkLabel__O() {
    return $f_Lamf_model_domain_Linkable__linkLabel__s_Option(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$Example$$example$3
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "withMediaType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMediaType__T__O(prep0)
  };
  "withStrict"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withStrict__Z__O(prep0)
  };
  "withValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValue__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "mediaType"() {
    return this.$$js$exported$prop$mediaType__O()
  };
  get "strict"() {
    return this.$$js$exported$prop$strict__O()
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_Example = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Example)))
});
const $isArrayOf_Lamf_model_domain_Example = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Example)))
});
const $d_Lamf_model_domain_Example = new $TypeData().initClass({
  Lamf_model_domain_Example: 0
}, false, "amf.model.domain.Example", {
  Lamf_model_domain_Example: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Example.prototype.$classData = $d_Lamf_model_domain_Example;
class $c_Lamf_model_domain_ExternalVocabularyImport extends $c_Lamf_model_domain_DomainEntity {
  constructor() {
    super();
    this.amf$model$domain$ExternalVocabularyImport$$entity$4 = null;
    this.external$4 = null
  };
  init___() {
    const d = $m_Lamf_plugins_document_vocabularies_core_External$();
    const this$6 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), d, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___()), $m_s_None$());
    $c_Lamf_model_domain_ExternalVocabularyImport.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, this$6.domainEntity$1);
    return this
  };
  productPrefix__T() {
    return "ExternalVocabularyImport"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withUri__T__O(uri) {
    return this.withUri__T__Lamf_model_domain_ExternalVocabularyImport(uri)
  };
  element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity() {
    return this.amf$model$domain$ExternalVocabularyImport$$entity$4
  };
  uri__T() {
    const this$1 = this.external$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_External$().uri$3);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  $$js$exported$meth$name__O() {
    return this.name__T()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ExternalVocabularyImport(x$1)) {
      const ExternalVocabularyImport$1 = x$1;
      const x = this.amf$model$domain$ExternalVocabularyImport$$entity$4;
      const x$2 = ExternalVocabularyImport$1.amf$model$domain$ExternalVocabularyImport$$entity$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$ExternalVocabularyImport$$entity$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withUri__T__Lamf_model_domain_ExternalVocabularyImport(uri) {
    this.external$4.withUri__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject(uri);
    return this
  };
  $$js$exported$meth$uri__O() {
    return this.uri__T()
  };
  name__T() {
    const this$1 = this.external$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_External$().name$3);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(entity) {
    this.amf$model$domain$ExternalVocabularyImport$$entity$4 = entity;
    $c_Lamf_model_domain_DomainEntity.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, entity);
    this.external$4 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, $m_s_None$());
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_ExternalVocabularyImport(name)
  };
  withName__T__Lamf_model_domain_ExternalVocabularyImport(name) {
    this.external$4.withName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$ExternalObject(name);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$ExternalVocabularyImport$$entity$4
  };
  "withUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUri__T__O(prep0)
  };
  "uri"() {
    return this.$$js$exported$meth$uri__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "name"() {
    return this.$$js$exported$meth$name__O()
  };
}
const $is_Lamf_model_domain_ExternalVocabularyImport = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ExternalVocabularyImport)))
});
const $isArrayOf_Lamf_model_domain_ExternalVocabularyImport = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ExternalVocabularyImport)))
});
const $d_Lamf_model_domain_ExternalVocabularyImport = new $TypeData().initClass({
  Lamf_model_domain_ExternalVocabularyImport: 0
}, false, "amf.model.domain.ExternalVocabularyImport", {
  Lamf_model_domain_ExternalVocabularyImport: 1,
  Lamf_model_domain_DomainEntity: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ExternalVocabularyImport.prototype.$classData = $d_Lamf_model_domain_ExternalVocabularyImport;
class $c_Lamf_model_domain_OAuth1Settings extends $c_Lamf_model_domain_Settings {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_OAuth1Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "OAuth1Settings"
  };
  $$js$exported$prop$tokenCredentialsUri__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withAuthorizationUri__T__O(authorizationUri) {
    return this.withAuthorizationUri__T__Lamf_model_domain_OAuth1Settings(authorizationUri)
  };
  $$js$exported$prop$requestTokenUri__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1)
  };
  $$js$exported$meth$withSignatures__sjs_js_Iterable__O(signatures) {
    return this.withSignatures__sjs_js_Iterable__Lamf_model_domain_OAuth1Settings(signatures)
  };
  withTokenCredentialsUri__T__Lamf_model_domain_OAuth1Settings(tokenCredentialsUri) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, tokenCredentialsUri);
    return this
  };
  element__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings$3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_OAuth1Settings(x$1)) {
      const OAuth1Settings$1 = x$1;
      const x = this.settings$3;
      const x$2 = OAuth1Settings$1.settings$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.settings$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withRequestTokenUri__T__Lamf_model_domain_OAuth1Settings(requestTokenUri) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, requestTokenUri);
    return this
  };
  signatures__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.settings$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1));
    const col = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  settings__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings$3
  };
  $$js$exported$meth$withTokenCredentialsUri__T__O(tokenCredentialsUri) {
    return this.withTokenCredentialsUri__T__Lamf_model_domain_OAuth1Settings(tokenCredentialsUri)
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(settings) {
    $c_Lamf_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, settings);
    return this
  };
  withSignatures__sjs_js_Iterable__Lamf_model_domain_OAuth1Settings(signatures) {
    const this$5 = this.settings$3;
    const __self = signatures[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const signatures$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, signatures$1);
    return this
  };
  withAuthorizationUri__T__Lamf_model_domain_OAuth1Settings(authorizationUri) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, authorizationUri);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$authorizationUri__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withRequestTokenUri__T__O(requestTokenUri) {
    return this.withRequestTokenUri__T__Lamf_model_domain_OAuth1Settings(requestTokenUri)
  };
  $$js$exported$prop$signatures__O() {
    return this.signatures__sjs_js_Iterable()
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.settings$3
  };
  "withSignatures"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSignatures__sjs_js_Iterable__O(prep0)
  };
  "withTokenCredentialsUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTokenCredentialsUri__T__O(prep0)
  };
  "withAuthorizationUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAuthorizationUri__T__O(prep0)
  };
  "withRequestTokenUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRequestTokenUri__T__O(prep0)
  };
  get "signatures"() {
    return this.$$js$exported$prop$signatures__O()
  };
  get "tokenCredentialsUri"() {
    return this.$$js$exported$prop$tokenCredentialsUri__O()
  };
  get "authorizationUri"() {
    return this.$$js$exported$prop$authorizationUri__O()
  };
  get "requestTokenUri"() {
    return this.$$js$exported$prop$requestTokenUri__O()
  };
}
const $is_Lamf_model_domain_OAuth1Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_OAuth1Settings)))
});
const $isArrayOf_Lamf_model_domain_OAuth1Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_OAuth1Settings)))
});
const $d_Lamf_model_domain_OAuth1Settings = new $TypeData().initClass({
  Lamf_model_domain_OAuth1Settings: 0
}, false, "amf.model.domain.OAuth1Settings", {
  Lamf_model_domain_OAuth1Settings: 1,
  Lamf_model_domain_Settings: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_OAuth1Settings.prototype.$classData = $d_Lamf_model_domain_OAuth1Settings;
class $c_Lamf_model_domain_OAuth2Settings extends $c_Lamf_model_domain_Settings {
  $$js$exported$meth$withScopes__sjs_js_Iterable__O(scopes) {
    return this.withScopes__sjs_js_Iterable__Lamf_model_domain_OAuth2Settings(scopes)
  };
  $$js$exported$prop$flow__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_OAuth2Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "OAuth2Settings"
  };
  $$js$exported$meth$withAuthorizationUri__T__O(authorizationUri) {
    return this.withAuthorizationUri__T__Lamf_model_domain_OAuth2Settings(authorizationUri)
  };
  productArity__I() {
    return 1
  };
  withAuthorizationUri__T__Lamf_model_domain_OAuth2Settings(authorizationUri) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, authorizationUri);
    return this
  };
  scopes__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.settings$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Scope$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  element__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings$3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_OAuth2Settings(x$1)) {
      const OAuth2Settings$1 = x$1;
      const x = this.settings$3;
      const x$2 = OAuth2Settings$1.settings$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.settings$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(settings) {
    $c_Lamf_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, settings);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$accessTokenUri__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1)
  };
  settings__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.settings$3
  };
  $$js$exported$meth$withFlow__T__O(flow) {
    return this.withFlow__T__Lamf_model_domain_OAuth2Settings(flow)
  };
  withScopes__sjs_js_Iterable__Lamf_model_domain_OAuth2Settings(scopes) {
    const this$6 = this.settings$3;
    const __self = scopes[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.scope$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const scopes$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, scopes$1);
    return this
  };
  withAccessTokenUri__T__Lamf_model_domain_OAuth2Settings(accessTokenUri) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, accessTokenUri);
    return this
  };
  $$js$exported$prop$authorizationGrants__O() {
    return this.authorizationGrants__sjs_js_Iterable()
  };
  $$js$exported$meth$withAccessTokenUri__T__O(accessTokenUri) {
    return this.withAccessTokenUri__T__Lamf_model_domain_OAuth2Settings(accessTokenUri)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withAuthorizationGrants__sjs_js_Iterable__O(authorizationGrants) {
    return this.withAuthorizationGrants__sjs_js_Iterable__Lamf_model_domain_OAuth2Settings(authorizationGrants)
  };
  $$js$exported$prop$authorizationUri__O() {
    const this$1 = this.settings$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  authorizationGrants__sjs_js_Iterable() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.settings$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1));
    const col = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  $$js$exported$prop$scopes__O() {
    return this.scopes__sjs_js_Iterable()
  };
  withFlow__T__Lamf_model_domain_OAuth2Settings(flow) {
    const this$1 = this.settings$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, flow);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.settings$3
  };
  withAuthorizationGrants__sjs_js_Iterable__Lamf_model_domain_OAuth2Settings(authorizationGrants) {
    const this$5 = this.settings$3;
    const __self = authorizationGrants[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const authorizationGrants$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, authorizationGrants$1);
    return this
  };
  "withScopes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScopes__sjs_js_Iterable__O(prep0)
  };
  "withFlow"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFlow__T__O(prep0)
  };
  "withAuthorizationGrants"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAuthorizationGrants__sjs_js_Iterable__O(prep0)
  };
  "withAccessTokenUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAccessTokenUri__T__O(prep0)
  };
  "withAuthorizationUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAuthorizationUri__T__O(prep0)
  };
  get "scopes"() {
    return this.$$js$exported$prop$scopes__O()
  };
  get "flow"() {
    return this.$$js$exported$prop$flow__O()
  };
  get "authorizationGrants"() {
    return this.$$js$exported$prop$authorizationGrants__O()
  };
  get "accessTokenUri"() {
    return this.$$js$exported$prop$accessTokenUri__O()
  };
  get "authorizationUri"() {
    return this.$$js$exported$prop$authorizationUri__O()
  };
}
const $is_Lamf_model_domain_OAuth2Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_OAuth2Settings)))
});
const $isArrayOf_Lamf_model_domain_OAuth2Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_OAuth2Settings)))
});
const $d_Lamf_model_domain_OAuth2Settings = new $TypeData().initClass({
  Lamf_model_domain_OAuth2Settings: 0
}, false, "amf.model.domain.OAuth2Settings", {
  Lamf_model_domain_OAuth2Settings: 1,
  Lamf_model_domain_Settings: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_OAuth2Settings.prototype.$classData = $d_Lamf_model_domain_OAuth2Settings;
class $c_Lamf_model_domain_ObjectNode extends $c_Lamf_model_domain_DataNode {
  init___() {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ObjectNode.prototype.init___Lamf_core_model_domain_ObjectNode.call(this, new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ObjectNode"
  };
  productArity__I() {
    return 1
  };
  init___Lamf_core_model_domain_ObjectNode(objectNode) {
    $c_Lamf_model_domain_DataNode.prototype.init___Lamf_core_model_domain_DataNode.call(this, objectNode);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ObjectNode(x$1)) {
      const ObjectNode$1 = x$1;
      const x = this.dataNode$3;
      const x$2 = ObjectNode$1.dataNode$3;
      if ((x === x$2)) {
        return ObjectNode$1.canEqual__O__Z(this)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataNode$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  addProperty__T__Lamf_model_domain_DataNode__Lamf_model_domain_ObjectNode(property, objectValue) {
    this.dataNode$3.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(property, objectValue.dataNode$3, (this.dataNode$3, new $c_Lamf_core_parser_Annotations().init___()));
    return this
  };
  $$js$exported$meth$addProperty__T__Lamf_model_domain_DataNode__O(property, objectValue) {
    return this.addProperty__T__Lamf_model_domain_DataNode__Lamf_model_domain_ObjectNode(property, objectValue)
  };
  properties__sjs_js_Dictionary() {
    const this$6 = $m_sjs_js_JSConverters$JSRichGenMap$();
    const this$4 = this.dataNode$3.properties$2;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const key = p.$$und1__O();
        const obj = $m_Lamf_model_domain_DataNode$().apply__Lamf_core_model_domain_DataNode__Lamf_model_domain_DataNode(p.$$und2__O());
        return new $c_T2().init___O__O(key, obj)
      })
    })(this));
    const this$3 = $m_scm_Map$();
    const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$3);
    const map = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf);
    const result = {};
    map.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const key$1 = x0$1.$$und1__O();
          const value = x0$1.$$und2__O();
          result$1[key$1] = value
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this$6, result)));
    return result
  };
  $$js$exported$prop$properties__O() {
    return this.properties__sjs_js_Dictionary()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DataNode() {
    return this.dataNode$3
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.dataNode$3
  };
  "addProperty"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$addProperty__T__Lamf_model_domain_DataNode__O(prep0, prep1)
  };
  get "properties"() {
    return this.$$js$exported$prop$properties__O()
  };
}
const $is_Lamf_model_domain_ObjectNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ObjectNode)))
});
const $isArrayOf_Lamf_model_domain_ObjectNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ObjectNode)))
});
const $d_Lamf_model_domain_ObjectNode = new $TypeData().initClass({
  Lamf_model_domain_ObjectNode: 0
}, false, "amf.model.domain.ObjectNode", {
  Lamf_model_domain_ObjectNode: 1,
  Lamf_model_domain_DataNode: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ObjectNode.prototype.$classData = $d_Lamf_model_domain_ObjectNode;
class $c_Lamf_model_domain_ParametrizedResourceType extends $c_Lamf_model_domain_ParametrizedDeclaration {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ParametrizedResourceType.prototype.init___Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ParametrizedResourceType"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ParametrizedResourceType(x$1)) {
      const ParametrizedResourceType$1 = x$1;
      const x = this.declaration$3;
      const x$2 = ParametrizedResourceType$1.declaration$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  element__Lamf_core_model_domain_templates_ParametrizedDeclaration() {
    return this.declaration$3
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(resourceType) {
    $c_Lamf_model_domain_ParametrizedDeclaration.prototype.init___Lamf_core_model_domain_templates_ParametrizedDeclaration.call(this, resourceType);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.declaration$3
  };
}
const $is_Lamf_model_domain_ParametrizedResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ParametrizedResourceType)))
});
const $isArrayOf_Lamf_model_domain_ParametrizedResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ParametrizedResourceType)))
});
const $d_Lamf_model_domain_ParametrizedResourceType = new $TypeData().initClass({
  Lamf_model_domain_ParametrizedResourceType: 0
}, false, "amf.model.domain.ParametrizedResourceType", {
  Lamf_model_domain_ParametrizedResourceType: 1,
  Lamf_model_domain_ParametrizedDeclaration: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ParametrizedResourceType.prototype.$classData = $d_Lamf_model_domain_ParametrizedResourceType;
class $c_Lamf_model_domain_ParametrizedTrait extends $c_Lamf_model_domain_ParametrizedDeclaration {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ParametrizedTrait.prototype.init___Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ParametrizedTrait"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ParametrizedTrait(x$1)) {
      const ParametrizedTrait$1 = x$1;
      const x = this.declaration$3;
      const x$2 = ParametrizedTrait$1.declaration$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  element__Lamf_core_model_domain_templates_ParametrizedDeclaration() {
    return this.declaration$3
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(tr) {
    $c_Lamf_model_domain_ParametrizedDeclaration.prototype.init___Lamf_core_model_domain_templates_ParametrizedDeclaration.call(this, tr);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.declaration$3
  };
}
const $is_Lamf_model_domain_ParametrizedTrait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ParametrizedTrait)))
});
const $isArrayOf_Lamf_model_domain_ParametrizedTrait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ParametrizedTrait)))
});
const $d_Lamf_model_domain_ParametrizedTrait = new $TypeData().initClass({
  Lamf_model_domain_ParametrizedTrait: 0
}, false, "amf.model.domain.ParametrizedTrait", {
  Lamf_model_domain_ParametrizedTrait: 1,
  Lamf_model_domain_ParametrizedDeclaration: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ParametrizedTrait.prototype.$classData = $d_Lamf_model_domain_ParametrizedTrait;
class $c_Lamf_model_domain_PropertyTerm extends $c_Lamf_model_domain_DomainEntity {
  constructor() {
    super();
    this.amf$model$domain$PropertyTerm$$entity$4 = null;
    this.propertyTerm$4 = null
  };
  displayName__T() {
    const this$1 = this.propertyTerm$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().displayName$4);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  init___() {
    const d = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$();
    const this$6 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), d, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___()), $m_s_None$());
    $c_Lamf_model_domain_PropertyTerm.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, this$6.domainEntity$1);
    return this
  };
  $$js$exported$meth$range__O() {
    return this.range__sjs_js_Array()
  };
  productPrefix__T() {
    return "PropertyTerm"
  };
  $$js$exported$meth$description__O() {
    return this.description__T()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$getId__O() {
    return this.amf$model$domain$PropertyTerm$$entity$4.id$1
  };
  element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity() {
    return this.amf$model$domain$PropertyTerm$$entity$4
  };
  withDisplayName__T__Lamf_model_domain_PropertyTerm(displayName) {
    this.propertyTerm$4.withDisplayName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(displayName);
    return this
  };
  getId__T() {
    return this.amf$model$domain$PropertyTerm$$entity$4.id$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_PropertyTerm(x$1)) {
      const PropertyTerm$1 = x$1;
      const x = this.amf$model$domain$PropertyTerm$$entity$4;
      const x$2 = PropertyTerm$1.amf$model$domain$PropertyTerm$$entity$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withId__T__Lamf_model_domain_DomainElement(id) {
    return this.withId__T__Lamf_model_domain_PropertyTerm(id)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$PropertyTerm$$entity$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  termExtends__T() {
    const this$1 = this.propertyTerm$4;
    const this$2 = this$1.domainEntity$1.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().extends$4).headOption__s_Option();
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return this.withId__T__Lamf_model_domain_PropertyTerm(id)
  };
  $$js$exported$meth$displayName__O() {
    return this.displayName__T()
  };
  withRange__sjs_js_Array__Lamf_model_domain_PropertyTerm(range) {
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (range.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (range.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = range[index];
      const r = arg1;
      const elem = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(r, new $c_Lamf_core_parser_Annotations().init___());
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    const this$5 = this.amf$model$domain$PropertyTerm$$entity$4;
    const field = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().range$4.field__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, b);
    return this
  };
  withDescription__T__Lamf_model_domain_PropertyTerm(description) {
    this.propertyTerm$4.withDescription__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(description);
    return this
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_model_domain_PropertyTerm(displayName)
  };
  range__sjs_js_Array() {
    const this$1 = this.propertyTerm$4;
    const col = this$1.domainEntity$1.strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().range$4);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  withId__T__Lamf_model_domain_PropertyTerm(id) {
    const this$1 = this.amf$model$domain$PropertyTerm$$entity$4;
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, id);
    this.propertyTerm$4.withId__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(id);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(entity) {
    this.amf$model$domain$PropertyTerm$$entity$4 = entity;
    $c_Lamf_model_domain_DomainEntity.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, entity);
    this.propertyTerm$4 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, $m_s_None$());
    return this
  };
  $$js$exported$meth$termExtends__O() {
    return this.termExtends__T()
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_PropertyTerm(description)
  };
  withTermExtends__T__Lamf_model_domain_PropertyTerm(propertyUri) {
    this.propertyTerm$4.withExtends__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$PropertyObject(propertyUri);
    return this
  };
  description__T() {
    const this$1 = this.propertyTerm$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().description$4);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  $$js$exported$meth$withScalarRange__sjs_js_Array__O(range) {
    return this.withScalarRange__sjs_js_Array__Lamf_model_domain_PropertyTerm(range)
  };
  $$js$exported$meth$withTermExtends__T__O(propertyUri) {
    return this.withTermExtends__T__Lamf_model_domain_PropertyTerm(propertyUri)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withRange__sjs_js_Array__O(range) {
    return this.withRange__sjs_js_Array__Lamf_model_domain_PropertyTerm(range)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$PropertyTerm$$entity$4
  };
  withScalarRange__sjs_js_Array__Lamf_model_domain_PropertyTerm(range) {
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (range.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (range.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = range[index];
      const r = arg1;
      const this$4 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      const elem = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, r).iri__T(), new $c_Lamf_core_parser_Annotations().init___());
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    const this$7 = this.amf$model$domain$PropertyTerm$$entity$4;
    const field = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$().range$4.field__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$7, field, b);
    return this
  };
  "withScalarRange"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScalarRange__sjs_js_Array__O(prep0)
  };
  "withRange"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRange__sjs_js_Array__O(prep0)
  };
  "range"() {
    return this.$$js$exported$meth$range__O()
  };
  "withTermExtends"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTermExtends__T__O(prep0)
  };
  "termExtends"() {
    return this.$$js$exported$meth$termExtends__O()
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "description"() {
    return this.$$js$exported$meth$description__O()
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "displayName"() {
    return this.$$js$exported$meth$displayName__O()
  };
}
const $is_Lamf_model_domain_PropertyTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_PropertyTerm)))
});
const $isArrayOf_Lamf_model_domain_PropertyTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_PropertyTerm)))
});
const $d_Lamf_model_domain_PropertyTerm = new $TypeData().initClass({
  Lamf_model_domain_PropertyTerm: 0
}, false, "amf.model.domain.PropertyTerm", {
  Lamf_model_domain_PropertyTerm: 1,
  Lamf_model_domain_DomainEntity: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_PropertyTerm.prototype.$classData = $d_Lamf_model_domain_PropertyTerm;
class $c_Lamf_model_domain_ScalarNode extends $c_Lamf_model_domain_DataNode {
  constructor() {
    super();
    this.value$4 = null;
    this.dataType$4 = null
  };
  init___() {
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType = $m_s_None$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ScalarNode.prototype.init___Lamf_core_model_domain_ScalarNode.call(this, new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ScalarNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ScalarNode(x$1)) {
      const ScalarNode$1 = x$1;
      const x = this.dataNode$3;
      const x$2 = ScalarNode$1.dataNode$3;
      if ((x === x$2)) {
        return ScalarNode$1.canEqual__O__Z(this)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataNode$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$dataType__O() {
    return this.dataType$4
  };
  init___Lamf_core_model_domain_ScalarNode(scalarNode) {
    $c_Lamf_model_domain_DataNode.prototype.init___Lamf_core_model_domain_DataNode.call(this, scalarNode);
    this.value$4 = scalarNode.value$2;
    const this$1 = scalarNode.dataType$2;
    this.dataType$4 = (this$1.isEmpty__Z() ? null : this$1.get__O());
    return this
  };
  $$js$exported$prop$value__O() {
    return this.value$4
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DataNode() {
    return this.dataNode$3
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.dataNode$3
  };
  get "dataType"() {
    return this.$$js$exported$prop$dataType__O()
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
}
const $is_Lamf_model_domain_ScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ScalarNode)))
});
const $isArrayOf_Lamf_model_domain_ScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ScalarNode)))
});
const $d_Lamf_model_domain_ScalarNode = new $TypeData().initClass({
  Lamf_model_domain_ScalarNode: 0
}, false, "amf.model.domain.ScalarNode", {
  Lamf_model_domain_ScalarNode: 1,
  Lamf_model_domain_DataNode: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ScalarNode.prototype.$classData = $d_Lamf_model_domain_ScalarNode;
class $c_Lamf_model_domain_SecurityScheme extends $c_Lamf_model_domain_DomainElement {
  constructor() {
    super();
    this.amf$model$domain$SecurityScheme$$scheme$3 = null
  };
  $$js$exported$meth$withHeader__T__O(name) {
    return this.withHeader__T__Lamf_model_domain_Parameter(name)
  };
  $$js$exported$meth$withOAuth1Settings__O() {
    return this.withOAuth1Settings__Lamf_model_domain_OAuth1Settings()
  };
  productPrefix__T() {
    return "SecurityScheme"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_SecurityScheme.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme.call(this, new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme(scheme) {
    this.amf$model$domain$SecurityScheme$$scheme$3 = scheme;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    return this.linkCopy__Lamf_model_domain_SecurityScheme()
  };
  $$js$exported$meth$withQueryString__Lamf_model_domain_Shape__O(queryString) {
    return this.withQueryString__Lamf_model_domain_Shape__Lamf_model_domain_SecurityScheme(queryString)
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_model_domain_Linkable__withLinkLabel__T__Lamf_model_domain_DomainElement(this, label)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$displayName__O() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1)
  };
  $$js$exported$prop$name__O() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1)
  };
  settings__Lamf_model_domain_Settings() {
    const jsx$1 = $m_Lamf_model_domain_Settings$();
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    return jsx$1.apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1))
  };
  withDescription__T__Lamf_model_domain_SecurityScheme(description) {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_SecurityScheme(x$1)) {
      const SecurityScheme$1 = x$1;
      const x = this.amf$model$domain$SecurityScheme$$scheme$3;
      const x$2 = SecurityScheme$1.amf$model$domain$SecurityScheme$$scheme$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$SecurityScheme$$scheme$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withHeaders__sjs_js_Iterable__O(headers) {
    return this.withHeaders__sjs_js_Iterable__Lamf_model_domain_SecurityScheme(headers)
  };
  $$js$exported$meth$withQueryParameter__T__O(name) {
    return this.withQueryParameter__T__Lamf_model_domain_Parameter(name)
  };
  withDisplayName__T__Lamf_model_domain_SecurityScheme(displayName) {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withQueryString__Lamf_model_domain_Shape__Lamf_model_domain_SecurityScheme(queryString) {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const queryString$1 = queryString.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, queryString$1);
    return this
  };
  withType__T__Lamf_model_domain_SecurityScheme(type) {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, type);
    return this
  };
  $$js$exported$prop$isLink__O() {
    return this.linkTarget__s_Option().isDefined__Z()
  };
  responses__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_Response$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  withQueryParameters__sjs_js_Iterable__Lamf_model_domain_SecurityScheme(queryParameters) {
    const this$6 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const __self = queryParameters[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.amf$model$domain$Parameter$$parameter$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const queryParameters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, queryParameters$1);
    return this
  };
  withHeaders__sjs_js_Iterable__Lamf_model_domain_SecurityScheme(headers) {
    const this$6 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const __self = headers[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.amf$model$domain$Parameter$$parameter$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const headers$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, headers$1);
    return this
  };
  withSettings__Lamf_model_domain_Settings__Lamf_model_domain_SecurityScheme(settings) {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const settings$1 = settings.element__Lamf_plugins_domain_webapi_models_security_Settings();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, settings$1);
    return this
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_model_domain_SecurityScheme(displayName)
  };
  linkTarget__s_Option() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_SecurityScheme().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$prop$queryParameters__O() {
    return this.queryParameters__sjs_js_Iterable()
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_SecurityScheme()
  };
  $$js$exported$meth$withOAuth2Settings__O() {
    return this.withOAuth2Settings__Lamf_model_domain_OAuth2Settings()
  };
  $$js$exported$meth$withType__T__O(type) {
    return this.withType__T__Lamf_model_domain_SecurityScheme(type)
  };
  $$js$exported$meth$withQueryParameters__sjs_js_Iterable__O(queryParameters) {
    return this.withQueryParameters__sjs_js_Iterable__Lamf_model_domain_SecurityScheme(queryParameters)
  };
  headers__sjs_js_Iterable() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const jsx$2 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1);
    const jsx$1 = $m_Lamf_model_domain_Parameter$();
    const this$2 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  $$js$exported$prop$headers__O() {
    return this.headers__sjs_js_Iterable()
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$responses__O() {
    return this.responses__sjs_js_Iterable()
  };
  $$js$exported$prop$type__O() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_model_domain_SecurityScheme(description)
  };
  linkCopy__Lamf_model_domain_SecurityScheme() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const scheme = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    return new $c_Lamf_model_domain_SecurityScheme().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme(scheme)
  };
  withOAuth2Settings__Lamf_model_domain_OAuth2Settings() {
    return new $c_Lamf_model_domain_OAuth2Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(this.amf$model$domain$SecurityScheme$$scheme$3.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings())
  };
  $$js$exported$meth$withApiKeySettings__O() {
    return this.withApiKeySettings__Lamf_model_domain_ApiKeySettings()
  };
  $$js$exported$prop$description__O() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withResponses__sjs_js_Iterable__O(responses) {
    return this.withResponses__sjs_js_Iterable__Lamf_model_domain_SecurityScheme(responses)
  };
  $$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(target) {
    return $f_Lamf_model_domain_Linkable__withLinkTarget__Lamf_model_domain_DomainElement__Lamf_model_domain_DomainElement(this, target)
  };
  withResponses__sjs_js_Iterable__Lamf_model_domain_SecurityScheme(responses) {
    const this$6 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const __self = responses[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.amf$model$domain$Response$$response$3
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const responses$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, responses$1);
    return this
  };
  withResponse__T__Lamf_model_domain_Response(name) {
    const response = this.amf$model$domain$SecurityScheme$$scheme$3.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name);
    return new $c_Lamf_model_domain_Response().init___Lamf_plugins_domain_webapi_models_Response(response)
  };
  $$js$exported$meth$withResponse__T__O(name) {
    return this.withResponse__T__Lamf_model_domain_Response(name)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withApiKeySettings__Lamf_model_domain_ApiKeySettings() {
    return new $c_Lamf_model_domain_ApiKeySettings().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(this.amf$model$domain$SecurityScheme$$scheme$3.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings())
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_SecurityScheme(name)
  };
  $$js$exported$prop$queryString__O() {
    return this.queryString__Lamf_model_domain_Shape()
  };
  withQueryParameter__T__Lamf_model_domain_Parameter(name) {
    const parameter = this.amf$model$domain$SecurityScheme$$scheme$3.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  withOAuth1Settings__Lamf_model_domain_OAuth1Settings() {
    return new $c_Lamf_model_domain_OAuth1Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(this.amf$model$domain$SecurityScheme$$scheme$3.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings())
  };
  withName__T__Lamf_model_domain_SecurityScheme(name) {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  queryParameters__sjs_js_Iterable() {
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const jsx$2 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1);
    const jsx$1 = $m_Lamf_model_domain_Parameter$();
    const this$2 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const this$5 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$5, result)));
      return result
    }
  };
  $$js$exported$meth$withSettings__Lamf_model_domain_Settings__O(settings) {
    return this.withSettings__Lamf_model_domain_Settings__Lamf_model_domain_SecurityScheme(settings)
  };
  withHeader__T__Lamf_model_domain_Parameter(name) {
    const parameter = this.amf$model$domain$SecurityScheme$$scheme$3.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    return new $c_Lamf_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(parameter)
  };
  withDefaultSettings__Lamf_model_domain_Settings() {
    return $m_Lamf_model_domain_Settings$().apply__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_model_domain_Settings(this.amf$model$domain$SecurityScheme$$scheme$3.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings())
  };
  $$js$exported$meth$withDefaultSettings__O() {
    return this.withDefaultSettings__Lamf_model_domain_Settings()
  };
  $$js$exported$prop$settings__O() {
    return this.settings__Lamf_model_domain_Settings()
  };
  $$js$exported$prop$linkLabel__O() {
    return $f_Lamf_model_domain_Linkable__linkLabel__s_Option(this)
  };
  queryString__Lamf_model_domain_Shape() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.amf$model$domain$SecurityScheme$$scheme$3;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1));
    let this$5;
    if (this$2.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$1 = arg1;
      const this$3 = $m_Lamf_model_domain_Shape$();
      const this$4 = this$3.platform$1;
      this$5 = new $c_s_Some().init___O($f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$4, x$1))
    };
    return (this$5.isEmpty__Z() ? null : this$5.get__O())
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$SecurityScheme$$scheme$3
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  "withApiKeySettings"() {
    return this.$$js$exported$meth$withApiKeySettings__O()
  };
  "withOAuth2Settings"() {
    return this.$$js$exported$meth$withOAuth2Settings__O()
  };
  "withOAuth1Settings"() {
    return this.$$js$exported$meth$withOAuth1Settings__O()
  };
  "withDefaultSettings"() {
    return this.$$js$exported$meth$withDefaultSettings__O()
  };
  "withResponse"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponse__T__O(prep0)
  };
  "withQueryParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameter__T__O(prep0)
  };
  "withHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeader__T__O(prep0)
  };
  "withQueryString"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryString__Lamf_model_domain_Shape__O(prep0)
  };
  "withSettings"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSettings__Lamf_model_domain_Settings__O(prep0)
  };
  "withResponses"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponses__sjs_js_Iterable__O(prep0)
  };
  "withQueryParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameters__sjs_js_Iterable__O(prep0)
  };
  "withHeaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeaders__sjs_js_Iterable__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withType__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "queryString"() {
    return this.$$js$exported$prop$queryString__O()
  };
  get "settings"() {
    return this.$$js$exported$prop$settings__O()
  };
  get "responses"() {
    return this.$$js$exported$prop$responses__O()
  };
  get "queryParameters"() {
    return this.$$js$exported$prop$queryParameters__O()
  };
  get "headers"() {
    return this.$$js$exported$prop$headers__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "type"() {
    return this.$$js$exported$prop$type__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_model_domain_SecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_SecurityScheme)))
});
const $isArrayOf_Lamf_model_domain_SecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_SecurityScheme)))
});
const $d_Lamf_model_domain_SecurityScheme = new $TypeData().initClass({
  Lamf_model_domain_SecurityScheme: 0
}, false, "amf.model.domain.SecurityScheme", {
  Lamf_model_domain_SecurityScheme: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_SecurityScheme.prototype.$classData = $d_Lamf_model_domain_SecurityScheme;
class $c_Lamf_model_domain_Vocabulary extends $c_Lamf_model_domain_DomainEntity {
  constructor() {
    super();
    this.wrapped$4 = null;
    this.entity$4 = null;
    this.vocab$4 = null
  };
  productPrefix__T() {
    return "Vocabulary"
  };
  init___() {
    const d = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$();
    const this$6 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), d, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___()), $m_s_None$());
    $c_Lamf_model_domain_Vocabulary.prototype.init___Lamf_model_domain_DomainEntity.call(this, new $c_Lamf_model_domain_DomainEntity().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(this$6.domainEntity$1));
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withPropertyTerms__sjs_js_Array__O(propertyTerms) {
    return this.withPropertyTerms__sjs_js_Array__Lamf_model_domain_Vocabulary(propertyTerms)
  };
  element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity() {
    return this.entity$4
  };
  $$js$exported$meth$withUses__sjs_js_Array__O(vocabs) {
    return this.withUses__sjs_js_Array__Lamf_model_domain_Vocabulary(vocabs)
  };
  $$js$exported$meth$uses__O() {
    return this.uses__sjs_js_Array()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Vocabulary(x$1)) {
      const Vocabulary$1 = x$1;
      const x = this.wrapped$4;
      const x$2 = Vocabulary$1.wrapped$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  uses__sjs_js_Array() {
    const jsx$2 = this.vocab$4.uses__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(u$2) {
        const u = u$2;
        return new $c_Lamf_model_domain_VocabularyImport().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(u.domainEntity$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  $$js$exported$meth$base__O() {
    return this.base__T()
  };
  withBase__T__Lamf_model_domain_Vocabulary(base) {
    const this$1 = this.entity$4;
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, base);
    this.vocab$4.withBase__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject(base);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.wrapped$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withUsage__T__Lamf_model_domain_Vocabulary(usage) {
    this.vocab$4.withUsage__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject(usage);
    return this
  };
  init___Lamf_model_domain_DomainEntity(wrapped) {
    this.wrapped$4 = wrapped;
    $c_Lamf_model_domain_DomainEntity.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, wrapped.element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity());
    this.entity$4 = wrapped.element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity();
    this.vocab$4 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(this.entity$4, $m_s_None$());
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withBase__T__O(base) {
    return this.withBase__T__Lamf_model_domain_Vocabulary(base)
  };
  withUses__sjs_js_Array__Lamf_model_domain_Vocabulary(vocabs) {
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (vocabs.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (vocabs.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = vocabs[index];
      const v = arg1;
      const elem = v.amf$model$domain$VocabularyImport$$entity$4;
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    const this$4 = this.entity$4;
    const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().uses$3.field__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$4, field, b);
    return this
  };
  $$js$exported$meth$version__O() {
    return this.version__T()
  };
  classTerms__sjs_js_Array() {
    const jsx$2 = this.vocab$4.classTerms__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(c$2) {
        const c = c$2;
        return new $c_Lamf_model_domain_ClassTerm().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(c.domainEntity$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  usage__T() {
    const this$1 = this.vocab$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().usage$3);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  $$js$exported$meth$classTerms__O() {
    return this.classTerms__sjs_js_Array()
  };
  propertyTerms__sjs_js_Array() {
    const jsx$2 = this.vocab$4.propertyTerms__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(c$2) {
        const c = c$2;
        return new $c_Lamf_model_domain_PropertyTerm().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(c.domainEntity$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  withClassTerms__sjs_js_Array__Lamf_model_domain_Vocabulary(classTerms) {
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (classTerms.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (classTerms.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = classTerms[index];
      const x$1 = arg1;
      const elem = x$1.amf$model$domain$ClassTerm$$entity$4;
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    const this$4 = this.entity$4;
    const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().classTerms$3.field__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$4, field, b);
    return this
  };
  version__T() {
    const this$1 = this.vocab$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().version$3);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  withPropertyTerms__sjs_js_Array__Lamf_model_domain_Vocabulary(propertyTerms) {
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (propertyTerms.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (propertyTerms.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = propertyTerms[index];
      const x$2 = arg1;
      const elem = x$2.amf$model$domain$PropertyTerm$$entity$4;
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    const this$4 = this.entity$4;
    const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().propertyTerms$3.field__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$4, field, b);
    return this
  };
  $$js$exported$prop$entity__O() {
    return this.entity$4
  };
  $$js$exported$meth$usage__O() {
    return this.usage__T()
  };
  withExternals__sjs_js_Array__Lamf_model_domain_Vocabulary(externals) {
    $m_sc_Seq$();
    $m_sjs_js_WrappedArray$();
    const b = new $c_sjs_js_WrappedArray().init___();
    const x1 = (externals.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (externals.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = externals[index];
      const e = arg1;
      const elem = e.amf$model$domain$ExternalVocabularyImport$$entity$4;
      b.array$6.push(elem);
      i = ((1 + i) | 0)
    };
    const this$4 = this.entity$4;
    const field = $m_Lamf_plugins_document_vocabularies_core_Vocabulary$().externals$3.field__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$4, field, b);
    return this
  };
  base__T() {
    const this$1 = this.vocab$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_Vocabulary$().base$3);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  $$js$exported$meth$externals__O() {
    return this.externals__sjs_js_Array()
  };
  $$js$exported$meth$withVersion__T__O(version) {
    return this.withVersion__T__Lamf_model_domain_Vocabulary(version)
  };
  withVersion__T__Lamf_model_domain_Vocabulary(version) {
    this.vocab$4.withVersion__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$VocabularyObject(version);
    return this
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return this.withUsage__T__Lamf_model_domain_Vocabulary(usage)
  };
  $$js$exported$meth$propertyTerms__O() {
    return this.propertyTerms__sjs_js_Array()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withExternals__sjs_js_Array__O(externals) {
    return this.withExternals__sjs_js_Array__Lamf_model_domain_Vocabulary(externals)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withClassTerms__sjs_js_Array__O(classTerms) {
    return this.withClassTerms__sjs_js_Array__Lamf_model_domain_Vocabulary(classTerms)
  };
  externals__sjs_js_Array() {
    const jsx$2 = this.vocab$4.external__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_model_domain_ExternalVocabularyImport().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(e.domainEntity$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const col = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.entity$4
  };
  "withPropertyTerms"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPropertyTerms__sjs_js_Array__O(prep0)
  };
  "propertyTerms"() {
    return this.$$js$exported$meth$propertyTerms__O()
  };
  "withClassTerms"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withClassTerms__sjs_js_Array__O(prep0)
  };
  "classTerms"() {
    return this.$$js$exported$meth$classTerms__O()
  };
  "withExternals"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExternals__sjs_js_Array__O(prep0)
  };
  "externals"() {
    return this.$$js$exported$meth$externals__O()
  };
  "withUses"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUses__sjs_js_Array__O(prep0)
  };
  "uses"() {
    return this.$$js$exported$meth$uses__O()
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "usage"() {
    return this.$$js$exported$meth$usage__O()
  };
  "withVersion"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVersion__T__O(prep0)
  };
  "version"() {
    return this.$$js$exported$meth$version__O()
  };
  "withBase"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBase__T__O(prep0)
  };
  "base"() {
    return this.$$js$exported$meth$base__O()
  };
  get "entity"() {
    return this.$$js$exported$prop$entity__O()
  };
}
const $is_Lamf_model_domain_Vocabulary = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Vocabulary)))
});
const $isArrayOf_Lamf_model_domain_Vocabulary = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Vocabulary)))
});
const $d_Lamf_model_domain_Vocabulary = new $TypeData().initClass({
  Lamf_model_domain_Vocabulary: 0
}, false, "amf.model.domain.Vocabulary", {
  Lamf_model_domain_Vocabulary: 1,
  Lamf_model_domain_DomainEntity: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Vocabulary.prototype.$classData = $d_Lamf_model_domain_Vocabulary;
class $c_Lamf_model_domain_VocabularyImport extends $c_Lamf_model_domain_DomainEntity {
  constructor() {
    super();
    this.amf$model$domain$VocabularyImport$$entity$4 = null;
    this.importObj$4 = null
  };
  withName__T__Lamf_model_domain_VocabularyImport(name) {
    this.importObj$4.withName__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject(name);
    return this
  };
  init___() {
    const d = $m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$();
    const this$6 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations($m_s_None$(), d, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___()), $m_s_None$());
    $c_Lamf_model_domain_VocabularyImport.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, this$6.domainEntity$1);
    return this
  };
  productPrefix__T() {
    return "VocabularyImport"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withUri__T__O(uri) {
    return this.withUri__T__Lamf_model_domain_VocabularyImport(uri)
  };
  element__Lamf_plugins_document_vocabularies_model_domain_DomainEntity() {
    return this.amf$model$domain$VocabularyImport$$entity$4
  };
  uri__T() {
    const this$1 = this.importObj$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$().uri$3);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  $$js$exported$meth$name__O() {
    return this.name__T()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_VocabularyImport(x$1)) {
      const VocabularyImport$1 = x$1;
      const x = this.amf$model$domain$VocabularyImport$$entity$4;
      const x$2 = VocabularyImport$1.amf$model$domain$VocabularyImport$$entity$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withUri__T__Lamf_model_domain_VocabularyImport(uri) {
    this.importObj$4.withUri__T__Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject(uri);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$model$domain$VocabularyImport$$entity$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$uri__O() {
    return this.uri__T()
  };
  name__T() {
    const this$1 = this.importObj$4;
    const this$2 = this$1.domainEntity$1.string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option($m_Lamf_plugins_document_vocabularies_core_NameSpaceImport$().name$3);
    return (this$2.isEmpty__Z() ? null : this$2.get__O())
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(entity) {
    this.amf$model$domain$VocabularyImport$$entity$4 = entity;
    $c_Lamf_model_domain_DomainEntity.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call(this, entity);
    this.importObj$4 = new $c_Lamf_dialects_RAML$und1$und0$undVocabularyTopLevel$NameSpaceImportObject().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity__s_Option(entity, $m_s_None$());
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_model_domain_VocabularyImport(name)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.amf$model$domain$VocabularyImport$$entity$4
  };
  "withUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUri__T__O(prep0)
  };
  "uri"() {
    return this.$$js$exported$meth$uri__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "name"() {
    return this.$$js$exported$meth$name__O()
  };
}
const $is_Lamf_model_domain_VocabularyImport = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_VocabularyImport)))
});
const $isArrayOf_Lamf_model_domain_VocabularyImport = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_VocabularyImport)))
});
const $d_Lamf_model_domain_VocabularyImport = new $TypeData().initClass({
  Lamf_model_domain_VocabularyImport: 0
}, false, "amf.model.domain.VocabularyImport", {
  Lamf_model_domain_VocabularyImport: 1,
  Lamf_model_domain_DomainEntity: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_VocabularyImport.prototype.$classData = $d_Lamf_model_domain_VocabularyImport;
class $c_Lamf_plugins_document_vocabularies_core_Declaration extends $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect {
  constructor() {
    super();
    this.shortName$3 = null;
    this.idProperty$3 = null
  };
  productPrefix__T() {
    return "Declaration"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_core_Declaration(x$1)) {
      const Declaration$1 = x$1;
      if ((this.shortName$3 === Declaration$1.shortName$3)) {
        const x = this.namespace$1;
        const x$2 = Declaration$1.namespace$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shortName$3;
        break
      }
      case 1: {
        return this.namespace$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_core_vocabulary_Namespace(shortName, namespace) {
    this.shortName$3 = shortName;
    $c_Lamf_plugins_document_vocabularies_core_VocabPartDialect.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, shortName, namespace);
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("id", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$24 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$27 = new $c_s_Some().init___O("idProperty");
    const x$28 = arg1.name$1;
    const x$29 = arg1.range$1;
    const x$30 = arg1.unionTypes$1;
    const x$31 = arg1.required$1;
    const x$32 = arg1.collection$1;
    const x$33 = arg1.referenceTarget$1;
    const x$34 = arg1.noLastSegmentTrimInMaps$1;
    const x$35 = arg1.hash$1;
    const x$36 = arg1.hashValue$1;
    const x$37 = arg1.fromVal$1;
    const x$38 = arg1.isDeclaration$1;
    const x$39 = arg1.isDocumentDeclaration$1;
    const x$40 = arg1.rdfName$1;
    const x$41 = arg1.owningNode$1;
    const x$42 = arg1.allowInplace$1;
    const x$43 = arg1.pattern$1;
    const x$44 = arg1.enum$1;
    const x$45 = arg1.minimum$1;
    const x$46 = arg1.maximum$1;
    const x$47 = arg1.defaultValue$1;
    this.idProperty$3 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$28, x$29, x$30, x$31, x$32, x$33, true, x$34, x$35, x$36, x$37, x$38, x$39, x$24, x$40, false, x$41, x$27, x$42, x$43, x$44, x$45, x$46, x$47));
    return this
  };
  namespace__Lamf_core_vocabulary_Namespace() {
    return this.namespace$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  shortName__T() {
    return this.shortName$3
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_core_Declaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_core_Declaration)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_core_Declaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_core_Declaration)))
});
class $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity extends $c_O {
  constructor() {
    super();
    this.linkValue$1 = null;
    this.definition$1 = null;
    this.fields$1 = null;
    this.annotations$1 = null;
    this.dynamicType$1 = false;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    const this$2 = this.definition$1.calcTypes__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__sci_List(this);
    const f = (function($this) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.iri__T()
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        return h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      return b.result__O()
    }
  };
  productPrefix__T() {
    return "DomainEntity"
  };
  visitElement__p1__Lamf_plugins_document_vocabularies_spec_DomainEntityVisitor__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__V(visitor, mapping, element) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(element)) {
      const x2 = element;
      const visitChidren = visitor.visit__Lamf_plugins_document_vocabularies_model_domain_DomainEntity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Z(x2, mapping);
      if (visitChidren) {
        x2.traverse__Lamf_plugins_document_vocabularies_spec_DomainEntityVisitor__V(visitor)
      }
    }
  };
  mappingToStrings__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(m) {
    const x1 = this.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(m.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_s_Some().init___O(x2.toString__T())]);
      const this$2 = $m_sci_List$();
      const cbf = this$2.ReusableCBFInstance$2;
      return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
    } else if ($is_Lamf_core_model_domain_AmfArray(x1)) {
      const x3 = x1;
      const jsx$2 = x3.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_core_model_domain_AmfScalar(x0$1)) {
            const x2$1 = x0$1;
            return new $c_s_Some().init___O(x2$1.toString__T())
          } else {
            return $m_s_None$()
          }
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
    } else {
      $m_sci_List$();
      return $m_sci_Nil$()
    }
  };
  productArity__I() {
    return 4
  };
  mapElementWithId__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__s_Option(m, id) {
    const x1 = this.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(m.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_core_model_domain_AmfArray(x1)) {
      const x2 = x1;
      return x2.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          return $is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(v)
        })
      })(this))).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, id$1) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x0$2)) {
            const x2$1 = x0$2;
            return (x2$1.id$1 === id$1)
          } else {
            throw new $c_s_MatchError().init___O(x0$2)
          }
        })
      })(this, id)))
    } else {
      return $m_s_None$()
    }
  };
  $boolean__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(m) {
    const x1 = this.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(m.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      const jsx$1 = $m_s_Option$();
      const x = x2.toString__T();
      const this$2 = new $c_sci_StringOps().init___T(x);
      const $$this = this$2.repr$1;
      return jsx$1.apply__O__s_Option($f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$2, $$this))
    } else {
      return $m_s_None$()
    }
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x$1)) {
      const DomainEntity$1 = x$1;
      const x = this.linkValue$1;
      const x$2 = DomainEntity$1.linkValue$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.definition$1;
        const x$4 = DomainEntity$1.definition$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.fields$1;
        const x$6 = DomainEntity$1.fields$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.annotations$1;
        const x$8 = DomainEntity$1.annotations$1;
        return (x$7 === x$8)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.linkValue$1;
        break
      }
      case 1: {
        return this.definition$1;
        break
      }
      case 2: {
        return this.fields$1;
        break
      }
      case 3: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const f = new $c_Lamf_core_parser_Fields().init___();
    this.fields$1.into__Lamf_core_parser_Fields__V(f);
    const x$7 = $m_s_None$();
    const x$9 = this.definition$1;
    const x$10 = this.annotations$1;
    return new $c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity().init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x$7, x$9, f, x$10)
  };
  meta__Lamf_core_metamodel_Obj() {
    return new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectEntityModel().init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity(this)
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  traverse__Lamf_plugins_document_vocabularies_spec_DomainEntityVisitor__V(visitor) {
    const this$1 = this.definition$1.mappings__sci_List();
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const mapping = arg1;
      if ((!mapping.isScalar__Z())) {
        const element = this.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(mapping.field__Lamf_core_metamodel_Field());
        if ($is_Lamf_core_model_domain_AmfArray(element)) {
          const x2 = element;
          x2.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, visitor$1, mapping$1) {
            return (function(x$1$2) {
              const x$1 = x$1$2;
              $this.visitElement__p1__Lamf_plugins_document_vocabularies_spec_DomainEntityVisitor__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__V(visitor$1, mapping$1, x$1)
            })
          })(this, visitor, mapping)))
        };
        this.visitElement__p1__Lamf_plugins_document_vocabularies_spec_DomainEntityVisitor__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_core_model_domain_AmfElement__V(visitor, mapping, element)
      };
      these = these.tail__O()
    }
  };
  entities__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(m) {
    const x1 = this.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(m.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x1)) {
      const x2 = x1;
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2]);
      const this$2 = $m_sci_List$();
      const cbf = this$2.ReusableCBFInstance$2;
      return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
    } else if ($is_Lamf_core_model_domain_AmfArray(x1)) {
      const x3 = x1;
      return x3.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          return $is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x$5)
        })
      })(this)))
    } else {
      return $m_sci_Nil$()
    }
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  rawstrings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(m) {
    const jsx$2 = this.mappingToStrings__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(m);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return (x$4.isEmpty__Z() ? "" : x$4.get__O())
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  addValue__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__T__V(mapping, value) {
    const field = mapping.field__Lamf_core_metamodel_Field();
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, value$1)
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  adopted__T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(parent) {
    if ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z()) {
      const x1 = this.linkValue$1;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const link = x2.value$2;
        const index = (((-1) + (parent.length | 0)) | 0);
        const x1$2 = (65535 & (parent.charCodeAt(index) | 0));
        switch (x1$2) {
          case 47: {
            const value = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parent, link]));
            $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value);
            break
          }
          case 35: {
            const value$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parent, link]));
            $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value$1);
            break
          }
          default: {
            const value$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parent, link]));
            $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value$2)
          }
        }
      } else {
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
      }
    };
    return this
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  string__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(m) {
    const x1 = this.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(m.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      return new $c_s_Some().init___O(x2.toString__T())
    } else {
      return $m_s_None$()
    }
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  strings__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(m) {
    const jsx$2 = this.mappingToStrings__p1__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__sc_Seq(m).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.isDefined__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.get__O()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  init___s_Option__Lamf_plugins_document_vocabularies_spec_DialectNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(linkValue, definition, fields, annotations) {
    this.linkValue$1 = linkValue;
    this.definition$1 = definition;
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    this.dynamicType$1 = true;
    return this
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  entity__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__s_Option(m) {
    const x1 = this.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(m.field__Lamf_core_metamodel_Field());
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity(x1)) {
      const x2 = x1;
      return new $c_s_Some().init___O(x2)
    } else {
      return $m_s_None$()
    }
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_document_vocabularies_model_domain_DomainEntity(parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_DomainEntity = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_DomainEntity)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_DomainEntity = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_DomainEntity)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_DomainEntity = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_DomainEntity: 0
}, false, "amf.plugins.document.vocabularies.model.domain.DomainEntity", {
  Lamf_plugins_document_vocabularies_model_domain_DomainEntity: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_DomainEntity.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_DomainEntity;
class $c_Lamf_plugins_document_vocabularies_spec_DialectContext extends $c_Lamf_core_parser_ParserContext {
  constructor() {
    super();
    this.wrapped$3 = null;
    this.internalDec$3 = null;
    this.declarations$3 = null
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, internalDec) {
    this.wrapped$3 = wrapped;
    this.internalDec$3 = internalDec;
    $c_Lamf_core_parser_ParserContext.prototype.init___T__sc_Seq__Lamf_core_parser_FutureDeclarations.call(this, wrapped.rootContextDocument$2, wrapped.refs$2, wrapped.futureDeclarations$2);
    this.declarations$3 = (internalDec.isEmpty__Z() ? $m_Lamf_core_parser_Declarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_core_parser_Declarations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), new $c_s_Some().init___O(this), this.wrapped$3.futureDeclarations$2) : internalDec.get__O());
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_spec_DialectContext = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_spec_DialectContext: 0
}, false, "amf.plugins.document.vocabularies.spec.DialectContext", {
  Lamf_plugins_document_vocabularies_spec_DialectContext: 1,
  Lamf_core_parser_ParserContext: 1,
  Lamf_core_parser_ErrorHandler: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_spec_DialectContext.prototype.$classData = $d_Lamf_plugins_document_vocabularies_spec_DialectContext;
class $c_Lamf_plugins_document_webapi_RAML08Plugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.validationProfile$2 = null;
    this.ID$2 = null;
    this.vendors$2 = null;
    this.platform$2 = null;
    this.aggregatedReport$2 = null;
    this.defaultValidationProfiles$2 = null
  };
  context__Lamf_core_parser_ParserContext__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(wrapped, ds) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds)
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$ID$und$eq__T__V(x$1) {
    this.ID$2 = x$1
  };
  init___() {
    $n_Lamf_plugins_document_webapi_RAML08Plugin$ = this;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    $f_Lamf_plugins_document_webapi_RAMLPlugin__$$init$__V(this);
    this.validationProfile$2 = $m_Lamf_ProfileNames$().RAML08$1;
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$2
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ((!$is_Lamf_plugins_document_webapi_model_Overlay(unit))) {
      if ((!$is_Lamf_plugins_document_webapi_model_Extension(unit))) {
        if ($is_Lamf_core_model_document_Document(unit)) {
          const x4 = unit;
          return $is_Lamf_plugins_domain_webapi_models_WebApi(x4.encodes__Lamf_core_model_domain_DomainElement())
        } else {
          return ((!$is_Lamf_core_model_document_Module(unit)) && ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(unit) || ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(unit) || ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_TraitFragment(unit) || ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(unit) || ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(unit) || $is_Lamf_core_model_document_ExternalFragment(unit)))))))))
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  modelEntities__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$2 = x$1
  };
  documentSyntaxes__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__documentSyntaxes__sc_Seq(this)
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$2
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    const messageStyle = this.validationProfile$2;
    return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future(this, baseUnit, profile, validations, messageStyle, platform)
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.ID$2, this)
  };
  version__T() {
    return "0.8"
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.defaultValidationProfiles$2
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$2 = x$1
  };
  dependencies__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq(this)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Option(unit, options) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, new $c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext().init___()).emitDocument__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_Fragment(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter().init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x3, new $c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext().init___()).emitFragment__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(root) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().apply__Lamf_core_Root__s_Option(root);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x0$2 = arg1;
      const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$();
      if (x.equals__O__Z(x0$2)) {
        return true
      } else {
        return $is_Lamf_plugins_document_webapi_parser_RamlFragment(x0$2)
      }
    } else {
      return false
    }
  };
  context$default$2__s_Option() {
    return $m_s_None$()
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(root, parentContext, platform) {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(this, root, parentContext, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    return new $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  serializableAnnotations__sci_Map() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map(this)
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V(x$1) {
    this.vendors$2 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_RAML08Plugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_RAML08Plugin$: 0
}, false, "amf.plugins.document.webapi.RAML08Plugin$", {
  Lamf_plugins_document_webapi_RAML08Plugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_webapi_RAMLPlugin: 1,
  Lamf_plugins_document_webapi_BaseWebApiPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_RAML08Plugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_RAML08Plugin$;
let $n_Lamf_plugins_document_webapi_RAML08Plugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_RAML08Plugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_RAML08Plugin$)) {
    $n_Lamf_plugins_document_webapi_RAML08Plugin$ = new $c_Lamf_plugins_document_webapi_RAML08Plugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_RAML08Plugin$
});
class $c_Lamf_plugins_document_webapi_RAML10Plugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.validationProfile$2 = null;
    this.ID$2 = null;
    this.vendors$2 = null;
    this.platform$2 = null;
    this.aggregatedReport$2 = null;
    this.defaultValidationProfiles$2 = null
  };
  context__Lamf_core_parser_ParserContext__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(wrapped, ds) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds)
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$ID$und$eq__T__V(x$1) {
    this.ID$2 = x$1
  };
  init___() {
    $n_Lamf_plugins_document_webapi_RAML10Plugin$ = this;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    $f_Lamf_plugins_document_webapi_RAMLPlugin__$$init$__V(this);
    this.validationProfile$2 = $m_Lamf_ProfileNames$().RAML$1;
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$2
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ($is_Lamf_plugins_document_webapi_model_Overlay(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_Extension(unit)) {
      return true
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x4 = unit;
      return $is_Lamf_plugins_domain_webapi_models_WebApi(x4.encodes__Lamf_core_model_domain_DomainElement())
    } else if ($is_Lamf_core_model_document_Module(unit)) {
      const x5 = unit;
      return x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$4$2) {
          const x0$4 = x0$4$2;
          return (x0$4 !== null)
        })
      })(this)))
    } else {
      return ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(unit) || ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(unit) || ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_TraitFragment(unit) || ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(unit) || ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(unit) || $is_Lamf_core_model_document_ExternalFragment(unit))))))))
    }
  };
  modelEntities__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$2 = x$1
  };
  documentSyntaxes__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__documentSyntaxes__sc_Seq(this)
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$2
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    const messageStyle = this.validationProfile$2;
    return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future(this, baseUnit, profile, validations, messageStyle, platform)
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.ID$2, this)
  };
  version__T() {
    return "1.0"
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.defaultValidationProfiles$2
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$2 = x$1
  };
  dependencies__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq(this)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_client_GenerationOptions__s_Option(unit, options) {
    if ($is_Lamf_core_model_document_Module(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter().init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$())).emitModule__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x3, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$())).emitDocument__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_ExternalFragment(unit)) {
      const x4 = unit;
      const jsx$2 = $m_Lorg_yaml_model_YDocument$();
      const jsx$1 = $m_Lorg_yaml_model_YNode$();
      const this$3 = x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
      return new $c_s_Some().init___O(jsx$2.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(jsx$1.apply__T__Lorg_yaml_model_YNode(this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1))))
    } else if ($is_Lamf_core_model_document_Fragment(unit)) {
      const x5 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter().init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x5, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$())).emitFragment__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(root) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().apply__Lamf_core_Root__s_Option(root);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x0$3 = arg1;
      const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$();
      let jsx$1;
      if (x.equals__O__Z(x0$3)) {
        jsx$1 = true
      } else {
        const x$3 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$();
        if (x$3.equals__O__Z(x0$3)) {
          jsx$1 = true
        } else {
          const x$5 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$();
          if (x$5.equals__O__Z(x0$3)) {
            jsx$1 = true
          } else {
            const x$7 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$();
            jsx$1 = x$7.equals__O__Z(x0$3)
          }
        }
      };
      if (jsx$1) {
        return true
      } else {
        const x$9 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$();
        if (x$9.equals__O__Z(x0$3)) {
          return true
        } else {
          const x$11 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$();
          if (x$11.equals__O__Z(x0$3)) {
            return true
          } else {
            const x$13 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$();
            if (x$13.equals__O__Z(x0$3)) {
              return true
            } else {
              const x$15 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$();
              if (x$15.equals__O__Z(x0$3)) {
                return true
              } else {
                const x$17 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$();
                if (x$17.equals__O__Z(x0$3)) {
                  return true
                } else {
                  const x$19 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$();
                  if (x$19.equals__O__Z(x0$3)) {
                    return true
                  } else {
                    const x$21 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$();
                    return x$21.equals__O__Z(x0$3)
                  }
                }
              }
            }
          }
        }
      }
    } else {
      return false
    }
  };
  context$default$2__s_Option() {
    return $m_s_None$()
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(root, parentContext, platform) {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(this, root, parentContext, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    return new $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  serializableAnnotations__sci_Map() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map(this)
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V(x$1) {
    this.vendors$2 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_RAML10Plugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_RAML10Plugin$: 0
}, false, "amf.plugins.document.webapi.RAML10Plugin$", {
  Lamf_plugins_document_webapi_RAML10Plugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_webapi_RAMLPlugin: 1,
  Lamf_plugins_document_webapi_BaseWebApiPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_RAML10Plugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_RAML10Plugin$;
let $n_Lamf_plugins_document_webapi_RAML10Plugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_RAML10Plugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_RAML10Plugin$)) {
    $n_Lamf_plugins_document_webapi_RAML10Plugin$ = new $c_Lamf_plugins_document_webapi_RAML10Plugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_RAML10Plugin$
});
class $c_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Extension")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_DocumentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return this.Extends$1
  };
  amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Extends$1 = x$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_ExtensionModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.ExtensionModel$", {
  Lamf_plugins_document_webapi_metamodel_ExtensionModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ExtensionLikeModel: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_webapi_metamodel_ExtensionModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_ExtensionModel$;
let $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = new $c_Lamf_plugins_document_webapi_metamodel_ExtensionModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_OverlayModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Overlay")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_DocumentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return this.Extends$1
  };
  amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Extends$1 = x$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_OverlayModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.OverlayModel$", {
  Lamf_plugins_document_webapi_metamodel_OverlayModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ExtensionLikeModel: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_webapi_metamodel_OverlayModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_OverlayModel$;
let $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_OverlayModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = new $c_Lamf_plugins_document_webapi_metamodel_OverlayModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ extends $c_O {
  constructor() {
    super();
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    return this
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    this.type$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.AnyShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape extends $c_O {
  constructor() {
    super();
    this.Items$1 = null;
    this.MinItems$1 = null;
    this.MaxItems$1 = null;
    this.UniqueItems$1 = null;
    this.fields$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Items$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "items"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Int$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MinItems$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "minCount"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Int$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MaxItems$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "maxCount"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.UniqueItems$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "uniqueItems"), true);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Items__Lamf_core_metamodel_Field(), this.MinItems$1, this.MaxItems$1, this.UniqueItems$1]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    const jsx$8 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$11 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$7 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$11);
    const this$12 = $m_sci_List$();
    const jsx$6 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$12.ReusableCBFInstance$2);
    const jsx$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$13 = $m_sci_List$();
    this.fields$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$13.ReusableCBFInstance$2);
    return this
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    this.type$1 = x$1
  };
  Items__Lamf_core_metamodel_Field() {
    return this.Items$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
class $c_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "NilShape");
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Shape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$2, jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_NilShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.NilShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_NilShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ extends $c_O {
  constructor() {
    super();
    this.MinProperties$1 = null;
    this.MaxProperties$1 = null;
    this.Closed$1 = null;
    this.AdditionalPropertiesSchema$1 = null;
    this.Discriminator$1 = null;
    this.DiscriminatorValue$1 = null;
    this.ReadOnly$1 = null;
    this.Properties$1 = null;
    this.Dependencies$1 = null;
    this.type$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Int$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.MinProperties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "minProperties"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Int$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.MaxProperties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "maxProperties"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Closed$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "closed"), true);
    const jsx$4 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.AdditionalPropertiesSchema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "additionalPropertiesSchema"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Discriminator$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "discriminator"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Str$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.DiscriminatorValue$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "discriminatorValue"), true);
    const jsx$7 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.ReadOnly$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "readOnly"), true);
    const jsx$8 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$());
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Properties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "property"), true);
    const jsx$9 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$());
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Dependencies$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "dependencies"), true);
    $m_sci_List$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "NodeShape")]);
    const this$22 = $m_sci_List$();
    const cbf = this$22.ReusableCBFInstance$2;
    const jsx$13 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$12 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$23 = $m_sci_List$();
    const jsx$11 = jsx$13.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$12, this$23.ReusableCBFInstance$2);
    const jsx$10 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$24 = $m_sci_List$();
    this.type$1 = jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$24.ReusableCBFInstance$2);
    return this
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.MinProperties$1, this.MaxProperties$1, this.Closed$1, this.AdditionalPropertiesSchema$1, this.Discriminator$1, this.DiscriminatorValue$1, this.ReadOnly$1, this.Properties$1, this.Dependencies$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$3 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$3 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$3);
    const this$4 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$5 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.NodeShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ extends $c_O {
  constructor() {
    super();
    this.MediaType$1 = null;
    this.Raw$1 = null;
    this.fields$1 = null;
    this.type$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "mediaType"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Raw$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "raw"), true);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.MediaType$1, this.Raw$1]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
    const this$7 = $m_sci_List$();
    const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$7.ReusableCBFInstance$2);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$8 = $m_sci_List$();
    this.fields$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$8.ReusableCBFInstance$2);
    $m_sci_List$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "SchemaShape")]);
    const this$12 = $m_sci_List$();
    const cbf$1 = this$12.ReusableCBFInstance$2;
    const jsx$10 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    const jsx$9 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$13 = $m_sci_List$();
    const jsx$8 = jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$13.ReusableCBFInstance$2);
    const jsx$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$14 = $m_sci_List$();
    this.type$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$14.ReusableCBFInstance$2);
    return this
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.SchemaShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ extends $c_O {
  constructor() {
    super();
    this.AnyOf$1 = null;
    this.type$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.AnyOf$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "anyOf"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "UnionShape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Shape")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.AnyOf$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.UnionShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$
});
class $c_Lamf_plugins_domain_shapes_models_CreativeWork extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "CreativeWork"
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x$1)) {
      const CreativeWork$1 = x$1;
      const x = this.fields$1;
      const x$2 = CreativeWork$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = CreativeWork$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_CreativeWork(parent)
  };
  adopted__T__Lamf_plugins_domain_shapes_models_CreativeWork(parent) {
    const this$1 = $m_s_Option$().apply__O__s_Option(this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1));
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1)
    } else {
      const arg1 = this$1.get__O();
      const u = arg1;
      jsx$1 = $m_Lamf_core_utils_package$Strings$().urlEncoded$extension__T__T(u)
    };
    const value = ((parent + "/creative-work/") + jsx$1);
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
}
const $is_Lamf_plugins_domain_shapes_models_CreativeWork = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_CreativeWork)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_CreativeWork = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_CreativeWork)))
});
const $d_Lamf_plugins_domain_shapes_models_CreativeWork = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_CreativeWork: 0
}, false, "amf.plugins.domain.shapes.models.CreativeWork", {
  Lamf_plugins_domain_shapes_models_CreativeWork: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_CreativeWork.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_CreativeWork;
class $c_Lamf_plugins_domain_shapes_models_DataArrangementShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_DataArrangementShape(parent)
  };
  adopted__T__Lamf_plugins_domain_shapes_models_DataArrangementShape(parent) {
    const value = ((parent + "/array/") + this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value);
    const x1 = this.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const items = x2.value$2;
      const x1$2 = items.value$1.value$1;
      if ($is_Lamf_core_model_domain_Shape(x1$2)) {
        const x2$2 = x1$2;
        x2$2.adopted__T__Lamf_core_model_domain_AmfObject(this.id$1)
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    };
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_DataArrangementShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_DataArrangementShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_DataArrangementShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_DataArrangementShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_DataArrangementShape)))
});
class $c_Lamf_plugins_domain_webapi_models_EndPoint extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "EndPoint"
  };
  productArity__I() {
    return 2
  };
  withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_EndPoint(x$1)) {
      const EndPoint$1 = x$1;
      const x = this.fields$1;
      const x$2 = EndPoint$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = EndPoint$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, name);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$2, result);
    return result
  };
  traits__sc_Seq() {
    const jsx$2 = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1().init___Lamf_plugins_domain_webapi_models_EndPoint(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  resourceType__s_Option() {
    const this$1 = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    const pf = new $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1().init___Lamf_plugins_domain_webapi_models_EndPoint(this);
    return $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$1, pf)
  };
  withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, method);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  relativePath__T() {
    const this$1 = this.parent__s_Option();
    let this$4;
    if (this$1.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const x = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
      const this$3 = new $c_sci_StringOps().init___T(x);
      const prefix = p.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
      this$4 = new $c_s_Some().init___O($f_sci_StringLike__stripPrefix__T__T(this$3, prefix))
    };
    return (this$4.isEmpty__Z() ? this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1) : this$4.get__O())
  };
  parent__s_Option() {
    const this$1 = this.annotations$1.find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint.getClassOf());
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      return new $c_s_Some().init___O(x$1.parent$1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_plugins_domain_webapi_models_EndPoint(parent) {
    const jsx$1 = $m_Lamf_core_utils_package$Strings$();
    const str = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const value = ((parent + "/end-points/") + jsx$1.urlEncoded$extension__T__T(str));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_EndPoint(parent)
  };
  withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    if ((!mediaType.isEmpty__Z())) {
      const arg1 = mediaType.get__O();
      const mediaType$2 = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field, mediaType$2)
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
}
const $is_Lamf_plugins_domain_webapi_models_EndPoint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_EndPoint)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_EndPoint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_EndPoint)))
});
const $d_Lamf_plugins_domain_webapi_models_EndPoint = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_EndPoint: 0
}, false, "amf.plugins.domain.webapi.models.EndPoint", {
  Lamf_plugins_domain_webapi_models_EndPoint: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_EndPoint.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_EndPoint;
class $c_Lamf_plugins_domain_webapi_models_Operation extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Operation"
  };
  productArity__I() {
    return 2
  };
  withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Operation(x$1)) {
      const Operation$1 = x$1;
      const x = this.fields$1;
      const x$2 = Operation$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Operation$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  traits__sc_Seq() {
    const jsx$2 = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1().init___Lamf_plugins_domain_webapi_models_Operation(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  withRequest__Lamf_plugins_domain_webapi_models_Request() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const request = new $c_Lamf_plugins_domain_webapi_models_Request().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, request);
    return request
  };
  withResponse__T__Lamf_plugins_domain_webapi_models_Response(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const statusCode = ((name === "default") ? "200" : name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, statusCode);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$2, result);
    return result
  };
  adopted__T__Lamf_plugins_domain_webapi_models_Operation(parent) {
    const value = ((parent + "/") + this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_Operation(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Operation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Operation)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Operation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Operation)))
});
const $d_Lamf_plugins_domain_webapi_models_Operation = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Operation: 0
}, false, "amf.plugins.domain.webapi.models.Operation", {
  Lamf_plugins_domain_webapi_models_Operation: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Operation.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Operation;
class $c_Lamf_plugins_domain_webapi_models_Payload extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Payload"
  };
  adopted__T__Lamf_plugins_domain_webapi_models_Payload(parent) {
    const mediaType = this.fields$1.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    const value = ((parent + "/") + (mediaType.isEmpty__Z() ? "default" : mediaType.get__O()));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Payload(x$1)) {
      const Payload$1 = x$1;
      const x = this.fields$1;
      const x$2 = Payload$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Payload$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  clonePayload__T__Lamf_plugins_domain_webapi_models_Payload(parent) {
    const annotations = this.annotations$1;
    const this$3 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const mediaType = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
    const cloned = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, mediaType).adopted__T__Lamf_plugins_domain_webapi_models_Payload(parent);
    const this$4 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_Shape(x1$2)) {
            const x2 = x1$2;
            clonedValue = x2.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(x2.cloneShape$default$1__s_Option(), x2.cloneShape$default$2__sci_Set())
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$4.fs$1.foreach__F1__V(fn);
    return cloned
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, node);
    return node
  };
  withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const scalar = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, scalar);
    return scalar
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_Payload(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Payload = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Payload)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Payload = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Payload)))
});
const $d_Lamf_plugins_domain_webapi_models_Payload = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Payload: 0
}, false, "amf.plugins.domain.webapi.models.Payload", {
  Lamf_plugins_domain_webapi_models_Payload: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Payload.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Payload;
class $c_Lamf_plugins_domain_webapi_models_Response extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Response"
  };
  productArity__I() {
    return 2
  };
  adopted__T__Lamf_plugins_domain_webapi_models_Response(parent) {
    const value = ((parent + "/") + this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Response(x$1)) {
      const Response$1 = x$1;
      const x = this.fields$1;
      const x$2 = Response$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Response$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  cloneResponse__T__Lamf_plugins_domain_webapi_models_Response(parent) {
    const annotations = this.annotations$1;
    const this$3 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    const cloned = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name).adopted__T__Lamf_plugins_domain_webapi_models_Response(parent);
    const this$5 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
            const x2 = x1$2;
            const jsx$2 = x2.values$1;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, cloned$1$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$2)) {
                  const x2$1 = x0$2;
                  return x2$1.cloneParameter__T__Lamf_plugins_domain_webapi_models_Parameter(cloned$1$1.id$1)
                } else if ($is_Lamf_plugins_domain_webapi_models_Payload(x0$2)) {
                  const x3 = x0$2;
                  return x3.clonePayload__T__Lamf_plugins_domain_webapi_models_Payload(cloned$1$1.id$1)
                } else {
                  return x0$2
                }
              })
            })($this, cloned$1));
            const this$4 = $m_sc_Seq$();
            clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2), x2.annotations$1)
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$5.fs$1.foreach__F1__V(fn);
    return cloned
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_Response(parent)
  };
  withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    if ((!mediaType.isEmpty__Z())) {
      const arg1 = mediaType.get__O();
      const mediaType$2 = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field, mediaType$2))
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
}
const $is_Lamf_plugins_domain_webapi_models_Response = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Response)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Response = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Response)))
});
const $d_Lamf_plugins_domain_webapi_models_Response = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Response: 0
}, false, "amf.plugins.domain.webapi.models.Response", {
  Lamf_plugins_domain_webapi_models_Response: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Response.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Response;
class $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "ApiKeySettings"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(x$1)) {
      const ApiKeySettings$1 = x$1;
      const x = this.fields$1;
      const x$2 = ApiKeySettings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ApiKeySettings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_ApiKeySettings(parent) {
    const value = (parent + "/settings/api-key");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_Settings(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_ApiKeySettings(parent)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_ApiKeySettings(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_ApiKeySettings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_ApiKeySettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_ApiKeySettings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_ApiKeySettings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_ApiKeySettings: 0
}, false, "amf.plugins.domain.webapi.models.security.ApiKeySettings", {
  Lamf_plugins_domain_webapi_models_security_ApiKeySettings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_ApiKeySettings;
class $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "OAuth1Settings"
  };
  productArity__I() {
    return 2
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_OAuth1Settings(parent) {
    const value = (parent + "/settings/oauth1");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(x$1)) {
      const OAuth1Settings$1 = x$1;
      const x = this.fields$1;
      const x$2 = OAuth1Settings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = OAuth1Settings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_Settings(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_OAuth1Settings(parent)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_OAuth1Settings(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth1Settings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_OAuth1Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth1Settings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_OAuth1Settings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_OAuth1Settings: 0
}, false, "amf.plugins.domain.webapi.models.security.OAuth1Settings", {
  Lamf_plugins_domain_webapi_models_security_OAuth1Settings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_OAuth1Settings;
class $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "OAuth2Settings"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(x$1)) {
      const OAuth2Settings$1 = x$1;
      const x = this.fields$1;
      const x$2 = OAuth2Settings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = OAuth2Settings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_OAuth2Settings(parent) {
    const value = (parent + "/settings/oauth2");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_Settings(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_OAuth2Settings(parent)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_OAuth2Settings(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth2Settings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_OAuth2Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth2Settings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_OAuth2Settings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_OAuth2Settings: 0
}, false, "amf.plugins.domain.webapi.models.security.OAuth2Settings", {
  Lamf_plugins_domain_webapi_models_security_OAuth2Settings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_OAuth2Settings;
class $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.id$1 = null
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(parent) {
    const value = ((parent + "/") + this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ParametrizedSecurityScheme"
  };
  withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  productArity__I() {
    return 2
  };
  withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x$1)) {
      const ParametrizedSecurityScheme$1 = x$1;
      const x = this.fields$1;
      const x$2 = ParametrizedSecurityScheme$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ParametrizedSecurityScheme$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$()
  };
  withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme)))
});
const $d_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme: 0
}, false, "amf.plugins.domain.webapi.models.security.ParametrizedSecurityScheme", {
  Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_plugins_domain_webapi_models_security_WithSettings: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme;
class $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType extends $c_Lamf_core_model_domain_templates_ParametrizedDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "ParametrizedResourceType"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x$1)) {
      const ParametrizedResourceType$1 = x$1;
      const x = this.fields$2;
      const x$2 = ParametrizedResourceType$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ParametrizedResourceType$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_ParametrizedDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType: 0
}, false, "amf.plugins.domain.webapi.models.templates.ParametrizedResourceType", {
  Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType: 1,
  Lamf_core_model_domain_templates_ParametrizedDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType;
class $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait extends $c_Lamf_core_model_domain_templates_ParametrizedDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "ParametrizedTrait"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x$1)) {
      const ParametrizedTrait$1 = x$1;
      const x = this.fields$2;
      const x$2 = ParametrizedTrait$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ParametrizedTrait$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_ParametrizedDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait: 0
}, false, "amf.plugins.domain.webapi.models.templates.ParametrizedTrait", {
  Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait: 1,
  Lamf_core_model_domain_templates_ParametrizedDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait;
class $c_Lorg_yaml_model_LexerException extends $c_Lorg_yaml_model_SyamlException {
  constructor() {
    super();
    this.text$5 = null;
    this.cause$5 = null
  };
  productPrefix__T() {
    return "LexerException"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_LexerException(x$1)) {
      const LexerException$1 = x$1;
      if ((this.text$5 === LexerException$1.text$5)) {
        const x = this.cause$5;
        const x$2 = LexerException$1.cause$5;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___T__jl_Exception(text, cause) {
    this.text$5 = text;
    this.cause$5 = cause;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error node '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([text]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$5;
        break
      }
      case 1: {
        return this.cause$5;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_LexerException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_LexerException)))
});
const $isArrayOf_Lorg_yaml_model_LexerException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_LexerException)))
});
const $d_Lorg_yaml_model_LexerException = new $TypeData().initClass({
  Lorg_yaml_model_LexerException: 0
}, false, "org.yaml.model.LexerException", {
  Lorg_yaml_model_LexerException: 1,
  Lorg_yaml_model_SyamlException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_yaml_model_LexerException.prototype.$classData = $d_Lorg_yaml_model_LexerException;
class $c_Lorg_yaml_model_ParseException extends $c_Lorg_yaml_model_SyamlException {
  constructor() {
    super();
    this.tag$5 = null;
    this.text$5 = null;
    this.cause$5 = null
  };
  productPrefix__T() {
    return "ParseException"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_ParseException(x$1)) {
      const ParseException$1 = x$1;
      const x = this.tag$5;
      const x$2 = ParseException$1.tag$5;
      if (((x === x$2) && (this.text$5 === ParseException$1.text$5))) {
        const x$3 = this.cause$5;
        const x$4 = ParseException$1.cause$5;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tag$5;
        break
      }
      case 1: {
        return this.text$5;
        break
      }
      case 2: {
        return this.cause$5;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lorg_yaml_model_YType__T__jl_Exception(tag, text, cause) {
    this.tag$5 = tag;
    this.text$5 = text;
    this.cause$5 = cause;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse '", "' with tag '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([text, tag]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
    return this
  };
}
const $is_Lorg_yaml_model_ParseException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_ParseException)))
});
const $isArrayOf_Lorg_yaml_model_ParseException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_ParseException)))
});
const $d_Lorg_yaml_model_ParseException = new $TypeData().initClass({
  Lorg_yaml_model_ParseException: 0
}, false, "org.yaml.model.ParseException", {
  Lorg_yaml_model_ParseException: 1,
  Lorg_yaml_model_SyamlException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_yaml_model_ParseException.prototype.$classData = $d_Lorg_yaml_model_ParseException;
class $c_Lorg_yaml_model_YFail extends $c_Lorg_yaml_model_YObj {
  constructor() {
    super();
    this.error$4 = null;
    this.tagType$4 = null
  };
  productPrefix__T() {
    return "YFail"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(obj) {
    return false
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.error$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  to__Lorg_yaml_convert_YRead__s_util_Either(c) {
    $m_s_package$();
    const value = this.error$4;
    return new $c_s_util_Left().init___O(value)
  };
  init___Lorg_yaml_model_YError(error) {
    this.error$4 = error;
    this.tagType$4 = $m_Lorg_yaml_model_YType$().Unknown$1;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  thisNode__Lorg_yaml_model_YNode() {
    throw new $c_jl_IllegalStateException().init___()
  };
}
const $is_Lorg_yaml_model_YFail = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YFail)))
});
const $isArrayOf_Lorg_yaml_model_YFail = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YFail)))
});
const $d_Lorg_yaml_model_YFail = new $TypeData().initClass({
  Lorg_yaml_model_YFail: 0
}, false, "org.yaml.model.YFail", {
  Lorg_yaml_model_YFail: 1,
  Lorg_yaml_model_YObj: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  s_Dynamic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YFail.prototype.$classData = $d_Lorg_yaml_model_YFail;
class $c_Lorg_yaml_model_YSuccess extends $c_Lorg_yaml_model_YObj {
  constructor() {
    super();
    this.node$4 = null;
    this.tagType$4 = null
  };
  productPrefix__T() {
    return "YSuccess"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(obj) {
    if ((!$is_Lorg_yaml_model_YFail(obj))) {
      if ($is_Lorg_yaml_model_YNodeLike(obj)) {
        const x3 = obj;
        return this.node$4.$$eq$eq__Lorg_yaml_model_YValueLike__Z(x3.thisNode__Lorg_yaml_model_YNode())
      } else if ($is_Lorg_yaml_model_YValue(obj)) {
        const x4 = obj;
        return x4.$$eq$eq__Lorg_yaml_model_YValueLike__Z(this)
      } else {
        throw new $c_s_MatchError().init___O(obj)
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.node$4.toString__T()
  };
  init___Lorg_yaml_model_YNode(node) {
    this.node$4 = node;
    this.tagType$4 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  thisNode__Lorg_yaml_model_YNode() {
    return this.node$4
  };
}
const $is_Lorg_yaml_model_YSuccess = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YSuccess)))
});
const $isArrayOf_Lorg_yaml_model_YSuccess = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YSuccess)))
});
const $d_Lorg_yaml_model_YSuccess = new $TypeData().initClass({
  Lorg_yaml_model_YSuccess: 0
}, false, "org.yaml.model.YSuccess", {
  Lorg_yaml_model_YSuccess: 1,
  Lorg_yaml_model_YObj: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  s_Dynamic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YSuccess.prototype.$classData = $d_Lorg_yaml_model_YSuccess;
class $c_s_math_BigDecimal extends $c_s_math_ScalaNumber {
  constructor() {
    super();
    this.bigDecimal$3 = null;
    this.mc$3 = null;
    this.computedHashCode$3 = 0
  };
  isValidInt__Z() {
    try {
      this.bigDecimal$3.intValueExact__I();
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  toBigInt__s_math_BigInt() {
    return new $c_s_math_BigInt().init___Ljava_math_BigInteger(this.bigDecimal$3.toBigInteger__Ljava_math_BigInteger())
  };
  longValue__J() {
    return this.bigDecimal$3.longValue__J()
  };
  init___Ljava_math_BigDecimal__Ljava_math_MathContext(bigDecimal, mc) {
    this.bigDecimal$3 = bigDecimal;
    this.mc$3 = mc;
    if ((bigDecimal === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null value for BigDecimal")
    };
    if ((mc === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null MathContext for BigDecimal")
    };
    this.computedHashCode$3 = 1565550863;
    return this
  };
  isValidShort__Z() {
    try {
      this.bigDecimal$3.shortValueExact__S();
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  byteValue__B() {
    return ((this.bigDecimal$3.intValue__I() << 24) >> 24)
  };
  equals__O__Z(that) {
    if ($is_s_math_BigDecimal(that)) {
      const x2 = that;
      return this.equals__s_math_BigDecimal__Z(x2)
    } else if ($is_s_math_BigInt(that)) {
      const x3 = that;
      const this$1 = x3.bigInteger$3;
      const jsx$2 = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(this$1);
      const jsx$1 = this.bigDecimal$3.precision__I();
      const this$2 = this.bigDecimal$3;
      if ((jsx$2 > (3.3219280948873626 * (((-2) + ((jsx$1 - this$2.java$math$BigDecimal$$$undscale$2) | 0)) | 0)))) {
        const this$3 = this.toBigIntExact__s_Option();
        if ((!this$3.isEmpty__Z())) {
          const arg1 = this$3.get__O();
          const x$1 = arg1;
          return x3.equals__s_math_BigInt__Z(x$1)
        } else {
          return false
        }
      } else {
        return false
      }
    } else if (((typeof that) === "number")) {
      const x4 = (+that);
      if ((!((x4 === Infinity) || (x4 === (-Infinity))))) {
        const d = this.bigDecimal$3.doubleValue__D();
        if (((!((d === Infinity) || (d === (-Infinity)))) && (d === x4))) {
          const this$10 = $m_s_math_BigDecimal$();
          return this.equals__s_math_BigDecimal__Z(this$10.decimal__D__Ljava_math_MathContext__s_math_BigDecimal(d, this$10.defaultMathContext$1))
        } else {
          return false
        }
      } else {
        return false
      }
    } else if ($isFloat(that)) {
      const x5 = (+that);
      if ((!((x5 === Infinity) || (x5 === (-Infinity))))) {
        const f = this.bigDecimal$3.floatValue__F();
        if (((!((f === Infinity) || (f === (-Infinity)))) && (f === x5))) {
          const this$17 = $m_s_math_BigDecimal$();
          return this.equals__s_math_BigDecimal__Z(this$17.decimal__D__Ljava_math_MathContext__s_math_BigDecimal(f, this$17.defaultMathContext$1))
        } else {
          return false
        }
      } else {
        return false
      }
    } else {
      return (this.isValidLong__Z() && $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveEquals__O__Z(this, that))
    }
  };
  isWhole__Z() {
    const this$1 = this.bigDecimal$3;
    if ((this$1.java$math$BigDecimal$$$undscale$2 <= 0)) {
      return true
    } else {
      const this$2 = this.bigDecimal$3.stripTrailingZeros__Ljava_math_BigDecimal();
      return (this$2.java$math$BigDecimal$$$undscale$2 <= 0)
    }
  };
  computeHashCode__p3__V() {
    let jsx$2;
    if (this.isWhole__Z()) {
      const jsx$3 = this.bigDecimal$3.precision__I();
      const this$1 = this.bigDecimal$3;
      jsx$2 = (((jsx$3 - this$1.java$math$BigDecimal$$$undscale$2) | 0) < 4934)
    } else {
      jsx$2 = false
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = this.toBigInt__s_math_BigInt().hashCode__I()
    } else if (this.isDecimalDouble__Z()) {
      jsx$1 = $m_sr_Statics$().doubleHash__D__I(this.bigDecimal$3.doubleValue__D())
    } else {
      const temp = this.bigDecimal$3.stripTrailingZeros__Ljava_math_BigDecimal();
      jsx$1 = $m_s_util_hashing_MurmurHash3$().mixLast__I__I__I(temp.scaleByPowerOfTen__I__Ljava_math_BigDecimal(temp.java$math$BigDecimal$$$undscale$2).toBigInteger__Ljava_math_BigInteger().hashCode__I(), temp.java$math$BigDecimal$$$undscale$2)
    };
    this.computedHashCode$3 = jsx$1
  };
  isValidChar__Z() {
    return ((this.isValidInt__Z() && (this.bigDecimal$3.intValueExact__I() >= 0)) && (this.bigDecimal$3.intValueExact__I() <= 65535))
  };
  toString__T() {
    return this.bigDecimal$3.toString__T()
  };
  compareTo__O__I(that) {
    const that$1 = that;
    return this.bigDecimal$3.compareTo__Ljava_math_BigDecimal__I(that$1.bigDecimal$3)
  };
  isValidByte__Z() {
    try {
      this.bigDecimal$3.byteValueExact__B();
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  compare__O__I(that) {
    const that$1 = that;
    return this.bigDecimal$3.compareTo__Ljava_math_BigDecimal__I(that$1.bigDecimal$3)
  };
  isDecimalDouble__Z() {
    const d = this.bigDecimal$3.doubleValue__D();
    if ((!((d === Infinity) || (d === (-Infinity))))) {
      const this$4 = $m_s_math_BigDecimal$();
      return this.equals__s_math_BigDecimal__Z(this$4.decimal__D__Ljava_math_MathContext__s_math_BigDecimal(d, this$4.defaultMathContext$1))
    } else {
      return false
    }
  };
  toBigIntExact__s_Option() {
    if (this.isWhole__Z()) {
      try {
        return new $c_s_Some().init___O(new $c_s_math_BigInt().init___Ljava_math_BigInteger(this.bigDecimal$3.toBigIntegerExact__Ljava_math_BigInteger()))
      } catch (e) {
        if ($is_jl_ArithmeticException(e)) {
          return $m_s_None$()
        } else {
          throw e
        }
      }
    } else {
      return $m_s_None$()
    }
  };
  shortValue__S() {
    return ((this.bigDecimal$3.intValue__I() << 16) >> 16)
  };
  doubleValue__D() {
    return this.bigDecimal$3.doubleValue__D()
  };
  hashCode__I() {
    if ((this.computedHashCode$3 === 1565550863)) {
      this.computeHashCode__p3__V()
    };
    return this.computedHashCode$3
  };
  intValue__I() {
    return this.bigDecimal$3.intValue__I()
  };
  isValidLong__Z() {
    try {
      const this$1 = this.bigDecimal$3;
      this$1.valueExact__p2__I__J(64);
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  floatValue__F() {
    return this.bigDecimal$3.floatValue__F()
  };
  equals__s_math_BigDecimal__Z(that) {
    return (this.bigDecimal$3.compareTo__Ljava_math_BigDecimal__I(that.bigDecimal$3) === 0)
  };
}
const $is_s_math_BigDecimal = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_BigDecimal)))
});
const $isArrayOf_s_math_BigDecimal = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_BigDecimal)))
});
const $d_s_math_BigDecimal = new $TypeData().initClass({
  s_math_BigDecimal: 0
}, false, "scala.math.BigDecimal", {
  s_math_BigDecimal: 1,
  s_math_ScalaNumber: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_math_ScalaNumericConversions: 1,
  s_math_ScalaNumericAnyConversions: 1,
  s_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_math_BigDecimal.prototype.$classData = $d_s_math_BigDecimal;
class $c_s_math_BigInt extends $c_s_math_ScalaNumber {
  constructor() {
    super();
    this.bigInteger$3 = null
  };
  isValidInt__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt((-2147483648));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(2147483647);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  longValue__J() {
    return this.bigInteger$3.longValue__J()
  };
  isValidShort__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt((-32768));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(32767);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  byteValue__B() {
    return ((this.bigInteger$3.intValue__I() << 24) >> 24)
  };
  equals__O__Z(that) {
    if ($is_s_math_BigInt(that)) {
      const x2 = that;
      return this.equals__s_math_BigInt__Z(x2)
    } else if ($is_s_math_BigDecimal(that)) {
      const x3 = that;
      return x3.equals__O__Z(this)
    } else if (((typeof that) === "number")) {
      const x4 = (+that);
      if (this.isValidDouble__Z()) {
        const this$1 = this.bigInteger$3;
        return ($m_jl_Double$().parseDouble__T__D($m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1)) === x4)
      } else {
        return false
      }
    } else if ($isFloat(that)) {
      const x5 = (+that);
      if (this.isValidFloat__Z()) {
        const this$2 = this.bigInteger$3;
        const s = $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$2);
        return ($fround($m_jl_Double$().parseDouble__T__D(s)) === x5)
      } else {
        return false
      }
    } else {
      return (this.isValidLong__Z() && $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveEquals__O__Z(this, that))
    }
  };
  equals__s_math_BigInt__Z(that) {
    return (this.bigInteger$3.compareTo__Ljava_math_BigInteger__I(that.bigInteger$3) === 0)
  };
  bitLengthOverflow__p3__Z() {
    const shifted = this.bigInteger$3.shiftRight__I__Ljava_math_BigInteger(2147483647);
    return ((shifted.sign$2 !== 0) && (!shifted.equals__O__Z($m_s_math_BigInt$().scala$math$BigInt$$minusOne$1)))
  };
  isValidDouble__Z() {
    const this$1 = this.bigInteger$3;
    const bitLen = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(this$1);
    let jsx$1;
    if ((bitLen <= 53)) {
      jsx$1 = true
    } else {
      const lowest = this.bigInteger$3.getLowestSetBit__I();
      jsx$1 = (((bitLen <= 1024) && (lowest >= (((-53) + bitLen) | 0))) && (lowest < 1024))
    };
    if (jsx$1) {
      return (!this.bitLengthOverflow__p3__Z())
    } else {
      return false
    }
  };
  isValidChar__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt(0);
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(65535);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  toString__T() {
    const this$1 = this.bigInteger$3;
    return $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1)
  };
  compareTo__O__I(that) {
    const that$1 = that;
    return this.bigInteger$3.compareTo__Ljava_math_BigInteger__I(that$1.bigInteger$3)
  };
  isValidByte__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt((-128));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(127);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  compare__O__I(that) {
    const that$1 = that;
    return this.bigInteger$3.compareTo__Ljava_math_BigInteger__I(that$1.bigInteger$3)
  };
  isValidFloat__Z() {
    const this$1 = this.bigInteger$3;
    const bitLen = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(this$1);
    let jsx$1;
    if ((bitLen <= 24)) {
      jsx$1 = true
    } else {
      const lowest = this.bigInteger$3.getLowestSetBit__I();
      jsx$1 = (((bitLen <= 128) && (lowest >= (((-24) + bitLen) | 0))) && (lowest < 128))
    };
    if (jsx$1) {
      return (!this.bitLengthOverflow__p3__Z())
    } else {
      return false
    }
  };
  shortValue__S() {
    return ((this.bigInteger$3.intValue__I() << 16) >> 16)
  };
  doubleValue__D() {
    const this$1 = this.bigInteger$3;
    return $m_jl_Double$().parseDouble__T__D($m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1))
  };
  hashCode__I() {
    return (this.isValidLong__Z() ? $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveHashcode__I(this) : $m_sr_Statics$().anyHash__O__I(this.bigInteger$3))
  };
  intValue__I() {
    return this.bigInteger$3.intValue__I()
  };
  init___Ljava_math_BigInteger(bigInteger) {
    this.bigInteger$3 = bigInteger;
    return this
  };
  isValidLong__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__J__s_math_BigInt(new $c_sjsr_RuntimeLong().init___I__I(0, (-2147483648)));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__J__s_math_BigInt(new $c_sjsr_RuntimeLong().init___I__I((-1), 2147483647));
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  floatValue__F() {
    const this$1 = this.bigInteger$3;
    const s = $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1);
    return $fround($m_jl_Double$().parseDouble__T__D(s))
  };
}
const $is_s_math_BigInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_BigInt)))
});
const $isArrayOf_s_math_BigInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_BigInt)))
});
const $d_s_math_BigInt = new $TypeData().initClass({
  s_math_BigInt: 0
}, false, "scala.math.BigInt", {
  s_math_BigInt: 1,
  s_math_ScalaNumber: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_math_ScalaNumericConversions: 1,
  s_math_ScalaNumericAnyConversions: 1,
  s_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_math_BigInt.prototype.$classData = $d_s_math_BigInt;
class $c_s_reflect_ManifestFactory$BooleanManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Boolean";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_Z.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_Z.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$BooleanManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$BooleanManifest$: 0
}, false, "scala.reflect.ManifestFactory$BooleanManifest$", {
  s_reflect_ManifestFactory$BooleanManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$BooleanManifest$;
let $n_s_reflect_ManifestFactory$BooleanManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$BooleanManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$BooleanManifest$)) {
    $n_s_reflect_ManifestFactory$BooleanManifest$ = new $c_s_reflect_ManifestFactory$BooleanManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$BooleanManifest$
});
class $c_s_reflect_ManifestFactory$ByteManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Byte";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_B.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_B.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$ByteManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ByteManifest$: 0
}, false, "scala.reflect.ManifestFactory$ByteManifest$", {
  s_reflect_ManifestFactory$ByteManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ByteManifest$;
let $n_s_reflect_ManifestFactory$ByteManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$ByteManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$ByteManifest$)) {
    $n_s_reflect_ManifestFactory$ByteManifest$ = new $c_s_reflect_ManifestFactory$ByteManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ByteManifest$
});
class $c_s_reflect_ManifestFactory$CharManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Char";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_C.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_C.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$CharManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$CharManifest$: 0
}, false, "scala.reflect.ManifestFactory$CharManifest$", {
  s_reflect_ManifestFactory$CharManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$CharManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$CharManifest$;
let $n_s_reflect_ManifestFactory$CharManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$CharManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$CharManifest$)) {
    $n_s_reflect_ManifestFactory$CharManifest$ = new $c_s_reflect_ManifestFactory$CharManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$CharManifest$
});
class $c_s_reflect_ManifestFactory$DoubleManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Double";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_D.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_D.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$DoubleManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$DoubleManifest$: 0
}, false, "scala.reflect.ManifestFactory$DoubleManifest$", {
  s_reflect_ManifestFactory$DoubleManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$DoubleManifest$;
let $n_s_reflect_ManifestFactory$DoubleManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$DoubleManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$DoubleManifest$)) {
    $n_s_reflect_ManifestFactory$DoubleManifest$ = new $c_s_reflect_ManifestFactory$DoubleManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$DoubleManifest$
});
class $c_s_reflect_ManifestFactory$FloatManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Float";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_F.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_F.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$FloatManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$FloatManifest$: 0
}, false, "scala.reflect.ManifestFactory$FloatManifest$", {
  s_reflect_ManifestFactory$FloatManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$FloatManifest$;
let $n_s_reflect_ManifestFactory$FloatManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$FloatManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$FloatManifest$)) {
    $n_s_reflect_ManifestFactory$FloatManifest$ = new $c_s_reflect_ManifestFactory$FloatManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$FloatManifest$
});
class $c_s_reflect_ManifestFactory$IntManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Int";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_I.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_I.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$IntManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$IntManifest$: 0
}, false, "scala.reflect.ManifestFactory$IntManifest$", {
  s_reflect_ManifestFactory$IntManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$IntManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$IntManifest$;
let $n_s_reflect_ManifestFactory$IntManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$IntManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$IntManifest$)) {
    $n_s_reflect_ManifestFactory$IntManifest$ = new $c_s_reflect_ManifestFactory$IntManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$IntManifest$
});
class $c_s_reflect_ManifestFactory$LongManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Long";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_J.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_J.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$LongManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$LongManifest$: 0
}, false, "scala.reflect.ManifestFactory$LongManifest$", {
  s_reflect_ManifestFactory$LongManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$LongManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$LongManifest$;
let $n_s_reflect_ManifestFactory$LongManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$LongManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$LongManifest$)) {
    $n_s_reflect_ManifestFactory$LongManifest$ = new $c_s_reflect_ManifestFactory$LongManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$LongManifest$
});
class $c_s_reflect_ManifestFactory$PhantomManifest extends $c_s_reflect_ManifestFactory$ClassTypeManifest {
  constructor() {
    super();
    this.toString$2 = null
  };
  equals__O__Z(that) {
    return (this === that)
  };
  toString__T() {
    return this.toString$2
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
}
class $c_s_reflect_ManifestFactory$ShortManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Short";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_S.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_S.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$ShortManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ShortManifest$: 0
}, false, "scala.reflect.ManifestFactory$ShortManifest$", {
  s_reflect_ManifestFactory$ShortManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ShortManifest$;
let $n_s_reflect_ManifestFactory$ShortManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$ShortManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$ShortManifest$)) {
    $n_s_reflect_ManifestFactory$ShortManifest$ = new $c_s_reflect_ManifestFactory$ShortManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ShortManifest$
});
class $c_s_reflect_ManifestFactory$UnitManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Unit";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_V.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$UnitManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$UnitManifest$: 0
}, false, "scala.reflect.ManifestFactory$UnitManifest$", {
  s_reflect_ManifestFactory$UnitManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$UnitManifest$;
let $n_s_reflect_ManifestFactory$UnitManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$UnitManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$UnitManifest$)) {
    $n_s_reflect_ManifestFactory$UnitManifest$ = new $c_s_reflect_ManifestFactory$UnitManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$UnitManifest$
});
const $f_sc_IterableLike__sameElements__sc_GenIterable__Z = (function($thiz, that) {
  const these = $thiz.iterator__sc_Iterator();
  const those = that.iterator__sc_Iterator();
  while ((these.hasNext__Z() && those.hasNext__Z())) {
    if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(these.next__O(), those.next__O()))) {
      return false
    }
  };
  return ((!these.hasNext__Z()) && (!those.hasNext__Z()))
});
const $f_sc_IterableLike__isEmpty__Z = (function($thiz) {
  return (!$thiz.iterator__sc_Iterator().hasNext__Z())
});
const $f_sc_IterableLike__takeWhile__F1__O = (function($thiz, p) {
  const b = $thiz.newBuilder__scm_Builder();
  const it = $thiz.iterator__sc_Iterator();
  while (it.hasNext__Z()) {
    const x = it.next__O();
    if ((!(!(!p.apply__O__O(x))))) {
      return b.result__O()
    };
    b.$$plus$eq__O__scm_Builder(x)
  };
  return b.result__O()
});
const $f_sc_IterableLike__zipWithIndex__scg_CanBuildFrom__O = (function($thiz, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  const i = new $c_sr_IntRef().init___I(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, i$1) {
    return (function(x$2) {
      b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(x$2, i$1.elem$1));
      i$1.elem$1 = ((1 + i$1.elem$1) | 0)
    })
  })($thiz, b, i)));
  return b.result__O()
});
const $f_sc_IterableLike__take__I__O = (function($thiz, n) {
  const b = $thiz.newBuilder__scm_Builder();
  if ((n <= 0)) {
    return b.result__O()
  } else {
    b.sizeHintBounded__I__sc_TraversableLike__V(n, $thiz);
    let i = 0;
    const it = $thiz.iterator__sc_Iterator();
    while (((i < n) && it.hasNext__Z())) {
      b.$$plus$eq__O__scm_Builder(it.next__O());
      i = ((1 + i) | 0)
    };
    return b.result__O()
  }
});
const $f_sc_IterableLike__drop__I__O = (function($thiz, n) {
  const b = $thiz.newBuilder__scm_Builder();
  const lo = ((n < 0) ? 0 : n);
  const delta = ((-lo) | 0);
  $f_scm_Builder__sizeHint__sc_TraversableLike__I__V(b, $thiz, delta);
  let i = 0;
  const it = $thiz.iterator__sc_Iterator();
  while (((i < n) && it.hasNext__Z())) {
    it.next__O();
    i = ((1 + i) | 0)
  };
  return b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(it).result__O()
});
const $f_sc_IterableLike__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  let i = start;
  const x = ((start + len) | 0);
  const that = $m_sr_ScalaRunTime$().array$undlength__O__I(xs);
  const end = ((x < that) ? x : that);
  const it = $thiz.iterator__sc_Iterator();
  while (((i < end) && it.hasNext__Z())) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, i, it.next__O());
    i = ((1 + i) | 0)
  }
});
const $f_sc_IterableLike__dropRight__I__O = (function($thiz, n) {
  const b = $thiz.newBuilder__scm_Builder();
  if ((n >= 0)) {
    const delta = ((-n) | 0);
    $f_scm_Builder__sizeHint__sc_TraversableLike__I__V(b, $thiz, delta)
  };
  const lead = $thiz.iterator__sc_Iterator().drop__I__sc_Iterator(n);
  const it = $thiz.iterator__sc_Iterator();
  while (lead.hasNext__Z()) {
    b.$$plus$eq__O__scm_Builder(it.next__O());
    lead.next__O()
  };
  return b.result__O()
});
const $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O = (function($thiz, that, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  const these = $thiz.iterator__sc_Iterator();
  const those = that.iterator__sc_Iterator();
  while ((these.hasNext__Z() && those.hasNext__Z())) {
    b.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(these.next__O(), those.next__O()))
  };
  return b.result__O()
});
const $is_sc_IterableLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IterableLike)))
});
const $isArrayOf_sc_IterableLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IterableLike)))
});
const $is_sc_Traversable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Traversable)))
});
const $isArrayOf_sc_Traversable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Traversable)))
});
class $c_sci_List$ extends $c_scg_SeqFactory {
  constructor() {
    super();
    this.partialNotApplied$5 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sci_List$ = this;
    this.partialNotApplied$5 = new $c_sci_List$$anon$1().init___();
    return this
  };
  empty__sc_GenTraversable() {
    return $m_sci_Nil$()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_List$ = new $TypeData().initClass({
  sci_List$: 0
}, false, "scala.collection.immutable.List$", {
  sci_List$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_List$.prototype.$classData = $d_sci_List$;
let $n_sci_List$ = (void 0);
const $m_sci_List$ = (function() {
  if ((!$n_sci_List$)) {
    $n_sci_List$ = new $c_sci_List$().init___()
  };
  return $n_sci_List$
});
class $c_sci_Stream$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  from__I__I__sci_Stream(start, step) {
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, start$1, step$1) {
      return (function() {
        return $this.from__I__I__sci_Stream(((start$1 + step$1) | 0), step$1)
      })
    })(this, start, step));
    return new $c_sci_Stream$Cons().init___O__F0(start, tl)
  };
  filteredTail__sci_Stream__F1__Z__sci_Stream$Cons(stream, p, isFlipped) {
    const hd = stream.head__O();
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, stream$1, p$1, isFlipped$1) {
      return (function() {
        return stream$1.tail__O().filterImpl__F1__Z__sci_Stream(p$1, isFlipped$1)
      })
    })(this, stream, p, isFlipped));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  };
  empty__sc_GenTraversable() {
    return $m_sci_Stream$Empty$()
  };
  collectedTail__O__sci_Stream__s_PartialFunction__scg_CanBuildFrom__sci_Stream$Cons(head, stream, pf, bf) {
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, stream$1, pf$1, bf$1) {
      return (function() {
        return stream$1.tail__O().collect__s_PartialFunction__scg_CanBuildFrom__O(pf$1, bf$1)
      })
    })(this, stream, pf, bf));
    return new $c_sci_Stream$Cons().init___O__F0(head, tl)
  };
  newBuilder__scm_Builder() {
    return new $c_sci_Stream$StreamBuilder().init___()
  };
}
const $d_sci_Stream$ = new $TypeData().initClass({
  sci_Stream$: 0
}, false, "scala.collection.immutable.Stream$", {
  sci_Stream$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$.prototype.$classData = $d_sci_Stream$;
let $n_sci_Stream$ = (void 0);
const $m_sci_Stream$ = (function() {
  if ((!$n_sci_Stream$)) {
    $n_sci_Stream$ = new $c_sci_Stream$().init___()
  };
  return $n_sci_Stream$
});
class $c_scm_ArrayBuffer$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuffer().init___()
  };
}
const $d_scm_ArrayBuffer$ = new $TypeData().initClass({
  scm_ArrayBuffer$: 0
}, false, "scala.collection.mutable.ArrayBuffer$", {
  scm_ArrayBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer$.prototype.$classData = $d_scm_ArrayBuffer$;
let $n_scm_ArrayBuffer$ = (void 0);
const $m_scm_ArrayBuffer$ = (function() {
  if ((!$n_scm_ArrayBuffer$)) {
    $n_scm_ArrayBuffer$ = new $c_scm_ArrayBuffer$().init___()
  };
  return $n_scm_ArrayBuffer$
});
class $c_scm_ArraySeq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    const this$1 = new $c_scm_ArrayBuffer().init___();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(buf$2) {
        const buf = buf$2;
        const result = new $c_scm_ArraySeq().init___I(buf.size0$6);
        const xs = result.array$5;
        $f_sc_TraversableOnce__copyToArray__O__I__V(buf, xs, 0);
        return result
      })
    })(this));
    return new $c_scm_Builder$$anon$1().init___scm_Builder__F1(this$1, f)
  };
}
const $d_scm_ArraySeq$ = new $TypeData().initClass({
  scm_ArraySeq$: 0
}, false, "scala.collection.mutable.ArraySeq$", {
  scm_ArraySeq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArraySeq$.prototype.$classData = $d_scm_ArraySeq$;
let $n_scm_ArraySeq$ = (void 0);
const $m_scm_ArraySeq$ = (function() {
  if ((!$n_scm_ArraySeq$)) {
    $n_scm_ArraySeq$ = new $c_scm_ArraySeq$().init___()
  };
  return $n_scm_ArraySeq$
});
class $c_scm_ListBuffer$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___())
  };
}
const $d_scm_ListBuffer$ = new $TypeData().initClass({
  scm_ListBuffer$: 0
}, false, "scala.collection.mutable.ListBuffer$", {
  scm_ListBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer$.prototype.$classData = $d_scm_ListBuffer$;
let $n_scm_ListBuffer$ = (void 0);
const $m_scm_ListBuffer$ = (function() {
  if ((!$n_scm_ListBuffer$)) {
    $n_scm_ListBuffer$ = new $c_scm_ListBuffer$().init___()
  };
  return $n_scm_ListBuffer$
});
class $c_Lamf_core_model_document_Module extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Module"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_Module(x$1)) {
      const Module$1 = x$1;
      const x = this.fields$1;
      const x$2 = Module$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Module$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_ModuleModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().References$1)
  };
  usage__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Usage$1)
  };
  declares__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Location$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_Module = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_Module)))
});
const $isArrayOf_Lamf_core_model_document_Module = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_Module)))
});
const $d_Lamf_core_model_document_Module = new $TypeData().initClass({
  Lamf_core_model_document_Module: 0
}, false, "amf.core.model.document.Module", {
  Lamf_core_model_document_Module: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_Module.prototype.$classData = $d_Lamf_core_model_document_Module;
class $c_Lamf_core_model_domain_extensions_CustomDomainProperty extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "CustomDomainProperty"
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x$1)) {
      const CustomDomainProperty$1 = x$1;
      const x = this.fields$1;
      const x$2 = CustomDomainProperty$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = CustomDomainProperty$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(parent) {
    if ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z()) {
      if (((parent.indexOf("#") | 0) !== (-1))) {
        const jsx$1 = $m_Lamf_core_utils_package$Strings$();
        const str = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
        const value = ((parent + "/") + jsx$1.urlEncoded$extension__T__T(str));
        return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
      } else {
        const jsx$2 = $m_Lamf_core_utils_package$Strings$();
        const str$1 = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
        const value$1 = ((parent + "#") + jsx$2.urlEncoded$extension__T__T(str$1));
        return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value$1)
      }
    } else {
      return this
    }
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  name__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1)
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(parent)
  };
}
const $is_Lamf_core_model_domain_extensions_CustomDomainProperty = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_CustomDomainProperty)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_CustomDomainProperty = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_CustomDomainProperty)))
});
const $d_Lamf_core_model_domain_extensions_CustomDomainProperty = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_CustomDomainProperty: 0
}, false, "amf.core.model.domain.extensions.CustomDomainProperty", {
  Lamf_core_model_domain_extensions_CustomDomainProperty: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_CustomDomainProperty.prototype.$classData = $d_Lamf_core_model_domain_extensions_CustomDomainProperty;
class $c_Lamf_model_document_AnnotationTypeDeclaration extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_AnnotationTypeDeclaration.prototype.init___Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment.call(this, new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "AnnotationTypeDeclaration"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_AnnotationTypeDeclaration(x$1)) {
      const AnnotationTypeDeclaration$1 = x$1;
      const x = this.fragment$3;
      const x$2 = AnnotationTypeDeclaration$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(annotationTypeDeclaration) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, annotationTypeDeclaration);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_model_document_AnnotationTypeDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_AnnotationTypeDeclaration)))
});
const $isArrayOf_Lamf_model_document_AnnotationTypeDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_AnnotationTypeDeclaration)))
});
const $d_Lamf_model_document_AnnotationTypeDeclaration = new $TypeData().initClass({
  Lamf_model_document_AnnotationTypeDeclaration: 0
}, false, "amf.model.document.AnnotationTypeDeclaration", {
  Lamf_model_document_AnnotationTypeDeclaration: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_AnnotationTypeDeclaration.prototype.$classData = $d_Lamf_model_document_AnnotationTypeDeclaration;
class $c_Lamf_model_document_DataType extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_DataType.prototype.init___Lamf_plugins_document_webapi_model_DataTypeFragment.call(this, new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DataType"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_DataType(x$1)) {
      const DataType$1 = x$1;
      const x = this.fragment$3;
      const x$2 = DataType$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_model_DataTypeFragment(dataType) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, dataType);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_model_document_DataType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_DataType)))
});
const $isArrayOf_Lamf_model_document_DataType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_DataType)))
});
const $d_Lamf_model_document_DataType = new $TypeData().initClass({
  Lamf_model_document_DataType: 0
}, false, "amf.model.document.DataType", {
  Lamf_model_document_DataType: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_DataType.prototype.$classData = $d_Lamf_model_document_DataType;
class $c_Lamf_model_document_Document extends $c_Lamf_model_document_BaseUnit {
  constructor() {
    super();
    this.document$3 = null;
    this.element$3 = null
  };
  element__Lamf_core_model_document_BaseUnit() {
    return this.element$3
  };
  productPrefix__T() {
    return "Document"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withDeclaredElement__Lamf_model_domain_DomainElement__O(declared) {
    return $f_Lamf_model_document_DeclaresModel__withDeclaredElement__Lamf_model_domain_DomainElement__Lamf_model_document_DeclaresModel(this, declared)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_Document(x$1)) {
      const Document$1 = x$1;
      const x = this.document$3;
      const x$2 = Document$1.document$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_model_document_DeclaresModel(this, declares)
  };
  $$js$exported$prop$encodes__O() {
    return $f_Lamf_model_document_EncodesModel__encodes__Lamf_model_domain_DomainElement(this)
  };
  $$js$exported$meth$withEncodes__Lamf_model_domain_DomainElement__O(encodes) {
    const this$1 = this.element$3;
    const encoded = encodes.element__Lamf_core_model_domain_DomainElement();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, encoded)
  };
  init___Lamf_core_model_document_Document(document) {
    this.document$3 = document;
    $c_Lamf_model_document_BaseUnit.prototype.init___.call(this);
    this.element$3 = document;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_model_domain_DomainElement(domainElement) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const encoded = domainElement.element__Lamf_core_model_domain_DomainElement();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $c_Lamf_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$4, field, encoded));
    return this
  };
  element__Lamf_core_model_document_EncodesModel() {
    return this.element$3
  };
  element__Lamf_core_model_document_DeclaresModel() {
    return this.element$3
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_model_document_DeclaresModel__declares__sjs_js_Iterable(this)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "withEncodes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEncodes__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
}
const $is_Lamf_model_document_Document = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_Document)))
});
const $isArrayOf_Lamf_model_document_Document = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_Document)))
});
const $d_Lamf_model_document_Document = new $TypeData().initClass({
  Lamf_model_document_Document: 0
}, false, "amf.model.document.Document", {
  Lamf_model_document_Document: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  Lamf_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_Document.prototype.$classData = $d_Lamf_model_document_Document;
class $c_Lamf_model_document_DocumentationItem extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_DocumentationItem.prototype.init___Lamf_plugins_document_webapi_model_DocumentationItemFragment.call(this, new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DocumentationItem"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_DocumentationItem(x$1)) {
      const DocumentationItem$1 = x$1;
      const x = this.fragment$3;
      const x$2 = DocumentationItem$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_model_DocumentationItemFragment(documentationItem) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, documentationItem);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_model_document_DocumentationItem = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_DocumentationItem)))
});
const $isArrayOf_Lamf_model_document_DocumentationItem = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_DocumentationItem)))
});
const $d_Lamf_model_document_DocumentationItem = new $TypeData().initClass({
  Lamf_model_document_DocumentationItem: 0
}, false, "amf.model.document.DocumentationItem", {
  Lamf_model_document_DocumentationItem: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_DocumentationItem.prototype.$classData = $d_Lamf_model_document_DocumentationItem;
class $c_Lamf_model_document_ExternalFragment extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_ExternalFragment.prototype.init___Lamf_core_model_document_ExternalFragment.call(this, new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ExternalFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_ExternalFragment(x$1)) {
      const ExternalFragment$1 = x$1;
      const x = this.fragment$3;
      const x$2 = ExternalFragment$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_document_ExternalFragment(ef) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, ef);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_model_document_ExternalFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_ExternalFragment)))
});
const $isArrayOf_Lamf_model_document_ExternalFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_ExternalFragment)))
});
const $d_Lamf_model_document_ExternalFragment = new $TypeData().initClass({
  Lamf_model_document_ExternalFragment: 0
}, false, "amf.model.document.ExternalFragment", {
  Lamf_model_document_ExternalFragment: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_ExternalFragment.prototype.$classData = $d_Lamf_model_document_ExternalFragment;
class $c_Lamf_model_document_NamedExample extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_NamedExample.prototype.init___Lamf_plugins_document_webapi_model_NamedExampleFragment.call(this, new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "NamedExample"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_NamedExample(x$1)) {
      const NamedExample$1 = x$1;
      const x = this.fragment$3;
      const x$2 = NamedExample$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_model_NamedExampleFragment(namedExample) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, namedExample);
    return this
  };
}
const $is_Lamf_model_document_NamedExample = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_NamedExample)))
});
const $isArrayOf_Lamf_model_document_NamedExample = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_NamedExample)))
});
const $d_Lamf_model_document_NamedExample = new $TypeData().initClass({
  Lamf_model_document_NamedExample: 0
}, false, "amf.model.document.NamedExample", {
  Lamf_model_document_NamedExample: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_NamedExample.prototype.$classData = $d_Lamf_model_document_NamedExample;
class $c_Lamf_model_document_ResourceTypeFragment extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_ResourceTypeFragment.prototype.init___Lamf_plugins_document_webapi_model_ResourceTypeFragment.call(this, new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ResourceTypeFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_ResourceTypeFragment(x$1)) {
      const ResourceTypeFragment$1 = x$1;
      const x = this.fragment$3;
      const x$2 = ResourceTypeFragment$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_model_ResourceTypeFragment(resourceTypeFragment) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, resourceTypeFragment);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_model_document_ResourceTypeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_ResourceTypeFragment)))
});
const $isArrayOf_Lamf_model_document_ResourceTypeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_ResourceTypeFragment)))
});
const $d_Lamf_model_document_ResourceTypeFragment = new $TypeData().initClass({
  Lamf_model_document_ResourceTypeFragment: 0
}, false, "amf.model.document.ResourceTypeFragment", {
  Lamf_model_document_ResourceTypeFragment: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_ResourceTypeFragment.prototype.$classData = $d_Lamf_model_document_ResourceTypeFragment;
class $c_Lamf_model_document_SecuritySchemeFragment extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_SecuritySchemeFragment.prototype.init___Lamf_plugins_document_webapi_model_SecuritySchemeFragment.call(this, new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___Lamf_plugins_document_webapi_model_SecuritySchemeFragment(extensionFragment) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, extensionFragment);
    return this
  };
  productPrefix__T() {
    return "SecuritySchemeFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_SecuritySchemeFragment(x$1)) {
      const SecuritySchemeFragment$1 = x$1;
      const x = this.fragment$3;
      const x$2 = SecuritySchemeFragment$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_model_document_SecuritySchemeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_SecuritySchemeFragment)))
});
const $isArrayOf_Lamf_model_document_SecuritySchemeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_SecuritySchemeFragment)))
});
const $d_Lamf_model_document_SecuritySchemeFragment = new $TypeData().initClass({
  Lamf_model_document_SecuritySchemeFragment: 0
}, false, "amf.model.document.SecuritySchemeFragment", {
  Lamf_model_document_SecuritySchemeFragment: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_SecuritySchemeFragment.prototype.$classData = $d_Lamf_model_document_SecuritySchemeFragment;
class $c_Lamf_model_document_TraitFragment extends $c_Lamf_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_document_TraitFragment.prototype.init___Lamf_plugins_document_webapi_model_TraitFragment.call(this, new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "TraitFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_document_TraitFragment(x$1)) {
      const TraitFragment$1 = x$1;
      const x = this.fragment$3;
      const x$2 = TraitFragment$1.fragment$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_model_TraitFragment(traitFragment) {
    $c_Lamf_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, traitFragment);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_model_document_TraitFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_document_TraitFragment)))
});
const $isArrayOf_Lamf_model_document_TraitFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_document_TraitFragment)))
});
const $d_Lamf_model_document_TraitFragment = new $TypeData().initClass({
  Lamf_model_document_TraitFragment: 0
}, false, "amf.model.document.TraitFragment", {
  Lamf_model_document_TraitFragment: 1,
  Lamf_model_document_Fragment: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_TraitFragment.prototype.$classData = $d_Lamf_model_document_TraitFragment;
class $c_Lamf_model_domain_ResourceType extends $c_Lamf_model_domain_AbstractDeclaration {
  productPrefix__T() {
    return "ResourceType"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ResourceType.prototype.init___Lamf_plugins_domain_webapi_models_templates_ResourceType.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.decl$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_ResourceType().init___Lamf_plugins_domain_webapi_models_templates_ResourceType($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  productArity__I() {
    return 1
  };
  init___Lamf_plugins_domain_webapi_models_templates_ResourceType(resourceType) {
    $c_Lamf_model_domain_AbstractDeclaration.prototype.init___Lamf_core_model_domain_templates_AbstractDeclaration.call(this, resourceType);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ResourceType(x$1)) {
      const ResourceType$1 = x$1;
      const x = this.decl$3;
      const x$2 = ResourceType$1.decl$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.decl$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$asEndpoint__Lamf_model_document_BaseUnit__T__O(unit, profile) {
    return this.asEndpoint__Lamf_model_document_BaseUnit__T__Lamf_model_domain_EndPoint(unit, profile)
  };
  linkTarget__s_Option() {
    const this$1 = this.decl$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_ResourceType().init___Lamf_plugins_domain_webapi_models_templates_ResourceType(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  asEndpoint__Lamf_model_document_BaseUnit__T__Lamf_model_domain_EndPoint(unit, profile) {
    const this$1 = this.decl$3;
    const unit$1 = unit.element__Lamf_core_model_document_BaseUnit();
    const endPoint = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_domain_DataNode__T__s_Option__Lamf_plugins_domain_webapi_models_EndPoint(unit$1, profile, this$1.dataNode__Lamf_core_model_domain_DataNode(), this$1.name__T(), $m_s_None$());
    return new $c_Lamf_model_domain_EndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(endPoint)
  };
  element__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.decl$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$asEndpoint$default$2__T() {
    return $m_Lamf_ProfileNames$().RAML$1
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.decl$3
  };
  "asEndpoint"(arg$1, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$asEndpoint$default$2__T() : arg$rest[0]);
    return this.$$js$exported$meth$asEndpoint__Lamf_model_document_BaseUnit__T__O(prep0, prep1)
  };
}
const $is_Lamf_model_domain_ResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ResourceType)))
});
const $isArrayOf_Lamf_model_domain_ResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ResourceType)))
});
const $d_Lamf_model_domain_ResourceType = new $TypeData().initClass({
  Lamf_model_domain_ResourceType: 0
}, false, "amf.model.domain.ResourceType", {
  Lamf_model_domain_ResourceType: 1,
  Lamf_model_domain_AbstractDeclaration: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ResourceType.prototype.$classData = $d_Lamf_model_domain_ResourceType;
class $c_Lamf_model_domain_Trait extends $c_Lamf_model_domain_AbstractDeclaration {
  productPrefix__T() {
    return "Trait"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_Trait.prototype.init___Lamf_plugins_domain_webapi_models_templates_Trait.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.decl$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_Trait().init___Lamf_plugins_domain_webapi_models_templates_Trait($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$asOperation__Lamf_model_document_BaseUnit__T__O(unit, profile) {
    return this.asOperation__Lamf_model_document_BaseUnit__T__Lamf_model_domain_Operation(unit, profile)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_Trait(x$1)) {
      const Trait$1 = x$1;
      const x = this.decl$3;
      const x$2 = Trait$1.decl$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.decl$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  asOperation__Lamf_model_document_BaseUnit__T__Lamf_model_domain_Operation(unit, profile) {
    const this$1 = this.decl$3;
    const unit$1 = unit.element__Lamf_core_model_document_BaseUnit();
    const operation = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().asOperation__T__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit__s_Option__Lamf_plugins_domain_webapi_models_Operation(profile, this$1.dataNode__Lamf_core_model_domain_DataNode(), unit$1, $m_s_None$());
    return new $c_Lamf_model_domain_Operation().init___Lamf_plugins_domain_webapi_models_Operation(operation)
  };
  linkTarget__s_Option() {
    const this$1 = this.decl$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_Trait().init___Lamf_plugins_domain_webapi_models_templates_Trait(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  init___Lamf_plugins_domain_webapi_models_templates_Trait(trt) {
    $c_Lamf_model_domain_AbstractDeclaration.prototype.init___Lamf_core_model_domain_templates_AbstractDeclaration.call(this, trt);
    return this
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  $$js$exported$meth$asOperation$default$2__T() {
    return $m_Lamf_ProfileNames$().RAML$1
  };
  element__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.decl$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.decl$3
  };
  "asOperation"(arg$1, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$asOperation$default$2__T() : arg$rest[0]);
    return this.$$js$exported$meth$asOperation__Lamf_model_document_BaseUnit__T__O(prep0, prep1)
  };
}
const $is_Lamf_model_domain_Trait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_Trait)))
});
const $isArrayOf_Lamf_model_domain_Trait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_Trait)))
});
const $d_Lamf_model_domain_Trait = new $TypeData().initClass({
  Lamf_model_domain_Trait: 0
}, false, "amf.model.domain.Trait", {
  Lamf_model_domain_Trait: 1,
  Lamf_model_domain_AbstractDeclaration: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_Trait.prototype.$classData = $d_Lamf_model_domain_Trait;
class $c_Lamf_plugins_document_vocabularies_core_ClassTerm$ extends $c_Lamf_plugins_document_vocabularies_core_Declaration {
  constructor() {
    super();
    this.displayName$4 = null;
    this.description$4 = null;
    this.example$4 = null;
    this.extends$4 = null;
    this.properties$4 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_Declaration.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "Class", $m_Lamf_core_vocabulary_Namespace$().Owl$1);
    $n_Lamf_plugins_document_vocabularies_core_ClassTerm$ = this;
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("displayName", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$48 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$49 = new $c_s_Some().init___O("name");
    const x$50 = arg1.name$1;
    const x$51 = arg1.range$1;
    const x$52 = arg1.unionTypes$1;
    const x$53 = arg1.required$1;
    const x$54 = arg1.collection$1;
    const x$55 = arg1.referenceTarget$1;
    const x$56 = arg1.noRAML$1;
    const x$57 = arg1.noLastSegmentTrimInMaps$1;
    const x$58 = arg1.hash$1;
    const x$59 = arg1.hashValue$1;
    const x$60 = arg1.fromVal$1;
    const x$61 = arg1.isDeclaration$1;
    const x$62 = arg1.isDocumentDeclaration$1;
    const x$63 = arg1.jsonld$1;
    const x$64 = arg1.owningNode$1;
    const x$65 = arg1.scalaNameOverride$1;
    const x$66 = arg1.allowInplace$1;
    const x$67 = arg1.pattern$1;
    const x$68 = arg1.enum$1;
    const x$69 = arg1.minimum$1;
    const x$70 = arg1.maximum$1;
    const x$71 = arg1.defaultValue$1;
    this.displayName$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$50, x$51, x$52, x$53, x$54, x$55, x$56, x$57, x$58, x$59, x$60, x$61, x$62, x$48, x$49, x$63, x$64, x$65, x$66, x$67, x$68, x$69, x$70, x$71));
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("description", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$72 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$73 = arg1$1.name$1;
    const x$74 = arg1$1.range$1;
    const x$75 = arg1$1.unionTypes$1;
    const x$76 = arg1$1.required$1;
    const x$77 = arg1$1.collection$1;
    const x$78 = arg1$1.referenceTarget$1;
    const x$79 = arg1$1.noRAML$1;
    const x$80 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$81 = arg1$1.hash$1;
    const x$82 = arg1$1.hashValue$1;
    const x$83 = arg1$1.fromVal$1;
    const x$84 = arg1$1.isDeclaration$1;
    const x$85 = arg1$1.isDocumentDeclaration$1;
    const x$86 = arg1$1.rdfName$1;
    const x$87 = arg1$1.jsonld$1;
    const x$88 = arg1$1.owningNode$1;
    const x$89 = arg1$1.scalaNameOverride$1;
    const x$90 = arg1$1.allowInplace$1;
    const x$91 = arg1$1.pattern$1;
    const x$92 = arg1$1.enum$1;
    const x$93 = arg1$1.minimum$1;
    const x$94 = arg1$1.maximum$1;
    const x$95 = arg1$1.defaultValue$1;
    this.description$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$73, x$74, x$75, x$76, x$77, x$78, x$79, x$80, x$81, x$82, x$83, x$84, x$85, x$72, x$86, x$87, x$88, x$89, x$90, x$91, x$92, x$93, x$94, x$95));
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("example", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$96 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$98 = arg1$2.name$1;
    const x$99 = arg1$2.range$1;
    const x$100 = arg1$2.unionTypes$1;
    const x$101 = arg1$2.required$1;
    const x$102 = arg1$2.referenceTarget$1;
    const x$103 = arg1$2.noRAML$1;
    const x$104 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$105 = arg1$2.hash$1;
    const x$106 = arg1$2.hashValue$1;
    const x$107 = arg1$2.fromVal$1;
    const x$108 = arg1$2.isDeclaration$1;
    const x$109 = arg1$2.isDocumentDeclaration$1;
    const x$110 = arg1$2.rdfName$1;
    const x$111 = arg1$2.jsonld$1;
    const x$112 = arg1$2.owningNode$1;
    const x$113 = arg1$2.scalaNameOverride$1;
    const x$114 = arg1$2.allowInplace$1;
    const x$115 = arg1$2.pattern$1;
    const x$116 = arg1$2.enum$1;
    const x$117 = arg1$2.minimum$1;
    const x$118 = arg1$2.maximum$1;
    const x$119 = arg1$2.defaultValue$1;
    this.example$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$98, x$99, x$100, x$101, true, x$102, x$103, x$104, x$105, x$106, x$107, x$108, x$109, x$96, x$110, x$111, x$112, x$113, x$114, x$115, x$116, x$117, x$118, x$119));
    const dialectNode = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
    const x$58$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59$1 = new $c_s_Some().init___O(dialectNode);
    const x$60$1 = $m_s_None$();
    const x$65$1 = $m_s_None$();
    const x$66$1 = $m_s_None$();
    const x$70$1 = $m_s_None$();
    const x$71$1 = $m_s_None$();
    const x$73$1 = $m_s_None$();
    const x$74$1 = $m_s_None$();
    const x$76$1 = $m_s_None$();
    const x$77$1 = $m_s_None$();
    const x$78$1 = $m_s_None$();
    const x$79$1 = $m_s_None$();
    const x$80$1 = $m_s_None$();
    const arg1$3 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("extends", x$58$1, x$60$1, false, false, x$59$1, false, false, x$65$1, x$66$1, false, false, false, x$70$1, x$71$1, true, x$73$1, x$74$1, false, x$76$1, x$77$1, x$78$1, x$79$1, x$80$1);
    const x$121 = new $c_s_Some().init___O("subClassOf");
    const x$122 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Rdfs$1);
    const x$123 = arg1$3.name$1;
    const x$124 = arg1$3.range$1;
    const x$125 = arg1$3.unionTypes$1;
    const x$126 = arg1$3.required$1;
    const x$127 = arg1$3.referenceTarget$1;
    const x$128 = arg1$3.noRAML$1;
    const x$129 = arg1$3.noLastSegmentTrimInMaps$1;
    const x$130 = arg1$3.hash$1;
    const x$131 = arg1$3.hashValue$1;
    const x$132 = arg1$3.fromVal$1;
    const x$133 = arg1$3.isDeclaration$1;
    const x$134 = arg1$3.isDocumentDeclaration$1;
    const x$135 = arg1$3.jsonld$1;
    const x$136 = arg1$3.owningNode$1;
    const x$137 = arg1$3.scalaNameOverride$1;
    const x$138 = arg1$3.allowInplace$1;
    const x$139 = arg1$3.pattern$1;
    const x$140 = arg1$3.enum$1;
    const x$141 = arg1$3.minimum$1;
    const x$142 = arg1$3.maximum$1;
    const x$143 = arg1$3.defaultValue$1;
    this.extends$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$123, x$124, x$125, x$126, true, x$127, x$128, x$129, x$130, x$131, x$132, x$133, x$134, x$122, x$121, x$135, x$136, x$137, x$138, x$139, x$140, x$141, x$142, x$143));
    const dialectNode$1 = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$();
    const x$58$2 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59$2 = new $c_s_Some().init___O(dialectNode$1);
    const x$60$2 = $m_s_None$();
    const x$65$2 = $m_s_None$();
    const x$66$2 = $m_s_None$();
    const x$70$2 = $m_s_None$();
    const x$71$2 = $m_s_None$();
    const x$73$2 = $m_s_None$();
    const x$74$2 = $m_s_None$();
    const x$76$2 = $m_s_None$();
    const x$77$2 = $m_s_None$();
    const x$78$2 = $m_s_None$();
    const x$79$2 = $m_s_None$();
    const x$80$2 = $m_s_None$();
    const arg1$4 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("properties", x$58$2, x$60$2, false, false, x$59$2, false, false, x$65$2, x$66$2, false, false, false, x$70$2, x$71$2, true, x$73$2, x$74$2, false, x$76$2, x$77$2, x$78$2, x$79$2, x$80$2);
    const x$146 = arg1$4.name$1;
    const x$147 = arg1$4.range$1;
    const x$148 = arg1$4.unionTypes$1;
    const x$149 = arg1$4.required$1;
    const x$150 = arg1$4.referenceTarget$1;
    const x$151 = arg1$4.noRAML$1;
    const x$152 = arg1$4.noLastSegmentTrimInMaps$1;
    const x$153 = arg1$4.hash$1;
    const x$154 = arg1$4.hashValue$1;
    const x$155 = arg1$4.fromVal$1;
    const x$156 = arg1$4.isDeclaration$1;
    const x$157 = arg1$4.isDocumentDeclaration$1;
    const x$158 = arg1$4.namespace$1;
    const x$159 = arg1$4.rdfName$1;
    const x$160 = arg1$4.owningNode$1;
    const x$161 = arg1$4.scalaNameOverride$1;
    const x$162 = arg1$4.allowInplace$1;
    const x$163 = arg1$4.pattern$1;
    const x$164 = arg1$4.enum$1;
    const x$165 = arg1$4.minimum$1;
    const x$166 = arg1$4.maximum$1;
    const x$167 = arg1$4.defaultValue$1;
    this.properties$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$146, x$147, x$148, x$149, true, x$150, x$151, x$152, x$153, x$154, x$155, x$156, x$157, x$158, x$159, false, x$160, x$161, x$162, x$163, x$164, x$165, x$166, x$167));
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_ClassTerm$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_ClassTerm$: 0
}, false, "amf.plugins.document.vocabularies.core.ClassTerm$", {
  Lamf_plugins_document_vocabularies_core_ClassTerm$: 1,
  Lamf_plugins_document_vocabularies_core_Declaration: 1,
  Lamf_plugins_document_vocabularies_core_VocabPartDialect: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_ClassTerm$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_ClassTerm$;
let $n_Lamf_plugins_document_vocabularies_core_ClassTerm$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_ClassTerm$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_ClassTerm$)) {
    $n_Lamf_plugins_document_vocabularies_core_ClassTerm$ = new $c_Lamf_plugins_document_vocabularies_core_ClassTerm$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_ClassTerm$
});
class $c_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver extends $c_Lamf_plugins_document_vocabularies_spec_BasicResolver {
  constructor() {
    super();
    this.root$2 = null
  };
  productPrefix__T() {
    return "DialectLanguageResolver"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver(x$1)) {
      const DialectLanguageResolver$1 = x$1;
      const x = this.root$2;
      const x$2 = DialectLanguageResolver$1.root$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.referencedDocuments$1;
        const x$4 = DialectLanguageResolver$1.referencedDocuments$1;
        return ((x$3 === null) ? (x$4 === null) : $f_sc_GenMapLike__equals__O__Z(x$3, x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      case 1: {
        return this.referencedDocuments$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_Root__sci_Map__Lamf_core_parser_ParserContext(root, uses, ctx) {
    this.root$2 = root;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_document_vocabularies_core_DialectDefinition$().externals$3, $m_Lamf_plugins_document_vocabularies_core_DialectDefinition$().vocabularies$3]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    $c_Lamf_plugins_document_vocabularies_spec_BasicResolver.prototype.init___Lamf_core_Root__sci_List__sci_Map__Lamf_core_parser_ParserContext.call(this, root, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf), uses, ctx);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  resolve__Lamf_core_Root__T__Lamf_core_metamodel_Type__s_Option(root, name, t) {
    try {
      const x = $m_Lamf_plugins_document_vocabularies_core_NodeDefinition$();
      if (((x === t) && this.b2id$1.get__O__s_Option(name).isDefined__Z())) {
        return new $c_s_Some().init___O(this.b2id$1.apply__O__O(name))
      } else {
        return new $c_s_Some().init___O(this.resolveBasicRef__T__T(name))
      }
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ($is_jl_Exception(e$2)) {
        return $m_s_None$()
      } else {
        throw e
      }
    }
  };
}
const $is_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_core_DialectLanguageResolver)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_core_DialectLanguageResolver)))
});
const $d_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_DialectLanguageResolver: 0
}, false, "amf.plugins.document.vocabularies.core.DialectLanguageResolver", {
  Lamf_plugins_document_vocabularies_core_DialectLanguageResolver: 1,
  Lamf_plugins_document_vocabularies_spec_BasicResolver: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_spec_TypeBuiltins: 1,
  Lamf_plugins_document_vocabularies_spec_Builtins: 1,
  Lamf_plugins_document_vocabularies_spec_LocalNameProvider: 1,
  Lamf_plugins_document_vocabularies_spec_ReferenceResolver: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_DialectLanguageResolver;
class $c_Lamf_plugins_document_vocabularies_core_PropertyTerm$ extends $c_Lamf_plugins_document_vocabularies_core_Declaration {
  constructor() {
    super();
    this.displayName$4 = null;
    this.description$4 = null;
    this.example$4 = null;
    this.domain$4 = null;
    this.range$4 = null;
    this.extends$4 = null;
    this.DATATYPE$undPROPERTY$4 = null;
    this.OBJECT$undPROPERTY$4 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_core_Declaration.prototype.init___T__Lamf_core_vocabulary_Namespace.call(this, "Property", $m_Lamf_core_vocabulary_Namespace$().Meta$1);
    $n_Lamf_plugins_document_vocabularies_core_PropertyTerm$ = this;
    const arg1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("displayName", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$168 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$169 = new $c_s_Some().init___O("name");
    const x$170 = arg1.name$1;
    const x$171 = arg1.range$1;
    const x$172 = arg1.unionTypes$1;
    const x$173 = arg1.required$1;
    const x$174 = arg1.collection$1;
    const x$175 = arg1.referenceTarget$1;
    const x$176 = arg1.noRAML$1;
    const x$177 = arg1.noLastSegmentTrimInMaps$1;
    const x$178 = arg1.hash$1;
    const x$179 = arg1.hashValue$1;
    const x$180 = arg1.fromVal$1;
    const x$181 = arg1.isDeclaration$1;
    const x$182 = arg1.isDocumentDeclaration$1;
    const x$183 = arg1.jsonld$1;
    const x$184 = arg1.owningNode$1;
    const x$185 = arg1.scalaNameOverride$1;
    const x$186 = arg1.allowInplace$1;
    const x$187 = arg1.pattern$1;
    const x$188 = arg1.enum$1;
    const x$189 = arg1.minimum$1;
    const x$190 = arg1.maximum$1;
    const x$191 = arg1.defaultValue$1;
    this.displayName$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$170, x$171, x$172, x$173, x$174, x$175, x$176, x$177, x$178, x$179, x$180, x$181, x$182, x$168, x$169, x$183, x$184, x$185, x$186, x$187, x$188, x$189, x$190, x$191));
    const arg1$1 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("description", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$192 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$193 = arg1$1.name$1;
    const x$194 = arg1$1.range$1;
    const x$195 = arg1$1.unionTypes$1;
    const x$196 = arg1$1.required$1;
    const x$197 = arg1$1.collection$1;
    const x$198 = arg1$1.referenceTarget$1;
    const x$199 = arg1$1.noRAML$1;
    const x$200 = arg1$1.noLastSegmentTrimInMaps$1;
    const x$201 = arg1$1.hash$1;
    const x$202 = arg1$1.hashValue$1;
    const x$203 = arg1$1.fromVal$1;
    const x$204 = arg1$1.isDeclaration$1;
    const x$205 = arg1$1.isDocumentDeclaration$1;
    const x$206 = arg1$1.rdfName$1;
    const x$207 = arg1$1.jsonld$1;
    const x$208 = arg1$1.owningNode$1;
    const x$209 = arg1$1.scalaNameOverride$1;
    const x$210 = arg1$1.allowInplace$1;
    const x$211 = arg1$1.pattern$1;
    const x$212 = arg1$1.enum$1;
    const x$213 = arg1$1.minimum$1;
    const x$214 = arg1$1.maximum$1;
    const x$215 = arg1$1.defaultValue$1;
    this.description$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$193, x$194, x$195, x$196, x$197, x$198, x$199, x$200, x$201, x$202, x$203, x$204, x$205, x$192, x$206, x$207, x$208, x$209, x$210, x$211, x$212, x$213, x$214, x$215));
    const arg1$2 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("example", $m_Lamf_core_metamodel_Type$Str$(), $m_s_None$(), false, false, $m_s_None$(), false, false, $m_s_None$(), $m_s_None$(), false, false, false, $m_s_None$(), $m_s_None$(), true, $m_s_None$(), $m_s_None$(), false, $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$());
    const x$216 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Schema$1);
    const x$218 = arg1$2.name$1;
    const x$219 = arg1$2.range$1;
    const x$220 = arg1$2.unionTypes$1;
    const x$221 = arg1$2.required$1;
    const x$222 = arg1$2.referenceTarget$1;
    const x$223 = arg1$2.noRAML$1;
    const x$224 = arg1$2.noLastSegmentTrimInMaps$1;
    const x$225 = arg1$2.hash$1;
    const x$226 = arg1$2.hashValue$1;
    const x$227 = arg1$2.fromVal$1;
    const x$228 = arg1$2.isDeclaration$1;
    const x$229 = arg1$2.isDocumentDeclaration$1;
    const x$230 = arg1$2.rdfName$1;
    const x$231 = arg1$2.jsonld$1;
    const x$232 = arg1$2.owningNode$1;
    const x$233 = arg1$2.scalaNameOverride$1;
    const x$234 = arg1$2.allowInplace$1;
    const x$235 = arg1$2.pattern$1;
    const x$236 = arg1$2.enum$1;
    const x$237 = arg1$2.minimum$1;
    const x$238 = arg1$2.maximum$1;
    const x$239 = arg1$2.defaultValue$1;
    this.example$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$218, x$219, x$220, x$221, true, x$222, x$223, x$224, x$225, x$226, x$227, x$228, x$229, x$216, x$230, x$231, x$232, x$233, x$234, x$235, x$236, x$237, x$238, x$239));
    const dialectNode = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
    const x$58 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59 = new $c_s_Some().init___O(dialectNode);
    const x$60 = $m_s_None$();
    const x$65 = $m_s_None$();
    const x$66 = $m_s_None$();
    const x$70 = $m_s_None$();
    const x$71 = $m_s_None$();
    const x$73 = $m_s_None$();
    const x$74 = $m_s_None$();
    const x$76 = $m_s_None$();
    const x$77 = $m_s_None$();
    const x$78 = $m_s_None$();
    const x$79 = $m_s_None$();
    const x$80 = $m_s_None$();
    const arg1$3 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("domain", x$58, x$60, false, false, x$59, false, false, x$65, x$66, false, false, false, x$70, x$71, true, x$73, x$74, false, x$76, x$77, x$78, x$79, x$80);
    const x$241 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Rdfs$1);
    const x$243 = arg1$3.name$1;
    const x$244 = arg1$3.range$1;
    const x$245 = arg1$3.unionTypes$1;
    const x$246 = arg1$3.required$1;
    const x$247 = arg1$3.referenceTarget$1;
    const x$248 = arg1$3.noLastSegmentTrimInMaps$1;
    const x$249 = arg1$3.hash$1;
    const x$250 = arg1$3.hashValue$1;
    const x$251 = arg1$3.fromVal$1;
    const x$252 = arg1$3.isDeclaration$1;
    const x$253 = arg1$3.isDocumentDeclaration$1;
    const x$254 = arg1$3.rdfName$1;
    const x$255 = arg1$3.jsonld$1;
    const x$256 = arg1$3.owningNode$1;
    const x$257 = arg1$3.scalaNameOverride$1;
    const x$258 = arg1$3.allowInplace$1;
    const x$259 = arg1$3.pattern$1;
    const x$260 = arg1$3.enum$1;
    const x$261 = arg1$3.minimum$1;
    const x$262 = arg1$3.maximum$1;
    const x$263 = arg1$3.defaultValue$1;
    this.domain$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$243, x$244, x$245, x$246, true, x$247, true, x$248, x$249, x$250, x$251, x$252, x$253, x$241, x$254, x$255, x$256, x$257, x$258, x$259, x$260, x$261, x$262, x$263));
    const dialectNode$1 = $m_Lamf_plugins_document_vocabularies_core_ClassTerm$();
    const x$58$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59$1 = new $c_s_Some().init___O(dialectNode$1);
    const x$60$1 = $m_s_None$();
    const x$65$1 = $m_s_None$();
    const x$66$1 = $m_s_None$();
    const x$70$1 = $m_s_None$();
    const x$71$1 = $m_s_None$();
    const x$73$1 = $m_s_None$();
    const x$74$1 = $m_s_None$();
    const x$76$1 = $m_s_None$();
    const x$77$1 = $m_s_None$();
    const x$78$1 = $m_s_None$();
    const x$79$1 = $m_s_None$();
    const x$80$1 = $m_s_None$();
    const arg1$4 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("range", x$58$1, x$60$1, false, false, x$59$1, false, false, x$65$1, x$66$1, false, false, false, x$70$1, x$71$1, true, x$73$1, x$74$1, false, x$76$1, x$77$1, x$78$1, x$79$1, x$80$1);
    const x$265 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Rdfs$1);
    const x$266 = arg1$4.name$1;
    const x$267 = arg1$4.range$1;
    const x$268 = arg1$4.unionTypes$1;
    const x$269 = arg1$4.required$1;
    const x$270 = arg1$4.referenceTarget$1;
    const x$271 = arg1$4.noRAML$1;
    const x$272 = arg1$4.noLastSegmentTrimInMaps$1;
    const x$273 = arg1$4.hash$1;
    const x$274 = arg1$4.hashValue$1;
    const x$275 = arg1$4.fromVal$1;
    const x$276 = arg1$4.isDeclaration$1;
    const x$277 = arg1$4.isDocumentDeclaration$1;
    const x$278 = arg1$4.rdfName$1;
    const x$279 = arg1$4.jsonld$1;
    const x$280 = arg1$4.owningNode$1;
    const x$281 = arg1$4.scalaNameOverride$1;
    const x$282 = arg1$4.allowInplace$1;
    const x$283 = arg1$4.pattern$1;
    const x$284 = arg1$4.enum$1;
    const x$285 = arg1$4.minimum$1;
    const x$286 = arg1$4.maximum$1;
    const x$287 = arg1$4.defaultValue$1;
    this.range$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$266, x$267, x$268, x$269, true, x$270, x$271, x$272, x$273, x$274, x$275, x$276, x$277, x$265, x$278, x$279, x$280, x$281, x$282, x$283, x$284, x$285, x$286, x$287));
    const dialectNode$2 = $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$();
    const x$58$2 = $m_Lamf_core_metamodel_Type$Iri$();
    const x$59$2 = new $c_s_Some().init___O(dialectNode$2);
    const x$60$2 = $m_s_None$();
    const x$65$2 = $m_s_None$();
    const x$66$2 = $m_s_None$();
    const x$70$2 = $m_s_None$();
    const x$71$2 = $m_s_None$();
    const x$73$2 = $m_s_None$();
    const x$74$2 = $m_s_None$();
    const x$76$2 = $m_s_None$();
    const x$77$2 = $m_s_None$();
    const x$78$2 = $m_s_None$();
    const x$79$2 = $m_s_None$();
    const x$80$2 = $m_s_None$();
    const arg1$5 = new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option("extends", x$58$2, x$60$2, false, false, x$59$2, false, false, x$65$2, x$66$2, false, false, false, x$70$2, x$71$2, true, x$73$2, x$74$2, false, x$76$2, x$77$2, x$78$2, x$79$2, x$80$2);
    const x$289 = new $c_s_Some().init___O("subPropertyOf");
    const x$290 = new $c_s_Some().init___O($m_Lamf_core_vocabulary_Namespace$().Rdfs$1);
    const x$291 = arg1$5.name$1;
    const x$292 = arg1$5.range$1;
    const x$293 = arg1$5.unionTypes$1;
    const x$294 = arg1$5.required$1;
    const x$295 = arg1$5.referenceTarget$1;
    const x$296 = arg1$5.noRAML$1;
    const x$297 = arg1$5.noLastSegmentTrimInMaps$1;
    const x$298 = arg1$5.hash$1;
    const x$299 = arg1$5.hashValue$1;
    const x$300 = arg1$5.fromVal$1;
    const x$301 = arg1$5.isDeclaration$1;
    const x$302 = arg1$5.isDocumentDeclaration$1;
    const x$303 = arg1$5.jsonld$1;
    const x$304 = arg1$5.owningNode$1;
    const x$305 = arg1$5.scalaNameOverride$1;
    const x$306 = arg1$5.allowInplace$1;
    const x$307 = arg1$5.pattern$1;
    const x$308 = arg1$5.enum$1;
    const x$309 = arg1$5.minimum$1;
    const x$310 = arg1$5.maximum$1;
    const x$311 = arg1$5.defaultValue$1;
    this.extends$4 = this.add__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping(new $c_Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping().init___T__Lamf_core_metamodel_Type__s_Option__Z__Z__s_Option__Z__Z__s_Option__s_Option__Z__Z__Z__s_Option__s_Option__Z__s_Option__s_Option__Z__s_Option__s_Option__s_Option__s_Option__s_Option(x$291, x$292, x$293, x$294, true, x$295, x$296, x$297, x$298, x$299, x$300, x$301, x$302, x$290, x$289, x$303, x$304, x$305, x$306, x$307, x$308, x$309, x$310, x$311));
    this.DATATYPE$undPROPERTY$4 = new $c_Lamf_core_vocabulary_UriType().init___T("http://www.w3.org/2002/07/owl#DatatypeProperty");
    this.OBJECT$undPROPERTY$4 = new $c_Lamf_core_vocabulary_UriType().init___T("http://www.w3.org/2002/07/owl#ObjectProperty");
    this.fieldValueDiscriminator__Lamf_plugins_document_vocabularies_spec_DialectPropertyMapping__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator(this.range$4).add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().ANY$1, this.DATATYPE$undPROPERTY$4).add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().STRING$1, this.DATATYPE$undPROPERTY$4).add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().INTEGER$1, this.DATATYPE$undPROPERTY$4).add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().NUMBER$1, this.DATATYPE$undPROPERTY$4).add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().FLOAT$1, this.DATATYPE$undPROPERTY$4).add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().BOOLEAN$1, this.DATATYPE$undPROPERTY$4).add__T__Lamf_core_vocabulary_ValueType__Lamf_plugins_document_vocabularies_spec_FieldValueDiscriminator($m_Lamf_plugins_document_vocabularies_spec_TypeBuiltins$().URI$1, this.DATATYPE$undPROPERTY$4).defaultValue$1 = new $c_s_Some().init___O(this.OBJECT$undPROPERTY$4);
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_core_PropertyTerm$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_core_PropertyTerm$: 0
}, false, "amf.plugins.document.vocabularies.core.PropertyTerm$", {
  Lamf_plugins_document_vocabularies_core_PropertyTerm$: 1,
  Lamf_plugins_document_vocabularies_core_Declaration: 1,
  Lamf_plugins_document_vocabularies_core_VocabPartDialect: 1,
  Lamf_plugins_document_vocabularies_spec_DialectNode: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_core_PropertyTerm$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_core_PropertyTerm$;
let $n_Lamf_plugins_document_vocabularies_core_PropertyTerm$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_core_PropertyTerm$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_core_PropertyTerm$)) {
    $n_Lamf_plugins_document_vocabularies_core_PropertyTerm$ = new $c_Lamf_plugins_document_vocabularies_core_PropertyTerm$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_core_PropertyTerm$
});
class $c_Lamf_plugins_document_webapi_contexts_WebApiContext extends $c_Lamf_core_parser_ParserContext {
  constructor() {
    super();
    this.wrapped$3 = null;
    this.ds$3 = null;
    this.declarations$3 = null
  };
  closedShape__T__Lorg_yaml_model_YMap__T__Z__V(node, ast, shape, annotation) {
    const x1 = this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().get__O__s_Option(shape);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const props = x2.value$2;
      const properties = (annotation ? props.$$plus$plus__sc_GenTraversableOnce__sc_Set(this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().apply__O__O("annotation")) : props);
      ast.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, node$1, shape$1, properties$1) {
        return (function(entry$2) {
          const entry = entry$2;
          $m_Lorg_yaml_model_YNode$();
          const node$2 = entry.key$1;
          const key = node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          if ((!$this.ignore__T__T__Z(shape$1, key))) {
            if ((!properties$1.contains__O__Z(key))) {
              const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ClosedShapeSpecification$1.id__T();
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " not supported in a ", " ", " node"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key, $this.vendor__Lamf_core_remote_Vendor(), shape$1]));
              $this.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node$1, $m_s_None$(), message, entry)
            }
          }
        })
      })(this, node, shape, properties)))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot validate unknown node type ", " for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape, this.vendor__Lamf_core_remote_Vendor()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds) {
    this.wrapped$3 = wrapped;
    this.ds$3 = ds;
    $c_Lamf_core_parser_ParserContext.prototype.init___T__sc_Seq__Lamf_core_parser_FutureDeclarations.call(this, wrapped.rootContextDocument$2, wrapped.refs$2, wrapped.futureDeclarations$2);
    let jsx$1;
    if (ds.isEmpty__Z()) {
      const x$4 = new $c_s_Some().init___O(this);
      const x$5 = this.futureDeclarations$2;
      const x$6 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$7 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$8 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$9 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$10 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$11 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$12 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$13 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$14 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$15 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations().init___sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$6, x$7, x$8, x$9, x$10, x$11, x$12, x$13, x$14, x$15, x$4, x$5)
    } else {
      jsx$1 = ds.get__O()
    };
    this.declarations$3 = jsx$1;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter {
  constructor() {
    super();
    this.target$2 = null;
    this.label$2 = null;
    this.reference$2 = null;
    this.referenceLabel$2 = null
  };
  target__Lamf_core_model_domain_DomainElement() {
    return this.target$2
  };
  productPrefix__T() {
    return "OasTagToReferenceEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.follow__p2__Lamf_core_model_domain_DomainElement();
    matchEnd6: {
      if ($is_Lamf_core_model_domain_Shape(x1)) {
        const x2 = x1;
        if (x2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$1 = this.spec$1;
          const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const url = this.referenceLabel$2;
          jsx$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$1.appendPrefix__p1__T__T__T(this$1.definitionsPrefix$1, url));
          break matchEnd6
        }
      };
      if ($is_Lamf_plugins_domain_webapi_models_Parameter(x1)) {
        const x3 = x1;
        if (x3.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$2 = this.spec$1;
          const this$2 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const url$1 = this.referenceLabel$2;
          jsx$2.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$2.appendPrefix__p1__T__T__T(this$2.parameterDefinitionsPrefix$1, url$1));
          break matchEnd6
        }
      };
      if ($is_Lamf_plugins_domain_webapi_models_Response(x1)) {
        const x4 = x1;
        if (x4.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$3 = this.spec$1;
          const this$3 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const url$2 = this.referenceLabel$2;
          jsx$3.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$3.appendPrefix__p1__T__T__T(this$3.responsesDefinitionsPrefix$1, url$2));
          break matchEnd6
        }
      };
      this.spec$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this.referenceLabel$2)
    }
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter(x$1)) {
      const OasTagToReferenceEmitter$1 = x$1;
      const x = this.target$2;
      const x$2 = OasTagToReferenceEmitter$1.target$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.label$2;
        const x$4 = OasTagToReferenceEmitter$1.label$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.reference$2;
        const x$6 = OasTagToReferenceEmitter$1.reference$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.target$2;
        break
      }
      case 1: {
        return this.label$2;
        break
      }
      case 2: {
        return this.reference$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  amf$plugins$document$webapi$contexts$TagToReferenceEmitter$$undsetter$und$referenceLabel$und$eq__T__V(x$1) {
    this.referenceLabel$2 = x$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  follow__p2__Lamf_core_model_domain_DomainElement() {
    const x1 = this.target$2;
    if ($is_Lamf_core_model_domain_Linkable(x1)) {
      const this$1 = x1;
      if (this$1.linkTarget__s_Option().isDefined__Z()) {
        const x1$2 = x1.linkTarget__s_Option();
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const t = x2$2.value$2;
          return t
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected shape link target on ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.target$2]))))
        }
      }
    };
    return x1
  };
  label__s_Option() {
    return this.label$2
  };
  init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(target, label, reference, spec) {
    this.target$2 = target;
    this.label$2 = label;
    this.reference$2 = reference;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    $f_Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter__$$init$__V(this);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$1
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__Lamf_core_parser_Position(this.target$2.annotations__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTagToReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser {
  constructor() {
    super();
    this.Raml08ReferenceParser$module$3 = null;
    this.Raml08TextParser$module$3 = null;
    this.Raml08SchemaParser$module$3 = null;
    this.ast$3 = null;
    this.name$3 = null;
    this.node$3 = null;
    this.adopt$3 = null;
    this.isAnnotation$3 = false;
    this.defaultType$3 = null
  };
  typeParser__F6() {
    return new $c_sjsr_AnonFunction6().init___sjs_js_Function6((function($this) {
      return (function(ast$2, name$2, node$2, adopt$2, isAnnotation$2, defaultType$2) {
        const ast = ast$2;
        const name = name$2;
        const node = node$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, name, node, adopt, isAnnotation, defaultType, $this.ctx$2)
      })
    })(this))
  };
  productPrefix__T() {
    return "Raml08TypeParser"
  };
  productArity__I() {
    return 6
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(x$1)) {
      const Raml08TypeParser$1 = x$1;
      const x = this.ast$3;
      const x$2 = Raml08TypeParser$1.ast$3;
      let jsx$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.name$3 === Raml08TypeParser$1.name$3)) && this.node$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08TypeParser$1.node$3))) {
        const x$3 = this.adopt$3;
        const x$4 = Raml08TypeParser$1.adopt$3;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.isAnnotation$3 === Raml08TypeParser$1.isAnnotation$3))) {
        const x$5 = this.defaultType$3;
        const x$6 = Raml08TypeParser$1.defaultType$3;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$3;
        break
      }
      case 1: {
        return this.name$3;
        break
      }
      case 2: {
        return this.node$3;
        break
      }
      case 3: {
        return this.adopt$3;
        break
      }
      case 4: {
        return this.isAnnotation$3;
        break
      }
      case 5: {
        return this.defaultType$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, name, node, adopt, isAnnotation, defaultType, ctx) {
    this.ast$3 = ast;
    this.name$3 = name;
    this.node$3 = node;
    this.adopt$3 = adopt;
    this.isAnnotation$3 = isAnnotation;
    this.defaultType$3 = defaultType;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.prototype.init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ast, name, node, adopt, isAnnotation, defaultType, ctx);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.node$3);
    const name = this.name$3;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    this.adopt$3.apply__O__O(shape);
    const this$2 = this.node$3;
    const x1 = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const map = this.node$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
      const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema");
      if (this$4.isEmpty__Z()) {
        return $m_s_Option$().apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser().init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.name$3, this.adopt$3, map, this.defaultType$3.typeDef__Lamf_plugins_domain_shapes_models_TypeDef(), this.ctx$2).parse__Lamf_core_model_domain_Shape())
      } else {
        const arg1 = this$4.get__O();
        const maybeShape = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this, map, this.adopt$3, this.ctx$2).parse__s_Option();
        if ((!maybeShape.isEmpty__Z())) {
          const arg1$1 = maybeShape.get__O();
          const s = arg1$1;
          const this$5 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext("example", map, this.ctx$2).parse__s_Option();
          if ((!this$5.isEmpty__Z())) {
            const arg1$2 = this$5.get__O();
            const e = arg1$2;
            const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Examples$1;
            const values = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e]));
            $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(s, field$1, values)
          }
        };
        return maybeShape
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const jsx$1 = $m_s_Option$();
        const this$6 = $m_Lamf_plugins_domain_shapes_models_UnionShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnionShape(this.node$3);
        const name$1 = this.name$3;
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        return jsx$1.apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser().init___Lamf_core_model_domain_Shape__sc_Seq__Lorg_yaml_model_YPart__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$2, name$1), this.node$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$2), this.node$3, this.ctx$2).parse__Lamf_core_model_domain_Shape())
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YNode__F1__T__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this, this.node$3, this.adopt$3, this.name$3, this.defaultType$3, this.ctx$2).parse__s_Option()
      }
    }
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$2
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ast$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.name$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.node$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.adopt$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isAnnotation$3 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.defaultType$3));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 6)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser {
  constructor() {
    super();
    this.ast$3 = null;
    this.name$3 = null;
    this.node$3 = null;
    this.adopt$3 = null;
    this.isAnnotation$3 = false;
    this.defaultType$3 = null
  };
  typeParser__F6() {
    return new $c_sjsr_AnonFunction6().init___sjs_js_Function6((function($this) {
      return (function(ast$2, name$2, node$2, adopt$2, isAnnotation$2, defaultType$2) {
        const ast = ast$2;
        const name = name$2;
        const node = node$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, name, node, adopt, isAnnotation, defaultType, $this.ctx$2)
      })
    })(this))
  };
  productPrefix__T() {
    return "Raml10TypeParser"
  };
  productArity__I() {
    return 6
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(x$1)) {
      const Raml10TypeParser$1 = x$1;
      const x = this.ast$3;
      const x$2 = Raml10TypeParser$1.ast$3;
      let jsx$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.name$3 === Raml10TypeParser$1.name$3)) && this.node$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml10TypeParser$1.node$3))) {
        const x$3 = this.adopt$3;
        const x$4 = Raml10TypeParser$1.adopt$3;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.isAnnotation$3 === Raml10TypeParser$1.isAnnotation$3))) {
        const x$5 = this.defaultType$3;
        const x$6 = Raml10TypeParser$1.defaultType$3;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$3;
        break
      }
      case 1: {
        return this.name$3;
        break
      }
      case 2: {
        return this.node$3;
        break
      }
      case 3: {
        return this.adopt$3;
        break
      }
      case 4: {
        return this.isAnnotation$3;
        break
      }
      case 5: {
        return this.defaultType$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, name, node, adopt, isAnnotation, defaultType, ctx) {
    this.ast$3 = ast;
    this.name$3 = name;
    this.node$3 = node;
    this.adopt$3 = adopt;
    this.isAnnotation$3 = isAnnotation;
    this.defaultType$3 = defaultType;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.prototype.init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ast, name, node, adopt, isAnnotation, defaultType, ctx);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$2
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ast$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.name$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.node$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.adopt$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isAnnotation$3 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.defaultType$3));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 6)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser {
  constructor() {
    super();
    this.root$4 = null
  };
  productPrefix__T() {
    return "Raml08DocumentParser"
  };
  parseSchemaDeclarations__p4__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schemas");
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = e.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        this.parseSchemaEntries__p4__sc_Seq__T__V(e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3, parent)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3 === x1))) {
          const x$5 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((x$5 === x1)) {
            const jsx$3 = e.value$1;
            const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
            const this$5 = $m_sc_IndexedSeq$();
            const bf = this$5.ReusableCBF$6;
            const jsx$2 = jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$3);
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
              return (function(x$1$2) {
                const x$1 = x$1$2;
                return x$1.entries$3
              })
            })(this));
            const this$6 = $m_sc_Seq$();
            this.parseSchemaEntries__p4__sc_Seq__T__V(jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2), parent)
          } else {
            this.ctx$3.violation__T__T__Lorg_yaml_model_YPart__V(parent, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'types' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])), e.value$1)
          }
        }
      }
    }
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser(x$1)) {
      const Raml08DocumentParser$1 = x$1;
      const x = this.root$4;
      const x$2 = Raml08DocumentParser$1.root$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(document) {
    const parent = this.root$4.location$1;
    const this$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(document, parent);
    const location = this.root$4.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, location);
    const map = this.root$4.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3);
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$4, map);
    const this$2 = this.parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map);
    const annotation = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$4.vendor$1);
    const api = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$2, annotation);
    const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(document, field$1, api);
    const declarables = this.ctx$3.declarations$3.declarables__sc_Seq();
    if (declarables.nonEmpty__Z()) {
      const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$2, declarables)
    };
    const this$3 = this.ctx$3.futureDeclarations$2;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$3);
    return document
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$3
  };
  parseEntries__p4__sc_Seq__T__V(entries, parent) {
    entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const jsx$1 = $this.ctx$3.declarations$3;
        const this$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$4, entry$1) {
          return (function(scheme$2) {
            const scheme = scheme$2;
            $m_Lorg_yaml_model_YNode$();
            const node = entry$1.key$1;
            const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(scheme, field, name).adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$4)
          })
        })($this, parent$1, entry)), $this.ctx$3).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
        const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
        return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$2, annotation))
      })
    })(this, parent)))
  };
  parseAbstractDeclarations__p4__T__F1__Lorg_yaml_model_YMap__T__V(key, producer, map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(key);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$3 = entry.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Seq$1;
      let entries;
      if ((x === x1)) {
        const jsx$3 = entry.value$1;
        const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const this$5 = $m_sc_IndexedSeq$();
        const bf = this$5.ReusableCBF$6;
        const jsx$2 = jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$3);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(m$2) {
            const m = m$2;
            return m.entries$3
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        entries = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((!(x$3 === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        entries = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3
      };
      entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, producer$1, parent$2) {
        return (function(entry$2$2) {
          const entry$2 = entry$2$2;
          return this$2$1.ctx$3.declarations$3.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($m_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$().apply__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser(producer$1.apply__O__O(entry$2), parent$2, entry$2, this$2$1.ctx$3).parse__Lamf_core_model_domain_templates_AbstractDeclaration())
        })
      })(this, producer, parent)))
    }
  };
  parseSchemaEntries__p4__sc_Seq__T__V(entries, parent) {
    entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$5, entry$1) {
          return (function(shape$2) {
            const shape = shape$2;
            $m_Lorg_yaml_model_YNode$();
            const node = entry$1.key$1;
            const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field, name).adopted__T__Lamf_core_model_domain_AmfObject(parent$5)
          })
        })($this, parent$1, entry)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), $this.ctx$3).parse__s_Option();
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const shape$3 = x2.value$2;
          const jsx$1 = $this.ctx$3.declarations$3;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape$3, annotation))
        } else {
          const x = $m_s_None$();
          if ((x === x1)) {
            $this.ctx$3.violation__T__T__Lorg_yaml_model_YPart__V(parent$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing shape '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry])), entry);
            return (void 0)
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this, parent)))
  };
  parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(root, map) {
    const parent = (root.location$1 + "#/declarations");
    this.parseSchemaDeclarations__p4__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseAbstractDeclarations__p4__T__F1__Lorg_yaml_model_YMap__T__V("resourceTypes", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry)
      })
    })(this)), map, parent);
    this.parseAbstractDeclarations__p4__T__F1__Lorg_yaml_model_YMap__T__V("traits", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(entry$3$2) {
        const entry$3 = entry$3$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(entry$3)
      })
    })(this)), map, parent);
    this.parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option(key);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$1, entry$1) {
        return (function(e$2) {
          const e = e$2;
          const parameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$1$1) {
            return (function(name$2) {
              const name = name$2;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$7 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const value = ((parentPath$1$1 + "/") + name);
              const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, name)
            })
          })($this, parentPath$1)), false, $this.ctx$3).parse__Lamf_plugins_domain_webapi_models_Parameter();
          if ($m_s_Option$().apply__O__s_Option(parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1)).isEmpty__Z()) {
            $this.ctx$3.violation__T__T__Lorg_yaml_model_YPart__V(parameter.id$1, "Missing binding information in declared parameter", entry$1.value$1)
          };
          const jsx$2 = $this.ctx$3.declarations$3;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          const jsx$1 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(parameter, annotation);
          const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
          const this$12 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
          const schema = parameter.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          jsx$2.registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(jsx$1, $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$12, field$1, schema))
        })
      })(this, parentPath, entry)))
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$4 = root;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser.prototype.init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, root, ctx);
    return this
  };
  parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("securitySchemes");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const this$4 = e.value$1;
      const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x === x1)) {
        const jsx$1 = e.value$1;
        const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const this$6 = $m_sc_IndexedSeq$();
        const bf = this$6.ReusableCBF$6;
        jsx$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$3).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$3) {
          return (function(map$2) {
            const map$1 = map$2;
            $this.parseEntries__p4__sc_Seq__T__V(map$1.entries$3, parent$3)
          })
        })(this, parent)))
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x$3 === x1)) {
          this.parseEntries__p4__sc_Seq__T__V(e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3, parent)
        } else {
          const x$5 = $m_Lorg_yaml_model_YType$().Null$1;
          if ((!(x$5 === x1))) {
            this.ctx$3.violation__T__T__Lorg_yaml_model_YPart__V(parent, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'securitySchemes' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])), e.value$1)
          }
        }
      }
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml08DocumentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser {
  constructor() {
    super();
    this.root$3 = null;
    this.ctx$3 = null
  };
  productPrefix__T() {
    return "RamlModuleParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser(x$1)) {
      const RamlModuleParser$1 = x$1;
      const x = this.root$3;
      const x$2 = RamlModuleParser$1.root$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$3
  };
  parseModule__Lamf_core_model_document_Module() {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$3.parsed$1.document$1);
    const this$3 = new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$3.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const parent = this.root$3.location$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const annotation = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$3.vendor$1);
    const module = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, annotation);
    const location$1 = this.root$3.location$1;
    const field$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(module, field$1, location$1);
    const node = this.root$3.parsed$1.document$1;
    const this$7 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const rootMap = arg1;
      const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext("uses", rootMap, this.root$3.references$1, this.ctx$3).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$3.location$1);
      this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$3, rootMap);
      new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, rootMap, module).parse__V();
      const declarables = this.ctx$3.declarations$3.declarables__sc_Seq();
      if (declarables.nonEmpty__Z()) {
        const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$2, declarables)
      };
      const this$8 = references.references$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
        const references$1 = references.solvedReferences__sc_Seq();
        const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$3, references$1)
      }
    };
    const this$9 = this.ctx$3.futureDeclarations$2;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$9);
    return module
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(this, key, map, parentPath)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$3 = root;
    this.ctx$3 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
  parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(this, map, parent)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlModuleParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser;
class $c_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ extends $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape {
  constructor() {
    super();
    this.type$2 = null
  };
  init___() {
    $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape.prototype.init___.call(this);
    $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = this;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ArrayShape")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$5 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$6 = $m_sci_List$();
    this.type$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
    return this
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.ArrayShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$: 1,
  Lamf_plugins_domain_shapes_metamodel_DataArrangementShape: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ extends $c_O {
  constructor() {
    super();
    this.FileTypes$1 = null;
    this.type$1 = null;
    this.Pattern$1 = null;
    this.MinLength$1 = null;
    this.MaxLength$1 = null;
    this.Minimum$1 = null;
    this.Maximum$1 = null;
    this.ExclusiveMinimum$1 = null;
    this.ExclusiveMaximum$1 = null;
    this.Format$1 = null;
    this.MultipleOf$1 = null;
    this.commonOASFields$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Minimum__Lamf_core_metamodel_Field() {
    return this.Minimum$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_CommonShapeFields__$$init$__V(this);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.FileTypes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "fileType"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "FileShape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Shape")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MaxLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MaxLength$1 = x$1
  };
  ExclusiveMinimum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMinimum$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Format$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Format$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMinimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMinimum$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  MinLength__Lamf_core_metamodel_Field() {
    return this.MinLength$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMaximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMaximum$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  Maximum__Lamf_core_metamodel_Field() {
    return this.Maximum$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Pattern$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Pattern$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Minimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Minimum$1 = x$1
  };
  ExclusiveMaximum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMaximum$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MultipleOf$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MultipleOf$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MinLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MinLength$1 = x$1
  };
  Format__Lamf_core_metamodel_Field() {
    return this.Format$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.FileTypes$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = this.commonOASFields$1;
    const this$3 = $m_sci_List$();
    const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$3.ReusableCBFInstance$2);
    const this$4 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$3 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$4);
    const this$5 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$6 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Maximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Maximum$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  MaxLength__Lamf_core_metamodel_Field() {
    return this.MaxLength$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$commonOASFields$und$eq__sci_List__V(x$1) {
    this.commonOASFields$1 = x$1
  };
  Pattern__Lamf_core_metamodel_Field() {
    return this.Pattern$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  MultipleOf__Lamf_core_metamodel_Field() {
    return this.MultipleOf$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_FileShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.FileShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_FileShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_plugins_domain_shapes_metamodel_CommonShapeFields: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ extends $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape {
  constructor() {
    super();
    this.type$2 = null
  };
  init___() {
    $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape.prototype.init___.call(this);
    $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = this;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "MatrixShape");
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "ArrayShape")]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$5 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$7 = $m_sci_List$();
    const jsx$2 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$8 = $m_sci_List$();
    this.type$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2);
    return this
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.MatrixShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$: 1,
  Lamf_plugins_domain_shapes_metamodel_DataArrangementShape: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ extends $c_O {
  constructor() {
    super();
    this.DataType$1 = null;
    this.Repeat$1 = null;
    this.fields$1 = null;
    this.type$1 = null;
    this.Pattern$1 = null;
    this.MinLength$1 = null;
    this.MaxLength$1 = null;
    this.Minimum$1 = null;
    this.Maximum$1 = null;
    this.ExclusiveMinimum$1 = null;
    this.ExclusiveMaximum$1 = null;
    this.Format$1 = null;
    this.MultipleOf$1 = null;
    this.commonOASFields$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Label$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Minimum__Lamf_core_metamodel_Field() {
    return this.Minimum$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_CommonShapeFields__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.DataType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "datatype"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Repeat$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "repeat"), true);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.DataType$1]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$8 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$7 = this.commonOASFields$1;
    const this$7 = $m_sci_List$();
    const jsx$6 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$7.ReusableCBFInstance$2);
    const this$8 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$5 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$8);
    const this$9 = $m_sci_List$();
    const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$9.ReusableCBFInstance$2);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$10 = $m_sci_List$();
    this.fields$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2);
    $m_sci_List$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "ScalarShape")]);
    const this$14 = $m_sci_List$();
    const cbf$1 = this$14.ReusableCBFInstance$2;
    const jsx$12 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    const jsx$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$15 = $m_sci_List$();
    const jsx$10 = jsx$12.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$11, this$15.ReusableCBFInstance$2);
    const jsx$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$16 = $m_sci_List$();
    this.type$1 = jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$16.ReusableCBFInstance$2);
    return this
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MaxLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MaxLength$1 = x$1
  };
  ExclusiveMinimum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMinimum$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Format$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Format$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMinimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMinimum$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  MinLength__Lamf_core_metamodel_Field() {
    return this.MinLength$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMaximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMaximum$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  Maximum__Lamf_core_metamodel_Field() {
    return this.Maximum$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Pattern$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Pattern$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Minimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Minimum$1 = x$1
  };
  ExclusiveMaximum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMaximum$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MultipleOf$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MultipleOf$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MinLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MinLength$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  Format__Lamf_core_metamodel_Field() {
    return this.Format$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Maximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Maximum$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  MaxLength__Lamf_core_metamodel_Field() {
    return this.MaxLength$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$commonOASFields$und$eq__sci_List__V(x$1) {
    this.commonOASFields$1 = x$1
  };
  Pattern__Lamf_core_metamodel_Field() {
    return this.Pattern$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  MultipleOf__Lamf_core_metamodel_Field() {
    return this.MultipleOf$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.ScalarShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_plugins_domain_shapes_metamodel_CommonShapeFields: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ extends $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape {
  constructor() {
    super();
    this.Items$2 = null;
    this.type$2 = null
  };
  init___() {
    $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape.prototype.init___.call(this);
    $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = this;
    const jsx$1 = new $c_Lamf_core_metamodel_Type$SortedArray().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Items$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "items"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "TupleShape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ArrayShape")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$9 = $m_sci_List$();
    const jsx$3 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$9.ReusableCBFInstance$2);
    const jsx$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$10 = $m_sci_List$();
    this.type$2 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$10.ReusableCBFInstance$2);
    return this
  };
  Items__Lamf_core_metamodel_Field() {
    return this.Items$2
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.TupleShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$: 1,
  Lamf_plugins_domain_shapes_metamodel_DataArrangementShape: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$
});
class $c_Lamf_plugins_domain_shapes_models_Example extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Example"
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_Example(x$1)) {
      const Example$1 = x$1;
      const x = this.fields$1;
      const x$2 = Example$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Example$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$()
  };
  adopted__T__Lamf_plugins_domain_shapes_models_Example(parent) {
    const value = ((parent + "/example/") + this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  name__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1)
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_Example(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_Example = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_Example)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_Example = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_Example)))
});
const $d_Lamf_plugins_domain_shapes_models_Example = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_Example: 0
}, false, "amf.plugins.domain.shapes.models.Example", {
  Lamf_plugins_domain_shapes_models_Example: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_Example.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_Example;
class $c_Lamf_plugins_domain_webapi_models_Parameter extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Parameter"
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Parameter(x$1)) {
      const Parameter$1 = x$1;
      const x = this.fields$1;
      const x$2 = Parameter$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Parameter$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  isQuery__Z() {
    return (this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1) === "query")
  };
  linkCopy__Lamf_plugins_domain_webapi_models_Parameter() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const binding = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, binding);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    return this.linkCopy__Lamf_plugins_domain_webapi_models_Parameter()
  };
  adopted__T__Lamf_plugins_domain_webapi_models_Parameter(parent) {
    const value = ((parent + "/parameter/") + this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  isHeader__Z() {
    return (this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1) === "header")
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, node);
    return node
  };
  withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const scalar = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, scalar);
    return scalar
  };
  name__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1)
  };
  isBody__Z() {
    return (this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1) === "body")
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  isPath__Z() {
    return (this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1) === "path")
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  cloneParameter__T__Lamf_plugins_domain_webapi_models_Parameter(parent) {
    const annotations = this.annotations$1;
    const this$3 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const cloned = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name).adopted__T__Lamf_plugins_domain_webapi_models_Parameter(parent);
    const this$4 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_Shape(x1$2)) {
            const x2 = x1$2;
            clonedValue = x2.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(x2.cloneShape$default$1__s_Option(), x2.cloneShape$default$2__sci_Set())
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$4.fs$1.foreach__F1__V(fn);
    return cloned
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_Parameter(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Parameter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Parameter)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Parameter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Parameter)))
});
const $d_Lamf_plugins_domain_webapi_models_Parameter = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Parameter: 0
}, false, "amf.plugins.domain.webapi.models.Parameter", {
  Lamf_plugins_domain_webapi_models_Parameter: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Parameter.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Parameter;
class $c_s_reflect_ManifestFactory$AnyManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Any";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_O.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_O.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$AnyManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyManifest$", {
  s_reflect_ManifestFactory$AnyManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyManifest$;
let $n_s_reflect_ManifestFactory$AnyManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$AnyManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$AnyManifest$)) {
    $n_s_reflect_ManifestFactory$AnyManifest$ = new $c_s_reflect_ManifestFactory$AnyManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyManifest$
});
class $c_s_reflect_ManifestFactory$AnyValManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "AnyVal";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_O.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_O.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$AnyValManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyValManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyValManifest$", {
  s_reflect_ManifestFactory$AnyValManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyValManifest$;
let $n_s_reflect_ManifestFactory$AnyValManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$AnyValManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$AnyValManifest$)) {
    $n_s_reflect_ManifestFactory$AnyValManifest$ = new $c_s_reflect_ManifestFactory$AnyValManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyValManifest$
});
class $c_s_reflect_ManifestFactory$NothingManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Nothing";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_sr_Nothing$.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_sr_Nothing$.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$NothingManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NothingManifest$: 0
}, false, "scala.reflect.ManifestFactory$NothingManifest$", {
  s_reflect_ManifestFactory$NothingManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NothingManifest$;
let $n_s_reflect_ManifestFactory$NothingManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$NothingManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$NothingManifest$)) {
    $n_s_reflect_ManifestFactory$NothingManifest$ = new $c_s_reflect_ManifestFactory$NothingManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NothingManifest$
});
class $c_s_reflect_ManifestFactory$NullManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Null";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_sr_Null$.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_sr_Null$.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$NullManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NullManifest$: 0
}, false, "scala.reflect.ManifestFactory$NullManifest$", {
  s_reflect_ManifestFactory$NullManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NullManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NullManifest$;
let $n_s_reflect_ManifestFactory$NullManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$NullManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$NullManifest$)) {
    $n_s_reflect_ManifestFactory$NullManifest$ = new $c_s_reflect_ManifestFactory$NullManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NullManifest$
});
class $c_s_reflect_ManifestFactory$ObjectManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Object";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_O.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_O.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$ObjectManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ObjectManifest$: 0
}, false, "scala.reflect.ManifestFactory$ObjectManifest$", {
  s_reflect_ManifestFactory$ObjectManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ObjectManifest$;
let $n_s_reflect_ManifestFactory$ObjectManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$ObjectManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$ObjectManifest$)) {
    $n_s_reflect_ManifestFactory$ObjectManifest$ = new $c_s_reflect_ManifestFactory$ObjectManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ObjectManifest$
});
const $is_sc_GenMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenMap)))
});
const $isArrayOf_sc_GenMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenMap)))
});
const $is_sc_GenSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSeq)))
});
const $isArrayOf_sc_GenSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSeq)))
});
const $is_scg_TraversableForwarder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_TraversableForwarder)))
});
const $isArrayOf_scg_TraversableForwarder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_TraversableForwarder)))
});
class $c_sci_Vector$ extends $c_scg_IndexedSeqFactory {
  constructor() {
    super();
    this.NIL$6 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sci_Vector$ = this;
    this.NIL$6 = new $c_sci_Vector().init___I__I__I(0, 0, 0);
    return this
  };
  empty__sc_GenTraversable() {
    return this.NIL$6
  };
  newBuilder__scm_Builder() {
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sci_Vector$ = new $TypeData().initClass({
  sci_Vector$: 0
}, false, "scala.collection.immutable.Vector$", {
  sci_Vector$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Vector$.prototype.$classData = $d_sci_Vector$;
let $n_sci_Vector$ = (void 0);
const $m_sci_Vector$ = (function() {
  if ((!$n_sci_Vector$)) {
    $n_sci_Vector$ = new $c_sci_Vector$().init___()
  };
  return $n_sci_Vector$
});
class $c_Lamf_core_model_document_Document extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Document"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_Document(x$1)) {
      const Document$1 = x$1;
      const x = this.fields__Lamf_core_parser_Fields();
      const x$2 = Document$1.fields__Lamf_core_parser_Fields();
      if ((x === x$2)) {
        const x$3 = this.annotations__Lamf_core_parser_Annotations();
        const x$4 = Document$1.annotations__Lamf_core_parser_Annotations();
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields__Lamf_core_parser_Fields();
        break
      }
      case 1: {
        return this.annotations__Lamf_core_parser_Annotations();
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_DocumentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  usage__T() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Usage$1)
  };
  declares__sc_Seq() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_Document = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_Document)))
});
const $isArrayOf_Lamf_core_model_document_Document = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_Document)))
});
const $d_Lamf_core_model_document_Document = new $TypeData().initClass({
  Lamf_core_model_document_Document: 0
}, false, "amf.core.model.document.Document", {
  Lamf_core_model_document_Document: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_Document.prototype.$classData = $d_Lamf_core_model_document_Document;
class $c_Lamf_core_model_document_ExternalFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ExternalFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_ExternalFragment(x$1)) {
      const ExternalFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = ExternalFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ExternalFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_ExternalFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_ExternalFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_ExternalFragment)))
});
const $isArrayOf_Lamf_core_model_document_ExternalFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_ExternalFragment)))
});
const $d_Lamf_core_model_document_ExternalFragment = new $TypeData().initClass({
  Lamf_core_model_document_ExternalFragment: 0
}, false, "amf.core.model.document.ExternalFragment", {
  Lamf_core_model_document_ExternalFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_ExternalFragment.prototype.$classData = $d_Lamf_core_model_document_ExternalFragment;
class $c_Lamf_core_model_domain_RecursiveShape extends $c_Lamf_core_model_domain_Shape {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "RecursiveShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_RecursiveShape(x$1)) {
      const RecursiveShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = RecursiveShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = RecursiveShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Recursive shape cannot be linked"))
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_RecursiveShapeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  adopted__T__Lamf_core_model_domain_RecursiveShape(parent) {
    const value = (parent + "/recursion");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionBase, traversed) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const cloned = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.id$1 = this.id$1;
    this.copyFields__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(cloned, $m_s_None$(), traversed);
    return cloned
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_RecursiveShape(parent)
  };
}
const $is_Lamf_core_model_domain_RecursiveShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_RecursiveShape)))
});
const $isArrayOf_Lamf_core_model_domain_RecursiveShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_RecursiveShape)))
});
const $d_Lamf_core_model_domain_RecursiveShape = new $TypeData().initClass({
  Lamf_core_model_domain_RecursiveShape: 0
}, false, "amf.core.model.domain.RecursiveShape", {
  Lamf_core_model_domain_RecursiveShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_RecursiveShape.prototype.$classData = $d_Lamf_core_model_domain_RecursiveShape;
class $c_Lamf_core_model_domain_extensions_PropertyShape extends $c_Lamf_core_model_domain_Shape {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  cloneShape__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(withRecursionBase, traversed) {
    const annotations = this.annotations$2;
    const cloned = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.id$1 = this.id$1;
    this.copyFields__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(cloned, withRecursionBase, traversed);
    return cloned
  };
  productPrefix__T() {
    return "PropertyShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(x$1)) {
      const PropertyShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = PropertyShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = PropertyShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  adopted__T__Lamf_core_model_domain_extensions_PropertyShape(parent) {
    const value = ((parent + "/property/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value);
    if ($m_s_Option$().apply__O__s_Option(this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1)).isDefined__Z()) {
      this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).adopted__T__Lamf_core_model_domain_AmfObject(this.id$1)
    };
    return this
  };
  cloneShape__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionBase, traversed) {
    return this.cloneShape__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(recursionBase, traversed)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_extensions_PropertyShape(parent)
  };
}
const $is_Lamf_core_model_domain_extensions_PropertyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_PropertyShape)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_PropertyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_PropertyShape)))
});
const $d_Lamf_core_model_domain_extensions_PropertyShape = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_PropertyShape: 0
}, false, "amf.core.model.domain.extensions.PropertyShape", {
  Lamf_core_model_domain_extensions_PropertyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_PropertyShape.prototype.$classData = $d_Lamf_core_model_domain_extensions_PropertyShape;
class $c_Lamf_model_document_Extension extends $c_Lamf_model_document_Document {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const extensionFragment = new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    $c_Lamf_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, extensionFragment);
    return this
  };
  init___Lamf_plugins_document_webapi_model_Extension(extensionFragment) {
    $c_Lamf_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, extensionFragment);
    return this
  };
}
const $d_Lamf_model_document_Extension = new $TypeData().initClass({
  Lamf_model_document_Extension: 0
}, false, "amf.model.document.Extension", {
  Lamf_model_document_Extension: 1,
  Lamf_model_document_Document: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  Lamf_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_Extension.prototype.$classData = $d_Lamf_model_document_Extension;
class $c_Lamf_model_document_Overlay extends $c_Lamf_model_document_Document {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const overlay = new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    $c_Lamf_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, overlay);
    return this
  };
  init___Lamf_plugins_document_webapi_model_Overlay(overlay) {
    $c_Lamf_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, overlay);
    return this
  };
}
const $d_Lamf_model_document_Overlay = new $TypeData().initClass({
  Lamf_model_document_Overlay: 0
}, false, "amf.model.document.Overlay", {
  Lamf_model_document_Overlay: 1,
  Lamf_model_document_Document: 1,
  Lamf_model_document_BaseUnit: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_document_EncodesModel: 1,
  Lamf_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_document_Overlay.prototype.$classData = $d_Lamf_model_document_Overlay;
class $c_Lamf_model_domain_FileShape extends $c_Lamf_model_domain_AnyShape {
  $$js$exported$prop$pattern__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__T(this$1)
  };
  $$js$exported$meth$withExclusiveMinimum__T__O(min) {
    return this.withExclusiveMinimum__T__Lamf_model_domain_FileShape(min)
  };
  productPrefix__T() {
    return "FileShape"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_FileShape.prototype.init___Lamf_plugins_domain_shapes_models_FileShape.call(this, new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  $$js$exported$meth$withFormat__T__O(format) {
    return this.withFormat__T__Lamf_model_domain_FileShape(format)
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    return this.linkCopy__Lamf_model_domain_FileShape()
  };
  withExclusiveMaximum__T__Lamf_model_domain_FileShape(max) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$multipleOf__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__multipleOf__I(this$1)
  };
  linkCopy__Lamf_model_domain_FileShape() {
    const this$1 = this.shape$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_FileShape().init___Lamf_plugins_domain_shapes_models_FileShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$meth$withPattern__T__O(pattern) {
    return this.withPattern__T__Lamf_model_domain_FileShape(pattern)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_FileShape(x$1)) {
      const FileShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = FileShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withMinimum__T__Lamf_model_domain_FileShape(min) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$exclusiveMinimum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMinimum__T(this$1)
  };
  $$js$exported$meth$withMultipleOf__I__O(multiple) {
    return this.withMultipleOf__I__Lamf_model_domain_FileShape(multiple)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withMultipleOf__I__Lamf_model_domain_FileShape(multiple) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, multiple);
    return this
  };
  withMaximum__T__Lamf_model_domain_FileShape(max) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  withFormat__T__Lamf_model_domain_FileShape(format) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, format);
    return this
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  linkTarget__s_Option() {
    const this$1 = this.shape$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_FileShape(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_FileShape().init___Lamf_plugins_domain_shapes_models_FileShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_FileShape()
  };
  $$js$exported$prop$maximum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maximum__T(this$1)
  };
  $$js$exported$meth$withMaximum__T__O(max) {
    return this.withMaximum__T__Lamf_model_domain_FileShape(max)
  };
  withMinLength__I__Lamf_model_domain_FileShape(min) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  $$js$exported$meth$withMinimum__T__O(min) {
    return this.withMinimum__T__Lamf_model_domain_FileShape(min)
  };
  fileTypes__sjs_js_Iterable() {
    const this$1 = this.shape$3;
    const col = this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1);
    const this$4 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$4, result)));
      return result
    }
  };
  $$js$exported$prop$fileTypes__O() {
    return this.fileTypes__sjs_js_Iterable()
  };
  $$js$exported$prop$maxLength__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maxLength__I(this$1)
  };
  withExclusiveMinimum__T__Lamf_model_domain_FileShape(min) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  withFileTypes__sjs_js_Iterable__Lamf_model_domain_FileShape(fileTypes) {
    const this$5 = this.shape$3;
    const __self = fileTypes[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const fileTypes$1 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field, fileTypes$1);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withMaxLength__I__Lamf_model_domain_FileShape(max) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  withPattern__T__Lamf_model_domain_FileShape(pattern) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, pattern);
    return this
  };
  $$js$exported$meth$withFileTypes__sjs_js_Iterable__O(fileTypes) {
    return this.withFileTypes__sjs_js_Iterable__Lamf_model_domain_FileShape(fileTypes)
  };
  $$js$exported$prop$minLength__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minLength__I(this$1)
  };
  $$js$exported$prop$exclusiveMaximum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMaximum__T(this$1)
  };
  $$js$exported$meth$withMinLength__I__O(min) {
    return this.withMinLength__I__Lamf_model_domain_FileShape(min)
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_shapes_models_FileShape(file) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, file);
    return this
  };
  $$js$exported$prop$format__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__T(this$1)
  };
  $$js$exported$meth$withMaxLength__I__O(max) {
    return this.withMaxLength__I__Lamf_model_domain_FileShape(max)
  };
  $$js$exported$meth$withExclusiveMaximum__T__O(max) {
    return this.withExclusiveMaximum__T__Lamf_model_domain_FileShape(max)
  };
  $$js$exported$prop$minimum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minimum__T(this$1)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
  "withMultipleOf"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMultipleOf__I__O(prep0)
  };
  "withFormat"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFormat__T__O(prep0)
  };
  "withExclusiveMaximum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExclusiveMaximum__T__O(prep0)
  };
  "withExclusiveMinimum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExclusiveMinimum__T__O(prep0)
  };
  "withMaximum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMaximum__T__O(prep0)
  };
  "withMinimum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMinimum__T__O(prep0)
  };
  "withMaxLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxLength__I__O(prep0)
  };
  "withMinLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinLength__I__O(prep0)
  };
  "withPattern"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPattern__T__O(prep0)
  };
  "withFileTypes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFileTypes__sjs_js_Iterable__O(prep0)
  };
  get "multipleOf"() {
    return this.$$js$exported$prop$multipleOf__O()
  };
  get "format"() {
    return this.$$js$exported$prop$format__O()
  };
  get "exclusiveMaximum"() {
    return this.$$js$exported$prop$exclusiveMaximum__O()
  };
  get "exclusiveMinimum"() {
    return this.$$js$exported$prop$exclusiveMinimum__O()
  };
  get "maximum"() {
    return this.$$js$exported$prop$maximum__O()
  };
  get "minimum"() {
    return this.$$js$exported$prop$minimum__O()
  };
  get "maxLength"() {
    return this.$$js$exported$prop$maxLength__O()
  };
  get "minLength"() {
    return this.$$js$exported$prop$minLength__O()
  };
  get "pattern"() {
    return this.$$js$exported$prop$pattern__O()
  };
  get "fileTypes"() {
    return this.$$js$exported$prop$fileTypes__O()
  };
}
const $is_Lamf_model_domain_FileShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_FileShape)))
});
const $isArrayOf_Lamf_model_domain_FileShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_FileShape)))
});
const $d_Lamf_model_domain_FileShape = new $TypeData().initClass({
  Lamf_model_domain_FileShape: 0
}, false, "amf.model.domain.FileShape", {
  Lamf_model_domain_FileShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_FileShape.prototype.$classData = $d_Lamf_model_domain_FileShape;
class $c_Lamf_model_domain_NilShape extends $c_Lamf_model_domain_AnyShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_NilShape.prototype.init___Lamf_plugins_domain_shapes_models_NilShape.call(this, new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "NilShape"
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.shape$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_NilShape().init___Lamf_plugins_domain_shapes_models_NilShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_NilShape(x$1)) {
      const NilShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = NilShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  init___Lamf_plugins_domain_shapes_models_NilShape(nil) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, nil);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  linkTarget__s_Option() {
    const this$1 = this.shape$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_NilShape(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_NilShape().init___Lamf_plugins_domain_shapes_models_NilShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
}
const $is_Lamf_model_domain_NilShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_NilShape)))
});
const $isArrayOf_Lamf_model_domain_NilShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_NilShape)))
});
const $d_Lamf_model_domain_NilShape = new $TypeData().initClass({
  Lamf_model_domain_NilShape: 0
}, false, "amf.model.domain.NilShape", {
  Lamf_model_domain_NilShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_NilShape.prototype.$classData = $d_Lamf_model_domain_NilShape;
class $c_Lamf_model_domain_NodeShape extends $c_Lamf_model_domain_AnyShape {
  $$js$exported$prop$discriminatorValue__O() {
    const this$1 = this.shape$3;
    return this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1)
  };
  productPrefix__T() {
    return "NodeShape"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_NodeShape.prototype.init___Lamf_plugins_domain_shapes_models_NodeShape.call(this, new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  properties__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.shape$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_PropertyShape$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.shape$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_NodeShape().init___Lamf_plugins_domain_shapes_models_NodeShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$prop$discriminator__O() {
    const this$1 = this.shape$3;
    return this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withInheritsObject__T__O(name) {
    return this.withInheritsObject__T__Lamf_model_domain_NodeShape(name)
  };
  $$js$exported$meth$withDiscriminator__T__O(discriminator) {
    return this.withDiscriminator__T__Lamf_model_domain_NodeShape(discriminator)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_NodeShape(x$1)) {
      const NodeShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = NodeShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withDependency__Lamf_model_domain_PropertyDependencies() {
    return new $c_Lamf_model_domain_PropertyDependencies().init___Lamf_plugins_domain_shapes_models_PropertyDependencies(this.shape$3.withDependency__Lamf_plugins_domain_shapes_models_PropertyDependencies())
  };
  $$js$exported$prop$minProperties__O() {
    const this$1 = this.shape$3;
    return (this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1) | 0)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withReadOnly__Z__O(readOnly) {
    return this.withReadOnly__Z__Lamf_model_domain_NodeShape(readOnly)
  };
  withDiscriminatorValue__T__Lamf_model_domain_NodeShape(value) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withDependencies__sjs_js_Iterable__O(dependencies) {
    return this.withDependencies__sjs_js_Iterable__Lamf_model_domain_NodeShape(dependencies)
  };
  $$js$exported$prop$dependencies__O() {
    return this.dependencies__sjs_js_Iterable()
  };
  $$js$exported$meth$withDependency__O() {
    return this.withDependency__Lamf_model_domain_PropertyDependencies()
  };
  $$js$exported$meth$withMinProperties__I__O(min) {
    return this.withMinProperties__I__Lamf_model_domain_NodeShape(min)
  };
  $$js$exported$meth$withProperties__sjs_js_Iterable__O(properties) {
    return this.withProperties__sjs_js_Iterable__Lamf_model_domain_NodeShape(properties)
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  linkTarget__s_Option() {
    const this$1 = this.shape$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_NodeShape().init___Lamf_plugins_domain_shapes_models_NodeShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$withInheritsScalar__T__O(name) {
    return this.withInheritsScalar__T__Lamf_model_domain_ScalarShape(name)
  };
  $$js$exported$prop$readOnly__O() {
    const this$1 = this.shape$3;
    return (!(!this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().ReadOnly$1)))
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  $$js$exported$prop$properties__O() {
    return this.properties__sjs_js_Iterable()
  };
  dependencies__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.shape$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = $m_Lamf_model_domain_PropertyDependencies$();
    const this$3 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$6 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$6, result)));
      return result
    }
  };
  withReadOnly__Z__Lamf_model_domain_NodeShape(readOnly) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().ReadOnly$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, readOnly);
    return this
  };
  $$js$exported$meth$withDiscriminatorValue__T__O(value) {
    return this.withDiscriminatorValue__T__Lamf_model_domain_NodeShape(value)
  };
  $$js$exported$prop$closed__O() {
    const this$1 = this.shape$3;
    return (!(!this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1)))
  };
  withMaxProperties__I__Lamf_model_domain_NodeShape(max) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  withDiscriminator__T__Lamf_model_domain_NodeShape(discriminator) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, discriminator);
    return this
  };
  withInheritsScalar__T__Lamf_model_domain_ScalarShape(name) {
    return new $c_Lamf_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape(this.shape$3.withInheritsScalar__T__Lamf_plugins_domain_shapes_models_ScalarShape(name))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  withProperty__T__Lamf_model_domain_PropertyShape(name) {
    return new $c_Lamf_model_domain_PropertyShape().init___Lamf_core_model_domain_extensions_PropertyShape(this.shape$3.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name))
  };
  withClosed__Z__Lamf_model_domain_NodeShape(closed) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, closed);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withInheritsObject__T__Lamf_model_domain_NodeShape(name) {
    return new $c_Lamf_model_domain_NodeShape().init___Lamf_plugins_domain_shapes_models_NodeShape(this.shape$3.withInheritsObject__T__Lamf_plugins_domain_shapes_models_NodeShape(name))
  };
  withDependencies__sjs_js_Iterable__Lamf_model_domain_NodeShape(dependencies) {
    const this$8 = this.shape$3;
    $m_sc_Iterable$();
    $m_sc_Iterable$();
    $m_sci_Iterable$();
    const b = new $c_scm_ListBuffer().init___();
    const __self = dependencies[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      const x$2 = value;
      const elem = x$2.property$3;
      b.$$plus$eq__O__scm_ListBuffer(elem)
    };
    const this$7 = b.toList__sci_List();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$8, field, this$7);
    return this
  };
  $$js$exported$meth$withProperty__T__O(name) {
    return this.withProperty__T__Lamf_model_domain_PropertyShape(name)
  };
  withProperties__sjs_js_Iterable__Lamf_model_domain_NodeShape(properties) {
    const this$6 = this.shape$3;
    const this$2 = new $c_sjs_js_IterableOps().init___sjs_js_Iterable(properties);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    const this$5 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf);
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.propertyShape$3
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf = this$4.ReusableCBFInstance$2;
    let properties$1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        properties$1 = $m_sci_Nil$()
      } else {
        const arg1 = this$5.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$5.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        properties$1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      let these = this$5;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      properties$1 = b.result__O()
    };
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, properties$1);
    return this
  };
  withMinProperties__I__Lamf_model_domain_NodeShape(min) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  $$js$exported$meth$withMaxProperties__I__O(max) {
    return this.withMaxProperties__I__Lamf_model_domain_NodeShape(max)
  };
  $$js$exported$meth$withClosed__Z__O(closed) {
    return this.withClosed__Z__Lamf_model_domain_NodeShape(closed)
  };
  $$js$exported$prop$maxProperties__O() {
    const this$1 = this.shape$3;
    return (this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1) | 0)
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape(node) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, node);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
  "withInheritsScalar"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInheritsScalar__T__O(prep0)
  };
  "withInheritsObject"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInheritsObject__T__O(prep0)
  };
  "withDependency"() {
    return this.$$js$exported$meth$withDependency__O()
  };
  "withDependencies"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDependencies__sjs_js_Iterable__O(prep0)
  };
  "withProperty"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProperty__T__O(prep0)
  };
  "withProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProperties__sjs_js_Iterable__O(prep0)
  };
  "withReadOnly"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withReadOnly__Z__O(prep0)
  };
  "withDiscriminatorValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDiscriminatorValue__T__O(prep0)
  };
  "withDiscriminator"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDiscriminator__T__O(prep0)
  };
  "withClosed"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withClosed__Z__O(prep0)
  };
  "withMaxProperties"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxProperties__I__O(prep0)
  };
  "withMinProperties"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinProperties__I__O(prep0)
  };
  get "dependencies"() {
    return this.$$js$exported$prop$dependencies__O()
  };
  get "properties"() {
    return this.$$js$exported$prop$properties__O()
  };
  get "readOnly"() {
    return this.$$js$exported$prop$readOnly__O()
  };
  get "discriminatorValue"() {
    return this.$$js$exported$prop$discriminatorValue__O()
  };
  get "discriminator"() {
    return this.$$js$exported$prop$discriminator__O()
  };
  get "closed"() {
    return this.$$js$exported$prop$closed__O()
  };
  get "maxProperties"() {
    return this.$$js$exported$prop$maxProperties__O()
  };
  get "minProperties"() {
    return this.$$js$exported$prop$minProperties__O()
  };
}
const $is_Lamf_model_domain_NodeShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_NodeShape)))
});
const $isArrayOf_Lamf_model_domain_NodeShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_NodeShape)))
});
const $d_Lamf_model_domain_NodeShape = new $TypeData().initClass({
  Lamf_model_domain_NodeShape: 0
}, false, "amf.model.domain.NodeShape", {
  Lamf_model_domain_NodeShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_NodeShape.prototype.$classData = $d_Lamf_model_domain_NodeShape;
class $c_Lamf_model_domain_ScalarShape extends $c_Lamf_model_domain_AnyShape {
  $$js$exported$prop$pattern__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__T(this$1)
  };
  $$js$exported$meth$withExclusiveMinimum__T__O(min) {
    return this.withExclusiveMinimum__T__Lamf_model_domain_ScalarShape(min)
  };
  productPrefix__T() {
    return "ScalarShape"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ScalarShape.prototype.init___Lamf_plugins_domain_shapes_models_ScalarShape.call(this, new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  $$js$exported$meth$withFormat__T__O(format) {
    return this.withFormat__T__Lamf_model_domain_ScalarShape(format)
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.shape$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$meth$withDataType__T__O(dataType) {
    return this.withDataType__T__Lamf_model_domain_ScalarShape(dataType)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$multipleOf__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__multipleOf__I(this$1)
  };
  withMultipleOf__I__Lamf_model_domain_ScalarShape(multiple) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, multiple);
    return this
  };
  withMinLength__I__Lamf_model_domain_ScalarShape(min) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  $$js$exported$meth$withPattern__T__O(pattern) {
    return this.withPattern__T__Lamf_model_domain_ScalarShape(pattern)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ScalarShape(x$1)) {
      const ScalarShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = ScalarShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$exclusiveMinimum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMinimum__T(this$1)
  };
  $$js$exported$meth$withMultipleOf__I__O(multiple) {
    return this.withMultipleOf__I__Lamf_model_domain_ScalarShape(multiple)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$dataType__O() {
    const this$1 = this.shape$3;
    return this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1)
  };
  withExclusiveMaximum__T__Lamf_model_domain_ScalarShape(max) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  withExclusiveMinimum__T__Lamf_model_domain_ScalarShape(min) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  withMaxLength__I__Lamf_model_domain_ScalarShape(max) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  linkTarget__s_Option() {
    const this$1 = this.shape$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  $$js$exported$prop$maximum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maximum__T(this$1)
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape(scalar) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, scalar);
    return this
  };
  $$js$exported$meth$withMaximum__T__O(max) {
    return this.withMaximum__T__Lamf_model_domain_ScalarShape(max)
  };
  withPattern__T__Lamf_model_domain_ScalarShape(pattern) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, pattern);
    return this
  };
  withDataType__T__Lamf_model_domain_ScalarShape(dataType) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, dataType);
    return this
  };
  $$js$exported$meth$withMinimum__T__O(min) {
    return this.withMinimum__T__Lamf_model_domain_ScalarShape(min)
  };
  $$js$exported$prop$maxLength__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maxLength__I(this$1)
  };
  withMaximum__T__Lamf_model_domain_ScalarShape(max) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$minLength__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minLength__I(this$1)
  };
  $$js$exported$prop$exclusiveMaximum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMaximum__T(this$1)
  };
  $$js$exported$meth$withMinLength__I__O(min) {
    return this.withMinLength__I__Lamf_model_domain_ScalarShape(min)
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withMinimum__T__Lamf_model_domain_ScalarShape(min) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  $$js$exported$prop$format__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__T(this$1)
  };
  withFormat__T__Lamf_model_domain_ScalarShape(format) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, format);
    return this
  };
  $$js$exported$meth$withMaxLength__I__O(max) {
    return this.withMaxLength__I__Lamf_model_domain_ScalarShape(max)
  };
  $$js$exported$meth$withExclusiveMaximum__T__O(max) {
    return this.withExclusiveMaximum__T__Lamf_model_domain_ScalarShape(max)
  };
  $$js$exported$prop$minimum__O() {
    const this$1 = this.shape$3;
    return $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minimum__T(this$1)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
  "withMultipleOf"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMultipleOf__I__O(prep0)
  };
  "withFormat"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFormat__T__O(prep0)
  };
  "withExclusiveMaximum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExclusiveMaximum__T__O(prep0)
  };
  "withExclusiveMinimum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExclusiveMinimum__T__O(prep0)
  };
  "withMaximum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMaximum__T__O(prep0)
  };
  "withMinimum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMinimum__T__O(prep0)
  };
  "withMaxLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxLength__I__O(prep0)
  };
  "withMinLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinLength__I__O(prep0)
  };
  "withPattern"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPattern__T__O(prep0)
  };
  "withDataType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDataType__T__O(prep0)
  };
  get "multipleOf"() {
    return this.$$js$exported$prop$multipleOf__O()
  };
  get "format"() {
    return this.$$js$exported$prop$format__O()
  };
  get "exclusiveMaximum"() {
    return this.$$js$exported$prop$exclusiveMaximum__O()
  };
  get "exclusiveMinimum"() {
    return this.$$js$exported$prop$exclusiveMinimum__O()
  };
  get "maximum"() {
    return this.$$js$exported$prop$maximum__O()
  };
  get "minimum"() {
    return this.$$js$exported$prop$minimum__O()
  };
  get "maxLength"() {
    return this.$$js$exported$prop$maxLength__O()
  };
  get "minLength"() {
    return this.$$js$exported$prop$minLength__O()
  };
  get "pattern"() {
    return this.$$js$exported$prop$pattern__O()
  };
  get "dataType"() {
    return this.$$js$exported$prop$dataType__O()
  };
}
const $is_Lamf_model_domain_ScalarShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ScalarShape)))
});
const $isArrayOf_Lamf_model_domain_ScalarShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ScalarShape)))
});
const $d_Lamf_model_domain_ScalarShape = new $TypeData().initClass({
  Lamf_model_domain_ScalarShape: 0
}, false, "amf.model.domain.ScalarShape", {
  Lamf_model_domain_ScalarShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ScalarShape.prototype.$classData = $d_Lamf_model_domain_ScalarShape;
class $c_Lamf_model_domain_SchemaShape extends $c_Lamf_model_domain_AnyShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_SchemaShape.prototype.init___Lamf_plugins_domain_shapes_models_SchemaShape.call(this, new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "SchemaShape"
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    return this.linkCopy__Lamf_model_domain_SchemaShape()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withRaw__T__O(text) {
    return this.withRaw__T__Lamf_model_domain_SchemaShape(text)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_SchemaShape(x$1)) {
      const SchemaShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = SchemaShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withRaw__T__Lamf_model_domain_SchemaShape(text) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, text);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  linkTarget__s_Option() {
    const this$1 = this.shape$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$prop$raw__O() {
    const this$1 = this.shape$3;
    return this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1)
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_SchemaShape()
  };
  $$js$exported$prop$mediaType__O() {
    const this$1 = this.shape$3;
    return this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1)
  };
  $$js$exported$meth$withMediatype__T__O(mediaType) {
    return this.withMediatype__T__Lamf_model_domain_SchemaShape(mediaType)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  linkCopy__Lamf_model_domain_SchemaShape() {
    const this$1 = this.shape$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_SchemaShape().init___Lamf_plugins_domain_shapes_models_SchemaShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withMediatype__T__Lamf_model_domain_SchemaShape(mediaType) {
    const this$1 = this.shape$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mediaType);
    return this
  };
  init___Lamf_plugins_domain_shapes_models_SchemaShape(schema) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, schema);
    return this
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withMediatype"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMediatype__T__O(prep0)
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  get "mediaType"() {
    return this.$$js$exported$prop$mediaType__O()
  };
}
const $is_Lamf_model_domain_SchemaShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_SchemaShape)))
});
const $isArrayOf_Lamf_model_domain_SchemaShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_SchemaShape)))
});
const $d_Lamf_model_domain_SchemaShape = new $TypeData().initClass({
  Lamf_model_domain_SchemaShape: 0
}, false, "amf.model.domain.SchemaShape", {
  Lamf_model_domain_SchemaShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_SchemaShape.prototype.$classData = $d_Lamf_model_domain_SchemaShape;
class $c_Lamf_model_domain_UnionShape extends $c_Lamf_model_domain_AnyShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_UnionShape.prototype.init___Lamf_plugins_domain_shapes_models_UnionShape.call(this, new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "UnionShape"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_UnionShape(x$1)) {
      const UnionShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = UnionShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  anyOf__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.shape$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$2.get__O());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(s$2) {
        const s = s$2;
        const this$3 = this$2$1.platform$2;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$3, s)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const __self = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    return new ($a_sjs_js_JSConverters$IterableAdapter())(__self)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withAnyOf__sjs_js_Iterable__Lamf_model_domain_UnionShape(anyOf) {
    const this$6 = this.shape$3;
    const __self = anyOf[$g.Symbol.iterator]();
    const this$4 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$4);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.element__Lamf_plugins_domain_shapes_models_AnyShape()
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const elements = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$6, field, elements);
    return this
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape(schema) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, schema);
    return this
  };
  $$js$exported$meth$withAnyOf__sjs_js_Iterable__O(anyOf) {
    return this.withAnyOf__sjs_js_Iterable__Lamf_model_domain_UnionShape(anyOf)
  };
  $$js$exported$prop$anyOf__O() {
    return this.anyOf__sjs_js_Iterable()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "withAnyOf"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAnyOf__sjs_js_Iterable__O(prep0)
  };
  get "anyOf"() {
    return this.$$js$exported$prop$anyOf__O()
  };
}
const $is_Lamf_model_domain_UnionShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_UnionShape)))
});
const $isArrayOf_Lamf_model_domain_UnionShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_UnionShape)))
});
const $d_Lamf_model_domain_UnionShape = new $TypeData().initClass({
  Lamf_model_domain_UnionShape: 0
}, false, "amf.model.domain.UnionShape", {
  Lamf_model_domain_UnionShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_UnionShape.prototype.$classData = $d_Lamf_model_domain_UnionShape;
class $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DialectFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(x$1)) {
      const DialectFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = DialectFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DialectFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectNodeFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_DialectFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectFragment)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_DialectFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectFragment)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_DialectFragment = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_DialectFragment: 0
}, false, "amf.plugins.document.vocabularies.model.document.DialectFragment", {
  Lamf_plugins_document_vocabularies_model_document_DialectFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_DialectFragment.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_DialectFragment;
class $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext extends $c_Lamf_plugins_document_webapi_contexts_WebApiContext {
  constructor() {
    super();
    this.wrapped$4 = null;
    this.ds$4 = null;
    this.syntax$4 = null;
    this.vendor$4 = null
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$4
  };
  ignore__T__T__Z(shape, property) {
    return (((((property.length | 0) >= 0) && (property.substring(0, ("x-".length | 0)) === "x-")) || (property === "$ref")) || ((((property.length | 0) >= 0) && (property.substring(0, ("/".length | 0)) === "/")) && (shape === "webApi")))
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$4
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds) {
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_WebApiContext.prototype.init___Lamf_core_parser_ParserContext__s_Option.call(this, wrapped, ds);
    this.syntax$4 = $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSyntax$();
    this.vendor$4 = $m_Lamf_core_remote_Oas$();
    return this
  };
  link__Lorg_yaml_model_YNode__s_util_Either(node) {
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
      let this$3;
      if (this$2.isEmpty__Z()) {
        this$3 = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const v = arg1;
        this$3 = v.value$1.asOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YScalarYRead$())
      };
      let ref;
      if (this$3.isEmpty__Z()) {
        ref = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const x$3 = arg1$1;
        ref = new $c_s_Some().init___O(x$3.text$3)
      };
      if ($is_s_Some(ref)) {
        const x2$2 = ref;
        const url = x2$2.value$2;
        $m_s_package$();
        return new $c_s_util_Left().init___O(url)
      } else {
        const x = $m_s_None$();
        if ((x === ref)) {
          $m_s_package$();
          return new $c_s_util_Right().init___O(node)
        } else {
          throw new $c_s_MatchError().init___O(ref)
        }
      }
    } else {
      $m_s_package$();
      return new $c_s_util_Right().init___O(node)
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_OasWebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_OasWebApiContext: 0
}, false, "amf.plugins.document.webapi.contexts.OasWebApiContext", {
  Lamf_plugins_document_webapi_contexts_OasWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  Lamf_core_parser_ErrorHandler: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1
});
$c_Lamf_plugins_document_webapi_contexts_OasWebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_OasWebApiContext;
class $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "AnnotationTypeDeclarationFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x$1)) {
      const AnnotationTypeDeclarationFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = AnnotationTypeDeclarationFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = AnnotationTypeDeclarationFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment)))
});
const $d_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment: 0
}, false, "amf.plugins.document.webapi.model.AnnotationTypeDeclarationFragment", {
  Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment;
class $c_Lamf_plugins_document_webapi_model_DataTypeFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DataTypeFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x$1)) {
      const DataTypeFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = DataTypeFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DataTypeFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_DataTypeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_DataTypeFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_DataTypeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_DataTypeFragment)))
});
const $d_Lamf_plugins_document_webapi_model_DataTypeFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_DataTypeFragment: 0
}, false, "amf.plugins.document.webapi.model.DataTypeFragment", {
  Lamf_plugins_document_webapi_model_DataTypeFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_DataTypeFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_DataTypeFragment;
class $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DocumentationItemFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x$1)) {
      const DocumentationItemFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = DocumentationItemFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DocumentationItemFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_DocumentationItemFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_DocumentationItemFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_DocumentationItemFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_DocumentationItemFragment)))
});
const $d_Lamf_plugins_document_webapi_model_DocumentationItemFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_DocumentationItemFragment: 0
}, false, "amf.plugins.document.webapi.model.DocumentationItemFragment", {
  Lamf_plugins_document_webapi_model_DocumentationItemFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_DocumentationItemFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_DocumentationItemFragment;
class $c_Lamf_plugins_document_webapi_model_NamedExampleFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "NamedExampleFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x$1)) {
      const NamedExampleFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = NamedExampleFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = NamedExampleFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_NamedExampleFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_NamedExampleFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_NamedExampleFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_NamedExampleFragment)))
});
const $d_Lamf_plugins_document_webapi_model_NamedExampleFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_NamedExampleFragment: 0
}, false, "amf.plugins.document.webapi.model.NamedExampleFragment", {
  Lamf_plugins_document_webapi_model_NamedExampleFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_NamedExampleFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_NamedExampleFragment;
class $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ResourceTypeFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x$1)) {
      const ResourceTypeFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = ResourceTypeFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ResourceTypeFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_ResourceTypeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_ResourceTypeFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_ResourceTypeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_ResourceTypeFragment)))
});
const $d_Lamf_plugins_document_webapi_model_ResourceTypeFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_ResourceTypeFragment: 0
}, false, "amf.plugins.document.webapi.model.ResourceTypeFragment", {
  Lamf_plugins_document_webapi_model_ResourceTypeFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_ResourceTypeFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_ResourceTypeFragment;
class $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "SecuritySchemeFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x$1)) {
      const SecuritySchemeFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = SecuritySchemeFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = SecuritySchemeFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_SecuritySchemeFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_SecuritySchemeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_SecuritySchemeFragment)))
});
const $d_Lamf_plugins_document_webapi_model_SecuritySchemeFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_SecuritySchemeFragment: 0
}, false, "amf.plugins.document.webapi.model.SecuritySchemeFragment", {
  Lamf_plugins_document_webapi_model_SecuritySchemeFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_SecuritySchemeFragment;
class $c_Lamf_plugins_document_webapi_model_TraitFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "TraitFragment"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x$1)) {
      const TraitFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = TraitFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = TraitFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_TraitFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_TraitFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_TraitFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_TraitFragment)))
});
const $d_Lamf_plugins_document_webapi_model_TraitFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_TraitFragment: 0
}, false, "amf.plugins.document.webapi.model.TraitFragment", {
  Lamf_plugins_document_webapi_model_TraitFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_TraitFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_TraitFragment;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$ extends $c_Lamf_plugins_domain_webapi_models_Response {
  init___() {
    $c_Lamf_plugins_domain_webapi_models_Response.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorResponse$", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$: 1,
  Lamf_plugins_domain_webapi_models_Response: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$;
let $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$ = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse$
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser {
  constructor() {
    super();
    this.root$4 = null
  };
  productPrefix__T() {
    return "Raml10DocumentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser(x$1)) {
      const Raml10DocumentParser$1 = x$1;
      const x = this.root$4;
      const x$2 = Raml10DocumentParser$1.root$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(document) {
    const parent = this.root$4.location$1;
    const this$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(document, parent);
    const location = this.root$4.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, location);
    const map = this.root$4.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3);
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext("uses", map, this.root$4.references$1, this.ctx$3).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$4.location$1);
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$4, map);
    const this$2 = this.parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map);
    const annotation = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$4.vendor$1);
    const api = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$2, annotation);
    const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(document, field$1, api);
    const declarables = this.ctx$3.declarations$3.declarables__sc_Seq();
    if (declarables.nonEmpty__Z()) {
      const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$2, declarables)
    };
    const this$3 = references.references$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
      const references$1 = references.solvedReferences__sc_Seq();
      const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$3, references$1)
    };
    const this$4 = this.ctx$3.futureDeclarations$2;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$4);
    return document
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseExtension__Lamf_plugins_document_webapi_model_Extension() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const extension = this.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p4__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(extension, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return extension
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$3
  };
  parseOverlay__Lamf_plugins_document_webapi_model_Overlay() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const overlay = this.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p4__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(overlay, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return overlay
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(this, key, map, parentPath)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$4 = root;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser.prototype.init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, root, ctx);
    return this
  };
  parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(this, map, parent)
  };
  parseExtension__p4__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(document, field) {
    const map = this.root$4.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3);
    new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, map, document).parse__V();
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("extends");
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = this.root$4.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, e$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return (x$1.origin$1.url$1 === e$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$3))
        })
      })(this, e)));
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const extend = arg1$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(extend.unit$1.id__T(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(document, field, value, annotations)
      }
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10DocumentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser;
class $c_Lamf_plugins_document_webapi_validation_PayloadFragment extends $c_O {
  constructor() {
    super();
    this.encoded$1 = null;
    this.fields$1 = null;
    this.annotations$1 = null;
    this.references$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "PayloadFragment"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_core_model_domain_DataNode__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(encoded, fields, annotations) {
    this.encoded$1 = encoded;
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.raw$1 = $m_s_None$();
    $f_Lamf_core_model_document_Fragment__$$init$__V(this);
    fields.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1, encoded, new $c_Lamf_core_parser_Annotations().init___());
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_validation_PayloadFragment(x$1)) {
      const PayloadFragment$1 = x$1;
      const x = this.encoded$1;
      const x$2 = PayloadFragment$1.encoded$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.fields$1;
        const x$4 = PayloadFragment$1.fields$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.annotations$1;
        const x$6 = PayloadFragment$1.annotations$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.encoded$1;
        break
      }
      case 1: {
        return this.fields$1;
        break
      }
      case 2: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_FragmentModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  references__sc_Seq() {
    return this.references$1
  };
  usage__T() {
    return ""
  };
  amf$core$model$document$Fragment$$undsetter$und$references$und$eq__sc_Seq__V(x$1) {
    this.references$1 = x$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  location__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.encoded$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_validation_PayloadFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_validation_PayloadFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_validation_PayloadFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_validation_PayloadFragment)))
});
const $d_Lamf_plugins_document_webapi_validation_PayloadFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_PayloadFragment: 0
}, false, "amf.plugins.document.webapi.validation.PayloadFragment", {
  Lamf_plugins_document_webapi_validation_PayloadFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_PayloadFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_PayloadFragment;
class $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkTarget$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "SecurityScheme"
  };
  withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  productArity__I() {
    return 2
  };
  withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x$1)) {
      const SecurityScheme$1 = x$1;
      const x = this.fields$1;
      const x$2 = SecurityScheme$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = SecurityScheme$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$()
  };
  withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  name__T() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1)
  };
  withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  linkTarget__s_Option() {
    return this.linkTarget$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent) {
    if (((parent.indexOf("#") | 0) !== (-1))) {
      const this$4 = $m_s_Option$().apply__O__s_Option(this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1));
      const value = ((parent + "/") + (this$4.isEmpty__Z() ? "fragment" : this$4.get__O()));
      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
    } else {
      const this$5 = $m_s_Option$().apply__O__s_Option(this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1));
      const value$1 = ((parent + "#") + (this$5.isEmpty__Z() ? "fragment" : this$5.get__O()));
      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value$1)
    }
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  cloneScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent) {
    const annotations = this.annotations$1;
    const this$3 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    const cloned = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name).adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent);
    const this$5 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_plugins_domain_webapi_models_security_Settings(x1$2)) {
            const x2 = x1$2;
            clonedValue = x2.cloneSettings__T__Lamf_plugins_domain_webapi_models_security_Settings(cloned$1.id$1)
          } else if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
            const x3 = x1$2;
            const jsx$2 = x3.values$1;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, cloned$1$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$2)) {
                  const x2$1 = x0$2;
                  return x2$1.cloneParameter__T__Lamf_plugins_domain_webapi_models_Parameter(cloned$1$1.id$1)
                } else if ($is_Lamf_plugins_domain_webapi_models_Response(x0$2)) {
                  const x3$1 = x0$2;
                  return x3$1.cloneResponse__T__Lamf_plugins_domain_webapi_models_Response(cloned$1$1.id$1)
                } else {
                  return x0$2
                }
              })
            })($this, cloned$1));
            const this$4 = $m_sc_Seq$();
            clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2), x3.annotations$1)
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$5.fs$1.foreach__F1__V(fn);
    return cloned
  };
  linkTarget$und$eq__s_Option__V(x$1) {
    this.linkTarget$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  withResponse__T__Lamf_plugins_domain_webapi_models_Response(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const statusCode = ((name === "default") ? "200" : name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, statusCode);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$2, result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_SecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_SecurityScheme)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_SecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_SecurityScheme)))
});
const $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_SecurityScheme: 0
}, false, "amf.plugins.domain.webapi.models.security.SecurityScheme", {
  Lamf_plugins_domain_webapi_models_security_SecurityScheme: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_webapi_models_security_WithSettings: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_SecurityScheme.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme;
class $c_Lamf_plugins_domain_webapi_models_templates_ResourceType extends $c_Lamf_core_model_domain_templates_AbstractDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "ResourceType"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x$1)) {
      const ResourceType$1 = x$1;
      const x = this.fields$2;
      const x$2 = ResourceType$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ResourceType$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_AbstractDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_ResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_ResourceType)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_ResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_ResourceType)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_ResourceType = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ResourceType: 0
}, false, "amf.plugins.domain.webapi.models.templates.ResourceType", {
  Lamf_plugins_domain_webapi_models_templates_ResourceType: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ResourceType.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ResourceType;
class $c_Lamf_plugins_domain_webapi_models_templates_Trait extends $c_Lamf_core_model_domain_templates_AbstractDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "Trait"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(x$1)) {
      const Trait$1 = x$1;
      const x = this.fields$2;
      const x$2 = Trait$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = Trait$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_AbstractDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_Trait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_Trait)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_Trait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_Trait)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_Trait = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_Trait: 0
}, false, "amf.plugins.domain.webapi.models.templates.Trait", {
  Lamf_plugins_domain_webapi_models_templates_Trait: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_Trait.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_Trait;
class $c_sc_AbstractTraversable extends $c_O {
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return $f_scg_GenericTraversableTemplate__flatten__F1__sc_GenTraversable(this, asTraversable)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  dropWhile__F1__O(p) {
    return $f_sc_TraversableLike__dropWhile__F1__O(this, p)
  };
  mkString__T__T(sep) {
    return this.mkString__T__T__T__T("", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return this.filterImpl__F1__Z__O(p, false)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filterImpl__F1__Z__O(p, isFlipped) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, isFlipped)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableLike__span__F1__T2(this, p)
  };
  filterNot__F1__O(p) {
    return this.filterImpl__F1__Z__O(p, true)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this.thisCollection__sc_Traversable()
  };
  toSeq__sc_Seq() {
    return this.toStream__sci_Stream()
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return this.foldLeft__O__F2__O(z, op)
  };
  repr__O() {
    return this
  };
  toSeq__sc_GenSeq() {
    return this.toSeq__sc_Seq()
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ev$1, b$1) {
      return (function(x$2) {
        return b$1.$$plus$eq__O__scm_Builder(x$2)
      })
    })(this, ev, b)));
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  newBuilder__scm_Builder() {
    return this.companion__scg_GenericCompanion().newBuilder__scm_Builder()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $f_sc_SeqLike__lengthCompare__I__I = (function($thiz, len) {
  if ((len < 0)) {
    return 1
  } else {
    let i = 0;
    const it = $thiz.iterator__sc_Iterator();
    while (it.hasNext__Z()) {
      if ((i === len)) {
        return (it.hasNext__Z() ? 1 : 0)
      };
      it.next__O();
      i = ((1 + i) | 0)
    };
    return ((i - len) | 0)
  }
});
const $f_sc_SeqLike__indices__sci_Range = (function($thiz) {
  const end = $thiz.length__I();
  return new $c_sci_Range().init___I__I__I(0, end, 1)
});
const $f_sc_SeqLike__isEmpty__Z = (function($thiz) {
  return ($thiz.lengthCompare__I__I(0) === 0)
});
const $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O = (function($thiz, elem, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Seq());
  b.$$plus$eq__O__scm_Builder(elem);
  return b.result__O()
});
const $f_sc_SeqLike__sorted__s_math_Ordering__O = (function($thiz, ord) {
  const len = $thiz.length__I();
  const b = $thiz.newBuilder__scm_Builder();
  if ((len === 1)) {
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz)
  } else if ((len > 1)) {
    b.sizeHint__I__V(len);
    const arr = $newArrayObject($d_O.getArrayOf(), [len]);
    const i = new $c_sr_IntRef().init___I(0);
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, arr$1, i$1) {
      return (function(x$2) {
        arr$1.u[i$1.elem$1] = x$2;
        i$1.elem$1 = ((1 + i$1.elem$1) | 0)
      })
    })($thiz, arr, i)));
    $m_ju_Arrays$().sort__AO__ju_Comparator__V(arr, ord);
    i.elem$1 = 0;
    while ((i.elem$1 < arr.u.length)) {
      b.$$plus$eq__O__scm_Builder(arr.u[i.elem$1]);
      i.elem$1 = ((1 + i.elem$1) | 0)
    }
  };
  return b.result__O()
});
const $f_sc_SeqLike__indexWhere__F1__I__I = (function($thiz, p, from) {
  let i = ((from > 0) ? from : 0);
  const it = $thiz.iterator__sc_Iterator().drop__I__sc_Iterator(from);
  while (it.hasNext__Z()) {
    if ((!(!p.apply__O__O(it.next__O())))) {
      return i
    } else {
      i = ((1 + i) | 0)
    }
  };
  return (-1)
});
const $f_sc_SeqLike__reverse__O = (function($thiz) {
  const elem = $m_sci_Nil$();
  const xs = new $c_sr_ObjectRef().init___O(elem);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, xs$1) {
    return (function(x$2) {
      const this$2 = xs$1.elem$1;
      xs$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2)
    })
  })($thiz, xs)));
  const b = $thiz.newBuilder__scm_Builder();
  $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, $thiz);
  const this$3 = xs.elem$1;
  let these = this$3;
  while ((!these.isEmpty__Z())) {
    const arg1 = these.head__O();
    b.$$plus$eq__O__scm_Builder(arg1);
    these = these.tail__O()
  };
  return b.result__O()
});
const $f_sc_SeqLike__distinct__O = (function($thiz) {
  const b = $thiz.newBuilder__scm_Builder();
  const seen = $m_scm_HashSet$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, seen$1) {
    return (function(x$2) {
      return ((!$f_scm_FlatHashTable__containsElem__O__Z(seen$1, x$2)) ? (b$1.$$plus$eq__O__scm_Builder(x$2), seen$1.$$plus$eq__O__scm_HashSet(x$2)) : (void 0))
    })
  })($thiz, b, seen)));
  return b.result__O()
});
const $f_sc_SeqLike__$$plus$colon__O__scg_CanBuildFrom__O = (function($thiz, elem, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  b.$$plus$eq__O__scm_Builder(elem);
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Seq());
  return b.result__O()
});
const $f_sc_SeqLike__contains__O__Z = (function($thiz, elem) {
  return $thiz.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, elem$1) {
    return (function(x$12$2) {
      return $m_sr_BoxesRunTime$().equals__O__O__Z(x$12$2, elem$1)
    })
  })($thiz, elem)))
});
const $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O = (function($thiz, f, ord) {
  return $thiz.sorted__s_math_Ordering__O(new $c_s_math_Ordering$$anon$5().init___s_math_Ordering__F1(ord, f))
});
const $f_sc_SeqLike__segmentLength__F1__I__I = (function($thiz, p, from) {
  let i = 0;
  const it = $thiz.iterator__sc_Iterator().drop__I__sc_Iterator(from);
  while ((it.hasNext__Z() && (!(!p.apply__O__O(it.next__O()))))) {
    i = ((1 + i) | 0)
  };
  return i
});
const $is_sc_SeqLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_SeqLike)))
});
const $isArrayOf_sc_SeqLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_SeqLike)))
});
const $f_sc_TraversableViewLike__withFilter__F1__sc_TraversableView = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(p);
  return xs
});
const $f_sc_TraversableViewLike__span__F1__T2 = (function($thiz, p) {
  const xs = $thiz.newTakenWhile__F1__sc_TraversableViewLike$Transformed(p);
  const xs$1 = $thiz.newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p);
  return new $c_T2().init___O__O(xs, xs$1)
});
const $f_sc_TraversableViewLike__viewToString__T = (function($thiz) {
  return ((("" + $thiz.stringPrefix__T()) + $thiz.viewIdString__T()) + "(...)")
});
const $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O = (function($thiz, xs, bf) {
  return $thiz.newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(xs.seq__sc_TraversableOnce().toTraversable__sc_Traversable())
});
const $f_sc_TraversableViewLike__partition__F1__T2 = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(p);
  const xs$1 = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
    return (function(x$1$2) {
      return (!(!(!p$1.apply__O__O(x$1$2))))
    })
  })($thiz, p)));
  return new $c_T2().init___O__O(xs, xs$1)
});
const $f_sc_TraversableViewLike__filter__F1__sc_TraversableView = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(p);
  return xs
});
const $f_sc_TraversableViewLike__groupBy__F1__sci_Map = (function($thiz, f) {
  const this$1 = $f_sc_ViewMkString__thisSeq__sc_Seq($thiz).groupBy__F1__sci_Map(f);
  const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(xs$2) {
      const xs = xs$2;
      const xs$3 = $this.newForced__F0__sc_TraversableViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, xs$1) {
        return (function() {
          return xs$1
        })
      })($this, xs)));
      return xs$3
    })
  })($thiz));
  return new $c_sci_MapLike$$anon$2().init___sci_MapLike__F1(this$1, f$1)
});
const $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
    return (function(a$2) {
      return (!(!(!p$1.apply__O__O(a$2))))
    })
  })($thiz, p)));
  return xs
});
const $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O = (function($thiz, pf, bf) {
  const this$1 = $thiz.filter__F1__sc_TraversableView(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, pf$1) {
    return (function(x$2) {
      return pf$1.isDefinedAt__O__Z(x$2)
    })
  })($thiz, pf)));
  return this$1.newMapped__F1__sc_TraversableViewLike$Transformed(pf)
});
const $f_sc_TraversableViewLike__tail__sc_TraversableView = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    return $thiz.scala$collection$TraversableViewLike$$super$tail__sc_TraversableView()
  } else {
    const xs = $f_sc_SeqViewLike__newDropped__I__sc_SeqViewLike$Transformed($thiz, 1);
    return xs
  }
});
const $f_sc_TraversableViewLike__newBuilder__scm_Builder = (function($thiz) {
  throw new $c_jl_UnsupportedOperationException().init___T($m_s_Predef$any2stringadd$().$$plus$extension__O__T__T($thiz, ".newBuilder"))
});
const $is_sc_TraversableViewLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableViewLike)))
});
const $isArrayOf_sc_TraversableViewLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableViewLike)))
});
class $c_sr_RichLong extends $c_O {
  constructor() {
    super();
    this.self$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong()
  };
  isValidInt__Z() {
    return $m_sr_RichLong$().isValidInt$extension__J__Z(this.self$1)
  };
  longValue__J() {
    const t = this.self$1;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  isValidShort__Z() {
    return $m_sr_RichLong$().isValidShort$extension__J__Z(this.self$1)
  };
  byteValue__B() {
    return $m_sr_RichLong$().byteValue$extension__J__B(this.self$1)
  };
  init___J(self) {
    this.self$1 = self;
    return this
  };
  equals__O__Z(x$1) {
    return $m_sr_RichLong$().equals$extension__J__O__Z(this.self$1, x$1)
  };
  isValidChar__Z() {
    return $m_sr_RichLong$().isValidChar$extension__J__Z(this.self$1)
  };
  toString__T() {
    return $f_s_Proxy__toString__T(this)
  };
  compareTo__O__I(that) {
    const t$1 = this.self$1;
    const lo$1 = t$1.lo$2;
    const hi$1 = t$1.hi$2;
    const t$2 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1));
    const lo$2 = t$2.lo$2;
    const hi$2 = t$2.hi$2;
    const t$3 = $uJ(that);
    const lo$3 = t$3.lo$2;
    const hi$3 = t$3.hi$2;
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(lo$2, hi$2, lo$3, hi$3)
  };
  isValidByte__Z() {
    return $m_sr_RichLong$().isValidByte$extension__J__Z(this.self$1)
  };
  compare__O__I(y) {
    const t$1 = this.self$1;
    const lo$1 = t$1.lo$2;
    const hi$1 = t$1.hi$2;
    const t$2 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1));
    const lo$2 = t$2.lo$2;
    const hi$2 = t$2.hi$2;
    const t$3 = $uJ(y);
    const lo$3 = t$3.lo$2;
    const hi$3 = t$3.hi$2;
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(lo$2, hi$2, lo$3, hi$3)
  };
  self__O() {
    return this.self$1
  };
  shortValue__S() {
    return $m_sr_RichLong$().shortValue$extension__J__S(this.self$1)
  };
  doubleValue__D() {
    return $m_sr_RichLong$().doubleValue$extension__J__D(this.self$1)
  };
  hashCode__I() {
    const t = this.self$1;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return (lo ^ hi)
  };
  intValue__I() {
    return $m_sr_RichLong$().intValue$extension__J__I(this.self$1)
  };
  floatValue__F() {
    return $m_sr_RichLong$().floatValue$extension__J__F(this.self$1)
  };
}
const $is_sr_RichLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sr_RichLong)))
});
const $isArrayOf_sr_RichLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_RichLong)))
});
const $d_sr_RichLong = new $TypeData().initClass({
  sr_RichLong: 0
}, false, "scala.runtime.RichLong", {
  sr_RichLong: 1,
  O: 1,
  sr_IntegralProxy: 1,
  sr_ScalaWholeNumberProxy: 1,
  sr_ScalaNumberProxy: 1,
  s_math_ScalaNumericAnyConversions: 1,
  s_Proxy$Typed: 1,
  s_Proxy: 1,
  sr_OrderedProxy: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  sr_RangedProxy: 1
});
$c_sr_RichLong.prototype.$classData = $d_sr_RichLong;
class $c_Lamf_core_model_document_ExtensionLike extends $c_Lamf_core_model_document_Document {
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1)
  };
}
const $is_Lamf_core_model_document_ExtensionLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_ExtensionLike)))
});
const $isArrayOf_Lamf_core_model_document_ExtensionLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_ExtensionLike)))
});
class $c_Lamf_model_domain_ArrayShape extends $c_Lamf_model_domain_DataArrangeShape {
  constructor() {
    super();
    this.items$6 = null
  };
  $$js$exported$meth$withItems__Lamf_model_domain_Shape__O(items) {
    return this.withItems__Lamf_model_domain_Shape__Lamf_model_domain_ArrayShape(items)
  };
  productPrefix__T() {
    return "ArrayShape"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_ArrayShape.prototype.init___Lamf_plugins_domain_shapes_models_ArrayShape.call(this, new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.array__Lamf_plugins_domain_shapes_models_ArrayShape();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_ArrayShape().init___Lamf_plugins_domain_shapes_models_ArrayShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  productArity__I() {
    return 1
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape(array) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, array);
    const this$1 = $m_Lamf_model_domain_Shape$();
    const shape = array.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    const this$2 = this$1.platform$1;
    this.items$6 = $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$2, shape);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_ArrayShape(x$1)) {
      const ArrayShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = ArrayShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.array__Lamf_plugins_domain_shapes_models_ArrayShape()
  };
  linkTarget__s_Option() {
    const this$1 = this.array__Lamf_plugins_domain_shapes_models_ArrayShape().linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$1)) {
        const x2 = x0$1;
        jsx$1 = new $c_Lamf_model_domain_ArrayShape().init___Lamf_plugins_domain_shapes_models_ArrayShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  array__Lamf_plugins_domain_shapes_models_ArrayShape() {
    return this.shape$3
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  $$js$exported$prop$items__O() {
    return this.items$6
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withItems__Lamf_model_domain_Shape__Lamf_model_domain_ArrayShape(items) {
    const this$1 = this.array__Lamf_plugins_domain_shapes_models_ArrayShape();
    const items$1 = items.shape__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, items$1);
    return this
  };
  element__Lamf_core_model_domain_Shape() {
    return this.array__Lamf_plugins_domain_shapes_models_ArrayShape()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.array__Lamf_plugins_domain_shapes_models_ArrayShape()
  };
  "withItems"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withItems__Lamf_model_domain_Shape__O(prep0)
  };
  get "items"() {
    return this.$$js$exported$prop$items__O()
  };
}
const $is_Lamf_model_domain_ArrayShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_ArrayShape)))
});
const $isArrayOf_Lamf_model_domain_ArrayShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_ArrayShape)))
});
const $d_Lamf_model_domain_ArrayShape = new $TypeData().initClass({
  Lamf_model_domain_ArrayShape: 0
}, false, "amf.model.domain.ArrayShape", {
  Lamf_model_domain_ArrayShape: 1,
  Lamf_model_domain_DataArrangeShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_ArrayShape.prototype.$classData = $d_Lamf_model_domain_ArrayShape;
class $c_Lamf_model_domain_TupleShape extends $c_Lamf_model_domain_DataArrangeShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_model_domain_TupleShape.prototype.init___Lamf_plugins_domain_shapes_models_TupleShape.call(this, new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "TupleShape"
  };
  linkCopy__Lamf_model_domain_DomainElement() {
    const this$1 = this.shape$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_model_domain_TupleShape().init___Lamf_plugins_domain_shapes_models_TupleShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__s_Option()
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_model_domain_TupleShape(x$1)) {
      const TupleShape$1 = x$1;
      const x = this.shape$3;
      const x$2 = TupleShape$1.shape$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  items__sjs_js_Iterable() {
    const jsx$2 = $m_s_Option$();
    const this$1 = this.shape$3;
    const this$2 = jsx$2.apply__O__s_Option(this$1.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
    const jsx$3 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$3 = $m_Lamf_model_domain_Shape$();
        const this$4 = this$3.platform$1;
        return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_core_remote_AmfObjectWrapper(this$4, x$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const col = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const this$8 = $m_sjsr_package$();
    if ($is_sjs_js_ArrayOps(col)) {
      const x2 = col;
      return x2.scala$scalajs$js$ArrayOps$$array$f
    } else if ($is_sjs_js_WrappedArray(col)) {
      const x3 = col;
      return x3.array$6
    } else {
      const result = [];
      col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
        return (function(x$2) {
          return (result$1.push(x$2) | 0)
        })
      })(this$8, result)));
      return result
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withItems__sjs_js_Iterable__O(items) {
    return this.withItems__sjs_js_Iterable__Lamf_model_domain_TupleShape(items)
  };
  withItems__sjs_js_Iterable__Lamf_model_domain_TupleShape(items) {
    const this$8 = this.shape$3;
    $m_sc_Iterable$();
    $m_sc_Iterable$();
    $m_sci_Iterable$();
    const b = new $c_scm_ListBuffer().init___();
    const __self = items[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      const x$2 = value;
      const elem = x$2.shape__Lamf_core_model_domain_Shape();
      b.$$plus$eq__O__scm_ListBuffer(elem)
    };
    const this$7 = b.toList__sci_List();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$8, field, this$7);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  linkTarget__s_Option() {
    const this$1 = this.shape$3.linkTarget$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$2 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x0$2)) {
        const x2 = x0$2;
        jsx$1 = new $c_Lamf_model_domain_TupleShape().init___Lamf_plugins_domain_shapes_models_TupleShape(x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$2)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_model_domain_DomainElement()
  };
  init___Lamf_plugins_domain_shapes_models_TupleShape(array) {
    $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call(this, array);
    return this
  };
  $$js$exported$prop$items__O() {
    return this.items__sjs_js_Iterable()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
  "withItems"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withItems__sjs_js_Iterable__O(prep0)
  };
  get "items"() {
    return this.$$js$exported$prop$items__O()
  };
}
const $is_Lamf_model_domain_TupleShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_TupleShape)))
});
const $isArrayOf_Lamf_model_domain_TupleShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_TupleShape)))
});
const $d_Lamf_model_domain_TupleShape = new $TypeData().initClass({
  Lamf_model_domain_TupleShape: 0
}, false, "amf.model.domain.TupleShape", {
  Lamf_model_domain_TupleShape: 1,
  Lamf_model_domain_DataArrangeShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_TupleShape.prototype.$classData = $d_Lamf_model_domain_TupleShape;
class $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext extends $c_Lamf_plugins_document_webapi_contexts_WebApiContext {
  constructor() {
    super();
    this.wrapped$4 = null;
    this.ds$4 = null
  };
  isInclude__p4__Lorg_yaml_model_YNode__Z(node) {
    const x = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
    return (x === x$2)
  };
  closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(shape, ast, shapeType, annotation) {
    const node = shape.id$1;
    const facets = shape.collectCustomShapePropertyDefinitions__Z__sc_Seq(true);
    const x1 = this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().get__O__s_Option(shapeType);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const props = x2.value$2;
      const initialProperties = (annotation ? props.$$plus$plus__sc_GenTraversableOnce__sc_Set(this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().apply__O__O("annotation")) : props);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ast$1, shapeType$1, initialProperties$1) {
        return (function(propertiesMap$2) {
          const propertiesMap = propertiesMap$2;
          const totalProperties = initialProperties$1.$$plus$plus__sc_GenTraversableOnce__sc_Set(new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(propertiesMap));
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$3 = new $c_scm_ListBuffer().init___();
          const acc = this$3.toList__sci_List();
          return ast$1.entries$3.foldLeft__O__F2__O(acc, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1, shapeType$1$1, totalProperties$1) {
            return (function(results$2, entry$2) {
              const results = results$2;
              const entry = entry$2;
              $m_Lorg_yaml_model_YNode$();
              const node$1 = entry.key$1;
              const key = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
              if ($this$1.ignore__T__T__Z(shapeType$1$1, key)) {
                return results
              } else if ((!totalProperties$1.contains__O__Z(key))) {
                const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry]));
                const this$5 = $m_sc_Seq$();
                return results.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$5.ReusableCBFInstance$2)
              } else {
                return results
              }
            })
          })($this, shapeType$1, totalProperties)))
        })
      })(this, ast, shapeType, initialProperties));
      const this$6 = $m_sc_Seq$();
      const allResults = facets.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
      const x1$2 = allResults.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return x$1.nonEmpty__Z()
        })
      })(this)));
      matchEnd6: {
        const x = $m_s_None$();
        if ((x === x1$2)) {
          break matchEnd6
        };
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const errors = x2$2.value$2;
          if ((errors !== null)) {
            const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ClosedShapeSpecification$1.id__T();
            const jsx$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Properties ", " not supported in a ", " ", " node"]));
            const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
              return (function(x$2$2$2) {
                const x$2$2 = x$2$2$2;
                return x$2$2.key$1
              })
            })(this));
            const this$7 = $m_sc_Seq$();
            const message = jsx$4.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([errors.map__F1__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2).mkString__T__T(","), this.vendor__Lamf_core_remote_Vendor(), shapeType]));
            const ast$2 = errors.head__O();
            this.violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(id, node, $m_s_None$(), message, ast$2);
            break matchEnd6
          }
        };
        throw new $c_s_MatchError().init___O(x1$2)
      }
    } else {
      const x$4 = $m_s_None$();
      if ((x$4 === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot validate unknown node type ", " for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shapeType, this.vendor__Lamf_core_remote_Vendor()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  ignore__T__T__Z(shape, property) {
    return (((((property.length | 0) >= 0) && (property.substring(0, ("(".length | 0)) === "(")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(property, ")")) || ((((property.length | 0) >= 0) && (property.substring(0, ("/".length | 0)) === "/")) && ((shape === "webApi") || (shape === "endPoint"))))
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds) {
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_WebApiContext.prototype.init___Lamf_core_parser_ParserContext__s_Option.call(this, wrapped, ds);
    return this
  };
  link__Lorg_yaml_model_YNode__s_util_Either(node) {
    if (this.isInclude__p4__Lorg_yaml_model_YNode__Z(node)) {
      $m_s_package$();
      const value = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
      return new $c_s_util_Left().init___O(value)
    } else {
      $m_s_package$();
      return new $c_s_util_Right().init___O(node)
    }
  };
}
const $is_Lamf_plugins_document_webapi_contexts_RamlWebApiContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_RamlWebApiContext)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_RamlWebApiContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_RamlWebApiContext)))
});
const $is_sc_GenSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSet)))
});
const $isArrayOf_sc_GenSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSet)))
});
const $f_sc_IndexedSeqLike__toBuffer__scm_Buffer = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  const xs = $thiz.seq__sc_TraversableOnce();
  result.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs);
  return result
});
const $is_sc_IndexedSeqLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeqLike)))
});
const $isArrayOf_sc_IndexedSeqLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeqLike)))
});
const $is_sc_LinearSeqLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqLike)))
});
const $isArrayOf_sc_LinearSeqLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqLike)))
});
const $is_sc_TraversableView = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableView)))
});
const $isArrayOf_sc_TraversableView = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableView)))
});
class $c_Lamf_model_domain_MatrixShape extends $c_Lamf_model_domain_ArrayShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const array = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    $c_Lamf_model_domain_ArrayShape.prototype.init___Lamf_plugins_domain_shapes_models_ArrayShape.call(this, array);
    return this
  };
  $$js$exported$meth$withItems__Lamf_model_domain_Shape__O(items) {
    return this.withItems__Lamf_model_domain_Shape__Lamf_model_domain_MatrixShape(items)
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape(array) {
    $c_Lamf_model_domain_ArrayShape.prototype.init___Lamf_plugins_domain_shapes_models_ArrayShape.call(this, array);
    return this
  };
  withItems__Lamf_model_domain_Shape__Lamf_model_domain_MatrixShape(items) {
    if ($is_Lamf_model_domain_ArrayShape(items)) {
      return $c_Lamf_model_domain_ArrayShape.prototype.withItems__Lamf_model_domain_Shape__Lamf_model_domain_ArrayShape.call(this, items)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Matrix shapes can only accept arrays as items"))
    }
  };
  element__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  array__Lamf_plugins_domain_shapes_models_ArrayShape() {
    return this.shape$3
  };
  withItems__Lamf_model_domain_Shape__Lamf_model_domain_ArrayShape(items) {
    return this.withItems__Lamf_model_domain_Shape__Lamf_model_domain_MatrixShape(items)
  };
  element__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  element__Lamf_core_model_domain_DomainElement() {
    return this.shape$3
  };
}
const $is_Lamf_model_domain_MatrixShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_model_domain_MatrixShape)))
});
const $isArrayOf_Lamf_model_domain_MatrixShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_model_domain_MatrixShape)))
});
const $d_Lamf_model_domain_MatrixShape = new $TypeData().initClass({
  Lamf_model_domain_MatrixShape: 0
}, false, "amf.model.domain.MatrixShape", {
  Lamf_model_domain_MatrixShape: 1,
  Lamf_model_domain_ArrayShape: 1,
  Lamf_model_domain_DataArrangeShape: 1,
  Lamf_model_domain_AnyShape: 1,
  Lamf_model_domain_Shape: 1,
  Lamf_model_domain_DomainElement: 1,
  Lamf_core_remote_AmfObjectWrapper: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_model_domain_MatrixShape.prototype.$classData = $d_Lamf_model_domain_MatrixShape;
class $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext {
  constructor() {
    super();
    this.wrapped$5 = null;
    this.ds$5 = null;
    this.factory$5 = null;
    this.vendor$5 = null;
    this.syntax$5 = null
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$5
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory() {
    return this.factory$5
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$5
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds) {
    this.wrapped$5 = wrapped;
    this.ds$5 = ds;
    $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext.prototype.init___Lamf_core_parser_ParserContext__s_Option.call(this, wrapped, ds);
    this.factory$5 = new $c_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this);
    this.vendor$5 = $m_Lamf_core_remote_Raml08$();
    this.syntax$5 = $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$();
    return this
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08WebApiContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08WebApiContext", {
  Lamf_plugins_document_webapi_contexts_Raml08WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  Lamf_core_parser_ErrorHandler: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext {
  constructor() {
    super();
    this.wrapped$5 = null;
    this.ds$5 = null;
    this.factory$5 = null;
    this.vendor$5 = null;
    this.syntax$5 = null
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$5
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory() {
    return this.factory$5
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$5
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds) {
    this.wrapped$5 = wrapped;
    this.ds$5 = ds;
    $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext.prototype.init___Lamf_core_parser_ParserContext__s_Option.call(this, wrapped, ds);
    this.factory$5 = new $c_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this);
    this.vendor$5 = $m_Lamf_core_remote_Raml10$();
    this.syntax$5 = $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$();
    return this
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10WebApiContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10WebApiContext", {
  Lamf_plugins_document_webapi_contexts_Raml10WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  Lamf_core_parser_ErrorHandler: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext;
class $c_Lamf_plugins_document_webapi_model_Extension extends $c_Lamf_core_model_document_ExtensionLike {
  constructor() {
    super();
    this.fields$3 = null;
    this.annotations$3 = null
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$3
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$3
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$3 = fields;
    this.annotations$3 = annotations;
    $c_Lamf_core_model_document_Document.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_model_Extension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_Extension)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_Extension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_Extension)))
});
const $d_Lamf_plugins_document_webapi_model_Extension = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_Extension: 0
}, false, "amf.plugins.document.webapi.model.Extension", {
  Lamf_plugins_document_webapi_model_Extension: 1,
  Lamf_core_model_document_ExtensionLike: 1,
  Lamf_core_model_document_Document: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_Extension.prototype.$classData = $d_Lamf_plugins_document_webapi_model_Extension;
class $c_Lamf_plugins_document_webapi_model_Overlay extends $c_Lamf_core_model_document_ExtensionLike {
  constructor() {
    super();
    this.fields$3 = null;
    this.annotations$3 = null
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$3
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$3
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$3 = fields;
    this.annotations$3 = annotations;
    $c_Lamf_core_model_document_Document.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_model_Overlay = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_Overlay)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_Overlay = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_Overlay)))
});
const $d_Lamf_plugins_document_webapi_model_Overlay = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_Overlay: 0
}, false, "amf.plugins.document.webapi.model.Overlay", {
  Lamf_plugins_document_webapi_model_Overlay: 1,
  Lamf_core_model_document_ExtensionLike: 1,
  Lamf_core_model_document_Document: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_Overlay.prototype.$classData = $d_Lamf_plugins_document_webapi_model_Overlay;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$ extends $c_Lamf_plugins_domain_webapi_models_templates_ResourceType {
  init___() {
    $c_Lamf_plugins_domain_webapi_models_templates_ResourceType.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorResourceType$", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$: 1,
  Lamf_plugins_domain_webapi_models_templates_ResourceType: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$;
let $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$ = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$ extends $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme {
  init___() {
    $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorSecurityScheme$", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$: 1,
  Lamf_plugins_domain_webapi_models_security_SecurityScheme: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_webapi_models_security_WithSettings: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$;
let $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$ = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$ extends $c_Lamf_plugins_domain_webapi_models_templates_Trait {
  init___() {
    $c_Lamf_plugins_domain_webapi_models_templates_Trait.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorTrait$", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$: 1,
  Lamf_plugins_domain_webapi_models_templates_Trait: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$;
let $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$ = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait$
});
class $c_Lamf_plugins_domain_shapes_models_NilShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "NilShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(x$1)) {
      const NilShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = NilShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = NilShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_NilShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  adopted__T__Lamf_plugins_domain_shapes_models_NilShape(parent) {
    const value = ((parent + "/nil/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_NilShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_NilShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_NilShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_NilShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_NilShape)))
});
const $d_Lamf_plugins_domain_shapes_models_NilShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NilShape: 0
}, false, "amf.plugins.domain.shapes.models.NilShape", {
  Lamf_plugins_domain_shapes_models_NilShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NilShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NilShape;
class $c_Lamf_plugins_domain_shapes_models_NodeShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productPrefix__T() {
    return "NodeShape"
  };
  productArity__I() {
    return 2
  };
  adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(parent) {
    const value = ((parent + "/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value);
    this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.adopted__T__Lamf_core_model_domain_extensions_PropertyShape($this.id$1)
      })
    })(this)));
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x$1)) {
      const NodeShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = NodeShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = NodeShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  withInheritsObject__T__Lamf_plugins_domain_shapes_models_NodeShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  withInheritsScalar__T__Lamf_plugins_domain_shapes_models_ScalarShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(parent)
  };
  withDependency__Lamf_plugins_domain_shapes_models_PropertyDependencies() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, result);
    return result
  };
}
const $is_Lamf_plugins_domain_shapes_models_NodeShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_NodeShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_NodeShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_NodeShape)))
});
const $d_Lamf_plugins_domain_shapes_models_NodeShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NodeShape: 0
}, false, "amf.plugins.domain.shapes.models.NodeShape", {
  Lamf_plugins_domain_shapes_models_NodeShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NodeShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NodeShape;
class $c_Lamf_plugins_domain_shapes_models_SchemaShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "SchemaShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x$1)) {
      const SchemaShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = SchemaShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = SchemaShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_SchemaShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  adopted__T__Lamf_plugins_domain_shapes_models_SchemaShape(parent) {
    const value = ((parent + "/schema/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_SchemaShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_SchemaShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_SchemaShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_SchemaShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_SchemaShape)))
});
const $d_Lamf_plugins_domain_shapes_models_SchemaShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_SchemaShape: 0
}, false, "amf.plugins.domain.shapes.models.SchemaShape", {
  Lamf_plugins_domain_shapes_models_SchemaShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_SchemaShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_SchemaShape;
class $c_Lamf_plugins_domain_shapes_models_UnionShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  adopted__T__Lamf_plugins_domain_shapes_models_UnionShape(parent) {
    const value = ((parent + "/union/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  productPrefix__T() {
    return "UnionShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x$1)) {
      const UnionShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = UnionShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = UnionShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_UnionShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_UnionShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_UnionShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_UnionShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_UnionShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_UnionShape)))
});
const $d_Lamf_plugins_domain_shapes_models_UnionShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnionShape: 0
}, false, "amf.plugins.domain.shapes.models.UnionShape", {
  Lamf_plugins_domain_shapes_models_UnionShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnionShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnionShape;
const $f_sc_IndexedSeqOptimized__head__O = (function($thiz) {
  return ($f_sc_IndexedSeqOptimized__isEmpty__Z($thiz) ? $thiz.iterator__sc_Iterator().next__O() : $thiz.apply__I__O(0))
});
const $f_sc_IndexedSeqOptimized__lengthCompare__I__I = (function($thiz, len) {
  return (($thiz.length__I() - len) | 0)
});
const $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z = (function($thiz, that) {
  if ($is_sc_IndexedSeq(that)) {
    const x2 = that;
    const len = $thiz.length__I();
    if ((len === x2.length__I())) {
      let i = 0;
      while (((i < len) && $m_sr_BoxesRunTime$().equals__O__O__Z($thiz.apply__I__O(i), x2.apply__I__O(i)))) {
        i = ((1 + i) | 0)
      };
      return (i === len)
    } else {
      return false
    }
  } else {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z($thiz, that)
  }
});
const $f_sc_IndexedSeqOptimized__exists__F1__Z = (function($thiz, p) {
  return ($f_sc_IndexedSeqOptimized__prefixLengthImpl__psc_IndexedSeqOptimized__F1__Z__I($thiz, p, false) !== $thiz.length__I())
});
const $f_sc_IndexedSeqOptimized__isEmpty__Z = (function($thiz) {
  return ($thiz.length__I() === 0)
});
const $f_sc_IndexedSeqOptimized__prefixLengthImpl__psc_IndexedSeqOptimized__F1__Z__I = (function($thiz, p, expectTrue) {
  let i = 0;
  while (((i < $thiz.length__I()) && ((!(!p.apply__O__O($thiz.apply__I__O(i)))) === expectTrue))) {
    i = ((1 + i) | 0)
  };
  return i
});
const $f_sc_IndexedSeqOptimized__dropWhile__F1__O = (function($thiz, p) {
  return $thiz.drop__I__O($f_sc_IndexedSeqOptimized__segmentLength__F1__I__I($thiz, p, 0))
});
const $f_sc_IndexedSeqOptimized__forall__F1__Z = (function($thiz, p) {
  return ($f_sc_IndexedSeqOptimized__prefixLengthImpl__psc_IndexedSeqOptimized__F1__Z__I($thiz, p, true) === $thiz.length__I())
});
const $f_sc_IndexedSeqOptimized__foreach__F1__V = (function($thiz, f) {
  let i = 0;
  const len = $thiz.length__I();
  while ((i < len)) {
    f.apply__O__O($thiz.apply__I__O(i));
    i = ((1 + i) | 0)
  }
});
const $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I = (function($thiz, p, from) {
  const start = ((from > 0) ? from : 0);
  const len = $thiz.length__I();
  let i = start;
  while (true) {
    let jsx$1;
    if ((i < len)) {
      const arg1 = $thiz.apply__I__O(i);
      jsx$1 = (!(!(!p.apply__O__O(arg1))))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      i = ((1 + i) | 0)
    } else {
      break
    }
  };
  const n = ((start + ((i - start) | 0)) | 0);
  return $f_sc_IndexedSeqOptimized__negLength__psc_IndexedSeqOptimized__I__I($thiz, n)
});
const $f_sc_IndexedSeqOptimized__takeWhile__F1__O = (function($thiz, p) {
  return $thiz.take__I__O($f_sc_IndexedSeqOptimized__segmentLength__F1__I__I($thiz, p, 0))
});
const $f_sc_IndexedSeqOptimized__slice__I__I__O = (function($thiz, from, until) {
  const lo = ((from > 0) ? from : 0);
  const x = ((until > 0) ? until : 0);
  const y = $thiz.length__I();
  const hi = ((x < y) ? x : y);
  const x$1 = ((hi - lo) | 0);
  const elems = ((x$1 > 0) ? x$1 : 0);
  const b = $thiz.newBuilder__scm_Builder();
  b.sizeHint__I__V(elems);
  let i = lo;
  while ((i < hi)) {
    b.$$plus$eq__O__scm_Builder($thiz.apply__I__O(i));
    i = ((1 + i) | 0)
  };
  return b.result__O()
});
const $f_sc_IndexedSeqOptimized__reverse__O = (function($thiz) {
  const b = $thiz.newBuilder__scm_Builder();
  b.sizeHint__I__V($thiz.length__I());
  let i = $thiz.length__I();
  while ((i > 0)) {
    i = (((-1) + i) | 0);
    b.$$plus$eq__O__scm_Builder($thiz.apply__I__O(i))
  };
  return b.result__O()
});
const $f_sc_IndexedSeqOptimized__find__F1__s_Option = (function($thiz, p) {
  const len = $thiz.length__I();
  let i = 0;
  while (true) {
    let jsx$1;
    if ((i < len)) {
      const arg1 = $thiz.apply__I__O(i);
      jsx$1 = (!(!(!p.apply__O__O(arg1))))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      i = ((1 + i) | 0)
    } else {
      break
    }
  };
  const i$1 = i;
  return ((i$1 < $thiz.length__I()) ? new $c_s_Some().init___O($thiz.apply__I__O(i$1)) : $m_s_None$())
});
const $f_sc_IndexedSeqOptimized__span__F1__T2 = (function($thiz, p) {
  return $thiz.splitAt__I__T2($f_sc_IndexedSeqOptimized__segmentLength__F1__I__I($thiz, p, 0))
});
const $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O = (function($thiz, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  const len = $thiz.length__I();
  b.sizeHint__I__V(len);
  let i = 0;
  while ((i < len)) {
    b.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O($thiz.apply__I__O(i), i));
    i = ((1 + i) | 0)
  };
  return b.result__O()
});
const $f_sc_IndexedSeqOptimized__splitAt__I__T2 = (function($thiz, n) {
  return new $c_T2().init___O__O($thiz.take__I__O(n), $thiz.drop__I__O(n))
});
const $f_sc_IndexedSeqOptimized__last__O = (function($thiz) {
  return (($thiz.length__I() > 0) ? $thiz.apply__I__O((((-1) + $thiz.length__I()) | 0)) : $f_sc_TraversableLike__last__O($thiz))
});
const $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O = (function($thiz, start, end, z, op) {
  _foldl: while (true) {
    if ((start === end)) {
      return z
    } else {
      const temp$start = ((1 + start) | 0);
      const temp$z = op.apply__O__O__O(z, $thiz.apply__I__O(start));
      start = temp$start;
      z = temp$z;
      continue _foldl
    }
  }
});
const $f_sc_IndexedSeqOptimized__tail__O = (function($thiz) {
  return ($f_sc_IndexedSeqOptimized__isEmpty__Z($thiz) ? $thiz.scala$collection$IndexedSeqOptimized$$super$tail__O() : $thiz.slice__I__I__O(1, $thiz.length__I()))
});
const $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  let i = 0;
  let j = start;
  const x = $thiz.length__I();
  const x$1 = ((x < len) ? x : len);
  const that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const end = ((x$1 < that) ? x$1 : that);
  while ((i < end)) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, j, $thiz.apply__I__O(i));
    i = ((1 + i) | 0);
    j = ((1 + j) | 0)
  }
});
const $f_sc_IndexedSeqOptimized__negLength__psc_IndexedSeqOptimized__I__I = (function($thiz, n) {
  return ((n >= $thiz.length__I()) ? (-1) : n)
});
const $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I = (function($thiz, p, from) {
  const len = $thiz.length__I();
  let i = from;
  while (((i < len) && (!(!p.apply__O__O($thiz.apply__I__O(i)))))) {
    i = ((1 + i) | 0)
  };
  return ((i - from) | 0)
});
const $f_sc_IndexedSeqOptimized__dropRight__I__O = (function($thiz, n) {
  return $thiz.slice__I__I__O(0, (($thiz.length__I() - ((n > 0) ? n : 0)) | 0))
});
const $f_sc_IndexedSeqOptimized__reduceLeft__F2__O = (function($thiz, op) {
  if (($thiz.length__I() > 0)) {
    let start = 1;
    const end = $thiz.length__I();
    let z = $thiz.apply__I__O(0);
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O($thiz, start, end, z, op)
  } else {
    return $f_sc_TraversableOnce__reduceLeft__F2__O($thiz, op)
  }
});
const $f_sc_IndexedSeqOptimized__zip__sc_GenIterable__scg_CanBuildFrom__O = (function($thiz, that, bf) {
  if ($is_sc_IndexedSeq(that)) {
    const x2 = that;
    const b = bf.apply__O__scm_Builder($thiz.repr__O());
    let i = 0;
    const x = $thiz.length__I();
    const that$1 = x2.length__I();
    const len = ((x < that$1) ? x : that$1);
    b.sizeHint__I__V(len);
    while ((i < len)) {
      b.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O($thiz.apply__I__O(i), x2.apply__I__O(i)));
      i = ((1 + i) | 0)
    };
    return b.result__O()
  } else {
    return $thiz.scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf)
  }
});
const $f_sc_LinearSeqOptimized__apply__I__O = (function($thiz, n) {
  const rest = $thiz.drop__I__sc_LinearSeqOptimized(n);
  if (((n < 0) || rest.isEmpty__Z())) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
  };
  return rest.head__O()
});
const $f_sc_LinearSeqOptimized__dropRight__I__sc_LinearSeqOptimized = (function($thiz, n) {
  const b = $thiz.companion__scg_GenericCompanion().newBuilder__scm_Builder();
  let these = $thiz;
  let lead = $thiz.drop__I__sc_LinearSeqOptimized(n);
  while ((!lead.isEmpty__Z())) {
    b.$$plus$eq__O__scm_Builder(these.head__O());
    these = these.tail__O();
    lead = lead.tail__O()
  };
  return b.result__O()
});
const $f_sc_LinearSeqOptimized__lengthCompare__I__I = (function($thiz, len) {
  if ((len < 0)) {
    return 1
  } else {
    let i = 0;
    let xs = $thiz;
    return $f_sc_LinearSeqOptimized__loop$1__psc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I($thiz, i, xs, len)
  }
});
const $f_sc_LinearSeqOptimized__exists__F1__Z = (function($thiz, p) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ((!(!p.apply__O__O(these.head__O())))) {
      return true
    };
    these = these.tail__O()
  };
  return false
});
const $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z = (function($thiz, that) {
  if ($is_sc_LinearSeq(that)) {
    const x2 = that;
    if (($thiz === x2)) {
      return true
    } else {
      let these = $thiz;
      let those = x2;
      while ((((!these.isEmpty__Z()) && (!those.isEmpty__Z())) && $m_sr_BoxesRunTime$().equals__O__O__Z(these.head__O(), those.head__O()))) {
        these = these.tail__O();
        those = those.tail__O()
      };
      return (these.isEmpty__Z() && those.isEmpty__Z())
    }
  } else {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z($thiz, that)
  }
});
const $f_sc_LinearSeqOptimized__forall__F1__Z = (function($thiz, p) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ((!(!(!p.apply__O__O(these.head__O()))))) {
      return false
    };
    these = these.tail__O()
  };
  return true
});
const $f_sc_LinearSeqOptimized__foldLeft__O__F2__O = (function($thiz, z, op) {
  let acc = z;
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    acc = op.apply__O__O__O(acc, these.head__O());
    these = these.tail__O()
  };
  return acc
});
const $f_sc_LinearSeqOptimized__indexWhere__F1__I__I = (function($thiz, p, from) {
  let i = ((from > 0) ? from : 0);
  let these = $thiz.drop__I__sc_LinearSeqOptimized(from);
  while (true) {
    const this$3 = these;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
      if ((!(!p.apply__O__O(these.head__O())))) {
        return i
      };
      i = ((1 + i) | 0);
      these = these.tail__O()
    } else {
      break
    }
  };
  return (-1)
});
const $f_sc_LinearSeqOptimized__find__F1__s_Option = (function($thiz, p) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ((!(!p.apply__O__O(these.head__O())))) {
      return new $c_s_Some().init___O(these.head__O())
    };
    these = these.tail__O()
  };
  return $m_s_None$()
});
const $f_sc_LinearSeqOptimized__span__F1__T2 = (function($thiz, p) {
  let these = $thiz;
  const b = $thiz.companion__scg_GenericCompanion().newBuilder__scm_Builder();
  while (((!these.isEmpty__Z()) && (!(!p.apply__O__O(these.head__O()))))) {
    b.$$plus$eq__O__scm_Builder(these.head__O());
    these = these.tail__O()
  };
  return new $c_T2().init___O__O(b.result__O(), these)
});
const $f_sc_LinearSeqOptimized__length__I = (function($thiz) {
  let these = $thiz;
  let len = 0;
  while ((!these.isEmpty__Z())) {
    len = ((1 + len) | 0);
    these = these.tail__O()
  };
  return len
});
const $f_sc_LinearSeqOptimized__last__O = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_ju_NoSuchElementException().init___()
  };
  let these = $thiz;
  let nx = these.tail__O();
  while ((!nx.isEmpty__Z())) {
    these = nx;
    nx = nx.tail__O()
  };
  return these.head__O()
});
const $f_sc_LinearSeqOptimized__contains__O__Z = (function($thiz, elem) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(these.head__O(), elem)) {
      return true
    };
    these = these.tail__O()
  };
  return false
});
const $f_sc_LinearSeqOptimized__isDefinedAt__I__Z = (function($thiz, x) {
  return ((x >= 0) && ($f_sc_LinearSeqOptimized__lengthCompare__I__I($thiz, x) > 0))
});
const $f_sc_LinearSeqOptimized__loop$1__psc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I = (function($thiz, i, xs, len$1) {
  _loop: while (true) {
    if ((i === len$1)) {
      return (xs.isEmpty__Z() ? 0 : 1)
    } else if (xs.isEmpty__Z()) {
      return (-1)
    } else {
      const temp$i = ((1 + i) | 0);
      const temp$xs = xs.tail__O();
      i = temp$i;
      xs = temp$xs;
      continue _loop
    }
  }
});
const $f_sc_LinearSeqOptimized__reduceLeft__F2__O = (function($thiz, op) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.reduceLeft")
  } else {
    return $thiz.tail__O().foldLeft__O__F2__O($thiz.head__O(), op)
  }
});
const $is_sc_LinearSeqOptimized = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqOptimized)))
});
const $isArrayOf_sc_LinearSeqOptimized = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqOptimized)))
});
const $f_sc_SetLike__isEmpty__Z = (function($thiz) {
  return ($thiz.size__I() === 0)
});
const $f_sc_SetLike__toBuffer__scm_Buffer = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$2$2) {
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$2$2)
    })
  })($thiz, result)));
  return result
});
const $f_sc_SetLike__toSeq__sc_Seq = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    const this$1 = $m_s_package$().Vector$1;
    return this$1.NIL$6
  } else {
    $m_s_package$();
    const vb = new $c_sci_VectorBuilder().init___();
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, vb$1) {
      return (function(x$1$2) {
        return vb$1.$$plus$eq__O__scm_Builder(x$1$2)
      })
    })($thiz, vb)));
    return vb.result__sci_Vector()
  }
});
const $f_sc_SetLike__$$plus$plus__sc_GenTraversableOnce__sc_Set = (function($thiz, elems) {
  const x$3 = $thiz;
  return elems.seq__sc_TraversableOnce().$$div$colon__O__F2__O(x$3, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(x$4$2, x$5$2) {
      const x$4 = x$4$2;
      return x$4.$$plus__O__sc_Set(x$5$2)
    })
  })($thiz)))
});
const $is_sc_SetLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_SetLike)))
});
const $isArrayOf_sc_SetLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_SetLike)))
});
const $f_sc_TraversableViewLike$Transformed__viewIdString__T = (function($thiz) {
  return (("" + $thiz.$$outer$1.viewIdString__T()) + $thiz.viewIdentifier__T())
});
const $f_sc_TraversableViewLike$Transformed__headOption__s_Option = (function($thiz) {
  const nonLocalReturnKey1 = new $c_O().init___();
  try {
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, nonLocalReturnKey1$1) {
      return (function(x$2) {
        throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1$1, new $c_s_Some().init___O(x$2))
      })
    })($thiz, nonLocalReturnKey1)));
    return $m_s_None$()
  } catch (e) {
    if ($is_sr_NonLocalReturnControl(e)) {
      const ex = e;
      if ((ex.key$2 === nonLocalReturnKey1)) {
        return ex.value__O()
      } else {
        throw ex
      }
    } else {
      throw e
    }
  }
});
class $c_Lamf_plugins_domain_shapes_models_ArrayShape extends $c_Lamf_plugins_domain_shapes_models_DataArrangementShape {
  productPrefix__T() {
    return "ArrayShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x$1)) {
      const ArrayShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = ArrayShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ArrayShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_ArrayShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ArrayShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ArrayShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ArrayShape)))
});
const $d_Lamf_plugins_domain_shapes_models_ArrayShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ArrayShape: 0
}, false, "amf.plugins.domain.shapes.models.ArrayShape", {
  Lamf_plugins_domain_shapes_models_ArrayShape: 1,
  Lamf_plugins_domain_shapes_models_DataArrangementShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ArrayShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ArrayShape;
class $c_Lamf_plugins_domain_shapes_models_FileShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "FileShape"
  };
  adopted__T__Lamf_plugins_domain_shapes_models_FileShape(parent) {
    const value = ((parent + "/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(x$1)) {
      const FileShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = FileShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = FileShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_FileShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_FileShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_FileShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_FileShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_FileShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_FileShape)))
});
const $d_Lamf_plugins_domain_shapes_models_FileShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_FileShape: 0
}, false, "amf.plugins.domain.shapes.models.FileShape", {
  Lamf_plugins_domain_shapes_models_FileShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_domain_shapes_models_CommonShapeFields: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_FileShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_FileShape;
class $c_Lamf_plugins_domain_shapes_models_MatrixShape extends $c_Lamf_plugins_domain_shapes_models_DataArrangementShape {
  productPrefix__T() {
    return "MatrixShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x$1)) {
      const MatrixShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = MatrixShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = MatrixShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_MatrixShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_MatrixShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_MatrixShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_MatrixShape)))
});
const $d_Lamf_plugins_domain_shapes_models_MatrixShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_MatrixShape: 0
}, false, "amf.plugins.domain.shapes.models.MatrixShape", {
  Lamf_plugins_domain_shapes_models_MatrixShape: 1,
  Lamf_plugins_domain_shapes_models_DataArrangementShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_MatrixShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_MatrixShape;
class $c_Lamf_plugins_domain_shapes_models_ScalarShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "ScalarShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x$1)) {
      const ScalarShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = ScalarShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ScalarShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_ScalarShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  adopted__T__Lamf_plugins_domain_shapes_models_ScalarShape(parent) {
    const value = ((parent + "/scalar/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_ScalarShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_ScalarShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ScalarShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ScalarShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ScalarShape)))
});
const $d_Lamf_plugins_domain_shapes_models_ScalarShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ScalarShape: 0
}, false, "amf.plugins.domain.shapes.models.ScalarShape", {
  Lamf_plugins_domain_shapes_models_ScalarShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_domain_shapes_models_CommonShapeFields: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ScalarShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ScalarShape;
class $c_Lamf_plugins_domain_shapes_models_TupleShape extends $c_Lamf_plugins_domain_shapes_models_DataArrangementShape {
  productPrefix__T() {
    return "TupleShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x$1)) {
      const TupleShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = TupleShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = TupleShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_TupleShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  adopted__T__Lamf_plugins_domain_shapes_models_TupleShape(parent) {
    const value = ((parent + "/array/") + this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value);
    if ($m_s_Option$().apply__O__s_Option(this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)).isDefined__Z()) {
      this.fields$2.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return x$1.adopted__T__Lamf_core_model_domain_AmfObject($this.id$1)
        })
      })(this)))
    };
    return this
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  adopted__T__Lamf_plugins_domain_shapes_models_DataArrangementShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_TupleShape(parent)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_TupleShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_TupleShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_TupleShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_TupleShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_TupleShape)))
});
const $d_Lamf_plugins_domain_shapes_models_TupleShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TupleShape: 0
}, false, "amf.plugins.domain.shapes.models.TupleShape", {
  Lamf_plugins_domain_shapes_models_TupleShape: 1,
  Lamf_plugins_domain_shapes_models_DataArrangementShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_TupleShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TupleShape;
class $c_Lamf_plugins_domain_shapes_models_UnresolvedShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  constructor() {
    super();
    this.reference$3 = null;
    this.ctx$3 = null
  };
  productPrefix__T() {
    return "UnresolvedShape"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_UnresolvedShape(x$1)) {
      const UnresolvedShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = UnresolvedShape$1.fields$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = UnresolvedShape$1.annotations$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.reference$3 === UnresolvedShape$1.reference$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  adopted__T__Lamf_plugins_domain_shapes_models_AnyShape(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_UnresolvedShape(parent)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      case 2: {
        return this.reference$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    return this
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_ShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T(fields, annotations, reference) {
    this.reference$3 = reference;
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    this.ctx$3 = $m_s_None$();
    return this
  };
  adopted__T__Lamf_plugins_domain_shapes_models_UnresolvedShape(parent) {
    const value = (parent + "/unresolved");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_UnresolvedShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_UnresolvedShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_UnresolvedShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_UnresolvedShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_UnresolvedShape)))
});
const $d_Lamf_plugins_domain_shapes_models_UnresolvedShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnresolvedShape: 0
}, false, "amf.plugins.domain.shapes.models.UnresolvedShape", {
  Lamf_plugins_domain_shapes_models_UnresolvedShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_core_parser_UnresolvedReference: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnresolvedShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnresolvedShape;
class $c_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext {
  init___() {
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext.prototype.init___Lamf_core_parser_ParserContext__s_Option.call(this, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()), $m_s_None$());
    return this
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    return defaultValue
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    /*<skip>*/
  };
  violation__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, id, node, property, message, lexical)
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    /*<skip>*/
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext: 0
}, false, "amf.plugins.domain.webapi.resolution.CustomRaml08WebApiContext", {
  Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_Raml08WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  Lamf_core_parser_ErrorHandler: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext;
class $c_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext {
  init___() {
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext.prototype.init___Lamf_core_parser_ParserContext__s_Option.call(this, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations("", this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___()), $m_s_None$());
    return this
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    return defaultValue
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    /*<skip>*/
  };
  violation__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    $m_Lamf_core_services_RuntimeValidator$().reportConstraintFailure__T__T__T__s_Option__T__s_Option__V(level, id, node, property, message, lexical)
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    /*<skip>*/
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext: 0
}, false, "amf.plugins.domain.webapi.resolution.CustomRaml10WebApiContext", {
  Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_Raml10WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  Lamf_core_parser_ErrorHandler: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext;
const $is_sc_Iterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Iterable)))
});
const $isArrayOf_sc_Iterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Iterable)))
});
const $f_sc_MapLike__apply__O__O = (function($thiz, key) {
  const x1 = $thiz.get__O__s_Option(key);
  const x = $m_s_None$();
  if ((x === x1)) {
    return $thiz.$default__O__O(key)
  } else if ($is_s_Some(x1)) {
    const x2 = x1;
    const value = x2.value$2;
    return value
  } else {
    throw new $c_s_MatchError().init___O(x1)
  }
});
const $f_sc_MapLike__isEmpty__Z = (function($thiz) {
  return ($thiz.size__I() === 0)
});
const $f_sc_MapLike__toBuffer__scm_Buffer = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$7$2) {
      const x$7 = x$7$2;
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$7)
    })
  })($thiz, result)));
  return result
});
const $f_sc_MapLike__$default__O__O = (function($thiz, key) {
  throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
});
const $f_sc_MapLike__contains__O__Z = (function($thiz, key) {
  return $thiz.get__O__s_Option(key).isDefined__Z()
});
const $f_sc_MapLike__addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function($thiz, b, start, sep, end) {
  const this$2 = $thiz.iterator__sc_Iterator();
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const k = x0$1.$$und1__O();
        const v = x0$1.$$und2__O();
        return (("" + $m_s_Predef$any2stringadd$().$$plus$extension__O__T__T(k, " -> ")) + v)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz));
  const this$3 = new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$2, f);
  return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this$3, b, start, sep, end)
});
const $f_sc_MapLike__toSeq__sc_Seq = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    const this$1 = $m_s_package$().Vector$1;
    return this$1.NIL$6
  } else {
    $m_s_package$();
    const vb = new $c_sci_VectorBuilder().init___();
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, vb$1) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return vb$1.$$plus$eq__O__scm_Builder(x$6)
      })
    })($thiz, vb)));
    return vb.result__sci_Vector()
  }
});
const $f_sc_MapLike__filterNot__F1__sc_Map = (function($thiz, p) {
  const elem = $thiz;
  const res = new $c_sr_ObjectRef().init___O(elem);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, res$1) {
    return (function(kv$2) {
      const kv = kv$2;
      if ((!(!p$1.apply__O__O(kv)))) {
        res$1.elem$1 = res$1.elem$1.$$minus__O__sc_Map(kv.$$und1__O())
      }
    })
  })($thiz, p, res)));
  return res.elem$1
});
const $f_sc_MapLike__applyOrElse__O__F1__O = (function($thiz, x, $default) {
  const x1 = $thiz.get__O__s_Option(x);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    return v
  } else {
    const x$1 = $m_s_None$();
    if ((x$1 === x1)) {
      return $default.apply__O__O(x)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $is_sc_MapLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_MapLike)))
});
const $isArrayOf_sc_MapLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_MapLike)))
});
const $f_sc_TraversableViewLike$Appended__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$Appended$$$outer__sc_TraversableViewLike().foreach__F1__V(f);
  $thiz.rest__sc_GenTraversable().foreach__F1__V(f)
});
const $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V = (function($thiz, f) {
  const go = new $c_sr_BooleanRef().init___Z(false);
  $thiz.scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, go$1) {
    return (function(x$2) {
      if (((!go$1.elem$1) && (!(!(!$this.pred__F1().apply__O__O(x$2)))))) {
        go$1.elem$1 = true
      };
      return (go$1.elem$1 ? f$1.apply__O__O(x$2) : (void 0))
    })
  })($thiz, f, go)))
});
const $f_sc_TraversableViewLike$Filtered__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2) {
      return ((!(!$this.pred__F1().apply__O__O(x$2))) ? f$1.apply__O__O(x$2) : (void 0))
    })
  })($thiz, f)))
});
const $f_sc_TraversableViewLike$FlatMapped__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$FlatMapped$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2) {
      $this.mapping__F1().apply__O__O(x$2).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, f$5) {
        return (function(y$2) {
          return f$5.apply__O__O(y$2)
        })
      })($this, f$1)))
    })
  })($thiz, f)))
});
const $f_sc_TraversableViewLike$Mapped__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$Mapped$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2) {
      return f$1.apply__O__O($this.mapping__F1().apply__O__O(x$2))
    })
  })($thiz, f)))
});
const $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V = (function($thiz, f) {
  const nonLocalReturnKey3 = new $c_O().init___();
  try {
    $thiz.scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, nonLocalReturnKey3$1) {
      return (function(x$2) {
        if ((!(!(!$this.pred__F1().apply__O__O(x$2))))) {
          throw new $c_sr_NonLocalReturnControl$mcV$sp().init___O__sr_BoxedUnit(nonLocalReturnKey3$1, (void 0))
        };
        return f$1.apply__O__O(x$2)
      })
    })($thiz, f, nonLocalReturnKey3)))
  } catch (e) {
    if ($is_sr_NonLocalReturnControl(e)) {
      const ex = e;
      if ((ex.key$2 === nonLocalReturnKey3)) {
        ex.value$mcV$sp__V()
      } else {
        throw ex
      }
    } else {
      throw e
    }
  }
});
const $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map = (function($thiz, xs) {
  const x$1 = $thiz;
  return xs.seq__sc_TraversableOnce().$$div$colon__O__F2__O(x$1, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(x$2$2, x$3$2) {
      const x$2 = x$2$2;
      const x$3 = x$3$2;
      return x$2.$$plus__T2__sci_Map(x$3)
    })
  })($thiz)))
});
const $f_sci_MapLike__updated__O__O__sci_Map = (function($thiz, key, value) {
  return $thiz.$$plus__T2__sci_Map(new $c_T2().init___O__O(key, value))
});
const $is_sci_MapLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_MapLike)))
});
const $isArrayOf_sci_MapLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_MapLike)))
});
const $f_sci_StringLike__scala$collection$immutable$StringLike$$isLineBreak__C__Z = (function($thiz, c) {
  return ((c === 10) || (c === 12))
});
const $f_sci_StringLike__parseBoolean__psci_StringLike__T__Z = (function($thiz, s) {
  if ((s !== null)) {
    const x1 = s.toLowerCase();
    if ((x1 === "true")) {
      return true
    } else if ((x1 === "false")) {
      return false
    } else {
      throw new $c_jl_IllegalArgumentException().init___T((("For input string: \"" + s) + "\""))
    }
  } else {
    throw new $c_jl_IllegalArgumentException().init___T("For input string: \"null\"")
  }
});
const $f_sci_StringLike__escape__psci_StringLike__C__T = (function($thiz, ch) {
  return (((((ch >= 97) && (ch <= 122)) || ((ch >= 65) && (ch <= 90))) || ((ch >= 48) && (ch <= 57))) ? $g.String.fromCharCode(ch) : ("\\" + new $c_jl_Character().init___C(ch)))
});
const $f_sci_StringLike__slice__I__I__O = (function($thiz, from, until) {
  const start = ((from > 0) ? from : 0);
  const that = $thiz.length__I();
  const end = ((until < that) ? until : that);
  if ((start >= end)) {
    return $thiz.newBuilder__scm_Builder().result__O()
  } else {
    const jsx$1 = $thiz.newBuilder__scm_Builder();
    const thiz = $thiz.toString__T();
    const x = thiz.substring(start, end);
    return jsx$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sci_StringOps().init___T(x)).result__O()
  }
});
const $f_sci_StringLike__split__C__AT = (function($thiz, separator) {
  const thiz = $thiz.toString__T();
  const regex = $f_sci_StringLike__escape__psci_StringLike__C__T($thiz, separator);
  return $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, regex, 0)
});
const $f_sci_StringLike__$$times__I__T = (function($thiz, n) {
  const buf = new $c_scm_StringBuilder().init___();
  const isEmpty$4 = (n <= 0);
  const scala$collection$immutable$Range$$lastElement$4 = (((-1) + n) | 0);
  if ((!isEmpty$4)) {
    let i = 0;
    while (true) {
      const arg1 = i;
      buf.append__T__scm_StringBuilder($thiz.toString__T());
      if ((i === scala$collection$immutable$Range$$lastElement$4)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  const this$4 = buf.underlying$5;
  return this$4.content$1
});
const $f_sci_StringLike__capitalize__T = (function($thiz) {
  if (($thiz.toString__T() === null)) {
    return null
  } else {
    const thiz = $thiz.toString__T();
    if (((thiz.length | 0) === 0)) {
      return ""
    } else {
      const thiz$1 = $thiz.toString__T();
      const c = (65535 & (thiz$1.charCodeAt(0) | 0));
      const this$5 = $m_jl_Character$();
      if (this$5.isUpperCase__I__Z(c)) {
        return $thiz.toString__T()
      } else {
        const chars = $m_sjsr_RuntimeString$().toCharArray__T__AC($thiz.toString__T());
        const c$1 = chars.u[0];
        chars.u[0] = $m_jl_Character$().toUpperCase__C__C(c$1);
        const this$8 = $m_sjsr_RuntimeString$();
        return this$8.newString__AC__I__I__T(chars, 0, chars.u.length)
      }
    }
  }
});
const $f_sci_StringLike__stripPrefix__T__T = (function($thiz, prefix) {
  const thiz = $thiz.toString__T();
  if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
    const thiz$1 = $thiz.toString__T();
    const beginIndex = (prefix.length | 0);
    return thiz$1.substring(beginIndex)
  } else {
    return $thiz.toString__T()
  }
});
const $f_sci_StringLike__stripSuffix__T__T = (function($thiz, suffix) {
  if ($m_sjsr_RuntimeString$().endsWith__T__T__Z($thiz.toString__T(), suffix)) {
    const thiz$1 = $thiz.toString__T();
    const thiz = $thiz.toString__T();
    const endIndex = (((thiz.length | 0) - (suffix.length | 0)) | 0);
    return thiz$1.substring(0, endIndex)
  } else {
    return $thiz.toString__T()
  }
});
const $f_sci_StringLike__stripMargin__C__T = (function($thiz, marginChar) {
  const buf = new $c_scm_StringBuilder().init___();
  const this$1 = new $c_sci_StringLike$$anon$1().init___sci_StringLike($thiz);
  while (this$1.hasNext__Z()) {
    const arg1 = this$1.next__T();
    const len = (arg1.length | 0);
    let index = 0;
    while (true) {
      let jsx$1;
      if ((index < len)) {
        const index$1 = index;
        jsx$1 = ((65535 & (arg1.charCodeAt(index$1) | 0)) <= 32)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        index = ((1 + index) | 0)
      } else {
        break
      }
    };
    let jsx$3;
    if ((index < len)) {
      const index$2 = index;
      jsx$3 = ((65535 & (arg1.charCodeAt(index$2) | 0)) === marginChar)
    } else {
      jsx$3 = false
    };
    let jsx$2;
    if (jsx$3) {
      const beginIndex = ((1 + index) | 0);
      jsx$2 = arg1.substring(beginIndex)
    } else {
      jsx$2 = arg1
    };
    buf.append__T__scm_StringBuilder(jsx$2)
  };
  const this$7 = buf.underlying$5;
  return this$7.content$1
});
class $c_sjs_js_IterableOps extends $c_O {
  constructor() {
    super();
    this.scala$scalajs$js$IterableOps$$self$f = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    return value
  };
  toIterator__sc_Iterator() {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    return new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self)
  };
  init___sjs_js_Iterable(self) {
    this.scala$scalajs$js$IterableOps$$self$f = self;
    return this
  };
  isEmpty__Z() {
    return $f_sc_IterableLike__isEmpty__Z(this)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Iterable$()
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      f.apply__O__O(value)
    }
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  iterator__sc_Iterator() {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    return new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self)
  };
  find__F1__s_Option(p) {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      if ((!(!p.apply__O__O(value)))) {
        return new $c_s_Some().init___O(value)
      }
    };
    return $m_s_None$()
  };
  span__F1__T2(p) {
    return $f_sc_TraversableLike__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  toStream__sci_Stream() {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    const this$3 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    return $f_sc_Iterator__toStream__sci_Stream(this$3)
  };
  drop__I__O(n) {
    return $f_sc_IterableLike__drop__I__O(this, n)
  };
  tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this
  };
  toSeq__sc_Seq() {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    const this$3 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    return $f_sc_Iterator__toStream__sci_Stream(this$3)
  };
  repr__O() {
    return this
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    const this$3 = new $c_sjs_js_Iterator$WrappedIterator().init___sjs_js_Iterator(__self);
    return $f_sc_Iterator__toStream__sci_Stream(this$3)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    const __self = this.scala$scalajs$js$IterableOps$$self$f[$g.Symbol.iterator]();
    let scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = null;
    scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
    while ((!(!(!scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.done)))) {
      const value = scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f.value;
      scala$scalajs$js$Iterator$WrappedIterator$$lastEntry$f = __self.next();
      b.$$plus$eq__T2__scm_MapBuilder(value)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    $m_sc_Iterable$();
    $m_sci_Iterable$();
    return new $c_scm_ListBuffer().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $d_sjs_js_IterableOps = new $TypeData().initClass({
  sjs_js_IterableOps: 0
}, false, "scala.scalajs.js.IterableOps", {
  sjs_js_IterableOps: 1,
  O: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1
});
$c_sjs_js_IterableOps.prototype.$classData = $d_sjs_js_IterableOps;
class $c_sc_AbstractIterable extends $c_sc_AbstractTraversable {
  seq__sc_TraversableOnce() {
    return this.seq__sc_Iterable()
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  thisCollection__sc_Iterable() {
    return this
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  thisCollection__sc_Traversable() {
    return this.thisCollection__sc_Iterable()
  };
  seq__sc_Iterable() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_IterableLike__isEmpty__Z(this)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Iterable$()
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IterableLike__takeWhile__F1__O(this, p)
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  drop__I__O(n) {
    return $f_sc_IterableLike__drop__I__O(this, n)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
}
const $is_sci_Iterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Iterable)))
});
const $isArrayOf_sci_Iterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Iterable)))
});
const $d_sci_Iterable = new $TypeData().initClass({
  sci_Iterable: 0
}, true, "scala.collection.immutable.Iterable", {
  sci_Iterable: 1,
  sci_Traversable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  s_Immutable: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1
});
const $is_scm_Iterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Iterable)))
});
const $isArrayOf_scm_Iterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Iterable)))
});
const $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O = (function($thiz, bf) {
  const this$1 = $m_sci_Stream$();
  return $thiz.zip__sc_GenIterable__scg_CanBuildFrom__O(this$1.from__I__I__sci_Stream(0, 1), bf)
});
const $f_sc_IterableViewLike__drop__I__sc_IterableView = (function($thiz, n) {
  const xs = $f_sc_SeqViewLike__newDropped__I__sc_SeqViewLike$Transformed($thiz, n);
  return xs
});
class $c_sci_StringOps extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    const c = (65535 & ($$this.charCodeAt(idx) | 0));
    return new $c_jl_Character().init___C(c)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, ($$this.length | 0))
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_sci_StringOps$().equals$extension__T__O__Z(this.repr$1, x$1)
  };
  apply__I__C(index) {
    const $$this = this.repr$1;
    return (65535 & ($$this.charCodeAt(index) | 0))
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    const $$this = this.repr$1;
    return $$this
  };
  compareTo__O__I(that) {
    const other = that;
    const $$this = this.repr$1;
    return (($$this === other) ? 0 : ((!(!($$this < other))) ? (-1) : 1))
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = ($$this.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  compare__O__I(that) {
    const other = that;
    const $$this = this.repr$1;
    return (($$this === other) ? 0 : ((!(!($$this < other))) ? (-1) : 1))
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $m_sci_StringOps$().slice$extension__T__I__I__T(this.repr$1, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return ($$this.length | 0)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, ($$this.length | 0))
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return ($$this.length | 0)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return ($$this.length | 0)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $m_sci_StringOps$().slice$extension__T__I__I__T(this.repr$1, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, ($$this.length | 0));
    return $f_sc_Iterator__toStream__sci_Stream(this$3)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = ($$this.length | 0);
    return $m_sci_StringOps$().slice$extension__T__I__I__T(this.repr$1, n, until)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = ($$this.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $m_sjsr_RuntimeString$().hashCode__T__I($$this)
  };
  init___T(repr) {
    this.repr$1 = repr;
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = ($$this.length | 0);
    while ((i < len)) {
      const arg1 = this.apply__I__O(i);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const jsx$1 = $m_sjsr_RuntimeString$();
    const $$this = this.repr$1;
    return jsx$1.toCharArray__T__AC($$this)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_StringBuilder().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_sci_StringOps = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_StringOps)))
});
const $isArrayOf_sci_StringOps = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_StringOps)))
});
const $d_sci_StringOps = new $TypeData().initClass({
  sci_StringOps: 0
}, false, "scala.collection.immutable.StringOps", {
  sci_StringOps: 1,
  O: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_StringOps.prototype.$classData = $d_sci_StringOps;
const $f_scm_ArrayOps__elementClass__pscm_ArrayOps__jl_Class = (function($thiz) {
  const this$1 = $thiz.repr__O();
  return $objectGetClass(this$1).getComponentType__jl_Class()
});
const $f_scm_ArrayOps__slice__I__I__O = (function($thiz, from, until) {
  const lo = ((from > 0) ? from : 0);
  const x = ((until > 0) ? until : 0);
  const y = $m_sr_ScalaRunTime$().array$undlength__O__I($thiz.repr__O());
  const hi = ((x < y) ? x : y);
  const x$1 = ((hi - lo) | 0);
  const size = ((x$1 > 0) ? x$1 : 0);
  const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($f_scm_ArrayOps__elementClass__pscm_ArrayOps__jl_Class($thiz), size);
  if ((size > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V($thiz.repr__O(), lo, result, 0, size)
  };
  return result
});
const $f_scm_ArrayOps__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  const that = $m_sr_ScalaRunTime$().array$undlength__O__I($thiz.repr__O());
  const x = ((len < that) ? len : that);
  const that$1 = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const l = ((x < that$1) ? x : that$1);
  if ((l > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V($thiz.repr__O(), 0, xs, start, l)
  }
});
const $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O = (function($thiz, evidence$1) {
  const thatElementClass = evidence$1.runtimeClass__jl_Class();
  return (($f_scm_ArrayOps__elementClass__pscm_ArrayOps__jl_Class($thiz) === thatElementClass) ? $thiz.repr__O() : $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O($thiz, evidence$1))
});
const $is_scm_ArrayOps = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps)))
});
const $isArrayOf_scm_ArrayOps = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps)))
});
class $c_sc_MapLike$DefaultValuesIterable extends $c_sc_AbstractIterable {
  constructor() {
    super();
    this.$$outer$3 = null
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$3.valuesIterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  size__I() {
    return this.$$outer$3.size__I()
  };
  iterator__sc_Iterator() {
    return this.$$outer$3.valuesIterator__sc_Iterator()
  };
  init___sc_MapLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    return this
  };
}
const $d_sc_MapLike$DefaultValuesIterable = new $TypeData().initClass({
  sc_MapLike$DefaultValuesIterable: 0
}, false, "scala.collection.MapLike$DefaultValuesIterable", {
  sc_MapLike$DefaultValuesIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_MapLike$DefaultValuesIterable.prototype.$classData = $d_sc_MapLike$DefaultValuesIterable;
const $is_sc_Seq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Seq)))
});
const $isArrayOf_sc_Seq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Seq)))
});
class $c_scm_ArrayOps$ofBoolean extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofBoolean$().equals$extension__AZ__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  init___AZ(repr) {
    this.repr$1 = repr;
    return this
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofBoolean().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofBoolean = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofBoolean)))
});
const $isArrayOf_scm_ArrayOps$ofBoolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofBoolean)))
});
const $d_scm_ArrayOps$ofBoolean = new $TypeData().initClass({
  scm_ArrayOps$ofBoolean: 0
}, false, "scala.collection.mutable.ArrayOps$ofBoolean", {
  scm_ArrayOps$ofBoolean: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofBoolean.prototype.$classData = $d_scm_ArrayOps$ofBoolean;
class $c_scm_ArrayOps$ofByte extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofByte$().equals$extension__AB__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  init___AB(repr) {
    this.repr$1 = repr;
    return this
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofByte().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofByte = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofByte)))
});
const $isArrayOf_scm_ArrayOps$ofByte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofByte)))
});
const $d_scm_ArrayOps$ofByte = new $TypeData().initClass({
  scm_ArrayOps$ofByte: 0
}, false, "scala.collection.mutable.ArrayOps$ofByte", {
  scm_ArrayOps$ofByte: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofByte.prototype.$classData = $d_scm_ArrayOps$ofByte;
class $c_scm_ArrayOps$ofChar extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    const c = $$this.u[idx];
    return new $c_jl_Character().init___C(c)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofChar$().equals$extension__AC__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  init___AC(repr) {
    this.repr$1 = repr;
    return this
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const arg1 = this.apply__I__O(i);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofChar().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofChar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofChar)))
});
const $isArrayOf_scm_ArrayOps$ofChar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofChar)))
});
const $d_scm_ArrayOps$ofChar = new $TypeData().initClass({
  scm_ArrayOps$ofChar: 0
}, false, "scala.collection.mutable.ArrayOps$ofChar", {
  scm_ArrayOps$ofChar: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofChar.prototype.$classData = $d_scm_ArrayOps$ofChar;
class $c_scm_ArrayOps$ofDouble extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofDouble$().equals$extension__AD__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  init___AD(repr) {
    this.repr$1 = repr;
    return this
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofDouble().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofDouble = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofDouble)))
});
const $isArrayOf_scm_ArrayOps$ofDouble = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofDouble)))
});
const $d_scm_ArrayOps$ofDouble = new $TypeData().initClass({
  scm_ArrayOps$ofDouble: 0
}, false, "scala.collection.mutable.ArrayOps$ofDouble", {
  scm_ArrayOps$ofDouble: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofDouble.prototype.$classData = $d_scm_ArrayOps$ofDouble;
class $c_scm_ArrayOps$ofFloat extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofFloat$().equals$extension__AF__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  init___AF(repr) {
    this.repr$1 = repr;
    return this
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofFloat().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofFloat = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofFloat)))
});
const $isArrayOf_scm_ArrayOps$ofFloat = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofFloat)))
});
const $d_scm_ArrayOps$ofFloat = new $TypeData().initClass({
  scm_ArrayOps$ofFloat: 0
}, false, "scala.collection.mutable.ArrayOps$ofFloat", {
  scm_ArrayOps$ofFloat: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofFloat.prototype.$classData = $d_scm_ArrayOps$ofFloat;
class $c_scm_ArrayOps$ofInt extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofInt$().equals$extension__AI__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  init___AI(repr) {
    this.repr$1 = repr;
    return this
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofInt().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofInt)))
});
const $isArrayOf_scm_ArrayOps$ofInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofInt)))
});
const $d_scm_ArrayOps$ofInt = new $TypeData().initClass({
  scm_ArrayOps$ofInt: 0
}, false, "scala.collection.mutable.ArrayOps$ofInt", {
  scm_ArrayOps$ofInt: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofInt.prototype.$classData = $d_scm_ArrayOps$ofInt;
class $c_scm_ArrayOps$ofLong extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  init___AJ(repr) {
    this.repr$1 = repr;
    return this
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofLong$().equals$extension__AJ__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const t = $$this$1.u[idx];
      const lo = t.lo$2;
      const hi = t.hi$2;
      b.$$plus$eq__T2__scm_MapBuilder(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofLong().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofLong)))
});
const $isArrayOf_scm_ArrayOps$ofLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofLong)))
});
const $d_scm_ArrayOps$ofLong = new $TypeData().initClass({
  scm_ArrayOps$ofLong: 0
}, false, "scala.collection.mutable.ArrayOps$ofLong", {
  scm_ArrayOps$ofLong: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofLong.prototype.$classData = $d_scm_ArrayOps$ofLong;
class $c_scm_ArrayOps$ofRef extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(index) {
    const $$this = this.repr$1;
    return $$this.u[index]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofRef$().equals$extension__AO__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  init___AO(repr) {
    this.repr$1 = repr;
    return this
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const index = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[index];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    const $$this = this.repr$1;
    return new $c_scm_ArrayBuilder$ofRef().init___s_reflect_ClassTag($m_s_reflect_ClassTag$().apply__jl_Class__s_reflect_ClassTag($objectGetClass($$this).getComponentType__jl_Class()))
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofRef)))
});
const $isArrayOf_scm_ArrayOps$ofRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofRef)))
});
const $d_scm_ArrayOps$ofRef = new $TypeData().initClass({
  scm_ArrayOps$ofRef: 0
}, false, "scala.collection.mutable.ArrayOps$ofRef", {
  scm_ArrayOps$ofRef: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofRef.prototype.$classData = $d_scm_ArrayOps$ofRef;
class $c_scm_ArrayOps$ofShort extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  init___AS(repr) {
    this.repr$1 = repr;
    return this
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofShort$().equals$extension__AS__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofShort().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofShort = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofShort)))
});
const $isArrayOf_scm_ArrayOps$ofShort = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofShort)))
});
const $d_scm_ArrayOps$ofShort = new $TypeData().initClass({
  scm_ArrayOps$ofShort: 0
}, false, "scala.collection.mutable.ArrayOps$ofShort", {
  scm_ArrayOps$ofShort: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofShort.prototype.$classData = $d_scm_ArrayOps$ofShort;
class $c_scm_ArrayOps$ofUnit extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofUnit$().equals$extension__Asr_BoxedUnit__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  init___Asr_BoxedUnit(repr) {
    this.repr$1 = repr;
    return this
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = (void 0);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofUnit().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofUnit)))
});
const $isArrayOf_scm_ArrayOps$ofUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofUnit)))
});
const $d_scm_ArrayOps$ofUnit = new $TypeData().initClass({
  scm_ArrayOps$ofUnit: 0
}, false, "scala.collection.mutable.ArrayOps$ofUnit", {
  scm_ArrayOps$ofUnit: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofUnit.prototype.$classData = $d_scm_ArrayOps$ofUnit;
const $f_sc_IterableViewLike$Transformed__isEmpty__Z = (function($thiz) {
  return (!$thiz.iterator__sc_Iterator().hasNext__Z())
});
const $is_sc_Map = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Map)))
});
const $isArrayOf_sc_Map = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Map)))
});
const $is_sc_Set = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Set)))
});
const $isArrayOf_sc_Set = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Set)))
});
class $c_scm_AbstractIterable extends $c_sc_AbstractIterable {
}
const $f_scm_BufferLike__clone__scm_Buffer = (function($thiz) {
  const bf = $thiz.newBuilder__scm_Builder();
  bf.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz);
  return bf.result__O()
});
const $f_scm_BufferLike__$$minus$eq__O__scm_Buffer = (function($thiz, x) {
  const i = $thiz.indexOf__O__I(x);
  if ((i !== (-1))) {
    $thiz.remove__I__O(i)
  };
  return $thiz
});
const $is_scm_BufferLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_BufferLike)))
});
const $isArrayOf_scm_BufferLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_BufferLike)))
});
class $c_scm_HashMap$$anon$2 extends $c_sc_MapLike$DefaultValuesIterable {
  constructor() {
    super();
    this.$$outer$4 = null
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$4;
    const iterTable = this$1.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const next = es.next__O();
      const arg1 = es;
      const e = arg1;
      f.apply__O__O(e.value$1);
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    }
  };
  init___scm_HashMap($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    $c_sc_MapLike$DefaultValuesIterable.prototype.init___sc_MapLike.call(this, $$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$2 = new $TypeData().initClass({
  scm_HashMap$$anon$2: 0
}, false, "scala.collection.mutable.HashMap$$anon$2", {
  scm_HashMap$$anon$2: 1,
  sc_MapLike$DefaultValuesIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap$$anon$2.prototype.$classData = $d_scm_HashMap$$anon$2;
const $is_sjs_js_ArrayOps = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_ArrayOps)))
});
const $isArrayOf_sjs_js_ArrayOps = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_ArrayOps)))
});
const $f_sc_DefaultMap__$$plus__T2__sc_Map = (function($thiz, kv) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, $thiz);
  const elem = new $c_T2().init___O__O(kv.$$und1__O(), kv.$$und2__O());
  b.$$plus$eq__T2__scm_MapBuilder(elem);
  return b.elems$1
});
const $f_sc_DefaultMap__$$minus__O__sc_Map = (function($thiz, key) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($thiz.empty__sc_Map());
  const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return (!$m_sr_BoxesRunTime$().equals__O__O__Z(key$1, x$1.$$und1__O()))
    })
  })($thiz, key));
  const xs = $f_sc_TraversableLike__filterImpl__F1__Z__O($thiz, p, false);
  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, xs);
  return b.elems$1
});
const $is_sc_IndexedSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeq)))
});
const $isArrayOf_sc_IndexedSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeq)))
});
const $f_sc_IterableViewLike$Zipped__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$Zipped$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const that = $thiz.other__sc_GenIterable().iterator__sc_Iterator();
  return new $c_sc_Iterator$$anon$18().init___sc_Iterator__sc_Iterator(this$1, that)
});
const $is_sc_LinearSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeq)))
});
const $isArrayOf_sc_LinearSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeq)))
});
const $f_scm_MapLike__put__O__O__s_Option = (function($thiz, key, value) {
  const r = $thiz.get__O__s_Option(key);
  $thiz.update__O__O__V(key, value);
  return r
});
const $f_scm_MapLike__remove__O__s_Option = (function($thiz, key) {
  const r = $thiz.get__O__s_Option(key);
  $thiz.$$minus$eq__O__scm_MapLike(key);
  return r
});
const $f_scm_MapLike__update__O__O__V = (function($thiz, key, value) {
  $thiz.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(key, value))
});
const $f_scm_MapLike__updated__O__O__scm_Map = (function($thiz, key, value) {
  return $thiz.$$plus__T2__scm_Map(new $c_T2().init___O__O(key, value))
});
const $f_scm_MapLike__getOrElseUpdate__O__F0__O = (function($thiz, key, op) {
  const x1 = $thiz.get__O__s_Option(key);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    return v
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      const d = op.apply__O();
      $thiz.update__O__O__V(key, d);
      return d
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_scm_MapLike__toSeq__sc_Seq = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$1)
    })
  })($thiz, result)));
  return result
});
const $f_scm_MapLike__clear__V = (function($thiz) {
  const this$1 = $thiz.keysIterator__sc_Iterator();
  while (this$1.hasNext__Z()) {
    const arg1 = this$1.next__O();
    $thiz.$$minus$eq__O__scm_MapLike(arg1)
  }
});
const $is_scm_MapLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_MapLike)))
});
const $isArrayOf_scm_MapLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_MapLike)))
});
const $f_scm_SetLike__clone__scm_Set = (function($thiz) {
  const jsx$1 = $thiz.empty__sc_Set();
  const this$1 = $thiz;
  return jsx$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1)
});
const $f_scm_SetLike__toSeq__sc_Seq = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$1$2) {
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$1$2)
    })
  })($thiz, result)));
  return result
});
const $f_sc_IterableViewLike$Appended__iterator__sc_Iterator = (function($thiz) {
  return $thiz.scala$collection$IterableViewLike$Appended$$$outer__sc_IterableViewLike().iterator__sc_Iterator().$$plus$plus__F0__sc_Iterator(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      return $this.rest__sc_GenTraversable()
    })
  })($thiz)))
});
const $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const p = $thiz.pred__F1();
  return new $c_sc_Iterator$$anon$17().init___sc_Iterator__F1(this$1, p)
});
const $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const p = $thiz.pred__F1();
  return new $c_sc_Iterator$$anon$12().init___sc_Iterator__F1(this$1, p)
});
const $f_sc_IterableViewLike$FlatMapped__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$FlatMapped$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const f = $thiz.mapping__F1();
  return new $c_sc_Iterator$$anon$11().init___sc_Iterator__F1(this$1, f)
});
const $f_sc_IterableViewLike$Mapped__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$Mapped$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const f = $thiz.mapping__F1();
  return new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$1, f)
});
const $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const p = $thiz.pred__F1();
  return new $c_sc_Iterator$$anon$15().init___sc_Iterator__F1(this$1, p)
});
class $c_sc_AbstractSeq extends $c_sc_AbstractIterable {
  indexOf__O__I__I(elem, from) {
    return $f_sc_GenSeqLike__indexOf__O__I__I(this, elem, from)
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  isEmpty__Z() {
    return $f_sc_SeqLike__isEmpty__Z(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  size__I() {
    return this.length__I()
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  thisCollection__sc_Seq() {
    return this
  };
  toSeq__sc_Seq() {
    return this.thisCollection__sc_Seq()
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  indexOf__O__I(elem) {
    return this.indexOf__O__I__I(elem, 0)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this.seq__sc_Seq())
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
}
const $is_sci_Seq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Seq)))
});
const $isArrayOf_sci_Seq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Seq)))
});
class $c_sc_AbstractMap extends $c_sc_AbstractIterable {
  seq__sc_TraversableOnce() {
    return this.seq__sc_Map()
  };
  repr__scg_Subtractable() {
    return this
  };
  apply__O__O(key) {
    return $f_sc_MapLike__apply__O__O(this, key)
  };
  seq__sc_Iterable() {
    return this.seq__sc_Map()
  };
  isEmpty__Z() {
    return $f_sc_MapLike__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  equals__O__Z(that) {
    return $f_sc_GenMapLike__equals__O__Z(this, that)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  keysIterator__sc_Iterator() {
    return new $c_sc_MapLike$$anon$1().init___sc_MapLike(this)
  };
  empty__sc_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  toBuffer__scm_Buffer() {
    return $f_sc_MapLike__toBuffer__scm_Buffer(this)
  };
  seq__sc_Map() {
    return this
  };
  values__sc_Iterable() {
    return new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
  valuesIterator__sc_Iterator() {
    return new $c_sc_MapLike$$anon$2().init___sc_MapLike(this)
  };
  $default__O__O(key) {
    return $f_sc_MapLike__$default__O__O(this, key)
  };
  contains__O__Z(key) {
    return $f_sc_MapLike__contains__O__Z(this, key)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_MapLike__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toSeq__sc_Seq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  isDefinedAt__O__Z(key) {
    return this.contains__O__Z(key)
  };
  keySet__sc_Set() {
    return new $c_sc_MapLike$DefaultKeySet().init___sc_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return this.toSeq__sc_Seq()
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const xs = this.seq__sc_Map();
    return this$1.unorderedHash__sc_TraversableOnce__I__I(xs, this$1.mapSeed$2)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_sc_MapLike__applyOrElse__O__F1__O(this, x, $default)
  };
  keys__sc_Iterable() {
    return this.keySet__sc_Set()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_Map())
  };
  stringPrefix__T() {
    return "Map"
  };
}
class $c_sc_AbstractSet extends $c_sc_AbstractIterable {
  seq__sc_TraversableOnce() {
    return this.seq__sc_Set()
  };
  repr__scg_Subtractable() {
    return this
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  seq__sc_Iterable() {
    return this.seq__sc_Set()
  };
  isEmpty__Z() {
    return $f_sc_SetLike__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  equals__O__Z(that) {
    return $f_sc_GenSetLike__equals__O__Z(this, that)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Set$()
  };
  subsetOf__sc_GenSet__Z(that) {
    return this.forall__F1__Z(that)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_SetLike__toBuffer__scm_Buffer(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return this.contains__O__Z(v1)
  };
  empty__sc_Set() {
    return this.empty__sc_GenSet()
  };
  seq__sc_Set() {
    return this
  };
  toSeq__sc_Seq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  diff__sc_GenSet__sc_Set(that) {
    return $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable(this, that)
  };
  empty__sc_GenSet() {
    return this.companion__scg_GenericCompanion().empty__sc_GenTraversable()
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const xs = this.seq__sc_Set();
    return this$1.unorderedHash__sc_TraversableOnce__I__I(xs, this$1.setSeed$2)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  $$plus$plus__sc_GenTraversableOnce__sc_Set(elems) {
    return $f_sc_SetLike__$$plus$plus__sc_GenTraversableOnce__sc_Set(this, elems)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_SetBuilder().init___sc_Set(this.empty__sc_Set())
  };
  stringPrefix__T() {
    return "Set"
  };
}
const $is_sci_Set = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Set)))
});
const $isArrayOf_sci_Set = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Set)))
});
const $f_sc_SeqViewLike__distinct__sc_SeqView = (function($thiz) {
  return $thiz.newForced__F0__sc_SeqViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      return $f_sc_ViewMkString__thisSeq__sc_Seq($this).distinct__O()
    })
  })($thiz)))
});
const $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O = (function($thiz, elem, bf) {
  $m_sc_Iterator$();
  const xs = new $c_sc_Iterator$$anon$3().init___O(elem);
  return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O($thiz, xs, bf)
});
const $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView = (function($thiz, f, ord) {
  return $thiz.newForced__F0__sc_SeqViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1, ord$1) {
    return (function() {
      return $f_sc_ViewMkString__thisSeq__sc_Seq($this).sortBy__F1__s_math_Ordering__O(f$1, ord$1)
    })
  })($thiz, f, ord)))
});
const $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView = (function($thiz, ord) {
  return $thiz.newForced__F0__sc_SeqViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, ord$1) {
    return (function() {
      return $f_sc_ViewMkString__thisSeq__sc_Seq($this).sorted__s_math_Ordering__O(ord$1)
    })
  })($thiz, ord)))
});
const $f_sc_SeqViewLike__newDropped__I__sc_SeqViewLike$Transformed = (function($thiz, n) {
  return $thiz.newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed($m_scg_SliceInterval$().apply__I__I__scg_SliceInterval(n, 2147483647))
});
const $is_sci_Map = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Map)))
});
const $isArrayOf_sci_Map = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Map)))
});
class $c_sc_MapLike$FilteredKeys extends $c_sc_AbstractMap {
  constructor() {
    super();
    this.p$4 = null;
    this.$$outer$4 = null
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sc_Map(elem)
  };
  $$plus__T2__sc_Map(kv) {
    return $f_sc_DefaultMap__$$plus__T2__sc_Map(this, kv)
  };
  foreach__F1__V(f) {
    this.$$outer$4.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
      return (function(kv$2) {
        const kv = kv$2;
        return ((!(!$this.p$4.apply__O__O(kv.$$und1__O()))) ? f$1.apply__O__O(kv) : (void 0))
      })
    })(this, f)))
  };
  $$minus__O__sc_Map(key) {
    return $f_sc_DefaultMap__$$minus__O__sc_Map(this, key)
  };
  init___sc_MapLike__F1($$outer, p) {
    this.p$4 = p;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    return this
  };
  iterator__sc_Iterator() {
    const this$1 = this.$$outer$4.iterator__sc_Iterator();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(kv$2) {
        const kv = kv$2;
        return (!(!$this.p$4.apply__O__O(kv.$$und1__O())))
      })
    })(this));
    return new $c_sc_Iterator$$anon$12().init___sc_Iterator__F1(this$1, p)
  };
  get__O__s_Option(key) {
    return ((!(!(!this.p$4.apply__O__O(key)))) ? $m_s_None$() : this.$$outer$4.get__O__s_Option(key))
  };
  contains__O__Z(key) {
    return ((!(!this.p$4.apply__O__O(key))) && this.$$outer$4.contains__O__Z(key))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sc_Map(kv)
  };
}
const $d_sc_MapLike$FilteredKeys = new $TypeData().initClass({
  sc_MapLike$FilteredKeys: 0
}, false, "scala.collection.MapLike$FilteredKeys", {
  sc_MapLike$FilteredKeys: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sc_DefaultMap: 1
});
$c_sc_MapLike$FilteredKeys.prototype.$classData = $d_sc_MapLike$FilteredKeys;
class $c_sc_MapLike$MappedValues extends $c_sc_AbstractMap {
  constructor() {
    super();
    this.f$4 = null;
    this.$$outer$4 = null
  };
  foreach__F1__V(g) {
    const this$1 = this.$$outer$4;
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this));
    new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$1, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, g$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        if ((x$1 !== null)) {
          const k = x$1.$$und1__O();
          const v = x$1.$$und2__O();
          return g$1.apply__O__O(new $c_T2().init___O__O(k, this$2.f$4.apply__O__O(v)))
        } else {
          throw new $c_s_MatchError().init___O(x$1)
        }
      })
    })(this, g)))
  };
  init___sc_MapLike__F1($$outer, f) {
    this.f$4 = f;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    return this
  };
  size__I() {
    return this.$$outer$4.size__I()
  };
  iterator__sc_Iterator() {
    const this$1 = this.$$outer$4.iterator__sc_Iterator();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$2$2) {
        const check$ifrefutable$2 = check$ifrefutable$2$2;
        return (check$ifrefutable$2 !== null)
      })
    })(this));
    const this$3 = new $c_sc_Iterator$$anon$12().init___sc_Iterator__F1(this$1, p);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        if ((x$2 !== null)) {
          const k = x$2.$$und1__O();
          const v = x$2.$$und2__O();
          return new $c_T2().init___O__O(k, this$2.f$4.apply__O__O(v))
        } else {
          throw new $c_s_MatchError().init___O(x$2)
        }
      })
    })(this));
    return new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$3, f)
  };
  get__O__s_Option(key) {
    const this$1 = this.$$outer$4.get__O__s_Option(key);
    const f = this.f$4;
    return (this$1.isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O(f.apply__O__O(this$1.get__O())))
  };
  contains__O__Z(key) {
    return this.$$outer$4.contains__O__Z(key)
  };
}
const $is_sc_SeqView = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_SeqView)))
});
const $isArrayOf_sc_SeqView = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_SeqView)))
});
const $f_sci_DefaultMap__$$plus__T2__sci_Map = (function($thiz, kv) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, $thiz);
  const elem = new $c_T2().init___O__O(kv.$$und1__O(), kv.$$und2__O());
  b.$$plus$eq__T2__scm_MapBuilder(elem);
  return b.elems$1
});
const $f_sci_DefaultMap__$$minus__O__sci_Map = (function($thiz, key) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
    return (function(kv$2) {
      const kv = kv$2;
      return (!$m_sr_BoxesRunTime$().equals__O__O__Z(kv.$$und1__O(), key$1))
    })
  })($thiz, key));
  new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1($thiz, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, b$1) {
    return (function(kv$3$2) {
      const kv$3 = kv$3$2;
      return b$1.$$plus$eq__O__scm_Builder(kv$3)
    })
  })($thiz, b)));
  return b.elems$1
});
const $is_sci_IndexedSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_IndexedSeq)))
});
const $isArrayOf_sci_IndexedSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_IndexedSeq)))
});
class $c_sc_Map$WithDefault extends $c_sc_AbstractMap {
  constructor() {
    super();
    this.underlying$4 = null;
    this.d$4 = null
  };
  init___sc_Map__F1(underlying, d) {
    this.underlying$4 = underlying;
    this.d$4 = d;
    return this
  };
  iterator__sc_Iterator() {
    return this.underlying$4.iterator__sc_Iterator()
  };
  size__I() {
    return this.underlying$4.size__I()
  };
  $default__O__O(key) {
    return this.d$4.apply__O__O(key)
  };
  get__O__s_Option(key) {
    return this.underlying$4.get__O__s_Option(key)
  };
}
class $c_sc_MapLike$DefaultKeySet extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.$$outer$4 = null
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sc_Set(elem)
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$4.keysIterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  size__I() {
    return this.$$outer$4.size__I()
  };
  iterator__sc_Iterator() {
    return this.$$outer$4.keysIterator__sc_Iterator()
  };
  $$minus__O__sc_Set(elem) {
    return $m_sc_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$minus__O__sc_Set(elem)
  };
  init___sc_MapLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    return this
  };
  contains__O__Z(key) {
    return this.$$outer$4.contains__O__Z(key)
  };
  $$plus__O__sc_Set(elem) {
    return $m_sc_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$plus__O__sc_Set(elem)
  };
}
const $d_sc_MapLike$DefaultKeySet = new $TypeData().initClass({
  sc_MapLike$DefaultKeySet: 0
}, false, "scala.collection.MapLike$DefaultKeySet", {
  sc_MapLike$DefaultKeySet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_MapLike$DefaultKeySet.prototype.$classData = $d_sc_MapLike$DefaultKeySet;
class $c_sc_SeqLike$$anon$2 extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sc_SeqViewLike$$anon$7().init___sc_SeqViewLike__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  apply__I__O(idx) {
    return this.$$outer$1.apply__I__O(idx)
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, asTraversable)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_SeqLike__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Seq$()
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  viewIdString__T() {
    return ""
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__I__O(v1)))
  };
  iterator__sc_Iterator() {
    return this.$$outer$1.iterator__sc_Iterator()
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableViewLike__span__F1__T2(this, p)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  length__I() {
    return this.$$outer$1.length__I()
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$9().init___sc_SeqViewLike__F1(this, p)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  drop__I__O(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this
  };
  filter__F1__sc_TraversableView(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  indexOf__O__I(elem) {
    return $f_sc_GenSeqLike__indexOf__O__I__I(this, elem, 0)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$6().init___sc_SeqViewLike__F1(this, p)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    const this$2 = this.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_SeqLike__segmentLength__F1__I__I(this, p, from)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  init___sc_SeqLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$8().init___sc_SeqViewLike__F1(this, p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  stringPrefix__T() {
    return "SeqView"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
}
const $d_sc_SeqLike$$anon$2 = new $TypeData().initClass({
  sc_SeqLike$$anon$2: 0
}, false, "scala.collection.SeqLike$$anon$2", {
  sc_SeqLike$$anon$2: 1,
  O: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1
});
$c_sc_SeqLike$$anon$2.prototype.$classData = $d_sc_SeqLike$$anon$2;
class $c_scm_HashMap$$anon$1 extends $c_sc_MapLike$DefaultKeySet {
  constructor() {
    super();
    this.$$outer$5 = null
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$5;
    const iterTable = this$1.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const next = es.next__O();
      const arg1 = es;
      const e = arg1;
      f.apply__O__O(e.key$1);
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    }
  };
  init___scm_HashMap($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$5 = $$outer
    };
    $c_sc_MapLike$DefaultKeySet.prototype.init___sc_MapLike.call(this, $$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$1 = new $TypeData().initClass({
  scm_HashMap$$anon$1: 0
}, false, "scala.collection.mutable.HashMap$$anon$1", {
  scm_HashMap$$anon$1: 1,
  sc_MapLike$DefaultKeySet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap$$anon$1.prototype.$classData = $d_scm_HashMap$$anon$1;
class $c_scm_LinkedHashMap$DefaultKeySet extends $c_sc_MapLike$DefaultKeySet {
  empty__sc_Set() {
    return new $c_scm_LinkedHashSet().init___()
  };
  empty__sc_GenSet() {
    return new $c_scm_LinkedHashSet().init___()
  };
  init___scm_LinkedHashMap($$outer) {
    $c_sc_MapLike$DefaultKeySet.prototype.init___sc_MapLike.call(this, $$outer);
    return this
  };
}
const $d_scm_LinkedHashMap$DefaultKeySet = new $TypeData().initClass({
  scm_LinkedHashMap$DefaultKeySet: 0
}, false, "scala.collection.mutable.LinkedHashMap$DefaultKeySet", {
  scm_LinkedHashMap$DefaultKeySet: 1,
  sc_MapLike$DefaultKeySet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_LinkedHashMap$DefaultKeySet.prototype.$classData = $d_scm_LinkedHashMap$DefaultKeySet;
class $c_sci_AbstractMap extends $c_sc_AbstractMap {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Iterable$()
  };
  empty__sc_Map() {
    return this.empty__sci_Map()
  };
  empty__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  seq__sc_Map() {
    return this
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this, xs)
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
}
class $c_sci_Stream$$anon$1 extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sci_StreamViewLike$$anon$7().init___sci_StreamViewLike__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  apply__I__O(idx) {
    const this$1 = this.$$outer$1;
    return $f_sc_LinearSeqOptimized__apply__I__O(this$1, idx)
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, asTraversable)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_SeqLike__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Seq$()
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  viewIdString__T() {
    return ""
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  init___sci_Stream($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  filter__F1__O(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__I__O(v1)))
  };
  iterator__sc_Iterator() {
    const this$1 = this.$$outer$1;
    return new $c_sci_StreamIterator().init___sci_Stream(this$1)
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableViewLike__span__F1__T2(this, p)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$2().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  length__I() {
    return this.$$outer$1.length__I()
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$9().init___sci_StreamViewLike__F1(this, p)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  drop__I__O(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this
  };
  filter__F1__sc_TraversableView(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  indexOf__O__I(elem) {
    return $f_sc_GenSeqLike__indexOf__O__I__I(this, elem, 0)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$6().init___sci_StreamViewLike__F1(this, p)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    const this$2 = this.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_SeqLike__segmentLength__F1__I__I(this, p, from)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$8().init___sci_StreamViewLike__F1(this, p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  stringPrefix__T() {
    return "StreamView"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sci_StreamViewLike$$anon$10().init___sci_StreamViewLike__sc_GenIterable(this, that)
  };
}
const $d_sci_Stream$$anon$1 = new $TypeData().initClass({
  sci_Stream$$anon$1: 0
}, false, "scala.collection.immutable.Stream$$anon$1", {
  sci_Stream$$anon$1: 1,
  O: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1
});
$c_sci_Stream$$anon$1.prototype.$classData = $d_sci_Stream$$anon$1;
class $c_sc_SeqViewLike$AbstractTransformed extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this.seq__sc_Seq()
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sc_SeqViewLike$$anon$7().init___sc_SeqViewLike__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return this.newFlatMapped__F1__sc_TraversableViewLike$Transformed(asTraversable)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IterableViewLike$Transformed__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this.seq__sc_Seq()
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this.thisCollection__sc_Seq()
  };
  init___sc_SeqViewLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return this.newFlatMapped__F1__sc_TraversableViewLike$Transformed(f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  newDroppedWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$8().init___sc_SeqViewLike__F1(this, p)
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Seq$()
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  newFiltered__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$6().init___sc_SeqViewLike__F1(this, p)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  viewIdString__T() {
    return $f_sc_TraversableViewLike$Transformed__viewIdString__T(this)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableViewLike$Transformed__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return this.filter__F1__sc_TraversableView(p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  newFlatMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return this.newFlatMapped__F1__sc_SeqViewLike$Transformed(f)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
  newTakenWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$9().init___sc_SeqViewLike__F1(this, p)
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableViewLike__span__F1__T2(this, p)
  };
  newMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return this.newAppended__sc_GenTraversable__sc_SeqViewLike$Transformed(that)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  seq__sc_Seq() {
    return this
  };
  newZipped__sc_GenIterable__sc_SeqViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return this.newTakenWhile__F1__sc_SeqViewLike$Transformed(p)
  };
  drop__I__sc_IterableView(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  drop__I__O(n) {
    return this.drop__I__sc_IterableView(n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return this.newMapped__F1__sc_SeqViewLike$Transformed(f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return this.tail__sc_TraversableView()
  };
  thisCollection__sc_Seq() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this.thisCollection__sc_Traversable()
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this.thisCollection__sc_Seq()
  };
  filter__F1__sc_TraversableView(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    return this.foldLeft__O__F2__O(z, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  indexOf__O__I(elem) {
    return $f_sc_GenSeqLike__indexOf__O__I__I(this, elem, 0)
  };
  newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that) {
    return this.newZipped__sc_GenIterable__sc_SeqViewLike$Transformed(that)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this.thisCollection__sc_Seq()
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this.seq__sc_Seq())
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return this.newFiltered__F1__sc_SeqViewLike$Transformed(p)
  };
  newAppended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ev$1, b$1) {
      return (function(x$2) {
        return b$1.$$plus$eq__O__scm_Builder(x$2)
      })
    })(this, ev, b)));
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return this.newMapped__F1__sc_TraversableViewLike$Transformed(f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_SeqLike__segmentLength__F1__I__I(this, p, from)
  };
  newFlatMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return this.newDroppedWhile__F1__sc_SeqViewLike$Transformed(p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return this.newForced__F0__sc_SeqViewLike$Transformed(xs)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  stringPrefix__T() {
    return "SeqView"
  };
  tail__sc_TraversableView() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return this.newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that)
  };
}
const $f_sc_SeqViewLike$Zipped__length__I = (function($thiz) {
  return (($thiz.thatSeq__sc_Seq().lengthCompare__I__I($thiz.scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike().length__I()) <= 0) ? $thiz.thatSeq__sc_Seq().length__I() : $thiz.scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike().length__I())
});
const $f_sc_SeqViewLike$Zipped__thatSeq__sc_Seq = (function($thiz) {
  return $thiz.other__sc_GenIterable().seq__sc_Iterable().toSeq__sc_Seq()
});
const $f_sc_SeqViewLike$Zipped__apply__I__T2 = (function($thiz, idx) {
  return new $c_T2().init___O__O($thiz.scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike().apply__I__O(idx), $thiz.thatSeq__sc_Seq().apply__I__O(idx))
});
class $c_sci_ListSet extends $c_sc_AbstractSet {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  next__sci_ListSet() {
    throw new $c_ju_NoSuchElementException().init___T("next of empty set")
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_ListSet(elem)
  };
  isEmpty__Z() {
    return true
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__O__sci_ListSet(elem) {
    return new $c_sci_ListSet$Node().init___sci_ListSet__O(this, elem)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_ListSet$()
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    const this$1 = this.reverseList$1__p4__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1)
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_ListSet(elem)
  };
  empty__sc_Set() {
    return $m_sci_ListSet$EmptyListSet$()
  };
  reverseList$1__p4__sci_List() {
    let curr = this;
    let res = $m_sci_Nil$();
    while ((!curr.isEmpty__Z())) {
      const x$4 = curr.elem__O();
      const this$1 = res;
      res = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
      curr = curr.next__sci_ListSet()
    };
    return res
  };
  seq__sc_Set() {
    return this
  };
  elem__O() {
    throw new $c_ju_NoSuchElementException().init___T("elem of empty set")
  };
  contains__O__Z(elem) {
    return false
  };
  $$plus$plus__sc_GenTraversableOnce__sci_ListSet(xs) {
    return (xs.isEmpty__Z() ? this : xs.$$div$colon__O__F2__O(this, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x$2$2, x$3$2) {
        const x$2 = x$2$2;
        return x$2.$$plus__O__sci_ListSet(x$3$2)
      })
    })(this))))
  };
  toSet__sci_Set() {
    return this
  };
  $$minus__O__sci_ListSet(elem) {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_ListSet(elem)
  };
  $$plus$plus__sc_GenTraversableOnce__sc_Set(elems) {
    return this.$$plus$plus__sc_GenTraversableOnce__sci_ListSet(elems)
  };
  stringPrefix__T() {
    return "ListSet"
  };
}
const $is_sci_ListSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListSet)))
});
const $isArrayOf_sci_ListSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListSet)))
});
class $c_sci_Set$EmptySet$ extends $c_sc_AbstractSet {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    return this
  };
  apply__O__O(v1) {
    return false
  };
  $$minus__O__scg_Subtractable(elem) {
    return this
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  $$minus__O__sc_Set(elem) {
    return this
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  seq__sc_Set() {
    return this
  };
  contains__O__Z(elem) {
    return false
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return new $c_sci_Set$Set1().init___O(elem)
  };
}
const $d_sci_Set$EmptySet$ = new $TypeData().initClass({
  sci_Set$EmptySet$: 0
}, false, "scala.collection.immutable.Set$EmptySet$", {
  sci_Set$EmptySet$: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$EmptySet$.prototype.$classData = $d_sci_Set$EmptySet$;
let $n_sci_Set$EmptySet$ = (void 0);
const $m_sci_Set$EmptySet$ = (function() {
  if ((!$n_sci_Set$EmptySet$)) {
    $n_sci_Set$EmptySet$ = new $c_sci_Set$EmptySet$().init___()
  };
  return $n_sci_Set$EmptySet$
});
class $c_sci_Set$Set1 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  forall__F1__Z(p) {
    return (!(!p.apply__O__O(this.elem1$4)))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4)
  };
  size__I() {
    return 1
  };
  init___O(elem1) {
    this.elem1$4 = elem1;
    return this
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : $m_s_None$())
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set2().init___O__O(this.elem1$4, elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return $m_sci_Set$EmptySet$()
  };
  contains__O__Z(elem) {
    return $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4)
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? $m_sci_Set$EmptySet$() : this)
  };
}
const $d_sci_Set$Set1 = new $TypeData().initClass({
  sci_Set$Set1: 0
}, false, "scala.collection.immutable.Set$Set1", {
  sci_Set$Set1: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set1.prototype.$classData = $d_sci_Set$Set1;
class $c_sci_Set$Set2 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null;
    this.elem2$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  tail__sci_Set() {
    return new $c_sci_Set$Set1().init___O(this.elem2$4)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  init___O__O(elem1, elem2) {
    this.elem1$4 = elem1;
    this.elem2$4 = elem2;
    return this
  };
  forall__F1__Z(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) && (!(!p.apply__O__O(this.elem2$4))))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4);
    f.apply__O__O(this.elem2$4)
  };
  size__I() {
    return 2
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : ((!(!p.apply__O__O(this.elem2$4))) ? new $c_s_Some().init___O(this.elem2$4) : $m_s_None$()))
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return this.tail__sci_Set()
  };
  contains__O__Z(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4))
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? new $c_sci_Set$Set1().init___O(this.elem2$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4) ? new $c_sci_Set$Set1().init___O(this.elem1$4) : this))
  };
}
const $d_sci_Set$Set2 = new $TypeData().initClass({
  sci_Set$Set2: 0
}, false, "scala.collection.immutable.Set$Set2", {
  sci_Set$Set2: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set2.prototype.$classData = $d_sci_Set$Set2;
class $c_sci_Set$Set3 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null;
    this.elem2$4 = null;
    this.elem3$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  tail__sci_Set() {
    return new $c_sci_Set$Set2().init___O__O(this.elem2$4, this.elem3$4)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  forall__F1__Z(p) {
    return (((!(!p.apply__O__O(this.elem1$4))) && (!(!p.apply__O__O(this.elem2$4)))) && (!(!p.apply__O__O(this.elem3$4))))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4);
    f.apply__O__O(this.elem2$4);
    f.apply__O__O(this.elem3$4)
  };
  size__I() {
    return 3
  };
  init___O__O__O(elem1, elem2, elem3) {
    this.elem1$4 = elem1;
    this.elem2$4 = elem2;
    this.elem3$4 = elem3;
    return this
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : ((!(!p.apply__O__O(this.elem2$4))) ? new $c_s_Some().init___O(this.elem2$4) : ((!(!p.apply__O__O(this.elem3$4))) ? new $c_s_Some().init___O(this.elem3$4) : $m_s_None$())))
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set4().init___O__O__O__O(this.elem1$4, this.elem2$4, this.elem3$4, elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return this.tail__sci_Set()
  };
  contains__O__Z(elem) {
    return (($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4))
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? new $c_sci_Set$Set2().init___O__O(this.elem2$4, this.elem3$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4) ? new $c_sci_Set$Set2().init___O__O(this.elem1$4, this.elem3$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4) ? new $c_sci_Set$Set2().init___O__O(this.elem1$4, this.elem2$4) : this)))
  };
}
const $d_sci_Set$Set3 = new $TypeData().initClass({
  sci_Set$Set3: 0
}, false, "scala.collection.immutable.Set$Set3", {
  sci_Set$Set3: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set3.prototype.$classData = $d_sci_Set$Set3;
class $c_sci_Set$Set4 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null;
    this.elem2$4 = null;
    this.elem3$4 = null;
    this.elem4$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  tail__sci_Set() {
    return new $c_sci_Set$Set3().init___O__O__O(this.elem2$4, this.elem3$4, this.elem4$4)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  forall__F1__Z(p) {
    return ((((!(!p.apply__O__O(this.elem1$4))) && (!(!p.apply__O__O(this.elem2$4)))) && (!(!p.apply__O__O(this.elem3$4)))) && (!(!p.apply__O__O(this.elem4$4))))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4);
    f.apply__O__O(this.elem2$4);
    f.apply__O__O(this.elem3$4);
    f.apply__O__O(this.elem4$4)
  };
  size__I() {
    return 4
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4, this.elem4$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : ((!(!p.apply__O__O(this.elem2$4))) ? new $c_s_Some().init___O(this.elem2$4) : ((!(!p.apply__O__O(this.elem3$4))) ? new $c_s_Some().init___O(this.elem3$4) : ((!(!p.apply__O__O(this.elem4$4))) ? new $c_s_Some().init___O(this.elem4$4) : $m_s_None$()))))
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_HashSet().init___().$$plus__O__sci_HashSet(this.elem1$4).$$plus__O__sci_HashSet(this.elem2$4).$$plus__O__sci_HashSet(this.elem3$4).$$plus__O__sci_HashSet(this.elem4$4).$$plus__O__sci_HashSet(elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return this.tail__sci_Set()
  };
  contains__O__Z(elem) {
    return ((($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem4$4))
  };
  init___O__O__O__O(elem1, elem2, elem3, elem4) {
    this.elem1$4 = elem1;
    this.elem2$4 = elem2;
    this.elem3$4 = elem3;
    this.elem4$4 = elem4;
    return this
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem2$4, this.elem3$4, this.elem4$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem3$4, this.elem4$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, this.elem4$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem4$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, this.elem3$4) : this))))
  };
}
const $d_sci_Set$Set4 = new $TypeData().initClass({
  sci_Set$Set4: 0
}, false, "scala.collection.immutable.Set$Set4", {
  sci_Set$Set4: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set4.prototype.$classData = $d_sci_Set$Set4;
const $f_sc_SeqViewLike$Appended__apply__I__O = (function($thiz, idx) {
  return ((idx < $thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().length__I()) ? $thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().apply__I__O(idx) : $thiz.restSeq__sc_GenSeq().apply__I__O(((idx - $thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().length__I()) | 0)))
});
const $f_sc_SeqViewLike$Appended__length__I = (function($thiz) {
  return (($thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().length__I() + $thiz.restSeq__sc_GenSeq().length__I()) | 0)
});
const $f_sc_SeqViewLike$DroppedWhile__apply__I__O = (function($thiz, idx) {
  if ((idx >= 0)) {
    return $thiz.scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike().apply__I__O(((idx + $thiz.start__I()) | 0))
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  }
});
const $f_sc_SeqViewLike$DroppedWhile__length__I = (function($thiz) {
  return (($thiz.scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike().length__I() - $thiz.start__I()) | 0)
});
const $f_sc_SeqViewLike$Filtered__apply__I__O = (function($thiz, idx) {
  return $thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().apply__I__O($thiz.index__AI().u[idx])
});
const $f_sc_SeqViewLike$Filtered__length__I = (function($thiz) {
  return $thiz.index__AI().u.length
});
const $f_sc_SeqViewLike$Filtered__index__AI = (function($thiz) {
  let elem$1 = 0;
  elem$1 = 0;
  const arr = $newArrayObject($d_I.getArrayOf(), [$thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().length__I()]);
  const end = $thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().length__I();
  const isEmpty$4 = (end <= 0);
  const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
  if ((!isEmpty$4)) {
    let i = 0;
    while (true) {
      const v1 = i;
      if ((!(!$thiz.pred__F1().apply__O__O($thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().apply__I__O(v1))))) {
        arr.u[elem$1] = v1;
        elem$1 = ((1 + elem$1) | 0)
      };
      if ((i === scala$collection$immutable$Range$$lastElement$4)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  const n = elem$1;
  const x = ((n > 0) ? n : 0);
  const y = arr.u.length;
  const hi$2 = ((x < y) ? x : y);
  const size = ((hi$2 > 0) ? hi$2 : 0);
  const result = $newArrayObject($d_I.getArrayOf(), [size]);
  if ((size > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V(arr, 0, result, 0, size)
  };
  return result
});
const $f_sc_SeqViewLike$FlatMapped__apply__I__O = (function($thiz, idx) {
  if (((idx < 0) || (idx >= $f_sc_SeqViewLike$FlatMapped__length__I($thiz)))) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  const hi = (((-1) + $thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I()) | 0);
  const row = $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I($thiz, idx, 0, hi);
  return $thiz.mapping__F1().apply__O__O($thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().apply__I__O(row)).seq__sc_TraversableOnce().toSeq__sc_Seq().apply__I__O(((idx - $thiz.index__AI().u[row]) | 0))
});
const $f_sc_SeqViewLike$FlatMapped__length__I = (function($thiz) {
  return $thiz.index__AI().u[$thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I()]
});
const $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I = (function($thiz, idx, lo, hi) {
  const mid = ((((lo + hi) | 0) / 2) | 0);
  if ((idx < $thiz.index__AI().u[mid])) {
    const hi$1 = (((-1) + mid) | 0);
    return $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I($thiz, idx, lo, hi$1)
  } else if ((idx >= $thiz.index__AI().u[((1 + mid) | 0)])) {
    const lo$1 = ((1 + mid) | 0);
    return $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I($thiz, idx, lo$1, hi)
  } else {
    return mid
  }
});
const $f_sc_SeqViewLike$FlatMapped__index__AI = (function($thiz) {
  const index = $newArrayObject($d_I.getArrayOf(), [((1 + $thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I()) | 0)]);
  index.u[0] = 0;
  const end = $thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I();
  const isEmpty$4 = (end <= 0);
  const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
  if ((!isEmpty$4)) {
    let i = 0;
    while (true) {
      const v1 = i;
      index.u[((1 + v1) | 0)] = ((index.u[v1] + $thiz.mapping__F1().apply__O__O($thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().apply__I__O(v1)).seq__sc_TraversableOnce().size__I()) | 0);
      if ((i === scala$collection$immutable$Range$$lastElement$4)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  return index
});
const $f_sc_SeqViewLike$Mapped__apply__I__O = (function($thiz, idx) {
  return $thiz.mapping__F1().apply__O__O($thiz.scala$collection$SeqViewLike$Mapped$$$outer__sc_SeqViewLike().apply__I__O(idx))
});
const $f_sc_SeqViewLike$Sliced__apply__I__O = (function($thiz, idx) {
  if (((idx >= 0) && (((idx + $thiz.endpoints__scg_SliceInterval().from$1) | 0) < $thiz.endpoints__scg_SliceInterval().until$1))) {
    return $thiz.scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike().apply__I__O(((idx + $thiz.endpoints__scg_SliceInterval().from$1) | 0))
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  }
});
const $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator = (function($thiz) {
  return $thiz.scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike().iterator__sc_Iterator().drop__I__sc_Iterator($thiz.endpoints__scg_SliceInterval().from$1).take__I__sc_Iterator($thiz.endpoints__scg_SliceInterval().width__I())
});
const $f_sc_SeqViewLike$TakenWhile__apply__I__O = (function($thiz, idx) {
  if ((idx < $thiz.len__I())) {
    return $thiz.scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike().apply__I__O(idx)
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  }
});
class $c_sci_HashSet extends $c_sc_AbstractSet {
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    return new $c_sci_HashSet$HashSet1().init___O__I(key, hash)
  };
  diff__sc_GenSet__sci_HashSet(that) {
    if ($is_sci_HashSet(that)) {
      const x2 = that;
      const size = this.size__I();
      const x = ((6 + size) | 0);
      const buffer = $newArrayObject($d_sci_HashSet.getArrayOf(), [((x < 224) ? x : 224)]);
      const s = this.diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(x2, 0, buffer, 0);
      return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
    } else {
      return $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable(this, that)
    }
  };
  seq__sc_TraversableOnce() {
    return this
  };
  computeHash__O__I(key) {
    return this.improve__I__I($m_sr_Statics$().anyHash__O__I(key))
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    return this
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$plus__O__sci_HashSet(e) {
    return this.updated0__O__I__I__sci_HashSet(e, this.computeHash__O__I(e), 0)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_HashSet(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  companion__scg_GenericCompanion() {
    return $m_sci_HashSet$()
  };
  filter__F1__sci_HashSet(p) {
    const size = this.size__I();
    const x = ((6 + size) | 0);
    const buffer = $newArrayObject($d_sci_HashSet.getArrayOf(), [((x < 224) ? x : 224)]);
    const s = this.filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, false, 0, buffer, 0);
    return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  subsetOf__sc_GenSet__Z(that) {
    if ($is_sci_HashSet(that)) {
      const x2 = that;
      return this.subsetOf0__sci_HashSet__I__Z(x2, 0)
    } else {
      const this$1 = this.iterator__sc_Iterator();
      return $f_sc_Iterator__forall__F1__Z(this$1, that)
    }
  };
  filter__F1__O(p) {
    return this.filter__F1__sci_HashSet(p)
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_HashSet(elem)
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    return this
  };
  empty__sc_Set() {
    return $m_sci_HashSet$EmptyHashSet$()
  };
  improve__I__I(hcode) {
    let h = ((hcode + (~(hcode << 9))) | 0);
    h = (h ^ ((h >>> 14) | 0));
    h = ((h + (h << 4)) | 0);
    return (h ^ ((h >>> 10) | 0))
  };
  $$minus__O__sci_HashSet(e) {
    const s = this.removed0__O__I__I__sci_HashSet(e, this.computeHash__O__I(e), 0);
    return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
  };
  seq__sc_Set() {
    return this
  };
  contains__O__Z(e) {
    return this.get0__O__I__I__Z(e, this.computeHash__O__I(e), 0)
  };
  tail__O() {
    return this.tail__sci_HashSet()
  };
  tail__sci_HashSet() {
    return this.$$minus__O__sci_HashSet(this.head__O())
  };
  diff__sc_GenSet__sc_Set(that) {
    return this.diff__sc_GenSet__sci_HashSet(that)
  };
  empty__sc_GenSet() {
    return $m_sci_HashSet$EmptyHashSet$()
  };
  toSet__sci_Set() {
    return this
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return null
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    return null
  };
  get0__O__I__I__Z(key, hash, level) {
    return false
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_HashSet(elem)
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    return true
  };
}
const $is_sci_HashSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet)))
});
const $isArrayOf_sci_HashSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet)))
});
const $d_sci_HashSet = new $TypeData().initClass({
  sci_HashSet: 0
}, false, "scala.collection.immutable.HashSet", {
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet.prototype.$classData = $d_sci_HashSet;
class $c_sci_ListSet$EmptyListSet$ extends $c_sci_ListSet {
  init___() {
    return this
  };
}
const $d_sci_ListSet$EmptyListSet$ = new $TypeData().initClass({
  sci_ListSet$EmptyListSet$: 0
}, false, "scala.collection.immutable.ListSet$EmptyListSet$", {
  sci_ListSet$EmptyListSet$: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$EmptyListSet$.prototype.$classData = $d_sci_ListSet$EmptyListSet$;
let $n_sci_ListSet$EmptyListSet$ = (void 0);
const $m_sci_ListSet$EmptyListSet$ = (function() {
  if ((!$n_sci_ListSet$EmptyListSet$)) {
    $n_sci_ListSet$EmptyListSet$ = new $c_sci_ListSet$EmptyListSet$().init___()
  };
  return $n_sci_ListSet$EmptyListSet$
});
class $c_sci_ListSet$Node extends $c_sci_ListSet {
  constructor() {
    super();
    this.elem$5 = null;
    this.$$outer$5 = null
  };
  next__sci_ListSet() {
    return this.$$outer$5
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(elem, this, $m_sci_Nil$())
  };
  isEmpty__Z() {
    return false
  };
  $$plus__O__sci_ListSet(e) {
    return (this.containsInternal__p5__sci_ListSet__O__Z(this, e) ? this : new $c_sci_ListSet$Node().init___sci_ListSet__O(this, e))
  };
  sizeInternal__p5__sci_ListSet__I__I(n, acc) {
    _sizeInternal: while (true) {
      if (n.isEmpty__Z()) {
        return acc
      } else {
        const temp$n = n.next__sci_ListSet();
        const temp$acc = ((1 + acc) | 0);
        n = temp$n;
        acc = temp$acc;
        continue _sizeInternal
      }
    }
  };
  size__I() {
    return this.sizeInternal__p5__sci_ListSet__I__I(this, 0)
  };
  removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(k, cur, acc) {
    _removeInternal: while (true) {
      if (cur.isEmpty__Z()) {
        const this$1 = acc;
        return $f_sc_LinearSeqOptimized__last__O(this$1)
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.elem__O())) {
        const x$5 = cur.next__sci_ListSet();
        const this$2 = acc;
        let acc$1 = x$5;
        let these = this$2;
        while ((!these.isEmpty__Z())) {
          const arg1 = acc$1;
          const arg2 = these.head__O();
          const x0$1 = arg1;
          const x1$1 = arg2;
          acc$1 = new $c_sci_ListSet$Node().init___sci_ListSet__O(x0$1, x1$1.elem__O());
          these = these.tail__O()
        };
        return acc$1
      } else {
        const temp$cur = cur.next__sci_ListSet();
        const x$6 = cur;
        const this$3 = acc;
        const temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$3);
        cur = temp$cur;
        acc = temp$acc;
        continue _removeInternal
      }
    }
  };
  $$minus__O__sc_Set(elem) {
    return this.removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(elem, this, $m_sci_Nil$())
  };
  init___sci_ListSet__O($$outer, elem) {
    this.elem$5 = elem;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$5 = $$outer
    };
    return this
  };
  contains__O__Z(e) {
    return this.containsInternal__p5__sci_ListSet__O__Z(this, e)
  };
  elem__O() {
    return this.elem$5
  };
  $$minus__O__sci_ListSet(e) {
    return this.removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(e, this, $m_sci_Nil$())
  };
  containsInternal__p5__sci_ListSet__O__Z(n, e) {
    _containsInternal: while (true) {
      if ((!n.isEmpty__Z())) {
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(n.elem__O(), e)) {
          return true
        } else {
          n = n.next__sci_ListSet();
          continue _containsInternal
        }
      } else {
        return false
      }
    }
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_ListSet(elem)
  };
}
const $d_sci_ListSet$Node = new $TypeData().initClass({
  sci_ListSet$Node: 0
}, false, "scala.collection.immutable.ListSet$Node", {
  sci_ListSet$Node: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$Node.prototype.$classData = $d_sci_ListSet$Node;
class $c_sci_MapLike$ImmutableDefaultKeySet extends $c_sc_MapLike$DefaultKeySet {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  apply__O__O(v1) {
    return this.$$outer$4.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  init___sci_MapLike($$outer) {
    $c_sc_MapLike$DefaultKeySet.prototype.init___sc_MapLike.call(this, $$outer);
    return this
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.$$outer$4.contains__O__Z(elem) ? this : $m_sci_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$plus__O__sc_Set(elem))
  };
  seq__sc_Set() {
    return this
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return (this.$$outer$4.contains__O__Z(elem) ? $m_sci_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$minus__O__sc_Set(elem) : this)
  };
}
const $d_sci_MapLike$ImmutableDefaultKeySet = new $TypeData().initClass({
  sci_MapLike$ImmutableDefaultKeySet: 0
}, false, "scala.collection.immutable.MapLike$ImmutableDefaultKeySet", {
  sci_MapLike$ImmutableDefaultKeySet: 1,
  sc_MapLike$DefaultKeySet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1
});
$c_sci_MapLike$ImmutableDefaultKeySet.prototype.$classData = $d_sci_MapLike$ImmutableDefaultKeySet;
class $c_scm_AbstractSeq extends $c_sc_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this.seq__scm_Seq()
  };
  seq__sc_Iterable() {
    return this.seq__scm_Seq()
  };
  seq__scm_Seq() {
    return this
  };
}
const $f_scm_Map__withDefaultValue__O__scm_Map = (function($thiz, d) {
  return new $c_scm_Map$WithDefault().init___scm_Map__F1($thiz, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, d$1) {
    return (function(x$2) {
      return d$1
    })
  })($thiz, d)))
});
const $is_scm_Map = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Map)))
});
const $isArrayOf_scm_Map = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Map)))
});
class $c_sci_HashSet$EmptyHashSet$ extends $c_sci_HashSet {
  init___() {
    return this
  };
  head__O() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Set")
  };
  tail__O() {
    return this.tail__sci_HashSet()
  };
  tail__sci_HashSet() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Set")
  };
}
const $d_sci_HashSet$EmptyHashSet$ = new $TypeData().initClass({
  sci_HashSet$EmptyHashSet$: 0
}, false, "scala.collection.immutable.HashSet$EmptyHashSet$", {
  sci_HashSet$EmptyHashSet$: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$EmptyHashSet$.prototype.$classData = $d_sci_HashSet$EmptyHashSet$;
let $n_sci_HashSet$EmptyHashSet$ = (void 0);
const $m_sci_HashSet$EmptyHashSet$ = (function() {
  if ((!$n_sci_HashSet$EmptyHashSet$)) {
    $n_sci_HashSet$EmptyHashSet$ = new $c_sci_HashSet$EmptyHashSet$().init___()
  };
  return $n_sci_HashSet$EmptyHashSet$
});
class $c_sci_HashSet$HashTrieSet extends $c_sci_HashSet {
  constructor() {
    super();
    this.bitmap$5 = 0;
    this.elems$5 = null;
    this.size0$5 = 0
  };
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
    if (((this.bitmap$5 & mask) !== 0)) {
      const sub = this.elems$5.u[offset];
      const subNew = sub.updated0__O__I__I__sci_HashSet(key, hash, ((5 + level) | 0));
      if ((sub === subNew)) {
        return this
      } else {
        const elemsNew = $newArrayObject($d_sci_HashSet.getArrayOf(), [this.elems$5.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew, 0, this.elems$5.u.length);
        elemsNew.u[offset] = subNew;
        return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(this.bitmap$5, elemsNew, ((this.size0$5 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
      }
    } else {
      const elemsNew$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [((1 + this.elems$5.u.length) | 0)]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew$2, 0, offset);
      elemsNew$2.u[offset] = new $c_sci_HashSet$HashSet1().init___O__I(key, hash);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$5.u.length - offset) | 0));
      const bitmapNew = (this.bitmap$5 | mask);
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmapNew, elemsNew$2, ((1 + this.size0$5) | 0))
    }
  };
  foreach__F1__V(f) {
    let i = 0;
    while ((i < this.elems$5.u.length)) {
      this.elems$5.u[i].foreach__F1__V(f);
      i = ((1 + i) | 0)
    }
  };
  size__I() {
    return this.size0$5
  };
  iterator__sc_Iterator() {
    return new $c_sci_HashSet$HashTrieSet$$anon$1().init___sci_HashSet$HashTrieSet(this)
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
    if (((this.bitmap$5 & mask) !== 0)) {
      const sub = this.elems$5.u[offset];
      const subNew = sub.removed0__O__I__I__sci_HashSet(key, hash, ((5 + level) | 0));
      if ((sub === subNew)) {
        return this
      } else if ((subNew === null)) {
        const bitmapNew = (this.bitmap$5 ^ mask);
        if ((bitmapNew !== 0)) {
          const elemsNew = $newArrayObject($d_sci_HashSet.getArrayOf(), [(((-1) + this.elems$5.u.length) | 0)]);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew, 0, offset);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, ((1 + offset) | 0), elemsNew, offset, (((-1) + ((this.elems$5.u.length - offset) | 0)) | 0));
          const sizeNew = ((this.size0$5 - sub.size__I()) | 0);
          return (((elemsNew.u.length === 1) && (!$is_sci_HashSet$HashTrieSet(elemsNew.u[0]))) ? elemsNew.u[0] : new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmapNew, elemsNew, sizeNew))
        } else {
          return null
        }
      } else if (((this.elems$5.u.length === 1) && (!$is_sci_HashSet$HashTrieSet(subNew)))) {
        return subNew
      } else {
        const elemsNew$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [this.elems$5.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew$2, 0, this.elems$5.u.length);
        elemsNew$2.u[offset] = subNew;
        const sizeNew$2 = ((this.size0$5 + ((subNew.size__I() - sub.size__I()) | 0)) | 0);
        return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(this.bitmap$5, elemsNew$2, sizeNew$2)
      }
    } else {
      return this
    }
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    if ((that === this)) {
      return null
    } else if ($is_sci_HashSet$HashSet1(that)) {
      const x2 = that;
      return this.removed0__O__I__I__sci_HashSet(x2.key$6, x2.hash$6, level)
    } else if ($is_sci_HashSet$HashTrieSet(that)) {
      const x3 = that;
      const a = this.elems$5;
      let abm = this.bitmap$5;
      let ai = 0;
      const b = x3.elems$5;
      let bbm = x3.bitmap$5;
      let bi = 0;
      let offset = offset0;
      let rs = 0;
      let rbm = 0;
      while ((abm !== 0)) {
        const alsb = (abm ^ (abm & (((-1) + abm) | 0)));
        const blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
        if ((alsb === blsb)) {
          const sub1 = a.u[ai].diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(b.u[bi], ((5 + level) | 0), buffer, offset);
          if ((sub1 !== null)) {
            rs = ((rs + sub1.size__I()) | 0);
            rbm = (rbm | alsb);
            buffer.u[offset] = sub1;
            offset = ((1 + offset) | 0)
          };
          abm = (abm & (~alsb));
          ai = ((1 + ai) | 0);
          bbm = (bbm & (~blsb));
          bi = ((1 + bi) | 0)
        } else {
          const i = (((-1) + alsb) | 0);
          const j = (((-1) + blsb) | 0);
          if ((((i < j) !== (i < 0)) !== (j < 0))) {
            const sub1$2 = a.u[ai];
            rs = ((rs + sub1$2.size__I()) | 0);
            rbm = (rbm | alsb);
            buffer.u[offset] = sub1$2;
            offset = ((1 + offset) | 0);
            abm = (abm & (~alsb));
            ai = ((1 + ai) | 0)
          } else {
            bbm = (bbm & (~blsb));
            bi = ((1 + bi) | 0)
          }
        }
      };
      if ((rbm === 0)) {
        return null
      } else if ((rs === this.size0$5)) {
        return this
      } else {
        const length = ((offset - offset0) | 0);
        if (((length === 1) && (!$is_sci_HashSet$HashTrieSet(buffer.u[offset0])))) {
          return buffer.u[offset0]
        } else {
          const elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [length]);
          $systemArraycopy(buffer, offset0, elems, 0, length);
          return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(rbm, elems, rs)
        }
      }
    } else if ($is_sci_HashSet$HashSetCollision1(that)) {
      const x4 = that;
      return this.removeAll$1__p5__sci_HashSet__sci_ListSet__I__sci_HashSet$HashSetCollision1__sci_HashSet(this, x4.ks$6, level, x4)
    } else {
      return this
    }
  };
  init___I__Asci_HashSet__I(bitmap, elems, size0) {
    this.bitmap$5 = bitmap;
    this.elems$5 = elems;
    this.size0$5 = size0;
    $m_s_Predef$().assert__Z__V(($m_jl_Integer$().bitCount__I__I(bitmap) === elems.u.length));
    return this
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    let offset = offset0;
    let rs = 0;
    let kept = 0;
    let i = 0;
    while ((i < this.elems$5.u.length)) {
      const result = this.elems$5.u[i].filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, ((5 + level) | 0), buffer, offset);
      if ((result !== null)) {
        buffer.u[offset] = result;
        offset = ((1 + offset) | 0);
        rs = ((rs + result.size__I()) | 0);
        kept = (kept | (1 << i))
      };
      i = ((1 + i) | 0)
    };
    if ((offset === offset0)) {
      return null
    } else if ((rs === this.size0$5)) {
      return this
    } else if (((offset === ((1 + offset0) | 0)) && (!$is_sci_HashSet$HashTrieSet(buffer.u[offset0])))) {
      return buffer.u[offset0]
    } else {
      const length = ((offset - offset0) | 0);
      const elems1 = $newArrayObject($d_sci_HashSet.getArrayOf(), [length]);
      $systemArraycopy(buffer, offset0, elems1, 0, length);
      const bitmap1 = ((length === this.elems$5.u.length) ? this.bitmap$5 : $m_sci_HashSet$().scala$collection$immutable$HashSet$$keepBits__I__I__I(this.bitmap$5, kept));
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap1, elems1, rs)
    }
  };
  get0__O__I__I__Z(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    if ((this.bitmap$5 === (-1))) {
      return this.elems$5.u[(31 & index)].get0__O__I__I__Z(key, hash, ((5 + level) | 0))
    } else if (((this.bitmap$5 & mask) !== 0)) {
      const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
      return this.elems$5.u[offset].get0__O__I__I__Z(key, hash, ((5 + level) | 0))
    } else {
      return false
    }
  };
  removeAll$1__p5__sci_HashSet__sci_ListSet__I__sci_HashSet$HashSetCollision1__sci_HashSet(s, r, level$4, x4$1) {
    _removeAll: while (true) {
      if ((r.isEmpty__Z() || (s === null))) {
        return s
      } else {
        const jsx$1 = s;
        const this$1 = r;
        const this$2 = this$1.reverseList$1__p4__sci_List();
        const temp$s = jsx$1.removed0__O__I__I__sci_HashSet(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2).next__O(), x4$1.hash$6, level$4);
        const this$3 = r;
        const temp$r = $f_sc_TraversableLike__tail__O(this$3);
        s = temp$s;
        r = temp$r;
        continue _removeAll
      }
    }
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    if ((that === this)) {
      return true
    } else {
      if ($is_sci_HashSet$HashTrieSet(that)) {
        const x2 = that;
        if ((this.size0$5 <= x2.size0$5)) {
          let abm = this.bitmap$5;
          const a = this.elems$5;
          let ai = 0;
          const b = x2.elems$5;
          let bbm = x2.bitmap$5;
          let bi = 0;
          if (((abm & bbm) === abm)) {
            while ((abm !== 0)) {
              const alsb = (abm ^ (abm & (((-1) + abm) | 0)));
              const blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
              if ((alsb === blsb)) {
                if ((!a.u[ai].subsetOf0__sci_HashSet__I__Z(b.u[bi], ((5 + level) | 0)))) {
                  return false
                };
                abm = (abm & (~alsb));
                ai = ((1 + ai) | 0)
              };
              bbm = (bbm & (~blsb));
              bi = ((1 + bi) | 0)
            };
            return true
          } else {
            return false
          }
        }
      };
      return false
    }
  };
}
const $is_sci_HashSet$HashTrieSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashTrieSet)))
});
const $isArrayOf_sci_HashSet$HashTrieSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashTrieSet)))
});
const $d_sci_HashSet$HashTrieSet = new $TypeData().initClass({
  sci_HashSet$HashTrieSet: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet", {
  sci_HashSet$HashTrieSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashTrieSet.prototype.$classData = $d_sci_HashSet$HashTrieSet;
class $c_sci_HashSet$LeafHashSet extends $c_sci_HashSet {
}
class $c_sci_ListMap extends $c_sci_AbstractMap {
  repr__scg_Subtractable() {
    return this
  };
  value__O() {
    throw new $c_ju_NoSuchElementException().init___T("value of empty map")
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_ListMap(elem)
  };
  isEmpty__Z() {
    return true
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__T2__sci_Map(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_ListMap(key)
  };
  empty__sc_Map() {
    return $m_sci_ListMap$EmptyListMap$()
  };
  empty__sci_Map() {
    return $m_sci_ListMap$EmptyListMap$()
  };
  size__I() {
    return 0
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return this.$$plus$plus__sc_GenTraversableOnce__sci_ListMap(xs)
  };
  seq__sc_Map() {
    return this
  };
  key__O() {
    throw new $c_ju_NoSuchElementException().init___T("key of empty map")
  };
  iterator__sc_Iterator() {
    const this$1 = this.reverseList$1__p5__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1)
  };
  $$plus__T2__sci_ListMap(kv) {
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this, kv.$$und1__O(), kv.$$und2__O())
  };
  $$plus$plus__sc_GenTraversableOnce__sci_ListMap(xs) {
    return (xs.isEmpty__Z() ? this : xs.$$div$colon__O__F2__O(this, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x$2$2, x$3$2) {
        const x$2 = x$2$2;
        const x$3 = x$3$2;
        return x$2.$$plus__T2__sci_ListMap(x$3)
      })
    })(this))))
  };
  updated__O__O__sci_Map(key, value) {
    return this.updated__O__O__sci_ListMap(key, value)
  };
  updated__O__O__sci_ListMap(key, value) {
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this, key, value)
  };
  $$minus__O__sci_ListMap(key) {
    return this
  };
  get__O__s_Option(key) {
    return $m_s_None$()
  };
  reverseList$1__p5__sci_List() {
    let curr = this;
    let res = $m_sci_Nil$();
    while ((!curr.isEmpty__Z())) {
      const x$4 = new $c_T2().init___O__O(curr.key__O(), curr.value__O());
      const this$1 = res;
      res = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
      curr = curr.next__sci_ListMap()
    };
    return res
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  next__sci_ListMap() {
    throw new $c_ju_NoSuchElementException().init___T("next of empty map")
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
  stringPrefix__T() {
    return "ListMap"
  };
}
const $is_sci_ListMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListMap)))
});
const $isArrayOf_sci_ListMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListMap)))
});
class $c_sci_Map$EmptyMap$ extends $c_sci_AbstractMap {
  init___() {
    return this
  };
  apply__O__O(key) {
    this.apply__O__sr_Nothing$(key)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this
  };
  $$plus__T2__sci_Map(kv) {
    const key = kv.$$und1__O();
    const value = kv.$$und2__O();
    return new $c_sci_Map$Map1().init___O__O(key, value)
  };
  $$minus__O__sc_Map(key) {
    return this
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  updated__O__O__sci_Map(key, value) {
    return new $c_sci_Map$Map1().init___O__O(key, value)
  };
  get__O__s_Option(key) {
    return $m_s_None$()
  };
  contains__O__Z(key) {
    return false
  };
  apply__O__sr_Nothing$(key) {
    throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
  };
  $$plus__T2__sc_GenMap(kv) {
    const key = kv.$$und1__O();
    const value = kv.$$und2__O();
    return new $c_sci_Map$Map1().init___O__O(key, value)
  };
}
const $d_sci_Map$EmptyMap$ = new $TypeData().initClass({
  sci_Map$EmptyMap$: 0
}, false, "scala.collection.immutable.Map$EmptyMap$", {
  sci_Map$EmptyMap$: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$EmptyMap$.prototype.$classData = $d_sci_Map$EmptyMap$;
let $n_sci_Map$EmptyMap$ = (void 0);
const $m_sci_Map$EmptyMap$ = (function() {
  if ((!$n_sci_Map$EmptyMap$)) {
    $n_sci_Map$EmptyMap$ = new $c_sci_Map$EmptyMap$().init___()
  };
  return $n_sci_Map$EmptyMap$
});
class $c_sci_Map$Map1 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  init___O__O(key1, value1) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    return this
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  size__I() {
    return 1
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map1().init___O__O(this.key1$5, value) : new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, key, value))
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : $m_s_None$())
  };
  contains__O__Z(key) {
    return $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? $m_sci_Map$EmptyMap$() : this)
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map1 = new $TypeData().initClass({
  sci_Map$Map1: 0
}, false, "scala.collection.immutable.Map$Map1", {
  sci_Map$Map1: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map1.prototype.$classData = $d_sci_Map$Map1;
class $c_sci_Map$Map2 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null;
    this.key2$5 = null;
    this.value2$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
      return this.value2$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  size__I() {
    return 2
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value) : new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, key, value)))
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : $m_s_None$()))
  };
  contains__O__Z(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5))
  };
  init___O__O__O__O(key1, value1, key2, value2) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    this.key2$5 = key2;
    this.value2$5 = value2;
    return this
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map1().init___O__O(this.key2$5, this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map1().init___O__O(this.key1$5, this.value1$5) : this))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map2 = new $TypeData().initClass({
  sci_Map$Map2: 0
}, false, "scala.collection.immutable.Map$Map2", {
  sci_Map$Map2: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map2.prototype.$classData = $d_sci_Map$Map2;
class $c_sci_Map$Map3 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null;
    this.key2$5 = null;
    this.value2$5 = null;
    this.key3$5 = null;
    this.value3$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
      return this.value2$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) {
      return this.value3$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  init___O__O__O__O__O__O(key1, value1, key2, value2, key3, value3) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    this.key2$5 = key2;
    this.value2$5 = value2;
    this.key3$5 = key3;
    this.value3$5 = value3;
    return this
  };
  size__I() {
    return 3
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value) : new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, key, value))))
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : $m_s_None$())))
  };
  contains__O__Z(key) {
    return (($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5))
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key2$5, this.value2$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5) : this)))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map3 = new $TypeData().initClass({
  sci_Map$Map3: 0
}, false, "scala.collection.immutable.Map$Map3", {
  sci_Map$Map3: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map3.prototype.$classData = $d_sci_Map$Map3;
class $c_sci_Map$Map4 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null;
    this.key2$5 = null;
    this.value2$5 = null;
    this.key3$5 = null;
    this.value3$5 = null;
    this.key4$5 = null;
    this.value4$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
      return this.value2$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) {
      return this.value3$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5)) {
      return this.value4$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key4$5, this.value4$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  size__I() {
    return 4
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5), new $c_T2().init___O__O(this.key4$5, this.value4$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, value) : new $c_sci_HashMap().init___().updated__O__O__sci_HashMap(this.key1$5, this.value1$5).updated__O__O__sci_HashMap(this.key2$5, this.value2$5).updated__O__O__sci_HashMap(this.key3$5, this.value3$5).updated__O__O__sci_HashMap(this.key4$5, this.value4$5).updated__O__O__sci_HashMap(key, value)))))
  };
  init___O__O__O__O__O__O__O__O(key1, value1, key2, value2, key3, value3, key4, value4) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    this.key2$5 = key2;
    this.value2$5 = value2;
    this.key3$5 = key3;
    this.value3$5 = value3;
    this.key4$5 = key4;
    this.value4$5 = value4;
    return this
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_s_Some().init___O(this.value4$5) : $m_s_None$()))))
  };
  contains__O__Z(key) {
    return ((($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5))
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5) : this))))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map4 = new $TypeData().initClass({
  sci_Map$Map4: 0
}, false, "scala.collection.immutable.Map$Map4", {
  sci_Map$Map4: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map4.prototype.$classData = $d_sci_Map$Map4;
class $c_sci_MapLike$$anon$1 extends $c_sc_MapLike$FilteredKeys {
  seq__sc_TraversableOnce() {
    return this
  };
  init___sci_MapLike__F1($$outer, p$1) {
    $c_sc_MapLike$FilteredKeys.prototype.init___sc_MapLike__F1.call(this, $$outer, p$1);
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__T2__sc_Map(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
  $$plus__T2__sci_Map(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Iterable$()
  };
  $$minus__O__sc_Map(key) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, key)
  };
  empty__sc_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this, xs)
  };
  seq__sc_Map() {
    return this
  };
  updated__O__O__sci_Map(key, value) {
    return $f_sci_MapLike__updated__O__O__sci_Map(this, key, value)
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    return this
  };
  $$plus__T2__sc_GenMap(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
}
const $d_sci_MapLike$$anon$1 = new $TypeData().initClass({
  sci_MapLike$$anon$1: 0
}, false, "scala.collection.immutable.MapLike$$anon$1", {
  sci_MapLike$$anon$1: 1,
  sc_MapLike$FilteredKeys: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sc_DefaultMap: 1,
  sci_DefaultMap: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1
});
$c_sci_MapLike$$anon$1.prototype.$classData = $d_sci_MapLike$$anon$1;
class $c_sci_MapLike$$anon$2 extends $c_sc_MapLike$MappedValues {
  seq__sc_TraversableOnce() {
    return this
  };
  init___sci_MapLike__F1($$outer, f$1) {
    $c_sc_MapLike$MappedValues.prototype.init___sc_MapLike__F1.call(this, $$outer, f$1);
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__T2__sci_Map(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Iterable$()
  };
  $$minus__O__sc_Map(key) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, key)
  };
  empty__sc_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this, xs)
  };
  seq__sc_Map() {
    return this
  };
  updated__O__O__sci_Map(key, value) {
    return $f_sci_MapLike__updated__O__O__sci_Map(this, key, value)
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    return this
  };
  $$plus__T2__sc_GenMap(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
}
const $d_sci_MapLike$$anon$2 = new $TypeData().initClass({
  sci_MapLike$$anon$2: 0
}, false, "scala.collection.immutable.MapLike$$anon$2", {
  sci_MapLike$$anon$2: 1,
  sc_MapLike$MappedValues: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sc_DefaultMap: 1,
  sci_DefaultMap: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1
});
$c_sci_MapLike$$anon$2.prototype.$classData = $d_sci_MapLike$$anon$2;
const $is_scm_Set = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Set)))
});
const $isArrayOf_scm_Set = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Set)))
});
class $c_sc_SeqViewLike$$anon$10 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.other$2 = null;
    this.thatSeq$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  other__sc_GenIterable() {
    return this.other$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Zipped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "Z"
  };
  length__I() {
    return $f_sc_SeqViewLike$Zipped__length__I(this)
  };
  scala$collection$IterableViewLike$Zipped$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  thatSeq__sc_Seq() {
    return ((!this.bitmap$0$2) ? this.thatSeq$lzycompute__p2__sc_Seq() : this.thatSeq$2)
  };
  thatSeq$lzycompute__p2__sc_Seq() {
    if ((!this.bitmap$0$2)) {
      this.thatSeq$2 = $f_sc_SeqViewLike$Zipped__thatSeq__sc_Seq(this);
      this.bitmap$0$2 = true
    };
    return this.thatSeq$2
  };
  init___sc_SeqViewLike__sc_GenIterable($$outer, that$4) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.other$2 = that$4;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
}
const $d_sc_SeqViewLike$$anon$10 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$10: 0
}, false, "scala.collection.SeqViewLike$$anon$10", {
  sc_SeqViewLike$$anon$10: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Zipped: 1,
  sc_IterableViewLike$Zipped: 1
});
$c_sc_SeqViewLike$$anon$10.prototype.$classData = $d_sc_SeqViewLike$$anon$10;
class $c_sci_HashMap extends $c_sci_AbstractMap {
  seq__sc_TraversableOnce() {
    return this
  };
  computeHash__O__I(key) {
    return this.improve__I__I($m_sr_Statics$().anyHash__O__I(key))
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    return this
  };
  filter__F1__sci_HashMap(p) {
    $m_sci_HashMap$();
    const size = this.size__I();
    const x = ((6 + size) | 0);
    const buffer = $newArrayObject($d_sci_HashMap.getArrayOf(), [((x < 224) ? x : 224)]);
    $m_sci_HashMap$();
    const m = this.filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, false, 0, buffer, 0);
    return ((m === null) ? $m_sci_HashMap$EmptyHashMap$() : m)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_HashMap(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv)
  };
  get0__O__I__I__s_Option(key, hash, level) {
    return $m_s_None$()
  };
  $$plus__T2__sci_Map(kv) {
    return this.$$plus__T2__sci_HashMap(kv)
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  $$plus__T2__sci_HashMap(kv) {
    return this.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(kv.$$und1__O(), this.computeHash__O__I(kv.$$und1__O()), 0, kv.$$und2__O(), kv, null)
  };
  updated__O__O__sci_HashMap(key, value) {
    return this.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, this.computeHash__O__I(key), 0, value, null, null)
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_HashMap(key)
  };
  empty__sc_Map() {
    $m_sci_HashMap$();
    return $m_sci_HashMap$EmptyHashMap$()
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    return this
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    return null
  };
  $$minus__O__sci_HashMap(key) {
    return this.removed0__O__I__I__sci_HashMap(key, this.computeHash__O__I(key), 0)
  };
  filter__F1__O(p) {
    return this.filter__F1__sci_HashMap(p)
  };
  empty__sci_Map() {
    $m_sci_HashMap$();
    return $m_sci_HashMap$EmptyHashMap$()
  };
  size__I() {
    return 0
  };
  seq__sc_Map() {
    return this
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  updated__O__O__sci_Map(key, value) {
    return this.updated__O__O__sci_HashMap(key, value)
  };
  tail__sci_HashMap() {
    return this.$$minus__O__sci_HashMap(this.head__O().$$und1__O())
  };
  improve__I__I(hcode) {
    let h = ((hcode + (~(hcode << 9))) | 0);
    h = (h ^ ((h >>> 14) | 0));
    h = ((h + (h << 4)) | 0);
    return (h ^ ((h >>> 10) | 0))
  };
  get__O__s_Option(key) {
    return this.get0__O__I__I__s_Option(key, this.computeHash__O__I(key), 0)
  };
  contains0__O__I__I__Z(key, hash, level) {
    return false
  };
  contains__O__Z(key) {
    return this.contains0__O__I__I__Z(key, this.computeHash__O__I(key), 0)
  };
  tail__O() {
    return this.tail__sci_HashMap()
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sci_HashMap(kv)
  };
}
const $d_sci_HashMap = new $TypeData().initClass({
  sci_HashMap: 0
}, false, "scala.collection.immutable.HashMap", {
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap.prototype.$classData = $d_sci_HashMap;
class $c_sci_HashSet$HashSet1 extends $c_sci_HashSet$LeafHashSet {
  constructor() {
    super();
    this.key$6 = null;
    this.hash$6 = 0
  };
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
      return this
    } else if ((hash !== this.hash$6)) {
      return $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level)
    } else {
      const this$2 = $m_sci_ListSet$EmptyListSet$();
      const elem = this.key$6;
      return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, new $c_sci_ListSet$Node().init___sci_ListSet__O(this$2, elem).$$plus__O__sci_ListSet(key))
    }
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.key$6)
  };
  init___O__I(key, hash) {
    this.key$6 = key;
    this.hash$6 = hash;
    return this
  };
  size__I() {
    return 1
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.key$6]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? null : this)
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return (that.get0__O__I__I__Z(this.key$6, this.hash$6, level) ? null : this)
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    return ((negate !== (!(!p.apply__O__O(this.key$6)))) ? this : null)
  };
  get0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    return that.get0__O__I__I__Z(this.key$6, this.hash$6, level)
  };
}
const $is_sci_HashSet$HashSet1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashSet1)))
});
const $isArrayOf_sci_HashSet$HashSet1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashSet1)))
});
const $d_sci_HashSet$HashSet1 = new $TypeData().initClass({
  sci_HashSet$HashSet1: 0
}, false, "scala.collection.immutable.HashSet$HashSet1", {
  sci_HashSet$HashSet1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSet1.prototype.$classData = $d_sci_HashSet$HashSet1;
class $c_sci_HashSet$HashSetCollision1 extends $c_sci_HashSet$LeafHashSet {
  constructor() {
    super();
    this.hash$6 = 0;
    this.ks$6 = null
  };
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    return ((hash === this.hash$6) ? new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, this.ks$6.$$plus__O__sci_ListSet(key)) : $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level))
  };
  foreach__F1__V(f) {
    const this$1 = this.ks$6;
    const this$2 = this$1.reverseList$1__p4__sci_List();
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    $f_sc_Iterator__foreach__F1__V(this$3, f)
  };
  size__I() {
    return this.ks$6.size__I()
  };
  iterator__sc_Iterator() {
    const this$1 = this.ks$6;
    const this$2 = this$1.reverseList$1__p4__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2)
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    if ((hash === this.hash$6)) {
      const ks1 = this.ks$6.$$minus__O__sci_ListSet(key);
      const x1 = ks1.size__I();
      switch (x1) {
        case 0: {
          return null;
          break
        }
        case 1: {
          const this$1 = ks1.reverseList$1__p4__sci_List();
          return new $c_sci_HashSet$HashSet1().init___O__I(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1).next__O(), hash);
          break
        }
        default: {
          return ((x1 === this.ks$6.size__I()) ? this : new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, ks1))
        }
      }
    } else {
      return this
    }
  };
  init___I__sci_ListSet(hash, ks) {
    this.hash$6 = hash;
    this.ks$6 = ks;
    return this
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    const this$1 = this.ks$6;
    const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_ListSet$EmptyListSet$());
    const this$3 = this$1.reverseList$1__p4__sci_List();
    const this$4 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$3);
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      if ((that.get0__O__I__I__Z(arg1, this.hash$6, level) !== true)) {
        b.$$plus$eq__O__scm_SetBuilder(arg1)
      }
    };
    const ks1 = b.elems$1;
    const x1 = ks1.size__I();
    if ((x1 === 0)) {
      return null
    } else if ((x1 === this.ks$6.size__I())) {
      return this
    } else if ((x1 === 1)) {
      const this$5 = ks1.reverseList$1__p4__sci_List();
      return new $c_sci_HashSet$HashSet1().init___O__I(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$5).next__O(), this.hash$6)
    } else {
      return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1)
    }
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    let ks1;
    if (negate) {
      const this$1 = this.ks$6;
      ks1 = $f_sc_TraversableLike__filterImpl__F1__Z__O(this$1, p, true)
    } else {
      const this$2 = this.ks$6;
      ks1 = $f_sc_TraversableLike__filterImpl__F1__Z__O(this$2, p, false)
    };
    const x1 = ks1.size__I();
    switch (x1) {
      case 0: {
        return null;
        break
      }
      case 1: {
        const this$3 = ks1.reverseList$1__p4__sci_List();
        return new $c_sci_HashSet$HashSet1().init___O__I(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$3).next__O(), this.hash$6);
        break
      }
      default: {
        return ((x1 === this.ks$6.size__I()) ? this : new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1))
      }
    }
  };
  get0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && this.ks$6.contains__O__Z(key))
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    const this$1 = this.ks$6;
    const this$2 = this$1.reverseList$1__p4__sci_List();
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    let res = true;
    while ((res && this$3.hasNext__Z())) {
      const arg1 = this$3.next__O();
      res = that.get0__O__I__I__Z(arg1, this.hash$6, level)
    };
    return res
  };
}
const $is_sci_HashSet$HashSetCollision1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashSetCollision1)))
});
const $isArrayOf_sci_HashSet$HashSetCollision1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashSetCollision1)))
});
const $d_sci_HashSet$HashSetCollision1 = new $TypeData().initClass({
  sci_HashSet$HashSetCollision1: 0
}, false, "scala.collection.immutable.HashSet$HashSetCollision1", {
  sci_HashSet$HashSetCollision1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSetCollision1.prototype.$classData = $d_sci_HashSet$HashSetCollision1;
class $c_sci_ListMap$EmptyListMap$ extends $c_sci_ListMap {
  init___() {
    return this
  };
}
const $d_sci_ListMap$EmptyListMap$ = new $TypeData().initClass({
  sci_ListMap$EmptyListMap$: 0
}, false, "scala.collection.immutable.ListMap$EmptyListMap$", {
  sci_ListMap$EmptyListMap$: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$EmptyListMap$.prototype.$classData = $d_sci_ListMap$EmptyListMap$;
let $n_sci_ListMap$EmptyListMap$ = (void 0);
const $m_sci_ListMap$EmptyListMap$ = (function() {
  if ((!$n_sci_ListMap$EmptyListMap$)) {
    $n_sci_ListMap$EmptyListMap$ = new $c_sci_ListMap$EmptyListMap$().init___()
  };
  return $n_sci_ListMap$EmptyListMap$
});
class $c_sci_ListMap$Node extends $c_sci_ListMap {
  constructor() {
    super();
    this.key$6 = null;
    this.value$6 = null;
    this.$$outer$6 = null
  };
  removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, cur, acc) {
    _removeInternal: while (true) {
      if (cur.isEmpty__Z()) {
        const this$1 = acc;
        return $f_sc_LinearSeqOptimized__last__O(this$1)
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
        const x$5 = cur.next__sci_ListMap();
        const this$2 = acc;
        let acc$1 = x$5;
        let these = this$2;
        while ((!these.isEmpty__Z())) {
          const arg1 = acc$1;
          const arg2 = these.head__O();
          const x0$1 = arg1;
          const x1$1 = arg2;
          acc$1 = new $c_sci_ListMap$Node().init___sci_ListMap__O__O(x0$1, x1$1.key__O(), x1$1.value__O());
          these = these.tail__O()
        };
        return acc$1
      } else {
        const temp$cur = cur.next__sci_ListMap();
        const x$6 = cur;
        const this$3 = acc;
        const temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$3);
        cur = temp$cur;
        acc = temp$acc;
        continue _removeInternal
      }
    }
  };
  apply__O__O(k) {
    return this.applyInternal__p6__sci_ListMap__O__O(this, k)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(elem, this, $m_sci_Nil$())
  };
  value__O() {
    return this.value$6
  };
  isEmpty__Z() {
    return false
  };
  applyInternal__p6__sci_ListMap__O__O(cur, k) {
    _applyInternal: while (true) {
      if (cur.isEmpty__Z()) {
        throw new $c_ju_NoSuchElementException().init___T(("key not found: " + k))
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
        return cur.value__O()
      } else {
        cur = cur.next__sci_ListMap();
        continue _applyInternal
      }
    }
  };
  getInternal__p6__sci_ListMap__O__s_Option(cur, k) {
    _getInternal: while (true) {
      if (cur.isEmpty__Z()) {
        return $m_s_None$()
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
        return new $c_s_Some().init___O(cur.value__O())
      } else {
        cur = cur.next__sci_ListMap();
        continue _getInternal
      }
    }
  };
  sizeInternal__p6__sci_ListMap__I__I(cur, acc) {
    _sizeInternal: while (true) {
      if (cur.isEmpty__Z()) {
        return acc
      } else {
        const temp$cur = cur.next__sci_ListMap();
        const temp$acc = ((1 + acc) | 0);
        cur = temp$cur;
        acc = temp$acc;
        continue _sizeInternal
      }
    }
  };
  $$plus__T2__sci_Map(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
  $$minus__O__sc_Map(key) {
    return this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(key, this, $m_sci_Nil$())
  };
  size__I() {
    return this.sizeInternal__p6__sci_ListMap__I__I(this, 0)
  };
  key__O() {
    return this.key$6
  };
  $$plus__T2__sci_ListMap(kv) {
    const k = kv.$$und1__O();
    const m = this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$());
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(m, kv.$$und1__O(), kv.$$und2__O())
  };
  updated__O__O__sci_Map(key, value) {
    return this.updated__O__O__sci_ListMap(key, value)
  };
  updated__O__O__sci_ListMap(k, v) {
    const m = this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$());
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(m, k, v)
  };
  $$minus__O__sci_ListMap(k) {
    return this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$())
  };
  get__O__s_Option(k) {
    return this.getInternal__p6__sci_ListMap__O__s_Option(this, k)
  };
  init___sci_ListMap__O__O($$outer, key, value) {
    this.key$6 = key;
    this.value$6 = value;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$6 = $$outer
    };
    return this
  };
  contains__O__Z(k) {
    return this.containsInternal__p6__sci_ListMap__O__Z(this, k)
  };
  containsInternal__p6__sci_ListMap__O__Z(cur, k) {
    _containsInternal: while (true) {
      if ((!cur.isEmpty__Z())) {
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
          return true
        } else {
          cur = cur.next__sci_ListMap();
          continue _containsInternal
        }
      } else {
        return false
      }
    }
  };
  next__sci_ListMap() {
    return this.$$outer$6
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
}
const $d_sci_ListMap$Node = new $TypeData().initClass({
  sci_ListMap$Node: 0
}, false, "scala.collection.immutable.ListMap$Node", {
  sci_ListMap$Node: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$Node.prototype.$classData = $d_sci_ListMap$Node;
class $c_sci_Range extends $c_sc_AbstractSeq {
  constructor() {
    super();
    this.start$4 = 0;
    this.end$4 = 0;
    this.step$4 = 0;
    this.isEmpty$4 = false;
    this.scala$collection$immutable$Range$$numRangeElements$4 = 0;
    this.scala$collection$immutable$Range$$lastElement$4 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  isInclusive__Z() {
    return false
  };
  head__O() {
    return this.head__I()
  };
  apply__I__O(idx) {
    return this.apply$mcII$sp__I__I(idx)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return this.apply$mcII$sp__I__I(idx)
  };
  isEmpty__Z() {
    return this.isEmpty$4
  };
  seq__sc_Iterable() {
    return this
  };
  longLength__p4__J() {
    const t = this.gap__p4__J();
    const lo = t.lo$2;
    const hi$1 = t.hi$2;
    const value = this.step$4;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$1.divideImpl__I__I__I__I__I(lo, hi$1, value, hi);
    const hi$2 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const value$1 = (this.hasStub__p4__Z() ? 1 : 0);
    const hi$3 = (value$1 >> 31);
    const lo$2 = ((lo$1 + value$1) | 0);
    const hi$4 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + ((hi$2 + hi$3) | 0)) | 0) : ((hi$2 + hi$3) | 0));
    return new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  locationAfterN__p4__I__I(n) {
    return ((this.start$4 + $imul(this.step$4, n)) | 0)
  };
  equals__O__Z(other) {
    if ($is_sci_Range(other)) {
      const x2 = other;
      if (this.isEmpty$4) {
        return x2.isEmpty$4
      } else if (($f_sc_TraversableOnce__nonEmpty__Z(x2) && (this.start$4 === x2.start$4))) {
        const l0 = this.last__I();
        return ((l0 === x2.last__I()) && ((this.start$4 === l0) || (this.step$4 === x2.step$4)))
      } else {
        return false
      }
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, other)
    }
  };
  argTakeWhile__p4__F1__J(p) {
    if (this.isEmpty$4) {
      const value = this.start$4;
      const hi = (value >> 31);
      return new $c_sjsr_RuntimeLong().init___I__I(value, hi)
    } else {
      let current = this.start$4;
      const stop = this.last__I();
      while (((current !== stop) && p.apply$mcZI$sp__I__Z(current))) {
        current = ((current + this.step$4) | 0)
      };
      if (((current !== stop) || (!p.apply$mcZI$sp__I__Z(current)))) {
        const value$1 = current;
        const hi$1 = (value$1 >> 31);
        return new $c_sjsr_RuntimeLong().init___I__I(value$1, hi$1)
      } else {
        const value$2 = current;
        const hi$2 = (value$2 >> 31);
        const value$3 = this.step$4;
        const hi$3 = (value$3 >> 31);
        const lo = ((value$2 + value$3) | 0);
        const hi$4 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value$2)) ? ((1 + ((hi$2 + hi$3) | 0)) | 0) : ((hi$2 + hi$3) | 0));
        return new $c_sjsr_RuntimeLong().init___I__I(lo, hi$4)
      }
    }
  };
  dropWhile__F1__O(p) {
    return this.dropWhile__F1__sci_Range(p)
  };
  apply$mcII$sp__I__I(idx) {
    this.scala$collection$immutable$Range$$validateMaxLength__V();
    if (((idx < 0) || (idx >= this.scala$collection$immutable$Range$$numRangeElements$4))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
    } else {
      return ((this.start$4 + $imul(this.step$4, idx)) | 0)
    }
  };
  init___I__I__I(start, end, step) {
    this.start$4 = start;
    this.end$4 = end;
    this.step$4 = step;
    this.isEmpty$4 = ((((start > end) && (step > 0)) || ((start < end) && (step < 0))) || ((start === end) && (!this.isInclusive__Z())));
    let jsx$1;
    if ((step === 0)) {
      throw new $c_jl_IllegalArgumentException().init___T("step cannot be 0.")
    } else if (this.isEmpty$4) {
      jsx$1 = 0
    } else {
      const t = this.longLength__p4__J();
      const lo = t.lo$2;
      const hi = t.hi$2;
      jsx$1 = (((hi === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi > 0)) ? (-1) : lo)
    };
    this.scala$collection$immutable$Range$$numRangeElements$4 = jsx$1;
    let jsx$2;
    switch (step) {
      case 1: {
        jsx$2 = (this.isInclusive__Z() ? end : (((-1) + end) | 0));
        break
      }
      case (-1): {
        jsx$2 = (this.isInclusive__Z() ? end : ((1 + end) | 0));
        break
      }
      default: {
        const t$1 = this.gap__p4__J();
        const lo$1 = t$1.lo$2;
        const hi$2 = t$1.hi$2;
        const hi$1 = (step >> 31);
        const this$1 = $m_sjsr_RuntimeLong$();
        const lo$2 = this$1.remainderImpl__I__I__I__I__I(lo$1, hi$2, step, hi$1);
        jsx$2 = ((lo$2 !== 0) ? ((end - lo$2) | 0) : (this.isInclusive__Z() ? end : ((end - step) | 0)))
      }
    };
    this.scala$collection$immutable$Range$$lastElement$4 = jsx$2;
    return this
  };
  takeWhile__F1__sci_Range(p) {
    const t = this.argTakeWhile__p4__F1__J(p);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.start$4;
    const hi$1 = (value >> 31);
    if (((lo === value) && (hi === hi$1))) {
      const value$1 = this.start$4;
      return new $c_sci_Range().init___I__I__I(value$1, value$1, this.step$4)
    } else {
      const value$2 = this.step$4;
      const hi$2 = (value$2 >> 31);
      const lo$1 = ((lo - value$2) | 0);
      return ((lo$1 === this.last__I()) ? this : new $c_sci_Range$Inclusive().init___I__I__I(this.start$4, lo$1, this.step$4))
    }
  };
  companion__scg_GenericCompanion() {
    return $m_sci_IndexedSeq$()
  };
  toString__T() {
    const preposition = (this.isInclusive__Z() ? "to" : "until");
    const stepped = ((this.step$4 === 1) ? "" : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([" by ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.step$4])));
    const prefix = (this.isEmpty$4 ? "empty " : ((!this.isExact__p4__Z()) ? "inexact " : ""));
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Range ", " ", " ", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prefix, this.start$4, preposition, this.end$4, stepped]))
  };
  foreach__F1__V(f) {
    if ((!this.isEmpty$4)) {
      let i = this.start$4;
      while (true) {
        f.apply__O__O(i);
        if ((i === this.scala$collection$immutable$Range$$lastElement$4)) {
          return (void 0)
        };
        i = ((i + this.step$4) | 0)
      }
    }
  };
  hasStub__p4__Z() {
    return (this.isInclusive__Z() || (!this.isExact__p4__Z()))
  };
  takeWhile__F1__O(p) {
    return this.takeWhile__F1__sci_Range(p)
  };
  copy__I__I__I__sci_Range(start, end, step) {
    return new $c_sci_Range().init___I__I__I(start, end, step)
  };
  tail__sci_Range() {
    if (this.isEmpty$4) {
      $m_sci_Nil$().tail__sci_List()
    };
    return this.drop__I__sci_Range(1)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.length__I())
  };
  span__F1__T2(p) {
    const t = this.argTakeWhile__p4__F1__J(p);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.start$4;
    const hi$1 = (value >> 31);
    if (((lo === value) && (hi === hi$1))) {
      const value$1 = this.start$4;
      return new $c_T2().init___O__O(new $c_sci_Range().init___I__I__I(value$1, value$1, this.step$4), this)
    } else {
      const value$2 = this.step$4;
      const hi$2 = (value$2 >> 31);
      const lo$1 = ((lo - value$2) | 0);
      if ((lo$1 === this.last__I())) {
        const value$3 = this.last__I();
        return new $c_T2().init___O__O(this, new $c_sci_Range().init___I__I__I(value$3, value$3, this.step$4))
      } else {
        return new $c_T2().init___O__O(new $c_sci_Range$Inclusive().init___I__I__I(this.start$4, lo$1, this.step$4), new $c_sci_Range$Inclusive().init___I__I__I(((lo$1 + this.step$4) | 0), this.last__I(), this.step$4))
      }
    }
  };
  scala$collection$immutable$Range$$validateMaxLength__V() {
    if ((this.scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
      $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(this.start$4, this.end$4, this.step$4, this.isInclusive__Z())
    }
  };
  dropWhile__F1__sci_Range(p) {
    const t = this.argTakeWhile__p4__F1__J(p);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.start$4;
    const hi$1 = (value >> 31);
    if (((lo === value) && (hi === hi$1))) {
      return this
    } else {
      const value$1 = this.step$4;
      const hi$2 = (value$1 >> 31);
      const lo$1 = ((lo - value$1) | 0);
      if ((lo$1 === this.last__I())) {
        const value$2 = this.last__I();
        return new $c_sci_Range().init___I__I__I(value$2, value$2, this.step$4)
      } else {
        return new $c_sci_Range$Inclusive().init___I__I__I(((lo$1 + this.step$4) | 0), this.last__I(), this.step$4)
      }
    }
  };
  length__I() {
    return ((this.scala$collection$immutable$Range$$numRangeElements$4 < 0) ? $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(this.start$4, this.end$4, this.step$4, this.isInclusive__Z()) : this.scala$collection$immutable$Range$$numRangeElements$4)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  drop__I__sci_Range(n) {
    if (((n <= 0) || this.isEmpty$4)) {
      return this
    } else if (((n >= this.scala$collection$immutable$Range$$numRangeElements$4) && (this.scala$collection$immutable$Range$$numRangeElements$4 >= 0))) {
      const value = this.end$4;
      return new $c_sci_Range().init___I__I__I(value, value, this.step$4)
    } else {
      return this.copy__I__I__I__sci_Range(this.locationAfterN__p4__I__I(n), this.end$4, this.step$4)
    }
  };
  isExact__p4__Z() {
    const t = this.gap__p4__J();
    const lo = t.lo$2;
    const hi$1 = t.hi$2;
    const value = this.step$4;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$1.remainderImpl__I__I__I__I__I(lo, hi$1, value, hi);
    const hi$2 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return ((lo$1 === 0) && (hi$2 === 0))
  };
  last__O() {
    return this.last__I()
  };
  drop__I__O(n) {
    return this.drop__I__sci_Range(n)
  };
  tail__O() {
    return this.tail__sci_Range()
  };
  thisCollection__sc_Seq() {
    return this
  };
  toSeq__sc_Seq() {
    return this
  };
  last__I() {
    if (this.isEmpty$4) {
      const this$1 = $m_sci_Nil$();
      return ($f_sc_LinearSeqOptimized__last__O(this$1) | 0)
    } else {
      return this.scala$collection$immutable$Range$$lastElement$4
    }
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  head__I() {
    return (this.isEmpty$4 ? $m_sci_Nil$().head__sr_Nothing$() : this.start$4)
  };
  gap__p4__J() {
    const value = this.end$4;
    const hi = (value >> 31);
    const value$1 = this.start$4;
    const hi$1 = (value$1 >> 31);
    const lo = ((value - value$1) | 0);
    const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2)
  };
}
const $is_sci_Range = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Range)))
});
const $isArrayOf_sci_Range = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Range)))
});
const $d_sci_Range = new $TypeData().initClass({
  sci_Range: 0
}, false, "scala.collection.immutable.Range", {
  sci_Range: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range.prototype.$classData = $d_sci_Range;
class $c_sci_Stream extends $c_sc_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this
  };
  apply__I__O(n) {
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_LinearSeqOptimized__lengthCompare__I__I(this, len)
  };
  apply__O__O(v1) {
    const n = (v1 | 0);
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return this.flatten__F1__sci_Stream(asTraversable)
  };
  exists__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__exists__F1__Z(this, p)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if (this.isEmpty__Z()) {
        x$1 = $m_sci_Stream$Empty$()
      } else {
        const nonEmptyPrefix = new $c_sr_ObjectRef().init___O(this);
        let prefix = f.apply__O__O(nonEmptyPrefix.elem$1.head__O()).toStream__sci_Stream();
        while (((!nonEmptyPrefix.elem$1.isEmpty__Z()) && prefix.isEmpty__Z())) {
          nonEmptyPrefix.elem$1 = nonEmptyPrefix.elem$1.tail__O();
          if ((!nonEmptyPrefix.elem$1.isEmpty__Z())) {
            prefix = f.apply__O__O(nonEmptyPrefix.elem$1.head__O()).toStream__sci_Stream()
          }
        };
        x$1 = (nonEmptyPrefix.elem$1.isEmpty__Z() ? ($m_sci_Stream$(), $m_sci_Stream$Empty$()) : prefix.append__F0__sci_Stream(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1, nonEmptyPrefix$1) {
          return (function() {
            const x = nonEmptyPrefix$1.elem$1.tail__O().flatMap__F1__scg_CanBuildFrom__O(f$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, f, nonEmptyPrefix))))
      };
      return x$1
    } else {
      return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  equals__O__Z(that) {
    return ((this === that) || $f_sc_GenSeqLike__equals__O__Z(this, that))
  };
  filterImpl__F1__Z__sci_Stream(p, isFlipped) {
    let rest = this;
    while (((!rest.isEmpty__Z()) && ((!(!p.apply__O__O(rest.head__O()))) === isFlipped))) {
      rest = rest.tail__O()
    };
    const this$1 = rest;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      return $m_sci_Stream$().filteredTail__sci_Stream__F1__Z__sci_Stream$Cons(rest, p, isFlipped)
    } else {
      return $m_sci_Stream$Empty$()
    }
  };
  drop__I__sc_LinearSeqOptimized(n) {
    return this.drop__I__sci_Stream(n)
  };
  mkString__T__T(sep) {
    return this.mkString__T__T__T__T("", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    this.force__sci_Stream();
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Stream$()
  };
  toString__T() {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "Stream(", ", ", ")")
  };
  foreach__F1__V(f) {
    let _$this = this;
    _foreach: while (true) {
      if ((!_$this.isEmpty__Z())) {
        f.apply__O__O(_$this.head__O());
        _$this = _$this.tail__O();
        continue _foreach
      };
      break
    }
  };
  foldLeft__O__F2__O(z, op) {
    let _$this = this;
    _foldLeft: while (true) {
      if (_$this.isEmpty__Z()) {
        return z
      } else {
        const temp$_$this = _$this.tail__O();
        const temp$z = op.apply__O__O__O(z, _$this.head__O());
        _$this = temp$_$this;
        z = temp$z;
        continue _foldLeft
      }
    }
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_LinearSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  loop$2__p4__sci_Set__sci_Stream__sci_Stream(seen, rest) {
    _loop: while (true) {
      if (rest.isEmpty__Z()) {
        return rest
      } else {
        const elem = rest.head__O();
        if (seen.contains__O__Z(elem)) {
          rest = rest.tail__O();
          continue _loop
        } else {
          const hd = rest.head__O();
          const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, seen$1, rest$1) {
            return (function() {
              return $this.loop$2__p4__sci_Set__sci_Stream__sci_Stream(seen$1.$$plus__O__sc_Set(rest$1.head__O()), rest$1.tail__O())
            })
          })(this, seen, rest));
          return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
        }
      }
    }
  };
  filterImpl__F1__Z__O(p, isFlipped) {
    return this.filterImpl__F1__Z__sci_Stream(p, isFlipped)
  };
  distinct__O() {
    return this.distinct__sci_Stream()
  };
  distinct__sci_Stream() {
    return this.loop$2__p4__sci_Set__sci_Stream__sci_Stream($m_sci_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this)
  };
  iterator__sc_Iterator() {
    return new $c_sci_StreamIterator().init___sci_Stream(this)
  };
  find__F1__s_Option(p) {
    return $f_sc_LinearSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_LinearSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if (this.isEmpty__Z()) {
        x$1 = that.toStream__sci_Stream()
      } else {
        const hd = this.head__O();
        const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, that$1) {
          return (function() {
            const x = $this.tail__O().$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, that));
        x$1 = new $c_sci_Stream$Cons().init___O__F0(hd, tl)
      };
      return x$1
    } else {
      return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
    }
  };
  length__I() {
    let len = 0;
    let left = this;
    while ((!left.isEmpty__Z())) {
      len = ((1 + len) | 0);
      left = left.tail__O()
    };
    return len
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    const this$1 = $m_sci_Stream$();
    return this.zip__sc_GenIterable__scg_CanBuildFrom__O(this$1.from__I__I__sci_Stream(0, 1), bf)
  };
  seq__sc_Seq() {
    return this
  };
  partition__F1__T2(p) {
    const p$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
      return (function(x$1$2) {
        return (!(!p$1.apply__O__O(x$1$2)))
      })
    })(this, p));
    const jsx$1 = this.filterImpl__F1__Z__sci_Stream(p$2, false);
    const p$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, p$3) {
      return (function(x$2$2) {
        return (!(!p$3.apply__O__O(x$2$2)))
      })
    })(this, p));
    return new $c_T2().init___O__O(jsx$1, this.filterImpl__F1__Z__sci_Stream(p$4, true))
  };
  take__I__O(n) {
    return this.take__I__sci_Stream(n)
  };
  toStream__sci_Stream() {
    return this
  };
  view__sc_SeqView() {
    return new $c_sci_Stream$$anon$1().init___sci_Stream(this)
  };
  flatten__F1__sci_Stream(asTraversable) {
    const st = new $c_sr_ObjectRef().init___O(this);
    while (true) {
      const this$2 = st.elem$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
        const h = asTraversable.apply__O__O(st.elem$1.head__O());
        if (h.isEmpty__Z()) {
          st.elem$1 = st.elem$1.tail__O()
        } else {
          const x$4 = h.toStream__sci_Stream();
          $m_sci_Stream$();
          const stream = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, asTraversable$1, st$1) {
            return (function() {
              return st$1.elem$1.tail__O().flatten__F1__sci_Stream(asTraversable$1)
            })
          })(this, asTraversable, st));
          return new $c_sci_Stream$ConsWrapper().init___F0(stream).$$hash$colon$colon$colon__sci_Stream__sci_Stream(x$4)
        }
      } else {
        break
      }
    };
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  };
  drop__I__O(n) {
    return this.drop__I__sci_Stream(n)
  };
  drop__I__sci_Stream(n) {
    let _$this = this;
    _drop: while (true) {
      if (((n <= 0) || _$this.isEmpty__Z())) {
        return _$this
      } else {
        const temp$_$this = _$this.tail__O();
        const temp$n = (((-1) + n) | 0);
        _$this = temp$_$this;
        n = temp$n;
        continue _drop
      }
    }
  };
  thisCollection__sc_Seq() {
    return this
  };
  contains__O__Z(elem) {
    return $f_sc_LinearSeqOptimized__contains__O__Z(this, elem)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    b.append__T__scm_StringBuilder(start);
    if ((!this.isEmpty__Z())) {
      b.append__O__scm_StringBuilder(this.head__O());
      let cursor = this;
      let n = 1;
      if (cursor.tailDefined__Z()) {
        let scout = this.tail__O();
        if (scout.isEmpty__Z()) {
          b.append__T__scm_StringBuilder(end);
          return b
        };
        if ((cursor !== scout)) {
          cursor = scout;
          if (scout.tailDefined__Z()) {
            scout = scout.tail__O();
            while (((cursor !== scout) && scout.tailDefined__Z())) {
              b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
              n = ((1 + n) | 0);
              cursor = cursor.tail__O();
              scout = scout.tail__O();
              if (scout.tailDefined__Z()) {
                scout = scout.tail__O()
              }
            }
          }
        };
        if ((!scout.tailDefined__Z())) {
          while ((cursor !== scout)) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = cursor.tail__O()
          };
          const this$1 = cursor;
          if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O())
          }
        } else {
          let runner = this;
          let k = 0;
          while ((runner !== scout)) {
            runner = runner.tail__O();
            scout = scout.tail__O();
            k = ((1 + k) | 0)
          };
          if (((cursor === scout) && (k > 0))) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = cursor.tail__O()
          };
          while ((cursor !== scout)) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = cursor.tail__O()
          };
          n = ((n - k) | 0)
        }
      };
      if ((!cursor.isEmpty__Z())) {
        if ((!cursor.tailDefined__Z())) {
          b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("?")
        } else {
          b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("...")
        }
      }
    };
    b.append__T__scm_StringBuilder(end);
    return b
  };
  force__sci_Stream() {
    let these = this;
    let those = this;
    if ((!these.isEmpty__Z())) {
      these = these.tail__O()
    };
    while ((those !== these)) {
      if (these.isEmpty__Z()) {
        return this
      };
      these = these.tail__O();
      if (these.isEmpty__Z()) {
        return this
      };
      these = these.tail__O();
      if ((these === those)) {
        return this
      };
      those = those.tail__O()
    };
    return this
  };
  toSeq__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const x$1 = (x | 0);
    return $f_sc_LinearSeqOptimized__isDefinedAt__I__Z(this, x$1)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if (this.isEmpty__Z()) {
        x$1 = $m_sci_Stream$Empty$()
      } else {
        const hd = f.apply__O__O(this.head__O());
        const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1) {
          return (function() {
            const x = $this.tail__O().map__F1__scg_CanBuildFrom__O(f$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, f));
        x$1 = new $c_sci_Stream$Cons().init___O__F0(hd, tl)
      };
      return x$1
    } else {
      return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  take__I__sci_Stream(n) {
    if (((n <= 0) || this.isEmpty__Z())) {
      $m_sci_Stream$();
      return $m_sci_Stream$Empty$()
    } else if ((n === 1)) {
      const hd = this.head__O();
      const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
        return (function() {
          $m_sci_Stream$();
          return $m_sci_Stream$Empty$()
        })
      })(this));
      return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
    } else {
      const hd$1 = this.head__O();
      const tl$1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1, n$1) {
        return (function() {
          return this$2$1.tail__O().take__I__sci_Stream((((-1) + n$1) | 0))
        })
      })(this, n));
      return new $c_sci_Stream$Cons().init___O__F0(hd$1, tl$1)
    }
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    if ((!$is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this)))) {
      return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
    } else {
      let rest = this;
      const newHead = new $c_sr_ObjectRef().init___O(null);
      const runWith = pf.runWith__F1__F1(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, newHead$1) {
        return (function(b$2) {
          newHead$1.elem$1 = b$2
        })
      })(this, newHead)));
      while (true) {
        const this$2 = rest;
        if (($f_sc_TraversableOnce__nonEmpty__Z(this$2) && (!(!(!runWith.apply__O__O(rest.head__O())))))) {
          rest = rest.tail__O()
        } else {
          break
        }
      };
      return (rest.isEmpty__Z() ? $m_sci_Stream$Empty$() : $m_sci_Stream$().collectedTail__O__sci_Stream__s_PartialFunction__scg_CanBuildFrom__sci_Stream$Cons(newHead.elem$1, rest, pf, bf))
    }
  };
  reduceLeft__F2__O(f) {
    if (this.isEmpty__Z()) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.reduceLeft")
    } else {
      let reducedRes = this.head__O();
      let left = this.tail__O();
      while ((!left.isEmpty__Z())) {
        reducedRes = f.apply__O__O__O(reducedRes, left.head__O());
        left = left.tail__O()
      };
      return reducedRes
    }
  };
  append__F0__sci_Stream(rest) {
    if (this.isEmpty__Z()) {
      return rest.apply__O().toStream__sci_Stream()
    } else {
      const hd = this.head__O();
      const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, rest$1) {
        return (function() {
          return $this.tail__O().append__F0__sci_Stream(rest$1)
        })
      })(this, rest));
      return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
    }
  };
  stringPrefix__T() {
    return "Stream"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if ((this.isEmpty__Z() || that.isEmpty__Z())) {
        x$1 = $m_sci_Stream$Empty$()
      } else {
        const hd = new $c_T2().init___O__O(this.head__O(), that.head__O());
        const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, that$1) {
          return (function() {
            const x = $this.tail__O().zip__sc_GenIterable__scg_CanBuildFrom__O(that$1.tail__O(), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, that));
        x$1 = new $c_sci_Stream$Cons().init___O__F0(hd, tl)
      };
      return x$1
    } else {
      return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
    }
  };
}
const $is_sci_Stream = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream)))
});
const $isArrayOf_sci_Stream = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream)))
});
const $is_scm_Buffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Buffer)))
});
const $isArrayOf_scm_Buffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Buffer)))
});
const $f_scm_ResizableArray__apply__I__O = (function($thiz, idx) {
  if ((idx >= $thiz.size0$6)) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  return $thiz.array$6.u[idx]
});
const $f_scm_ResizableArray__update__I__O__V = (function($thiz, idx, elem) {
  if ((idx >= $thiz.size0$6)) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  $thiz.array$6.u[idx] = elem
});
const $f_scm_ResizableArray__foreach__F1__V = (function($thiz, f) {
  let i = 0;
  const top = $thiz.size0$6;
  while ((i < top)) {
    f.apply__O__O($thiz.array$6.u[i]);
    i = ((1 + i) | 0)
  }
});
const $f_scm_ResizableArray__ensureSize__I__V = (function($thiz, n) {
  const value = $thiz.array$6.u.length;
  const hi = (value >> 31);
  const hi$1 = (n >> 31);
  if (((hi$1 === hi) ? (((-2147483648) ^ n) > ((-2147483648) ^ value)) : (hi$1 > hi))) {
    const lo = (value << 1);
    const hi$2 = (((value >>> 31) | 0) | (hi << 1));
    let newSize_$_lo$2 = lo;
    let newSize_$_hi$2 = hi$2;
    while (true) {
      const hi$3 = (n >> 31);
      const b_$_lo$2 = newSize_$_lo$2;
      const b_$_hi$2 = newSize_$_hi$2;
      const bhi = b_$_hi$2;
      if (((hi$3 === bhi) ? (((-2147483648) ^ n) > ((-2147483648) ^ b_$_lo$2)) : (hi$3 > bhi))) {
        const this$1_$_lo$2 = newSize_$_lo$2;
        const this$1_$_hi$2 = newSize_$_hi$2;
        const lo$1 = (this$1_$_lo$2 << 1);
        const hi$4 = (((this$1_$_lo$2 >>> 31) | 0) | (this$1_$_hi$2 << 1));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi$4;
        newSize_$_lo$2 = jsx$1_$_lo$2;
        newSize_$_hi$2 = jsx$1_$_hi$2
      } else {
        break
      }
    };
    const this$2_$_lo$2 = newSize_$_lo$2;
    const this$2_$_hi$2 = newSize_$_hi$2;
    const ahi = this$2_$_hi$2;
    if (((ahi === 0) ? (((-2147483648) ^ this$2_$_lo$2) > (-1)) : (ahi > 0))) {
      const jsx$2_$_lo$2 = 2147483647;
      const jsx$2_$_hi$2 = 0;
      newSize_$_lo$2 = jsx$2_$_lo$2;
      newSize_$_hi$2 = jsx$2_$_hi$2
    };
    const this$3_$_lo$2 = newSize_$_lo$2;
    const this$3_$_hi$2 = newSize_$_hi$2;
    const newArray = $newArrayObject($d_O.getArrayOf(), [this$3_$_lo$2]);
    $systemArraycopy($thiz.array$6, 0, newArray, 0, $thiz.size0$6);
    $thiz.array$6 = newArray
  }
});
const $f_scm_ResizableArray__$$init$__V = (function($thiz) {
  const x = $thiz.initialSize$6;
  $thiz.array$6 = $newArrayObject($d_O.getArrayOf(), [((x > 1) ? x : 1)]);
  $thiz.size0$6 = 0
});
const $f_scm_ResizableArray__reduceToSize__I__V = (function($thiz, sz) {
  $m_s_Predef$().require__Z__V((sz <= $thiz.size0$6));
  while (($thiz.size0$6 > sz)) {
    $thiz.size0$6 = (((-1) + $thiz.size0$6) | 0);
    $thiz.array$6.u[$thiz.size0$6] = null
  }
});
const $f_scm_ResizableArray__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  const that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const x = ((len < that) ? len : that);
  const that$1 = $thiz.size0$6;
  const len1 = ((x < that$1) ? x : that$1);
  if ((len1 > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V($thiz.array$6, 0, xs, start, len1)
  }
});
class $c_sc_SeqViewLike$$anon$1 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.forced$2 = null;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return this.forced$2.apply__I__O(idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return this.forced$2.apply__I__O(idx)
  };
  init___sc_SeqViewLike__F0($$outer, xs$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    const forced = xs$1.apply__O();
    this.forced$2 = forced;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  foreach__F1__V(f) {
    this.forced$2.foreach__F1__V(f)
  };
  iterator__sc_Iterator() {
    return this.forced$2.iterator__sc_Iterator()
  };
  viewIdentifier__T() {
    return "C"
  };
  length__I() {
    return this.forced$2.length__I()
  };
}
const $d_sc_SeqViewLike$$anon$1 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$1: 0
}, false, "scala.collection.SeqViewLike$$anon$1", {
  sc_SeqViewLike$$anon$1: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Forced: 1,
  sc_IterableViewLike$Forced: 1,
  sc_TraversableViewLike$Forced: 1
});
$c_sc_SeqViewLike$$anon$1.prototype.$classData = $d_sc_SeqViewLike$$anon$1;
class $c_sc_SeqViewLike$$anon$2 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.rest$2 = null;
    this.restSeq$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  restSeq$lzycompute__p2__sc_GenSeq() {
    if ((!this.bitmap$0$2)) {
      this.restSeq$2 = this.rest$2.toSeq__sc_GenSeq();
      this.bitmap$0$2 = true
    };
    return this.restSeq$2
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Appended__foreach__F1__V(this, f)
  };
  init___sc_SeqViewLike__sc_GenTraversable($$outer, that$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.rest$2 = that$2;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  scala$collection$TraversableViewLike$Appended$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  rest__sc_GenTraversable() {
    return this.rest$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Appended__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "A"
  };
  length__I() {
    return $f_sc_SeqViewLike$Appended__length__I(this)
  };
  scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  scala$collection$IterableViewLike$Appended$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  restSeq__sc_GenSeq() {
    return ((!this.bitmap$0$2) ? this.restSeq$lzycompute__p2__sc_GenSeq() : this.restSeq$2)
  };
}
const $d_sc_SeqViewLike$$anon$2 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$2: 0
}, false, "scala.collection.SeqViewLike$$anon$2", {
  sc_SeqViewLike$$anon$2: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Appended: 1,
  sc_IterableViewLike$Appended: 1,
  sc_TraversableViewLike$Appended: 1
});
$c_sc_SeqViewLike$$anon$2.prototype.$classData = $d_sc_SeqViewLike$$anon$2;
class $c_sc_SeqViewLike$$anon$4 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$2 = null;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Mapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$2
  };
  scala$collection$SeqViewLike$Mapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Mapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "M"
  };
  length__I() {
    return this.$$outer$2.length__I()
  };
  scala$collection$IterableViewLike$Mapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  init___sc_SeqViewLike__F1($$outer, f$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.mapping$2 = f$2;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  scala$collection$TraversableViewLike$Mapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
}
const $d_sc_SeqViewLike$$anon$4 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$4: 0
}, false, "scala.collection.SeqViewLike$$anon$4", {
  sc_SeqViewLike$$anon$4: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Mapped: 1,
  sc_IterableViewLike$Mapped: 1,
  sc_TraversableViewLike$Mapped: 1
});
$c_sc_SeqViewLike$$anon$4.prototype.$classData = $d_sc_SeqViewLike$$anon$4;
class $c_sc_SeqViewLike$$anon$5 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$2 = null;
    this.index$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$FlatMapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$FlatMapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "N"
  };
  length__I() {
    return $f_sc_SeqViewLike$FlatMapped__length__I(this)
  };
  scala$collection$IterableViewLike$FlatMapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  index$lzycompute__p2__AI() {
    if ((!this.bitmap$0$2)) {
      this.index$2 = $f_sc_SeqViewLike$FlatMapped__index__AI(this);
      this.bitmap$0$2 = true
    };
    return this.index$2
  };
  scala$collection$TraversableViewLike$FlatMapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  init___sc_SeqViewLike__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.mapping$2 = f$1;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  index__AI() {
    return ((!this.bitmap$0$2) ? this.index$lzycompute__p2__AI() : this.index$2)
  };
}
const $d_sc_SeqViewLike$$anon$5 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$5: 0
}, false, "scala.collection.SeqViewLike$$anon$5", {
  sc_SeqViewLike$$anon$5: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$FlatMapped: 1,
  sc_IterableViewLike$FlatMapped: 1,
  sc_TraversableViewLike$FlatMapped: 1
});
$c_sc_SeqViewLike$$anon$5.prototype.$classData = $d_sc_SeqViewLike$$anon$5;
class $c_sc_SeqViewLike$$anon$6 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$2 = null;
    this.index$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Filtered__foreach__F1__V(this, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "F"
  };
  length__I() {
    return $f_sc_SeqViewLike$Filtered__length__I(this)
  };
  index$lzycompute__p2__AI() {
    if ((!this.bitmap$0$2)) {
      this.index$2 = $f_sc_SeqViewLike$Filtered__index__AI(this);
      this.bitmap$0$2 = true
    };
    return this.index$2
  };
  init___sc_SeqViewLike__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.pred$2 = p$3;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  index__AI() {
    return ((!this.bitmap$0$2) ? this.index$lzycompute__p2__AI() : this.index$2)
  };
  pred__F1() {
    return this.pred$2
  };
  scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
}
const $d_sc_SeqViewLike$$anon$6 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$6: 0
}, false, "scala.collection.SeqViewLike$$anon$6", {
  sc_SeqViewLike$$anon$6: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Filtered: 1,
  sc_IterableViewLike$Filtered: 1,
  sc_TraversableViewLike$Filtered: 1
});
$c_sc_SeqViewLike$$anon$6.prototype.$classData = $d_sc_SeqViewLike$$anon$6;
class $c_sc_SeqViewLike$$anon$7 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.endpoints$2 = null;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "S"
  };
  length__I() {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    return $f_sc_TraversableOnce__size__I(this$1)
  };
  init___sc_SeqViewLike__scg_SliceInterval($$outer, _endpoints$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.endpoints$2 = _endpoints$1;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  endpoints__scg_SliceInterval() {
    return this.endpoints$2
  };
}
const $d_sc_SeqViewLike$$anon$7 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$7: 0
}, false, "scala.collection.SeqViewLike$$anon$7", {
  sc_SeqViewLike$$anon$7: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Sliced: 1,
  sc_IterableViewLike$Sliced: 1,
  sc_TraversableViewLike$Sliced: 1
});
$c_sc_SeqViewLike$$anon$7.prototype.$classData = $d_sc_SeqViewLike$$anon$7;
class $c_sc_SeqViewLike$$anon$8 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$2 = null;
    this.start$2 = 0;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V(this, f)
  };
  scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  start$lzycompute__p2__I() {
    if ((!this.bitmap$0$2)) {
      const this$1 = this.$$outer$2;
      const p = this.pred$2;
      this.start$2 = this$1.segmentLength__F1__I__I(p, 0);
      this.bitmap$0$2 = true
    };
    return this.start$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "D"
  };
  length__I() {
    return $f_sc_SeqViewLike$DroppedWhile__length__I(this)
  };
  scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  start__I() {
    return ((!this.bitmap$0$2) ? this.start$lzycompute__p2__I() : this.start$2)
  };
  init___sc_SeqViewLike__F1($$outer, p$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.pred$2 = p$2;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  pred__F1() {
    return this.pred$2
  };
}
const $d_sc_SeqViewLike$$anon$8 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$8: 0
}, false, "scala.collection.SeqViewLike$$anon$8", {
  sc_SeqViewLike$$anon$8: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$DroppedWhile: 1,
  sc_IterableViewLike$DroppedWhile: 1,
  sc_TraversableViewLike$DroppedWhile: 1
});
$c_sc_SeqViewLike$$anon$8.prototype.$classData = $d_sc_SeqViewLike$$anon$8;
class $c_sc_SeqViewLike$$anon$9 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$2 = null;
    this.len$2 = 0;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  len__I() {
    return ((!this.bitmap$0$2) ? this.len$lzycompute__p2__I() : this.len$2)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V(this, f)
  };
  len$lzycompute__p2__I() {
    if ((!this.bitmap$0$2)) {
      const this$1 = this.$$outer$2;
      const p = this.pred$2;
      this.len$2 = this$1.segmentLength__F1__I__I(p, 0);
      this.bitmap$0$2 = true
    };
    return this.len$2
  };
  scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "T"
  };
  length__I() {
    return this.len__I()
  };
  scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  init___sc_SeqViewLike__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.pred$2 = p$1;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  pred__F1() {
    return this.pred$2
  };
}
const $d_sc_SeqViewLike$$anon$9 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$9: 0
}, false, "scala.collection.SeqViewLike$$anon$9", {
  sc_SeqViewLike$$anon$9: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$TakenWhile: 1,
  sc_IterableViewLike$TakenWhile: 1,
  sc_TraversableViewLike$TakenWhile: 1
});
$c_sc_SeqViewLike$$anon$9.prototype.$classData = $d_sc_SeqViewLike$$anon$9;
class $c_sci_HashMap$EmptyHashMap$ extends $c_sci_HashMap {
  init___() {
    return this
  };
  head__O() {
    return this.head__T2()
  };
  head__T2() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Map")
  };
  tail__sci_HashMap() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Map")
  };
  tail__O() {
    return this.tail__sci_HashMap()
  };
}
const $d_sci_HashMap$EmptyHashMap$ = new $TypeData().initClass({
  sci_HashMap$EmptyHashMap$: 0
}, false, "scala.collection.immutable.HashMap$EmptyHashMap$", {
  sci_HashMap$EmptyHashMap$: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$EmptyHashMap$.prototype.$classData = $d_sci_HashMap$EmptyHashMap$;
let $n_sci_HashMap$EmptyHashMap$ = (void 0);
const $m_sci_HashMap$EmptyHashMap$ = (function() {
  if ((!$n_sci_HashMap$EmptyHashMap$)) {
    $n_sci_HashMap$EmptyHashMap$ = new $c_sci_HashMap$EmptyHashMap$().init___()
  };
  return $n_sci_HashMap$EmptyHashMap$
});
class $c_sci_HashMap$HashMap1 extends $c_sci_HashMap {
  constructor() {
    super();
    this.key$6 = null;
    this.hash$6 = 0;
    this.value$6 = null;
    this.kv$6 = null
  };
  ensurePair__T2() {
    if ((this.kv$6 !== null)) {
      return this.kv$6
    } else {
      this.kv$6 = new $c_T2().init___O__O(this.key$6, this.value$6);
      return this.kv$6
    }
  };
  init___O__I__O__T2(key, hash, value, kv) {
    this.key$6 = key;
    this.hash$6 = hash;
    this.value$6 = value;
    this.kv$6 = kv;
    return this
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
      if ((merger === null)) {
        return ((this.value$6 === value) ? this : new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv))
      } else {
        const nkv = merger.apply__T2__T2__T2(this.ensurePair__T2(), ((kv !== null) ? kv : new $c_T2().init___O__O(key, value)));
        return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(nkv.$$und1__O(), hash, nkv.$$und2__O(), nkv)
      }
    } else if ((hash !== this.hash$6)) {
      const that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
      return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, 2)
    } else {
      const this$2 = $m_sci_ListMap$EmptyListMap$();
      const key$1 = this.key$6;
      const value$1 = this.value$6;
      return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this$2, key$1, value$1).updated__O__O__sci_ListMap(key, value))
    }
  };
  get0__O__I__I__s_Option(key, hash, level) {
    return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? new $c_s_Some().init___O(this.value$6) : $m_s_None$())
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.ensurePair__T2())
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? ($m_sci_HashMap$(), $m_sci_HashMap$EmptyHashMap$()) : this)
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    return ((negate !== (!(!p.apply__O__O(this.ensurePair__T2())))) ? this : null)
  };
  size__I() {
    return 1
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ensurePair__T2()]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  contains0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))
  };
}
const $is_sci_HashMap$HashMap1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashMap1)))
});
const $isArrayOf_sci_HashMap$HashMap1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashMap1)))
});
const $d_sci_HashMap$HashMap1 = new $TypeData().initClass({
  sci_HashMap$HashMap1: 0
}, false, "scala.collection.immutable.HashMap$HashMap1", {
  sci_HashMap$HashMap1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMap1.prototype.$classData = $d_sci_HashMap$HashMap1;
class $c_sci_HashMap$HashMapCollision1 extends $c_sci_HashMap {
  constructor() {
    super();
    this.hash$6 = 0;
    this.kvs$6 = null
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    if ((hash === this.hash$6)) {
      return (((merger === null) || (!this.kvs$6.contains__O__Z(key))) ? new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this.kvs$6.updated__O__O__sci_ListMap(key, value)) : new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this.kvs$6.$$plus__T2__sci_ListMap(merger.apply__T2__T2__T2(new $c_T2().init___O__O(key, this.kvs$6.apply__O__O(key)), kv))))
    } else {
      const that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
      return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, ((1 + this.kvs$6.size__I()) | 0))
    }
  };
  get0__O__I__I__s_Option(key, hash, level) {
    return ((hash === this.hash$6) ? this.kvs$6.get__O__s_Option(key) : $m_s_None$())
  };
  foreach__F1__V(f) {
    const this$1 = this.kvs$6;
    const this$2 = this$1.reverseList$1__p5__sci_List();
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    $f_sc_Iterator__foreach__F1__V(this$3, f)
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    if ((hash === this.hash$6)) {
      const kvs1 = this.kvs$6.$$minus__O__sci_ListMap(key);
      const x1 = kvs1.size__I();
      switch (x1) {
        case 0: {
          $m_sci_HashMap$();
          return $m_sci_HashMap$EmptyHashMap$();
          break
        }
        case 1: {
          const this$2 = kvs1.reverseList$1__p5__sci_List();
          const kv = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2).next__O();
          return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(kv.$$und1__O(), hash, kv.$$und2__O(), kv);
          break
        }
        default: {
          return ((x1 === this.kvs$6.size__I()) ? this : new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, kvs1))
        }
      }
    } else {
      return this
    }
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    let kvs1;
    if (negate) {
      const this$1 = this.kvs$6;
      kvs1 = $f_sc_MapLike__filterNot__F1__sc_Map(this$1, p)
    } else {
      const this$2 = this.kvs$6;
      kvs1 = $f_sc_TraversableLike__filterImpl__F1__Z__O(this$2, p, false)
    };
    const x1 = kvs1.size__I();
    switch (x1) {
      case 0: {
        return null;
        break
      }
      case 1: {
        const this$3 = kvs1.reverseList$1__p5__sci_List();
        const x1$2 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$3).next__O();
        if ((x1$2 === null)) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        const k = x1$2.$$und1__O();
        const v = x1$2.$$und2__O();
        return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(k, this.hash$6, v, x1$2);
        break
      }
      default: {
        return ((x1 === this.kvs$6.size__I()) ? this : new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(this.hash$6, kvs1))
      }
    }
  };
  iterator__sc_Iterator() {
    const this$1 = this.kvs$6;
    const this$2 = this$1.reverseList$1__p5__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2)
  };
  size__I() {
    return this.kvs$6.size__I()
  };
  init___I__sci_ListMap(hash, kvs) {
    this.hash$6 = hash;
    this.kvs$6 = kvs;
    return this
  };
  contains0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && this.kvs$6.contains__O__Z(key))
  };
}
const $d_sci_HashMap$HashMapCollision1 = new $TypeData().initClass({
  sci_HashMap$HashMapCollision1: 0
}, false, "scala.collection.immutable.HashMap$HashMapCollision1", {
  sci_HashMap$HashMapCollision1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMapCollision1.prototype.$classData = $d_sci_HashMap$HashMapCollision1;
class $c_sci_HashMap$HashTrieMap extends $c_sci_HashMap {
  constructor() {
    super();
    this.bitmap$6 = 0;
    this.elems$6 = null;
    this.size0$6 = 0
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
    if (((this.bitmap$6 & mask) !== 0)) {
      const sub = this.elems$6.u[offset];
      const subNew = sub.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, ((5 + level) | 0), value, kv, merger);
      if ((subNew === sub)) {
        return this
      } else {
        const elemsNew = $newArrayObject($d_sci_HashMap.getArrayOf(), [this.elems$6.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew, 0, this.elems$6.u.length);
        elemsNew.u[offset] = subNew;
        return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(this.bitmap$6, elemsNew, ((this.size0$6 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
      }
    } else {
      const elemsNew$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [((1 + this.elems$6.u.length) | 0)]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew$2, 0, offset);
      elemsNew$2.u[offset] = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$6.u.length - offset) | 0));
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I((this.bitmap$6 | mask), elemsNew$2, ((1 + this.size0$6) | 0))
    }
  };
  get0__O__I__I__s_Option(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    if ((this.bitmap$6 === (-1))) {
      return this.elems$6.u[index].get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
    } else {
      const mask = (1 << index);
      if (((this.bitmap$6 & mask) !== 0)) {
        const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
        return this.elems$6.u[offset].get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
      } else {
        return $m_s_None$()
      }
    }
  };
  foreach__F1__V(f) {
    let i = 0;
    while ((i < this.elems$6.u.length)) {
      this.elems$6.u[i].foreach__F1__V(f);
      i = ((1 + i) | 0)
    }
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
    if (((this.bitmap$6 & mask) !== 0)) {
      const sub = this.elems$6.u[offset];
      const subNew = sub.removed0__O__I__I__sci_HashMap(key, hash, ((5 + level) | 0));
      if ((subNew === sub)) {
        return this
      } else if ($f_sc_MapLike__isEmpty__Z(subNew)) {
        const bitmapNew = (this.bitmap$6 ^ mask);
        if ((bitmapNew !== 0)) {
          const elemsNew = $newArrayObject($d_sci_HashMap.getArrayOf(), [(((-1) + this.elems$6.u.length) | 0)]);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew, 0, offset);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, ((1 + offset) | 0), elemsNew, offset, (((-1) + ((this.elems$6.u.length - offset) | 0)) | 0));
          const sizeNew = ((this.size0$6 - sub.size__I()) | 0);
          return (((elemsNew.u.length === 1) && (!$is_sci_HashMap$HashTrieMap(elemsNew.u[0]))) ? elemsNew.u[0] : new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmapNew, elemsNew, sizeNew))
        } else {
          $m_sci_HashMap$();
          return $m_sci_HashMap$EmptyHashMap$()
        }
      } else if (((this.elems$6.u.length === 1) && (!$is_sci_HashMap$HashTrieMap(subNew)))) {
        return subNew
      } else {
        const elemsNew$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [this.elems$6.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew$2, 0, this.elems$6.u.length);
        elemsNew$2.u[offset] = subNew;
        const sizeNew$2 = ((this.size0$6 + ((subNew.size__I() - sub.size__I()) | 0)) | 0);
        return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(this.bitmap$6, elemsNew$2, sizeNew$2)
      }
    } else {
      return this
    }
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    let offset = offset0;
    let rs = 0;
    let kept = 0;
    let i = 0;
    while ((i < this.elems$6.u.length)) {
      const result = this.elems$6.u[i].filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, ((5 + level) | 0), buffer, offset);
      if ((result !== null)) {
        buffer.u[offset] = result;
        offset = ((1 + offset) | 0);
        rs = ((rs + result.size__I()) | 0);
        kept = (kept | (1 << i))
      };
      i = ((1 + i) | 0)
    };
    if ((offset === offset0)) {
      return null
    } else if ((rs === this.size0$6)) {
      return this
    } else if (((offset === ((1 + offset0) | 0)) && (!$is_sci_HashMap$HashTrieMap(buffer.u[offset0])))) {
      return buffer.u[offset0]
    } else {
      const length = ((offset - offset0) | 0);
      const elems1 = $newArrayObject($d_sci_HashMap.getArrayOf(), [length]);
      $systemArraycopy(buffer, offset0, elems1, 0, length);
      const bitmap1 = ((length === this.elems$6.u.length) ? this.bitmap$6 : $m_sci_HashMap$().scala$collection$immutable$HashMap$$keepBits__I__I__I(this.bitmap$6, kept));
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap1, elems1, rs)
    }
  };
  iterator__sc_Iterator() {
    return new $c_sci_HashMap$HashTrieMap$$anon$1().init___sci_HashMap$HashTrieMap(this)
  };
  size__I() {
    return this.size0$6
  };
  init___I__Asci_HashMap__I(bitmap, elems, size0) {
    this.bitmap$6 = bitmap;
    this.elems$6 = elems;
    this.size0$6 = size0;
    return this
  };
  contains0__O__I__I__Z(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    if ((this.bitmap$6 === (-1))) {
      return this.elems$6.u[index].contains0__O__I__I__Z(key, hash, ((5 + level) | 0))
    } else {
      const mask = (1 << index);
      if (((this.bitmap$6 & mask) !== 0)) {
        const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
        return this.elems$6.u[offset].contains0__O__I__I__Z(key, hash, ((5 + level) | 0))
      } else {
        return false
      }
    }
  };
}
const $is_sci_HashMap$HashTrieMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashTrieMap)))
});
const $isArrayOf_sci_HashMap$HashTrieMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashTrieMap)))
});
const $d_sci_HashMap$HashTrieMap = new $TypeData().initClass({
  sci_HashMap$HashTrieMap: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap", {
  sci_HashMap$HashTrieMap: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashTrieMap.prototype.$classData = $d_sci_HashMap$HashTrieMap;
class $c_sci_List extends $c_sc_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this
  };
  takeRight__I__sci_List(n) {
    return this.loop$2__p4__sci_List__sci_List__sci_List(this.drop__I__sci_List(n), this)
  };
  apply__I__O(n) {
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_LinearSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const n = (v1 | 0);
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  exists__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    return this
  };
  seq__sc_Iterable() {
    return this
  };
  loop$2__p4__sci_List__sci_List__sci_List(lead, lag) {
    _loop: while (true) {
      const x1 = lead;
      const x$2 = $m_sci_Nil$();
      if (x$2.equals__O__Z(x1)) {
        return lag
      } else if ($is_sci_$colon$colon(x1)) {
        const x2 = x1;
        const tail = x2.tl$5;
        const temp$lag = lag.tail__O();
        lead = tail;
        lag = temp$lag;
        continue _loop
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        let rest = this;
        const found = new $c_sr_BooleanRef().init___Z(false);
        const h = new $c_sr_ObjectRef().init___O(null);
        const t = new $c_sr_ObjectRef().init___O(null);
        while ((rest !== $m_sci_Nil$())) {
          f.apply__O__O(rest.head__O()).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, found$1, h$1, t$1) {
            return (function(b$2) {
              if ((!found$1.elem$1)) {
                h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1 = h$1.elem$1;
                found$1.elem$1 = true
              } else {
                const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1.tl$5 = nx;
                t$1.elem$1 = nx
              }
            })
          })(this, found, h, t)));
          rest = rest.tail__O()
        };
        return ((!found.elem$1) ? $m_sci_Nil$() : h.elem$1)
      }
    } else {
      return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  drop__I__sc_LinearSeqOptimized(n) {
    return this.drop__I__sci_List(n)
  };
  take__I__sci_List(n) {
    if ((this.isEmpty__Z() || (n <= 0))) {
      return $m_sci_Nil$()
    } else {
      const h = new $c_sci_$colon$colon().init___O__sci_List(this.head__O(), $m_sci_Nil$());
      let t = h;
      let rest = this.tail__O();
      let i = 1;
      while (true) {
        if (rest.isEmpty__Z()) {
          return this
        };
        if ((i < n)) {
          i = ((1 + i) | 0);
          const nx = new $c_sci_$colon$colon().init___O__sci_List(rest.head__O(), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        } else {
          break
        }
      };
      return h
    }
  };
  forall__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_List$()
  };
  foreach__F1__V(f) {
    let these = this;
    while ((!these.isEmpty__Z())) {
      f.apply__O__O(these.head__O());
      these = these.tail__O()
    }
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_LinearSeqOptimized__foldLeft__O__F2__O(this, z, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_LinearSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  $$colon$colon$colon__sci_List__sci_List(prefix) {
    return (this.isEmpty__Z() ? prefix : (prefix.isEmpty__Z() ? this : new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(prefix).prependToList__sci_List__sci_List(this)))
  };
  iterator__sc_Iterator() {
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this)
  };
  drop__I__sci_List(n) {
    let these = this;
    let count = n;
    while (((!these.isEmpty__Z()) && (count > 0))) {
      these = these.tail__O();
      count = (((-1) + count) | 0)
    };
    return these
  };
  find__F1__s_Option(p) {
    return $f_sc_LinearSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    const b = new $c_scm_ListBuffer().init___();
    let these = this;
    while (((!these.isEmpty__Z()) && (!(!p.apply__O__O(these.head__O()))))) {
      b.$$plus$eq__O__scm_ListBuffer(these.head__O());
      these = these.tail__O()
    };
    return new $c_T2().init___O__O(b.toList__sci_List(), these)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return ((bf === $m_sci_List$().ReusableCBFInstance$2) ? that.seq__sc_TraversableOnce().toList__sci_List().$$colon$colon$colon__sci_List__sci_List(this) : $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf))
  };
  length__I() {
    return $f_sc_LinearSeqOptimized__length__I(this)
  };
  seq__sc_Seq() {
    return this
  };
  take__I__O(n) {
    return this.take__I__sci_List(n)
  };
  toStream__sci_Stream() {
    return (this.isEmpty__Z() ? $m_sci_Stream$Empty$() : new $c_sci_Stream$Cons().init___O__F0(this.head__O(), new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.tail__O().toStream__sci_Stream()
      })
    })(this))))
  };
  drop__I__O(n) {
    return this.drop__I__sci_List(n)
  };
  contains__O__Z(elem) {
    return $f_sc_LinearSeqOptimized__contains__O__Z(this, elem)
  };
  thisCollection__sc_Seq() {
    return this
  };
  toSeq__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const x$1 = (x | 0);
    return $f_sc_LinearSeqOptimized__isDefinedAt__I__Z(this, x$1)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const h = new $c_sci_$colon$colon().init___O__sci_List(f.apply__O__O(this.head__O()), $m_sci_Nil$());
        let t = h;
        let rest = this.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f.apply__O__O(rest.head__O()), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        return h
      }
    } else {
      return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        let rest = this;
        let h = null;
        do {
          const x = pf.applyOrElse__O__F1__O(rest.head__O(), $m_sci_List$().partialNotApplied$5);
          if ((x !== $m_sci_List$().partialNotApplied$5)) {
            h = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$())
          };
          rest = rest.tail__O();
          if ((rest === $m_sci_Nil$())) {
            return ((h === null) ? $m_sci_Nil$() : h)
          }
        } while ((h === null));
        let t = h;
        do {
          const x$2 = pf.applyOrElse__O__F1__O(rest.head__O(), $m_sci_List$().partialNotApplied$5);
          if ((x$2 !== $m_sci_List$().partialNotApplied$5)) {
            const nx = new $c_sci_$colon$colon().init___O__sci_List(x$2, $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx
          };
          rest = rest.tail__O()
        } while ((rest !== $m_sci_Nil$()));
        return h
      }
    } else {
      return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
    }
  };
  reduceLeft__F2__O(op) {
    return $f_sc_LinearSeqOptimized__reduceLeft__F2__O(this, op)
  };
  reverse__sci_List() {
    let result = $m_sci_Nil$();
    let these = this;
    while ((!these.isEmpty__Z())) {
      const x$4 = these.head__O();
      const this$1 = result;
      result = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
      these = these.tail__O()
    };
    return result
  };
  stringPrefix__T() {
    return "List"
  };
}
const $is_sci_List = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_List)))
});
const $isArrayOf_sci_List = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_List)))
});
class $c_sci_Range$Inclusive extends $c_sci_Range {
  isInclusive__Z() {
    return true
  };
  init___I__I__I(start, end, step) {
    $c_sci_Range.prototype.init___I__I__I.call(this, start, end, step);
    return this
  };
  copy__I__I__I__sci_Range(start, end, step) {
    return new $c_sci_Range$Inclusive().init___I__I__I(start, end, step)
  };
}
const $d_sci_Range$Inclusive = new $TypeData().initClass({
  sci_Range$Inclusive: 0
}, false, "scala.collection.immutable.Range$Inclusive", {
  sci_Range$Inclusive: 1,
  sci_Range: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range$Inclusive.prototype.$classData = $d_sci_Range$Inclusive;
class $c_sci_Stream$Cons extends $c_sci_Stream {
  constructor() {
    super();
    this.hd$5 = null;
    this.tlVal$5 = null;
    this.tlGen$5 = null
  };
  head__O() {
    return this.hd$5
  };
  tail__sci_Stream() {
    if ((!this.tailDefined__Z())) {
      if ((!this.tailDefined__Z())) {
        this.tlVal$5 = this.tlGen$5.apply__O();
        this.tlGen$5 = null
      }
    };
    return this.tlVal$5
  };
  sameElements__sc_GenIterable__Z(that) {
    if ($is_sci_Stream$Cons(that)) {
      const x2 = that;
      return this.consEq$1__p5__sci_Stream$Cons__sci_Stream$Cons__Z(this, x2)
    } else {
      return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
    }
  };
  tailDefined__Z() {
    return (this.tlGen$5 === null)
  };
  isEmpty__Z() {
    return false
  };
  consEq$1__p5__sci_Stream$Cons__sci_Stream$Cons__Z(a, b) {
    _consEq: while (true) {
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(a.hd$5, b.hd$5)) {
        const x1 = a.tail__sci_Stream();
        if ($is_sci_Stream$Cons(x1)) {
          const x2 = x1;
          const x1$2 = b.tail__sci_Stream();
          if ($is_sci_Stream$Cons(x1$2)) {
            const x2$2 = x1$2;
            if ((x2 === x2$2)) {
              return true
            } else {
              a = x2;
              b = x2$2;
              continue _consEq
            }
          } else {
            return false
          }
        } else {
          return b.tail__sci_Stream().isEmpty__Z()
        }
      } else {
        return false
      }
    }
  };
  tail__O() {
    return this.tail__sci_Stream()
  };
  init___O__F0(hd, tl) {
    this.hd$5 = hd;
    this.tlGen$5 = tl;
    return this
  };
}
const $is_sci_Stream$Cons = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream$Cons)))
});
const $isArrayOf_sci_Stream$Cons = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream$Cons)))
});
const $d_sci_Stream$Cons = new $TypeData().initClass({
  sci_Stream$Cons: 0
}, false, "scala.collection.immutable.Stream$Cons", {
  sci_Stream$Cons: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Cons.prototype.$classData = $d_sci_Stream$Cons;
class $c_sci_Stream$Empty$ extends $c_sci_Stream {
  init___() {
    return this
  };
  head__O() {
    this.head__sr_Nothing$()
  };
  tailDefined__Z() {
    return false
  };
  isEmpty__Z() {
    return true
  };
  tail__sr_Nothing$() {
    throw new $c_jl_UnsupportedOperationException().init___T("tail of empty stream")
  };
  head__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("head of empty stream")
  };
  tail__O() {
    this.tail__sr_Nothing$()
  };
}
const $d_sci_Stream$Empty$ = new $TypeData().initClass({
  sci_Stream$Empty$: 0
}, false, "scala.collection.immutable.Stream$Empty$", {
  sci_Stream$Empty$: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Empty$.prototype.$classData = $d_sci_Stream$Empty$;
let $n_sci_Stream$Empty$ = (void 0);
const $m_sci_Stream$Empty$ = (function() {
  if ((!$n_sci_Stream$Empty$)) {
    $n_sci_Stream$Empty$ = new $c_sci_Stream$Empty$().init___()
  };
  return $n_sci_Stream$Empty$
});
class $c_sci_StreamViewLike$AbstractTransformed extends $c_sc_SeqViewLike$AbstractTransformed {
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sci_StreamViewLike$$anon$7().init___sci_StreamViewLike__scg_SliceInterval(this, _endpoints)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, asTraversable)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  newDroppedWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$8().init___sci_StreamViewLike__F1(this, p)
  };
  newFiltered__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$6().init___sci_StreamViewLike__F1(this, p)
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  init___sci_StreamViewLike($$outer) {
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  filter__F1__O(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  newFlatMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, f)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  newTakenWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$9().init___sci_StreamViewLike__F1(this, p)
  };
  newMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$2().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  newZipped__sc_GenIterable__sc_SeqViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$10().init___sci_StreamViewLike__sc_GenIterable(this, that)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$9().init___sci_StreamViewLike__F1(this, p)
  };
  drop__I__O(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$10().init___sci_StreamViewLike__sc_GenIterable(this, that)
  };
  newAppended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$2().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$6().init___sci_StreamViewLike__F1(this, p)
  };
  newFlatMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, f)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$8().init___sci_StreamViewLike__F1(this, p)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  stringPrefix__T() {
    return "StreamView"
  };
}
class $c_sci_Vector extends $c_sc_AbstractSeq {
  constructor() {
    super();
    this.startIndex$4 = 0;
    this.endIndex$4 = 0;
    this.focus$4 = 0;
    this.dirty$4 = false;
    this.depth$4 = 0;
    this.display0$4 = null;
    this.display1$4 = null;
    this.display2$4 = null;
    this.display3$4 = null;
    this.display4$4 = null;
    this.display5$4 = null
  };
  checkRangeConvert__p4__I__I(index) {
    const idx = ((index + this.startIndex$4) | 0);
    if (((index >= 0) && (idx < this.endIndex$4))) {
      return idx
    } else {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + index))
    }
  };
  seq__sc_TraversableOnce() {
    return this
  };
  display3__AO() {
    return this.display3$4
  };
  gotoPosWritable__p4__I__I__I__V(oldIndex, newIndex, xor) {
    if (this.dirty$4) {
      $f_sci_VectorPointer__gotoPosWritable1__I__I__I__V(this, oldIndex, newIndex, xor)
    } else {
      $f_sci_VectorPointer__gotoPosWritable0__I__I__V(this, newIndex, xor);
      this.dirty$4 = true
    }
  };
  head__O() {
    if ($f_sc_SeqLike__isEmpty__Z(this)) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.head")
    };
    return this.apply__I__O(0)
  };
  apply__I__O(index) {
    const idx = this.checkRangeConvert__p4__I__I(index);
    const xor = (idx ^ this.focus$4);
    return $f_sci_VectorPointer__getElem__I__I__O(this, idx, xor)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return ((this.length__I() - len) | 0)
  };
  depth__I() {
    return this.depth$4
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  initIterator__sci_VectorIterator__V(s) {
    const depth = this.depth$4;
    $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
    if (this.dirty$4) {
      const index = this.focus$4;
      $f_sci_VectorPointer__stabilize__I__V(s, index)
    };
    if ((s.depth$2 > 1)) {
      const index$1 = this.startIndex$4;
      const xor = (this.startIndex$4 ^ this.focus$4);
      $f_sci_VectorPointer__gotoPos__I__I__V(s, index$1, xor)
    }
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  init___I__I__I(startIndex, endIndex, focus) {
    this.startIndex$4 = startIndex;
    this.endIndex$4 = endIndex;
    this.focus$4 = focus;
    this.dirty$4 = false;
    return this
  };
  display5$und$eq__AO__V(x$1) {
    this.display5$4 = x$1
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return ((((bf === ($m_sci_IndexedSeq$(), $m_sc_IndexedSeq$().ReusableCBF$6)) || (bf === $m_sci_Seq$().ReusableCBFInstance$2)) || (bf === $m_sc_Seq$().ReusableCBFInstance$2)) ? this.appendBack__O__sci_Vector(elem) : $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Vector$()
  };
  cleanLeftEdge__p4__I__V(cutIndex) {
    if ((cutIndex < 32)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, cutIndex)
    } else if ((cutIndex < 1024)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, ((cutIndex >>> 5) | 0))
    } else if ((cutIndex < 32768)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, ((cutIndex >>> 10) | 0))
    } else if ((cutIndex < 1048576)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, (31 & ((cutIndex >>> 10) | 0)));
      this.display3$4 = this.copyRight__p4__AO__I__AO(this.display3$4, ((cutIndex >>> 15) | 0))
    } else if ((cutIndex < 33554432)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, (31 & ((cutIndex >>> 10) | 0)));
      this.display3$4 = this.copyRight__p4__AO__I__AO(this.display3$4, (31 & ((cutIndex >>> 15) | 0)));
      this.display4$4 = this.copyRight__p4__AO__I__AO(this.display4$4, ((cutIndex >>> 20) | 0))
    } else if ((cutIndex < 1073741824)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, (31 & ((cutIndex >>> 10) | 0)));
      this.display3$4 = this.copyRight__p4__AO__I__AO(this.display3$4, (31 & ((cutIndex >>> 15) | 0)));
      this.display4$4 = this.copyRight__p4__AO__I__AO(this.display4$4, (31 & ((cutIndex >>> 20) | 0)));
      this.display5$4 = this.copyRight__p4__AO__I__AO(this.display5$4, ((cutIndex >>> 25) | 0))
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  };
  display0__AO() {
    return this.display0$4
  };
  display4__AO() {
    return this.display4$4
  };
  display2$und$eq__AO__V(x$1) {
    this.display2$4 = x$1
  };
  shiftTopLevel__p4__I__I__V(oldLeft, newLeft) {
    const x1 = (((-1) + this.depth$4) | 0);
    switch (x1) {
      case 0: {
        const array = this.display0$4;
        this.display0$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array, oldLeft, newLeft);
        break
      }
      case 1: {
        const array$1 = this.display1$4;
        this.display1$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$1, oldLeft, newLeft);
        break
      }
      case 2: {
        const array$2 = this.display2$4;
        this.display2$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$2, oldLeft, newLeft);
        break
      }
      case 3: {
        const array$3 = this.display3$4;
        this.display3$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$3, oldLeft, newLeft);
        break
      }
      case 4: {
        const array$4 = this.display4$4;
        this.display4$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$4, oldLeft, newLeft);
        break
      }
      case 5: {
        const array$5 = this.display5$4;
        this.display5$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$5, oldLeft, newLeft);
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  tail__sci_Vector() {
    if ($f_sc_SeqLike__isEmpty__Z(this)) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
    };
    return this.drop__I__sci_Vector(1)
  };
  toVector__sci_Vector() {
    return this
  };
  appendBack__O__sci_Vector(value) {
    if ((this.endIndex$4 !== this.startIndex$4)) {
      const blockIndex = ((-32) & this.endIndex$4);
      const lo = (31 & this.endIndex$4);
      if ((this.endIndex$4 !== blockIndex)) {
        const s = new $c_sci_Vector().init___I__I__I(this.startIndex$4, ((1 + this.endIndex$4) | 0), blockIndex);
        const depth = this.depth$4;
        $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
        s.dirty$4 = this.dirty$4;
        s.gotoPosWritable__p4__I__I__I__V(this.focus$4, blockIndex, (this.focus$4 ^ blockIndex));
        s.display0$4.u[lo] = value;
        return s
      } else {
        const shift = (this.startIndex$4 & (~(((-1) + (1 << $imul(5, (((-1) + this.depth$4) | 0)))) | 0)));
        const shiftBlocks = ((this.startIndex$4 >>> $imul(5, (((-1) + this.depth$4) | 0))) | 0);
        if ((shift !== 0)) {
          if ((this.depth$4 > 1)) {
            const newBlockIndex = ((blockIndex - shift) | 0);
            const newFocus = ((this.focus$4 - shift) | 0);
            const s$2 = new $c_sci_Vector().init___I__I__I(((this.startIndex$4 - shift) | 0), ((((1 + this.endIndex$4) | 0) - shift) | 0), newBlockIndex);
            const depth$1 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$2, this, depth$1);
            s$2.dirty$4 = this.dirty$4;
            s$2.shiftTopLevel__p4__I__I__V(shiftBlocks, 0);
            s$2.gotoFreshPosWritable__p4__I__I__I__V(newFocus, newBlockIndex, (newFocus ^ newBlockIndex));
            s$2.display0$4.u[lo] = value;
            return s$2
          } else {
            const newBlockIndex$2 = (((-32) + blockIndex) | 0);
            const newFocus$2 = this.focus$4;
            const s$3 = new $c_sci_Vector().init___I__I__I(((this.startIndex$4 - shift) | 0), ((((1 + this.endIndex$4) | 0) - shift) | 0), newBlockIndex$2);
            const depth$2 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$3, this, depth$2);
            s$3.dirty$4 = this.dirty$4;
            s$3.shiftTopLevel__p4__I__I__V(shiftBlocks, 0);
            s$3.gotoPosWritable__p4__I__I__I__V(newFocus$2, newBlockIndex$2, (newFocus$2 ^ newBlockIndex$2));
            s$3.display0$4.u[((32 - shift) | 0)] = value;
            return s$3
          }
        } else {
          const newFocus$3 = this.focus$4;
          const s$4 = new $c_sci_Vector().init___I__I__I(this.startIndex$4, ((1 + this.endIndex$4) | 0), blockIndex);
          const depth$3 = this.depth$4;
          $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$4, this, depth$3);
          s$4.dirty$4 = this.dirty$4;
          s$4.gotoFreshPosWritable__p4__I__I__I__V(newFocus$3, blockIndex, (newFocus$3 ^ blockIndex));
          s$4.display0$4.u[lo] = value;
          return s$4
        }
      }
    } else {
      const elems = $newArrayObject($d_O.getArrayOf(), [32]);
      elems.u[0] = value;
      const s$5 = new $c_sci_Vector().init___I__I__I(0, 1, 0);
      s$5.depth$4 = 1;
      s$5.display0$4 = elems;
      return s$5
    }
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  preClean__p4__I__V(depth) {
    this.depth$4 = depth;
    const x1 = (((-1) + depth) | 0);
    switch (x1) {
      case 0: {
        this.display1$4 = null;
        this.display2$4 = null;
        this.display3$4 = null;
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 1: {
        this.display2$4 = null;
        this.display3$4 = null;
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 2: {
        this.display3$4 = null;
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 3: {
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 4: {
        this.display5$4 = null;
        break
      }
      case 5: {
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return ((((bf === ($m_sci_IndexedSeq$(), $m_sc_IndexedSeq$().ReusableCBF$6)) || (bf === $m_sci_Seq$().ReusableCBFInstance$2)) || (bf === $m_sc_Seq$().ReusableCBFInstance$2)) ? this.appendFront__O__sci_Vector(elem) : $f_sc_SeqLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf))
  };
  iterator__sc_Iterator() {
    return this.iterator__sci_VectorIterator()
  };
  display1$und$eq__AO__V(x$1) {
    this.display1$4 = x$1
  };
  length__I() {
    return ((this.endIndex$4 - this.startIndex$4) | 0)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    if ((((bf === ($m_sci_IndexedSeq$(), $m_sc_IndexedSeq$().ReusableCBF$6)) || (bf === $m_sci_Seq$().ReusableCBFInstance$2)) || (bf === $m_sc_Seq$().ReusableCBFInstance$2))) {
      if (that.isEmpty__Z()) {
        return this
      } else {
        const again = ((!that.isTraversableAgain__Z()) ? that.toVector__sci_Vector() : that.seq__sc_TraversableOnce());
        const x1 = again.size__I();
        switch (x1) {
          default: {
            if (((x1 <= 2) || (x1 < ((this.length__I() >>> 5) | 0)))) {
              const v = new $c_sr_ObjectRef().init___O(this);
              again.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, v$1) {
                return (function(x$2) {
                  v$1.elem$1 = v$1.elem$1.$$colon$plus__O__scg_CanBuildFrom__O(x$2, ($m_sci_Vector$(), $m_sc_IndexedSeq$().ReusableCBF$6))
                })
              })(this, v)));
              return v.elem$1
            } else if (((this.length__I() < ((x1 >>> 5) | 0)) && $is_sci_Vector(again))) {
              let v$2 = again;
              const ri = new $c_sci_Vector$$anon$1().init___sci_Vector(this);
              while (ri.hasNext__Z()) {
                const x$1 = ri.next__O();
                v$2 = v$2.$$plus$colon__O__scg_CanBuildFrom__O(x$1, ($m_sci_Vector$(), $m_sc_IndexedSeq$().ReusableCBF$6))
              };
              return v$2
            } else {
              return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, again, bf)
            }
          }
        }
      }
    } else {
      return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that.seq__sc_TraversableOnce(), bf)
    }
  };
  display4$und$eq__AO__V(x$1) {
    this.display4$4 = x$1
  };
  seq__sc_Seq() {
    return this
  };
  gotoFreshPosWritable__p4__I__I__I__V(oldIndex, newIndex, xor) {
    if (this.dirty$4) {
      $f_sci_VectorPointer__gotoFreshPosWritable1__I__I__I__V(this, oldIndex, newIndex, xor)
    } else {
      $f_sci_VectorPointer__gotoFreshPosWritable0__I__I__I__V(this, oldIndex, newIndex, xor);
      this.dirty$4 = true
    }
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  display1__AO() {
    return this.display1$4
  };
  last__O() {
    if ($f_sc_SeqLike__isEmpty__Z(this)) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.last")
    };
    return this.apply__I__O((((-1) + this.length__I()) | 0))
  };
  display5__AO() {
    return this.display5$4
  };
  drop__I__O(n) {
    return this.drop__I__sci_Vector(n)
  };
  thisCollection__sc_Seq() {
    return this
  };
  tail__O() {
    return this.tail__sci_Vector()
  };
  toSeq__sc_Seq() {
    return this
  };
  iterator__sci_VectorIterator() {
    const s = new $c_sci_VectorIterator().init___I__I(this.startIndex$4, this.endIndex$4);
    this.initIterator__sci_VectorIterator__V(s);
    return s
  };
  requiredDepth__p4__I__I(xor) {
    if ((xor < 32)) {
      return 1
    } else if ((xor < 1024)) {
      return 2
    } else if ((xor < 32768)) {
      return 3
    } else if ((xor < 1048576)) {
      return 4
    } else if ((xor < 33554432)) {
      return 5
    } else if ((xor < 1073741824)) {
      return 6
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  zeroLeft__p4__AO__I__V(array, index) {
    let i = 0;
    while ((i < index)) {
      array.u[i] = null;
      i = ((1 + i) | 0)
    }
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  depth$und$eq__I__V(x$1) {
    this.depth$4 = x$1
  };
  display2__AO() {
    return this.display2$4
  };
  dropFront0__p4__I__sci_Vector(cutIndex) {
    const blockIndex = ((-32) & cutIndex);
    const xor = (cutIndex ^ (((-1) + this.endIndex$4) | 0));
    const d = this.requiredDepth__p4__I__I(xor);
    const shift = (cutIndex & (~(((-1) + (1 << $imul(5, d))) | 0)));
    const s = new $c_sci_Vector().init___I__I__I(((cutIndex - shift) | 0), ((this.endIndex$4 - shift) | 0), ((blockIndex - shift) | 0));
    const depth = this.depth$4;
    $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
    s.dirty$4 = this.dirty$4;
    s.gotoPosWritable__p4__I__I__I__V(this.focus$4, blockIndex, (this.focus$4 ^ blockIndex));
    s.preClean__p4__I__V(d);
    s.cleanLeftEdge__p4__I__V(((cutIndex - shift) | 0));
    return s
  };
  display0$und$eq__AO__V(x$1) {
    this.display0$4 = x$1
  };
  drop__I__sci_Vector(n) {
    if ((n <= 0)) {
      return this
    } else if ((this.startIndex$4 < ((this.endIndex$4 - n) | 0))) {
      return this.dropFront0__p4__I__sci_Vector(((this.startIndex$4 + n) | 0))
    } else {
      const this$1 = $m_sci_Vector$();
      return this$1.NIL$6
    }
  };
  appendFront__O__sci_Vector(value) {
    if ((this.endIndex$4 !== this.startIndex$4)) {
      const blockIndex = ((-32) & (((-1) + this.startIndex$4) | 0));
      const lo = (31 & (((-1) + this.startIndex$4) | 0));
      if ((this.startIndex$4 !== ((32 + blockIndex) | 0))) {
        const s = new $c_sci_Vector().init___I__I__I((((-1) + this.startIndex$4) | 0), this.endIndex$4, blockIndex);
        const depth = this.depth$4;
        $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
        s.dirty$4 = this.dirty$4;
        s.gotoPosWritable__p4__I__I__I__V(this.focus$4, blockIndex, (this.focus$4 ^ blockIndex));
        s.display0$4.u[lo] = value;
        return s
      } else {
        const freeSpace = (((1 << $imul(5, this.depth$4)) - this.endIndex$4) | 0);
        const shift = (freeSpace & (~(((-1) + (1 << $imul(5, (((-1) + this.depth$4) | 0)))) | 0)));
        const shiftBlocks = ((freeSpace >>> $imul(5, (((-1) + this.depth$4) | 0))) | 0);
        if ((shift !== 0)) {
          if ((this.depth$4 > 1)) {
            const newBlockIndex = ((blockIndex + shift) | 0);
            const newFocus = ((this.focus$4 + shift) | 0);
            const s$2 = new $c_sci_Vector().init___I__I__I((((((-1) + this.startIndex$4) | 0) + shift) | 0), ((this.endIndex$4 + shift) | 0), newBlockIndex);
            const depth$1 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$2, this, depth$1);
            s$2.dirty$4 = this.dirty$4;
            s$2.shiftTopLevel__p4__I__I__V(0, shiftBlocks);
            s$2.gotoFreshPosWritable__p4__I__I__I__V(newFocus, newBlockIndex, (newFocus ^ newBlockIndex));
            s$2.display0$4.u[lo] = value;
            return s$2
          } else {
            const newBlockIndex$2 = ((32 + blockIndex) | 0);
            const newFocus$2 = this.focus$4;
            const s$3 = new $c_sci_Vector().init___I__I__I((((((-1) + this.startIndex$4) | 0) + shift) | 0), ((this.endIndex$4 + shift) | 0), newBlockIndex$2);
            const depth$2 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$3, this, depth$2);
            s$3.dirty$4 = this.dirty$4;
            s$3.shiftTopLevel__p4__I__I__V(0, shiftBlocks);
            s$3.gotoPosWritable__p4__I__I__I__V(newFocus$2, newBlockIndex$2, (newFocus$2 ^ newBlockIndex$2));
            s$3.display0$4.u[(((-1) + shift) | 0)] = value;
            return s$3
          }
        } else if ((blockIndex < 0)) {
          const move = (((1 << $imul(5, ((1 + this.depth$4) | 0))) - (1 << $imul(5, this.depth$4))) | 0);
          const newBlockIndex$3 = ((blockIndex + move) | 0);
          const newFocus$3 = ((this.focus$4 + move) | 0);
          const s$4 = new $c_sci_Vector().init___I__I__I((((((-1) + this.startIndex$4) | 0) + move) | 0), ((this.endIndex$4 + move) | 0), newBlockIndex$3);
          const depth$3 = this.depth$4;
          $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$4, this, depth$3);
          s$4.dirty$4 = this.dirty$4;
          s$4.gotoFreshPosWritable__p4__I__I__I__V(newFocus$3, newBlockIndex$3, (newFocus$3 ^ newBlockIndex$3));
          s$4.display0$4.u[lo] = value;
          return s$4
        } else {
          const newFocus$4 = this.focus$4;
          const s$5 = new $c_sci_Vector().init___I__I__I((((-1) + this.startIndex$4) | 0), this.endIndex$4, blockIndex);
          const depth$4 = this.depth$4;
          $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$5, this, depth$4);
          s$5.dirty$4 = this.dirty$4;
          s$5.gotoFreshPosWritable__p4__I__I__I__V(newFocus$4, blockIndex, (newFocus$4 ^ blockIndex));
          s$5.display0$4.u[lo] = value;
          return s$5
        }
      }
    } else {
      const elems = $newArrayObject($d_O.getArrayOf(), [32]);
      elems.u[31] = value;
      const s$6 = new $c_sci_Vector().init___I__I__I(31, 32, 0);
      s$6.depth$4 = 1;
      s$6.display0$4 = elems;
      return s$6
    }
  };
  copyRight__p4__AO__I__AO(array, left) {
    const copy = $newArrayObject($d_O.getArrayOf(), [array.u.length]);
    $systemArraycopy(array, left, copy, left, ((copy.u.length - left) | 0));
    return copy
  };
  display3$und$eq__AO__V(x$1) {
    this.display3$4 = x$1
  };
}
const $is_sci_Vector = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Vector)))
});
const $isArrayOf_sci_Vector = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Vector)))
});
const $d_sci_Vector = new $TypeData().initClass({
  sci_Vector: 0
}, false, "scala.collection.immutable.Vector", {
  sci_Vector: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_VectorPointer: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_Vector.prototype.$classData = $d_sci_Vector;
class $c_sci_WrappedString extends $c_sc_AbstractSeq {
  constructor() {
    super();
    this.self$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const thiz = this.self$4;
    const c = (65535 & (thiz.charCodeAt(idx) | 0));
    return new $c_jl_Character().init___C(c)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const n = (v1 | 0);
    const thiz = this.self$4;
    const c = (65535 & (thiz.charCodeAt(n) | 0));
    return new $c_jl_Character().init___C(c)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  apply__I__C(n) {
    const thiz = this.self$4;
    return (65535 & (thiz.charCodeAt(n) | 0))
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  toString__T() {
    return this.self$4
  };
  companion__scg_GenericCompanion() {
    return $m_sci_IndexedSeq$()
  };
  compareTo__O__I(that) {
    const other = that;
    const thiz = this.self$4;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const thiz = this.self$4;
    const end = (thiz.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  compare__O__I(that) {
    const other = that;
    const thiz = this.self$4;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return this.slice__I__I__sci_WrappedString(from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  iterator__sc_Iterator() {
    const thiz = this.self$4;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, (thiz.length | 0))
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  length__I() {
    const thiz = this.self$4;
    return (thiz.length | 0)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    const thiz = this.self$4;
    return (thiz.length | 0)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return this.slice__I__I__sci_WrappedString(0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  drop__I__O(n) {
    const thiz = this.self$4;
    const until = (thiz.length | 0);
    return this.slice__I__I__sci_WrappedString(n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  toSeq__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  init___T(self) {
    this.self$4 = self;
    return this
  };
  slice__I__I__sci_WrappedString(from, until) {
    const start = ((from < 0) ? 0 : from);
    let jsx$1;
    if ((until <= start)) {
      jsx$1 = true
    } else {
      const thiz = this.self$4;
      jsx$1 = (start >= (thiz.length | 0))
    };
    if (jsx$1) {
      return new $c_sci_WrappedString().init___T("")
    };
    const thiz$1 = this.self$4;
    let end;
    if ((until > (thiz$1.length | 0))) {
      const thiz$2 = this.self$4;
      end = (thiz$2.length | 0)
    } else {
      end = until
    };
    const thiz$3 = $m_s_Predef$().unwrapString__sci_WrappedString__T(this);
    return new $c_sci_WrappedString().init___T(thiz$3.substring(start, end))
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $m_sjsr_RuntimeString$().toCharArray__T__AC(this.self$4)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return $m_sci_WrappedString$().newBuilder__scm_Builder()
  };
}
const $d_sci_WrappedString = new $TypeData().initClass({
  sci_WrappedString: 0
}, false, "scala.collection.immutable.WrappedString", {
  sci_WrappedString: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_WrappedString.prototype.$classData = $d_sci_WrappedString;
class $c_sci_$colon$colon extends $c_sci_List {
  constructor() {
    super();
    this.head$5 = null;
    this.tl$5 = null
  };
  productPrefix__T() {
    return "::"
  };
  head__O() {
    return this.head$5
  };
  productArity__I() {
    return 2
  };
  isEmpty__Z() {
    return false
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.head$5;
        break
      }
      case 1: {
        return this.tl$5;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  tail__O() {
    return this.tl$5
  };
  init___O__sci_List(head, tl) {
    this.head$5 = head;
    this.tl$5 = tl;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_sci_$colon$colon = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_$colon$colon)))
});
const $isArrayOf_sci_$colon$colon = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_$colon$colon)))
});
const $d_sci_$colon$colon = new $TypeData().initClass({
  sci_$colon$colon: 0
}, false, "scala.collection.immutable.$colon$colon", {
  sci_$colon$colon: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_$colon$colon.prototype.$classData = $d_sci_$colon$colon;
class $c_sci_Nil$ extends $c_sci_List {
  init___() {
    return this
  };
  head__O() {
    this.head__sr_Nothing$()
  };
  productPrefix__T() {
    return "Nil"
  };
  productArity__I() {
    return 0
  };
  tail__sci_List() {
    throw new $c_jl_UnsupportedOperationException().init___T("tail of empty list")
  };
  isEmpty__Z() {
    return true
  };
  equals__O__Z(that) {
    if ($is_sc_GenSeq(that)) {
      const x2 = that;
      return x2.isEmpty__Z()
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  head__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("head of empty list")
  };
  tail__O() {
    return this.tail__sci_List()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_sci_Nil$ = new $TypeData().initClass({
  sci_Nil$: 0
}, false, "scala.collection.immutable.Nil$", {
  sci_Nil$: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Nil$.prototype.$classData = $d_sci_Nil$;
let $n_sci_Nil$ = (void 0);
const $m_sci_Nil$ = (function() {
  if ((!$n_sci_Nil$)) {
    $n_sci_Nil$ = new $c_sci_Nil$().init___()
  };
  return $n_sci_Nil$
});
class $c_scm_AbstractMap extends $c_sc_AbstractMap {
  seq__sc_TraversableOnce() {
    return this
  };
  put__O__O__s_Option(key, value) {
    return $f_scm_MapLike__put__O__O__s_Option(this, key, value)
  };
  seq__sc_Iterable() {
    return this
  };
  remove__O__s_Option(key) {
    return $f_scm_MapLike__remove__O__s_Option(this, key)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_Iterable$()
  };
  $$plus__T2__scm_Map(kv) {
    return this.empty__sc_Map().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this).$$plus$eq__T2__scm_MapLike(kv)
  };
  update__O__O__V(key, value) {
    $f_scm_MapLike__update__O__O__V(this, key, value)
  };
  withDefaultValue__O__scm_Map(d) {
    return $f_scm_Map__withDefaultValue__O__scm_Map(this, d)
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  updated__O__O__scm_Map(key, value) {
    return $f_scm_MapLike__updated__O__O__scm_Map(this, key, value)
  };
  getOrElseUpdate__O__F0__O(key, op) {
    return $f_scm_MapLike__getOrElseUpdate__O__F0__O(this, key, op)
  };
  toSeq__sc_Seq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$minus__O__scm_Map(key) {
    return this.empty__sc_Map().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this).$$minus$eq__O__scm_MapLike(key)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
  newBuilder__scm_Builder() {
    return this.empty__sc_Map()
  };
}
class $c_scm_AbstractSet extends $c_scm_AbstractIterable {
  seq__sc_TraversableOnce() {
    return this
  };
  seq__sc_Iterable() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_SetLike__isEmpty__Z(this)
  };
  equals__O__Z(that) {
    return $f_sc_GenSetLike__equals__O__Z(this, that)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  subsetOf__sc_GenSet__Z(that) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, that)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_SetLike__toBuffer__scm_Buffer(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return this.contains__O__Z(v1)
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  toSeq__sc_Seq() {
    return $f_scm_SetLike__toSeq__sc_Seq(this)
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    return this$1.unorderedHash__sc_TraversableOnce__I__I(this, this$1.setSeed$2)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  newBuilder__scm_Builder() {
    return this.empty__sc_Set()
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
  stringPrefix__T() {
    return "Set"
  };
}
class $c_sci_StreamViewLike$$anon$10 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.other$3 = null;
    this.thatSeq$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  init___sci_StreamViewLike__sc_GenIterable($$outer, that$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.other$3 = that$2;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  other__sc_GenIterable() {
    return this.other$3
  };
  thatSeq$lzycompute__p3__sc_Seq() {
    if ((!this.bitmap$0$3)) {
      this.thatSeq$3 = $f_sc_SeqViewLike$Zipped__thatSeq__sc_Seq(this);
      this.bitmap$0$3 = true
    };
    return this.thatSeq$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Zipped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "Z"
  };
  length__I() {
    return $f_sc_SeqViewLike$Zipped__length__I(this)
  };
  scala$collection$IterableViewLike$Zipped$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  thatSeq__sc_Seq() {
    return ((!this.bitmap$0$3) ? this.thatSeq$lzycompute__p3__sc_Seq() : this.thatSeq$3)
  };
  scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
}
const $d_sci_StreamViewLike$$anon$10 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$10: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$10", {
  sci_StreamViewLike$$anon$10: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Zipped: 1,
  sc_SeqViewLike$Zipped: 1,
  sc_IterableViewLike$Zipped: 1
});
$c_sci_StreamViewLike$$anon$10.prototype.$classData = $d_sci_StreamViewLike$$anon$10;
class $c_sci_StreamViewLike$$anon$1 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.forced$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return this.forced$3.apply__I__O(idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return this.forced$3.apply__I__O(idx)
  };
  foreach__F1__V(f) {
    this.forced$3.foreach__F1__V(f)
  };
  iterator__sc_Iterator() {
    return this.forced$3.iterator__sc_Iterator()
  };
  viewIdentifier__T() {
    return "C"
  };
  length__I() {
    return this.forced$3.length__I()
  };
  init___sci_StreamViewLike__F0($$outer, xs$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    const forced = xs$1.apply__O();
    this.forced$3 = forced;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
}
const $d_sci_StreamViewLike$$anon$1 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$1: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$1", {
  sci_StreamViewLike$$anon$1: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Forced: 1,
  sc_SeqViewLike$Forced: 1,
  sc_IterableViewLike$Forced: 1,
  sc_TraversableViewLike$Forced: 1
});
$c_sci_StreamViewLike$$anon$1.prototype.$classData = $d_sci_StreamViewLike$$anon$1;
class $c_sci_StreamViewLike$$anon$2 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.rest$3 = null;
    this.restSeq$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  init___sci_StreamViewLike__sc_GenTraversable($$outer, that$4) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.rest$3 = that$4;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Appended__foreach__F1__V(this, f)
  };
  scala$collection$TraversableViewLike$Appended$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  rest__sc_GenTraversable() {
    return this.rest$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Appended__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "A"
  };
  length__I() {
    return $f_sc_SeqViewLike$Appended__length__I(this)
  };
  restSeq$lzycompute__p3__sc_GenSeq() {
    if ((!this.bitmap$0$3)) {
      this.restSeq$3 = this.rest$3.toSeq__sc_GenSeq();
      this.bitmap$0$3 = true
    };
    return this.restSeq$3
  };
  scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  scala$collection$IterableViewLike$Appended$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  restSeq__sc_GenSeq() {
    return ((!this.bitmap$0$3) ? this.restSeq$lzycompute__p3__sc_GenSeq() : this.restSeq$3)
  };
}
const $d_sci_StreamViewLike$$anon$2 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$2: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$2", {
  sci_StreamViewLike$$anon$2: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Appended: 1,
  sc_SeqViewLike$Appended: 1,
  sc_IterableViewLike$Appended: 1,
  sc_TraversableViewLike$Appended: 1
});
$c_sci_StreamViewLike$$anon$2.prototype.$classData = $d_sci_StreamViewLike$$anon$2;
class $c_sci_StreamViewLike$$anon$4 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Mapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$3
  };
  scala$collection$SeqViewLike$Mapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  init___sci_StreamViewLike__F1($$outer, f$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.mapping$3 = f$2;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Mapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "M"
  };
  length__I() {
    return this.$$outer$3.length__I()
  };
  scala$collection$IterableViewLike$Mapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$Mapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
}
const $d_sci_StreamViewLike$$anon$4 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$4: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$4", {
  sci_StreamViewLike$$anon$4: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Mapped: 1,
  sc_SeqViewLike$Mapped: 1,
  sc_IterableViewLike$Mapped: 1,
  sc_TraversableViewLike$Mapped: 1
});
$c_sci_StreamViewLike$$anon$4.prototype.$classData = $d_sci_StreamViewLike$$anon$4;
class $c_sci_StreamViewLike$$anon$5 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$3 = null;
    this.index$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  index$lzycompute__p3__AI() {
    if ((!this.bitmap$0$3)) {
      this.index$3 = $f_sc_SeqViewLike$FlatMapped__index__AI(this);
      this.bitmap$0$3 = true
    };
    return this.index$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$FlatMapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$3
  };
  init___sci_StreamViewLike__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.mapping$3 = f$1;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$FlatMapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "N"
  };
  length__I() {
    return $f_sc_SeqViewLike$FlatMapped__length__I(this)
  };
  scala$collection$IterableViewLike$FlatMapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$FlatMapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  index__AI() {
    return ((!this.bitmap$0$3) ? this.index$lzycompute__p3__AI() : this.index$3)
  };
}
const $d_sci_StreamViewLike$$anon$5 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$5: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$5", {
  sci_StreamViewLike$$anon$5: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$FlatMapped: 1,
  sc_SeqViewLike$FlatMapped: 1,
  sc_IterableViewLike$FlatMapped: 1,
  sc_TraversableViewLike$FlatMapped: 1
});
$c_sci_StreamViewLike$$anon$5.prototype.$classData = $d_sci_StreamViewLike$$anon$5;
class $c_sci_StreamViewLike$$anon$6 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.index$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  index$lzycompute__p3__AI() {
    if ((!this.bitmap$0$3)) {
      this.index$3 = $f_sc_SeqViewLike$Filtered__index__AI(this);
      this.bitmap$0$3 = true
    };
    return this.index$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Filtered__foreach__F1__V(this, f)
  };
  init___sci_StreamViewLike__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$3;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "F"
  };
  length__I() {
    return $f_sc_SeqViewLike$Filtered__length__I(this)
  };
  index__AI() {
    return ((!this.bitmap$0$3) ? this.index$lzycompute__p3__AI() : this.index$3)
  };
  pred__F1() {
    return this.pred$3
  };
  scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
}
const $d_sci_StreamViewLike$$anon$6 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$6: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$6", {
  sci_StreamViewLike$$anon$6: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Filtered: 1,
  sc_SeqViewLike$Filtered: 1,
  sc_IterableViewLike$Filtered: 1,
  sc_TraversableViewLike$Filtered: 1
});
$c_sci_StreamViewLike$$anon$6.prototype.$classData = $d_sci_StreamViewLike$$anon$6;
class $c_sci_StreamViewLike$$anon$7 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.endpoints$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "S"
  };
  length__I() {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    return $f_sc_TraversableOnce__size__I(this$1)
  };
  init___sci_StreamViewLike__scg_SliceInterval($$outer, _endpoints$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.endpoints$3 = _endpoints$1;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  endpoints__scg_SliceInterval() {
    return this.endpoints$3
  };
}
const $d_sci_StreamViewLike$$anon$7 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$7: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$7", {
  sci_StreamViewLike$$anon$7: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Sliced: 1,
  sc_SeqViewLike$Sliced: 1,
  sc_IterableViewLike$Sliced: 1,
  sc_TraversableViewLike$Sliced: 1
});
$c_sci_StreamViewLike$$anon$7.prototype.$classData = $d_sci_StreamViewLike$$anon$7;
class $c_sci_StreamViewLike$$anon$8 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.start$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V(this, f)
  };
  scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  init___sci_StreamViewLike__F1($$outer, p$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$2;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "D"
  };
  length__I() {
    return $f_sc_SeqViewLike$DroppedWhile__length__I(this)
  };
  scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  start__I() {
    return ((!this.bitmap$0$3) ? this.start$lzycompute__p3__I() : this.start$3)
  };
  pred__F1() {
    return this.pred$3
  };
  start$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.start$3 = $f_sc_SeqLike__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.start$3
  };
}
const $d_sci_StreamViewLike$$anon$8 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$8: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$8", {
  sci_StreamViewLike$$anon$8: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$DroppedWhile: 1,
  sc_SeqViewLike$DroppedWhile: 1,
  sc_IterableViewLike$DroppedWhile: 1,
  sc_TraversableViewLike$DroppedWhile: 1
});
$c_sci_StreamViewLike$$anon$8.prototype.$classData = $d_sci_StreamViewLike$$anon$8;
class $c_sci_StreamViewLike$$anon$9 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.len$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  len__I() {
    return ((!this.bitmap$0$3) ? this.len$lzycompute__p3__I() : this.len$3)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V(this, f)
  };
  scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  init___sci_StreamViewLike__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$1;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "T"
  };
  length__I() {
    return this.len__I()
  };
  scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  len$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.len$3 = $f_sc_SeqLike__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.len$3
  };
  pred__F1() {
    return this.pred$3
  };
}
const $d_sci_StreamViewLike$$anon$9 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$9: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$9", {
  sci_StreamViewLike$$anon$9: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$TakenWhile: 1,
  sc_SeqViewLike$TakenWhile: 1,
  sc_IterableViewLike$TakenWhile: 1,
  sc_TraversableViewLike$TakenWhile: 1
});
$c_sci_StreamViewLike$$anon$9.prototype.$classData = $d_sci_StreamViewLike$$anon$9;
class $c_scm_AbstractBuffer extends $c_scm_AbstractSeq {
  clone__scm_Buffer() {
    return $f_scm_BufferLike__clone__scm_Buffer(this)
  };
  $$minus$eq__O__scm_Buffer(x) {
    return $f_scm_BufferLike__$$minus$eq__O__scm_Buffer(this, x)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
class $c_scm_ListMap extends $c_scm_AbstractMap {
  constructor() {
    super();
    this.elems$5 = null;
    this.siz$5 = 0
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    this.elems$5 = $m_sci_Nil$();
    this.siz$5 = 0;
    return this
  };
  $$minus$eq__O__scm_MapLike(key) {
    return this.$$minus$eq__O__scm_ListMap(key)
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$2 = new $c_scm_ListMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_ListMap(elem)
  };
  $$minus__O__sc_Map(key) {
    const this$2 = new $c_scm_ListMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(key)
  };
  empty__sc_Map() {
    return new $c_scm_ListMap().init___()
  };
  $$plus$eq__T2__scm_ListMap(kv) {
    this.elems$5 = this.remove__p5__O__sci_List__sci_List__sci_List(kv.$$und1__O(), this.elems$5, $m_sci_Nil$());
    const this$1 = this.elems$5;
    this.elems$5 = new $c_sci_$colon$colon().init___O__sci_List(kv, this$1);
    this.siz$5 = ((1 + this.siz$5) | 0);
    return this
  };
  size__I() {
    return this.siz$5
  };
  seq__sc_Map() {
    return this
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    const this$1 = this.elems$5;
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1)
  };
  empty__scm_Map() {
    return new $c_scm_ListMap().init___()
  };
  remove__p5__O__sci_List__sci_List__sci_List(key, elems, acc) {
    _remove: while (true) {
      if (elems.isEmpty__Z()) {
        return acc
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(elems.head__O().$$und1__O(), key)) {
        this.siz$5 = (((-1) + this.siz$5) | 0);
        const x$4 = acc;
        return elems.tail__O().$$colon$colon$colon__sci_List__sci_List(x$4)
      } else {
        const temp$elems = elems.tail__O();
        const x$5 = elems.head__O();
        const this$1 = acc;
        const temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$1);
        elems = temp$elems;
        acc = temp$acc;
        continue _remove
      }
    }
  };
  get__O__s_Option(key) {
    const this$1 = this.elems$5;
    let this$2;
    inlinereturn$1: {
      let these = this$1;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const x$1 = arg1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$1.$$und1__O(), key)) {
          this$2 = new $c_s_Some().init___O(these.head__O());
          break inlinereturn$1
        };
        these = these.tail__O()
      };
      this$2 = $m_s_None$()
    };
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = this$2.get__O();
      const x$2 = arg1$1;
      return new $c_s_Some().init___O(x$2.$$und2__O())
    }
  };
  $$plus$eq__T2__scm_MapLike(kv) {
    return this.$$plus$eq__T2__scm_ListMap(kv)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_ListMap(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_ListMap(elem)
  };
  clear__V() {
    this.elems$5 = $m_sci_Nil$();
    this.siz$5 = 0
  };
  $$minus$eq__O__scm_ListMap(key) {
    this.elems$5 = this.remove__p5__O__sci_List__sci_List__sci_List(key, this.elems$5, $m_sci_Nil$());
    return this
  };
  $$plus__T2__sc_GenMap(kv) {
    const this$2 = new $c_scm_ListMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$plus$eq__T2__scm_MapLike(kv)
  };
}
const $is_scm_ListMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ListMap)))
});
const $isArrayOf_scm_ListMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ListMap)))
});
const $d_scm_ListMap = new $TypeData().initClass({
  scm_ListMap: 0
}, false, "scala.collection.mutable.ListMap", {
  scm_ListMap: 1,
  scm_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  scm_Map: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_MapLike: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListMap.prototype.$classData = $d_scm_ListMap;
class $c_scm_Map$WithDefault extends $c_sc_Map$WithDefault {
  constructor() {
    super();
    this.underlying$5 = null;
    this.d$5 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  updated__O__O__scm_Map$WithDefault(key, value) {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5.updated__O__O__scm_Map(key, value), this.d$5)
  };
  put__O__O__s_Option(key, value) {
    return $f_scm_MapLike__put__O__O__s_Option(this, key, value)
  };
  $$minus$eq__O__scm_MapLike(key) {
    return this.$$minus$eq__O__scm_Map$WithDefault(key)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__scm_Map$WithDefault(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  remove__O__s_Option(key) {
    return $f_scm_MapLike__remove__O__s_Option(this, key)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_Map$WithDefault(elem)
  };
  $$minus__O__scm_Map$WithDefault(key) {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5.$$minus__O__scm_Map(key), this.d$5)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_Iterable$()
  };
  $$plus__T2__scm_Map(kv) {
    return this.updated__O__O__scm_Map$WithDefault(kv.$$und1__O(), kv.$$und2__O())
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__scm_Map$WithDefault(key)
  };
  empty__sc_Map() {
    return this.empty__scm_Map$WithDefault()
  };
  update__O__O__V(key, value) {
    $f_scm_MapLike__update__O__O__V(this, key, value)
  };
  seq__sc_Map() {
    return this
  };
  result__O() {
    return this
  };
  withDefaultValue__O__scm_Map(d) {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, d$1) {
      return (function(x$2) {
        return d$1
      })
    })(this, d)))
  };
  empty__scm_Map() {
    return this.empty__scm_Map$WithDefault()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$minus$eq__O__scm_Map$WithDefault(key) {
    this.underlying$5.$$minus$eq__O__scm_MapLike(key);
    return this
  };
  updated__O__O__scm_Map(key, value) {
    return this.updated__O__O__scm_Map$WithDefault(key, value)
  };
  getOrElseUpdate__O__F0__O(key, op) {
    return $f_scm_MapLike__getOrElseUpdate__O__F0__O(this, key, op)
  };
  $$plus$eq__T2__scm_MapLike(kv) {
    return this.$$plus$eq__T2__scm_Map$WithDefault(kv)
  };
  toSeq__sc_Seq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  init___scm_Map__F1(underlying, d) {
    this.underlying$5 = underlying;
    this.d$5 = d;
    $c_sc_Map$WithDefault.prototype.init___sc_Map__F1.call(this, underlying, d);
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_Map$WithDefault(elem)
  };
  empty__scm_Map$WithDefault() {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5.empty__scm_Map(), this.d$5)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  toSeq__sc_GenSeq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_Map$WithDefault(elem)
  };
  $$plus$eq__T2__scm_Map$WithDefault(kv) {
    this.underlying$5.$$plus$eq__T2__scm_MapLike(kv);
    return this
  };
  clear__V() {
    $f_scm_MapLike__clear__V(this)
  };
  $$minus__O__scm_Map(key) {
    return this.$$minus__O__scm_Map$WithDefault(key)
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__scm_Map$WithDefault(kv.$$und1__O(), kv.$$und2__O())
  };
  newBuilder__scm_Builder() {
    return this.empty__scm_Map$WithDefault()
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_Map$WithDefault = new $TypeData().initClass({
  scm_Map$WithDefault: 0
}, false, "scala.collection.mutable.Map$WithDefault", {
  scm_Map$WithDefault: 1,
  sc_Map$WithDefault: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  scm_Map: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_MapLike: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1
});
$c_scm_Map$WithDefault.prototype.$classData = $d_scm_Map$WithDefault;
const $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView = (function($thiz, from, until) {
  const jsx$1 = $m_scg_SliceInterval$();
  const that = $thiz.length__I();
  const _endpoints = jsx$1.apply__I__I__scg_SliceInterval(from, ((until < that) ? until : that));
  return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval($thiz, _endpoints)
});
const $f_scm_IndexedSeqView__span__F1__T2 = (function($thiz, p) {
  return new $c_T2().init___O__O(new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1($thiz, p), new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1($thiz, p))
});
const $f_scm_IndexedSeqView__splitAt__I__T2 = (function($thiz, n) {
  return new $c_T2().init___O__O($f_scm_IndexedSeqView__take__I__scm_IndexedSeqView($thiz, n), $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView($thiz, n))
});
const $f_scm_IndexedSeqView__tail__scm_IndexedSeqView = (function($thiz) {
  if ($f_sc_IndexedSeqOptimized__isEmpty__Z($thiz)) {
    return $thiz.scala$collection$mutable$IndexedSeqView$$super$tail__scm_IndexedSeqView()
  } else {
    const until = $thiz.length__I();
    return $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView($thiz, 1, until)
  }
});
const $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView = (function($thiz, n) {
  const _endpoints = $m_scg_SliceInterval$().apply__I__I__scg_SliceInterval(n, $thiz.length__I());
  return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval($thiz, _endpoints)
});
const $f_scm_IndexedSeqView__take__I__scm_IndexedSeqView = (function($thiz, n) {
  const jsx$1 = $m_scg_SliceInterval$();
  const that = $thiz.length__I();
  const _endpoints = jsx$1.apply__I__I__scg_SliceInterval(0, ((n < that) ? n : that));
  return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval($thiz, _endpoints)
});
const $is_scm_IndexedSeqView = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_IndexedSeqView)))
});
const $isArrayOf_scm_IndexedSeqView = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_IndexedSeqView)))
});
class $c_scm_WrappedArray extends $c_scm_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.length__I())
  };
  seq__scm_Seq() {
    return this
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = this.length__I();
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  thisCollection__sc_Seq() {
    return this
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const thatElementClass = evidence$1.runtimeClass__jl_Class();
    return ((this.elementClass__p5__jl_Class() === thatElementClass) ? this.array__O() : $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1))
  };
  elementClass__p5__jl_Class() {
    const this$1 = this.array__O();
    return $objectGetClass(this$1).getComponentType__jl_Class()
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_WrappedArrayBuilder().init___s_reflect_ClassTag(this.elemTag__s_reflect_ClassTag())
  };
  stringPrefix__T() {
    return "WrappedArray"
  };
}
class $c_scm_ArraySeq extends $c_scm_AbstractSeq {
  constructor() {
    super();
    this.length$5 = 0;
    this.array$5 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    if ((idx >= this.length$5)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
    };
    return this.array$5.u[idx]
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_ArraySeq$()
  };
  foreach__F1__V(f) {
    let i = 0;
    while ((i < this.length$5)) {
      f.apply__O__O(this.array$5.u[i]);
      i = ((1 + i) | 0)
    }
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length$5;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  seq__scm_Seq() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.length$5)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  init___I(length) {
    this.length$5 = length;
    this.array$5 = $newArrayObject($d_O.getArrayOf(), [length]);
    return this
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    return this.length$5
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.length$5
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = this.length$5;
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    const that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
    const x = ((len < that) ? len : that);
    const that$1 = this.length$5;
    const len1 = ((x < that$1) ? x : that$1);
    if ((len1 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.array$5, 0, xs, start, len1)
    }
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
}
const $d_scm_ArraySeq = new $TypeData().initClass({
  scm_ArraySeq: 0
}, false, "scala.collection.mutable.ArraySeq", {
  scm_ArraySeq: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArraySeq.prototype.$classData = $d_scm_ArraySeq;
class $c_scm_LinkedHashMap extends $c_scm_AbstractMap {
  constructor() {
    super();
    this.firstEntry$5 = null;
    this.lastEntry$5 = null;
    this.$$undloadFactor$5 = 0;
    this.table$5 = null;
    this.tableSize$5 = 0;
    this.threshold$5 = 0;
    this.sizemap$5 = null;
    this.seedvalue$5 = 0
  };
  repr__scg_Subtractable() {
    return this
  };
  put__O__O__s_Option(key, value) {
    const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this, key, value);
    if ((e === null)) {
      return $m_s_None$()
    } else {
      const v = e.value$1;
      e.value$1 = value;
      return new $c_s_Some().init___O(v)
    }
  };
  init___() {
    $f_scm_HashTable__$$init$__V(this);
    this.firstEntry$5 = null;
    this.lastEntry$5 = null;
    return this
  };
  $$minus$eq__O__scm_MapLike(key) {
    return this.$$minus$eq__O__scm_LinkedHashMap(key)
  };
  seedvalue$und$eq__I__V(x$1) {
    this.seedvalue$5 = x$1
  };
  tableSize__I() {
    return this.tableSize$5
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$2 = new $c_scm_LinkedHashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  remove__O__s_Option(key) {
    const e = $f_scm_HashTable__removeEntry__O__scm_HashEntry(this, key);
    if ((e === null)) {
      return $m_s_None$()
    } else {
      if ((e.earlier$1 === null)) {
        this.firstEntry$5 = e.later$1
      } else {
        e.earlier$1.later$1 = e.later$1
      };
      if ((e.later$1 === null)) {
        this.lastEntry$5 = e.earlier$1
      } else {
        e.later$1.earlier$1 = e.earlier$1
      };
      e.earlier$1 = null;
      e.later$1 = null;
      return new $c_s_Some().init___O(e.value$1)
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_LinkedHashMap(elem)
  };
  $$minus$eq__O__scm_LinkedHashMap(key) {
    this.remove__O__s_Option(key);
    return this
  };
  foreach__F1__V(f) {
    let cur = this.firstEntry$5;
    while ((cur !== null)) {
      f.apply__O__O(new $c_T2().init___O__O(cur.key$1, cur.value$1));
      cur = cur.later$1
    }
  };
  keysIterator__sc_Iterator() {
    return new $c_scm_LinkedHashMap$$anon$2().init___scm_LinkedHashMap(this)
  };
  $$minus__O__sc_Map(key) {
    const this$2 = new $c_scm_LinkedHashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(key)
  };
  empty__sc_Map() {
    return new $c_scm_LinkedHashMap().init___()
  };
  table__Ascm_HashEntry() {
    return this.table$5
  };
  size__I() {
    return this.tableSize$5
  };
  seq__sc_Map() {
    return this
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_scm_LinkedHashMap$$anon$1().init___scm_LinkedHashMap(this)
  };
  empty__scm_Map() {
    return new $c_scm_LinkedHashMap().init___()
  };
  valuesIterator__sc_Iterator() {
    return new $c_scm_LinkedHashMap$$anon$3().init___scm_LinkedHashMap(this)
  };
  createNewEntry__O__O__scm_HashEntry(key, value) {
    return this.createNewEntry__O__O__scm_LinkedEntry(key, value)
  };
  get__O__s_Option(key) {
    const e = $f_scm_HashTable__findEntry__O__scm_HashEntry(this, key);
    return ((e === null) ? $m_s_None$() : new $c_s_Some().init___O(e.value$1))
  };
  $$plus$eq__T2__scm_MapLike(kv) {
    return this.$$plus$eq__T2__scm_LinkedHashMap(kv)
  };
  sizemap$und$eq__AI__V(x$1) {
    this.sizemap$5 = x$1
  };
  seedvalue__I() {
    return this.seedvalue$5
  };
  table$und$eq__Ascm_HashEntry__V(x$1) {
    this.table$5 = x$1
  };
  $$undloadFactor__I() {
    return this.$$undloadFactor$5
  };
  threshold__I() {
    return this.threshold$5
  };
  keySet__sc_Set() {
    return new $c_scm_LinkedHashMap$DefaultKeySet().init___scm_LinkedHashMap(this)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_LinkedHashMap(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_LinkedHashMap(elem)
  };
  clear__V() {
    $f_scm_HashTable__clearTable__V(this);
    this.firstEntry$5 = null;
    this.lastEntry$5 = null
  };
  sizemap__AI() {
    return this.sizemap$5
  };
  createNewEntry__O__O__scm_LinkedEntry(key, value) {
    const e = new $c_scm_LinkedEntry().init___O__O(key, value);
    if ((this.firstEntry$5 === null)) {
      this.firstEntry$5 = e
    } else {
      this.lastEntry$5.later$1 = e;
      e.earlier$1 = this.lastEntry$5
    };
    this.lastEntry$5 = e;
    return e
  };
  $$plus$eq__T2__scm_LinkedHashMap(kv) {
    this.put__O__O__s_Option(kv.$$und1__O(), kv.$$und2__O());
    return this
  };
  $$undloadFactor$und$eq__I__V(x$1) {
    this.$$undloadFactor$5 = x$1
  };
  threshold$und$eq__I__V(x$1) {
    this.threshold$5 = x$1
  };
  $$plus__T2__sc_GenMap(kv) {
    const this$2 = new $c_scm_LinkedHashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$plus$eq__T2__scm_MapLike(kv)
  };
  tableSize$und$eq__I__V(x$1) {
    this.tableSize$5 = x$1
  };
}
const $d_scm_LinkedHashMap = new $TypeData().initClass({
  scm_LinkedHashMap: 0
}, false, "scala.collection.mutable.LinkedHashMap", {
  scm_LinkedHashMap: 1,
  scm_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  scm_Map: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_MapLike: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_HashTable: 1,
  scm_HashTable$HashUtils: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_LinkedHashMap.prototype.$classData = $d_scm_LinkedHashMap;
class $c_scm_HashMap extends $c_scm_AbstractMap {
  constructor() {
    super();
    this.$$undloadFactor$5 = 0;
    this.table$5 = null;
    this.tableSize$5 = 0;
    this.threshold$5 = 0;
    this.sizemap$5 = null;
    this.seedvalue$5 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  put__O__O__s_Option(key, value) {
    const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this, key, value);
    if ((e === null)) {
      return $m_s_None$()
    } else {
      const v = e.value$1;
      e.value$1 = value;
      return new $c_s_Some().init___O(v)
    }
  };
  init___() {
    $c_scm_HashMap.prototype.init___scm_HashTable$Contents.call(this, null);
    return this
  };
  $$minus$eq__O__scm_MapLike(key) {
    return this.$$minus$eq__O__scm_HashMap(key)
  };
  seedvalue$und$eq__I__V(x$1) {
    this.seedvalue$5 = x$1
  };
  apply__O__O(key) {
    const result = $f_scm_HashTable__findEntry__O__scm_HashEntry(this, key);
    return ((result === null) ? $f_sc_MapLike__$default__O__O(this, key) : result.value$1)
  };
  tableSize__I() {
    return this.tableSize$5
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$2 = new $c_scm_HashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  remove__O__s_Option(key) {
    const e = $f_scm_HashTable__removeEntry__O__scm_HashEntry(this, key);
    return ((e !== null) ? new $c_s_Some().init___O(e.value$1) : $m_s_None$())
  };
  addEntry0__p5__scm_DefaultEntry__I__V(e, h) {
    const x$1 = this.table$5.u[h];
    e.next$1 = x$1;
    this.table$5.u[h] = e;
    this.tableSize$5 = ((1 + this.tableSize$5) | 0);
    $f_scm_HashTable__nnSizeMapAdd__I__V(this, h)
  };
  $$plus$eq__T2__scm_HashMap(kv) {
    const key = kv.$$und1__O();
    const value = kv.$$und2__O();
    const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this, key, value);
    if ((e !== null)) {
      e.value$1 = kv.$$und2__O()
    };
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_HashMap(elem)
  };
  foreach__F1__V(f) {
    const iterTable = this.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const next = es.next__O();
      const arg1 = es;
      const e = arg1;
      f.apply__O__O(new $c_T2().init___O__O(e.key$1, e.value$1));
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    }
  };
  findEntry__p5__O__I__scm_DefaultEntry(key, h) {
    let e = this.table$5.u[h];
    while (this.notFound__p5__O__scm_DefaultEntry__Z(key, e)) {
      const this$1 = e;
      e = this$1.next$1
    };
    return e
  };
  keysIterator__sc_Iterator() {
    return new $c_scm_HashMap$$anon$3().init___scm_HashMap(this)
  };
  $$minus__O__sc_Map(key) {
    const this$2 = new $c_scm_HashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(key)
  };
  empty__sc_Map() {
    return new $c_scm_HashMap().init___()
  };
  table__Ascm_HashEntry() {
    return this.table$5
  };
  update__O__O__V(key, value) {
    this.put__O__O__s_Option(key, value)
  };
  size__I() {
    return this.tableSize$5
  };
  seq__sc_Map() {
    return this
  };
  result__O() {
    return this
  };
  values__sc_Iterable() {
    return new $c_scm_HashMap$$anon$2().init___scm_HashMap(this)
  };
  iterator__sc_Iterator() {
    const this$1 = new $c_scm_HashTable$$anon$1().init___scm_HashTable(this);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return new $c_T2().init___O__O(e.key$1, e.value$1)
      })
    })(this));
    return new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$1, f)
  };
  empty__scm_Map() {
    return new $c_scm_HashMap().init___()
  };
  valuesIterator__sc_Iterator() {
    return new $c_scm_HashMap$$anon$4().init___scm_HashMap(this)
  };
  init___scm_HashTable$Contents(contents) {
    $f_scm_HashTable__$$init$__V(this);
    $f_scm_HashTable__initWithContents__scm_HashTable$Contents__V(this, contents);
    return this
  };
  notFound__p5__O__scm_DefaultEntry__Z(key, e) {
    if ((e !== null)) {
      const key1 = e.key$1;
      return (!$m_sr_BoxesRunTime$().equals__O__O__Z(key1, key))
    } else {
      return false
    }
  };
  getOrElseUpdate__O__F0__O(key, defaultValue) {
    const hash = $m_sr_Statics$().anyHash__O__I(key);
    const i = $f_scm_HashTable__index__I__I(this, hash);
    const entry = this.findEntry__p5__O__I__scm_DefaultEntry(key, i);
    if ((entry !== null)) {
      return entry.value$1
    } else {
      const table0 = this.table$5;
      const $default = defaultValue.apply__O();
      const newEntryIndex = ((table0 === this.table$5) ? i : $f_scm_HashTable__index__I__I(this, hash));
      return this.addEntry__p5__scm_DefaultEntry__I__O(new $c_scm_DefaultEntry().init___O__O(key, $default), newEntryIndex)
    }
  };
  createNewEntry__O__O__scm_HashEntry(key, value) {
    return new $c_scm_DefaultEntry().init___O__O(key, value)
  };
  get__O__s_Option(key) {
    const e = $f_scm_HashTable__findEntry__O__scm_HashEntry(this, key);
    return ((e === null) ? $m_s_None$() : new $c_s_Some().init___O(e.value$1))
  };
  $$plus$eq__T2__scm_MapLike(kv) {
    return this.$$plus$eq__T2__scm_HashMap(kv)
  };
  sizemap$und$eq__AI__V(x$1) {
    this.sizemap$5 = x$1
  };
  $$minus$eq__O__scm_HashMap(key) {
    $f_scm_HashTable__removeEntry__O__scm_HashEntry(this, key);
    return this
  };
  contains__O__Z(key) {
    return ($f_scm_HashTable__findEntry__O__scm_HashEntry(this, key) !== null)
  };
  seedvalue__I() {
    return this.seedvalue$5
  };
  table$und$eq__Ascm_HashEntry__V(x$1) {
    this.table$5 = x$1
  };
  $$undloadFactor__I() {
    return this.$$undloadFactor$5
  };
  threshold__I() {
    return this.threshold$5
  };
  keySet__sc_Set() {
    return new $c_scm_HashMap$$anon$1().init___scm_HashMap(this)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_HashMap(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_HashMap(elem)
  };
  addEntry__p5__scm_DefaultEntry__I__O(e, h) {
    if ((this.tableSize$5 >= this.threshold$5)) {
      $f_scm_HashTable__addEntry__scm_HashEntry__V(this, e)
    } else {
      this.addEntry0__p5__scm_DefaultEntry__I__V(e, h)
    };
    return e.value$1
  };
  clear__V() {
    $f_scm_HashTable__clearTable__V(this)
  };
  sizemap__AI() {
    return this.sizemap$5
  };
  $$undloadFactor$und$eq__I__V(x$1) {
    this.$$undloadFactor$5 = x$1
  };
  threshold$und$eq__I__V(x$1) {
    this.threshold$5 = x$1
  };
  $$plus__T2__sc_GenMap(kv) {
    const this$2 = new $c_scm_HashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$plus$eq__T2__scm_MapLike(kv)
  };
  tableSize$und$eq__I__V(x$1) {
    this.tableSize$5 = x$1
  };
}
const $is_scm_HashMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_HashMap)))
});
const $isArrayOf_scm_HashMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_HashMap)))
});
const $d_scm_HashMap = new $TypeData().initClass({
  scm_HashMap: 0
}, false, "scala.collection.mutable.HashMap", {
  scm_HashMap: 1,
  scm_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  scm_Map: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_MapLike: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_HashTable: 1,
  scm_HashTable$HashUtils: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap.prototype.$classData = $d_scm_HashMap;
class $c_scm_IndexedSeqLike$$anon$1 extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    return this.$$outer$1.apply__I__O(idx)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, asTraversable)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  seq__sc_Iterable() {
    return this
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  dropWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  viewIdString__T() {
    return ""
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  takeWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  scala$collection$mutable$IndexedSeqView$$super$tail__scm_IndexedSeqView() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__I__O(v1)))
  };
  iterator__sc_Iterator() {
    return this.$$outer$1.iterator__sc_Iterator()
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_scm_IndexedSeqView__span__F1__T2(this, p)
  };
  init___scm_IndexedSeqLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    return this.$$outer$1.length__I()
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_scm_IndexedSeqView__splitAt__I__T2(this, n)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  take__I__O(n) {
    return $f_scm_IndexedSeqView__take__I__scm_IndexedSeqView(this, n)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  drop__I__O(n) {
    return $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  thisCollection__sc_Seq() {
    return this
  };
  tail__O() {
    return $f_scm_IndexedSeqView__tail__scm_IndexedSeqView(this)
  };
  toTraversable__sc_Traversable() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this
  };
  filter__F1__sc_TraversableView(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  indexOf__O__I(elem) {
    return $f_sc_GenSeqLike__indexOf__O__I__I(this, elem, 0)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = this.length__I();
    while ((i < len)) {
      const arg1 = this.apply__I__O(i);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this, p, from)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  stringPrefix__T() {
    return "SeqView"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
}
const $d_scm_IndexedSeqLike$$anon$1 = new $TypeData().initClass({
  scm_IndexedSeqLike$$anon$1: 0
}, false, "scala.collection.mutable.IndexedSeqLike$$anon$1", {
  scm_IndexedSeqLike$$anon$1: 1,
  O: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  s_Mutable: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1
});
$c_scm_IndexedSeqLike$$anon$1.prototype.$classData = $d_scm_IndexedSeqLike$$anon$1;
class $c_scm_LinkedHashSet extends $c_scm_AbstractSet {
  constructor() {
    super();
    this.firstEntry$5 = null;
    this.lastEntry$5 = null;
    this.$$undloadFactor$5 = 0;
    this.table$5 = null;
    this.tableSize$5 = 0;
    this.threshold$5 = 0;
    this.sizemap$5 = null;
    this.seedvalue$5 = 0
  };
  $$minus$eq__O__scm_SetLike(elem) {
    return this.$$minus$eq__O__scm_LinkedHashSet(elem)
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    $f_scm_HashTable__$$init$__V(this);
    this.firstEntry$5 = null;
    this.lastEntry$5 = null;
    return this
  };
  seedvalue$und$eq__I__V(x$1) {
    this.seedvalue$5 = x$1
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  tableSize__I() {
    return this.tableSize$5
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_scm_SetLike__clone__scm_Set(this).$$minus$eq__O__scm_SetLike(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_LinkedHashSet(elem)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_LinkedHashSet$()
  };
  foreach__F1__V(f) {
    let cur = this.firstEntry$5;
    while ((cur !== null)) {
      f.apply__O__O(cur.key$1);
      cur = cur.later$1
    }
  };
  $$plus$eq__O__scm_LinkedHashSet(elem) {
    this.add__O__Z(elem);
    return this
  };
  $$plus$eq__O__scm_SetLike(elem) {
    return this.$$plus$eq__O__scm_LinkedHashSet(elem)
  };
  $$minus$eq__O__scm_LinkedHashSet(elem) {
    this.remove__O__Z(elem);
    return this
  };
  table__Ascm_HashEntry() {
    return this.table$5
  };
  size__I() {
    return this.tableSize$5
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_scm_LinkedHashSet$$anon$1().init___scm_LinkedHashSet(this)
  };
  $$minus__O__sc_Set(elem) {
    return $f_scm_SetLike__clone__scm_Set(this).$$minus$eq__O__scm_SetLike(elem)
  };
  empty__sc_Set() {
    return new $c_scm_LinkedHashSet().init___()
  };
  createNewEntry__O__O__scm_HashEntry(key, value) {
    return this.createNewEntry__O__O__scm_LinkedHashSet$Entry(key, value)
  };
  sizemap$und$eq__AI__V(x$1) {
    this.sizemap$5 = x$1
  };
  contains__O__Z(elem) {
    return ($f_scm_HashTable__findEntry__O__scm_HashEntry(this, elem) !== null)
  };
  seedvalue__I() {
    return this.seedvalue$5
  };
  table$und$eq__Ascm_HashEntry__V(x$1) {
    this.table$5 = x$1
  };
  $$undloadFactor__I() {
    return this.$$undloadFactor$5
  };
  threshold__I() {
    return this.threshold$5
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_LinkedHashSet(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_SetLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_LinkedHashSet(elem)
  };
  remove__O__Z(elem) {
    const e = $f_scm_HashTable__removeEntry__O__scm_HashEntry(this, elem);
    if ((e !== null)) {
      if ((e.earlier$1 === null)) {
        this.firstEntry$5 = e.later$1
      } else {
        e.earlier$1.later$1 = e.later$1
      };
      if ((e.later$1 === null)) {
        this.lastEntry$5 = e.earlier$1
      } else {
        e.later$1.earlier$1 = e.earlier$1
      };
      e.earlier$1 = null;
      e.later$1 = null;
      return true
    } else {
      return false
    }
  };
  sizemap__AI() {
    return this.sizemap$5
  };
  createNewEntry__O__O__scm_LinkedHashSet$Entry(key, dummy) {
    const e = new $c_scm_LinkedHashSet$Entry().init___O(key);
    if ((this.firstEntry$5 === null)) {
      this.firstEntry$5 = e
    } else {
      this.lastEntry$5.later$1 = e;
      e.earlier$1 = this.lastEntry$5
    };
    this.lastEntry$5 = e;
    return e
  };
  add__O__Z(elem) {
    return ($f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this, elem, null) === null)
  };
  $$plus__O__sc_Set(elem) {
    return $f_scm_SetLike__clone__scm_Set(this).$$plus$eq__O__scm_SetLike(elem)
  };
  $$plus$plus__sc_GenTraversableOnce__sc_Set(elems) {
    const this$1 = $f_scm_SetLike__clone__scm_Set(this);
    const xs = elems.seq__sc_TraversableOnce();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, xs)
  };
  $$undloadFactor$und$eq__I__V(x$1) {
    this.$$undloadFactor$5 = x$1
  };
  threshold$und$eq__I__V(x$1) {
    this.threshold$5 = x$1
  };
  tableSize$und$eq__I__V(x$1) {
    this.tableSize$5 = x$1
  };
}
const $d_scm_LinkedHashSet = new $TypeData().initClass({
  scm_LinkedHashSet: 0
}, false, "scala.collection.mutable.LinkedHashSet", {
  scm_LinkedHashSet: 1,
  scm_AbstractSet: 1,
  scm_AbstractIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_Set: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  scm_SetLike: 1,
  sc_script_Scriptable: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_HashTable: 1,
  scm_HashTable$HashUtils: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_LinkedHashSet.prototype.$classData = $d_scm_LinkedHashSet;
class $c_scm_HashSet extends $c_scm_AbstractSet {
  constructor() {
    super();
    this.$$undloadFactor$5 = 0;
    this.table$5 = null;
    this.tableSize$5 = 0;
    this.threshold$5 = 0;
    this.sizemap$5 = null;
    this.seedvalue$5 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  $$minus$eq__O__scm_SetLike(elem) {
    return this.$$minus$eq__O__scm_HashSet(elem)
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    $c_scm_HashSet.prototype.init___scm_FlatHashTable$Contents.call(this, null);
    return this
  };
  apply__O__O(v1) {
    return $f_scm_FlatHashTable__containsElem__O__Z(this, v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    return this$2.$$minus$eq__O__scm_HashSet(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_HashSet(elem)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_HashSet$()
  };
  foreach__F1__V(f) {
    let i = 0;
    const len = this.table$5.u.length;
    while ((i < len)) {
      const curEntry = this.table$5.u[i];
      if ((curEntry !== null)) {
        f.apply__O__O($f_scm_FlatHashTable$HashUtils__entryToElem__O__O(this, curEntry))
      };
      i = ((1 + i) | 0)
    }
  };
  $$plus$eq__O__scm_SetLike(elem) {
    return this.$$plus$eq__O__scm_HashSet(elem)
  };
  size__I() {
    return this.tableSize$5
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_scm_FlatHashTable$$anon$1().init___scm_FlatHashTable(this)
  };
  $$minus__O__sc_Set(elem) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    return this$2.$$minus$eq__O__scm_HashSet(elem)
  };
  empty__sc_Set() {
    return new $c_scm_HashSet().init___()
  };
  contains__O__Z(elem) {
    return $f_scm_FlatHashTable__containsElem__O__Z(this, elem)
  };
  init___scm_FlatHashTable$Contents(contents) {
    $f_scm_FlatHashTable__$$init$__V(this);
    $f_scm_FlatHashTable__initWithContents__scm_FlatHashTable$Contents__V(this, contents);
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_HashSet(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_SetLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_HashSet(elem)
  };
  $$minus$eq__O__scm_HashSet(elem) {
    $f_scm_FlatHashTable__removeElem__O__Z(this, elem);
    return this
  };
  add__O__Z(elem) {
    return $f_scm_FlatHashTable__addElem__O__Z(this, elem)
  };
  $$plus__O__sc_Set(elem) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    return this$2.$$plus$eq__O__scm_HashSet(elem)
  };
  $$plus$plus__sc_GenTraversableOnce__sc_Set(elems) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    const xs = elems.seq__sc_TraversableOnce();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, xs)
  };
  $$plus$eq__O__scm_HashSet(elem) {
    $f_scm_FlatHashTable__addElem__O__Z(this, elem);
    return this
  };
}
const $is_scm_HashSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_HashSet)))
});
const $isArrayOf_scm_HashSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_HashSet)))
});
const $d_scm_HashSet = new $TypeData().initClass({
  scm_HashSet: 0
}, false, "scala.collection.mutable.HashSet", {
  scm_HashSet: 1,
  scm_AbstractSet: 1,
  scm_AbstractIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_Set: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  scm_SetLike: 1,
  sc_script_Scriptable: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_FlatHashTable: 1,
  scm_FlatHashTable$HashUtils: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet.prototype.$classData = $d_scm_HashSet;
class $c_scm_WrappedArray$ofBoolean extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcZI$sp__I__Z(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcZI$sp__I__Z(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__Z__V(index, (!(!elem)))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofBoolean(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AZ__AZ__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply$mcZI$sp__I__Z(index) {
    return this.array$6.u[index]
  };
  length__I() {
    return this.array$6.u.length
  };
  update__I__Z__V(index, elem) {
    this.array$6.u[index] = elem
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$BooleanManifest$()
  };
  array__O() {
    return this.array$6
  };
  init___AZ(array) {
    this.array$6 = array;
    return this
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mZc$sp__AZ__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofBoolean = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofBoolean)))
});
const $isArrayOf_scm_WrappedArray$ofBoolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofBoolean)))
});
const $d_scm_WrappedArray$ofBoolean = new $TypeData().initClass({
  scm_WrappedArray$ofBoolean: 0
}, false, "scala.collection.mutable.WrappedArray$ofBoolean", {
  scm_WrappedArray$ofBoolean: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofBoolean.prototype.$classData = $d_scm_WrappedArray$ofBoolean;
class $c_scm_WrappedArray$ofByte extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply__I__B(index)
  };
  apply__O__O(v1) {
    return this.apply__I__B((v1 | 0))
  };
  update__I__O__V(index, elem) {
    this.update__I__B__V(index, (elem | 0))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofByte(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AB__AB__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply__I__B(index) {
    return this.array$6.u[index]
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$ByteManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const data = this.array$6;
    return this$1.bytesHash__AB__I__I(data, this$1.seqSeed$2)
  };
  init___AB(array) {
    this.array$6 = array;
    return this
  };
  update__I__B__V(index, elem) {
    this.array$6.u[index] = elem
  };
}
const $is_scm_WrappedArray$ofByte = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofByte)))
});
const $isArrayOf_scm_WrappedArray$ofByte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofByte)))
});
const $d_scm_WrappedArray$ofByte = new $TypeData().initClass({
  scm_WrappedArray$ofByte: 0
}, false, "scala.collection.mutable.WrappedArray$ofByte", {
  scm_WrappedArray$ofByte: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofByte.prototype.$classData = $d_scm_WrappedArray$ofByte;
class $c_scm_WrappedArray$ofChar extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    const c = this.apply__I__C(index);
    return new $c_jl_Character().init___C(c)
  };
  apply__O__O(v1) {
    const c = this.apply__I__C((v1 | 0));
    return new $c_jl_Character().init___C(c)
  };
  update__I__O__V(index, elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    this.update__I__C__V(index, jsx$1)
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofChar(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AC__AC__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply__I__C(index) {
    return this.array$6.u[index]
  };
  update__I__C__V(index, elem) {
    this.array$6.u[index] = elem
  };
  length__I() {
    return this.array$6.u.length
  };
  init___AC(array) {
    this.array$6 = array;
    return this
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$CharManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mCc$sp__AC__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofChar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofChar)))
});
const $isArrayOf_scm_WrappedArray$ofChar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofChar)))
});
const $d_scm_WrappedArray$ofChar = new $TypeData().initClass({
  scm_WrappedArray$ofChar: 0
}, false, "scala.collection.mutable.WrappedArray$ofChar", {
  scm_WrappedArray$ofChar: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofChar.prototype.$classData = $d_scm_WrappedArray$ofChar;
class $c_scm_WrappedArray$ofDouble extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcDI$sp__I__D(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcDI$sp__I__D(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__D__V(index, (+elem))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofDouble(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AD__AD__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  init___AD(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$DoubleManifest$()
  };
  update__I__D__V(index, elem) {
    this.array$6.u[index] = elem
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mDc$sp__AD__I__I(a, this$1.seqSeed$2)
  };
  apply$mcDI$sp__I__D(index) {
    return this.array$6.u[index]
  };
}
const $is_scm_WrappedArray$ofDouble = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofDouble)))
});
const $isArrayOf_scm_WrappedArray$ofDouble = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofDouble)))
});
const $d_scm_WrappedArray$ofDouble = new $TypeData().initClass({
  scm_WrappedArray$ofDouble: 0
}, false, "scala.collection.mutable.WrappedArray$ofDouble", {
  scm_WrappedArray$ofDouble: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofDouble.prototype.$classData = $d_scm_WrappedArray$ofDouble;
class $c_scm_WrappedArray$ofFloat extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcFI$sp__I__F(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcFI$sp__I__F(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__F__V(index, (+elem))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofFloat(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AF__AF__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  init___AF(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  apply$mcFI$sp__I__F(index) {
    return this.array$6.u[index]
  };
  update__I__F__V(index, elem) {
    this.array$6.u[index] = elem
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$FloatManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mFc$sp__AF__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofFloat = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofFloat)))
});
const $isArrayOf_scm_WrappedArray$ofFloat = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofFloat)))
});
const $d_scm_WrappedArray$ofFloat = new $TypeData().initClass({
  scm_WrappedArray$ofFloat: 0
}, false, "scala.collection.mutable.WrappedArray$ofFloat", {
  scm_WrappedArray$ofFloat: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofFloat.prototype.$classData = $d_scm_WrappedArray$ofFloat;
class $c_scm_WrappedArray$ofInt extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcII$sp__I__I(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcII$sp__I__I(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__I__V(index, (elem | 0))
  };
  update__I__I__V(index, elem) {
    this.array$6.u[index] = elem
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofInt(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AI__AI__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply$mcII$sp__I__I(index) {
    return this.array$6.u[index]
  };
  init___AI(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$IntManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mIc$sp__AI__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofInt)))
});
const $isArrayOf_scm_WrappedArray$ofInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofInt)))
});
const $d_scm_WrappedArray$ofInt = new $TypeData().initClass({
  scm_WrappedArray$ofInt: 0
}, false, "scala.collection.mutable.WrappedArray$ofInt", {
  scm_WrappedArray$ofInt: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofInt.prototype.$classData = $d_scm_WrappedArray$ofInt;
class $c_scm_WrappedArray$ofLong extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcJI$sp__I__J(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcJI$sp__I__J(index)
  };
  init___AJ(array) {
    this.array$6 = array;
    return this
  };
  update__I__O__V(index, elem) {
    this.update__I__J__V(index, $uJ(elem))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofLong(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AJ__AJ__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$LongManifest$()
  };
  update__I__J__V(index, elem) {
    this.array$6.u[index] = elem
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mJc$sp__AJ__I__I(a, this$1.seqSeed$2)
  };
  apply$mcJI$sp__I__J(index) {
    return this.array$6.u[index]
  };
}
const $is_scm_WrappedArray$ofLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofLong)))
});
const $isArrayOf_scm_WrappedArray$ofLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofLong)))
});
const $d_scm_WrappedArray$ofLong = new $TypeData().initClass({
  scm_WrappedArray$ofLong: 0
}, false, "scala.collection.mutable.WrappedArray$ofLong", {
  scm_WrappedArray$ofLong: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofLong.prototype.$classData = $d_scm_WrappedArray$ofLong;
class $c_scm_WrappedArray$ofRef extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.elemTag$6 = null;
    this.array$6 = null;
    this.bitmap$0$6 = false
  };
  apply__I__O(index) {
    return this.array$6.u[index]
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  update__I__O__V(index, elem) {
    this.array$6.u[index] = elem
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofRef(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AO__AO__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  elemTag$lzycompute__p6__s_reflect_ClassTag() {
    if ((!this.bitmap$0$6)) {
      const jsx$1 = $m_s_reflect_ClassTag$();
      const this$1 = this.array$6;
      this.elemTag$6 = jsx$1.apply__jl_Class__s_reflect_ClassTag($objectGetClass(this$1).getComponentType__jl_Class());
      this.bitmap$0$6 = true
    };
    return this.elemTag$6
  };
  init___AO(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return ((!this.bitmap$0$6) ? this.elemTag$lzycompute__p6__s_reflect_ClassTag() : this.elemTag$6)
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash__O__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofRef)))
});
const $isArrayOf_scm_WrappedArray$ofRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofRef)))
});
const $d_scm_WrappedArray$ofRef = new $TypeData().initClass({
  scm_WrappedArray$ofRef: 0
}, false, "scala.collection.mutable.WrappedArray$ofRef", {
  scm_WrappedArray$ofRef: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofRef.prototype.$classData = $d_scm_WrappedArray$ofRef;
class $c_scm_WrappedArray$ofShort extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply__I__S(index)
  };
  apply__O__O(v1) {
    return this.apply__I__S((v1 | 0))
  };
  update__I__S__V(index, elem) {
    this.array$6.u[index] = elem
  };
  init___AS(array) {
    this.array$6 = array;
    return this
  };
  update__I__O__V(index, elem) {
    this.update__I__S__V(index, (elem | 0))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofShort(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AS__AS__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$ShortManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mSc$sp__AS__I__I(a, this$1.seqSeed$2)
  };
  apply__I__S(index) {
    return this.array$6.u[index]
  };
}
const $is_scm_WrappedArray$ofShort = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofShort)))
});
const $isArrayOf_scm_WrappedArray$ofShort = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofShort)))
});
const $d_scm_WrappedArray$ofShort = new $TypeData().initClass({
  scm_WrappedArray$ofShort: 0
}, false, "scala.collection.mutable.WrappedArray$ofShort", {
  scm_WrappedArray$ofShort: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofShort.prototype.$classData = $d_scm_WrappedArray$ofShort;
class $c_scm_WrappedArray$ofUnit extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply$mcVI$sp__I__V(index) {
    this.array$6.u[index]
  };
  apply__I__O(index) {
    this.apply$mcVI$sp__I__V(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    this.apply$mcVI$sp__I__V(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__sr_BoxedUnit__V(index, elem)
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofUnit(that)) {
      const x2 = that;
      return (this.array$6.u.length === x2.array$6.u.length)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$UnitManifest$()
  };
  init___Asr_BoxedUnit(array) {
    this.array$6 = array;
    return this
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mVc$sp__Asr_BoxedUnit__I__I(a, this$1.seqSeed$2)
  };
  update__I__sr_BoxedUnit__V(index, elem) {
    this.array$6.u[index] = elem
  };
}
const $is_scm_WrappedArray$ofUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofUnit)))
});
const $isArrayOf_scm_WrappedArray$ofUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofUnit)))
});
const $d_scm_WrappedArray$ofUnit = new $TypeData().initClass({
  scm_WrappedArray$ofUnit: 0
}, false, "scala.collection.mutable.WrappedArray$ofUnit", {
  scm_WrappedArray$ofUnit: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofUnit.prototype.$classData = $d_scm_WrappedArray$ofUnit;
class $c_scm_IndexedSeqView$AbstractTransformed extends $c_sc_SeqViewLike$AbstractTransformed {
  seq__sc_TraversableOnce() {
    return this
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, asTraversable)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  newDroppedWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  newFiltered__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView(this, from, until)
  };
  filter__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  scala$collection$mutable$IndexedSeqView$$super$tail__scm_IndexedSeqView() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  newFlatMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  newTakenWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_scm_IndexedSeqView__span__F1__T2(this, p)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  seq__sc_Seq() {
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  drop__I__sc_IterableView(n) {
    return $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView(this, n)
  };
  take__I__O(n) {
    return $f_scm_IndexedSeqView__take__I__scm_IndexedSeqView(this, n)
  };
  splitAt__I__T2(n) {
    return $f_scm_IndexedSeqView__splitAt__I__T2(this, n)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  drop__I__O(n) {
    return $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  tail__O() {
    return $f_scm_IndexedSeqView__tail__scm_IndexedSeqView(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  filter__F1__sc_TraversableView(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  init___scm_IndexedSeqView($$outer) {
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this, p, from)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  tail__sc_TraversableView() {
    return $f_scm_IndexedSeqView__tail__scm_IndexedSeqView(this)
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IndexedSeqOptimized__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
}
class $c_scm_ListBuffer extends $c_scm_AbstractBuffer {
  constructor() {
    super();
    this.scala$collection$mutable$ListBuffer$$start$6 = null;
    this.last0$6 = null;
    this.exported$6 = false;
    this.len$6 = 0
  };
  indexOf__O__I__I(elem, from) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_GenSeqLike__indexOf__O__I__I(this$1, elem, from)
  };
  copyToArray__O__I__V(xs, start) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$1, xs, start)
  };
  copy__p6__V() {
    if (this.isEmpty__Z()) {
      return (void 0)
    };
    let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
    const this$1 = this.last0$6;
    const limit = this$1.tl$5;
    this.clear__V();
    while ((cursor !== limit)) {
      this.$$plus$eq__O__scm_ListBuffer(cursor.head__O());
      cursor = cursor.tail__O()
    }
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.scala$collection$mutable$ListBuffer$$start$6.head__O()
  };
  init___() {
    this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
    this.exported$6 = false;
    this.len$6 = 0;
    return this
  };
  apply__I__O(n) {
    if (((n < 0) || (n >= this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    } else {
      const this$2 = this.scala$collection$mutable$ListBuffer$$start$6;
      return $f_sc_LinearSeqOptimized__apply__I__O(this$2, n)
    }
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this$1, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  exists__F1__Z(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__exists__F1__Z(this$1, p)
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$1 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this);
    return this$1.$$minus$eq__O__scm_ListBuffer(elem)
  };
  toList__sci_List() {
    this.exported$6 = (!this.isEmpty__Z());
    return this.scala$collection$mutable$ListBuffer$$start$6
  };
  isEmpty__Z() {
    return (this.len$6 === 0)
  };
  update__I__O__V(n, x) {
    if (((n < 0) || (n >= this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    };
    if (this.exported$6) {
      this.copy__p6__V()
    };
    if ((n === 0)) {
      const newElem = new $c_sci_$colon$colon().init___O__sci_List(x, this.scala$collection$mutable$ListBuffer$$start$6.tail__O());
      if ((this.last0$6 === this.scala$collection$mutable$ListBuffer$$start$6)) {
        this.last0$6 = newElem
      };
      this.scala$collection$mutable$ListBuffer$$start$6 = newElem
    } else {
      let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
      let i = 1;
      while ((i < n)) {
        cursor = cursor.tail__O();
        i = ((1 + i) | 0)
      };
      const newElem$2 = new $c_sci_$colon$colon().init___O__sci_List(x, cursor.tail__O().tail__O());
      if ((this.last0$6 === cursor.tail__O())) {
        this.last0$6 = newElem$2
      };
      cursor.tl$5 = newElem$2
    }
  };
  thisCollection__sc_Traversable() {
    return this
  };
  equals__O__Z(that) {
    if ($is_scm_ListBuffer(that)) {
      const x2 = that;
      return this.scala$collection$mutable$ListBuffer$$start$6.equals__O__Z(x2.scala$collection$mutable$ListBuffer$$start$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  count__F1__I(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__count__F1__I(this$1, p)
  };
  mkString__T__T(sep) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, start, sep, end)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_ListBuffer(elem)
  };
  clone__scm_Buffer() {
    return new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this)
  };
  forall__F1__Z(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__forall__F1__Z(this$1, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_ListBuffer$()
  };
  foreach__F1__V(f) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      f.apply__O__O(these.head__O());
      these = these.tail__O()
    }
  };
  foldLeft__O__F2__O(z, op) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__foldLeft__O__F2__O(this$1, z, op)
  };
  indexWhere__F1__I__I(p, from) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__indexWhere__F1__I__I(this$1, p, from)
  };
  headOption__s_Option() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableLike__headOption__s_Option(this$1)
  };
  size__I() {
    return this.len$6
  };
  toBuffer__scm_Buffer() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    const this$2 = $m_scm_ArrayBuffer$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf)
  };
  result__O() {
    return this.toList__sci_List()
  };
  iterator__sc_Iterator() {
    return new $c_scm_ListBuffer$$anon$1().init___scm_ListBuffer(this)
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__find__F1__s_Option(this$1, p)
  };
  length__I() {
    return this.len$6
  };
  seq__sc_Seq() {
    return this
  };
  remove__I__O(n) {
    if (((n < 0) || (n >= this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    };
    if (this.exported$6) {
      this.copy__p6__V()
    };
    let old = this.scala$collection$mutable$ListBuffer$$start$6.head__O();
    if ((n === 0)) {
      this.scala$collection$mutable$ListBuffer$$start$6 = this.scala$collection$mutable$ListBuffer$$start$6.tail__O()
    } else {
      let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
      let i = 1;
      while ((i < n)) {
        cursor = cursor.tail__O();
        i = ((1 + i) | 0)
      };
      old = cursor.tail__O().head__O();
      if ((this.last0$6 === cursor.tail__O())) {
        this.last0$6 = cursor
      };
      cursor.tl$5 = cursor.tail__O().tail__O()
    };
    this.reduceLengthBy__p6__I__V(1);
    return old
  };
  $$minus$eq__O__scm_ListBuffer(elem) {
    if (this.exported$6) {
      this.copy__p6__V()
    };
    if ((!this.isEmpty__Z())) {
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(this.scala$collection$mutable$ListBuffer$$start$6.head__O(), elem)) {
        this.scala$collection$mutable$ListBuffer$$start$6 = this.scala$collection$mutable$ListBuffer$$start$6.tail__O();
        this.reduceLengthBy__p6__I__V(1)
      } else {
        let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
        while (((!cursor.tail__O().isEmpty__Z()) && (!$m_sr_BoxesRunTime$().equals__O__O__Z(cursor.tail__O().head__O(), elem)))) {
          cursor = cursor.tail__O()
        };
        if ((!cursor.tail__O().isEmpty__Z())) {
          const z = cursor;
          const x = z.tl$5;
          const x$2 = this.last0$6;
          if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
            this.last0$6 = z
          };
          z.tl$5 = cursor.tail__O().tail__O();
          this.reduceLengthBy__p6__I__V(1)
        }
      }
    };
    return this
  };
  toStream__sci_Stream() {
    return this.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream()
  };
  reduceLengthBy__p6__I__V(num) {
    this.len$6 = ((this.len$6 - num) | 0);
    if ((this.len$6 <= 0)) {
      this.last0$6 = null
    }
  };
  prependToList__sci_List__sci_List(xs) {
    if (this.isEmpty__Z()) {
      return xs
    } else {
      if (this.exported$6) {
        this.copy__p6__V()
      };
      this.last0$6.tl$5 = xs;
      return this.toList__sci_List()
    }
  };
  contains__O__Z(elem) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__contains__O__Z(this$1, elem)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this$1, b, start, sep, end)
  };
  $$plus$eq__O__scm_ListBuffer(x) {
    if (this.exported$6) {
      this.copy__p6__V()
    };
    if (this.isEmpty__Z()) {
      this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
      this.scala$collection$mutable$ListBuffer$$start$6 = this.last0$6
    } else {
      const last1 = this.last0$6;
      this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
      last1.tl$5 = this.last0$6
    };
    this.len$6 = ((1 + this.len$6) | 0);
    return this
  };
  toSeq__sc_Seq() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return this$1
  };
  isDefinedAt__O__Z(x) {
    const x$1 = (x | 0);
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__isDefinedAt__I__Z(this$1, x$1)
  };
  $$minus$eq__O__scm_Buffer(x) {
    return this.$$minus$eq__O__scm_ListBuffer(x)
  };
  toSet__sci_Set() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    const this$2 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$2);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__foldLeft__O__F2__O(this$1, z, op)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_ListBuffer(elem)
  };
  indexOf__O__I(elem) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_GenSeqLike__indexOf__O__I__I(this$1, elem, 0)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  copyToArray__O__I__I__V(xs, start, len) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    $f_sc_IterableLike__copyToArray__O__I__I__V(this$1, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return this$1
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      these = these.tail__O()
    };
    return b.elems$1
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_ListBuffer(elem)
  };
  clear__V() {
    this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
    this.last0$6 = null;
    this.exported$6 = false;
    this.len$6 = 0
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this$1, evidence$1)
  };
  insertAll__I__sc_Traversable__V(n, seq) {
    if (((n < 0) || (n > this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    };
    if (this.exported$6) {
      this.copy__p6__V()
    };
    let elems = seq.toList__sci_List().reverse__sci_List();
    const jsx$1 = this.len$6;
    const this$2 = elems;
    this.len$6 = ((jsx$1 + $f_sc_LinearSeqOptimized__length__I(this$2)) | 0);
    if ((n === 0)) {
      while ((!elems.isEmpty__Z())) {
        const newElem = new $c_sci_$colon$colon().init___O__sci_List(elems.head__O(), this.scala$collection$mutable$ListBuffer$$start$6);
        if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
          this.last0$6 = newElem
        };
        this.scala$collection$mutable$ListBuffer$$start$6 = newElem;
        elems = elems.tail__O()
      }
    } else {
      let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
      let i = 1;
      while ((i < n)) {
        cursor = cursor.tail__O();
        i = ((1 + i) | 0)
      };
      while ((!elems.isEmpty__Z())) {
        const newElem$2 = new $c_sci_$colon$colon().init___O__sci_List(elems.head__O(), cursor.tail__O());
        if (cursor.tail__O().isEmpty__Z()) {
          this.last0$6 = newElem$2
        };
        cursor.tl$5 = newElem$2;
        elems = elems.tail__O()
      }
    }
  };
  nonEmpty__Z() {
    return (this.len$6 > 0)
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs) {
    _$plus$plus$eq: while (true) {
      const x1 = xs;
      if ((x1 !== null)) {
        if ((x1 === this)) {
          const n = this.len$6;
          xs = $f_sc_IterableLike__take__I__O(this, n);
          continue _$plus$plus$eq
        }
      };
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  reduceLeft__F2__O(op) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__reduceLeft__F2__O(this$1, op)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
  };
  stringPrefix__T() {
    return "ListBuffer"
  };
}
const $is_scm_ListBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ListBuffer)))
});
const $isArrayOf_scm_ListBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ListBuffer)))
});
const $d_scm_ListBuffer = new $TypeData().initClass({
  scm_ListBuffer: 0
}, false, "scala.collection.mutable.ListBuffer", {
  scm_ListBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_SeqForwarder: 1,
  scg_IterableForwarder: 1,
  scg_TraversableForwarder: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer.prototype.$classData = $d_scm_ListBuffer;
class $c_scm_StringBuilder extends $c_scm_AbstractSeq {
  constructor() {
    super();
    this.underlying$5 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  $$plus$eq__C__scm_StringBuilder(x) {
    this.append__C__scm_StringBuilder(x);
    return this
  };
  init___() {
    $c_scm_StringBuilder.prototype.init___I__T.call(this, 16, "");
    return this
  };
  apply__I__O(idx) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const c = (65535 & (thiz.charCodeAt(idx) | 0));
    return new $c_jl_Character().init___C(c)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const c = (65535 & (thiz.charCodeAt(index) | 0));
    return new $c_jl_Character().init___C(c)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return thiz.substring(start, end)
  };
  apply__I__C(index) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  $$plus$eq__O__scg_Growable(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  toString__T() {
    const this$1 = this.underlying$5;
    return this$1.content$1
  };
  compareTo__O__I(that) {
    const other = that;
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const end = (thiz.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  compare__O__I(that) {
    const other = that;
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sci_StringLike__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  result__O() {
    const this$1 = this.underlying$5;
    return this$1.content$1
  };
  append__T__scm_StringBuilder(s) {
    this.underlying$5.append__T__jl_StringBuilder(s);
    return this
  };
  iterator__sc_Iterator() {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, (thiz.length | 0))
  };
  seq__scm_Seq() {
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  init___I(capacity) {
    $c_scm_StringBuilder.prototype.init___I__T.call(this, capacity, "");
    return this
  };
  init___I__T(initCapacity, initValue) {
    $c_scm_StringBuilder.prototype.init___jl_StringBuilder.call(this, new $c_jl_StringBuilder().init___I((((initValue.length | 0) + initCapacity) | 0)).append__T__jl_StringBuilder(initValue));
    return this
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (thiz.length | 0)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (thiz.length | 0)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sci_StringLike__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const until = (thiz.length | 0);
    return $f_sci_StringLike__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  init___jl_StringBuilder(underlying) {
    this.underlying$5 = underlying;
    return this
  };
  deleteCharAt__I__scm_StringBuilder(index) {
    this.underlying$5.deleteCharAt__I__jl_StringBuilder(index);
    return this
  };
  append__O__scm_StringBuilder(x) {
    this.underlying$5.append__T__jl_StringBuilder($m_sjsr_RuntimeString$().valueOf__O__T(x));
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  $$plus$eq__O__scm_Builder(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const jsx$1 = $m_sjsr_RuntimeString$();
    const this$1 = this.underlying$5;
    return jsx$1.toCharArray__T__AC(this$1.content$1)
  };
  append__C__scm_StringBuilder(x) {
    this.underlying$5.append__C__jl_StringBuilder(x);
    return this
  };
  charAt__I__C(index) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_StringBuilder().init___())
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_StringBuilder = new $TypeData().initClass({
  scm_StringBuilder: 0
}, false, "scala.collection.mutable.StringBuilder", {
  scm_StringBuilder: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  jl_CharSequence: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder.prototype.$classData = $d_scm_StringBuilder;
class $c_sjs_js_WrappedArray extends $c_scm_AbstractBuffer {
  constructor() {
    super();
    this.array$6 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  init___() {
    $c_sjs_js_WrappedArray.prototype.init___sjs_js_Array.call(this, []);
    return this
  };
  apply__I__O(index) {
    return this.array$6[index]
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.array$6[index]
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_scm_BufferLike__clone__scm_Buffer(this).$$minus$eq__O__scm_Buffer(elem)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  $$plus$eq__O__scg_Growable(elem) {
    this.array$6.push(elem);
    return this
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_sjs_js_WrappedArray$()
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = (this.array$6.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, (this.array$6.length | 0))
  };
  seq__scm_Seq() {
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  length__I() {
    return (this.array$6.length | 0)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  remove__I__O(n) {
    return this.array$6.splice(n, 1)[0]
  };
  sizeHintIfCheap__I() {
    return (this.array$6.length | 0)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = (this.array$6.length | 0);
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  $$plus$eq__O__scm_Builder(elem) {
    this.array$6.push(elem);
    return this
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return $f_scm_BufferLike__$$minus$eq__O__scm_Buffer(this, elem)
  };
  init___sjs_js_Array(array) {
    this.array$6 = array;
    return this
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  stringPrefix__T() {
    return "WrappedArray"
  };
}
const $is_sjs_js_WrappedArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_WrappedArray)))
});
const $isArrayOf_sjs_js_WrappedArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_WrappedArray)))
});
const $d_sjs_js_WrappedArray = new $TypeData().initClass({
  sjs_js_WrappedArray: 0
}, false, "scala.scalajs.js.WrappedArray", {
  sjs_js_WrappedArray: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1
});
$c_sjs_js_WrappedArray.prototype.$classData = $d_sjs_js_WrappedArray;
class $c_scm_ArrayBuffer extends $c_scm_AbstractBuffer {
  constructor() {
    super();
    this.initialSize$6 = 0;
    this.array$6 = null;
    this.size0$6 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  $$plus$eq__O__scm_ArrayBuffer(elem) {
    const n = ((1 + this.size0$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this, n);
    this.array$6.u[this.size0$6] = elem;
    this.size0$6 = ((1 + this.size0$6) | 0);
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  init___() {
    $c_scm_ArrayBuffer.prototype.init___I.call(this, 16);
    return this
  };
  apply__I__O(idx) {
    return $f_scm_ResizableArray__apply__I__O(this, idx)
  };
  remove__I__I__V(n, count) {
    if ((count < 0)) {
      throw new $c_jl_IllegalArgumentException().init___T((("removing negative number of elements: " + "") + count))
    } else if ((count === 0)) {
      return (void 0)
    };
    if (((n < 0) || (n > ((this.size0$6 - count) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(((((("at " + "") + n) + " deleting ") + "") + count))
    };
    const m = ((n + count) | 0);
    const len = ((this.size0$6 - ((n + count) | 0)) | 0);
    const src = this.array$6;
    const dest = this.array$6;
    $systemArraycopy(src, m, dest, n, len);
    const sz = ((this.size0$6 - count) | 0);
    $f_scm_ResizableArray__reduceToSize__I__V(this, sz)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_scm_ResizableArray__apply__I__O(this, idx)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_scm_BufferLike__clone__scm_Buffer(this).$$minus$eq__O__scm_Buffer(elem)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_ArrayBuffer(elem)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_ArrayBuffer$()
  };
  foreach__F1__V(f) {
    $f_scm_ResizableArray__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.size0$6;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.size0$6)
  };
  seq__scm_Seq() {
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  init___I(initialSize) {
    this.initialSize$6 = initialSize;
    $f_scm_ResizableArray__$$init$__V(this);
    return this
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    return this.size0$6
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.size0$6
  };
  remove__I__O(n) {
    const result = $f_scm_ResizableArray__apply__I__O(this, n);
    this.remove__I__I__V(n, 1);
    return result
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = this.size0$6;
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs) {
    if ($is_sc_IndexedSeqLike(xs)) {
      const x2 = xs;
      const n = x2.length__I();
      const n$1 = ((this.size0$6 + n) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this, n$1);
      x2.copyToArray__O__I__I__V(this.array$6, this.size0$6, n);
      this.size0$6 = ((this.size0$6 + n) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_ArrayBuffer(elem)
  };
  sizeHint__I__V(len) {
    if (((len > this.size0$6) && (len >= 1))) {
      const newarray = $newArrayObject($d_O.getArrayOf(), [len]);
      $systemArraycopy(this.array$6, 0, newarray, 0, this.size0$6);
      this.array$6 = newarray
    }
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ResizableArray__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return $f_scm_BufferLike__$$minus$eq__O__scm_Buffer(this, elem)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs)
  };
  stringPrefix__T() {
    return "ArrayBuffer"
  };
}
const $is_scm_ArrayBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuffer)))
});
const $isArrayOf_scm_ArrayBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuffer)))
});
const $d_scm_ArrayBuffer = new $TypeData().initClass({
  scm_ArrayBuffer: 0
}, false, "scala.collection.mutable.ArrayBuffer", {
  scm_ArrayBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1,
  scm_ResizableArray: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer.prototype.$classData = $d_scm_ArrayBuffer;
class $c_scm_IndexedSeqView$$anon$1 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.index$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  index$lzycompute__p3__AI() {
    if ((!this.bitmap$0$3)) {
      this.index$3 = $f_sc_SeqViewLike$Filtered__index__AI(this);
      this.bitmap$0$3 = true
    };
    return this.index$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Filtered__foreach__F1__V(this, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "F"
  };
  length__I() {
    return $f_sc_SeqViewLike$Filtered__length__I(this)
  };
  init___scm_IndexedSeqView__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$1;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  index__AI() {
    return ((!this.bitmap$0$3) ? this.index$lzycompute__p3__AI() : this.index$3)
  };
  pred__F1() {
    return this.pred$3
  };
  scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
}
const $d_scm_IndexedSeqView$$anon$1 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$1: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$1", {
  scm_IndexedSeqView$$anon$1: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$Filtered: 1,
  sc_SeqViewLike$Filtered: 1,
  sc_IterableViewLike$Filtered: 1,
  sc_TraversableViewLike$Filtered: 1
});
$c_scm_IndexedSeqView$$anon$1.prototype.$classData = $d_scm_IndexedSeqView$$anon$1;
class $c_scm_IndexedSeqView$$anon$2 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.endpoints$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "S"
  };
  length__I() {
    return this.endpoints$3.width__I()
  };
  init___scm_IndexedSeqView__scg_SliceInterval($$outer, _endpoints$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.endpoints$3 = _endpoints$1;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  endpoints__scg_SliceInterval() {
    return this.endpoints$3
  };
}
const $d_scm_IndexedSeqView$$anon$2 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$2: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$2", {
  scm_IndexedSeqView$$anon$2: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$Sliced: 1,
  sc_SeqViewLike$Sliced: 1,
  sc_IterableViewLike$Sliced: 1,
  sc_TraversableViewLike$Sliced: 1
});
$c_scm_IndexedSeqView$$anon$2.prototype.$classData = $d_scm_IndexedSeqView$$anon$2;
class $c_scm_IndexedSeqView$$anon$3 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.start$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V(this, f)
  };
  scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "D"
  };
  length__I() {
    return $f_sc_SeqViewLike$DroppedWhile__length__I(this)
  };
  init___scm_IndexedSeqView__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$3;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  start__I() {
    return ((!this.bitmap$0$3) ? this.start$lzycompute__p3__I() : this.start$3)
  };
  pred__F1() {
    return this.pred$3
  };
  start$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.start$3 = $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.start$3
  };
}
const $d_scm_IndexedSeqView$$anon$3 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$3: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$3", {
  scm_IndexedSeqView$$anon$3: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$DroppedWhile: 1,
  sc_SeqViewLike$DroppedWhile: 1,
  sc_IterableViewLike$DroppedWhile: 1,
  sc_TraversableViewLike$DroppedWhile: 1
});
$c_scm_IndexedSeqView$$anon$3.prototype.$classData = $d_scm_IndexedSeqView$$anon$3;
class $c_scm_IndexedSeqView$$anon$4 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.len$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  len__I() {
    return ((!this.bitmap$0$3) ? this.len$lzycompute__p3__I() : this.len$3)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V(this, f)
  };
  scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "T"
  };
  length__I() {
    return this.len__I()
  };
  init___scm_IndexedSeqView__F1($$outer, p$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$2;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  len$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.len$3 = $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.len$3
  };
  pred__F1() {
    return this.pred$3
  };
}
const $d_scm_IndexedSeqView$$anon$4 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$4: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$4", {
  scm_IndexedSeqView$$anon$4: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$TakenWhile: 1,
  sc_SeqViewLike$TakenWhile: 1,
  sc_IterableViewLike$TakenWhile: 1,
  sc_TraversableViewLike$TakenWhile: 1
});
$c_scm_IndexedSeqView$$anon$4.prototype.$classData = $d_scm_IndexedSeqView$$anon$4;
$e.AMF = $m_Lamf_AMF$();
$e.Core = $m_Lamf_CoreWrapper$();
$e.plugins = $m_Lamf_PluginsWrapper$();
$e.Main = $m_Lamf_Main$();
/** @constructor */
$e.SHACLValidator = (function() {
  const $thiz = new $c_Lamf_plugins_features_validation_SHACLValidator();
  $c_Lamf_plugins_features_validation_SHACLValidator.prototype.init___.call($thiz);
  return $thiz
});
$e.SHACLValidator.prototype = $c_Lamf_plugins_features_validation_SHACLValidator.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.BaseUnit = (function() {
  const $thiz = new $c_Lamf_model_document_BaseUnit();
  $c_Lamf_model_document_BaseUnit.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.BaseUnit.prototype = $c_Lamf_model_document_BaseUnit.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DomainElement = (function() {
  const $thiz = new $c_Lamf_model_domain_DomainElement();
  $c_Lamf_model_domain_DomainElement.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DomainElement.prototype = $c_Lamf_model_domain_DomainElement.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DataNode = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_DataNode();
  const prep0 = arg$1;
  $c_Lamf_model_domain_DataNode.prototype.init___Lamf_core_model_domain_DataNode.call($thiz, prep0);
  return $thiz
});
$e.model.domain.DataNode.prototype = $c_Lamf_model_domain_DataNode.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DomainEntity = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_DomainEntity();
  const prep0 = arg$1;
  $c_Lamf_model_domain_DomainEntity.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DomainEntity.call($thiz, prep0);
  return $thiz
});
$e.model.domain.DomainEntity.prototype = $c_Lamf_model_domain_DomainEntity.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ParametrizedDeclaration = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_ParametrizedDeclaration();
  const prep0 = arg$1;
  $c_Lamf_model_domain_ParametrizedDeclaration.prototype.init___Lamf_core_model_domain_templates_ParametrizedDeclaration.call($thiz, prep0);
  return $thiz
});
$e.model.domain.ParametrizedDeclaration.prototype = $c_Lamf_model_domain_ParametrizedDeclaration.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Settings = (function() {
  const $thiz = new $c_Lamf_model_domain_Settings();
  $c_Lamf_model_domain_Settings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Settings.prototype = $c_Lamf_model_domain_Settings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.AbstractDeclaration = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_AbstractDeclaration();
  const prep0 = arg$1;
  $c_Lamf_model_domain_AbstractDeclaration.prototype.init___Lamf_core_model_domain_templates_AbstractDeclaration.call($thiz, prep0);
  return $thiz
});
$e.model.domain.AbstractDeclaration.prototype = $c_Lamf_model_domain_AbstractDeclaration.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Shape = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_Shape();
  const prep0 = arg$1;
  $c_Lamf_model_domain_Shape.prototype.init___Lamf_core_model_domain_Shape.call($thiz, prep0);
  return $thiz
});
$e.model.domain.Shape.prototype = $c_Lamf_model_domain_Shape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Variable = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_Variable();
  const prep0 = arg$1;
  $c_Lamf_model_domain_Variable.prototype.init___Lamf_core_model_domain_templates_Variable.call($thiz, prep0);
  return $thiz
});
$e.model.domain.Variable.prototype = $c_Lamf_model_domain_Variable.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.DialectFragment = (function(arg$1) {
  const $thiz = new $c_Lamf_model_document_DialectFragment();
  const prep0 = arg$1;
  $c_Lamf_model_document_DialectFragment.prototype.init___Lamf_plugins_document_vocabularies_model_document_DialectFragment.call($thiz, prep0);
  return $thiz
});
$e.model.document.DialectFragment.prototype = $c_Lamf_model_document_DialectFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.AnyShape = (function() {
  const $thiz = new $c_Lamf_model_domain_AnyShape();
  $c_Lamf_model_domain_AnyShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.AnyShape.prototype = $c_Lamf_model_domain_AnyShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.RecursiveShape = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_RecursiveShape();
  const prep0 = arg$1;
  $c_Lamf_model_domain_RecursiveShape.prototype.init___Lamf_core_model_domain_RecursiveShape.call($thiz, prep0);
  return $thiz
});
$e.model.domain.RecursiveShape.prototype = $c_Lamf_model_domain_RecursiveShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.CreativeWork = (function() {
  const $thiz = new $c_Lamf_model_domain_CreativeWork();
  $c_Lamf_model_domain_CreativeWork.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.CreativeWork.prototype = $c_Lamf_model_domain_CreativeWork.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DomainExtension = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_DomainExtension();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_model_domain_DomainExtension.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_DomainExtension.prototype.init___Lamf_core_model_domain_extensions_DomainExtension.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.DomainExtension.prototype = $c_Lamf_model_domain_DomainExtension.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.EndPoint = (function() {
  const $thiz = new $c_Lamf_model_domain_EndPoint();
  $c_Lamf_model_domain_EndPoint.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.EndPoint.prototype = $c_Lamf_model_domain_EndPoint.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ExternalDomainElement = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_ExternalDomainElement();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_ExternalDomainElement.prototype.init___Lamf_core_model_domain_ExternalDomainElement.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_model_domain_ExternalDomainElement.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ExternalDomainElement.prototype = $c_Lamf_model_domain_ExternalDomainElement.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.License = (function() {
  const $thiz = new $c_Lamf_model_domain_License();
  $c_Lamf_model_domain_License.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.License.prototype = $c_Lamf_model_domain_License.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Operation = (function() {
  const $thiz = new $c_Lamf_model_domain_Operation();
  $c_Lamf_model_domain_Operation.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Operation.prototype = $c_Lamf_model_domain_Operation.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Organization = (function() {
  const $thiz = new $c_Lamf_model_domain_Organization();
  $c_Lamf_model_domain_Organization.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Organization.prototype = $c_Lamf_model_domain_Organization.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Parameter = (function() {
  const $thiz = new $c_Lamf_model_domain_Parameter();
  $c_Lamf_model_domain_Parameter.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Parameter.prototype = $c_Lamf_model_domain_Parameter.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ParametrizedSecurityScheme = (function() {
  const $thiz = new $c_Lamf_model_domain_ParametrizedSecurityScheme();
  $c_Lamf_model_domain_ParametrizedSecurityScheme.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ParametrizedSecurityScheme.prototype = $c_Lamf_model_domain_ParametrizedSecurityScheme.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Payload = (function() {
  const $thiz = new $c_Lamf_model_domain_Payload();
  $c_Lamf_model_domain_Payload.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Payload.prototype = $c_Lamf_model_domain_Payload.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PropertyDependencies = (function() {
  const $thiz = new $c_Lamf_model_domain_PropertyDependencies();
  $c_Lamf_model_domain_PropertyDependencies.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.PropertyDependencies.prototype = $c_Lamf_model_domain_PropertyDependencies.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PropertyShape = (function(arg$1) {
  const $thiz = new $c_Lamf_model_domain_PropertyShape();
  const prep0 = arg$1;
  $c_Lamf_model_domain_PropertyShape.prototype.init___Lamf_core_model_domain_extensions_PropertyShape.call($thiz, prep0);
  return $thiz
});
$e.model.domain.PropertyShape.prototype = $c_Lamf_model_domain_PropertyShape.prototype;
/** @constructor */
$e.Request = (function() {
  const $thiz = new $c_Lamf_model_domain_Request();
  $c_Lamf_model_domain_Request.prototype.init___.call($thiz);
  return $thiz
});
$e.Request.prototype = $c_Lamf_model_domain_Request.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Response = (function() {
  const $thiz = new $c_Lamf_model_domain_Response();
  $c_Lamf_model_domain_Response.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Response.prototype = $c_Lamf_model_domain_Response.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Scope = (function() {
  const $thiz = new $c_Lamf_model_domain_Scope();
  $c_Lamf_model_domain_Scope.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Scope.prototype = $c_Lamf_model_domain_Scope.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.VariableValue = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_VariableValue();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_VariableValue.prototype.init___Lamf_core_model_domain_templates_VariableValue.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_model_domain_VariableValue.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.VariableValue.prototype = $c_Lamf_model_domain_VariableValue.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.WebApi = (function() {
  const $thiz = new $c_Lamf_model_domain_WebApi();
  $c_Lamf_model_domain_WebApi.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.WebApi.prototype = $c_Lamf_model_domain_WebApi.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.XMLSerializer = (function() {
  const $thiz = new $c_Lamf_model_domain_XMLSerializer();
  $c_Lamf_model_domain_XMLSerializer.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.XMLSerializer.prototype = $c_Lamf_model_domain_XMLSerializer.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.Module = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_document_Module();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_model_document_Module.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_document_Module.prototype.init___Lamf_core_model_document_Module.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.document.Module.prototype = $c_Lamf_model_document_Module.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ApiKeySettings = (function() {
  const $thiz = new $c_Lamf_model_domain_ApiKeySettings();
  $c_Lamf_model_domain_ApiKeySettings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ApiKeySettings.prototype = $c_Lamf_model_domain_ApiKeySettings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ArrayNode = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_ArrayNode();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_ArrayNode.prototype.init___Lamf_core_model_domain_ArrayNode.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_model_domain_ArrayNode.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ArrayNode.prototype = $c_Lamf_model_domain_ArrayNode.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ClassTerm = (function() {
  const $thiz = new $c_Lamf_model_domain_ClassTerm();
  $c_Lamf_model_domain_ClassTerm.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ClassTerm.prototype = $c_Lamf_model_domain_ClassTerm.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.CustomDomainProperty = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_CustomDomainProperty();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_model_domain_CustomDomainProperty.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_CustomDomainProperty.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.CustomDomainProperty.prototype = $c_Lamf_model_domain_CustomDomainProperty.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Example = (function() {
  const $thiz = new $c_Lamf_model_domain_Example();
  $c_Lamf_model_domain_Example.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Example.prototype = $c_Lamf_model_domain_Example.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ExternalVocabularyImport = (function() {
  const $thiz = new $c_Lamf_model_domain_ExternalVocabularyImport();
  $c_Lamf_model_domain_ExternalVocabularyImport.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ExternalVocabularyImport.prototype = $c_Lamf_model_domain_ExternalVocabularyImport.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.OAuth1Settings = (function() {
  const $thiz = new $c_Lamf_model_domain_OAuth1Settings();
  $c_Lamf_model_domain_OAuth1Settings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.OAuth1Settings.prototype = $c_Lamf_model_domain_OAuth1Settings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.OAuth2Settings = (function() {
  const $thiz = new $c_Lamf_model_domain_OAuth2Settings();
  $c_Lamf_model_domain_OAuth2Settings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.OAuth2Settings.prototype = $c_Lamf_model_domain_OAuth2Settings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ObjectNode = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_ObjectNode();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_model_domain_ObjectNode.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_ObjectNode.prototype.init___Lamf_core_model_domain_ObjectNode.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ObjectNode.prototype = $c_Lamf_model_domain_ObjectNode.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ParametrizedResourceType = (function() {
  const $thiz = new $c_Lamf_model_domain_ParametrizedResourceType();
  $c_Lamf_model_domain_ParametrizedResourceType.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ParametrizedResourceType.prototype = $c_Lamf_model_domain_ParametrizedResourceType.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ParametrizedTrait = (function() {
  const $thiz = new $c_Lamf_model_domain_ParametrizedTrait();
  $c_Lamf_model_domain_ParametrizedTrait.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ParametrizedTrait.prototype = $c_Lamf_model_domain_ParametrizedTrait.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PropertyTerm = (function() {
  const $thiz = new $c_Lamf_model_domain_PropertyTerm();
  $c_Lamf_model_domain_PropertyTerm.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.PropertyTerm.prototype = $c_Lamf_model_domain_PropertyTerm.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ScalarNode = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_ScalarNode();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_model_domain_ScalarNode.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_ScalarNode.prototype.init___Lamf_core_model_domain_ScalarNode.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ScalarNode.prototype = $c_Lamf_model_domain_ScalarNode.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.SecurityScheme = (function() {
  const $thiz = new $c_Lamf_model_domain_SecurityScheme();
  $c_Lamf_model_domain_SecurityScheme.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.SecurityScheme.prototype = $c_Lamf_model_domain_SecurityScheme.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Vocabulary = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_domain_Vocabulary();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_domain_Vocabulary.prototype.init___Lamf_model_domain_DomainEntity.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_model_domain_Vocabulary.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.Vocabulary.prototype = $c_Lamf_model_domain_Vocabulary.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.VocabularyImport = (function() {
  const $thiz = new $c_Lamf_model_domain_VocabularyImport();
  $c_Lamf_model_domain_VocabularyImport.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.VocabularyImport.prototype = $c_Lamf_model_domain_VocabularyImport.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.AnnotationTypeDeclaration = (function() {
  const $thiz = new $c_Lamf_model_document_AnnotationTypeDeclaration();
  $c_Lamf_model_document_AnnotationTypeDeclaration.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.AnnotationTypeDeclaration.prototype = $c_Lamf_model_document_AnnotationTypeDeclaration.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DataType = (function() {
  const $thiz = new $c_Lamf_model_document_DataType();
  $c_Lamf_model_document_DataType.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DataType.prototype = $c_Lamf_model_document_DataType.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.Document = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_document_Document();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_model_document_Document.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_document_Document.prototype.init___Lamf_model_domain_DomainElement.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.document.Document.prototype = $c_Lamf_model_document_Document.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DocumentationItem = (function() {
  const $thiz = new $c_Lamf_model_document_DocumentationItem();
  $c_Lamf_model_document_DocumentationItem.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DocumentationItem.prototype = $c_Lamf_model_document_DocumentationItem.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.ExternalFragment = (function(...arg$rest) {
  const $thiz = new $c_Lamf_model_document_ExternalFragment();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_model_document_ExternalFragment.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_model_document_ExternalFragment.prototype.init___Lamf_core_model_document_ExternalFragment.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.document.ExternalFragment.prototype = $c_Lamf_model_document_ExternalFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.NamedExample = (function() {
  const $thiz = new $c_Lamf_model_document_NamedExample();
  $c_Lamf_model_document_NamedExample.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.NamedExample.prototype = $c_Lamf_model_document_NamedExample.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ResourceTypeFragment = (function() {
  const $thiz = new $c_Lamf_model_document_ResourceTypeFragment();
  $c_Lamf_model_document_ResourceTypeFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ResourceTypeFragment.prototype = $c_Lamf_model_document_ResourceTypeFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.SecuritySchemeFragment = (function() {
  const $thiz = new $c_Lamf_model_document_SecuritySchemeFragment();
  $c_Lamf_model_document_SecuritySchemeFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.SecuritySchemeFragment.prototype = $c_Lamf_model_document_SecuritySchemeFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.TraitFragment = (function() {
  const $thiz = new $c_Lamf_model_document_TraitFragment();
  $c_Lamf_model_document_TraitFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.TraitFragment.prototype = $c_Lamf_model_document_TraitFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ResourceType = (function() {
  const $thiz = new $c_Lamf_model_domain_ResourceType();
  $c_Lamf_model_domain_ResourceType.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ResourceType.prototype = $c_Lamf_model_domain_ResourceType.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Trait = (function() {
  const $thiz = new $c_Lamf_model_domain_Trait();
  $c_Lamf_model_domain_Trait.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Trait.prototype = $c_Lamf_model_domain_Trait.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Extension = (function() {
  const $thiz = new $c_Lamf_model_document_Extension();
  $c_Lamf_model_document_Extension.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Extension.prototype = $c_Lamf_model_document_Extension.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Overlay = (function() {
  const $thiz = new $c_Lamf_model_document_Overlay();
  $c_Lamf_model_document_Overlay.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Overlay.prototype = $c_Lamf_model_document_Overlay.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.FileShape = (function() {
  const $thiz = new $c_Lamf_model_domain_FileShape();
  $c_Lamf_model_domain_FileShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.FileShape.prototype = $c_Lamf_model_domain_FileShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.NilShape = (function() {
  const $thiz = new $c_Lamf_model_domain_NilShape();
  $c_Lamf_model_domain_NilShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.NilShape.prototype = $c_Lamf_model_domain_NilShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.NodeShape = (function() {
  const $thiz = new $c_Lamf_model_domain_NodeShape();
  $c_Lamf_model_domain_NodeShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.NodeShape.prototype = $c_Lamf_model_domain_NodeShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ScalarShape = (function() {
  const $thiz = new $c_Lamf_model_domain_ScalarShape();
  $c_Lamf_model_domain_ScalarShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ScalarShape.prototype = $c_Lamf_model_domain_ScalarShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.SchemaShape = (function() {
  const $thiz = new $c_Lamf_model_domain_SchemaShape();
  $c_Lamf_model_domain_SchemaShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.SchemaShape.prototype = $c_Lamf_model_domain_SchemaShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.UnionShape = (function() {
  const $thiz = new $c_Lamf_model_domain_UnionShape();
  $c_Lamf_model_domain_UnionShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.UnionShape.prototype = $c_Lamf_model_domain_UnionShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ArrayShape = (function() {
  const $thiz = new $c_Lamf_model_domain_ArrayShape();
  $c_Lamf_model_domain_ArrayShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ArrayShape.prototype = $c_Lamf_model_domain_ArrayShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.TupleShape = (function() {
  const $thiz = new $c_Lamf_model_domain_TupleShape();
  $c_Lamf_model_domain_TupleShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.TupleShape.prototype = $c_Lamf_model_domain_TupleShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.MatrixShape = (function() {
  const $thiz = new $c_Lamf_model_domain_MatrixShape();
  $c_Lamf_model_domain_MatrixShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.MatrixShape.prototype = $c_Lamf_model_domain_MatrixShape.prototype;
//# sourceMappingURL=amf-client-module.js.map
